Introduction

The Imaging Common Dialog libraries provide a set of common dialog boxes that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. Imaging Common Dialogs are provided for numerous image processing, effects and filtering functions.

Reusable dialogs for the most common LEADTOOLS imaging functions and effects are now provided.

A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

An optional Help callback function lets you provide custom help information for each dialog.

A user interface control for the dialogs is provided through flags in the structure passed to each dialog function.

An option to have the Imaging Common Dialog process the image automatically is provided.

LEADTOOLS Common Dialog COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

Executable demos are included in all LEADTOOLS products. The executable demos provide a quick and easy way to evaluate the LEADTOOLS Common Dialog features and performance.

The LEADTOOLS Common Dialog features come in a WIN32 edition so that it can support development of software applications for any of the following environments:

Windows 95
Windows 98
Windows 2000


Example Programs

Note:

You can run some of the example programs on your system by clicking the appropriate buttons in online help. An error message will appear if you try to run an example program that is not on your system.

The executable files for these examples were compiled with Document/Medical capabilities of the toolkit. To get Document/Medical capabilities, you must buy a LEADTOOLS Document/Medical toolkit. Otherwise, if you recompile the examples, the resulting executable files will not have the Document/Medical capabilities.

Visual Basic

EXAMPLES\COM\VB\DEMO32 contains a sample application that demonstrates most of the COM capabilities in Visual Basic 5.0. To run the 32-bit sample application, you can run the EXE file in LEAD's BIN directory.

Visual C++

EXAMPLES\COM\MSVC5\DEMO contains sample project code for Visual C++. You can open the project in Visual C++; then compile and run it.


Version History

Current version: | 14.5
Last update: | October 31, 2005

Changes from Version 14 to Version 14.5

Version 14


Changes from Version 14 to Version 14.5

Version 14.5 of the LEADTOOLS Common Dialog COM objects has changed from version 14 as follows:

When saving JBIG2 files, you can get or change the current values for the control options used by LEADTOOLS.

The rest of this topic lists the new properties in version 14.5:

JBIG2 File Saving Options

JBIG2GBATX1 property

JBIG2GBATY1 property

JBIG2GBATX2 property

JBIG2GBATY2 property

JBIG2GBATX3 property

JBIG2GBATY3 property

JBIG2GBATX4 property

JBIG2GBATY4 property

JBIG2TemplateType property

JBIG2SaveFlags property


Version 14

Version 14 of the LEADTOOLS Common Dialog COM objects has been completely re-designed and re-written from version 13.

LEADTOOLS Common Dialog COM now supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

The rest of this topic lists the new functions in version 14.

ILEADRasterDlgClr

Properties

Angle Property

ApplyPaletteWhenExit Property

Bitmap property

BitsPerPixel Property

BlueFactor Property

BlueGrayFactor Property

BlueToBlue Property

BlueToGreen Property

BlueToRed Property

Change Property

Channel Property

ClrResFlags Property

ColorModel Property

ColorSpace Property

DialogStatus property

Dimension Property

DitherFlags Property

EnableGammaAllChannels Property

EnableMethodErrors Property

EnableZoomToFit Property

GammaBlueValue Property

GammaGreenValue Property

GammaRedValue Property

GeneratedPalette Property

GeneratedPaletteCount Property

GreenFactor Property

GreenGrayFactor Property

GreenToBlue Property

GreenToGreen Property

GreenToRed Property

HalftoneType Property

High Property

HueTable Property

InColor Property

IntensityChannel Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

Levels Property

Low Property

MaskTable Property

OutColor Property

PaletteFlags Property

RectangleHeight Property

RectangleWidth Property

RedFactor Property

RedGrayFactor Property

RedToBlue Property

RedToGreen Property

RedToRed Property

RemapHueTablesSize Property

RemapTable Property

RemapTableSize Property

SaturationTable Property

SelectedBitmapList Property

SelectedBitmapsCount Property

SelectedColor Property

ShowHelpButton Property

SmoothSize Property

Threshold Property

UIFlags Property

UserPalette Property

UserPaletteCount Property

ValueTable property

WindowLevelFactor property

WindowLevelFlags property

WindowLevelHigh property

WindowLevelFactor property

XExtension Property

YExtension Property

Events

DlgHelp Event

Methods

ShowBalanceColorsDlg method

ShowBrightnessDlg method

ShowColorDlg method

ShowColoredGrayDlg method

ShowColorResDlg method

ShowContrastDlg method

ShowCustomizePaletteDlg method

ShowGammaAdjustmentDlg method

ShowGrayScaleDlg method

ShowHalftoneDlg method

ShowHistoContrastDlg method

ShowHueDlg method

ShowIntensityDetectDlg method

ShowLocalHistoEqualizeDlg method

ShowPosterizeDlg method

ShowRemapHueDlg method

ShowRemapIntensityDlg method

ShowSaturationDlg method

ShowSolarizeDlg method

ShowWindowLevelDlg method

ILEADRasterDlgFile

Properties

Bitmap property

DestinationPath Property

DialogStatus property

DialogTitle Property

Directory Property

DXFAutoCADColorScheme Property

DXFFont Property

DXFViewportHeight Property

DXFViewportMode Property

DXFViewportWidth Property

EnableLogReport Property

EnableMethodErrors Property

EnableRemoveSourceFile Property

EnableShowFullPath Property

EnableShowLoadOptions Property

EnableShowPreview Property

FileDlgFlags Property

FileFormats Property

FileFormatsCount Property

FileName Property

Filter Property

FilterIndex Property

Formats Property

InitialDir Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

LoadCompressed Property

LoadPasses Property

LoadRotated Property

MarginsHeight Property

MarginsLeft Property

MarginsTop Property

MarginsWidth Property

MinMarginsHeight Property

MinMarginsLeft Property

MinMarginsTop Property

MinMarginsWidth Property

OptionsFileType Property

OverwriteFlags Property

PageNumber Property

PCDResolution Property

PDFDisplayDepth Property

PDFGraphicsAlpha Property

PDFTextAlpha Property

PDFXResolution Property

PDFYResolution Property

PLTFont Property

PLTPenColor Property

PLTPenWidth Property

PLTViewportHeight Property

PLTViewportMode Property

PLTViewportWidth Property

RasterXResolution Property

RasterYResolution Property

SaveBitsPerPixel Property

SaveFormat Property

SaveInterlaced Property

SaveJ2KCBS_ErrorResilienceSymbol Property

SaveJ2KCBS_PredictableTermination Property

SaveJ2KCBS_ResetContextOnBoundaries Property

SaveJ2KCBS_SelectiveACBypass Property

SaveJ2KCBS_TerminationOnEachPass Property

SaveJ2KCBS_VerticallyCausalContext Property

SaveJ2KCodBlockHeight Property

SaveJ2KCodBlockWidth Property

SaveJ2KCompressionControl Property

SaveJ2KCompressionRatio Property

SaveJ2KDerivedBaseExponent Property

SaveJ2KDerivedBaseMantissa Property

SaveJ2KDerivedQuantization Property

SaveJ2KGuardBits Property

SaveJ2KProgressOrder Property

SaveJ2KTargetFileSize Property

SaveJ2KUseColorTransform Property

SaveJ2KUseEPHMarker Property

SaveJ2KUseSOPMarker Property

SaveJ2KXOsiz Property

SaveJ2KXTOsiz Property

SaveJ2KXTsiz Property

SaveJ2KYOsiz Property

SaveJ2KYTOsiz Property

SaveJ2KYTsiz Property

SaveMulti Property

SavePasses Property

SaveQFactor Property

SaveStampBits Property

SaveStampHeight Property

SaveStampWidth Property

SaveWithStamp Property

SelectedExt Property

ServerApplicationName Property

ShowHelpButton Property

SourceFileList Property

SourceFilePath Property

SubTypeIndex Property

Thumbnail Property

UIFlags Property

UseOriginalFolder Property

VectorFont Property

VectorViewportHeight Property

VectorViewportMode Property

VectorViewportWidth Property

Visible Property

WindowIcon Property

WMFXResolution Property

WMFYResolution Property

Events

DlgHelp Event

FileLoad Event

Methods

ShowDirectoryDlg method

ShowFileConversionDlg method

ShowFilesAssociationDlg method

ShowOpenDlg method

ShowPrintPreviewDlg method

ShowPrintStitchedImagesDlg method

ShowSaveDlg method

ILEADRasterDlgImgEfx

Properties

Amount property

Amplitude property

Amplitudes property

AmplitudesCount property

Angle property

AntiAliasFilterType property

Attenuation property

BinaryFilterType property

Bitmap property

BitmapHeight property

BitmapWidth property

CellHeight property

CellWidth property

CenterX property

CenterY property

Channel property

DeltaDirection property

Depth property

DialogStatus property

Dimension property

Direction property

DirectoryPath property

EdgeDetectionFilterType property

EnableMethodErrors property

EnableUnidirectional property

EnableZoomToFit property

Factor property

FillColor property

Frequency property

HorizontalDim property

HorizontalScale property

ImageEffectFlags property

ItemDescription property

ItemFileName property

ItemsCount property

MaxError property

Opacity property

OptionFlags property

Phase property

PicturizeResizeFlags property

Radius property

Range property

StitchResolution property

Scale property

SelectedBitmap property

SelectedBitmapIndex property

SelectedBitmapList property

SelectedBitmapsCount property

Sharpness property

ShowHelpButton property

SpatialFilterType property

StitchBitmap property

StitchBitmapHeight property

StitchBitmapWidth property

StitchBitsPerPixel property

StitchIcon property

Stress property

Threshold property

UIFlags property

Value property

VerticalDim property

VerticalScale property

Visible property

WaveLength property

ZoomFactor property

Events

DlgHelp event

Methods

ShowAddBitmapsDlg method

ShowAddNoiseDlg method

ShowAntiAliasDlg method

ShowAverageDlg method

ShowBendingDlg method

ShowContourFilterDlg method

ShowCylindricalDlg method

ShowDilationFilterDlg method

ShowEdgeDetectorDlg method

ShowEmbossDlg method

ShowErosionFilterDlg method

ShowFreeHandWaveDlg method

ShowGaussianBlurDlg method

ShowGradientFilterDlg method

ShowImpressionistDlg method

ShowLaplacianFilterDlg method

ShowLineSegmentFilterDlg method

ShowMaxFilterDlg method

ShowMedianDlg method

ShowMinFilterDlg method

ShowMosaicDlg method

ShowMotionBlurDlg method

ShowMultiplyDlg method

ShowOilifyDlg method

ShowPicturizeDlg method

ShowPixelateDlg method

ShowPolarDlg method

ShowPrewittFilterDlg method

ShowPunchDlg method

ShowRadialBlurDlg method

ShowRadialWaveDlg method

ShowRippleDlg method

ShowSharpenDlg method

ShowShiftDifferenceFilterDlg method

ShowSobelFilterDlg method

ShowSpherizeDlg method

ShowStitchDlg method

ShowSwirlDlg method

ShowUnderlayDlg method

ShowUnsharpMaskDlg method

ShowWaveDlg method

ShowWaveShearDlg method

ShowWindDlg method

ShowZoomBlurDlg method

ShowZoomWaveDlg method

ILEADRasterDlgImg

Properties

Angle Property

BackColor Property

Bitmap property

BitsPerPixel Property

BlueChannelPenColor Property

BlueHistogram Property

BlueHistogramSize Property

BorderStyle Property

BottomThickness Property

CurrentHeight Property

CurrentResolutionX Property

CurrentResolutionY Property

CurrentWidth Property

CurveIntensity Property

DialogStatus property

EffectStyle Property

EnableBumpyShadow Property

EnableHorizontal Property

EnableKeepFrameState Property

EnableMethodErrors Property

EnableResize Property

EnableShadow Property

EnableSoftCurve Property

EnableUseMask Property

EnableZoomToFit Property

GradientEndColor Property

GradientStartColor Property

GradientStyle Property

GreenChannelPenColor Property

GreenHistogram Property

GreenHistogramSize Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

Left Property

LeftThickness Property

Location Property

MaskColor Property

MasterChannelPenColor Property

MasterHistogram Property

MasterHistogramSize Property

MaxNewHeight Property

MaxNewResolutionX Property

MaxNewResolutionY Property

MaxNewWidth Property

NewHeight Property

NewResolutionX Property

NewResolutionY Property

NewWidth Property

OpaqueColor Property

Quality Property

RedChannelPenColor Property

RedHistogram Property

RedHistogramSize Property

ResizeFlags Property

RightThickness Property

RotateFlags Property

SelectedBitmap Property

SelectedBitmapIndex Property

ShadowDirection Property

ShadowSize Property

ShowHelpButton Property

SmoothEdge Property

Threshold Property

Top Property

TopThickness Property

UIFlags Property

Events

DlgHelp Event

Methods

ShowAddBorderDlg method

ShowAddFrameDlg method

ShowAutoTrimDlg method

ShowCanvasResizeDlg method

ShowHistogramDlg method

ShowResizeDlg method

ShowRotateDlg method

ShowShearDlg method

ILEADRasterDlgImgDoc

Properties

Bitmap property

BlackAreaColor Property

DialogStatus property

DocCleanBitmap Property

EnableMethodErrors Property

EnableZoomToFit Property

Lightness Property

ModificationColor Property

NewColor Property

ShowHelpButton Property

Threshold Property

UIFlags Property

WhiteAreaColor Property

Events

DlgHelp Event

Methods

ShowBorderRemoveDlg method

ShowDotRemoveDlg method

ShowHolePunchRemoveDlg method

ShowInvertTextDlg method

ShowLineRemoveDlg method

ShowRemoveRedEyeDlg method

ShowSmoothDlg method

ILEADRasterSmoothDoc

Properties

Flags Property

Length Property

ILEADRasterBorderRemoveDoc

Properties

BorderPercent Property

BorderToRemove Property

Flags Property

Variance Property

WhiteNoiseLength Property

ILEADRasterLineRemoveDoc

Properties

Flags Property

GapLength Property

MaxLineWidth Property

MaxWallPercent Property

MinLineLength Property

RemoveFlags Property

Variance Property

Wall Property

ILEADRasterInvertTextDoc

Properties

Flags Property

MaxBlackPercent Property

MinBlackPercent Property

MinInvertHeight Property

MinInvertWidth Property

ILEADRasterDotRemoveDoc

Properties

Flags Property

MaxDotHeight Property

MaxDotWidth Property

MinDotHeight Property

MinDotWidth Property

ILEADRasterHolePunchRemoveDoc

Properties

Flags Property

Location Property

MaxHoleHeight Property

MaxHoleWidth Property

MinHoleCount Property

MinHoleCount Property

MinHoleWidth Property

ILEADRasterDlgKrn

Properties

DlgFont Property

FreeDlg method

GetDlgString method

InitDlg method

SetDlgString method

ILEADRasterDlgWeb

Properties

ALT Property

ALTEntryCount Property

ALTMaxLength Property

ALTValidEntryCount Property

Bitmap property

BitsPerPixel Property

DialogStatus property

DitherType Property

EnableMethodErrors Property

EnableStamp Property

EnableTransparent Property

EnableWindowsColors Property

EnableZoomToFit Property

Interlaced Property

JPEGFormat Property

NumOfColors Property

PaletteType Property

Progressive Property

Quality Property

Rollover Property

RolloverEntryCount Property

RolloverMaxLength Property

RolloverValidEntryCount Property

ShowHelpButton Property

Target Property

TargetEntryCount Property

TargetMaxLength Property

TargetValidEntryCount Property

TransparencyTolerance Property

TransparentColor Property

UIFlags Property

URL Property

URLEntryCount Property

URLMaxLength Property

URLValidEntryCount Property

Events

DlgHelp Event

Methods

ShowGIFWebTunerDlg method

ShowHTMLMapperDlg method

ShowJPEGWebTunerDlg method

ShowPNGWebTunerDlg method

ILEADRasterSaveType

Properties

BitsPerPixelCount Property

BitsPerPixelCountFormat Property

Format Property

SubFormat Property

ILEADRasterDlgEfx

Properties

Bitmap property

DialogStatus property

Effect Property

EnableMethodErrors Property

Gradient Property

Shape Property

ShowHelpButton Property

Text Property

Transition Property

UIFlags Property

Events

DlgHelp Event

Methods

ShowEffectDlg method

ShowGradientDlg method

ShowShapeDlg method

ShowTextDlg method

ShowTransitionDlg method

ILEADRasterShapeEfx

Properties

BackColor Property

BackgroundBitmap Property

BackgroundStyle Property

BorderColor Property

BorderStyle Property

BorderThickness Property

FillStyle Property

ForeColor Property

InnerHiliteColor Property

InnerShadowColor Property

InnerStyle Property

InnerThickness Property

OuterHiliteColor Property

OuterShadowColor Property

OuterStyle Property

OuterThickness Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

ShapeStyle Property

ILEADRasterEffectEfx

Properties

Delay Property

EffectStyle Property

Grain Property

MaxPass Property

Transparent Property

TransparentColor Property

WandColor Property

WandThickness Property

ILEADRasterTransitionEfx

Properties

BackColor Property

Delay Property

EffectStyle Property

ForeColor Property

Grain Property

MaxPass Property

Steps Property

TransitionStyle Property

Transparent Property

TransparentColor Property

WandColor Property

WandThickness Property

ILEADRasterGradientEfx

Properties

EndColor Property

GradientStyle Property

StartColor Property

Steps Property

ILEADRasterTextEfx

Properties

Align Property

Angle Property

Color Property

EnableUseForegroundImage Property

Font Property

ForegroundBitmap Property

HiliteColor Property

SampleText Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

TextStyle Property

WordWrap Property


Copyright notice

Copyright Notices

©Copyright LEAD Technologies, Inc. 1991-2005. ALL RIGHTS RESERVED

Portions of the PCDLIB32.DLL, PCDLIB.DLL, LFFPX7.DLL, LFKODAK.DLL, EKFPIXJPEG140.DLL, PDC_SDK.DLL, PROFIRE.DLL, DC120V154_32.DLL, LFDCR14N.DLL, DCSPROBACK.DLL, DCSPRO3SLR.DLL, LFDCS14N.DLL, and LFKDC14N.DLL files contain material that is ©Copyright Eastman Kodak Company, 1996-2001. This software is based in part on the work of the Independent JPEG Group.

Portions of the LFCRW14N.DLL, LTCMP14.DLL, CDSDK.reg, CDSDK.dll, CDRAPCLS.dll, czs_ui.dll, deimg.dll, deImg010.dll, deImg110.dll, deImg153.dll, deimg301.dll, deimg401.dll, deImg404.dll, deimg602.dll, Deimg603.dll, DeImgd60.dll, pscAdimg.dll, pscCllct.dll, pscCStUI.dll, pscDcd.dll, pscDevUI.dll, pscDvlp.dll, Pscl2STI.dll, pscll.dll, pscParse.dll, pscSetup.dll, psdkdll.dll, psdkReg.dll, psParse.dll. file contain material that is © Canon, Inc. 2002

Portions of the LFFPX7.DLL and LFKODAK.DLL files contain material that is ©Copyright Hewlett Packard, 1996.

Portions of the OCR/ICR/OMR Features and the help file for the OCR/ICR/OMR Features are ©Copyright Scansoft, Inc. 1995-2003. ALL RIGHTS RESERVED

Portions of the Barcode Modules contain material that is ©Copyright Axtel Inc., 1999.

Portions of the LEADTOOLS PDF Plug in and the LEADTOOLS Vector Imaging Pro are ©Copyright 1996, 2000 Artifex Software Inc. All rights reserved.

File filters for decoding MrSID ® and DjVu ® formats are provided under a license from Lizardtech, Inc.

The "FlashPix" format uses Microsoft's OLE structured storage.

Portions of the DICOM help files in Medical Imaging product line are reprinted with permission from the National Electrical Manufacturers Association ©Copyright 1998 by the National Electrical Manufacturers Association. All rights including translation into other languages, reserved under the Universal Copyright Convention, the Berne Convention or the Protection of Literacy and Artistic Works, and the International and Pan American Copyright Conventions.

Portions of LEADTOOLS Data Security Add On contain software developed by the OpenSSL Project for use in the OpenSSL Toolkit (http://www.openssl.org/), including cryptographic software written by Eric Young (eay@cryptsoft.com) and by Tim Hudson (tjh@cryptsoft.com). Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved. Copyright Tim Hudson 1995-1998 (tjh@cryptsoft.com) All rights reserved.

Portions of LEADTOOLS Data Security Add On contain software based on the MD5 Message Digest Algorithm developed by RSA Data Security, Inc.. Copyright (c) 1991-92 RSA Data Security, Inc. All Rights Reserved.

Portions hereof licensed under US patent 5,327,254 and foreign counterparts.

Portions of the LEADTOOLS ICC Profiles material is © Copyright 2004, International Color Consortium.

Trademarks

LEAD® and LEADTOOLS® are registered trademarks of LEAD Technologies, Inc.
Microsoft, Windows, Windows NT, Visual Basic, Visual FoxPro, and Microsoft Access are either trademarks or registered trademarks of the Microsoft Corporation.
OS/2® is a registered trademark of International Business Machines Corporation.

TextBridge®OCR is a registered trademark of Scansoft, Inc.

ISIS® is a registered trademark of Pixel Translations, Inc.

ScanAhead™ is a trademark of Pixel Translations, Inc.

FlashPix™ is a trademark of Eastman Kodak Company.

All other brand or product names used in this online help are trademarks of their respective holders.

Address and Contact Information

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

(704) 332-5532
FAX: (704) 372-8161
E-mail: support@leadtools.com
Technical support: (704) 372-9681 or support@leadtools.com
Home page: http://www.leadtools.com


Programming with the LEADTOOLS Imaging Common Dialog COM object

The following topics provide a systematic approach to understanding and using the LEAD control's properties, methods, and events:

Registering and Unregistering the Common Dialog COM object

Using Imaging Common Dialog

Miscellaneous Properties, Methods and Events


Registering and Unregistering the Common Dialog COM object

Registering COM Objects

Before the Common Dialog COM object can be used, it must be registered. The installation program automatically registers all the LEADTOOLS objects. If you would like to manually register the objects run:

REGSVR32.EXE for 32-bit objects

found in the BIN directory and pass the name of the objects to register as a parameter.

EX.:

REGSVR32 LTRDK14n.DLL will register the ILEADRasterDlgKrn Object.

REGSVR32 LTRDX14n.DLL will register the ILEADRasterDlgImgEfx Object.

REGSVR32 LTRDF14n.DLL will register the ILEADRasterDlgFile Object.

REGSVR32 LTRDM14n.DLL will register the ILEADRasterDlgImg Object.

REGSVR32 LTRDW14n.DLL will register the ILEADRasterDlgWeb Object.

REGSVR32 LTRDE14n.DLL will register the ILEADRasterDlgEfx Object.

REGSVR32 LTRDO14n.DLL will register the ILEADRasterDlgImgDoc Object.

REGSVR32 LTRDR14n.DLL will register the ILEADRasterDlgClr Object.

Unregistering COM Object

To unregister the Common Dialog COM object, include the "/u" switch before the object name when running:

REGSVR32.EXE for 32-bit objects

EX.:

REGSVR32 /u LTRDK14n.DLL will unregister the ILEADRasterDlgKrn Object.

REGSVR32 /u LTRDX14n.DLL will unregister the ILEADRasterDlgImgEfx Object.

REGSVR32 /u LTRDF14n.DLL will unregister the ILEADRasterDlgFile Object.

REGSVR32 /u LTRDM14n.DLL will unregister the ILEADRasterDlgImg Object.

REGSVR32 /u LTRDW14n.DLL will unregister the ILEADRasterDlgWeb Object.

REGSVR32 /u LTRDE14n.DLL will unregister the ILEADRasterDlgEfx Object.

REGSVR32 /u LTRDO14n.DLL will unregister the ILEADRasterDlgImgDoc Object.

REGSVR32 /u LTRDR14n.DLL will unregister the ILEADRasterDlgClr Object.

For a list of required DLLs for the Common Dialog COM object, refer to Files To Be Included With Your Application.


Using Imaging Common Dialogs

LEADTOOLS provides a set of Common Dialog COM controls that combine Windows Common Dialog functionality with imaging functionality contained in LEADTOOLS. For a list of required DLLs, refer to Files To Be Included With Your Application. COM Imaging Common Dialogs are provided for numerous image processing, effects and filtering methods.

Reusable dialogs for the most common LEADTOOLS imaging methods and effects are now provided.

- A Thumbnail Preview option for the image processing dialogs allows the end user to preview the proposed change to the image, before actually affecting the original image.

- An optional Help event lets you provide custom help information for each dialog.

- A user interface control for the dialogs is provided through flags in the Record (structure) passed to each dialog method.

- An option to have the Imaging Common Dialog process the image automatically is provided.

The following objects/classes are supported. To see a list of the properties, methods and events available for each object/class, click on the object/class name.

ILEADRasterBorderRemoveDoc

ILEADRasterDlgClr

ILEADRasterDlgEfx

ILEADRasterDlgImg

ILEADRasterDlgImgDoc

ILEADRasterDlgImgEfx

ILEADRasterDlgKrn

ILEADRasterDlgWeb

ILEADRasterDotRemoveDoc

ILEADRasterEffectEfx

ILEADRasterDlgFile

ILEADRasterGradientEfx

ILEADRasterHolePunchRemoveDoc

ILEADRasterInvertTextDoc

ILEADRasterLineRemoveDoc

ILEADRasterSaveType

ILEADRasterShapeEfx

ILEADRasterSmoothDoc

ILEADRasterTextEfx

ILEADRasterTransitionEfx


Miscellaneous Properties, Methods and Events

In addition to the properties, methods and events associated with the dialogs, LEADTOOLS also provides several "general purpose" properties, methods and events.

The font used in any of the dialogs can be set using the DlgFont property.

To get or set the strings associated with a dialog, use the GetDlgString and SetDlgString methods.

The EnableMethodErrors property lets you determine whether LEADTOOLS generates runtime exceptions in addition to method return values.


Files To Be Included With Your Application

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation. The following subdirectory for the LEADTOOLS Common Dialog is created:

REDIST\

Redistributable Common Dialog files.

Note: | You may not copy or redistribute any of the following files without obtaining the proper license. In some cases, the license is included with your initial purchase of LEADTOOLS. In other cases, you must obtain a license from a third party or enter into a royalty agreement with LEAD to obtain the proper license.
Note: | You may not distribute the header files with your application, and you may not provide software development capabilities in your application.

The following table summarizes the files you must include on your distribution diskettes to support the LEADTOOLS Common Dialog functions on a WIN32 system. (\REDIST\ subdirectory contains copies of these files.)

Please note that LTR is required for ALL COM applications. For more information on LTR and other files for the Main COM, refer to Files To Be Included With Your Application.

Redistributables: | Explanation: | If you are using a standard release without Unicode, the files to use are: | If you are using a standard release with Unicode, the files to use are: | If you are using an evaluation release without Unicode, the files to use are: | If you are using an evaluation release with Unicode, the files to use are:
LTRDK LTRDX LTRDF LTRDM LTRDW LTRDE LTRDO LTRDR | Common Dialog support. The LTRD? DLLs are used with the other COM Objects and are static DLLs. The LTRD?D DLLs are used with ActiveX Controls and are dynamic DLLs. | DLL: LTRDK14N.DLL LTRDX14N.DLL LTRDF14N.DLL LTRDM14N.DLL LTRDW14N.DLL LTRDE14N.DLL LTRDO14N.DLL LTRDR14N.DLL LTRDKD14N.DLL LTRDXD14N.DLL LTRDFD14N.DLL LTRDMD14N.DLL LTRDWD14N.DLL LTRDED14N.DLL LTRDOD14N.DLL LTRDRD14N.DLL | DLL: LTRDK14NU.DLL LTRDX14NU.DLL LTRDF14NU.DLL LTRDM14NU.DLL LTRDW14NU.DLL LTRDE14NU.DLL LTRDO14NU.DLL LTRDR14NU.DLL Unicode is not supported for ActiveX. | DLL: LTRDK14E.DLL LTRDX14E.DLL LTRDF14E.DLL LTRDM14E.DLL LTRDW14E.DLL LTRDE14E.DLL LTRDO14E.DLL LTRDR14E.DLL LTRDKD14E.DLL LTRDXD14E.DLL LTRDFD14E.DLL LTRDMD14E.DLL LTRDWD14E.DLL LTRDED14E.DLL LTRDOD14E.DLL LTRDRD14E.DLL | DLL: LTRDK14EU.DLL LTRDX14EU.DLL LTRDF14EU.DLL LTRDM14EU.DLL LTRDW14EU.DLL LTRDE14EU.DLL LTRDO14EU.DLL LTRDR14EU.DLL Unicode is not supported for ActiveX.


Installation Directory

The installation procedure creates a directory tree for the LEADTOOLS files, and adds the demonstration programs and online help to your desktop. You specify the root directory during installation.

The following is a list of the subdirectories in the root directory:

ACROBAT | LEADTOOLS manuals in the PDF format, which you can view and print using Adobe Acrobat. These files are optional and are available when installing from the CD-ROM.
BIN | Executable files for the demonstration programs.
HELP | Online help files.
IMAGES | Sample images and databases containing images.
EXAMPLES\DLL | One subdirectory for each example API program.
EXAMPLES\CLASSLIB | One subdirectory for each example Class Library program.
EXAMPLES\COM | One subdirectory for each example API program.
EXAMPLES\RES | Resource files for the example programs.
INCLUDE | Header files, BAS files, and the COM's MFC interface files for versions of Visual C++ earlier than 5.0.
INCLUDE\CLASSLIB | Header files for the Class Library
LIB | Library files.
REDIST | Redistributable files. These are copies of the LEADTOOLS files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.
REDIST\COM | Redistributable files. These are copies of the LEADTOOLS COM Object files and other files that you may need to distribute with your application. For exact information about required files, refer to Files To Be Included With Your Application.
REDIST\COM\NONAG | This directory contains the LEADRaster COM Object DLL that must be distributed with your application.
ACROBAT | LEADTOOLS manuals in the PDF format, which you can view and print using Adobe Acrobat. These files are optional and are available when installing from the CD-ROM.


System Files Updated

The LEADTOOLS installation procedure adds the DLL files and all of the required driver files to your WINDOWS\SYSTEM directory. For a list of these files, refer to Files To Be Included With Your Application.

In addition, the installation procedure, as noted in the remainder of this topic, updates Windows system files that are required by the LEADTOOLS example programs.

The LEADTOOLS WIN32 installation procedure adds the following Windows files to your WINDOWS\SYSTEM directory. If your system has an earlier version of any of these files, the installation procedure overwrites it with the newer version.

COMDLG32.OCX
CTL3D32.DLL
MFC40.DLL
MFC42.DLL
MSVCRT20.DLL
MSVCRT40.DLL
MSVCRT.DLL
OC30.DLL
OLE32.DLL
OLEAUT32.DLL
OLEPRO32.DLL
STDOLE2.TLB
VB40032.DLL
VEN2232.OLB


A Special Note About UNICODE Support

LEADTOOLS now provides UNICODE support. However, in order to utilize the examples and tutorials in this help file with UNICODE, you must make a few substitutions for class names, IDs, event names, etc. This is true for VB, MFC, Delphi and C++ Builder. Before attempting to compile the samples or tutorials in this help file for UNICODE, replace the class name, ID name, event name, etc. in the first column below, with the corresponding name in the second column. As you can see, this just involves adding "_U" to the end of the class name, ID name, event name, etc.

General Notes For VC++ Programmers:

1.

Replace: | With:
LTRASTERXXXXLib | LTRASTERXXXXLib_U
ILEADRasterXXXX | ILEADRasterXXXX_U
LEADRasterXXXX | LEADRasterXXXX_U
IID_ILEADRasterXXXX | IID_ILEADRasterXXXX_U
CLSID_LEADRasterXXXX | CLSID_LEADRasterXXXX_U
LIBID_LTRASTERXXXXLib | LIBID_LTRASTERXXXXLib_U
_LEADRasterXXXXEvents | _LEADRasterXXXXEvents_U
DIID__LEADRasterXXXXEvents | DIID__LEADRasterXXXXEvents_U

For example:

ILEADRasterIO_U *pRasterIO=NULL;

CoCreateInstance(CLSID_LEADRasterIO_U, NULL, CLSCTX_ALL, IID_ILEADRasterIO_U, (void**)&pRasterIO);

2.

For importing (.DLL) or (.OCX) files in your project:

Replace: | With:
LTRXXXN.OCX | LTRXXXNU.OCX
LTRXXXN.DLL | LTRXXXNU.DLL

For example:

#import "c:\\winnt\\system32\\ltrvr14nu.dll" no_namespace, named_guids

#import "c:\\winnt\\system32\\ltrvw14nu.ocx" no_namespace, named_guids

General Notes For VB Programmers:

Replace: | With:
LTRASTERXXXXLib | LTRASTERXXXXLib_U
LEADRasterXXXX | LEADRasterXXXX_U
LEADRasterXXXX_EventName | LEADRasterXXXX_U_EventName
LEADRasterXXXX.LEADRasterXXXX | LEADRasterXXXX_U.LEADRasterXXXX_U

When adding a Reference or Component to a Visual Basic project, be sure that the desired Reference or Component name ends with (_U).

For example:

To add the Unicode version of LEAD RasterView Control to your project, you have to select LEAD Raster View_U Control (14).

General Notes For Delphi and C++ Builder Programmers:

Replace: | With:
LTRASTERXXXLib_TLB | LTRASTERXXXLib_U_TLB
ILEADRasterXXXX | ILEADRasterXXXX_U
CLASS_LEADRasterXXXX | CLASS_LEADRasterXXXX_U
LEADRasterXXXX | LEADRasterXXXX_U
IID_ILEADRasterXXXX | IID_ILEADRasterXXXX_U
CLSID_LEADRasterXXXX | CLSID_LEADRasterXXXX_U
LIBID_LTRASTERXXXXLib | LIBID_LTRASTERXXXXLib_U
_LEADRasterXXXXEvents | _LEADRasterXXXXEvents_U
DIID__LEADRasterXXXXEvents | DIID__LEADRasterXXXXEvents_U

Note:

When adding an ActiveX Control or Import type library to a Delphi or C++ Builder project, be sure that the desired ActiveX Control or Library name ends with (_U).

For example:

To add the Unicode version of LEAD Raster View Control to your project, you have to select LEAD Raster View_U Control (14).


Tutorial for Visual Basic Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Common Dialogs COM object.

LEADTOOLS Common Dialog COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (Visual Basic)

LEADTOOLS Common Dialog COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

DlgFont Example for Visual Basic

FileFormatsCount Example for Visual Basic

FileLoad Example for Visual Basic

FreeDlg Example for Visual Basic

InitDlg Example for Visual Basic

JBIG2GBATX1 Example for Visual Basic

OptionsFileType Example for Visual Basic

SaveJ2KUseColorTransform Example for Visual Basic

SaveQFactor Example for Visual Basic

ShowAddBitmapsDlg Example for Visual Basic

ShowAddBorderDlg Example for Visual Basic

ShowAddFrameDlg Example for Visual Basic

ShowAddNoiseDlg Example for Visual Basic

ShowAntiAliasDlg Example for Visual Basic

ShowAutoTrimDlg Example for Visual Basic

ShowAverageDlg Example for Visual Basic

ShowBalanceColorsDlg Example for Visual Basic

ShowBendingDlg Example for Visual Basic

ShowBorderRemoveDlg Example for Visual Basic

ShowBrightnessDlg Example for Visual Basic

ShowCanvasResizeDlg Example for Visual Basic

ShowColorDlg Example for Visual Basic

ShowColoredGrayDlg Example for Visual Basic

ShowColorResDlg Example for Visual Basic

ShowContourFilterDlg Example for Visual Basic

ShowContrastDlg Example for Visual Basic

ShowCustomizePaletteDlg Example for Visual Basic

ShowCylindricalDlg Example for Visual Basic

ShowDilationFilterDlg Example for Visual Basic

ShowDirectoryDlg Example for Visual Basic

ShowDotRemoveDlg Example for Visual Basic

ShowEdgeDetectorDlg Example for Visual Basic

ShowEffectDlg Example for Visual Basic

ShowEmbossDlg Example for Visual Basic

ShowErosionFilterDlg Example for Visual Basic

ShowFileConversionDlg Example for Visual Basic

ShowFilesAssociationDlg Example for Visual Basic

ShowFreeHandWaveDlg Example for Visual Basic

ShowGammaAdjustmentDlg Example for Visual Basic

ShowGaussianBlurDlg Example for Visual Basic

ShowGIFWebTunerDlg Example for Visual Basic

ShowGradientDlg Example for Visual Basic

ShowGradientFilterDlg Example for Visual Basic

ShowGrayScaleDlg Example for Visual Basic

ShowHalftoneDlg Example for Visual Basic

ShowHistoContrastDlg Example for Visual Basic

ShowHistogramDlg Example for Visual Basic

ShowHolePunchRemoveDlg Example for Visual Basic

ShowHTMLMapperDlg Example for Visual Basic

ShowHueDlg Example for Visual Basic

ShowImpressionistDlg Example for Visual Basic

ShowIntensityDetectDlg Example for Visual Basic

ShowInvertTextDlg Example for Visual Basic

ShowJPEGWebTunerDlg Example for Visual Basic

ShowLaplacianFilterDlg Example for Visual Basic

ShowLineRemoveDlg Example for Visual Basic

ShowLineSegmentFilterDlg Example for Visual Basic

ShowLocalHistoEqualizeDlg Example for Visual Basic

ShowMaxFilterDlg Example for Visual Basic

ShowMedianDlg Example for Visual Basic

ShowMinFilterDlg Example for Visual Basic

ShowMosaicDlg Example for Visual Basic

ShowMotionBlurDlg Example for Visual Basic

ShowMultiplyDlg Example for Visual Basic

ShowOilifyDlg Example for Visual Basic

ShowOpenDlg Example for Visual Basic

ShowPicturizeDlg Example for Visual Basic

ShowPixelateDlg Example for Visual Basic

ShowPNGWebTunerDlg Example for Visual Basic

ShowPolarDlg Example for Visual Basic

ShowPosterizeDlg Example for Visual Basic

ShowPrewittFilterDlg Example for Visual Basic

ShowPrintPreviewDlg Example for Visual Basic

ShowPrintStitchedImagesDlg Example for Visual Basic

ShowPunchDlg Example for Visual Basic

ShowRadialBlurDlg Example for Visual Basic

ShowRadialWaveDlg Example for Visual Basic

ShowRemapHueDlg Example for Visual Basic

ShowRemapIntensityDlg Example for Visual Basic

ShowRemoveRedEyeDlg Example for Visual Basic

ShowResizeDlg Example for Visual Basic

ShowRippleDlg Example for Visual Basic

ShowRotateDlg Example for Visual Basic

ShowSaturationDlg Example for Visual Basic

ShowSaveDlg Example for Visual Basic

ShowShapeDlg Example for Visual Basic

ShowSharpenDlg Example for Visual Basic

ShowShearDlg Example for Visual Basic

ShowShiftDifferenceFilterDlg Example for Visual Basic

ShowSmoothDlg Example for Visual Basic

ShowSobelFilterDlg Example for Visual Basic

ShowSolarizeDlg Example for Visual Basic

ShowSpherizeDlg Example for Visual Basic

ShowStitchDlg Example for Visual Basic

ShowSwirlDlg Example for Visual Basic

ShowTextDlg Example for Visual Basic

ShowTransitionDlg Example for Visual Basic

ShowUnderlayDlg Example for Visual Basic

ShowUnsharpMaskDlg Example for Visual Basic

ShowWaveDlg Example for Visual Basic

ShowWaveShearDlg Example for Visual Basic

ShowWindDlg Example for Visual Basic

ShowWindowLevelDlg Example for Visual Basic

ShowZoomBlurDlg Example for Visual Basic

ShowZoomWaveDlg Example for Visual Basic

TypeIndex Example for Visual Basic


DlgFont Example for Visual Basic

Private Sub MotionBlur_Click()
Dim RasterProc As New LEADRasterProcess
Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim nRet As Integer
Dim DlgStr As String

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterImgEfxDlg.EnableZoomToFit = True

RasterImgEfxDlg.UIFlags = MOTIONBLUR_SHOW_PREVIEW + _
MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL

DlgStr = RasterKrnDlg.GetDlgString(MOTIONBLUR_IDSTR_CAPTION)
MsgBox DlgStr
RasterKrnDlg.SetDlgString MOTIONBLUR_IDSTR_CAPTION, "My Custom Caption"
RasterKrnDlg.DlgFont.Name = "Bones"
RasterKrnDlg.DlgFont.Size = 9
nRet = RasterImgEfxDlg.ShowMotionBlurDlg(hWnd)

If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
nRet = RasterProc.MotionBlur (LEADRasterView1.Raster , _
RasterImgEfxDlg.Dimension, _
RasterImgEfxDlg.Angle, _
RasterImgEfxDlg.EnableUniDirectional _
)
End If
End Sub


FileFormatsCount Example for Visual Basic

Private Sub FileSave_Click()
Dim RasterIO As New LEADRasterIO
Dim RasterKrnDlg As New LEADRasterDlgKrn
Dim RasterFileDlg As New LEADRasterDlgFile

RasterFileDlg.DialogTitle = "Save a File"

RasterFileDlg.InitialDir = "C:\"
RasterFileDlg.FileFormatsCount = 2

RasterFileDlg.FileFormats(0).Format = FF_SAVE_LEAD
RasterFileDlg.FileFormats(0).BitsPerPixelCount = 1
RasterFileDlg.FileFormats(0).BitsPerPixelFormat(0) = 24
RasterFileDlg.FileFormats(0).SubFormat(0) = FF_SAVE_SUB_CMP_NONPROGRESSIVE + FF_SAVE_SUB_CMP_PROGRESSIVE

RasterFileDlg.FileFormats(1).Format = FF_SAVE_TIFF
RasterFileDlg.FileFormats(1).BitsPerPixelCount = 1
RasterFileDlg.FileFormats(1).BitsPerPixelFormat(0) = 24
RasterFileDlg.FileFormats(1).SubFormat(0) = FF_SAVE_SUB_TIFF1_CCITT + FF_SAVE_SUB_TIFF1_CCITT_G3_1D + FF_SAVE_SUB_TIFF1_CCITT_G3_2D + FF_SAVE_SUB_TIFF1_CCITT_G4 + _
FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB + FF_SAVE_SUB_TIFF1_RLERGB + _
FF_SAVE_SUB_TIFF1_LZWRGB + FF_SAVE_SUB_TIFF1_JBIG

RasterFileDlg.UIFlags = SAVE_AUTOPROCESS + _
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE + _
SAVE_SHOW_FILEOPTIONS_MULTIPAGE + _
SAVE_SHOW_FILEOPTIONS_STAMP + _
SAVE_SHOW_FILEOPTIONS_QFACTOR + _
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS + _
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS
RasterFileDlg.Bitmap = LEADRasterView1.Raster
RasterFileDlg.ShowSaveDlg (hWnd)
End Sub


FileLoad Example for Visual Basic

Dim RasterKrnDlg As New LEADRasterDlgKrn
Dim WithEvents RasterFileDlg As LEADRasterDlgFile

Private Sub FileLoad_Click()
RasterFileDlg.DialogTitle = "LEADTOOLS Open dialog box"
RasterFileDlg.InitialDir = "c:\images"
RasterFileDlg.FileDlgFlags = OPEN_ALLOWMULTI
RasterFileDlg.UIFlags = OPEN_LOADBITMAP Or _
OPEN_SHOW_PROGRESSIVE Or _
OPEN_SHOW_MULTIPAGE Or _
OPEN_SHOW_LOADROTATED Or _
OPEN_SHOW_LOADCOMPRESSED Or _
OPEN_SHOW_FILEINFO Or _
OPEN_SHOW_PREVIEW Or _
OPEN_SHOW_DELPAGE Or _
OPEN_VIEWTOTALPAGES Or _
OPEN_GENERATETHUMBNAIL
RasterFileDlg.ShowOpenDlg (hWnd)
End Sub

Private Sub Form_Load()
Set RasterFileDlg = New LEADRasterDlgFile
RasterKrnDlg.InitDlg INIT_WITHOUT_COLOR
End Sub

Private Sub RasterFileDlg_FileLoad(ByVal iTotalPercent As Integer, ByVal FilePercent As Integer)
If (FilePercent = 100) Then
LEADRasterView1.Raster.Bitmap = RasterFileDlg.Bitmap
MsgBox RasterFileDlg.FileName
End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
RasterKrnDlg.FreeDlg
End Sub


FreeDlg Example for Visual Basic

nRet = RasterKrnDlg.FreeDlg()


InitDlg Example for Visual Basic

Dim RasterKrnDlg As New LEADRasterDlgKrn
Dim nRet As Integer
nRet = RasterKrnDlg.InitDlg(INIT_WITHOUT_COLOR)
If (nRet = 0) Then
MsgBox "Initialize Dialogs with Color Success"
End If


JBIG2GBATX1 Example for Visual Basic

Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

LEADRasterView1.Raster.UnlockSupport L_SUPPORT_JBIG2, L_KEY_JBIG2

RasterIO.Load LEADRasterView1.Raster, "c:\1.jpg", 0, 0, 1

RasterFileDlg.Bitmap = LEADRasterView1.Raster .Bitmap
RasterFileDlg.UIFlags = SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS
nRet = RasterFileDlg.ShowSaveDlg (hWnd)

If (nRet = 0 And RasterFileDlg.DialogStatus = DLG_OK) Then

RasterIO.JBIG2TemplateType = RasterFileDlg.JBIG2TemplateType
RasterIO.JBIG2GBATX1 = RasterFileDlg.JBIG2GBATX1
RasterIO.JBIG2GBATY1 = RasterFileDlg.JBIG2GBATY1
RasterIO.JBIG2GBATX2 = RasterFileDlg.JBIG2GBATX2
RasterIO.JBIG2GBATY2 = RasterFileDlg.JBIG2GBATY2
RasterIO.JBIG2GBATX3 = RasterFileDlg.JBIG2GBATX3
RasterIO.JBIG2GBATY3 = RasterFileDlg.JBIG2GBATY3
RasterIO.JBIG2GBATX4 = RasterFileDlg.JBIG2GBATX4
RasterIO.JBIG2GBATY4 = RasterFileDlg.JBIG2GBATY4
RasterIO.JBIG2SaveFlags = RasterFileDlg.JBIG2SaveFlags

RasterIO.Save LEADRasterView1.Raster, "c:\1.jp2", FILE_JBIG, 1, QFACTOR_LEAD_0, 0
End If


OptionsFileType Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim nRet As Integer

Private Sub FileOption_Click()
RasterFileDlg.DialogTitle = "LEADTOOLS Open dialog box"
RasterFileDlg.InitialDir = "c:\images"
RasterFileDlg.FileDlgFlags = 0
RasterFileDlg.EnableShowPreview = True
RasterFileDlg.EnableShowLoadOptions = True
RasterFileDlg.LoadRotated = False
RasterFileDlg.LoadCompressed = False
RasterFileDlg.LoadPasses = 0

RasterFileDlg.UIFlags = OPEN_SHOW_PROGRESSIVE Or _
OPEN_SHOW_MULTIPAGE Or _
OPEN_SHOW_LOADROTATED Or _
OPEN_SHOW_LOADCOMPRESSED Or _
OPEN_SHOW_FILEINFO Or _
OPEN_SHOW_PREVIEW Or _
OPEN_SHOW_DELPAGE Or _
OPEN_SHOW_PDFOPTIONS Or _
OPEN_SHOW_RASTEROPTIONS Or _
OPEN_SHOW_VECTOROPTIONS Or _
OPEN_SHOW_LOADOPTIONS Or _
OPEN_VIEWTOTALPAGES Or _
OPEN_LOADBITMAP Or _
OPEN_GENERATETHUMBNAIL

RasterFileDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterFileDlg.ShowOpenDlg (hWnd)
Dim i As Integer
If (nRet = 0 And RasterFileDlg.DialogStatus = DLG_OK) Then

Select Case RasterFileDlg.OptionsFileType
Case FILE_PCD:
Text1.Text = CStr(RasterFileDlg.PCDResolution)
Case FILE_RAS_PDF, _
FILE_RAS_PDF_G3_1D, _
FILE_RAS_PDF_G3_2D, _
FILE_RAS_PDF_G4, _
FILE_RAS_PDF_JPEG, _
FILE_RAS_PDF_JPEG_422, _
FILE_RAS_PDF_JPEG_411:

Text1.Text = CStr(RasterFileDlg.PDFXResolution)
Text2.Text = CStr(RasterFileDlg.PDFYResolution)
Text3.Text = CStr(RasterFileDlg.PDFDisplayDepth)
Text4.Text = CStr(RasterFileDlg.PDFTextAlpha)
Text5.Text = CStr(RasterFileDlg.PDFGraphicsAlpha)

Case FILE_FPX, _
FILE_FPX_SINGLE_COLOR, _
FILE_FPX_JPEG, _
FILE_FPX_JPEG_QFACTOR, _
FILE_CMW, _
FILE_JBIG, _
FILE_JP2, _
FILE_J2K:

Text1.Text = CStr(RasterFileDlg.RasterXResolution)
Text2.Text = CStr(RasterFileDlg.RasterYResolution)

Case FILE_WMF, _
FILE_EMF:

Text1.Text = CStr(RasterFileDlg.WMFXResolution)
Text2.Text = CStr(RasterFileDlg.WMFYResolution)

Case FILE_DWF, _
FILE_CGM, _
FILE_PCD, _
FILE_VECTOR_DUMP, _
FILE_DRW, _
FILE_INTERGRAPH_VECTOR, _
FILE_GERBER:

Text1.Text = CStr(RasterFileDlg.VectorViewportWidth)
Text2.Text = CStr(RasterFileDlg.VectorViewportHeight)
Text3.Text = CStr(RasterFileDlg.VectorViewportMode)
Text4.Text = RasterFileDlg.VectorFont

Case FILE_DXF, _
FILE_DWG:

Text1.Text = CStr(RasterFileDlg.DXFViewportWidth)
Text2.Text = CStr(RasterFileDlg.DXFViewportHeight)
Text3.Text = CStr(RasterFileDlg.DXFViewportMode)
Text4.Text = RasterFileDlg.DXFFont
Text5.Text = CStr(RasterFileDlg.DXFAutoCADColorScheme)

Case FILE_PLT:
Text1.Text = CStr(RasterFileDlg.PLTViewportWidth)
Text2.Text = CStr(RasterFileDlg.PLTViewportHeight)
Text3.Text = CStr(RasterFileDlg.PLTViewportMode)
Text4.Text = RasterFileDlg.PLTFont
Text5.Text = "[ " + CStr(RasterFileDlg.PLTPenWidth (0))
Text6.Text = "[ " + CStr(RasterFileDlg.PLTPenColor (0))

For i = 1 To 7
Text5.Text = Text5.Text + ", " + CStr(RasterFileDlg.PLTPenWidth(i))
Text6.Text = Text6.Text + ", " + CStr(RasterFileDlg.PLTPenColor(i))
Next i

Text5.Text = Text5.Text + " ]"
Text6.Text = Text6.Text + " ]"
End Select
End If
End Sub


SaveJ2KUseColorTransform Example for Visual Basic

Dim nRet As Integer
Dim RasterIO As New LEADRasterIO
Dim LEADDlgFile1 As New LEADRasterDlgFile
LEADDlgFile1.DialogTitle = "Save a File"
LEADDlgFile1.FileDlgFlags = 0
LEADDlgFile1.InitialDir = "C:\"
LEADDlgFile1.UIFlags = SAVE_SHOW_FILEOPTIONS_PROGRESSIVE Or _
SAVE_SHOW_FILEOPTIONS_MULTIPAGE Or _
SAVE_SHOW_FILEOPTIONS_STAMP Or _
SAVE_SHOW_FILEOPTIONS_QFACTOR Or _
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS Or _
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS
LEADDlgFile1.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = LEADDlgFile1.ShowSaveDlg (hWnd)
If (nRet = 0 And LEADDlgFile1.DialogStatus = DLG_OK) Then
If (LEADDlgFile1.SaveFormat = FILE_J2K) Or (LEADDlgFile1.SaveFormat = FILE_JP2) Then
RasterIO.J2KUseColorTransform = LEADDlgFile1.SaveJ2KUseColorTransform
RasterIO.J2KDerivedQuantization = LEADDlgFile1.SaveJ2KDerivedQuantization
RasterIO.J2KCompressionControl = LEADDlgFile1.SaveJ2KCompressionControl
RasterIO.J2KCompressionRatio = LEADDlgFile1.SaveJ2KCompressionRatio
RasterIO.J2KTargetFileSize = LEADDlgFile1.SaveJ2KTargetFileSize
RasterIO.J2KXOsiz = LEADDlgFile1.SaveJ2KXOsiz
RasterIO.J2KYOsiz = LEADDlgFile1.SaveJ2KYOsiz
RasterIO.J2KXTsiz = LEADDlgFile1.SaveJ2KXTsiz
RasterIO.J2KYTsiz = LEADDlgFile1.SaveJ2KYTsiz
RasterIO.J2KXTOsiz = LEADDlgFile1.SaveJ2KXTOsiz
RasterIO.J2KYTOsiz = LEADDlgFile1.SaveJ2KYTOsiz
RasterIO.J2KDecompLevel = LEADDlgFile1.SaveJ2KDecompLevel
RasterIO.J2KProgressOrder = LEADDlgFile1.SaveJ2KProgressOrder
RasterIO.J2KCodBlockWidth = LEADDlgFile1.SaveJ2KCodBlockWidth
RasterIO.J2KCodBlockHeight = LEADDlgFile1.SaveJ2KCodBlockHeight
RasterIO.J2KCBS_SelectiveACBypass = LEADDlgFile1.SaveJ2KCBS_SelectiveACBypass
RasterIO.J2KCBS_ResetContextOnBoundaries = LEADDlgFile1.SaveJ2KCBS_ResetContextOnBoundaries
RasterIO.J2KCBS_TerminationOnEachPass = LEADDlgFile1.SaveJ2KCBS_TerminationOnEachPass
RasterIO.J2KCBS_VerticallyCausalContext = LEADDlgFile1.SaveJ2KCBS_VerticallyCausalContext
RasterIO.J2KCBS_PredictableTermination = LEADDlgFile1.SaveJ2KCBS_PredictableTermination
RasterIO.J2KCBS_ErrorResilienceSymbol = LEADDlgFile1.SaveJ2KCBS_ErrorResilienceSymbol
RasterIO.J2KGuardBits = LEADDlgFile1.SaveJ2KGuardBits
RasterIO.J2KDerivedBaseMantissa = LEADDlgFile1.SaveJ2KDerivedBaseMantissa
RasterIO.J2KDerivedBaseExponent = LEADDlgFile1.SaveJ2KDerivedBaseExponent
RasterIO.J2KUseSOPMarker = LEADDlgFile1.SaveJ2KUseSOPMarker
RasterIO.J2KUseEPHMarker = LEADDlgFile1.SaveJ2KUseEPHMarker

RasterIO.Save LEADRasterView1.Raster , _
LEADDlgFile1.FileName, _
LEADDlgFile1.SaveFormat, _
LEADDlgFile1.SaveBitsPerPixel, _
LEADDlgFile1.SaveQFactor, _
LEADDlgFile1.SaveMulti

End If
End If
End Sub


SaveQFactor Example for Visual Basic

Dim RasterKrnDlg As New LEADRasterDlgKrn
Dim RasterFileDlg As New LEADRasterDlgFile
Dim RasterIO As New LEADRasterIO

Private Sub Form_Load()
LEADRasterView1.Raster.UnlockSupport L_SUPPORT_J2K, L_KEY_J2K
RasterIO.Load LEADRasterView1.Raster, "c:\parrots.jpg", 0, 0, 1
RasterKrnDlg.InitDlg INIT_WITHOUT_COLOR
End Sub

Private Sub Save_Click()
Dim nRet As Integer

RasterFileDlg.DialogTitle = "Save a File"
RasterFileDlg.FileDlgFlags = 0
RasterFileDlg.InitialDir = "C:\"
RasterFileDlg.SaveMulti = MULTIPAGE_OVERWRITE
RasterFileDlg.UIFlags = SAVE_SHOW_FILEOPTIONS_PROGRESSIVE Or _
SAVE_SHOW_FILEOPTIONS_MULTIPAGE Or _
SAVE_SHOW_FILEOPTIONS_STAMP Or _
SAVE_SHOW_FILEOPTIONS_QFACTOR Or _
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS Or _
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS

RasterFileDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterFileDlg.ShowSaveDlg(hWnd)

If (nRet = 0) Then
If ((RasterFileDlg.SaveFormat = FILE_J2K) Or (RasterFileDlg.SaveFormat = FILE_JP2)) Then
RasterIO.J2KUseColorTransform = RasterFileDlg.SaveJ2KuseColorTransform
RasterIO.J2KDerivedQuantization = RasterFileDlg.SaveJ2KderivedQuantization
RasterIO.J2KCompressionControl = RasterFileDlg.SaveJ2KcompressionControl
RasterIO.J2KCompressionRatio = RasterFileDlg.SaveJ2KcompressionRatio
RasterIO.J2KTargetFileSize = RasterFileDlg.SaveJ2KtargetFileSize
RasterIO.J2KXOsiz = RasterFileDlg.SaveJ2KXOsiz
RasterIO.J2KYOsiz = RasterFileDlg.SaveJ2KYOsiz
RasterIO.J2KXTsiz = RasterFileDlg.SaveJ2KXTsiz
RasterIO.J2KYTsiz = RasterFileDlg.SaveJ2KYTsiz
RasterIO.J2KXTOsiz = RasterFileDlg.SaveJ2KXTOsiz
RasterIO.J2KYTOsiz = RasterFileDlg.SaveJ2KYTOsiz
RasterIO.J2KDecompLevel = RasterFileDlg.SaveJ2KDecompLevel
RasterIO.J2KProgressOrder = RasterFileDlg.SaveJ2KprogressOrder
RasterIO.J2KCodBlockWidth = RasterFileDlg.SaveJ2KcodBlockWidth
RasterIO.J2KCodBlockHeight = RasterFileDlg.SaveJ2KcodBlockHeight
RasterIO.J2KCBS_SelectiveACBypass = RasterFileDlg.SaveJ2KCBS_SelectiveACBypass
RasterIO.J2KCBS_ResetContextOnBoundaries = RasterFileDlg.SaveJ2KCBS_ResetContextOnBoundaries
RasterIO.J2KCBS_TerminationOnEachPass = RasterFileDlg.SaveJ2KCBS_TerminationOnEachPass
RasterIO.J2KCBS_VerticallyCausalContext = RasterFileDlg.SaveJ2KCBS_VerticallyCausalContext
RasterIO.J2KCBS_PredictableTermination = RasterFileDlg.SaveJ2KCBS_PredictableTermination
RasterIO.J2KCBS_ErrorResilienceSymbol = RasterFileDlg.SaveJ2KCBS_ErrorResilienceSymbol
RasterIO.J2KGuardBits = RasterFileDlg.SaveJ2KguardBits
RasterIO.J2KDerivedBaseMantissa = RasterFileDlg.SaveJ2KderivedBaseMantissa
RasterIO.J2KDerivedBaseExponent = RasterFileDlg.SaveJ2KderivedBaseExponent
RasterIO.J2KUseSOPMarker = RasterFileDlg.SaveJ2KUseSOPMarker
RasterIO.J2KUseEPHMarker = RasterFileDlg.SaveJ2KUseEPHMarker

RasterIO.Save LEADRasterView1.Raster, RasterFileDlg.FileName, _
RasterFileDlg.SaveFormat, _
RasterFileDlg.SaveBitsPerPixel, _
RasterFileDlg.SaveQFactor, _
RasterFileDlg.SaveMulti

End If
End If
End Sub

Private Sub Form_Unload(Cancel As Integer)
RasterKrnDlg.FreeDlg
End Sub


ShowAddBitmapsDlg Example for Visual Basic

   Dim Raster As New LEADRaster
Dim RasterIO As New LEADRasterIO
Dim RasterProc   As New LEADRasterProcess
Dim RasterImgEfxDlg   As New LEADRasterDlgImgEfx
Dim nRet As Integer
Dim i As Integer

Private Sub Addbitmaps_Click()
RasterImgEfxDlg.ItemsCount = 3
RasterImgEfxDlg.ItemFileName (0) =  'e:\image1.jpg'"
RasterImgEfxDlg.ItemFileName(1) = 'e:\image2.jpg'"
RasterImgEfxDlg.ItemFileName(2) = 'e:\image3.jpg'"

For i = 0 To RasterColorDlg.ItemsCount - 1
RasterIO.Load
  Raster, RasterColorDlg.ItemFileName (i), 0, 0, 1
RasterImgEfxDlg.ItemDescription(i) = RasterColorDlg.ItemFileName(i)
RasterImgEfxDlg.ItemBitmap(i) = Raster.Bitmap
Next i

RasterImgEfxDlg.UIFlags = ADDBITMAPS_SHOW_PREVIEW Or _
ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowAddBitmapsDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then

If (LEADDlgImgEffect1.SelectedBitmapsCount > 0) Then
LEADRasterView1.Raster.BitmapList = RasterImgEfxDlg.SelectedBitmap List
End If
End If
End Sub


ShowAddBorderDlg Example for Visual Basic

Dim RasterImgDlg As New LEADRasterDlgImg
Dim RasterProc As New LEADRasterProcess
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer
Dim i As Integer

Private Sub AddBorder_Click()
Dim SelectedRaster As New LEADRaster
RasterImgDlg.ItemsCount = 3
RasterImgDlg.ItemFileName(0) = "c:\Image1.bmp"
RasterImgDlg.ItemFileName(1) = "c:\Image2.cmp"
RasterImgDlg.ItemFileName(2) = "c:\ Image3.jpg"

For i = 0 To RasterImgDlg.ItemsCount - 1
RasterImgDlg.ItemDescription(i) = RasterImgDlg.ItemFileName(i)
RasterIO.Load LEADRasterView1.Raster , RasterImgDlg.ItemFileName(i), 0, 0, 1
RasterImgDlg.ItemBitmap(i) = LEADRasterView1.Raster.Bitmap
Next i

RasterImgDlg.UIFlags = ADDBORDER_SHOW_PREVIEW Or _
ADDBORDER_SHOW_TOOL_ZOOMLEVEL Or _
ADDBORDER_SHOW_TOOL_SHOWEFFECT Or _
ADDBORDER_SHOW_TOOL_ONSCREEN Or _
ADDBORDER_SHOW_TOOL_RESET
RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowAddBorderDlg(hWnd)
SelectedRaster.Bitmap = RasterImgDlg.SelectedBitmap
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
RasterProc.AddBorder LEADRasterView1.Raster, _
RasterImgDlg.LeftThickness, _
RasterImgDlg.TopThickness, _
RasterImgDlg.RightThickness, _
RasterImgDlg.BottomThickness, _
RasterImgDlg.Location, _
RasterImgDlg.BorderStyle, _
RasterImgDlg.EffectStyle, _
SelectedRaster, _
RasterImgDlg.GradientStyle, _
RasterImgDlg.GradientStartColor, _
RasterImgDlg.GradientEndColor, _
RasterImgDlg.CurveIntensity, _
RasterImgDlg.EnableSoftCurve, _
RasterImgDlg.EnableShadow, _
RasterImgDlg.ShadowSize, _
RasterImgDlg.ShadowDirection, _
RasterImgDlg.EnableBumpyShadow
End If
End Sub


ShowAddFrameDlg Example for Visual Basic

Dim RasterImgDlg As New LEADRasterDlgImg
Dim RasterProc As New LEADRasterProcess
Dim Raster As New LEADRaster
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer
Dim i As Integer
Dim SelectedRaster As New LEADRaster

RasterImgDlg.ItemsCount = 3
RasterImgDlg.ItemFileName (0) = "e:\1.bmp"
RasterImgDlg.ItemFileName(1) = "e:\2.bmp"
RasterImgDlg.ItemFileName(2) = "e:\3.bmp"

For i = 0 To RasterImgDlg.ItemsCount - 1
RasterIO.Load Raster, RasterImgDlg.ItemFileName(0), 0, 0, 1
RasterImgDlg.ItemDescription (i) = RasterImgDlg.ItemFileName(i)
RasterImgDlg.ItemBitmap (i) = Raster.Bitmap
Next i

RasterImgDlg.SelectedBitmap Index = 0

RasterImgDlg.UIFlags = ADDFRAME_SHOW_PREVIEW Or _
ADDFRAME_SHOW_TOOL_ZOOMLEVEL Or _
ADDFRAME_SHOW_TOOL_SHOWEFFECT Or _
ADDFRAME_SHOW_TOOL_ONSCREEN Or _
ADDFRAME_SHOW_TOOL_RESET

RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowAddBorderDlg (hWnd)
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
SelectedRaster.Bitmap = RasterImgDlg.SelectedBitmap
RasterProc.AddFrame LEADRasterView1.Raster , _
SelectedRaster, _
RasterImgDlg.EnableKeepFrameState, _
RasterImgDlg.EnableUseMask, _
RasterImgDlg.MaskColor, _
RasterImgDlg.SmoothEdge, _
RasterImgDlg.Location, _
RasterImgDlg.Quality
End If
End Sub


ShowAddNoiseDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub AddNoise_Click()
RasterImgEfxDlg.Channel = CHANNEL_MASTER
RasterImgEfxDlg.UIFlags = ADDNOISE_SHOW_PREVIEW Or _
ADDNOISE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowAddNoiseDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.AddNoise
  LEADRasterView1.Raster , RasterImgEfxDlg.Range, _
RasterImgEfxDlg.Channel
End If
End Sub


ShowAntiAliasDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub AntiAliasFilter_Click()
RasterImgEfxDlg.UIFlags = ANTIALIAS_SHOW_PREVIEW + _
ANTIALIAS_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowAntiAliasDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.AntiAlias
  LEADRasterView1.Raster , RasterImgEfxDlg.Threshold, _
RasterImgEfxDlg.Dimension, _
RasterImgEfxDlg.AntiAliasFilterType
End If
End Sub


ShowAutoTrimDlg Example for Visual Basic

Dim RasterImgDlg As New LEADRasterDlgImg
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

Private Sub AutoTrim_Click()
RasterImgDlg.UIFlags = AUTOTRIM_SHOW_PREVIEW
RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowAutoTrimDlg (hWnd)
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
RasterProc.AutoTrim LEADRasterView1.Raster , RasterImgDlg.Threshold
End If
End Sub


ShowAverageDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Average_Click()
RasterImgEfxDlg.UIFlags = AVERAGE_SHOW_PREVIEW + _
AVERAGE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowAverageDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Average
  LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowBalanceColorsDlg Example for Visual Basic

Dim WithEvents RasterColorDlg As LEADRasterDlgClr
Dim nRet As Integer

Private Sub BalanceColor_Click()
RasterColorDlg.EnableZoomToFit = False
RasterColorDlg.UIFlags = BALANCECOLORS_SHOW_PREVIEW Or _
BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterColorDlg.EnableMethodErrors = False
nRet = RasterColorDlg.ShowBalanceColorsDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus) Then
RasterProc.BalanceColors LEADRasterView1.Raster , RasterColorDlg.RedToRed, RasterColorDlg.RedToGreen, RasterColorDlg.RedToBlue, _
RasterColorDlg.GreenToRed, RasterColorDlg.GreenToGreen, RasterColorDlg.GreenToBlue, _
RasterColorDlg.BlueToRed, RasterColorDlg.BlueToGreen, RasterColorDlg.BlueToBlue
End If
End Sub

Private Sub RasterColorDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom
Case HELP_BALANCECOLORS
MsgBox "Help from BalanceColors dialog"

Case HELP_COLOREDGRAY
MsgBox "Help from ColoredGray dialog"

Case HELP_GRAYSCALE
MsgBox "Help from GrayScale dialog"

Case HELP_REMAPHUE
MsgBox "Help from RemapHue dialog"

Case HELP_REMAPINTENSITY
MsgBox "Help from RemapUntensity dialog"
End Select

End Sub


ShowBendingDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Bending_Click()
RasterImgEfxDlg.UIFlags = BENDING_SHOW_PREVIEW Or _
BENDING_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowBendingDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus) Then
RasterImgEfxDlg.Bending RasterImgEfxDlg.Value, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowBorderRemoveDlg Example for Visual Basic

Dim RasterImgDocDlg As New LEADRasterDlgImgDoc
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub BorderRemove_Click()
RasterImgDocDlg.BorderRemove.WhiteNoiseLength= 9
RasterImgDocDlg.BorderRemove.BorderPercent= 20
RasterImgDocDlg.BorderRemove.Variance = 3
RasterImgDocDlg.BorderRemove.BorderToRemove = BORDER_LEFT
RasterImgDocDlg.BorderRemove.Flags= BORDER_USE_VARIANCE
RasterImgDocDlg.UIFlags = BORDERREMOVE_AUTOPROCESS Or _
BORDERREMOVE_SHOW_PREVIEW Or _
BORDERREMOVE_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap = LEADRasterView1.Raster .Bitmap
RasterImgDocDlg.ShowBorderRemoveDlg(hWnd)
End Sub


ShowBrightnessDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Brightness_Click()
RasterColorDlg.UIFlags = BRIGHTNESS_SHOW_PREVIEW Or _
BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowBrightnessDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus) Then
RasterProcIntensity
  LEADRasterView1.Raster , RasterColorDlg.Change
End If
End Sub


ShowCanvasResizeDlg Example for Visual Basic

Dim RasterImgDlg As New LEADRasterDlgImg
Dim nRet As Integer

Private Sub CanvasResize_Click()

RasterImgDlg.CurrentWidth = LEADRasterView1.Raster.BitmapWidth
RasterImgDlg.CurrentHeight = LEADRasterView1.Raster.BitmapHeight
RasterImgDlg.BackColor = RGB(255, 255, 255)
RasterImgDlg.UIFlags = CANVASRESIZE_SHOW_CURRENT_HEIGHT Or _
CANVASRESIZE_SHOW_CURRENT_WIDTH Or _
CANVASRESIZE_SHOW_HORIZPOS Or _
CANVASRESIZE_SHOW_VIRTZPOS Or _
CANVASRESIZE_SHOW_BACKCOLOR Or _
CANVASRESIZE_SHOW_KEEPASPECT Or _
CANVASRESIZE_AUTOPROCESS

RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowCanvasResizeDlg (hWnd)
End Sub


ShowColorDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Color_Click()
RasterColorDlg.UIFlags = COLOR_SHOW_OLDCOLOR Or _
COLOR_SHOW_NEWCOLOR Or _
COLOR_SHOW_NAME Or _
COLOR_COLORSPACE_SHOW_HUE Or _
COLOR_COLORSPACE_SHOW_BRIGHTNESS Or _
COLOR_COLORSPACE_SHOW_WHEEL Or _
COLOR_COLORSPACE_SHOW_RGB Or _
COLOR_COLORSPACE_SHOW_CMY Or _
COLOR_COLORSPACE_SHOW_CMYK Or _
COLOR_COLORSPACE_SHOW_LAB Or _
COLOR_COLORMODEL_SHOW_RGB Or _
COLOR_COLORMODEL_SHOW_HSB Or _
COLOR_COLORMODEL_SHOW_HLS Or _
COLOR_COLORMODEL_SHOW_CMY Or _
COLOR_COLORMODEL_SHOW_CMYK Or _
COLOR_COLORMODEL_SHOW_LAB

RasterColorDlg.SelectedColor = RGB(255, 255, 255)
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowColorDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Fill LEADRasterView1.Raster , RasterColorDlg.SelectedColor
End If

End Sub


ShowColoredGrayDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub ColorGray_Click()
RasterColorDlg.RedFactor = 400
RasterColorDlg.GreenFactor = 300
RasterColorDlg.BlueFactor = 300
RasterColorDlg.RedGrayFactor = 400
RasterColorDlg.GreenGrayFactor = 300
RasterColorDlg.BlueGrayFactor = 300
RasterColorDlg.UIFlags = COLOREDGRAY_SHOW_PREVIEW Or _
COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowColoredGrayDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.ConvertToColoredGray
  LEADRasterView1.Raster , _
RasterColorDlg.RedFactor, _
RasterColorDlg.GreenFactor, _
RasterColorDlg.BlueFactor, _
RasterColorDlg.RedGrayFactor, _
RasterColorDlg.GreenGrayFactor, _
RasterColorDlg.BlueGrayFactor
End If
End Sub


ShowColorResDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub ColorRes_Click()
RasterColorDlg.ClrResFlags = COLORRES_SHOW_BITALL Or _
COLORRES_SHOW_DITHER_ALL Or _
COLORRES_SHOW_PAL_ALL _

RasterColorDlg.UIFlags = COLORRES_SHOW_PREVIEW Or _
COLORRES_SHOW_OPENPALFILE Or _
COLORRES_SHOW_ORDER Or _
COLORRES_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterColorDlg.ShowColorResDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.ColorRes LEADRasterView1.Raster , RasterColorDlg.BitsPerPixel, _
RasterColorDlg.PaletteFlags, _
RasterColorDlg.DitherFlags, _
0
End If
End Sub


ShowContourFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Contour_Click()
RasterImgEfxDlg.MaxError = 5
RasterImgEfxDlg.DeltaDirection = 5
RasterImgEfxDlg.ContourOption = CONTOUR_LINK_COLOR
RasterImgEfxDlg.Threshold = 5
RasterImgEfxDlg.ContourOptionFlags = CONTOURFILTER_SHOW_OPTION_ALL
RasterImgEfxDlg.UIFlags = CONTOURFILTER_SHOW_PREVIEW Or _
CONTOURFILTER_SHOW_DELTADIRECTION Or _
CONTOURFILTER_SHOW_MAXIMUMERROR Or _
CONTOURFILTER_SHOW_OPTION Or _
CONTOURFILTER_SHOW_THRESHOLD Or _
CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowContourFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.ContourFilter LEADRasterView1.Raster , RasterImgEfxDlg.Threshold, _
RasterImgEfxDlg.DeltaDirection, _
RasterImgEfxDlg.MaxError, _
RasterImgEfxDlg.ContourOption
End If
End Sub


ShowContrastDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Contrast_Click()
RasterColorDlg.UIFlags = CONTRAST_SHOW_PREVIEW Or _
CONTRAST_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowContrastDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Contrast
  LEADRasterView1.Raster , RasterColorDlg.Change
End If
End Sub


ShowCustomizePaletteDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Dim i As Integer

Private Sub CustomizePalette_Click()
RasterColorDlg.UserPaletteCount = 256
For i = 0 To 255
RasterColorDlg.UserPalette (i) = RGB(i, i, i)
Next i

RasterColorDlg.UIFlags = CUSTOMIZEPALETTE_SHOW_SORT Or _
CUSTOMIZEPALETTE_SHOW_FINDCLOSEST Or _
CUSTOMIZEPALETTE_SHOW_ADDOPTION Or _
CUSTOMIZEPALETTE_SHOW_REMOVEOPTION Or _
CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN Or _
CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN Or _
CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN Or _
CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN Or _
CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN Or _
CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN Or _
CUSTOMIZEPALETTE_SHOW_NEW Or _
CUSTOMIZEPALETTE_SHOW_OPEN Or _
CUSTOMIZEPALETTE_SHOW_SAVE Or _
CUSTOMIZEPALETTE_SHOW_SAVEAS Or _
CUSTOMIZEPALETTE_GENERATE_PALETTE

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterColorDlg.ShowCustomizePaletteDlg (Main.hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then

If (RasterColorDlg.ApplyPaletteWhenExit) Then
MsgBox "True"
Else
MsgBox "False"
End If
For i = 0 To 255
RasterProc.UserPalette(i) = RasterColorDlg.GeneratedPalette (i)
Next i
End If
End Sub


ShowCylindricalDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Cylindrical_Click()
RasterImgEfxDlg.UIFlags = CYLINDRICAL_SHOW_PREVIEW Or _
CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowCylindricalDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Cylindrical LEADRasterView1.Raster , RasterImgEfxDlg.Value, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowDilationFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Dilation_Click()
RasterImgEfxDlg.UIFlags = DILATIONFILTER_SHOW_PREVIEW Or _
DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowDilationFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.BinaryFilter LEADRasterView1.Raster , RasterImgEfxDlg.BinaryFilterType
End If
End Sub


ShowDirectoryDlg Example for Visual Basic

Dim WithEvents RasterFileDlg As LEADRasterDlgFile
Dim nRet As Integer

Private Sub Directory_Click()
RasterFileDlg.Directory = "c:\images\"
RasterFileDlg.Filter = "ALL|*.*|LEAD|*.cmp|JPEG|*.JPG"
RasterFileDlg.FilterIndex = 1
RasterFileDlg.DialogTitle = "Select a Directory Please"
RasterFileDlg.EnableMethodErrors = False

nRet = RasterFileDlg.ShowDirectoryDlg (hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
MsgBox RasterFileDlg.Directory
End If
End Sub

Private Sub RasterFileDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom

Case HELP_FILESASSOCIATION
MsgBox "'Help from FilesAssociation dialog "

Case HELP_OPEN
MsgBox " Help from Open dialog"

Case HELP_FILESASSOCIATION
MsgBox "'Help from FilesAssociation dialog "

Case HELP_SAVE
MsgBox " Help from Save dialog "

Case HELP_FILECONVERSION
MsgBox " 'Help from FileConversion dialog "

Case HELP_PRINTPREVIEW
MsgBox " Help from PrintPreview dialog "

Case HELP_PRINTSTITCHEDIMAGES
MsgBox " Help from PrintStitchedImages dialog "

End Select
End Sub


ShowDotRemoveDlg Example for Visual Basic

Dim RasterImgDocDlg As New LEADRasterDlgImgDoc
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub DotRemove_Click()
RasterImgDocDlg.DotRemove.MinDotWidth = 6
RasterImgDocDlg.DotRemove.MinDotHeight = 6
RasterImgDocDlg.DotRemove.MaxDotWidth = 8
RasterImgDocDlg.DotRemove.MaxDotHeight = 8
RasterImgDocDlg.DotRemove.Flags = DOT_USE_DIAGONALS Or DOT_USE_DPI

RasterImgDocDlg.WhiteAreaColor= RGB(255, 0, 0)
RasterImgDocDlg.BlackAreaColor= RGB(0, 0, 255)
RasterImgDocDlg.UIFlags = DOTREMOVE_AUTOPROCESS Or _
DOTREMOVE_SHOW_PREVIEW Or _
DOTREMOVE_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterImgDocDlg.ShowDotRemoveDlg(hWnd)
End Sub


ShowEdgeDetectorDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer
Private Sub EdgeDetector_Click()
RasterImgEfxDlg.UIFlags = EDGEDETECTOR_SHOW_PREVIEW Or _
EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowEdgeDetectorDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.EdgeDetector
   LEADRasterView1.Raster , RasterImgEfxDlg.Threshold, _
RasterImgEfxDlg.EdgeDetectionFilterType
End If
End Sub


ShowEffectDlg Example for Visual Basic

Dim RasterEfxDlg As New LEADRasterDlgEfx
Dim nRet As Integer

Private Sub Effect_Click()
RasterEfxDlg.Effect.EffectStyle = EFX_EFFECT_BLIND_CLASS
RasterEfxDlg.Effect.Grain = 5
RasterEfxDlg.Effect.Delay = 50
RasterEfxDlg.Effect.MaxPass = 1
RasterEfxDlg.Effect.Transparent = False
RasterEfxDlg.Effect.TransparentColor = RGB(0, 0, 0)
RasterEfxDlg.Effect.WandThickness = 3
RasterEfxDlg.Effect.WandColor = RGB(255, 0, 0)
RasterEfxDlg.UIFlags = EFFECT_SHOW_PREVIEW Or _
EFFECT_DELAY Or _
EFFECT_GRAIN Or _
EFFECT_PASSES Or _
EFFECT_TRANSPARENT Or _
EFFECT_WAND Or _
EFFECT_CLASS_WIPE Or _
EFFECT_CLASS_WIPERECT Or _
EFFECT_CLASS_WIPECIRCLE Or _
EFFECT_CLASS_PUSH Or _
EFFECT_CLASS_SLIDE Or _
EFFECT_CLASS_ROLL Or _
EFFECT_CLASS_ROTATE Or _
EFFECT_CLASS_ZOOM Or _
EFFECT_CLASS_DRIP Or _
EFFECT_CLASS_BLIND Or _
EFFECT_CLASS_RANDOM Or _
EFFECT_CLASS_CHECK Or _
EFFECT_CLASS_BLOCKS Or _
EFFECT_CLASS_CIRCLE Or _
EFFECT_CLASS_ELLIPSE

RasterEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterEfxDlg.ShowEffectDlg (hWnd)
If (nRet = 0 And RasterEfxDlg.DialogStatus = DLG_OK) Then
LEADRasterView1.AutoRepaint = False
LEADRasterView1.BackErase = True
LEADRasterView1.EffectGrain = RasterEfxDlg.Effect.Grain
LEADRasterView1.EffectDelay = RasterEfxDlg.Effect.Delay
LEADRasterView1.WandSize = RasterEfxDlg.Effect.WandThickness
LEADRasterView1.WandColor = RasterEfxDlg.Effect.WandColor 'Yellow Wand
LEADRasterView1.PaintEffect = RasterEfxDlg.Effect.EffectStyle
LEADRasterView1.ForceRepaint
End If
End Sub


ShowEmbossDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Emboss_Click()
RasterImgEfxDlg.Direction= EMBOSS_S
RasterImgEfxDlg.UIFlags = EMBOSS_SHOW_PREVIEW Or _
EMBOSS_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowEmbossDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Emboss LEADRasterView1.Raster , RasterImgEfxDlg.Direction, _
RasterImgEfxDlg.Depth
End If
End Sub


ShowErosionFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Erosion_Click()
RasterImgEfxDlg.UIFlags = EROSIONFILTER_SHOW_PREVIEW Or _
EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowErosionFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.BinaryFilter LEADRasterView1.Raster , RasterImgEfxDlg.BinaryFilterType
End If
End Sub


ShowFileConversionDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

Private Sub FileConversion_Click()
RasterFileDlg.OverWriteFlags = FILECONVERSION_OVERWRITE_SKIP
RasterFileDlg.FileFormatsCount = 0
RasterFileDlg.DestinationPath = "c:\output"
RasterFileDlg.EnableLogReport = True
RasterFileDlg.EnableRemoveSourceFile = False
RasterFileDlg.EnableShowFullPath = True
RasterFileDlg.UseOriginalFolder = True
RasterFileDlg.SourceFileList = "C:\images\Image1.jpg|C:\images\Image2.jpg|C:\images\Image3.jpg|C:\images\Image4.jpg|"
RasterFileDlg.UIFlags = FILECONVERSION_SHOW_PREVIEW Or _
FILECONVERSION_SHOW_LOADOPTIONS Or _
FILECONVERSION_SHOW_FILEINFO Or _
FILECONVERSION_SHOW_PREVIEW_PAGES Or _
FILECONVERSION_SHOW_RESIZE Or _
FILECONVERSION_SHOW_ROTATE Or _
FILECONVERSION_SHOW_NAMINGTEMPLATE Or _
FILECONVERSION_SHOW_OVERWRITE Or _
FILECONVERSION_SHOW_OVERWRITE_ALL Or _
FILECONVERSION_SHOW_ADD Or _
FILECONVERSION_SHOW_ADDFOLDER Or _
FILECONVERSION_SHOW_REMOVE Or _
FILECONVERSION_SHOW_SELECTALL Or _
FILECONVERSION_SHOW_DELETEORIGINAL

RasterFileDlg.ShowFileConversionDlg (hWnd)


ShowFilesAssociationDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim nRet As Integer
Private Sub AssociateFiles_Click()
RasterFileDlg.UIFlags = 0
RasterFileDlg.Formats = "LEAD (*.cmp)|*.cmp|DICOM (*.dic)|*.dic|Windows Bitmap (*.bmp)|*.bmp"
RasterFileDlg.SelectedExt = ""
RasterFileDlg.ServerApplicationName = "Application Name"
nRet = RasterFileDlg.ShowFilesAssociationDlg (hWnd)
End Sub


ShowFreeHandWaveDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub FreeHandWave_Click()
Dim i As Integer
RasterImgEfxDlg.ScaleValue = 10
RasterImgEfxDlg.WaveLength = 5
RasterImgEfxDlg.ImageEffectFlags = FILL_CLR Or DIS_FRQ
RasterImgEfxDlg.Angle = 4500
RasterImgEfxDlg.FillColor= RGB(200, 0, 0)
RasterImgEfxDlg.UIFlags = FREEHANDWAVE_SHOW_PREVIEW Or _
FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowFreeHandWaveDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.CurveSize = RasterImgEfxDlg.AmplitudesCount
For i = 0 To RasterProc.CurveSize - 1
RasterProc.Curve(i) = RasterImgEfxDlg.Amplitudes(i)
Next i
RasterProc.FreeHandWave LEADRasterView1.Raster , RasterImgEfxDlg.Scale_
, RasterImgEfxDlg.WaveLength, RasterImgEfxDlg.Angle, RasterImgEfxDlg.FillColor, RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowGammaAdjustmentDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub GammaAdjustment_Click()
RasterColorDlg.GammaRedValue = 50
RasterColorDlg.GammaRedValue = 50
RasterColorDlg.GammaGreenValue = 50
RasterColorDlg.GammaBlueValue = 50
RasterColorDlg.EnableGammaAllChannels = True
RasterColorDlg.UIFlags = GAMMAADJUSTMENT_SHOW_PREVIEW Or _
GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowGammaAdjustmentDlg (hWnd)

If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.GammaCorrect
  LEADRasterView1.Raster , RasterColorDlg.GammaRedValue
End If
End Sub


ShowGaussianBlurDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub GuassianBlur_Click()
RasterImgEfxDlg.Radius= 5
RasterImgEfxDlg.UIFlags = GAUSSIANBLUR_SHOW_PREVIEW + _
GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowGaussianBlurDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.GaussianFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.Radius
End If
End Sub


ShowGIFWebTunerDlg Example for Visual Basic

Dim RasterWebDlg As New LEADRasterDlgWeb
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub GIFWebTuner_Click()
RasterWebDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterWebDlg.UIFlags = GIFWEBTUNER_SHOW_INFORMATION + _
GIFWEBTUNER_SHOW_PREVIEW + _
GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL + _
GIFWEBTUNER_SHOW_TOOL_COLORPICKER + _
GIFWEBTUNER_SHOW_TRANSPARENCY + _
GIFWEBTUNER_SHOW_OPTIONS + _
GIFWEBTUNER_SHOW_ADDWINDOWCOLOR

RasterWebDlg.ShowGIFWebTunerDlg hWnd
If (nRet = 0 And RasterWebDlg.DialogStatus = DLG_OK) Then
RasterProc.Fill LEADRasterView1.Raster , RasterWebDlg.TransparentColor
End If
End Sub


ShowGradientDlg Example for Visual Basic

Dim RasterEfxDlg As New LEADRasterDlgEfx
Dim nRet As Integer

Private Sub Gradient_Click()
RasterEfxDlg.Gradient.StartColor = RGB(0, 0, 255)
RasterEfxDlg.Gradient.EndColor = RGB(255, 0, 0)
RasterEfxDlg.Gradient.GradientStyle = EFX_GRADIENT_ANGLE_TO_RT
RasterEfxDlg.Gradient.Steps = 200
RasterEfxDlg.UIFlags = GRADIENT_SHOW_PREVIEW Or _
GRADIENT_AUTOPREVIEW Or _
GRADIENT_STARTCOLOR Or _
GRADIENT_ENDCOLOR Or _
GRADIENT_STEPS Or _
GRADIENT_NO_TREEVIEW Or _
GRADIENT_CLASS_LINEAR Or _
GRADIENT_CLASS_ANGULAR Or _
GRADIENT_CLASS_RECTANGULAR Or _
GRADIENT_CLASS_ELLIPTICAL Or _
GRADIENT_CLASS_CONICAL

RasterEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterEfxDlg.ShowGradientDlg (hWnd)
If (nRet = 0 And RasterEfxDlg.DialogStatus = DLG_OK) Then
Text1.Text = CStr(RasterEfxDlg.Gradient.GradientStyle)
Text2.Text = CStr(RasterEfxDlg.Gradient.Steps)
Shape1.FillColor = RasterEfxDlg.Gradient.StartColor
Shape2.FillColor = RasterEfxDlg.Gradient.EndColor
End If
End Sub


ShowGradientFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Gradient_Click()
RasterImgEfxDlg.UIFlags = GRADIENTFILTER_SHOW_PREVIEW Or _
GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowGradientFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowGrayScaleDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub GrayScaleDlg_Click()
RasterColorDlg.RedFactor = 400
RasterColorDlg.GreenFactor = 300
RasterColorDlg.BlueFactor = 300
RasterColorDlg.UIFlags = GRAYSCALE_SHOW_PREVIEW Or _
GRAYSCALE_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

RasterColorDlg.ShowGrayScaleDlg (hWnd)
End Sub


ShowHalftoneDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer
Dim i As Integer

Private Sub Halftone_Click()
Dim Raster As New LEADRaster
RasterColorDlg.ItemsCount = 3
RasterColorDlg.ItemFileName (0) = "c:\1.bmp" 'e:\image1.jpg'"
RasterColorDlg.ItemFileName(1) = "c:\1.cmp" 'e:\image2.jpg'"
RasterColorDlg.ItemFileName(2) = "c:\1.jpg" 'e:\image3.jpg'"

For i = 0 To RasterColorDlg.ItemsCount - 1
RasterIO.Load
  Raster, RasterColorDlg.ItemFileName(i), 0, 0, 1
RasterColorDlg.ItemDescription (i) = RasterColorDlg.ItemFileName(i)
RasterColorDlg.ItemBitmap (i) = Raster.Bitmap
Next i
RasterColorDlg.Angle = 5
RasterColorDlg.Dimension = 5
RasterColorDlg.HalftoneType = HT_RECT

RasterColorDlg.UIFlags = HALFTONE_SHOW_PREVIEW Or _
HALFTONE_SHOW_TOOL_ZOOMLEVEL Or _
HALFTONE_SHOW_TOOL_SHOWEFFECT Or _
HALFTONE_SHOW_TOOL_ONSCREEN Or _
HALFTONE_SHOW_TOOL_RESET

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowHalftoneDlg(hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
MsgBox "No of Selected Items are " + Str(RasterColorDlg.SelectedBitmapsCount)
If (RasterColorDlg.SelectedBitmapList <> 0) Then
LEADRasterView1.Raster .BitmapList = RasterColorDlg.SelectedBitmapList
End If
End If

End Sub


ShowHistoContrastDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub HistoContrast_Click()
RasterColorDlg.UIFlags = HISTOCONTRAST_SHOW_PREVIEW Or _
HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterColorDlg.ShowHistoContrastDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProcHistoContrast
  LEADRasterView1.Raster , RasterColorDlg.Change
End If
End Sub


ShowHistogramDlg Example for Visual Basic

Dim RasterImgDlg As New LEADRasterDlgImg
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Histogram_Click()
RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterImgDlg.BlueChannelPenColor = RGB(0, 0, 255)
RasterImgDlg.GreenChannelPenColor = RGB(0, 255, 0)
RasterImgDlg.RedChannelPenColor = RGB(255, 0, 0)
RasterImgDlg.MasterChannelPenColor = RGB(0, 0, 0)
RasterImgDlg.UIFlags = HISTOGRAM_SHOW_VIEWSTYLE Or _
HISTOGRAM_USERPENCOLORS
RasterImgDlg.ShowHistogramDlg hWnd
End Sub


ShowHolePunchRemoveDlg Example for Visual Basic

Dim RasterImgDocDlg As New LEADRasterDlgImgDoc
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub HolePunchRemove_Click()
RasterImgDocDlg.HolePunchRemove.MinHoleCount = 2
RasterImgDocDlg.HolePunchRemove.MaxHoleCount = 4
RasterImgDocDlg.HolePunchRemove.MinHoleWidth = 0
RasterImgDocDlg.HolePunchRemove.MinHoleHeight = 0
RasterImgDocDlg.HolePunchRemove.MaxHoleWidth = 0
RasterImgDocDlg.HolePunchRemove.MaxHoleHeight = 0
RasterImgDocDlg.HolePunchRemove.Location= HOLEPUNCH_LEFT
RasterImgDocDlg.HolePunchRemove.Flags= HOLEPUNCH_USE_DPI
RasterImgDocDlg.UIFlags = HOLEPUNCHREMOVE_AUTOPROCESS Or _
HOLEPUNCHREMOVE_SHOW_PREVIEW Or _
HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.WhiteAreaColor = RGB(255, 0, 0)
RasterImgDocDlg.BlackAreaColor = RGB(0, 0, 255)
RasterImgDocDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterImgDocDlg.ShowHolePunchRemoveDlg(hWnd)
End Sub


ShowHTMLMapperDlg Example for Visual Basic

Private Sub HTMLMapper_Click()
RasterWebDlg.UIFlags = 0
RasterWebDlg.Bitmap = LEADRasterView1.Raster
RasterWebDlg.URLMaxLength = 35
RasterWebDlg.ALTMaxLength = 35
RasterWebDlg.TargetMaxLength= 10
RasterWebDlg.RolloverMaxLength= 255

RasterWebDlg.URLEntryCount = 5
RasterWebDlg.ALTEntryCount = 5
RasterWebDlg.TargetEntryCount = 5
RasterWebDlg.RolloverEntryCount = 5

RasterWebDlg.URLValidEntryCount = 2
RasterWebDlg.ALTValidEntryCount = 1
RasterWebDlg.TargetValidEntryCount = 1
RasterWebDlg.RolloverValidEntryCount = 3

RasterWebDlg.URL(0) = "http://www.medicorimaging.com/"
RasterWebDlg.URL(1) = "http://www.leadtools.com/"

RasterWebDlg.ALT(0) = "LEADTOOLS Online!"

RasterWebDlg.Target(0) = "_parent"

RasterWebDlg.Rollover(0) = "e:\images\image3.jpg"
RasterWebDlg.Rollover(1) = "e:\images\image2.jpg"
RasterWebDlg.Rollover(2) = "e:\images\image1.jpg"

RasterWebDlg.ShowHTMLMapperDlg hWnd

End Sub


ShowHueDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Hue_Click()
RasterColorDlg.UIFlags = HUE_SHOW_PREVIEW Or _
HUE_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowHueDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Hue
  LEADRasterView1.Raster , RasterColorDlg.Angle
End If
End Sub


ShowImpressionistDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Impressionist_Click()
RasterImgEfxDlg.UIFlags = IMPRESSIONIST_SHOW_PREVIEW Or _
IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowImpressionistDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Impressionist LEADRasterView1.Raster , RasterImgEfxDlg.HorizontalDimension, _
RasterImgEfxDlg.VerticalDimension
End If
End Sub


ShowIntensityDetectDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub IntensityDetect_Click()
RasterColorDlg.UIFlags = INTENSITYDETECT_SHOW_PREVIEW Or _
INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.IntensityChannel = IDB_CHANNEL_RED
RasterColorDlg.InColor = RGB(0,0,0)
RasterColorDlg.OutColor = RGB(0,0,255)

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowIntensityDetectDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.IntensityDetect
  Main.ActiveForm. LEADRasterView1.Raster , RasterColorDlg.Low, _
RasterColorDlg.High, RGB(0, 0, 0), RGB(0, 0, 255), IDB_CHANNEL_RED
End If
End Sub


ShowInvertTextDlg Example for Visual Basic

Private Sub InvertText_Click()
RasterImgDocDlg.InvertedText.MinInvertWidth = 900
RasterImgDocDlg.InvertedText.MinInvertHeight = 56
RasterImgDocDlg.InvertedText.MinBlackPercent = 75
RasterImgDocDlg.InvertedText.MaxBlackPercent = 95
RasterImgDocDlg.WhiteAreaColor = RGB(255, 0, 0)
RasterImgDocDlg.BlackAreaColor = RGB(0, 0, 255)

RasterImgDocDlg.InvertedText.Flags = INVERTEDTEXT_USE_DIAGONALS Or INVERTEDTEXT_USE_DPI
RasterImgDocDlg.UIFlags = INVERTEDTEXT_AUTOPROCESS Or _
INVERTEDTEXT_SHOW_PREVIEW Or _
INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap = LEADRasterView1.Raster
RasterImgDocDlg.ShowInvertTextDlg(hWnd)
End Sub


ShowJPEGWebTunerDlg Example for Visual Basic

Dim RasterWebDlg As New LEADRasterDlgWeb
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

Private Sub JPEGWebTuner_Click()
RasterWebDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterWebDlg.UIFlags = JPEGWEBTUNER_SHOW_INFORMATION + _
JPEGWEBTUNER_SHOW_PREVIEW + _
JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL + _
JPEGWEBTUNER_SHOW_SAVETHUMBNAIL + _
JPEGWEBTUNER_SHOW_OPTIONS + _
JPEGWEBTUNER_SHOW_SAVETHUMBNAIL

nRet = RasterWebDlg.ShowJPEGWebTunerDlg(hWnd)

If (nRet = 0 And RasterWebDlg.DialogStatus = DLG_OK) Then
If (RasterWebDlg.EnableProgressive) Then
RasterIO.ProgressivePasses = 1
End If
If RasterWebDlg.EnableStamp Then
RasterIO.SaveWithStamp LEADRasterView1.Raster , _
"c:\temp\output.jpg", _
RasterWebDlg.JPEGFormat, _
24, _
RasterWebDlg.Quality, _
32, _
32, _
24
Else
RasterIO.Save LEADRasterView1.Raster , _
"c:\\temp\\output.jpg", _
RasterWebDlg.JPEGFormat, _
24, _
RasterWebDlg.Quality, _
SAVE_OVERWRITE
End If
End If
End Sub


ShowLaplacianFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Laplacian_Click()
RasterImgEfxDlg.UIFlags = LAPLACIANFILTER_SHOW_PREVIEW Or _
LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowLaplacianFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowLineRemoveDlg Example for Visual Basic

Dim RasterImgDocDlg As New LEADRasterDlgImgDoc
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub LineRemove_Click()
RasterImgDocDlg.LineRemove.GapLength = 3
RasterImgDocDlg.LineRemove.MaxLineWidth = 9
RasterImgDocDlg.LineRemove.MaxWallPercent = 10
RasterImgDocDlg.LineRemove.MinLineLength = 400
RasterImgDocDlg.LineRemove.Variance = 3
RasterImgDocDlg.LineRemove.Wall = 15
RasterImgDocDlg.LineRemove.RemoveFlags= LINEREMOVE_VERTICAL
RasterImgDocDlg.LineRemove.Flags= LINE_USE_DPI Or LINE_USE_VARIANCE

RasterImgDocDlg.UIFlags = LINEREMOVE_SHOW_PREVIEW Or _
LINEREMOVE_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDocDlg.ShowLineRemoveDlg (hWnd)
If (nRet = 0 And RasterImgDocDlg.DialogStatus = DLG_OK) Then

End If
End Sub


ShowLineSegmentFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub LineSegment_Click()
RasterImgEfxDlg.UIFlags = LINESEGMENTFILTER_SHOW_PREVIEW Or _
LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowLineSegmentFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowLocalHistoEqualizeDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub LocalHistoEqualize_Click()
RasterColorDlg.RectangleWidth = LEADRasterView1.Raster.BitmapWidth / 2
RasterColorDlg.RectangleHeight = LEADRasterView1.Raster.BitmapHeight / 2

RasterColorDlg.ColorSpace = YUV_SPACE
RasterColorDlg.UIFlags = LOCALHISTOEQUALIZE_SHOW_PREVIEW Or _
LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowLocalHistoEqualizeDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.LocalHistoEqualize LEADRasterView1.Raster , _
RasterColorDlg.RectangleWidth, _
RasterColorDlg.RectangleHeight, _
RasterColorDlg.XExtention, _
RasterColorDlg.YExtention, _
RasterColorDlg.ColorSpace, _
RasterColorDlg.SmoothSize
End If

End Sub


ShowMaxFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub MaxFilter_Click()
RasterImgEfxDlg.Dimension = 10
RasterImgEfxDlg.UIFlags = MAXFILTER_SHOW_PREVIEW Or _
MAXFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowMaxFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.MaxFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowMedianDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Median_Click()
RasterImgEfxDlg.UIFlags = MEDIAN_SHOW_PREVIEW + _
MEDIAN_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowMedianDlg (hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Median
  LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowMinFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer
Private Sub MinFilter_Click()
RasterImgEfxDlg.Dimension = 10
RasterImgEfxDlg.UIFlags = MINFILTER_SHOW_PREVIEW Or _
MINFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowMinFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.MinFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowMosaicDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Mosaic_Click()
RasterImgEfxDlg.UIFlags = MOSAIC_SHOW_PREVIEW Or _
MOSAIC_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowMosaicDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Mosaic LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowMotionBlurDlg Example for Visual Basic

Dim WithEvents RasterImgEfxDlg As LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub MotionBlur_Click()
RasterImgEfxDlg.Bitmap= LEADRasterView1.Raster.Bitmap
RasterImgEfxDlg.EnableZoomToFit= True

RasterImgEfxDlg.UIFlags= MOTIONBLUR_SHOW_PREVIEW + _
MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL

nRet = RasterImgEfxDlg.ShowMotionBlurDlg(hWnd)

If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then

nRet = RasterProc.MotionBlur (LEADRasterView1.Raster , _
RasterImgEfxDlg.Dimension, _
RasterImgEfxDlg.Angle, _
RasterImgEfxDlg.EnableUniDirectional_
)
End If

End Sub

Private Sub RasterImgEfxDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom
Case HELP_MOTIONBLUR
MsgBox "Help from Motion Blur dialog"
Case HELP_RADIALBLUR
MsgBox "Help from Radial Blur dialog"
End Select
End Sub


ShowMultiplyDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Multiply_Click()
RasterImgEfxDlg.Factor = 400
RasterImgEfxDlg.UIFlags = MULTIPLY_SHOW_PREVIEW Or _
MULTIPLY_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowMultiplyDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Multiply LEADRasterView1.Raster , RasterImgEfxDlg.Factor
End If
End Sub


ShowOilifyDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Oilify_Click()
RasterImgEfxDlg.UIFlags = OILIFY_SHOW_PREVIEW Or _
OILIFY_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowOilifyDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Oilify LEADRasterView1.Raster , RasterImgEfxDlg.Dimension
End If
End Sub


ShowOpenDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer
Private Sub Open_Click()
RasterFileDlg.DialogTitle = "LEADTOOLS Open dialog box"
RasterFileDlg.InitialDir = "c:\images"
RasterFileDlg.FileDlgFlags = 0
RasterFileDlg.EnableShowPreview = True
RasterFileDlg.EnableShowLoadOptions = False
RasterFileDlg.LoadRotated = False
RasterFileDlg.LoadCompressed = False
RasterFileDlg.LoadPasses = 0
RasterFileDlg.EnableShowLoadOptions = False
RasterFileDlg.Filter = "ALL|*.*|LEAD|*.cmp|JPEG|*.JPG"
RasterFileDlg.UIFlags = OPEN_SHOW_PROGRESSIVE Or _
OPEN_SHOW_MULTIPAGE Or _
OPEN_SHOW_LOADROTATED Or _
OPEN_SHOW_LOADCOMPRESSED Or _
OPEN_SHOW_LOADOPTIONS Or _
OPEN_SHOW_FILEINFO Or _
OPEN_SHOW_PREVIEW Or _
OPEN_SHOW_DELPAGE Or _
OPEN_VIEWTOTALPAGES

nRet = RasterFileDlg.ShowOpenDlg(hWnd)
If (nRet = 0 And RasterFileDlg.DialogStatus = DLG_OK) Then
RasterIO.Load
  LEADRasterView1.Raster, RasterFileDlg.FileName, 0, RasterFileDlg.PageNumber, 1
End If
End Sub


ShowPicturizeDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Picturize_Click()
RasterImgEfxDlg.BitmapWidth = LEADRasterView1.Raster.BitmapWidth
RasterImgEfxDlg.BitmapHeight = LEADRasterView1.Raster.BitmapHeight
nRet = RasterImgEfxDlg.ShowPicturizeDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProcPicturize method LEADRasterView1.Raster , RasterImgEfxDlg.DirectoryPath, _
RasterImgEfxDlg.PicturizeResizeFlags, _
RasterImgEfxDlg.CellWidth, _
RasterImgEfxDlg.CellHeight
End If
End Sub


ShowPixelateDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Pixelate_Click()
RasterImgEfxDlg.UIFlags = PIXELATE_SHOW_PREVIEW Or _
PIXELATE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowPixelateDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Pixelate LEADRasterView1.Raster , RasterImgEfxDlg.CellWidth, _
RasterImgEfxDlg.CellHeight, _
RasterImgEfxDlg.Opacity, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowPNGWebTunerDlg Example for Visual Basic

Dim WithEvents RasterWebDlg As LEADRasterDlgWeb
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub PNGWebTuner_Click()
RasterWebDlg.TransparentColor= RGB(255, 255, 255)
RasterWebDlg.PaletteType= CRP_FIXEDPALETTE
RasterWebDlg.EnableWindowsColors= True
RasterWebDlg.DitherType= CRD_FLOYDSTEINDITHERING
RasterWebDlg.BitsPerPixel = 8
RasterWebDlg.NumberOfColors = 256
RasterWebDlg.TransparencyTolerance = 25
RasterWebDlg.EnableTransparent = True

RasterWebDlg.UIFlags= PNGWEBTUNER_SHOW_INFORMATION + _
PNGWEBTUNER_SHOW_PREVIEW + _
PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL + _
PNGWEBTUNER_SHOW_TOOL_COLORPICKER + _
PNGWEBTUNER_SHOW_TRANSPARENCY + _
PNGWEBTUNER_SHOW_ADDWINDOWCOLOR

RasterWebDlg.Bitmap= LEADRasterView1.Raster
RasterWebDlg.ShowHelpButton= True
RasterWebDlg.EnableZoomToFit= False

nRet = RasterWebDlg.ShowPNGWebTunerDlg(hWnd)
If (nRet = 0 And RasterWebDlg.DialogStatus = DLG_OK) Then
RasterProc.ColorRes LEADRasterView1.Raster, _
RasterWebDlg.BitsPerPixel, _
RasterWebDlg.PaletteType, _
RasterWebDlg.DitherType, _
0
End If
End Sub
'---------------------------------------------------------------------------

Private Sub RasterWebDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom
Case HELP_PNGWEBTUNER
MsgBox " Help from PNG Web Tuner dialog "

Case HELP_GIFWEBTUNER
MsgBox " Help from GIF Web Tuner dialog "

Case HELP_JPEGWEBTUNER
MsgBox " Help from JPEG Web Tuner dialog "

Case HELP_HTMLMAPPER
MsgBox " Help from HTMLMapper dialog "
End Select
End Sub


ShowPolarDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Polar_Click()
RasterImgEfxDlg.ImageEffectFlags= FILL_CLR Or CART_TO_POL
RasterImgEfxDlg.FillColor = RGB(0, 0, 220)
RasterImgEfxDlg.UIFlags = POLAR_SHOW_PREVIEW Or _
POLAR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowPolarDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Polar LEADRasterView1.Raster , RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowPosterizeDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Posterize_Click()
RasterColorDlg.Levels = 2
RasterColorDlg.UIFlags = POSTERIZE_SHOW_PREVIEW Or _
POSTERIZE_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowPosterizeDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Posterize
  LEADRasterView1.Raster , RasterColorDlg.Levels
End If
End Sub


ShowPrewittFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Prewitt_Click()
RasterImgEfxDlg.UIFlags = PREWITTFILTER_SHOW_PREVIEW Or _
PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL
RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowPrewittFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowPrintPreviewDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim nRet As Integer
Private Sub PrintPreview_Click()
RasterFileDlg.Icon =

RasterFileDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterFileDlg.ShowPrintPreviewDlg(hWnd)
End Sub


ShowPrintStitchedImagesDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim i As Integer
Dim nRet As Integer

Private Sub PrintStitchedImages_Click()
Dim Raster As New LEADRaster

RasterFileDlg.ItemsCount = 3
RasterFileDlg.ItemFileName(0) = "c:\ image1.cmp"
RasterFileDlg.ItemFileName(1) = "c:\ image2.cmp"
RasterFileDlg.ItemFileName(2) = "c:\ image3.cmp "
For i = 0 To 2
RasterIO.Load
  Raster, RasterFileDlg.ItemFileName(i), 0, 0, 1
RasterFileDlg.ItemDescription(i) = Str(i)
RasterFileDlg.ItemBitmap(i) = Raster.Bitmap
Next i
nRet = RasterFileDlg.ShowPrintStitchedImagesDlg(hWnd)
End Sub


ShowPunchDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Punch_Click()
RasterImgEfxDlg.UIFlags = PUNCH_SHOW_PREVIEW Or _
PUNCH_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowPunchDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Punch LEADRasterView1.Raster , RasterImgEfxDlg.Value, _
RasterImgEfxDlg.Stress, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowRadialBlurDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub RadialBlur_Click()
RasterImgEfxDlg.UIFlags = RADIALBLUR_SHOW_PREVIEW + _
RADIALBLUR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowRadialBlurDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.RadialBlur LEADRasterView1.Raster , RasterImgEfxDlg.Dimension, RasterImgEfxDlg.Stress, RasterImgEfxDlg.CenterX, RasterImgEfxDlg.CenterY
End If
End Sub


ShowRadialWaveDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub RadialWave_Click()
RasterImgEfxDlg.UIFlags = RADIALWAVE_SHOW_PREVIEW Or _
RADIALWAVE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowRadialWaveDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.RadWave LEADRasterView1.Raster , RasterImgEfxDlg.Amplitude, _
RasterImgEfxDlg.WaveLength, _
RasterImgEfxDlg.Phase, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowRemapHueDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Dim i As Integer
Private Sub RemapHue_Click()
RasterColorDlg.UIFlags = REMAPHUE_SHOW_PREVIEW Or _
REMAPHUE_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterColorDlg.ShowRemapHueDlg (hWnd)
If (nRet = 0 And RasterWebDlg.DialogStatus = DLG_OK) Then
RasterProc.RemapHueTablesSize = RasterColorDlg.RemapHueTablesSize
For i = 0 To RasterColorDlg.RemapHueTableSize - 1

RasterProc.MaskTable  (i) = RasterColorDlg.MaskTable (i)
RasterProc.HTable  (i) = RasterColorDlg.HueTable (i)
RasterProc.STable  (i) = RasterColorDlg.SaturationTable (i)
RasterProc.VTable  (i) = RasterColorDlg.ValueTable(i)
Next i
RasterProc.RemapHue
  LEADRasterView1.Raster , True, True, False, False
End If
End Sub


ShowRemapIntensityDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Dim i As Integer

Private Sub RemapIntensity_Click()
RasterColorDlg.Channel = CHANNEL_RED
RasterColorDlg.UIFlags = REMAPINTENSITY_SHOW_PREVIEW Or _
REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowRemapIntensityDlg (hWnd)

If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.RemapTableSize
  = RasterColorDlg.RemapTableSize
For i = 0 To RasterColorDlg.RemapTableSize - 1
RasterProc.RemapTable  (i) = RasterColorDlg.RemapTable(i)
Next i
RasterProc.RemapIntensity
  LEADRasterView1.Raster , RasterColorDlg.Channel
End If
End Sub


ShowRemoveRedEyeDlg Example for Visual Basic

Dim WithEvents RasterImgDocDlg As LEADRasterDlgImgDoc
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub RemoveRedEye_Click()
RasterImgDocDlg.EnableZoomToFit = False
RasterImgDocDlg.UIFlags = REMOVEREDEYE_SHOW_PREVIEW Or _
REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap= LEADRasterView1.Raster.Bitmap
RasterImgDocDlg.EnableMethodErrors= False
nRet = RasterImgDocDlg.ShowRemoveRedEyeDlg (hWnd)
If (nRet = 0 And RasterImgDocDlg.DialogStatus= DLG_OK) Then
RasterProc.RemoveRedeye LEADRasterView1.Raster , RasterImgDocDlg.NewColor, RasterImgDocDlg.Threshold, RasterImgDocDlg.Lightness
End If
End Sub

Private Sub RasterImgDocDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom
Case HELP_REMOVEREDEYE
MsgBox "Help from Remove Red eye dialog "

Case HELP_SMOOTH
MsgBox "Help from Smooth dialog "

Case HELP_REMOVEREDEYE
MsgBox "Help from Remove Red eye dialog "

Case HELP_LINEREMOVE
MsgBox "Help from Line-Remove dialog "

Case HELP_BORDERREMOVE
MsgBox "Help from Border-Remove dialog "

Case HELP_INVERTEDTEXT
MsgBox "Help from Inverted-Text dialog "

case HELP_DOTREMOVE
MsgBox "Help from Dot-Remove dialog "
break;

case HELP_HOLEPUNCHREMOVE
MsgBox "Help from Hole-Punch-Remove dialog "
End Select
End Sub


ShowResizeDlg Example for Visual Basic

Dim RasterImgDlg   As New LEADRasterDlgImg
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Resize_Click()
RasterImgDlg.MaxNewWidth = 0
RasterImgDlg.MaxNewHeight = 0
RasterImgDlg.MaxNewResolutionX = 0
RasterImgDlg.MaxNewResolutionY = 0
RasterImgDlg.CurrentWidth = LEADRasterView1.Raster.BitmapWidth
RasterImgDlg.CurrentHeight = LEADRasterView1.Raster.BitmapHeight
RasterImgDlg.CurrentResolutionX = LEADRasterView1.Raster.BitmapXRes
RasterImgDlg.CurrentResolutionY = LEADRasterView1.Raster.BitmapYRes
RasterImgDlg.BitsPerPixel = LEADRasterView1.Raster.BitmapBits

RasterImgDlg.UIFlags = RESIZE_SHOW_IDENTICALVALUE Or _
RESIZE_SHOW_MAINTAINASPECT Or _
RESIZE_SHOW_PERCENTAGE

RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowResizeDlg(hWnd)
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
RasterProc.Size
  LEADRasterView1.Raster , RasterImgDlg.NewWidth, RasterImgDlg.NewHeight, RasterImgDlg.ResizeFlags
End If
End Sub


ShowRippleDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Ripple_Click()
RasterImgEfxDlg.Amplitude = 100
RasterImgEfxDlg.Frequency = 50
RasterImgEfxDlg.UIFlags = RIPPLE_SHOW_PREVIEW Or _
RIPPLE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowRippleDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Ripple LEADRasterView1.Raster , RasterImgEfxDlg.Amplitude, _
RasterImgEfxDlg.Frequency, _
RasterImgEfxDlg.Phase, _
RasterImgEfxDlg.Attenuation, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowRotateDlg Example for Visual Basic

Dim RasterImgDlg   As New LEADRasterDlgImg
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer
Private Sub Rotate_Click()
RasterImgDlg.EnableZoomToFit = False
RasterImgDlg.BackColor = RGB(255, 0, 0)
RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterImgDlg.UIFlags = ROTATE_SHOW_PREVIEW Or _
ROTATE_SHOW_BACKCOLOR Or _
ROTATE_SHOW_RESIZE

RasterImgDlg.EnableMethodErrors = False
RasterImgDlg.ShowHelpButton = True

nRet = RasterImgDlg.ShowRotateDlg(hWnd)
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
RasterProc.Rotate
  LEADRasterView1.Raster , RasterImgDlg.Angle, RasterImgDlg.RotateFlags,  _
RasterImgDlg.BackColor
End If
End Sub


ShowSaturationDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Saturation_Click()
RasterColorDlg.UIFlags = SATURATION_SHOW_PREVIEW Or _
SATURATION_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterColorDlg.ShowSaturationDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Saturation
  LEADRasterView1.Raster , RasterColorDlg.Change
End If
End Sub


ShowSaveDlg Example for Visual Basic

Dim RasterFileDlg As New LEADRasterDlgFile
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

Private Sub Save_Click()
RasterFileDlg.DialogTitle = "Save a File"
RasterFileDlg.FileDlgFlags = 0
RasterFileDlg.InitialDir = "C:\"
RasterFileDlg.SaveMulti = MULTIPAGE_OVERWRITE
RasterFileDlg.UIFlags = SAVE_AUTOPROCESS Or _
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE Or _
SAVE_SHOW_FILEOPTIONS_MULTIPAGE Or _
SAVE_SHOW_FILEOPTIONS_STAMP Or _
SAVE_SHOW_FILEOPTIONS_QFACTOR Or _
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS Or _
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS
RasterFileDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterFileDlg.ShowSaveDlg(hWnd)
If (nRet = 0 And RasterFileDlg.DialogStatus = DLG_OK) Then

Text1.Text = RasterFileDlg.FileName
Text2.Text = CStr(RasterFileDlg.SaveBitsPerPixel)
Text3.Text = CStr(RasterFileDlg.SaveQFactor)
Text4.Text = CStr(RasterFileDlg.SaveMulti)
Text5.Text = CStr(RasterFileDlg.SaveFormat)
Text6.Text = CStr(RasterFileDlg.SavePasses)
Text7.Text = CStr(RasterFileDlg.SaveWithStamp)
If (RasterFileDlg.SaveWithStamp = False) Then
Text8.Text = CStr(RasterFileDlg.SaveStampBits)
Text9.Text = CStr(RasterFileDlg.SaveStampWidth)
Text10.Text = CStr(RasterFileDlg.SaveStampHeight)
End If
End If
End Sub


ShowShapeDlg Example for Visual Basic

Dim WithEvents RasterFXD As LEADRasterFXD
Dim RasterEfxDlg As New LEADRasterDlgEfx
Dim nRet As Integer

Private Sub Shape_Click()
RasterEfxDlg.Shape.ShapeStyle = FXD_SHAPE_PARALLELOGRAM_R
RasterEfxDlg.Shape.BackColor = RGB(0, 0, 255)
RasterEfxDlg.Shape.ForeColor = RGB(255, 0, 0)
RasterEfxDlg.Shape.BackgroundStyle = FXD_BACKSTYLE_OPAQUE
RasterEfxDlg.Shape.FillStyle = FXD_PATTERN_SOLID
RasterEfxDlg.Shape.BorderColor = RGB(100, 255, 100)
RasterEfxDlg.Shape.BorderStyle = FXD_BORDERSTYLE_SOLID
RasterEfxDlg.Shape.BorderThickness = 5
RasterEfxDlg.Shape.InnerHiliteColor = RGB(255, 255, 255)
RasterEfxDlg.Shape.InnerShadowColor = RGB(0, 0, 0)
RasterEfxDlg.Shape.InnerStyle = FXD_SHAPE_INNERSTYLE_INSET
RasterEfxDlg.Shape.InnerThickness = 3
RasterEfxDlg.Shape.OuterHiliteColor = RGB(255, 255, 0)
RasterEfxDlg.Shape.OuterShadowColor = RGB(255, 0, 255)
RasterEfxDlg.Shape.OuterStyle = FXD_SHAPE_OUTERSTYLE_INSET
RasterEfxDlg.Shape.OuterThickness = 5
RasterEfxDlg.Shape.ShadowXDepth = 10
RasterEfxDlg.Shape.ShadowColor = RGB(128, 128, 128)
RasterEfxDlg.UIFlags = SHAPE_SHOW_PREVIEW Or _
SHAPE_AUTOPREVIEW Or _
SHAPE_BACKSTYLE Or _
SHAPE_FILLSTYLE Or _
SHAPE_FORE_BACK_COLOR Or _
SHAPE_BORDERSTYLE Or _
SHAPE_BORDERWIDTH Or _
SHAPE_BORDERCOLOR Or _
SHAPE_INNERSTYLE Or _
SHAPE_INNERWIDTH Or _
SHAPE_INNER_HILITE_SHADOW Or _
SHAPE_OUTERSTYLE Or _
SHAPE_OUTERWIDTH Or _
SHAPE_OUTER_HILITE_SHADOW Or _
SHAPE_SHADOWCOLOR Or _
SHAPE_SHADOW_X_Y Or _
SHAPE_BROWSEIMAGE Or _
SHAPE_CLASS_SQUARE Or _
SHAPE_CLASS_RECTANGLE Or _
SHAPE_CLASS_PARALLELOGRAM Or _
SHAPE_CLASS_TRAPEZOID Or SHAPE_CLASS_TRIANGLE Or _
SHAPE_CLASS_OTHER Or SHAPE_CLASS_CIRCLE Or _
SHAPE_CLASS_ELLIPSE Or SHAPE_CLASS_STAR Or _
SHAPE_CLASS_CROSS Or SHAPE_CLASS_ARROW

RasterEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterEfxDlg.EnableMethodErrors = False
nRet = RasterEfxDlg.ShowShapeDlg (hWnd)
If (nRet = 0 And RasterEfxDlg.DialogStatus = DLG_OK) Then
RasterFXD.ShapeLeft = 50
RasterFXD.ShapeTop = 50

RasterFXD.ShapeWidth = LEADRasterView1.DstWidth - 50
RasterFXD.ShapeHeight = LEADRasterView1.DstHeight - 50
RasterFXD.PatternBackColor = RasterEfxDlg.Shape.BackColor
RasterFXD.BackgroundImageLeft = 0
RasterFXD.BackgroundImageTop = 0
RasterFXD.BackgroundImageWidth = Raster.BitmapWidth
RasterFXD.BackgroundImageHeight = Raster.GetBitmapHeight
RasterFXD.ShapeBackgroundStyle = RasterEfxDlg.Shape.BackgroundStyle
RasterFXD.PatternForeColor = RasterEfxDlg.Shape.ForeColor
RasterFXD.PatternStyle = RasterEfxDlg.Shape.FillStyle
RasterFXD.ShapeBorderColor = RasterEfxDlg.Shape.BorderColor
RasterFXD.ShapeBorderStyle = RasterEfxDlg.Shape.BorderStyle
RasterFXD.ShapeBorderThickness = RasterEfxDlg.Shape.BorderThickness
RasterFXD.ShapeInnerBandHiliteColor = RasterEfxDlg.Shape.InnerHiliteColor
RasterFXD.ShapeInnerBandShadowColor = RasterEfxDlg.Shape.InnerShadowColor
RasterFXD.ShapeInnerBandStyle = RasterEfxDlg.Shape.InnerStyle
RasterFXD.ShapeInnerBandThickness = RasterEfxDlg.Shape.InnerThickness
RasterFXD.ShapeOuterBandHiliteColor = RasterEfxDlg.Shape.OuterHiliteColor
RasterFXD.ShapeOuterBandShadowColor = RasterEfxDlg.Shape.OuterShadowColor
RasterFXD.ShapeOuterBandStyle = RasterEfxDlg.Shape.OuterStyle
RasterFXD.ShapeOuterBandThickness = RasterEfxDlg.Shape.OuterThickness
RasterFXD.ShadowXDepth = RasterEfxDlg.Shape.ShadowXDepth
RasterFXD.ShadowYDepth = RasterEfxDlg.Shape.ShadowYDepth
RasterFXD.ShadowColor = RasterEfxDlg.Shape.ShadowColor
RasterFXD.DrawShape LEADRasterView1.Raster , LEADRasterView1.GetClientDC , RasterEfxDlg.Shape.Shape, 0
End If
End Sub

Private Sub RasterEfxDlg_DlgHelp(ByVal DlgFrom As Long, ByVal CtlID As Long)
Select Case DlgFrom

Case HELP_EFFECT
MsgBox " Help from Effect dialog "

Case HELP_SHAPE
MsgBox " Help from Shape dialog "

Case HELP_GETTEXT
MsgBox " Help from GetText dialog "

Case HELP_GETGRADIENT
MsgBox " Help from GetGradient dialog "

Case HELP_GETTRANSITION
MsgBox " Help from GetTransition dialog "

End Select
End Sub


ShowSharpenDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Sharpen_Click()
RasterImgEfxDlg.UIFlags = SHARPENFILTER_SHOW_PREVIEW Or _
SHARPENFILTER_SHOW_TOOL_ZOOMLEVEL
RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowSharpenDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Sharpen
  LEADRasterView1.Raster , RasterImgEfxDlg.Sharpness
End If
End Sub


ShowShearDlg Example for Visual Basic

Dim RasterImgDlg   As New LEADRasterDlgImg
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Shear_Click()
RasterImgDlg.EnableHorizontal = True
RasterImgDlg.Angle = 4500
RasterImgDlg.BackColor = RGB(255, 0, 0)
RasterImgDlg.UIFlags = SHEAR_SHOW_PREVIEW Or _
SHEAR_SHOW_BACKCOLOR Or _
SHEAR_SHOW_HORIZONTAL
RasterImgDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDlg.ShowShearDlg(hWnd)
If (nRet = 0 And RasterImgDlg.DialogStatus = DLG_OK) Then
RasterProc.Shear
  LEADRasterView1.Raster , RasterImgDlg.Angle, RasterImgDlg.EnableHorizontal, RasterImgDlg.BackColor
End If
End Sub


ShowShiftDifferenceFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub ShiftDifference_Click()
RasterImgEfxDlg.SpatialFilterType= FLT_SHIFTDIFF_HORZ
RasterImgEfxDlg.UIFlags = SHIFTDIFFERENCEFILTER_SHOW_PREVIEW Or _
SHIFTDIFFERENCEFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowShiftDifferenceFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowSmoothDlg Example for Visual Basic

Dim RasterImgDocDlg As New LEADRasterDlgImgDoc
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer
Private Sub Smooth_Click()
RasterImgDocDlg.Smooth.Flags= SMOOTH_ALLFLAGS
RasterImgDocDlg.Smooth.Length = 1
RasterImgDocDlg.WhiteAreaColor = RGB(255, 0, 0)
RasterImgDocDlg.BlackAreaColor = RGB(0, 0, 255)
RasterImgDocDlg.UIFlags = SMOOTH_SHOW_PREVIEW Or _
SMOOTH_SHOW_TOOL_ZOOMLEVEL

RasterImgDocDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgDocDlg.ShowSmoothDlg(hWnd)
If (nRet = 0 And RasterImgDocDlg.DialogStatus = DLG_OK) Then
RasterProc.Smooth
  LEADRasterView1.Raster , _
RasterImgDocDlg.Smooth.Length, _
RasterImgDocDlg.Smooth.Flags
LEADRasterView1.ForceRepaint
End If
End Sub


ShowSobelFilterDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim nRet As Integer

Private Sub Sobel_Click()
RasterImgEfxDlg.UIFlags = SOBELFILTER_SHOW_PREVIEW Or _
SOBELFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowSobelFilterDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.SpatialFilter
  LEADRasterView1.Raster , RasterImgEfxDlg.SpatialFilterType
End If
End Sub


ShowSolarizeDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Solarize_Click()
RasterColorDlg.UIFlags = SOLARIZE_SHOW_PREVIEW Or _
SOLARIZE_SHOW_TOOL_ZOOMLEVEL
RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterColorDlg.ShowSolarizeDlg (hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
RasterProc.Solarize LEADRasterView1.Raster , RasterColorDlg.Threshold
End If
End Sub


ShowSpherizeDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Spherize_Click()
RasterImgEfxDlg.UIFlags = SPHERIZE_SHOW_PREVIEW Or _
SPHERIZE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowSpherizeDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Spherize LEADRasterView1.Raster , RasterImgEfxDlg.Value, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowStitchDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim RasterIOs New LEADRasterIO
Dim nRet As Integer
Dim i As Integer

Private Sub StitchImages_Click()
Dim Raster As New LEADRaster
RasterImgEfxDlg.ItemsCount = 3
RasterImgEfxDlg.ItemFileName (0) = "c:\image1.cmp"
RasterImgEfxDlg.ItemFileName(1) = "c:\image2.cmp"
RasterImgEfxDlg.ItemFileName(2) = "c:\image3.cmp"
For i = 0 To 2
RasterIO.Load
  Raster, RasterImgEfxDlg.ItemFileName(i), 0, 0, 1
RasterImgEfxDlg.ItemDescription(i) = RasterImgEfxDlg.ItemFileName(i)
RasterImgEfxDlg.ItemBitmap(i) = Raster.Bitmap
Raster.Bitmap = 0
Next i

RasterImgEfxDlg.StitchBitmapWidth = 320
RasterImgEfxDlg.StitchBitmapHeight = 200
RasterImgEfxDlg.StitchBitsPerPixel = 24
RasterImgEfxDlg.StitchResolution = 72
RasterImgEfxDlg.StitchBackGroundColor= RGB(255, 255, 255)
RasterImgEfxDlg.WindowIcon = LoadPicture("E:\lead14\com\leadbase2.ico")
nRet = RasterImgEfxDlg.ShowStitchDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_EXPORTANDEXIT) Then
LEADRasterView1.Bitmap = RasterImgEfxDlg.StitchBitmap
End If
End Sub


ShowSwirlDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Swirl_Click()
RasterImgEfxDlg.UIFlags = SWIRL_SHOW_PREVIEW Or _
SWIRL_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowSwirlDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Swirl LEADRasterView1.Raster , RasterImgEfxDlg.Angle, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY
End If
End Sub


ShowTextDlg Example for Visual Basic

Dim RasterEfxDlg As New LEADRasterDlgEfx
Dim nRet As Integer

Private Sub Text_Click()
RasterEfxDlg.Text.SampleText = "Lead Tools"
RasterEfxDlg.Text.Color = RGB(0, 0, 255)
RasterEfxDlg.Text.HiliteColor = RGB(255, 255, 255)
RasterEfxDlg.Text.ShadowColor = RGB(128, 128, 128)
RasterEfxDlg.Text.TextStyle = FXD_TEXTSTYLE_NORMAL
RasterEfxDlg.Text.Align = FXD_TEXTALIGN_LEFT_TOP
RasterEfxDlg.Text.WordWrap = False
RasterEfxDlg.Text.Angle = 450
RasterEfxDlg.Text.ShadowXDepth = 10
RasterEfxDlg.Text.ShadowYDepth = 10
RasterEfxDlg.Text.EnableUseForegroundImage = True

RasterEfxDlg.UIFlags = TEXT_SHOW_PREVIEW Or _
TEXT_SAMPLETEXT Or _
TEXT_STYLE Or _
TEXT_COLOR Or _
TEXT_BORDERCOLOR Or _
TEXT_ALIGN Or _
TEXT_ANGLE Or _
TEXT_WORDWRAP Or _
TEXT_FONT Or _
TEXT_FOREIMAGE Or _
TEXT_BROWSEIMAGE Or _
TEXT_SHADOWCOLOR Or _
TEXT_SHADOW_X_Y

RasterEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterEfxDlg.ShowTextDlg (hWnd)

Text1.Text = RasterEfxDlg.Text.SampleText
Text2.Text = CStr(RasterEfxDlg.Text.Angle)
Text3.Text = CStr(RasterEfxDlg.Text.TextStyle)
Text4.Text = CStr(RasterEfxDlg.Text.Align)
Text5.Text = CStr(RasterEfxDlg.Text.WordWrap)
Text6.Text = CStr(RasterEfxDlg.Text.ShadowXDepth)
Text7.Text = CStr(RasterEfxDlg.Text.ShadowYDepth)
Text8.Text = CStr(RasterEfxDlg.Text.EnableUseForegroundImage)
Text9.Text = RasterEfxDlg.Text.Font.Name
Text10.Text = CStr(RasterEfxDlg.Text.Font.Size)
Shape1.FillColor = RasterEfxDlg.Text.Color
Shape2.FillColor = RasterEfxDlg.Text.HiliteColor
Shape3.FillColor = RasterEfxDlg.Text.ShadowColor
End Sub


ShowTransitionDlg Example for Visual Basic

Dim RasterEfxDlg As New LEADRasterDlgEfx
Dim nRet As Integer

Private Sub Transition_Click()
RasterEfxDlg.Transition.TransitionStyle = EFX_TRANSITION_GRADIENT
RasterEfxDlg.Transition.EffectStyle = EFX_EFFECT_WIPE_CIRCLE_CLASS
RasterEfxDlg.Transition.ForeColor = RGB(255, 255, 0)
RasterEfxDlg.Transition.BackColor = RGB(255, 0, 255)
RasterEfxDlg.Transition.Steps = 120
RasterEfxDlg.Transition.Delay = 20
RasterEfxDlg.Transition.Grain = 5
RasterEfxDlg.Transition.WandThickness = 5
RasterEfxDlg.Transition.WandColor = RGB(255, 255, 0)
RasterEfxDlg.Transition.Transparent = True
RasterEfxDlg.Transition.TransparentColor = RGB(255, 0, 0)
RasterEfxDlg.UIFlags = TRANSITION_SHOW_PREVIEW Or _
TRANSITION_FORECOLOR Or _
TRANSITION_BACKCOLOR Or _
TRANSITION_DELAY Or _
TRANSITION_GRAIN Or _
TRANSITION_EFFECT Or _
TRANSITION_PASSES Or _
TRANSITION_WAND Or _
TRANSITION_TRANSPARENT Or _
TRANSITION_GRADIENT

RasterEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterEfxDlg.ShowTransitionDlg (hWnd)
LEADRasterView1.AutoRepaint = False
LEADRasterView1.TransitionDelay = RasterEfxDlg.Transition.Delay
LEADRasterView1.TransitionEffect = RasterEfxDlg.Transition.Effect
If (RasterEfxDlg.Transition.TransitionStyle <= FXD_PATTERN_MAX) Then

LEADRasterView1.TransitionStyle = EFX_TRANSITION_PATTERN

If (RasterEfxDlg.Transition.TransitionStyle = FXD_PATTERN_SOLID) Then
LEADRasterView1.PatternStyle = EFX_PATTERN_SOLID
Else
LEADRasterView1.PatternStyle = RasterEfxDlg.Transition.TransitionStyle + 1
End If

LEADRasterView1.PatternForeColor = RasterEfxDlg.Transition.ForeColor
LEADRasterView1.PatternBackColor = RasterEfxDlg.Transition.BackColor

Else
LEADRasterView1.TransitionStyle = EFX_TRANSITION_NONE
LEADRasterView1.GradientStyle = RasterEfxDlg.Transition.TransitionStyle
LEADRasterView1.GradientStartColor = RasterEfxDlg.Transition.BackColor
LEADRasterView1.GradientEndColor = RasterEfxDlg.Transition.ForeColor
LEADRasterView1.GradientSteps = RasterEfxDlg.Transition.Steps
End If

LEADRasterView1.TransitionEffect = RasterEfxDlg.Transition.Effect
LEADRasterView1.EffectGrain = RasterEfxDlg.Transition.Grain
LEADRasterView1.TransitionDelay = RasterEfxDlg.Transition.Delay
LEADRasterView1.PaintTransitionMaxPasses = RasterEfxDlg.Transition.MaxPass
LEADRasterView1.WandSize = RasterEfxDlg.Transition.WandThickness
LEADRasterView1.WandColor = RasterEfxDlg.Transition.WandColor
LEADRasterView1.AutoRepaint = True
End Sub


ShowUnderlayDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc   As New LEADRasterProcess
Dim RasterIO As New LEADRasterIO
Dim nRet As Integer

Private Sub Underlay_Click()
Dim Raster As New LEADRaster
Dim UnderlayRaster As New LEADRaster
Dim i As Integer

RasterImgEfxDlg.ItemsCount= 3
RasterImgEfxDlg.ItemFileName(0) = "'e:\image1.jpg' "
RasterImgEfxDlg.ItemFileName(1) = "'e:\image1.jpg'"
RasterImgEfxDlg.ItemFileName(2) = "'e:\image1.jpg'"

For i = 0 To RasterColorDlg.ItemsCount - 1
RasterIO.Load
  Raster, RasterImgEfxDlg.ItemFileName(i), 0, 0, 1
RasterImgEfxDlg.ItemDescription(i) = RasterImgEfxDlg.ItemFileName(i)
RasterImgEfxDlg.ItemBitmap(i) = Raster.Bitmap
Next i

RasterImgEfxDlg.ImageEffectFlags = UNDERLAY_TILE
RasterImgEfxDlg.UIFlags = UNDERLAY_SHOW_PREVIEW Or _
UNDERLAY_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap
  = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowUnderlayDlg(hWnd)
If (nRet = 0 And RasterColorDlg.DialogStatus = DLG_OK) Then
UnderlayRaster.Bitmap
  = RasterImgEfxDlg.SelectedBitmap
RasterProc.Underlay
  LEADRasterView1.Raster , UnderlayRaster, _
RasterImgEfxDlg.UnderlayFlags
End If
End Sub


ShowUnsharpMaskDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub UnsharpMask_Click()

RasterImgEfxDlg.UIFlags = UNSHARPMASKFILTER_SHOW_PREVIEW Or _
UNSHARPMASKFILTER_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowUnsharpMaskDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.UnsharpMask LEADRasterView1.Raster , RasterImgEfxDlg.Amount, _
RasterImgEfxDlg.Radius, _
RasterImgEfxDlg.Threshold, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowWaveDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub Wave_Click()
RasterImgEfxDlg.UIFlags = WAVE_SHOW_PREVIEW Or _
WAVE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap
nRet = RasterImgEfxDlg.ShowWaveDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Wave LEADRasterView1.Raster , RasterImgEfxDlg.Amplitude, _
RasterImgEfxDlg.WaveLength, _
RasterImgEfxDlg.Angle, _
RasterImgEfxDlg.HorizontalScale, _
RasterImgEfxDlg.VerticalScale, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowWaveShearDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub WaveShear_Click()
RasterImgEfxDlg.UIFlags = WAVESHEAR_SHOW_PREVIEW Or _
WAVESHEAR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster
Dim i As Integer
nRet = RasterImgEfxDlg.ShowWaveShearDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.AmplitudesCount = RasterImgEfxDlg.AmplitudesCount
For i = 0 To RasterImgEfxDlg.AmplitudesCount - 1
RasterProc.Curve(i) = RasterImgEfxDlg.Amplitudes (i)
Next i
RasterProc.FreeHandShear LEADRasterView1.Raster , RasterImgEfxDlg.Scale, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


ShowWindDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub Wind_Click()
RasterImgEfxDlg.Angle = 4500
RasterImgEfxDlg.Dimension = 40
RasterImgEfxDlg.UIFlags = WIND_SHOW_PREVIEW Or _
WIND_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowWindDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.Wind LEADRasterView1.Raster , RasterImgEfxDlg.Dimension, _
RasterImgEfxDlg.Angle, _
RasterImgEfxDlg.Opacity
End If
End Sub


ShowWindowLevelDlg Example for Visual Basic

Dim RasterColorDlg As New LEADRasterDlgClr

RasterColorDlg.LowBit = LEADRasterView1.Raster.MinBit
RasterColorDlg.HighBit = LEADRasterView1.Raster.MaxBit
RasterColorDlg.WindowLevelLow = LEADRasterView1.Raster.MinVal
RasterColorDlg.WindowLevelHigh = LEADRasterView1.Raster.MaxVal

Select Case LEADRasterView1.Raster.IsGrayscale
Case GRAY_ORDEREDNORMAL
RasterColorDlg.StartColor = RGB(0, 0, 0)
RasterColorDlg.EndColor = RGB(255, 255, 255)
Case GRAY_ORDEREDINVERSE
RasterColorDlg.StartColor = RGB(255, 255, 255)
RasterColorDlg.EndColor = RGB(0, 0, 0)
Case GRAY_NOTORDERED
RasterColorDlg.StartColor = RGB(0, 0, 0)
RasterColorDlg.EndColor = RGB(255, 255, 255)
Case Else
MsgBox "Window Level is not supported for this bitmap order"
Exit Sub
End Select

RasterColorDlg.Bitmap = LEADRasterView1.Raster.Bitmap
RasterColorDlg.WindowLevelFlags = FILL_LUT_OUTSIDE Or FILL_LUT_LINEAR
RasterColorDlg.UIFlags = WINDOWLEVEL_SHOW_PREVIEW Or _
WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL Or _
WINDOWLEVEL_SHOW_RANGE Or _
WINDOWLEVEL_AUTOPROCESS

RasterColorDlg.ShowWindowLevelDlg hWnd


ShowZoomBlurDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer

Private Sub ZoomBlur_Click()
RasterImgEfxDlg.UIFlags = ZOOMBLUR_SHOW_PREVIEW + _
ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowZoomBlurDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.ZoomBlur LEADRasterView1.Raster , RasterImgEfxDlg.Dimension, _
RasterImgEfxDlg.Stress, RasterImgEfxDlg.CenterX, RasterImgEfxDlg.CenterY
End If
End Sub


ShowZoomWaveDlg Example for Visual Basic

Dim RasterImgEfxDlg As New LEADRasterDlgImgEfx
Dim RasterProc As New LEADRasterProcess
Dim nRet As Integer
Private Sub ZoomWave_Click()
RasterImgEfxDlg.UIFlags = ZOOMWAVE_SHOW_PREVIEW Or _
ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL

RasterImgEfxDlg.Bitmap = LEADRasterView1.Raster.Bitmap

nRet = RasterImgEfxDlg.ShowZoomWaveDlg(hWnd)
If (nRet = 0 And RasterImgEfxDlg.DialogStatus = DLG_OK) Then
RasterProc.ZoomWave LEADRasterView1.Raster , RasterImgEfxDlg.Amplitude, _
RasterImgEfxDlg.Frequency, _
RasterImgEfxDlg.Phase, _
RasterImgEfxDlg.ZoomFactor, _
RasterImgEfxDlg.CenterX, _
RasterImgEfxDlg.CenterY, _
RasterImgEfxDlg.FillColor, _
RasterImgEfxDlg.ImageEffectFlags
End If
End Sub


TypeIndex Example for Visual Basic

Private Sub FileSave_Click()
Dim RasterIO As New LEADRasterIO
Dim RasterKrnDlg As New LEADRasterDlgKrn
Dim RasterFileDlg As New LEADRasterDlgFile

RasterFileDlg.DialogTitle = "Save a File"

RasterFileDlg.InitialDir = "C:\"
RasterFileDlg.FileFormatsCount = 2

RasterFileDlg.FileFormats(0).Format = FF_SAVE_LEAD
RasterFileDlg.FileFormats(0).BitsPerPixelCount = 1
RasterFileDlg.FileFormats(0).BitsPerPixelFormat(0) = 24
RasterFileDlg.FileFormats(0).SubFormat(0) = FF_SAVE_SUB_CMP_NONPROGRESSIVE + FF_SAVE_SUB_CMP_PROGRESSIVE

RasterFileDlg.FileFormats(1).Format = FF_SAVE_TIFF
RasterFileDlg.FileFormats(1).BitsPerPixelCount = 1
RasterFileDlg.FileFormats(1).BitsPerPixelFormat(0) = 24
RasterFileDlg.FileFormats(1).SubFormat(0) = FF_SAVE_SUB_TIFF1_CCITT + FF_SAVE_SUB_TIFF1_CCITT_G3_1D + FF_SAVE_SUB_TIFF1_CCITT_G3_2D + FF_SAVE_SUB_TIFF1_CCITT_G4 + _
FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB + FF_SAVE_SUB_TIFF1_RLERGB + _
FF_SAVE_SUB_TIFF1_LZWRGB + FF_SAVE_SUB_TIFF1_JBIG

RasterFileDlg.TypeIndex = FF_SAVE_LEAD

RasterFileDlg.UIFlags = SAVE_AUTOPROCESS + _
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE + _
SAVE_SHOW_FILEOPTIONS_MULTIPAGE + _
SAVE_SHOW_FILEOPTIONS_STAMP + _
SAVE_SHOW_FILEOPTIONS_QFACTOR + _
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS + _
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS
RasterFileDlg.Bitmap = LEADRasterView1.Raster
RasterFileDlg.ShowSaveDlg (hWnd)
End Sub


Tutorial for Visual C++ 5.0 Programmers

The following topics provide brief and simple examples to help you learn how to use the LEADTOOLS Common Dialogs COM object. Note that the COM object requires the MFC 4.2 files, which are described in System Files Updated.

For general information about the syntax requirements of this interface, refer to Visual C++ 5.0 Syntax.

LEADTOOLS Common Dialog COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

Note:

These tutorial examples are intended to be easy to understand and easy to test. The example programs in the EXAMPLES subdirectory provide more in depth design and more detailed code.

Miscellaneous Examples


Miscellaneous Examples (Visual C++ 4.0)

Miscellaneous Examples (C++ 5.0 and later)

LEADTOOLS Common Dialog COM supports UNICODE. For more information on using the samples in this help file with UNICODE, please refer to A Special Note About UNICODE Support.

DlgFont Example for C++ 5.0 and later

FileFormatsCount Example for C++ 5.0 and later

FileLoad Example for C++ 5.0 and later

FreeDlg Example for C++ 5.0 and later

InitDlg Example for C++ 5.0 and later

JBIG2GBATX1 Example for C++ 5.0 and later

OptionsFileType Example for C++ 5.0 and later

SaveJ2KUseColorTransform Example for C++ 5.0 and later

SaveQFactor Example for C++ 5.0 and later

ShowAddBitmapsDlg Example for C++ 5.0 and later

ShowAddBorderDlg Example for C++ 5.0 and later

ShowAddFrameDlg Example for C++ 5.0 and later

ShowAddNoiseDlg Example for C++ 5.0 and later

ShowAntiAliasDlg Example for C++ 5.0 and later

ShowAutoTrimDlg Example for C++ 5.0 and later

ShowAverageDlg Example for C++ 5.0 and later

ShowBalanceColorsDlg Example for C++ 5.0 and later

ShowBendingDlg Example for C++ 5.0 and later

ShowBorderRemoveDlg Example for C++ 5.0 and later

ShowBrightnessDlg Example for C++ 5.0 and later

ShowCanvasResizeDlg Example for C++ 5.0 and later

ShowColorDlg Example for C++ 5.0 and later

ShowColoredGrayDlg Example for C++ 5.0 and later

ShowColorResDlg Example for C++ 5.0 and later

ShowContourFilterDlg Example for C++ 5.0 and later

ShowContrastDlg Example for C++ 5.0 and later

ShowCustomizePaletteDlg Example for C++ 5.0 and later

ShowCylindricalDlg Example for C++ 5.0 and later

ShowDilationFilterDlg Example for C++ 5.0 and later

ShowDirectoryDlg Example for C++ 5.0 and later

ShowDotRemoveDlg Example for C++ 5.0 and later

ShowEdgeDetectorDlg Example for C++ 5.0 and later

ShowEffectDlg Example for C++ 5.0 and later

ShowEmbossDlg Example for C++ 5.0 and later

ShowErosionFilterDlg Example for C++ 5.0 and later

ShowFileConversionDlg Example for C++ 5.0 and later

ShowFilesAssociationDlg Example for C++ 5.0 and later

ShowFreeHandWaveDlg Example for C++ 5.0 and later

ShowGammaAdjustmentDlg Example for C++ 5.0 and later

ShowGaussianBlur Example for C++ 5.0 and later

ShowGIFWebTunerDlg Example for C++ 5.0 and later

ShowGradientDlg Example for C++ 5.0 and later

ShowGradientFilterDlg Example for C++ 5.0 and later

ShowGrayScaleDlg Example for C++ 5.0 and later

ShowHalftoneDlg Example for C++ 5.0 and later

ShowHistoContrastDlg Example for C++ 5.0 and later

ShowHistogramDlg Example for C++ 5.0 and later

ShowHolePunchRemoveDlg Example for C++ 5.0 and later

ShowHTMLMapperDlg Example for C++ 5.0 and later

ShowHueDlg Example for C++ 5.0 and later

ShowImpressionistDlg Example for C++ 5.0 and later

ShowIntensityDetectDlg Example for C++ 5.0 and later

ShowInvertTextDlg Example for C++ 5.0 and later

ShowJPEGWebTunerDlg Example for C++ 5.0 and later

ShowLaplacianFilterDlg Example for C++ 5.0 and later

ShowLineRemoveDlg Example for C++ 5.0 and later

ShowLineSegmentFilterDlg Example for C++ 5.0 and later

ShowLocalHistoEqualizeDlg Example for C++ 5.0 and later

ShowMaxFilterDlg Example for C++ 5.0 and later

ShowMedianDlg Example for C++ 5.0 and later

ShowMinFilterDlg Example for C++ 5.0 and later

ShowMosaicDlg Example for C++ 5.0 and later

ShowMotionBlurDlg Example for C++ 5.0 and later

ShowMultiplyDlg Example for C++ 5.0 and later

ShowOilifyDlg Example for C++ 5.0 and later

ShowOpenDlg Example for C++ 5.0 and later

ShowPicturizeDlg Example for C++ 5.0 and later

ShowPixelateDlg Example for C++ 5.0 and later

ShowPNGWebTunerDlg Example for C++ 5.0 and later

ShowPolarDlg Example for C++ 5.0 and later

ShowPosterizeDlg Example for C++ 5.0 and later

ShowPrewittFilterDlg Example for C++ 5.0 and later

ShowPrintPreviewDlg Example for C++ 5.0 and later

ShowPrintStitchedImagesDlg Example for C++ 5.0 and later

ShowPunchDlg Example for C++ 5.0 and later

ShowRadialBlurDlg Example for C++ 5.0 and later

ShowRadialWaveDlg Example for C++ 5.0 and later

ShowRemapHueDlg Example for C++ 5.0 and later

ShowRemapIntensityDlg Example for C++ 5.0 and later

ShowRemoveRedEyeDlg Example for C++ 5.0 and later

ShowResizeDlg Example for C++ 5.0 and later

ShowRippleDlg Example for C++ 5.0 and later

ShowRotateDlg Example for C++ 5.0 and later

ShowSaturationDlg Example for C++ 5.0 and later

ShowSaveDlg Example for C++ 5.0 and later

ShowShapeDlg Example for C++ 5.0 and later

ShowSharpenDlg Example for C++ 5.0 and later

ShowShearDlg Example for C++ 5.0 and later

ShowShiftDifferenceFilterDlg Example for C++ 5.0 and later

ShowSmoothDlg Example for C++ 5.0 and later

ShowSobelFilterDlg Example for C++ 5.0 and later

ShowSolarizeDlg Example for C++ 5.0 and later

ShowSpherizeDlg Example for C++ 5.0 and later

ShowStitchDlg Example for C++ 5.0 and later

ShowSwirlDlg Example for C++ 5.0 and later

ShowTextDlg Example for C++ 5.0 and later

ShowTransitionDlg Example for C++ 5.0 and later

ShowUnderlayDlg Example for C++ 5.0 and later

ShowUnsharpMaskDlg Example for C++ 5.0 and later

ShowWaveDlg Example for C++ 5.0 and later

ShowWaveShearDlg Example for C++ 5.0 and later

ShowWindDlg Example for C++ 5.0 and later

ShowZoomBlurDlg Example for C++ 5.0 and later

ShowZoomWaveDlg Example for C++ 5.0 and later

TypeIndex Example for C++ 5.0 and later


DlgFont Example for C++ 5.0 and later

void CDialogs:: OnShowMotionBlurDlg ()
{
int nRet;
CString strDlg;
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->EnableZoomToFit= true;

m_pRasterImageEfxDlg->UIFlags = MOTIONBLUR_SHOW_PREVIEW |
MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL;

strDlg =m_pRasterKrnDlg->GetDlgString(MOTIONBLUR_IDSTR_CAPTION);
AfxMessageBox(strDlg);

m_pRasterKrnDlg->SetDlgString( MOTIONBLUR_IDSTR_CAPTION, "My Custom Caption");

IFont * pFont = NULL;
CY size;
CString csFontName;

csFontName = _T("Bones");
BSTR bstrFontName = csFontName.AllocSysString();

IFontDisp * pFontDisp = m_pRasterKrnDlg->GetDlgFont();
pFontDisp->QueryInterface(IID_IFont, (void **)&pFont);
pFont->put_Name(bstrFontName);

size.Hi = 0;
size.Lo = 9*10000L; //9 point

pFont->put_Size(size);

IFontDisp * pMyFontDisp = NULL;

pFont->QueryInterface(IID_IFont, (void **)&pMyFontDisp);
m_pRasterKrnDlg->PutDlgFont(pMyFontDisp);

SysFreeString(bstrFontName);
pMyFontDisp->Release();
pFont->Release();
pFontDisp->Release();

nRet = m_pRasterImageEfxDlg->ShowMotionBlurDlg ((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->MotionBlur (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension,
m_pRasterImageEfxDlg->Angle,
m_pRasterImageEfxDlg->EnableUniDirectional
);
}
}


FileFormatsCount Example for C++ 5.0 and later

void CDialogs::OnFileSave()
{
m_pRasterFileDlg->DialogTitle = "Save a File";

m_pRasterFileDlg->InitialDir = "C:\\";
m_pRasterFileDlg->FileFormatsCount = 2;

m_pRasterFileDlg->GetFileFormats(0)->PutFormat(FF_SAVE_LEAD);
m_pRasterFileDlg->GetFileFormats(0)->PutBitsPerPixelCount(1);
m_pRasterFileDlg->GetFileFormats(0)->PutBitsPerPixelFormat(0,24);
m_pRasterFileDlg->GetFileFormats(0)->PutSubFormat(0,FF_SAVE_SUB_CMP_NONPROGRESSIVE | FF_SAVE_SUB_CMP_PROGRESSIVE);

m_pRasterFileDlg->GetFileFormats(1)->PutFormat(FF_SAVE_TIFF);
m_pRasterFileDlg->GetFileFormats(1)->PutBitsPerPixelCount(1);
m_pRasterFileDlg->GetFileFormats(1)->PutBitsPerPixelFormat(0,24);
m_pRasterFileDlg->GetFileFormats(1)->PutSubFormat(0,FF_SAVE_SUB_TIFF1_CCITT |
FF_SAVE_SUB_TIFF1_CCITT_G3_1D |
FF_SAVE_SUB_TIFF1_CCITT_G3_2D |
FF_SAVE_SUB_TIFF1_CCITT_G4 |
FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB | FF_SAVE_SUB_TIFF1_RLERGB |
FF_SAVE_SUB_TIFF1_LZWRGB | FF_SAVE_SUB_TIFF1_JBIG);

m_pRasterFileDlg->UIFlags = SAVE_AUTOPROCESS |
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE |
SAVE_SHOW_FILEOPTIONS_MULTIPAGE |
SAVE_SHOW_FILEOPTIONS_STAMP |
SAVE_SHOW_FILEOPTIONS_QFACTOR |
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS |
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
m_pRasterFileDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterFileDlg->ShowSaveDlg ((long)this->m_hWnd);
}


FileLoad Example for C++ 5.0 and later

// Add the following varables as Class members.
ILEADRasterDlgFile * m_pRasterFileDlg;
ILEADRasterDlgKrn * m_pRasterKrnDlg;
CRasterFileDlg * m_pRasterFileDlgsink;
unsigned long m_dwCookie;

BOOL CAllowMulDlg::OnInitDialog()
{
.
.
.

// TODO: Add extra initialization here

m_pRasterKrnDlg = NULL;
CoCreateInstance(CLSID_LEADRasterDlgKrn, NULL, CLSCTX_ALL, IID_ILEADRasterDlgKrn, (void**)&m_pRasterKrnDlg);

m_pRasterKrnDlg->InitDlg(INIT_WITHOUT_COLOR);

m_pRasterFileDlg=NULL;
CoCreateInstance(CLSID_LEADRasterDlgFile, NULL, CLSCTX_ALL, IID_ILEADRasterDlgFile, (void**)&m_pRasterFileDlg);

m_pRasterFileDlgsink= new CRasterFileDlg;
LPUNKNOWN pUnkSink = m_pRasterFileDlgsink->GetIDispatch(FALSE);
AfxConnectionAdvise(m_pRasterFileDlg, DIID__ILEADRasterDlgFileEvents, pUnkSink, FALSE, &m_dwCookie);

return TRUE; // return TRUE unless you set the focus to a control
}

void CDialogs::ShowOpenDlg()
{
m_pRasterFileDlg->DialogTitle= "LEADTOOLS Open dialog box";
m_pRasterFileDlg->InitialDir= "c:\\images";
m_pRasterFileDlg->FileDlgFlags= OPEN_ALLOWMULTI;

m_pRasterFileDlg->UIFlags= OPEN_LOADBITMAP |
OPEN_SHOW_PROGRESSIVE |
OPEN_SHOW_MULTIPAGE |
OPEN_SHOW_LOADROTATED |
OPEN_SHOW_LOADCOMPRESSED |
OPEN_SHOW_FILEINFO |
OPEN_SHOW_PREVIEW |
OPEN_SHOW_DELPAGE |
OPEN_VIEWTOTALPAGES |
OPEN_LOADBITMAP |
OPEN_GENERATETHUMBNAIL;

m_pRasterFileDlg->ShowOpenDlg((long)this->m_hWnd);
}

void CRasterFileDlg::OnFileLoad(int iTotalPercent,int iPercent)
{
CDialogs * pDialog = (CAllowMulDlg*)AfxGetApp()->GetMainWnd();
if (iPercent == 100)
{
long Bitmap = pDialog->m_pRasterFileDlg->GetBitmap();
pDialog->m_RasterView.GetRaster().SetBitmap(Bitmap);
MessageBox(0,pDialog->m_pRasterFileDlg->GetFileName(),0,0);
}
}


FreeDlg Example for C++ 5.0 and later

// This Will be in destructor
RasterKrnDlg->FreeDlg();
CoUninitialize();


InitDlg Example for C++ 5.0 and later

ILEADRasterDlgKrn * m_pRasterKrnDlg;
//This Will be in Constructor
CoInitialize(NULL);
int nRet =0;
m_pRasterKrnDlg = NULL;
CoCreateInstance(
CLSID_LEADRasterDlgKrn,
NULL,
CLSCTX_ALL,
IID_ILEADRasterDlgKrn,
(void**)&m_pRasterKrnDlg
);
nRet = m_pRasterKrnDlg->InitDlg(INIT_WITHOUT_COLOR);

if(nRet == 0)
{
AfxMessageBox(TEXT("Initialize Dialogs with Color Success "));
}


JBIG2GBATX1 Example for C++ 5.0 and later

ILEADRasterIO  *
 pRasterIO = NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL, IID_ILEADRasterIO,
 (void**)&pRasterIO);

ILEADRasterDlgFile  *
 pRasterFileDlg = NULL;
CoCreateInstance(CLSID_LEADRasterDlgFile, NULL, CLSCTX_ALL, IID_ILEADRasterDlgFile,
 (void**)&pRasterFileDlg);

m_RasterView.GetRaster().UnlockSupport
 (L_SUPPORT_JBIG2, L_KEY_JBIG2);

pRasterIO->Load (m_RasterView.GetRaster (),
 TEXT("c:\\1.jpg"), 0, 0, 1);
pRasterFileDlg->Bitmap
 = m_RasterView.GetRaster().GetBitmap
 ();
pRasterFileDlg->UIFlags
 = SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS;
int nRet = pRasterFileDlg->ShowSaveDlg((long)this->m_hWnd);
if(nRet == 0 && (pRasterFileDlg->GetDialogStatus()
 == DLG_OK))
{
pRasterIO->JBIG2TemplateType
  = pRasterFileDlg->JBIG2TemplateType
pRasterIO->JBIG2GBATX1
  = pRasterFileDlg->JBIG2GBATX1
pRasterIO->JBIG2GBATY1
  = pRasterFileDlg->JBIG2GBATY1
pRasterIO->JBIG2GBATX2
  = pRasterFileDlg->JBIG2GBATX2
pRasterIO->JBIG2GBATY2
  = pRasterFileDlg->JBIG2GBATY2
pRasterIO->JBIG2GBATX3
  = pRasterFileDlg->JBIG2GBATX3
pRasterIO->JBIG2GBATY3
  = pRasterFileDlg->JBIG2GBATY3
pRasterIO->JBIG2GBATX4
  = pRasterFileDlg->JBIG2GBATX4
pRasterIO->JBIG2GBATY4
  = pRasterFileDlg->JBIG2GBATY4
pRasterIO->JBIG2SaveFlags
  = pRasterFileDlg->JBIG2SaveFlags

   pRasterIO->Save
 (m_RasterView.GetRaster(), TEXT("c:\\1.jp2"),
 FILE_JBIG, 1, QFACTOR_LEAD_0, 0);
}

if(pRasterIO)
pRasterIO->Release();

if(pRasterFileDlg)
{
pRasterFileDlg->Bitmap = 0;
pRasterFileDlg->Release();
}


OptionsFileType Example for C++ 5.0 and later

void CDialogs::OnFiledialogsOptiontype()
{
int nRet;
UpdateData(true);
m_pRasterFileDlg->PutDialogTitle("LEADTOOLS Open dialog box");
m_pRasterFileDlg->InitialDir = "c:\\images";
m_pRasterFileDlg->FileDlgFlags = 0;
m_pRasterFileDlg->EnableShowPreview= true;
m_pRasterFileDlg->EnableShowLoadOptions= true;
m_pRasterFileDlg->LoadRotated= false;
m_pRasterFileDlg->LoadCompressed= false;
m_pRasterFileDlg->LoadPasses= 0;

m_pRasterFileDlg->UIFlags = OPEN_SHOW_PROGRESSIVE |
OPEN_SHOW_MULTIPAGE |
OPEN_SHOW_LOADROTATED |
OPEN_SHOW_LOADCOMPRESSED |
OPEN_SHOW_FILEINFO |
OPEN_SHOW_PREVIEW |
OPEN_SHOW_DELPAGE |
OPEN_SHOW_PDFOPTIONS |
OPEN_SHOW_RASTEROPTIONS |
OPEN_SHOW_VECTOROPTIONS |
OPEN_SHOW_LOADOPTIONS |
OPEN_VIEWTOTALPAGES |
OPEN_LOADBITMAP |
OPEN_GENERATETHUMBNAIL;

m_pRasterFileDlg->Bitmap= m_LeadRasterView.GetRaster ().GetBitmap ();
nRet = m_pRasterFileDlg->ShowOpenDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterFileDlg->DialogStatus== DLG_OK)
{
switch(m_pRasterFileDlg->GetOptionsFileType())
{
case FILE_PCD:
m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->PCDResolution);
case FILE_RAS_PDF:
case FILE_RAS_PDF_G3_1D:
case FILE_RAS_PDF_G3_2D:
case FILE_RAS_PDF_G4 :
case FILE_RAS_PDF_JPEG:
case FILE_RAS_PDF_JPEG_422:
case FILE_RAS_PDF_JPEG_411:

m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->PDFXResolution);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->PDFYResolution);
m_Edit3.Format(TEXT("%d"),m_pRasterFileDlg->PDFDisplayDepth);
m_Edit4.Format(TEXT("%d"),m_pRasterFileDlg->PDFTextAlpha);
m_Edit5.Format(TEXT("%d"),m_pRasterFileDlg->PDFGraphicsAlpha);

case FILE_FPX:
case FILE_FPX_SINGLE_COLOR:
case FILE_FPX_JPEG:
case FILE_FPX_JPEG_QFACTOR:
case FILE_CMW:
case FILE_JBIG:
case FILE_JP2:
case FILE_J2K:

m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->RasterXResolution);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->RasterYResolution);

case FILE_WMF:
case FILE_EMF:

m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->WMFXResolution);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->WMFYResolution);

case FILE_DWF:
case FILE_CGM:
case FILE_VECTOR_DUMP:
case FILE_DRW:
case FILE_INTERGRAPH_VECTOR:
case FILE_GERBER:

m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->VectorViewportWidth);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->VectorViewportHeight);
m_Edit3.Format(TEXT("%d"),m_pRasterFileDlg->VectorViewportMode);
m_Edit4.Format(TEXT("%d"),m_pRasterFileDlg->VectorFont);

case FILE_DXF:
case FILE_DWG:

m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->DXFViewportWidth);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->DXFViewportHeight);
m_Edit3.Format(TEXT("%d"),m_pRasterFileDlg->DXFViewportMode);
m_Edit4.Format(TEXT("%d"),m_pRasterFileDlg->DXFFont);
m_Edit5.Format(TEXT("%d"),m_pRasterFileDlg->DXFAutoCADColorScheme);

case FILE_PLT:
m_Edit1.Format(TEXT("%d"),m_pRasterFileDlg->PLTViewportWidth);
m_Edit2.Format(TEXT("%d"),m_pRasterFileDlg->PLTViewportHeight);
m_Edit3.Format(TEXT("%d"),m_pRasterFileDlg->PLTViewportMode);
m_Edit4.Format(TEXT("%d"),m_pRasterFileDlg->PLTFont);
}

for(int i = 0;i< 7 ;++i)
{
m_Edit1.Format(TEXT("[%d]"),m_pRasterFileDlg->GetPLTPenWidth(i));
m_Edit1.Format(TEXT("[%d]"),m_pRasterFileDlg->GetPLTPenColor(i));
}
}

UpdateData(false);
}


SaveJ2KUseColorTransform Example for C++ 5.0 and later

void CDialogs::OnShowSaveDlg()
{
int nRet;
m_pRasterFileDlg->DialogTitle = "Save a File";
m_pRasterFileDlg->FileDlgFlags = 0;
m_pRasterFileDlg->InitialDir = "C:\\";
m_pRasterFileDlg->SaveMulti = MULTIPAGE_OVERWRITE;
m_pRasterFileDlg->UIFlags = SAVE_SHOW_FILEOPTIONS_PROGRESSIVE |
SAVE_SHOW_FILEOPTIONS_MULTIPAGE |
SAVE_SHOW_FILEOPTIONS_STAMP |
SAVE_SHOW_FILEOPTIONS_QFACTOR |
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS |
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
m_pRasterFileDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();
nRet= m_pRasterFileDlg->ShowSaveDlg ((long) this->m_hWnd);
if ( nRet == 0 && m_pRasterFileDlg->DialogStatus == DLG_OK)
{
if ( (m_pRasterFileDlg->SaveFormat == FILE_J2K) ||
(m_pRasterFileDlg->SaveFormat == FILE_JP2) )
{

m_pRasterFileDlg->SaveJ2KUseColorTransform;
m_pRasterIO->J2KDerivedQuantization = m_pRasterFileDlg->SaveJ2KDerivedQuantization;
m_pRasterIO->J2KCompressionControl = m_pRasterFileDlg->GetSaveJ2KCompressionControl();
m_pRasterIO->J2KCompressionRatio = m_pRasterFileDlg->SaveJ2KCompressionRatio;
m_pRasterIO->J2KTargetFileSize = m_pRasterFileDlg->SaveJ2KTargetFileSize;
m_pRasterIO->J2KXOsiz = m_pRasterFileDlg->SaveJ2KXOsiz;
m_pRasterIO->J2KYOsiz = m_pRasterFileDlg->SaveJ2KYOsiz;
m_pRasterIO->J2KXTsiz = m_pRasterFileDlg->SaveJ2KXTsiz;
m_pRasterIO->J2KYTsiz = m_pRasterFileDlg->SaveJ2KYTsiz;
m_pRasterIO->J2KXTOsiz = m_pRasterFileDlg->SaveJ2KXTOsiz;
m_pRasterIO->J2KYTOsiz = m_pRasterFileDlg->SaveJ2KYTOsiz;
m_pRasterIO->J2KDecompLevel = m_pRasterFileDlg->SaveJ2KDecompLevel;
m_pRasterIO->J2KProgressOrder = m_pRasterFileDlg->GetSaveJ2KProgressOrder();
m_pRasterIO->J2KCodBlockWidth = m_pRasterFileDlg->SaveJ2KCodBlockWidth;
m_pRasterIO->J2KCodBlockHeight = m_pRasterFileDlg->SaveJ2KCodBlockHeight;
m_pRasterIO->J2KCBS_SelectiveACBypass = m_pRasterFileDlg->SaveJ2KCBS_SelectiveACBypass;
m_pRasterIO->J2KCBS_ResetContextOnBoundaries = m_pRasterFileDlg->SaveJ2KCBS_ResetContextOnBoundaries;
m_pRasterIO->J2KCBS_TerminationOnEachPass = m_pRasterFileDlg->SaveJ2KCBS_TerminationOnEachPass;
m_pRasterIO->J2KCBS_VerticallyCausalContext = m_pRasterFileDlg->SaveJ2KCBS_VerticallyCausalContext;
m_pRasterIO->J2KCBS_PredictableTermination = m_pRasterFileDlg->SaveJ2KCBS_PredictableTermination;
m_pRasterIO->J2KCBS_ErrorResilienceSymbol = m_pRasterFileDlg->SaveJ2KCBS_ErrorResilienceSymbol;
m_pRasterIO->J2KGuardBits = m_pRasterFileDlg->SaveJ2KGuardBits;
m_pRasterIO->J2KDerivedBaseMantissa = m_pRasterFileDlg->SaveJ2KDerivedBaseMantissa;
m_pRasterIO->J2KDerivedBaseExponent = m_pRasterFileDlg->SaveJ2KDerivedBaseExponent;
m_pRasterIO->J2KUseSOPMarker = m_pRasterFileDlg->SaveJ2KUseSOPMarker;
m_pRasterIO->J2KUseEPHMarker = m_pRasterFileDlg->SaveJ2KUseEPHMarker;

nRet = m_pRasterIO->Save (m_LeadRasterView2.GetRaster (),
m_pRasterFileDlg->FileName,
(RasterFileConstants) m_pRasterFileDlg->SaveFormat,
m_pRasterFileDlg->SaveBitsPerPixel,
(QFactorConstants)m_pRasterFileDlg->SaveQFactor,
0);

m_pRasterIO->J2KSetDefaults ();
m_pRasterIO->J2KCompressionControl = J2K_COMP_LOSSLESS;
m_pRasterIO->Save (m_LeadRasterView2.GetRaster(), m_pRasterFileDlg->FileName, FILE_J2K, 0, (QFactorConstants) 0, SAVE_OVERWRITE);
}
}
}


SaveQFactor Example for C++ 5.0 and later

ILEADRasterDlgFile * m_pRasterFileDlg;
ILEADRasterDlgKrn * m_pRasterKrnDlg;
ILEADRasterIO * m_pRasterIO;

BOOL CAllowMulDlg::OnInitDialog()
{
.
.
.
// TODO: Add extra initialization here

m_pRasterIO = NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL,
 IID_ILEADRasterIO, (void**)&m_pRasterIO);
m_pRasterIO->Load (m_RasterView.GetRaster(),TEXT("c:\\parrots.jpg"),0,0,1);

m_pRasterKrnDlg = NULL;
CoCreateInstance(CLSID_LEADRasterDlgKrn, NULL, CLSCTX_ALL,
 IID_ILEADRasterDlgKrn, (void**)&m_pRasterKrnDlg);

m_pRasterKrnDlg->InitDlg(INIT_WITHOUT_COLOR);

m_pRasterFileDlg=NULL;
CoCreateInstance(CLSID_LEADRasterDlgFile, NULL, CLSCTX_ALL,
 IID_ILEADRasterDlgFile, (void**)&m_pRasterFileDlg);

return TRUE; // return TRUE unless you set the focus
 to a control
}

void CDialogs::OnShowSaveDlg()
{
int nRet;

m_pRasterFileDlg->DialogTitle = "Save
 a File";
m_pRasterFileDlg->FileDlgFlags = 0;
m_pRasterFileDlg->InitialDir = "C:\\";
m_pRasterFileDlg->SaveMulti = MULTIPAGE_OVERWRITE;
m_pRasterFileDlg->UIFlags = SAVE_SHOW_FILEOPTIONS_PROGRESSIVE
 |
SAVE_SHOW_FILEOPTIONS_MULTIPAGE
 |
SAVE_SHOW_FILEOPTIONS_STAMP
 |
SAVE_SHOW_FILEOPTIONS_QFACTOR
 |
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS
 |
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;

m_pRasterFileDlg->Bitmap = m_RasterView.GetRaster().GetBitmap();
nRet = m_pRasterFileDlg->ShowSaveDlg((long)this->m_hWnd);

if (nRet = 0 && m_pRasterFileDlg->DialogStatus
 == DLG_OK)
{

      if ((m_pRasterFileDlg->SaveFormat == FILE_J2K) ||
 (m_pRasterFileDlg->SaveFormat
 == FILE_JP2))
{
m_pRasterIO->J2KUseColorTransform  = m_pRasterFileDlg->SaveJ2KUseColorTransform;
m_pRasterIO->J2KDerivedQuantization  = m_pRasterFileDlg->SaveJ2KDerivedQuantization;
m_pRasterIO->PutJ2KCompressionControl  (m_pRasterFileDlg->GetSaveJ2KCompressionControl());
m_pRasterIO->J2KCompressionRatio
 = m_pRasterFileDlg->SaveJ2KCompressionRatio;
m_pRasterIO->J2KTargetFileSize
 = m_pRasterFileDlg->SaveJ2KTargetFileSize;
m_pRasterIO->J2KXOsiz
 = m_pRasterFileDlg->SaveJ2KXOsiz;
m_pRasterIO->J2KYOsiz
 = m_pRasterFileDlg->SaveJ2KYOsiz;
m_pRasterIO->J2KXTsiz
 = m_pRasterFileDlg->SaveJ2KXTsiz;
m_pRasterIO->J2KYTsiz
 = m_pRasterFileDlg->SaveJ2KYTsiz;
m_pRasterIO->J2KXTOsiz
 = m_pRasterFileDlg->SaveJ2KXTOsiz;
m_pRasterIO->J2KYTOsiz
 = m_pRasterFileDlg->SaveJ2KYTOsiz;
m_pRasterIO->J2KDecompLevel
 = m_pRasterFileDlg->SaveJ2KDecompLevel;
m_pRasterIO->PutJ2KProgressOrder
 (m_pRasterFileDlg->GetSaveJ2KProgressOrder());
m_pRasterIO->J2KCodBlockWidth
 = m_pRasterFileDlg->SaveJ2KCodBlockWidth;
m_pRasterIO->J2KCodBlockHeight
 = m_pRasterFileDlg->SaveJ2KCodBlockHeight;
m_pRasterIO->J2KCBS_SelectiveACBypass  = m_pRasterFileDlg->SaveJ2KCBS_SelectiveACBypass;
m_pRasterIO->J2KCBS_ResetContextOnBoundaries
 = m_pRasterFileDlg->SaveJ2KCBS_ResetContextOnBoundaries;
m_pRasterIO->J2KCBS_TerminationOnEachPass  = m_pRasterFileDlg->SaveJ2KCBS_TerminationOnEachPass;
m_pRasterIO->J2KCBS_VerticallyCausalContext  =
 m_pRasterFileDlg->SaveJ2KCBS_VerticallyCausalContext;
m_pRasterIO->J2KCBS_PredictableTermination  =
 m_pRasterFileDlg->SaveJ2KCBS_PredictableTermination;
m_pRasterIO->J2KCBS_ErrorResilienceSymbol  = m_pRasterFileDlg->SaveJ2KCBS_ErrorResilienceSymbol;
m_pRasterIO->J2KGuardBits
 = m_pRasterFileDlg->SaveJ2KGuardBits;
m_pRasterIO->J2KDerivedBaseMantissa  = m_pRasterFileDlg->SaveJ2KDerivedBaseMantissa;
m_pRasterIO->J2KDerivedBaseExponent  = m_pRasterFileDlg->SaveJ2KDerivedBaseExponent;
m_pRasterIO->J2KUseSOPMarker
 = m_pRasterFileDlg->SaveJ2KUseSOPMarker;
m_pRasterIO->J2KUseEPHMarker
 = m_pRasterFileDlg->SaveJ2KUseEPHMarker;

m_pRasterIO->Save
 (m_RasterView.GetRaster(), m_pRasterFileDlg->FileName,
 (RasterFileConstants)m_pRasterFileDlg->SaveFormat,
 m_pRasterFileDlg->SaveBitsPerPixel,
 (QFactorConstants)m_pRasterFileDlg->SaveQFactor,
 m_pRasterFileDlg->SaveMulti);

}
}
}


ShowAddBitmapsDlg Example for C++ 5.0 and later

void CDialogs::OnShowAddBitmapsDlg()
{
int nRet;

ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

m_pRasterImageEfxDlg->ItemsCount = 3;
m_pRasterImageEfxDlg->PutItemFileName (0,"C:\\1.cmp");
m_pRasterImageEfxDlg->PutItemFileName(1,"C:\\1.bmp");
m_pRasterImageEfxDlg->PutItemFileName(2,"C:\\1.jpg");

for (int i= 0; i < m_pRasterImageEfxDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterImageEfxDlg->GetItemFileName (i),0,0,1);
m_pRasterImageEfxDlg->PutItemDescription (i,m_pRasterImageEfxDlg->GetItemFileName(i));
m_pRasterImageEfxDlg->PutItemBitmap (i, Raster->GetBitmap  ());
}

m_pRasterImageEfxDlg->ImageEffectFlags = UNDERLAY_TILE;
m_pRasterImageEfxDlg->UIFlags = ADDBITMAPS_SHOW_PREVIEW |
ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();
nRet = m_pRasterImageEfxDlg->ShowAddBitmapsDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterImageEfxDlg->DialogStatus ==DLG_OK )
{
if(m_pRasterImageEfxDlg-> SelectedBitmapsCount > 0)
{
Raster->PutBitmapList(m_pRasterImageEfxDlg->SelectedBitmap List);
m_pRasterProc->AddBitmaps(Raster,(AddBitmapsConstants)m_pRasterImageEfxDlg->ImageEffectFlags );
}
}

Raster->Release();
}


ShowAddBorderDlg Example for C++ 5.0 and later

void CDialogs::OnShowAddBorderDlg()
{
int nRet;
ILEADRaster * SelectedRaster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&SelectedRaster
);

ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

m_pRasterImageDlg->ItemsCount= 3;
m_pRasterImageDlg->PutItemFileName(0,"C:\\1.cmp");
m_pRasterImageDlg->PutItemFileName(1,"C:\\1.bmp");
m_pRasterImageDlg->PutItemFileName(2,"C:\\1.jpg");

for (int i= 0; i < m_pRasterColorDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterColorDlg->GetItemFileName (i),0,0,1);
m_pRasterImageDlg->PutItemDescription(i,m_pRasterColorDlg->GetItemFileName(i));
m_pRasterImageDlg->PutItemBitmap(i, Raster->GetBitmap  ());
}

m_pRasterImageDlg->PutBitmap(m_LeadRasterView.GetRaster  ().GetBitmap  ());
m_pRasterImageDlg->PutUIFlags(ADDBORDER_SHOW_PREVIEW |
ADDBORDER_SHOW_TOOL_ZOOMLEVEL);

nRet = m_pRasterImageDlg->ShowAddBorderDlg((long)this->m_hWnd);
SelectedRaster->PutBitmap
  (m_pRasterImageDlg->SelectedBitmap);
if ( nRet == 0 && m_pRasterImageDlg->DialogStatus == DLG_OK )
{
nRet = m_pRasterProc->AddBorder  (m_LeadRasterView.GetRaster(),
m_pRasterImageDlg->LeftThickness,
m_pRasterImageDlg->TopThickness,
m_pRasterImageDlg->RightThickness,
m_pRasterImageDlg->BottomThickness,
(AddBorderLocationConstants)m_pRasterImageDlg->Location,
m_pRasterImageDlg->GetBorderStyle(),
m_pRasterImageDlg->GetEffectStyle(),
SelectedRaster,
m_pRasterImageDlg->GetGradientStyle(),
m_pRasterImageDlg->GradientStartColor,
m_pRasterImageDlg->GradientEndColor,
m_pRasterImageDlg->CurveIntensity,
m_pRasterImageDlg->GetEnableSoftCurve(),
m_pRasterImageDlg->GetEnableShadow(),
m_pRasterImageDlg->ShadowSize,
m_pRasterImageDlg->GetShadowDirection(),
m_pRasterImageDlg->GetEnableBumpyShadow()
);
m_LeadRasterView.GetRaster ().SetBitmap  (SelectedRaster->Bitmap );
}

SelectedRaster->Release();
Raster->Release();
}


ShowAddFrameDlg Example for C++ 5.0 and later

void CDialogd::OnShowAddFrame()
{
int nRet;
ILEADRaster * SelectedRaster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&SelectedRaster
);

ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

m_pRasterImageDlg->ItemsCount = 3;
m_pRasterImageDlg->PutItemFileName (0,"e:\image1.cmp");
m_pRasterImageDlg->PutItemFileName(1,"e:\image2.cmp");
m_pRasterImageDlg->PutItemFileName(2,"e:\image3.cmp");

for (int i= 0; i < m_pRasterColorDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterColorDlg->GetItemFileName (i),0,0,1);
m_pRasterImageDlg->PutItemDescription (i,m_pRasterColorDlg->GetItemFileName(i));
m_pRasterImageDlg->PutItemBitmap (i, Raster->GetBitmap  ());
}

m_pRasterImageDlg->PutBitmap (m_LeadRasterView.GetRaster().GetBitmap  ());
m_pRasterImageDlg->PutUIFlags (ADDFRAME_SHOW_PREVIEW |
ADDFRAME_SHOW_TOOL_ZOOMLEVEL);

nRet = m_pRasterImageDlg->ShowAddFrameDlg((long)this->m_hWnd);

if ( nRet == 0 && m_pRasterImageDlg->DialogStatus == DLG_OK )
{
SelectedRaster->PutBitmap
  (m_pRasterImageDlg->SelectedBitmap);
nRet = m_pRasterProc->AddFrame (m_LeadRasterView.GetRaster (),
SelectedRaster,
m_pRasterImageDlg->EnableKeepFrameState,
m_pRasterImageDlg->EnableUseMask,
m_pRasterImageDlg->MaskColor,
m_pRasterImageDlg->SmoothEdge,
(AddFrameLocationConstants)m_pRasterImageDlg->Location,
m_pRasterImageDlg->GetQuality()
);

}

SelectedRaster->Release();
Raster->Release();
}


ShowAddNoiseDlg Example for C++ 5.0 and later

void CDialogs::OnShowAddNoiseDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->PutChannel(CHANNEL_MASTER);
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();
m_pRasterImageEfxDlg->UIFlags = ADDNOISE_SHOW_PREVIEW |
ADDNOISE_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowAddNoiseDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->AddNoise
 (m_LeadRasterView.GetRaster  (),
m_pRasterImageEfxDlg->Range,
m_pRasterImageEfxDlg->GetChannel()
);
}
}


ShowAntiAliasDlg Example for C++ 5.0 and later

void CDialogs::OnShowAntiAliasDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();
m_pRasterImageEfxDlg->UIFlags = ANTIALIAS_SHOW_PREVIEW |
ANTIALIAS_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Radius = 5;
nRet = m_pRasterImageEfxDlg->ShowAntiAliasDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->AntiAlias  (m_LeadRasterView.GetRaster
 (),
m_pRasterImageEfxDlg->Threshold,
m_pRasterImageEfxDlg->Dimension,
m_pRasterImageEfxDlg->GetAntiAliasFilter()
);
}
}


ShowAutoTrimDlg Example for C++ 5.0 and later

void CDialogs::OnShowAutoTrimDlg()
{
int nRet;

m_pRasterImageDlg->UIFlags =  AUTOTRIM_SHOW_PREVIEW;
m_pRasterImageDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();

nRet= m_pRasterImageDlg->ShowAutoTrimDlg( (long)this->m_hWnd );
if ( nRet == 0 && m_pRasterImageDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->AutoTrim
  (m_LeadRasterView.GetRaster  (),m_pRasterImageDlg->Threshold);
}
}


ShowAverageDlg Example for C++ 5.0 and later

void CDialogs::OnShowAverageDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = AVERAGE_SHOW_PREVIEW |
AVERAGE_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowAverageDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Average (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowBalanceColorsDlg Example for C++ 5.0 and later

void CDialogs::OnShowBalanceColor()
{
int nRet;
m_pRasterColorDlg->UIFlags= BALANCECOLORS_SHOW_PREVIEW |
BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap= m_LeadRasterView.GetRaster().GetBitmap  ();
m_pRasterColorDlg->EnableMethodErrors= false;

nRet= m_pRasterColorDlg->ShowBalanceColorsDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->BalanceColors
  (m_LeadRasterView.GetRaster  (),
(float)m_pRasterColorDlg->RedToRed,
(float)m_pRasterColorDlg->RedToGreen,
(float)m_pRasterColorDlg->RedToBlue,
(float)m_pRasterColorDlg->GreenToRed,
(float)m_pRasterColorDlg->GreenToGreen,
(float)m_pRasterColorDlg->GreenToBlue,
(float)m_pRasterColorDlg->RedToRed,
(float)m_pRasterColorDlg->RedToGreen,
(float)m_pRasterColorDlg->RedToBlue
);
}
}

void CRasterColorDlgSink::OnDlgHelp((long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_BALANCECOLORS:
AfxMessageBox(TEXT("Help from BalanceColors dialog "));
break;

case HELP_COLOREDGRAY:
AfxMessageBox(TEXT("Help from ColoredGray dialog "));
break;

case HELP_GRAYSCALE:
AfxMessageBox(TEXT("Help from GrayScale dialog "));
break;

case HELP_REMAPHUE:
AfxMessageBox(TEXT("Help from RemapHue dialog "));
break;

case HELP_REMAPINTENSITY:
AfxMessageBox(TEXT("Help from RemapUntensity dialog "));
break;
}
}


ShowBendingDlg Example for C++ 5.0 and later

void CDialogs::ShowBendingDlg1Click()
{
L_INT nRet;
LEADDlgImgEffect1->UIFlags= BENDING_SHOW_PREVIEW |
BENDING_SHOW_TOOL_ZOOMLEVEL;

LEADDlgImgEffect1->Bitmap= Bitmap1;

nRet= LEADDlgImgEffect1->ShowBendingDlg( this );
if ( nRet == SUCCESS_OK )
{
Bitmap1->Bending ( LEADDlgImgEffect1->Value,
LEADDlgImgEffect1->CenterPoint,
LEADDlgImgEffect1->FillColor,
LEADDlgImgEffect1->ImageEffectFlags);
}
}


ShowBorderRemoveDlg Example for C++ 5.0 and later

void CDialogs::OnShowRemoveRedEyeDlg()
{
int nRet;
m_pRasterImgDocDlg->EnableZoomToFit = false;
m_pRasterImgDocDlg->UIFlags = REMOVEREDEYE_SHOW_PREVIEW |
REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap (m_LeadRasterView.GetRaster ()GetBitmap  ());

m_pRasterImgDocDlg->EnableMethodErrors = false;

nRet= m_pRasterImgDocDlg->ShowRemoveRedEyeDlg ((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImgDocDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->RemoveRedeye
  (m_LeadRasterView.GetRaster  (),
m_pRasterImgDocDlg->NewColor,
m_pRasterImgDocDlg->Threshold,
m_pRasterImgDocDlg->Lightness );
}
}


ShowBrightnessDlg Example for C++ 5.0 and later

void CDialogs::OnShowBrightnessDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags
 = BRIGHTNESS_SHOW_PREVIEW |
BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap
 = m_LeadRasterView.GetRaster ().GetBitmap
  ();

nRet= m_pRasterColorDlg->ShowBrightnessDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus
 == DLG_OK )
{
m_pRasterProc->Intensity
  (m_LeadRasterView.GetRaster (),m_pRasterColorDlg->Change);
}
}


ShowCanvasResizeDlg Example for C++ 5.0 and later

Void CDialogs::ShowCanvasResizeDlg()
{
int nRet;
m_pRasterImageDlg->CurrentHeight= m_LeadRasterView.GetRaster().GetBitmapHeight ();
m_pRasterImageDlg->CurrentWidth= m_LeadRasterView.GetRaster().GetBitmapWidth ();
m_pRasterImageDlg->BackColor = RGB ( 255, 255, 255 );

m_pRasterImageDlg->UIFlags = CANVASRESIZE_SHOW_CURRENT_HEIGHT |
CANVASRESIZE_SHOW_CURRENT_WIDTH |
CANVASRESIZE_SHOW_HORIZPOS |
CANVASRESIZE_SHOW_VIRTZPOS |
CANVASRESIZE_SHOW_BACKCOLOR |
CANVASRESIZE_SHOW_KEEPASPECT |
CANVASRESIZE_AUTOPROCESS;

m_pRasterImageDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageDlg->ShowCanvasResizeDlg( (long)this->m_hWnd);}
}


ShowColorDlg Example for C++ 5.0 and later

void CDialogs::OnShowColorDlg()
{
int nRet;

m_pRasterColorDlg->UIFlags = COLOR_SHOW_OLDCOLOR |
COLOR_SHOW_NEWCOLOR |
COLOR_SHOW_NAME |
COLOR_COLORSPACE_SHOW_HUE |
COLOR_COLORSPACE_SHOW_BRIGHTNESS |
COLOR_COLORSPACE_SHOW_WHEEL |
COLOR_COLORSPACE_SHOW_RGB |
COLOR_COLORSPACE_SHOW_CMY |
COLOR_COLORSPACE_SHOW_CMYK |
COLOR_COLORSPACE_SHOW_LAB |
COLOR_COLORMODEL_SHOW_RGB |
COLOR_COLORMODEL_SHOW_HSB |
COLOR_COLORMODEL_SHOW_HLS |
COLOR_COLORMODEL_SHOW_CMY |
COLOR_COLORMODEL_SHOW_CMYK |
COLOR_COLORMODEL_SHOW_LAB;

m_pRasterColorDlg->SelectedColor= RGB ( 255, 255, 255 );
m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();

nRet= m_pRasterColorDlg->ShowColorDlg((long)this->m_hWnd);

if ( nRet == 0 && m_pRasterColorDlg->DialogStatus ==DLG_OK )
{
m_pRasterProc->Fill (m_LeadRasterView.GetRaster (), m_pRasterColorDlg->SelectedColor );
}
}


ShowColoredGrayDlg Example for C++ 5.0 and later

void CDialogs::OnShowColoredGrayDlg()
{
int nRet;

m_pRasterColorDlg->RedFactor= 400;
m_pRasterColorDlg->GreenFactor= 300;
m_pRasterColorDlg->BlueFactor= 300;
m_pRasterColorDlg->RedGrayFactor= 400;
m_pRasterColorDlg->GreenGrayFactor= 300;
m_pRasterColorDlg->BlueGrayFactor= 300;

m_pRasterColorDlg->UIFlags = COLOREDGRAY_SHOW_PREVIEW |
COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();
m_pRasterColorDlg->ShowColoredGrayDlg ( (long)this->m_hWnd);

if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->ConvertToColoredGray
  (m_LeadRasterView.GetRaster  (),
m_pRasterColorDlg->RedFactor,
m_pRasterColorDlg->GreenFactor,
m_pRasterColorDlg->BlueFactor,
m_pRasterColorDlg->RedGrayFactor,
m_pRasterColorDlg->GreenGrayFactor,
m_pRasterColorDlg->BlueGrayFactor
);
}
}


ShowColorResDlg Example for C++ 5.0 and later

void CDialogs::OnShowColorResDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags = COLORRES_SHOW_BITALL |
COLORRES_SHOW_DITHER_ALL |
COLORRES_SHOW_PAL_ALL;

m_pRasterColorDlg->UIFlags = COLORRES_SHOW_PREVIEW |
COLORRES_SHOW_OPENPALFILE |
COLORRES_SHOW_ORDER |
COLORRES_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap  ();
nRet = m_pRasterColorDlg->ShowColorResDlg((long)this->m_hWnd);

if ( nRet == 0 && m_pRasterColorDlg->DialogStatus ==DLG_OK )
{
m_pRasterProc->ColorRes
  (m_LeadRasterView.GetRaster  (),
m_pRasterColorDlg->BitsPerBixel,
(ColorResPaletteConstants)m_pRasterColorDlg->PaletteFlags,
(ColorResDitherConstants)m_pRasterColorDlg->DitherFlags,
0 );
}
}


ShowContourFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowContourFilterDlg()

{
int nRet = 0;

m_pRasterImageEfxDlg->MaxError= 5;
m_pRasterImageEfxDlg->DeltaDirection= 5;
m_pRasterImageEfxDlg->PutContourOption(CONTOUR_LINK_COLOR);
m_pRasterImageEfxDlg->Threshold = 5;
m_pRasterImageEfxDlg->ContourOptionFlags= CONTOURFILTER_SHOW_OPTION_ALL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap
 ();
m_pRasterImageEfxDlg->UIFlags = CONTOURFILTER_SHOW_PREVIEW |
CONTOURFILTER_SHOW_DELTADIRECTION |
CONTOURFILTER_SHOW_MAXIMUMERROR |
CONTOURFILTER_SHOW_OPTION |
CONTOURFILTER_SHOW_THRESHOLD |
CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowContourFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->ContourFilter method  (m_LeadRasterView.GetRaster
 (),
m_pRasterImageEfxDlg->Threshold,
m_pRasterImageEfxDlg->DeltaDirection,
m_pRasterImageEfxDlg->MaxError,
m_pRasterImageEfxDlg->GetContourOption()
);
}
}


ShowContrastDlg Example for C++ 5.0 and later

void CDialogs::OnShowContrastDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags = CONTRAST_SHOW_PREVIEW |
CONTRAST_SHOW_TOOL_ZOOMLEVEL;
m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster ().GetBitmap  ();

nRet= m_pRasterColorDlg->ShowContrastDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Contrast
  (m_LeadRasterView.GetRaster
  (),m_pRasterColorDlg->Change );
}
}


ShowCustomizePaletteDlg Example for C++ 5.0 and later

void CDialog::OnShowCustomizePalletteDlg()
{
int nRet;
m_pRasterColorDlg->UserPaletteCount = 256;
for (int i= 0; i < 256; i ++ )
{
m_pRasterColorDlg->PutUserPalette(i,RGB(i,0,0));
}

m_pRasterColorDlg->UIFlags = CUSTOMIZEPALETTE_SHOW_SORT |
CUSTOMIZEPALETTE_SHOW_FINDCLOSEST |
CUSTOMIZEPALETTE_SHOW_ADDOPTION |
CUSTOMIZEPALETTE_SHOW_REMOVEOPTION |
CUSTOMIZEPALETTE_SHOW_COLORMODEL |
CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN |
CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN |
CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN |
CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN |
CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN |
CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN |
CUSTOMIZEPALETTE_SHOW_NEW |
CUSTOMIZEPALETTE_SHOW_OPEN |
CUSTOMIZEPALETTE_SHOW_SAVE |
CUSTOMIZEPALETTE_SHOW_SAVEAS |
CUSTOMIZEPALETTE_GENERATE_PALETTE;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
nRet= m_pRasterColorDlg->ShowCustomizePaletteDlg((long) this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
if ( m_pRasterColorDlg->ApplyPaletteWhenExit )
MessageBox(TEXT("True"));
else
MessageBox(TEXT("False"));

for (int i= 0; i < 256; i ++ )
{
m_pRasterProc->PutUserPalette(i, m_pRasterColorDlg->GetGeneratedPalette(i));
}
}
}


ShowCylindricalDlg Example for C++ 5.0 and later

void CDialogs::OnShowCylindricalDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = CYLINDRICAL_SHOW_PREVIEW |
CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowCylindricalDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Cylindrical(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Value,
(CylindricalBitmapConstants)m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowDilationFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowDilationFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = DILATIONFILTER_SHOW_PREVIEW |
DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowDilationFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->BinaryFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetBinaryFilterType()
);
}
}


ShowDirectoryDlg Example for C++ 5.0 and later

void CDialogs::OnShowDirectoryDlg()
{
int nRet;

m_pRasterFileDlg->Directory= "c:\\images\\";
m_pRasterFileDlg->Filter= "ALL|*.*|LEAD|*.cmp|JPEG|*.JPG";
m_pRasterFileDlg->FilterIndex= 1;
m_pRasterFileDlg->DialogTitle = "Select a Directory Please";

m_pRasterFileDlg->EnableMethodErrors= false;

nRet= m_pRasterFileDlg->ShowDirectoryDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterFileDlg->DialogStatus ==DLG_OK )
{
MessageBox( m_pRasterFileDlg->Directory );
}
}

void CRasterFileDlgSink::OnDlgHelp (long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_FILESASSOCIATION:
AfxMessageBox(TEXT("'Help from FilesAssociation dialog "));
break;

case HELP_OPEN:
AfxMessageBox(TEXT("Help from Open dialog "));

case HELP_SAVE:
AfxMessageBox(TEXT("Help from Save dialog "));
break;

case HELP_FILECONVERSION:
AfxMessageBox(TEXT("Help from FileConversion dialog "));

case HELP_FILESASSOCIATION:
AfxMessageBox(TEXT("Help from FilesAssociation dialog "));
break;

case HELP_PRINTPREVIEW:
AfxMessageBox(TEXT("Help from PrintPreview dialog "));

case HELP_PRINTSTITCHEDIMAGES:
AfxMessageBox(TEXT("Help from PrintStitchedImages dialog "));
}
}


ShowDotRemoveDlg Example for C++ 5.0 and later

void CDialogs::OnShowDotRemoveDlg()
{
m_pRasterImgDocDlg->DotRemove->MinDotWidth= 6;
m_pRasterImgDocDlg->DotRemove->MinDotHeight= 6;
m_pRasterImgDocDlg->DotRemove->MaxDotWidth = 8;
m_pRasterImgDocDlg->DotRemove->MaxDotHeight= 8;
m_pRasterImgDocDlg->DotRemove->PutFlags(DOT_USE_DIAGONALS | DOT_USE_DPI);

m_pRasterImgDocDlg->PutWhiteAreaColor(RGB(255,0, 0));
m_pRasterImgDocDlg->PutBlackAreaColor(RGB(0, 0, 255));
m_pRasterImgDocDlg->UIFlags = DOTREMOVE_AUTOPROCESS |
DOTREMOVE_SHOW_PREVIEW |
DOTREMOVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap (m_LeadRasterView.GetRaster ().GetBitmap ());
m_pRasterImgDocDlg->ShowDotRemoveDlg((long)this->m_hWnd);
}


ShowEdgeDetectorDlg Example for C++ 5.0 and later

void CDialogs::OnShowEdgeDetectorDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = EDGEDETECTOR_SHOW_PREVIEW |
EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();

nRet= m_pRasterImageEfxDlg->ShowEdgeDetectorDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->EdgeDetector
   (m_LeadRasterView.GetRaster  (),
m_pRasterImageEfxDlg->Threshold,
m_pRasterImageEfxDlg->GetEdgeDetectionFilterType()
);
}
}


ShowEffectDlg Example for C++ 5.0 and later

void CDialogs::OnShowEffectDlg()
{
int nRet;

m_pRasterEfxDlg->Effect->EffectStyle= EFX_EFFECT_BLIND_CLASS;
m_pRasterEfxDlg->Effect->Grain= 5;
m_pRasterEfxDlg->Effect->Delay= 50;
m_pRasterEfxDlg->Effect->MaxPass= 1;
m_pRasterEfxDlg->Effect->Transparent= false;
m_pRasterEfxDlg->Effect->TransparentColor= RGB(0,0,0);
m_pRasterEfxDlg->Effect->WandThickness= 3;
m_pRasterEfxDlg->Effect->WandColor= RGB ( 255, 0, 0 );
m_pRasterEfxDlg->UIFlags= EFFECT_SHOW_PREVIEW |
EFFECT_DELAY |
EFFECT_GRAIN |
EFFECT_PASSES |
EFFECT_TRANSPARENT |
EFFECT_WAND |
EFFECT_CLASS_WIPE |
EFFECT_CLASS_WIPERECT |
EFFECT_CLASS_WIPECIRCLE |
EFFECT_CLASS_PUSH |
EFFECT_CLASS_SLIDE |
EFFECT_CLASS_ROLL |
EFFECT_CLASS_ROTATE |
EFFECT_CLASS_ZOOM |
EFFECT_CLASS_DRIP |
EFFECT_CLASS_BLIND |
EFFECT_CLASS_RANDOM |
EFFECT_CLASS_CHECK |
EFFECT_CLASS_BLOCKS |
EFFECT_CLASS_CIRCLE |
EFFECT_CLASS_ELLIPSE;

m_pRasterEfxDlg->Bitmap= m_LeadRasterView.GetRaster ().GetBitmap ();
nRet =m_pRasterEfxDlg->ShowEffectDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterEfxDlg->DialogStatus ==DLG_OK )
{
CString csRes1;
CString csRes2;
csRes1.Format(TEXT("Effect: %d\nGrain: %d\nDelay: %d\nMaxPass: %d\nTransparent: %d\n"),
m_pRasterEfxDlg->Effect->EffectStyle,
m_pRasterEfxDlg->Effect->Grain,
m_pRasterEfxDlg->Effect->Delay,
m_pRasterEfxDlg->Effect->MaxPass,
m_pRasterEfxDlg->Effect->Transparent);
csRes2.Format(TEXT("TransparentColor: %ld\nWandWidth: %d\nWandColor: %ld"),
m_pRasterEfxDlg->Effect->TransparentColor,
m_pRasterEfxDlg->Effect->WandThickness,
m_pRasterEfxDlg->Effect->WandColor);
AfxMessageBox(csRes1 + csRes2);
}
}


ShowEmbossDlg Example for C++ 5.0 and later

void CDialogs::OnShowEmbossDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->PutDirection(EMBOSS_S);
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = EMBOSS_SHOW_PREVIEW |
EMBOSS_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowEmbossDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Emboss (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetDirection(),
m_pRasterImageEfxDlg->Depth
);
}
}


ShowErosionFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowErosionFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = EROSIONFILTER_SHOW_PREVIEW |
EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowErosionFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->BinaryFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetBinaryFilterType()
);
}
}


ShowFileConversionDlg Example for C++ 5.0 and later

void CDialogs::OnShowFileConversionDlg()
{
m_pRasterFileDlg->OverWriteFlags= FILECONVERSION_OVERWRITE_SKIP;
m_pRasterFileDlg->FileFormatsCount = 0;
m_pRasterFileDlg->DestinationPath= "c:\\output";
m_pRasterFileDlg->EnableLogReport= true;
m_pRasterFileDlg->EnableRemoveSourceFile= false;
m_pRasterFileDlg->EnableShowFullPath= true;
m_pRasterFileDlg->UseOriginalFolder= true;
m_pRasterFileDlg->SourceFileList= "C:\\images\\|Image1.jpg|C:\\images\\Image2.jpg|C:\\images\\Image3.jpg|C:\\images\\Image4.jpg|";
m_pRasterFileDlg->UIFlags = FILECONVERSION_SHOW_PREVIEW |
FILECONVERSION_SHOW_LOADOPTIONS |
FILECONVERSION_SHOW_FILEINFO |
FILECONVERSION_SHOW_PREVIEW_PAGES |
FILECONVERSION_SHOW_RESIZE |
FILECONVERSION_SHOW_ROTATE |
FILECONVERSION_SHOW_NAMINGTEMPLATE |
FILECONVERSION_SHOW_OVERWRITE |
FILECONVERSION_SHOW_OVERWRITE_ALL |
FILECONVERSION_SHOW_ADD |
FILECONVERSION_SHOW_ADDFOLDER |
FILECONVERSION_SHOW_REMOVE |
FILECONVERSION_SHOW_SELECTALL |
FILECONVERSION_SHOW_DELETEORIGINAL;

m_pRasterFileDlg->ShowFileConversionDlg ((long)this->m_hWnd);
}


ShowFilesAssociationDlg Example for C++ 5.0 and later

void CDialogs::OnShowFilesAssociationDlg()
{
m_pRasterFileDlg->UIFlags = 0;
m_pRasterFileDlg->Formats= "LEAD (*.cmp)|*.cmp|DICOM (*.dic)|*.dic|Windows Bitmap (*.bmp)|*.bmp";
m_pRasterFileDlg->SelectedExt= "";
m_pRasterFileDlg->ServerApplicationName= m_strServerAppName;

m_pRasterFileDlg->ShowFilesAssociationDlg((long)this->m_hWnd);
}


ShowFreeHandWaveDlg Example for C++ 5.0 and later

void CDialogs::OnShowFreeHandWaveDlg()
{
int nRet = 0;
m_pRasterImageEfxDlg->ScaleValue = 10;
m_pRasterImageEfxDlg->WaveLength= 5;
m_pRasterImageEfxDlg->ImageEffectFlags = FILL_CLR | DIS_FRQ;
m_pRasterImageEfxDlg->Angle= 4500;
m_pRasterImageEfxDlg->FillColor= RGB ( 200, 0, 0 );
m_pRasterImageEfxDlg->UIFlags = FREEHANDWAVE_SHOW_PREVIEW |
FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap
 ();
nRet= m_pRasterImageEfxDlg->ShowFreeHandWaveDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->AmplitudesCount= m_pRasterImageEfxDlg->AmplitudesCount;
for (int i= 0; i < m_pRasterImageEfxDlg->AmplitudesCount; i ++ )
{
m_pRasterProc->PutAmplitudes(i,m_pRasterImageEfxDlg->GetAmplitudes(i));
}

m_pRasterProc->FreeHandWave (m_LeadRasterView.GetRaster  (),
m_pRasterImageEfxDlg->ScaleValue,
m_pRasterImageEfxDlg->WaveLength,
m_pRasterImageEfxDlg->Angle,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags );
}
}


ShowGammaAdjustmentDlg Example for C++ 5.0 and later

void CDialogs::OnShowGammaAdjustmentDlg()
{
int nRet;
int nGamma = 0;
m_pRasterColorDlg->GammaRedValue= 50;
m_pRasterColorDlg->GammaGreenValue= 50;
m_pRasterColorDlg->GammaBlueValue= 50;
m_pRasterColorDlg->EnableGammaAllChannels= true;
m_pRasterColorDlg->UIFlags = GAMMAADJUSTMENT_SHOW_PREVIEW |
GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL |
GAMMAADJUSTMENT_FORCELINKCHANNELS ;

m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();

nRet =m_pRasterColorDlg->ShowGammaAdjustmentDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
nGamma = (m_pRasterColorDlg->GammaRedValue +
m_pRasterColorDlg->GammaGreenValue +
m_pRasterColorDlg->GammaBlueValue)/3;

m_pRasterProc->GammaCorrect
  (m_LeadRasterView.GetRaster  (), nGamma);
}
}


ShowGaussianBlur Example for C++ 5.0 and later

void CDialogs::OnShowGaussianBlurDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = GAUSSIANBLUR_SHOW_PREVIEW |
GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Radius= 5;
nRet = m_pRasterImageEfxDlg->ShowGaussianBlurDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->GaussianFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Radius
);
}
}


ShowGIFWebTunerDlg Example for C++ 5.0 and later

void CDialogs::OnGIFWebTuner()
{
short nRet;

m_pRasterWebDlg->PutBitmap (m_RasterView.GetRaster().GetBitmap  ());
m_pRasterWebDlg->PutUIFlags (GIFWEBTUNER_SHOW_INFORMATION |
GIFWEBTUNER_SHOW_PREVIEW |
GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
GIFWEBTUNER_SHOW_TOOL_COLORPICKER |
GIFWEBTUNER_SHOW_TRANSPARENCY |
GIFWEBTUNER_SHOW_OPTIONS |
GIFWEBTUNER_SHOW_ADDWINDOWCOLOR);

nRet = m_pRasterWebDlg->ShowGIFWebTunerDlg((long)this->m_hWnd);
if(nRet == 0 && m_pRasterWebDlg->GetDialogStatus () == OK)
{
m_pRasterProcess->Fill
  (m_RasterView.GetRaster  (),
m_pRasterWebDlg->GetTransparentColor());
}
}


ShowGradientDlg Example for C++ 5.0 and later

void CDialogs::OnShowGradientDlg()
{
int nRet;
m_pRasterEfxDlg->Gradient->StartColor= RGB ( 0, 0, 255 );
m_pRasterEfxDlg->Gradient->EndColor= RGB ( 255, 0, 0 );
m_pRasterEfxDlg->Gradient->GradientStyle= EFX_GRADIENT_ANGLE_TO_RT;
m_pRasterEfxDlg->Gradient->Steps= 200;
m_pRasterEfxDlg->UIFlags= GRADIENT_SHOW_PREVIEW |
GRADIENT_AUTOPREVIEW |
GRADIENT_STARTCOLOR |
GRADIENT_ENDCOLOR |
GRADIENT_STEPS |
GRADIENT_NO_TREEVIEW |
GRADIENT_CLASS_LINEAR |
GRADIENT_CLASS_ANGULAR |
GRADIENT_CLASS_RECTANGULAR |
GRADIENT_CLASS_ELLIPTICAL |
GRADIENT_CLASS_CONICAL;

m_pRasterEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
nRet = m_pRasterEfxDlg->ShowGradientDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterEfxDlg->DialogStatus ==DLG_OK )
{
CString csRes;
csRes.Format(TEXT("GradientStyle: %d\nGradientSteps: %d\nStartColor: %ld\nEndColor: %ld\n"),
m_pRasterEfxDlg->Gradient->GradientStyle,
m_pRasterEfxDlg->Gradient->Steps,
m_pRasterEfxDlg->Gradient->StartColor,
m_pRasterEfxDlg->Gradient->EndColor);
AfxMessageBox(csRes);
}
}


ShowGradientFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowGradientFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = GRADIENTFILTER_SHOW_PREVIEW |
GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowGradientFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType()
);
}
}


ShowGrayScaleDlg Example for C++ 5.0 and later

void CDialogs::OnShowGrayScaleDlg()
{
m_pRasterColorDlg->RedFactor = 400;
m_pRasterColorDlg->GreenFactor = 300;
m_pRasterColorDlg->BlueFactor = 300;
m_pRasterColorDlg->UIFlags = GRAYSCALE_SHOW_PREVIEW |
GRAYSCALE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();

m_pRasterColorDlg->ShowGrayScaleDlg((long) this->m_hWnd);
}


ShowHalftoneDlg Example for C++ 5.0 and later

void CDialogs::OnShowHalftoneDlg()
{
ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

int nRet;
m_pRasterColorDlg->ItemsCount= 3;
m_pRasterColorDlg->PutItemFileName(0,"C:\\1.cmp");
m_pRasterColorDlg->PutItemFileName(1,"C:\\1.bmp");
m_pRasterColorDlg->PutItemFileName(2,"C:\\1.jpg");

for (int i= 0; i < m_pRasterColorDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
 (Raster,m_pRasterColorDlg->GetItemFileName(i),0,0,1);
m_pRasterColorDlg->PutItemDescription (i,m_pRasterColorDlg->GetItemFileName(i));
m_pRasterColorDlg->PutItemBitmap(i, Raster->GetBitmap  ());
}

m_pRasterColorDlg->Angle = 5;
m_pRasterColorDlg->Dimension= 5;
m_pRasterColorDlg->HalftoneType= HT_RECT;
m_pRasterColorDlg->UIFlags = HALFTONE_SHOW_PREVIEW |
HALFTONE_SHOW_TOOL_ZOOMLEVEL |
HALFTONE_SHOW_TOOL_SHOWEFFECT |
HALFTONE_SHOW_TOOL_ONSCREEN |
HALFTONE_SHOW_TOOL_RESET;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap  ();
nRet = m_pRasterColorDlg->ShowHalftoneDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus ==DLG_OK )
{
CString StrMsg;
StrMsg.Format(TEXT("No of Selected Items are  %d"),m_pRasterColorDlg->SelectedBitmapsCount);
MessageBox(StrMsg);
if ( m_pRasterColorDlg->SelectedBitmapList != 0 )
m_LeadRasterView.GetRaster  ().SetBitmapList(m_pRasterColorDlg->SelectedBitmapList);
}
Raster->Release();
}


ShowHistoContrastDlg Example for C++ 5.0 and later

void CDialogs::OnShowHistoContrast()
{
int nRet;
m_pRasterColorDlg->UIFlags = HISTOCONTRAST_SHOW_PREVIEW |
HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL ;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap  ();

nRet = m_pRasterColorDlg->ShowHistoContrastDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus ==DLG_OK )
{
m_pRasterProc->HistoContrast
  (m_LeadRasterView.GetRaster  (), m_pRasterColorDlg->Change );
}
}


ShowHistogramDlg Example for C++ 5.0 and later

void CDialogs::OnShowHistogramDlg()
{
m_pRasterImageDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageDlg->BlueChannelPenColor= RGB(0, 0, 255);
m_pRasterImageDlg->GreenChannelPenColor = RGB(0, 255, 0);
m_pRasterImageDlg->RedChannelPenColor= RGB(255, 0, 0);
m_pRasterImageDlg->MasterChannelPenColor= RGB(0, 0, 0);
m_pRasterImageDlg->UIFlags = HISTOGRAM_SHOW_VIEWSTYLE |
HISTOGRAM_USERPENCOLORS;
m_pRasterImageDlg->ShowHistogramDlg( (long)this->m_hWnd );
}


ShowHolePunchRemoveDlg Example for C++ 5.0 and later

void CDialogs::OnShowHolePunchRemoveDlg()
{
m_pRasterImgDocDlg->HolePunchRemove->MinHoleCount= 2;
m_pRasterImgDocDlg->HolePunchRemove->MaxHoleCount= 4;
m_pRasterImgDocDlg->HolePunchRemove->MinHoleWidth= 0;
m_pRasterImgDocDlg->HolePunchRemove->MinHoleHeight= 0;
m_pRasterImgDocDlg->HolePunchRemove->MaxHoleWidth= 0;
m_pRasterImgDocDlg->HolePunchRemove->MaxHoleHeight= 0;
m_pRasterImgDocDlg->HolePunchRemove->PutLocation(HOLEPUNCH_LEFT);
m_pRasterImgDocDlg->HolePunchRemove->PutFlags(HOLEPUNCH_USE_DPI);

m_pRasterImgDocDlg->UIFlags = HOLEPUNCHREMOVE_AUTOPROCESS|
HOLEPUNCHREMOVE_SHOW_PREVIEW |
HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL;
m_pRasterImgDocDlg->WhiteAreaColor = RGB ( 255, 0, 0 );
m_pRasterImgDocDlg->BlackAreaColor = RGB ( 0, 0, 255 );

m_pRasterImgDocDlg->PutBitmap (m_LeadRasterView.GetRaster ().GetBitmap ());
m_pRasterImgDocDlg->ShowHolePunchRemoveDlg((long)this->m_hWnd);
}


ShowHTMLMapperDlg Example for C++ 5.0 and later

void CDialogs::OnHtmlMapper()
{
m_pRasterWebDlg->PutUIFlags (0);
m_pRasterWebDlg->PutBitmap (m_RasterView.GetRaster().GetBitmap ());

m_pRasterWebDlg->PutURLMaxLength(35);
m_pRasterWebDlg->PutALTMaxLength(35);
m_pRasterWebDlg->PutTargetMaxLength(10);
m_pRasterWebDlg->PutRolloverMaxLength(MAX_PATH);

m_pRasterWebDlg->PutURLEntryCount(5);
m_pRasterWebDlg->PutALTEntryCount(5);
m_pRasterWebDlg->PutTargetEntryCount(5);
m_pRasterWebDlg->PutRolloverEntryCount(5);

m_pRasterWebDlg->PutURLValidEntryCount(2);
m_pRasterWebDlg->PutALTValidEntryCount(1);
m_pRasterWebDlg->PutTargetValidEntryCount(1);
m_pRasterWebDlg->PutRolloverValidEntryCount(3);

m_pRasterWebDlg->PutURL(0,"http://www.medicorimaging.com/");
m_pRasterWebDlg->PutURL(1,"http://www.leadtools.com/");

m_pRasterWebDlg->PutALT(0,"LEADTOOLS Online!");

m_pRasterWebDlg->PutTarget(0,"_parent");

m_pRasterWebDlg->PutRollover(0,"e:\\images\\image3.jpg");
m_pRasterWebDlg->PutRollover(1,"e:\\images\\image2.jpg");
m_pRasterWebDlg->PutRollover(2,"e:\\images\\image1.jpg");

m_pRasterWebDlg->ShowHTMLMapperDlg((long)this->m_hWnd);
}


ShowHueDlg Example for C++ 5.0 and later

void CDialogs::OnShowHueDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags = HUE_SHOW_PREVIEW |
HUE_SHOW_TOOL_ZOOMLEVEL;

nRet= m_pRasterColorDlg->ShowHueDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Hue (m_LeadRasterView.GetRaster (),(short)m_pRasterColorDlg->Angle);
}
}


ShowImpressionistDlg Example for C++ 5.0 and later

void CDialogs::OnShowImpressionistDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = IMPRESSIONIST_SHOW_PREVIEW |
IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowImpressionistDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Impressionist(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->HorizontalDimension,
m_pRasterImageEfxDlg->VerticalDimension
);
}
}


ShowIntensityDetectDlg Example for C++ 5.0 and later

void CDialogs::OnShowIntensityDetectDlg()
{
int nRet;

m_pRasterColorDlg->UIFlags = INTENSITYDETECT_SHOW_PREVIEW |
INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->IntensityChannel = IDB_ CHANNEL_RED;
m_pRasterColorDlg->PutInColor(RGB(0,0,0));
m_pRasterColorDlg->PutOutColor(RGB(0,0,255));
m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();

nRet = m_pRasterColorDlg->ShowIntensityDetectDlg ((long) this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->.IntensityDetect
 (m_LeadRasterView.GetRaster (), m_pRasterColorDlg->Low, m_pRasterColorDlg->High, RGB(0,0,0), RGB(0,0,255), IDB_CHANNEL_RED);
}
}


ShowInvertTextDlg Example for C++ 5.0 and later

void CDialogs::OnShowInvertTextDlg()
{
m_pRasterImgDocDlg->InvertedText->MinInvertWidth= 900;
m_pRasterImgDocDlg->InvertedText->MinInvertHeight= 56;
m_pRasterImgDocDlg->InvertedText->MinBlackPercent= 75;
m_pRasterImgDocDlg->InvertedText->MaxBlackPercent= 95;
m_pRasterImgDocDlg->InvertedText->PutFlags(INVERTEDTEXT_USE_DIAGONALS |INVERTEDTEXT_USE_DPI);
m_pRasterImgDocDlg->WhiteAreaColor = RGB ( 255, 0, 0 );
m_pRasterImgDocDlg->BlackAreaColor = RGB ( 0, 0, 255 );

m_pRasterImgDocDlg->UIFlags = INVERTEDTEXT_AUTOPROCESS |
INVERTEDTEXT_SHOW_PREVIEW |
INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap (m_LeadRasterView.GetRaster ().GetBitmap ());

m_pRasterImgDocDlg->ShowInvertTextDlg((long)this->m_hWnd);
}


ShowJPEGWebTunerDlg Example for C++ 5.0 and later

void CDialogs::OnJPEGWebTuner()
{
m_pRasterWebDlg->PutBitmap (m_RasterView.GetRaster().GetBitmap ());
m_pRasterWebDlg->PutUIFlags ( JPEGWEBTUNER_SHOW_INFORMATION |
JPEGWEBTUNER_SHOW_PREVIEW |
JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
JPEGWEBTUNER_SHOW_SAVETHUMBNAIL |
JPEGWEBTUNER_SHOW_OPTIONS |
JPEGWEBTUNER_SHOW_SAVETHUMBNAIL);

nRet = m_pRasterWebDlg->ShowJPEGWebTunerDlg((long)this->m_hWnd);
if(nRet == 0 && m_pRasterWebDlg->GetDialogStatus () == OK)
{
if ( m_pRasterWebDlg->GetEnableProgressive())
m_pRasterIO->PutProgressivePasses (1);

if (m_pRasterWebDlg->GetEnableStamp())
{
m_pRasterIO->SaveWithStamp ((ILEADRaster*) m_RasterView.GetRaster ().m_lpDispatch,
"c:\\temp\\output.jpg",
(RasterFileConstants)m_pRasterWebDlg->GetJPEGFormat(),
24,
(QFactorConstants)m_pRasterWebDlg->GetQuality(),
32,
32,
24 );
}
else
{
m_pRasterIO->Save ((ILEADRaster*)m_RasterView.GetRaster().m_lpDispatch,
"c:\\temp\\output.jpg",
(RasterFileConstants)m_pRasterWebDlg->GetJPEGFormat ()
24,
m_pRasterWebDlg->GetQuality (),
SAVE_OVERWRITE );
}
}


ShowLaplacianFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowLaplacianFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = LAPLACIANFILTER_SHOW_PREVIEW |
LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowLaplacianFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType ()
);
}
}


ShowLineRemoveDlg Example for C++ 5.0 and later

void CDialogs::OnShowLineRemoveDlg()
{
int nRet;
m_pRasterImgDocDlg->LineRemove->GapLength= 3;
m_pRasterImgDocDlg->LineRemove->MaxLineWidth= 9;
m_pRasterImgDocDlg->LineRemove->MaxWallPercent= 10;
m_pRasterImgDocDlg->LineRemove->MinLineLength= 400;
m_pRasterImgDocDlg->LineRemove->Variance= 3;
m_pRasterImgDocDlg->LineRemove->Wall= 15;
m_pRasterImgDocDlg->LineRemove->PutFlags(LINE_USE_DPI | LINE_USE_VARIANCE);
m_pRasterImgDocDlg->LineRemove->PutRemoveFlags(LINEREMOVE_VERTICAL);

m_pRasterImgDocDlg->PutModificationColor(RGB ( 0, 255, 0 ));

m_pRasterImgDocDlg->UIFlags = LINEREMOVE_SHOW_PREVIEW |
LINEREMOVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap
  (m_LeadRasterView.GetRaster ().GetBitmap  ());

nRet = m_pRasterImgDocDlg->ShowLineRemoveDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImgDocDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->LineRemove
  (m_LeadRasterView.GetRaster  (),0,
m_pRasterImgDocDlg->LineRemove->MinLineLength,
m_pRasterImgDocDlg->LineRemove->MaxLineWidth,
m_pRasterImgDocDlg->LineRemove->Wall,
m_pRasterImgDocDlg->LineRemove->MaxWallPercent,
m_pRasterImgDocDlg->LineRemove->GapLength,
m_pRasterImgDocDlg->LineRemove->Variance,
m_pRasterImgDocDlg->LineRemove->GetRemoveFlags()
);
}
}


ShowLineSegmentFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowLineSegmentFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = LINESEGMENTFILTER_SHOW_PREVIEW |
LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowLineSegmentFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType ()
);
}
}


ShowLocalHistoEqualizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowLocalHistoEqualizeDlg()
{
int nRet;

m_pRasterColorDlg->RectangleWidth= (short) m_LeadRasterView.GetRaster().GetBitmapWidth()/ 2;
m_pRasterColorDlg->RectangleHeight= (short) m_LeadRasterView.GetRaster().GetBitmapHeight ()/ 2;
m_pRasterColorDlg->ColorSpace= YUV_SPACE;
m_pRasterColorDlg->UIFlags = LOCALHISTOEQUALIZE_SHOW_PREVIEW |
LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();

nRet= m_pRasterColorDlg->ShowLocalHistoEqualizeDlg ((long) this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->LocalHistoEqualize (m_LeadRasterView.GetRaster (),
m_pRasterColorDlg->RectangleWidth,
m_pRasterColorDlg->RectangleHeight,
m_pRasterColorDlg->XExtension,
m_pRasterColorDlg->YExtension,
(short)m_pRasterColorDlg->ColorSpace,
(short)m_pRasterColorDlg->SmoothSize
);
}

}


ShowMaxFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowMaxFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Dimension = 10;
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();
m_pRasterImageEfxDlg->UIFlags = MAXFILTER_SHOW_PREVIEW |
MAXFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMaxFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->MaxFilter  (m_LeadRasterView.GetRaster
 (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowMedianDlg Example for C++ 5.0 and later

void CDialogs::OnShowMedianDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = MEDIAN_SHOW_PREVIEW |
MEDIAN_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMedianDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Median (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowMinFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowMinFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Dimension = 10;
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap
 ();
m_pRasterImageEfxDlg->UIFlags = MINFILTER_SHOW_PREVIEW |
MINFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMinFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->MinFilter  (m_LeadRasterView.GetRaster  (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowMosaicDlg Example for C++ 5.0 and later

void CDialogs::OnShowMossaicDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = MOSAIC_SHOW_PREVIEW |
MOSAIC_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMosaicDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Mosaic (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowMotionBlurDlg Example for C++ 5.0 and later

void CImageEffectView::OnMotionBlur ()
{
int nRet;
m_pRasterImgEfxDlg->PutBitmap(m_RasterView.GetRaster().GetBitmap
 ());
m_pRasterImgEfxDlg->PutEnableZoomToFit(TRUE);
m_pRasterImgEfxDlg ->ShowHelpButton= true;
m_pRasterImgEfxDlg->PutUIFlags( MOTIONBLUR_SHOW_PREVIEW |
MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL
);

nRet = m_pRasterImgEfxDlg->ShowMotionBlurDlg((long)this->m_hWnd);

if(nRet == 0 && m_pRasterImgEfxDlg->GetDialogStatus() == DLG_OK)
{

nRet = m_pRasterProcess->MotionBlur  (
m_RasterView.GetRaster
 (),
m_pRasterImgEfxDlg->GetDimension(), /* the property */
m_pRasterImgEfxDlg->GetAngle(),
m_pRasterImgEfxDlg->GetEnableUniDirectional());

}
}

void CRasterImgEfxDlgSink::OnDlgHelp (long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_MOTIONBLUR:
AfxMessageBox(TEXT("Help on Motion Blur Option"));
break;

case HELP_RADIALBLUR:
AfxMessageBox(TEXT("Help on Radial Blur Option"));

default:
AfxMessageBox(TEXT("No Help!"));
}
}


ShowMultiplyDlg Example for C++ 5.0 and later

void CDialogs::OnShowMultiplyDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = MULTIPLY_SHOW_PREVIEW |
MULTIPLY_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMultiplyDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Multiply(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Factor
);
}
}


ShowOilifyDlg Example for C++ 5.0 and later

void CDialogs::OnShowOilifyDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = OILIFY_SHOW_PREVIEW |
OILIFY_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowOilifyDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Oilify (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension
);
}
}


ShowOpenDlg Example for C++ 5.0 and later

void CDialogs::OnShowOpenDlg()
{
int nRet;

m_pRasterFileDlg->DialogTitle = "LEADTOOLS Open dialog box";
m_pRasterFileDlg->InitialDir = "c:\\images";
m_pRasterFileDlg->FileDlgFlags = 0;
m_pRasterFileDlg->EnableShowPreview = true;
m_pRasterFileDlg->EnableShowLoadOptions = false;
m_pRasterFileDlg->LoadRotated = false;
m_pRasterFileDlg->LoadCompressed = false;
m_pRasterFileDlg->LoadPasses = 0;

m_pRasterFileDlg->UIFlags = OPEN_SHOW_PROGRESSIVE    |
OPEN_SHOW_MULTIPAGE      |
OPEN_SHOW_LOADROTATED    |
OPEN_SHOW_LOADCOMPRESSED |
OPEN_SHOW_FILEINFO       |
OPEN_SHOW_PREVIEW        |
OPEN_SHOW_DELPAGE        |
OPEN_VIEWTOTALPAGES;

nRet= m_pRasterFileDlg->ShowOpenDlg ( (long)this->m_hWnd );
if ( nRet == 0 && m_pRasterFileDlg->DialogStatus ==DLG_OK )
{
m_pRasterIO->Load
  (m_LeadRasterView.GetRaster  (),m_pRasterFileDlg->FileName, 0, m_pRasterFileDlg->PageNumber, 1 );
}
}


ShowPicturizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowPicturizeDlg()
{
int nRet;
m_pRasterImageEfxDlg->BitmapWidth= m_LeadRasterView.GetRaster ().GetBitmapWidth ();
m_pRasterImageEfxDlg->BitmapHeight
 = m_LeadRasterView.GetRaster () GetBitmapHeight
  ();

nRet= m_pRasterImageEfxDlg->ShowPicturizeDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Picturize
 method  (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetDirectoryPath(),
m_pRasterImageEfxDlg->GetPicturizeResizeFlags(),
m_pRasterImageEfxDlg->CellWidth,
m_pRasterImageEfxDlg->CellHeight
);
}
}


ShowPixelateDlg Example for C++ 5.0 and later

void CDialogs::OnShowPixelateDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = PIXELATE_SHOW_PREVIEW |
PIXELATE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap
 ();

nRet= m_pRasterImageEfxDlg->ShowPixelateDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Pixelate(m_LeadRasterView.GetRaster
 (),
m_pRasterImageEfxDlg->CellWidth,
m_pRasterImageEfxDlg->CellHeight,
m_pRasterImageEfxDlg->Opacity,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowPNGWebTunerDlg Example for C++ 5.0 and later

void CDialogs::OnPngWebTuner()
{
short nRet;

m_pRasterWebDlg->PutUIFlags(PNGWEBTUNER_SHOW_INFORMATION |
PNGWEBTUNER_SHOW_PREVIEW |
PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL |
PNGWEBTUNER_SHOW_TOOL_COLORPICKER |
PNGWEBTUNER_SHOW_TRANSPARENCY |
PNGWEBTUNER_SHOW_ADDWINDOWCOLOR
);

m_pRasterWebDlg->PutBitmap(m_RasterView.GetRaster().GetBitmap  ());
m_pRasterWebDlg->PutTransparentColor(RGB ( 255, 255, 255 ));
m_pRasterWebDlg->PutPaletteType(CRP_FIXEDPALETTE);
m_pRasterWebDlg->PutEnableWindowsColors(TRUE);
m_pRasterWebDlg->PutDitherType(CRD_FLOYDSTEINDITHERING);
m_pRasterWebDlg->PutBitsPerPixel(8);
m_pRasterWebDlg->PutNumberOfColors(256);
m_pRasterWebDlg->PutTransparencyTolerance(25);
m_pRasterWebDlg->PutEnableTransparent(TRUE);
m_pRasterWebDlg->PutShowHelpButton(TRUE);
m_pRasterWebDlg->PutEnableZoomToFit(TRUE);

nRet = m_pRasterWebDlg->ShowPNGWebTunerDlg((long)this->m_hWnd);
if(nRet == 0 && m_pRasterWebDlg->GetDialogStatus() == OK)
{
m_pRasterProcess->ColorRes
  (m_RasterView.GetRaster  (),
m_pRasterWebDlg->BitsPerPixel,
m_pRasterWebDlg->GetPaletteType(),
m_pRasterWebDlg->GetDitherType(),
0 );
}
}

void CRasterWebDlgSink::OnDlgHelp((long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_PNGWEBTUNER:
AfxMessageBox(TEXT("Help from PNG Web Tuner dialog "));
break;

case HELP_GIFWEBTUNER:
AfxMessageBox(TEXT("Help from GIF Web Tuner dialog "));
break;

case HELP_JPEGWEBTUNER:
AfxMessageBox(TEXT("Help from JPEG Web Tuner dialog "));
break;

case HELP_HTMLMAPPER:
AfxMessageBox(TEXT("Help from HTMLMapper dialog "));
break;
}
}


ShowPolarDlg Example for C++ 5.0 and later

void CDialogs::OnShowPolarDlg()
{
int nRet;;
m_pRasterImageEfxDlg->ImageEffectFlags = FILL_CLR | CART_TO_POL;
m_pRasterImageEfxDlg->FillColor = RGB ( 0, 0, 220 );
m_pRasterImageEfxDlg->UIFlags = POLAR_SHOW_PREVIEW |
POLAR_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowPolarDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Polar(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);

}
}


ShowPosterizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowPosterizeDlg()
{
int nRet;
m_pRasterColorDlg->Levels= 2;
m_pRasterColorDlg->UIFlags = POSTERIZE_SHOW_PREVIEW |
POSTERIZE_SHOW_TOOL_ZOOMLEVEL;
m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();

nRet= m_pRasterColorDlg->ShowPosterizeDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Posterize
  (m_LeadRasterView.GetRaster
 (),m_pRasterColorDlg->Levels);
}
}


ShowPrewittFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowPrewittFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = PREWITTFILTER_SHOW_PREVIEW |
PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowPrewittFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType ()
);
}
}


ShowPrintPreviewDlg Example for C++ 5.0 and later

void CDialogs::OnShowPrintPreviewDlg()
{
CPictureHolder PicHolder;

m_pRasterFileDlg->MarginsTop= 0;
m_pRasterFileDlg->MarginsLeft= 0;
m_pRasterFileDlg->MarginsWidth= 320;
m_pRasterFileDlg->MarginsHeight= 240;

m_pRasterFileDlg->MinMarginsTop= 0;
m_pRasterFileDlg->MinMarginsLeft= 0;
m_pRasterFileDlg->MinMarginsWidth= 100;
m_pRasterFileDlg->MinMarginsHeight= 100;

PicHolder.CreateFromIcon(IDI_PrintIcon);
m_pRasterFileDlg->PutWindowIcon(PicHolder.GetPictureDispatch());

m_pRasterFileDlg->PutBitmap(m_LeadRasterView.GetRaster ().GetBitmap ());

m_pRasterFileDlg->ShowPrintPreviewDlg((long)this->m_hWnd);
}


ShowPrintStitchedImagesDlg Example for C++ 5.0 and later

void CDialogs::OnShowPrintStitchedImagesDlg()
{
ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

int nRet;
m_pRasterFileDlg->ItemsCount= 3;
m_pRasterFileDlg->PutItemFileName(0,"C:\\image1.cmp");
m_pRasterFileDlg->PutItemFileName(1,"C:\\image2.cmp");
m_pRasterFileDlg->PutItemFileName(2,"C:\\image3.cmp");

for (int i= 0; i < m_pRasterFileDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterFileDlg->GetItemFileName(i),0,0,1);
m_pRasterFileDlg->PutItemDescription(i,m_pRasterFileDlg->GetItemFileName(i));
m_pRasterFileDlg->PutItemBitmap(i, Raster->GetBitmap  ());
}

m_pRasterFileDlg->ShowPrintStitchedImagesDlg( (long)this->m_hWnd);

Raster->Release();
}


ShowPunchDlg Example for C++ 5.0 and later

void CDialogs::OnShowPunchDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = PUNCH_SHOW_PREVIEW |
PUNCH_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowPunchDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Punch(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Value,
m_pRasterImageEfxDlg->Stress,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowRadialBlurDlg Example for C++ 5.0 and later

void CDialogs::OnShowRadialBlurDlg()
{
int nRet = 0;
m_pRasterImageEfxDlg->Bitmap= m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags= RADIALBLUR_SHOW_PREVIEW |
RADIALBLUR_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowMotionBlurDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus== DLG_OK)
{
nRet = m_pRasterProc->RadialBlur(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension,
m_pRasterImageEfxDlg->Stress,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY
);
}
}


ShowRadialWaveDlg Example for C++ 5.0 and later

void CDialogs::OnShowRadialWaveDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = RADIALWAVE_SHOW_PREVIEW |
RADIALWAVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowRadialWaveDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->RadWave (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Amplitude,
m_pRasterImageEfxDlg->WaveLength,
m_pRasterImageEfxDlg->Phase,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowRemapHueDlg Example for C++ 5.0 and later

void CDialog::OnShowRemapHueDlg()
{
int nRet;

m_pRasterColorDlg->UIFlags = REMAPHUE_SHOW_PREVIEW |
REMAPHUE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();

nRet= m_pRasterColorDlg->ShowRemapHueDlg((long) this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->RemapHueTablesSize
 = m_pRasterColorDlg->RemapHueTablesSize;
{
m_pRasterProc->MaskTable  [i]= m_pRasterColorDlg->MaskTable[i];
m_pRasterProc->HTable  [i]= m_pRasterColorDlg->HueTable[i];
m_pRasterProc->STable  [i]= m_pRasterColorDlg->SaturationTable[i];
m_pRasterProc->VTable  [i]= m_pRasterColorDlg->ValueTable[i];
}
m_pRasterProc->RemapHue
 (m_LeadRasterView.GetRaster  (),true, true, false, false );
}
}


ShowRemapIntensityDlg Example for C++ 5.0 and later

void CDialogs::OnShowRemapIntensityDlg()
{
int nRet;
m_pRasterColorDlg->PutChannel(CHANNEL_RED);
m_pRasterColorDlg->UIFlags = REMAPINTENSITY_SHOW_PREVIEW |
REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL;

m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster ().GetBitmap  ();
nRet = m_pRasterColorDlg->ShowRemapIntensityDlg((long) this->m_hWnd);

if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->RemapTableSize
  = m_pRasterColorDlg->RemapTableSize;

for ( int i= 0; i < m_pRasterColorDlg->RemapTableSize ; i ++)
{
m_pRasterProc->PutRemapTable(i,m_pRasterColorDlg->GetRemapTable  (i));
}
m_pRasterProc->RemapIntensity
  (m_LeadRasterView.GetRaster  (),m_pRasterColorDlg->GetChannel());
}
}


ShowRemoveRedEyeDlg Example for C++ 5.0 and later

void CDialogs::OnShowRemoveRedEyeDlg()
{
int nRet;
m_pRasterImgDocDlg->EnableZoomToFit= false;
m_pRasterImgDocDlg->UIFlags= REMOVEREDEYE_SHOW_PREVIEW |
REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap(m_LeadRasterView.GetRaster().GetBitmap  ());

m_pRasterImgDocDlg->EnableMethodErrors= false;

nRet= m_pRasterImgDocDlg->ShowRemoveRedEyeDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImgDocDlg->DialogStatus== DLG_OK)
{
m_pRasterProc->RemoveRedeye
  (m_LeadRasterView.GetRaster  (),
m_pRasterImgDocDlg->NewColor,
m_pRasterImgDocDlg->Threshold,
m_pRasterImgDocDlg->Lightness );
}
}
void CRasterImgDocDlgSink::OnDlgHelp(long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_REMOVEREDEYE:
AfxMessageBox(TEXT("Help from Remove Red eye dialog "));
break;

case HELP_SMOOTH:
AfxMessageBox(TEXT("Help from Smooth dialog "));

case HELP_REMOVEREDEYE:
AfxMessageBox(TEXT("Help from Remove Red eye dialog "));
break;

case HELP_LINEREMOVE:
AfxMessageBox(TEXT("Help from Line-Remove dialog "));

case HELP_BORDERREMOVE:
AfxMessageBox(TEXT("Help from Border-Remove dialog "));
break;

case HELP_INVERTEDTEXT:
AfxMessageBox(TEXT("Help from Inverted-Text dialog "));

case HELP_DOTREMOVE:
AfxMessageBox(TEXT("Help from Dot-Remove dialog "));
break;

case HELP_HOLEPUNCHREMOVE:
AfxMessageBox(TEXT("Help from Hole-Punch-Remove dialog "));

}
}


ShowResizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowResizeDlg()
{
int nRet;

m_pRasterImageDlg->MaxNewWidth= 0;
m_pRasterImageDlg->MaxNewHeight= 0;
m_pRasterImageDlg->MaxNewResolutionX= 0;
m_pRasterImageDlg->MaxNewResolutionY= 0;
m_pRasterImageDlg->CurrentWidth= m_LeadRasterView.GetRaster().GetBitmapWidth ();
m_pRasterImageDlg->CurrentHeight= m_LeadRasterView.GetRaster().GetBitmapHeight  ();
m_pRasterImageDlg->CurrentResolutionX= m_LeadRasterView.GetRaster().GetBitmapXRes  ();
m_pRasterImageDlg->CurrentResolutionY= m_LeadRasterView.GetRaster().GetBitmapYRes  ();
m_pRasterImageDlg->BitsPerPixel= m_LeadRasterView.GetRaster().GetBitmapBits();

m_pRasterImageDlg->UIFlags = RESIZE_SHOW_IDENTICALVALUE |
RESIZE_SHOW_MAINTAINASPECT |
RESIZE_SHOW_PERCENTAGE;
m_pRasterImageDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();
nRet= m_pRasterImageDlg->ShowResizeDlg( (long)this->m_hWnd );
if ( nRet == 0 && m_pRasterImageDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Size
  (m_LeadRasterView.GetRaster  (),
m_pRasterImageDlg->NewWidth,
m_pRasterImageDlg->NewHeight,
m_pRasterImageDlg->GetResizeFlags()
);
}
}


ShowRippleDlg Example for C++ 5.0 and later

void CDialogs::OnShowRippleDlg()
{
int nRet;
m_pRasterImageEfxDlg->Amplitude = 100;
m_pRasterImageEfxDlg->Frequency = 50;
m_pRasterImageEfxDlg->UIFlags = RIPPLE_SHOW_PREVIEW |
RIPPLE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowRippleDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Ripple (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Amplitude,
m_pRasterImageEfxDlg->Frequency,
m_pRasterImageEfxDlg->Phase,
m_pRasterImageEfxDlg->Attenuation,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags );
}
}


ShowRotateDlg Example for C++ 5.0 and later

void CDialogs::OnShowRotateDlg()
{
int nRet;

m_pRasterImageDlg->EnableZoomToFit= false;
m_pRasterImageDlg->BackColor= RGB ( 255, 0, 0 );
m_pRasterImageDlg->Bitmap=  m_LeadRasterView.GetRaster().GetBitmap  ();
m_pRasterImageDlg->UIFlags=ROTATE_SHOW_PREVIEW |
ROTATE_SHOW_BACKCOLOR |
ROTATE_SHOW_RESIZE;

m_pRasterImageDlg->EnableMethodErrors= false;
m_pRasterImageDlg->ShowHelpButton= true;

nRet= m_pRasterImageDlg->ShowRotateDlg( (long)this->m_hWnd);
if ( nRet == 0 && m_pRasterImageDlg->DialogStatus== DLG_OK )
{
m_pRasterProc->Rotate
 (m_LeadRasterView.GetRaster  (),
m_pRasterImageDlg->Angle,
m_pRasterImageDlg->GetRotateFlags(),
m_pRasterImageDlg->GetBackColor()
);
}
}


ShowSaturationDlg Example for C++ 5.0 and later

void CDialogs::OnShowSaturationDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags = SATURATION_SHOW_PREVIEW |
SATURATION_SHOW_TOOL_ZOOMLEVEL;
m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();
m_pRasterColorDlg->ShowSaturationDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Saturation
 (m_LeadRasterView.GetRaster  (),m_pRasterColorDlg->Change);
}
}


ShowSaveDlg Example for C++ 5.0 and later

void CDialogs::OnFileSave()
{
int nRet = 0;
m_pRasterFileDlg->DialogTitle = "Save a File";
m_pRasterFileDlg->FileDlgFlags = 0;
m_pRasterFileDlg->InitialDir = "C:\\";
m_pRasterFileDlg->SaveMulti = MULTIPAGE_OVERWRITE;
m_pRasterFileDlg->UIFlags = SAVE_AUTOPROCESS |
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE |
SAVE_SHOW_FILEOPTIONS_MULTIPAGE |
SAVE_SHOW_FILEOPTIONS_STAMP |
SAVE_SHOW_FILEOPTIONS_QFACTOR |
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS |
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;

m_pRasterFileDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
nRet = m_pRasterFileDlg->ShowSaveDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterFileDlg->DialogStatus ==DLG_OK )
{
CString csOut;
CString csTemp;
csTemp.Format(TEXT("File: %s\n"), (LPCTSTR)m_pRasterFileDlg->GetFileName());
csOut = csTemp;
csTemp.Format(TEXT("BPP: %d\n"), m_pRasterFileDlg->SaveBitsPerPixel);
csOut += csTemp;
csTemp.Format(TEXT("Format: %d\n"), m_pRasterFileDlg->SaveFormat);
csOut += csTemp;
csTemp.Format(TEXT("QFactor: %d\n"), m_pRasterFileDlg->SaveQFactor);
csOut += csTemp;
csTemp.Format(TEXT("SaveMulti: %d : Page#: %d\n"),
m_pRasterFileDlg->SaveMulti, m_pRasterFileDlg->PageNumber);
csOut += csTemp;
csTemp.Format(TEXT("SaveProgressive: %d\n"), m_pRasterFileDlg->SaveProgressive);
csOut += csTemp;
csTemp.Format(TEXT("SavePasses: %d\n"), m_pRasterFileDlg->SavePasses);
csOut += csTemp;
csTemp.Format(TEXT("SaveStamp: %d\n"), m_pRasterFileDlg->SaveWithStamp);
csOut += csTemp;
csTemp.Format(TEXT("StampBits: %d\n"), m_pRasterFileDlg->SaveStampBits);
csOut += csTemp;
csTemp.Format(TEXT("StampWidth: %d\n"), m_pRasterFileDlg->SaveStampWidth);
csOut += csTemp;
csTemp.Format(TEXT("StampHeight: %d\n"), m_pRasterFileDlg->SaveStampHeight);
csOut += csTemp;
csTemp.Format(TEXT("Interlaced: %d\n"), m_pRasterFileDlg->SaveInterlaced);
AfxMessageBox(csOut);
}

}


ShowShapeDlg Example for C++ 5.0 and later

void CDialogs::OnShowShapeDlg()
{
int nRet;

m_pRasterEfxDlg->Shape->BackgroundBitmap = m_LeadRasterView2.GetRaster ().GetBitmap  ();
m_pRasterEfxDlg->Shape->ShapeStyle = FXD_SHAPE_PARALLELOGRAM_R;
m_pRasterEfxDlg->Shape->BackColor= RGB ( 0, 0, 255 );
m_pRasterEfxDlg->Shape->BackgroundStyle= FXD_BACKSTYLE_OPAQUE;

m_pRasterEfxDlg->Shape->FillStyle= FXD_PATTERN_SOLID;
m_pRasterEfxDlg->Shape->BorderColor= RGB ( 100, 255, 100 );
m_pRasterEfxDlg->Shape->BorderStyle= FXD_BORDERSTYLE_SOLID;
m_pRasterEfxDlg->Shape->BorderThickness= 5;
m_pRasterEfxDlg->Shape->InnerHiliteColor= RGB ( 255, 255, 255 );
m_pRasterEfxDlg->Shape->InnerShadowColor= RGB ( 0, 0, 0 );
m_pRasterEfxDlg->Shape->InnerStyle= FXD_SHAPE_INNERSTYLE_INSET;
m_pRasterEfxDlg->Shape->InnerThickness= 3;
m_pRasterEfxDlg->Shape->OuterHiliteColor= RGB ( 255, 255, 0 );
m_pRasterEfxDlg->Shape->OuterShadowColor= RGB ( 255, 0, 255 );
m_pRasterEfxDlg->Shape->OuterStyle= FXD_SHAPE_OUTERSTYLE_INSET;
m_pRasterEfxDlg->Shape->OuterThickness= 5;
m_pRasterEfxDlg->Shape->ShadowXDepth= 10;
m_pRasterEfxDlg->Shape->ShadowYDepth= 10;
m_pRasterEfxDlg->Shape->ShadowColor= RGB ( 128, 128, 128 ); 1
m_pRasterEfxDlg->Shape->ForeColor= RGB ( 255, 0, 0 );
m_pRasterEfxDlg->UIFlags= SHAPE_SHOW_PREVIEW         |
SHAPE_AUTOPREVIEW          |
SHAPE_BACKSTYLE            |
SHAPE_FILLSTYLE            |
SHAPE_FORE_BACK_COLOR      |
SHAPE_BORDERSTYLE          |
SHAPE_BORDERWIDTH          |
SHAPE_BORDERCOLOR          |
SHAPE_INNERSTYLE           |
SHAPE_INNERWIDTH           |
SHAPE_INNER_HILITE_SHADOW  |
SHAPE_OUTERSTYLE           |
SHAPE_OUTERWIDTH           |
SHAPE_OUTER_HILITE_SHADOW  |
SHAPE_SHADOWCOLOR          |
SHAPE_SHADOW_X_Y           |
SHAPE_BROWSEIMAGE          |
SHAPE_CLASS_SQUARE         |
SHAPE_CLASS_RECTANGLE      |
SHAPE_CLASS_PARALLELOGRAM  |
SHAPE_CLASS_TRAPEZOID      |
SHAPE_CLASS_TRIANGLE       |
SHAPE_CLASS_OTHER          |
SHAPE_CLASS_CIRCLE         |
SHAPE_CLASS_ELLIPSE        |
SHAPE_CLASS_STAR           |
SHAPE_CLASS_CROSS          |
SHAPE_CLASS_ARROW;

m_pRasterEfxDlg->EnableMethodErrors= false;
m_pRasterEfxDlg->Bitmap= m_LeadRasterView.GetRaster().GetBitmap  ();
m_pRasterEfxDlg->ShowHelpButton= true;

nRet =m_pRasterEfxDlg->ShowShapeDlg ((long)this->m_hWnd);

if ( nRet == 0 && m_pRasterEfxDlg->DialogStatus ==DLG_OK )
{
m_pRasterFxd->ShapeLeft
  = 50;
m_pRasterFxd->ShapeTop
  = 50;

m_pRasterFxd->ShapeWidth
  = m_LeadRasterView.GetDstWidth  () - 50;
m_pRasterFxd->ShapeHeight
  = m_LeadRasterView.GetDstHeight  () - 50;
m_pRasterFxd->PatternBackColor
  = m_pRasterEfxDlg->Shape->BackColor;
m_pRasterFxd->BackgroundImageLeft
  = 0;
m_pRasterFxd->BackgroundImageTop
  = 0;
m_pRasterFxd->BackgroundImageWidth
  = m_LeadRasterView.GetRaster().GetBitmapWidth();
m_pRasterFxd->BackgroundImageHeight
  = m_LeadRasterView.GetRaster().GetBitmapHeight ();
m_pRasterFxd->ShapeBackgroundStyle
  = m_pRasterEfxDlg->Shape->BackgroundStyle;
m_pRasterFxd->PatternForeColor
  = m_pRasterEfxDlg->Shape->ForeColor;
m_pRasterFxd->PatternStyle
  = m_pRasterEfxDlg->Shape->FillStyle;
m_pRasterFxd->ShapeBorderColor
  = m_pRasterEfxDlg->Shape->BorderColor;
m_pRasterFxd->ShapeBorderStyle
  = m_pRasterEfxDlg->Shape->BorderStyle;
m_pRasterFxd->ShapeBorderThickness
  = m_pRasterEfxDlg->Shape->BorderThickness;
m_pRasterFxd->ShapeInnerBandHiliteColor
  = m_pRasterEfxDlg->Shape->InnerHiliteColor;
m_pRasterFxd->ShapeInnerBandShadowColor
  = m_pRasterEfxDlg->Shape->InnerShadowColor;
m_pRasterFxd->ShapeInnerBandStyle
  = m_pRasterEfxDlg->Shape->InnerStyle;
m_pRasterFxd->ShapeInnerBandThickness
  = m_pRasterEfxDlg->Shape->InnerThickness;
m_pRasterFxd->ShapeOuterBandHiliteColor
  = m_pRasterEfxDlg->Shape->OuterHiliteColor;
m_pRasterFxd->ShapeOuterBandShadowColor
  = m_pRasterEfxDlg->Shape->OuterShadowColor;
m_pRasterFxd->ShapeOuterBandStyle
  = m_pRasterEfxDlg->Shape->OuterStyle;
m_pRasterFxd->ShapeOuterBandThickness
  = m_pRasterEfxDlg->Shape->OuterThickness;
m_pRasterFxd->ShadowXDepth
  = m_pRasterEfxDlg->Shape->ShadowXDepth;
m_pRasterFxd->ShadowYDepth
  = m_pRasterEfxDlg->Shape->ShadowYDepth;
m_pRasterFxd->ShadowColor
  = m_pRasterEfxDlg->Shape->ShadowColor;
m_pRasterFxd->DrawShape
  ((ILEADRaster*)m_LeadRasterView.GetRaster ().m_lpDispatch , m_LeadRasterView.GetClientDC  (), m_pRasterEfxDlg->Shape->ShapeStyle 0);
}
}

void CRasterEfxDlgSink::OnDlgHelp (long DlgFrom, long CtlID)
{
switch(DlgFrom)
{
case HELP_EFFECT:
AfxMessageBox(TEXT("Help from Effect dialog "));
break;

case HELP_SHAPE:
AfxMessageBox(TEXT("Help from Shape dialog "));

case HELP_GETTEXT:
AfxMessageBox(TEXT("Help from GetText dialog "));
break;

case HELP_GETGRADIENT:
AfxMessageBox(TEXT("Help from GetGradient dialog "));

case HELP_GETTRANSITION:
AfxMessageBox(TEXT("Help from GetTransition dialog "));
break;
}
}


ShowSharpenDlg Example for C++ 5.0 and later

void CDialogs::OnShowSharpenDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Dimension = 10;
m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = SHARPENFILTER_SHOW_PREVIEW |
SHARPENFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowSharpenDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->Sharpen (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Sharpness
);
}
}


ShowShearDlg Example for C++ 5.0 and later

void CDialogs::OnShowShearDlg()
{
int nRet;

m_pRasterImageDlg->EnableHorizontal= true;
m_pRasterImageDlg->Angle = 4500;
m_pRasterImageDlg->BackColor = RGB ( 255, 0, 0 );
m_pRasterImageDlg->UIFlags = SHEAR_AUTOPROCESS |
SHEAR_SHOW_PREVIEW |
SHEAR_SHOW_BACKCOLOR |
SHEAR_SHOW_HORIZONTAL;

m_pRasterImageDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap ();

if ( nRet == 0 && m_pRasterImageDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Shear
  (m_LeadRasterView.GetRaster  (),
m_pRasterImageDlg->Angle,
m_pRasterImageDlg->GetEnableHorizontal(),
m_pRasterImageDlg->GetBackColor ()
);
}
}


ShowShiftDifferenceFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowShiftDifferenceDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = SHIFTDIFFERENCEFILTER _SHOW_PREVIEW |
SHIFTDIFFERENCEFILTER _SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowShiftDifferenceFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType()
);
}
}


ShowSmoothDlg Example for C++ 5.0 and later

void CDialogs::OnShowSmoothDlg()
{
int nRet;
m_pRasterImgDocDlg->GetSmooth()->PutFlags(SMOOTH_ALLFLAGS);
m_pRasterImgDocDlg->GetSmooth()->Length= 1;
m_pRasterImgDocDlg->WhiteAreaColor= RGB ( 255, 0, 0 );
m_pRasterImgDocDlg->BlackAreaColor= RGB ( 0, 0, 255 );
m_pRasterImgDocDlg->UIFlags = SMOOTH_SHOW_PREVIEW |
SMOOTH_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImgDocDlg->PutBitmap (m_LeadRasterView.GetRaster ().GetBitmap  ());

nRet = m_pRasterImgDocDlg->ShowSmoothDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImgDocDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Smooth
  (m_LeadRasterView.GetRaster  (),
m_pRasterImgDocDlg->GetSmooth()->Length,
m_pRasterImgDocDlg->GetSmooth()->GetFlags()
);
}
m_LeadRasterView.ForceRepaint
  ();
}


ShowSobelFilterDlg Example for C++ 5.0 and later

void CDialogs::OnShowSobelFilterDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = SOBELFILTER_SHOW_PREVIEW |
SOBELFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowSobelFilterDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->SpatialFilter (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->GetSpatialFilterType ()
);
}
}


ShowSolarizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowSolarizeDlg()
{
int nRet;
m_pRasterColorDlg->UIFlags = SOLARIZE_SHOW_PREVIEW |
SOLARIZE_SHOW_TOOL_ZOOMLEVEL;
m_pRasterColorDlg->Bitmap =  m_LeadRasterView.GetRaster().GetBitmap  ();
nRet= m_pRasterColorDlg->ShowSolarizeDlg ((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterColorDlg->DialogStatus == DLG_OK )
{
m_pRasterProc->Solarize
  (m_LeadRasterView.GetRaster  (),m_pRasterColorDlg->Threshold );
}
}


ShowSpherizeDlg Example for C++ 5.0 and later

void CDialogs::OnShowSpherizeDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = SPHERIZE_SHOW_PREVIEW |
SPHERIZE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowSpherizeDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Spherize(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Value,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}

}


ShowStitchDlg Example for C++ 5.0 and later

void CDialogs::OnShowStitchDlg()
{
CPictureHolder PicHolder;

int nRet;
ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

m_pRasterImageEfxDlg->ItemsCount = 3;
m_pRasterImageEfxDlg->PutItemFileName (0,"C:\\image1.cmp ");
m_pRasterImageEfxDlg->PutItemFileName(1," image2.cmp ");
m_pRasterImageEfxDlg->PutItemFileName(2," image3.cmp ");

for ( int i= 0; i < 3; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterImageEfxDlg->GetItemFileName (i),0,0,1);
m_pRasterImageEfxDlg->PutItemDescription (i,"C:\\1.cmp");

m_pRasterImageEfxDlg->PutItemBitmap (i,Raster->Bitmap);
}

m_pRasterImageEfxDlg->StitchBitmapWidth= 320;
m_pRasterImageEfxDlg->StitchBitmapHeight = 200;
m_pRasterImageEfxDlg->StitchBitsPerPixel= 24;
m_pRasterImageEfxDlg->StitchResolution= 72;
m_pRasterImageEfxDlg->PutStitchBackGroundColor(RGB ( 255, 255, 255 ));

PicHolder.CreateFromIcon(IDI_STITCH);
m_pRasterImageEfxDlg->PutWindowIcon(PicHolder.GetPictureDispatch());

nRet= m_pRasterImageEfxDlg->ShowStitchDlg( (long)this->m_hWnd);

if ( nRet == DLG_EXPORTANDEXIT )
{
m_LeadRasterView.GetRaster ().SetBitmap  (m_pRasterImageEfxDlg->StitchBitmap);
}

Raster->Release();
}


ShowSwirlDlg Example for C++ 5.0 and later

void CDialogs::OnShowSwirlDlg()
{
int nRet;

m_pRasterImageEfxDlg->UIFlags = SWIRL_SHOW_PREVIEW |
SWIRL_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowSwirlDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Swirl(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Angle,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY
);
}
}


ShowTextDlg Example for C++ 5.0 and later

void CDialogs::OnShowTextDlg()
{
int nRet;
m_pRasterEfxDlg->Text->ForegroundBitmap= m_LeadRasterView2.GetRaster().GetBitmap
  ();
m_pRasterEfxDlg->Text->SampleText= "LEAD TOOLS";
m_pRasterEfxDlg->Text->HiliteColor= RGB ( 255,255,255 );
m_pRasterEfxDlg->Text->ShadowColor= RGB ( 128,128,128 );
m_pRasterEfxDlg->Text->TextStyle= FXD_TEXTSTYLE_NORMAL;
m_pRasterEfxDlg->Text->Align=
FXD_TEXTALIGN_LEFT_TOP;
m_pRasterEfxDlg->Text->WordWrap= false;
m_pRasterEfxDlg->Text->Angle= 450;
m_pRasterEfxDlg->Text->ShadowXDepth= 10;
m_pRasterEfxDlg->Text->ShadowYDepth= 10;
m_pRasterEfxDlg->Text->EnableUseForegroundImage= true;
m_pRasterEfxDlg->UIFlags= TEXT_SHOW_PREVIEW |
TEXT_AUTOPREVIEW  |
TEXT_SAMPLETEXT   |
TEXT_STYLE        |
TEXT_COLOR        |
TEXT_BORDERCOLOR  |
TEXT_ALIGN        |
TEXT_ANGLE        |
TEXT_WORDWRAP     |
TEXT_FONT         |
TEXT_FOREIMAGE    |
TEXT_BROWSEIMAGE  |
TEXT_SHADOWCOLOR  |
TEXT_SHADOW_X_Y;

m_pRasterEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap
  ();
nRet =m_pRasterEfxDlg->ShowTextDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterEfxDlg->DialogStatus ==DLG_OK )
{
CString csRes1;
CString csRes2;
CString csRes3;

csRes1.Format(TEXT("SampleText: %s\nAngle: %ld\nTextStyle: %d\nTextAlign: %d\n"),
(LPCSTR)m_pRasterEfxDlg->Text->SampleText,
m_pRasterEfxDlg->Text->Angle,
m_pRasterEfxDlg->Text->TextStyle,
m_pRasterEfxDlg->Text->Align);

csRes2.Format(TEXT("WordWrap: %d\nUseForeImage: %d\n"),
m_pRasterEfxDlg->Text->WordWrap,
m_pRasterEfxDlg->Text->EnableUseForegroundImage
);

csRes3.Format(TEXT("ShadowX: %d\nShadowY: %d\nShadowColor: %ld\nTextColor: %ld\nHiliteColor: %ld"),
m_pRasterEfxDlg->Text->ShadowXDepth,
m_pRasterEfxDlg->Text->ShadowYDepth,
m_pRasterEfxDlg->Text->ShadowColor,
m_pRasterEfxDlg->Text->Color,
m_pRasterEfxDlg->Text->HiliteColor);

AfxMessageBox(csRes1 + csRes2 + csRes3);

m_LeadRasterView2.GetRaster().SetBitmap  (m_pRasterEfxDlg->Text->ForegroundBitmap);
}
}


ShowTransitionDlg Example for C++ 5.0 and later

void CDialogs::OnShowTransitionDlg()
{
int nRet;
m_pRasterEfxDlg->Transition->TransitionStyle= EFX_TRANSITION_NONE;
m_pRasterEfxDlg->Transition->EffectStyle= EFX_EFFECT_WIPE_CIRCLE_CLASS;
m_pRasterEfxDlg->Transition->ForeColor= RGB ( 255, 255, 0 );
m_pRasterEfxDlg->Transition->BackColor= RGB ( 255, 0, 255 );
m_pRasterEfxDlg->Transition->Steps= 120;
m_pRasterEfxDlg->Transition->Delay= 20;
m_pRasterEfxDlg->Transition->Grain= 5;
m_pRasterEfxDlg->Transition->WandThickness= 5;
m_pRasterEfxDlg->Transition->WandColor= RGB ( 255, 255, 0 );
m_pRasterEfxDlg->Transition->Transparent= TRUE;
m_pRasterEfxDlg->Transition->TransparentColor= RGB ( 255, 0, 0 );
m_pRasterEfxDlg->UIFlags= TRANSITION_SHOW_PREVIEW |
TRANSITION_FORECOLOR |
TRANSITION_BACKCOLOR |
TRANSITION_DELAY |
TRANSITION_GRAIN |
TRANSITION_EFFECT |
TRANSITION_PASSES |
TRANSITION_WAND |
TRANSITION_TRANSPARENT |
TRANSITION_GRADIENT;

m_pRasterEfxDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();
nRet =m_pRasterEfxDlg->ShowTransitionDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterEfxDlg->DialogStatus ==DLG_OK )
{
CString csRes1;
CString csRes2;
CString csRes3;

csRes1.Format(TEXT("Effect: %d\nGrain: %d\nDelay: %d\nMaxPass: %d\nTransparent: %d\n"),
m_pRasterEfxDlg->Transition->TransitionStyle,//the property
m_pRasterEfxDlg->Transition->Grain,
m_pRasterEfxDlg->Transition->Delay,
m_pRasterEfxDlg->Transition->MaxPass,
m_pRasterEfxDlg->Transition->Transparent
);

csRes2.Format(TEXT("TransparentColor: %ld\nWandWidth: %d\nWandColor: %ld\n"),
m_pRasterEfxDlg->Transition->TransparentColor,
m_pRasterEfxDlg->Transition->WandThickness,
m_pRasterEfxDlg->Transition->WandColor
);

csRes3.Format(TEXT("Transition: %d\nGradientSteps: %d\nBackColor: %ld\nForeColor: %ld"),
m_pRasterEfxDlg->Transition->TransitionStyle,
m_pRasterEfxDlg->Transition->Steps,
m_pRasterEfxDlg->Transition->BackColor,
m_pRasterEfxDlg->Transition->ForeColor
);
AfxMessageBox(csRes1 + csRes2 + csRes3);
}
}


ShowUnderlayDlg Example for C++ 5.0 and later

void CDialogs::OnShowUnderlayDlg()
{
int nRet;
ILEADRaster * Raster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&Raster
);

ILEADRaster * UnderlayRaster = NULL;
CoCreateInstance(
CLSID_LEADRaster,
NULL,
CLSCTX_ALL,
IID_ILEADRaster,
(void**)&UnderlayRaster
);

m_pRasterImageEfxDlg->ItemsCount= 3;
m_pRasterImageEfxDlg->PutItemFileName(0,"C:\\1.cmp");
m_pRasterImageEfxDlg->PutItemFileName(1,"C:\\1.bmp");
m_pRasterImageEfxDlg->PutItemFileName(2,"C:\\1.jpg");

for (int i= 0; i < m_pRasterImageEfxDlg->ItemsCount; i ++ )
{
m_pRasterIO->Load
  (Raster,m_pRasterImageEfxDlg->GetItemFileName(i),0,0,1);
m_pRasterImageEfxDlg->PutItemDescription(i,m_pRasterImageEfxDlg->GetItemFileName(i));
m_pRasterImageEfxDlg->PutItemBitmap(i, Raster->GetBitmap  ());
}

m_pRasterImageEfxDlg->ImageEffectFlags = UNDERLAY_TILE;
m_pRasterImageEfxDlg->UIFlags = UNDERLAY_SHOW_PREVIEW |
UNDERLAY_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap  ();
nRet = m_pRasterImageEfxDlg->ShowUnderlayDlg((long)this->m_hWnd);
if ( nRet == 0 && m_pRasterImageEfxDlg->DialogStatus ==DLG_OK )
{
UnderlayRaster->PutBitmap
  (m_pRasterImageEfxDlg->SelectedBitmap);
m_pRasterProc->Underlay
  (m_LeadRasterView.GetRaster  (), UnderlayRaster,
(UnderlayConstants)m_pRasterImageEfxDlg->ImageEffectFlags );
}

Raster->Release();
UnderlayRaster->Release();
}


ShowUnsharpMaskDlg Example for C++ 5.0 and later

void CDialogs::OnShowUnsharpMaskDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = UNSHARPMASKFILTER_SHOW_PREVIEW |
UNSHARPMASKFILTER_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowUnsharpMaskDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->UnsharpMask (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Amount,
m_pRasterImageEfxDlg->Radius,
m_pRasterImageEfxDlg->Threshold,
(ColorSpaceConstants)m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowWaveDlg Example for C++ 5.0 and later

void CDialogs::OnShowWaveDlg()
{
int nRet;

m_pRasterImageEfxDlg->UIFlags = WAVE_SHOW_PREVIEW |
WAVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
nRet= m_pRasterImageEfxDlg->ShowWaveDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Wave(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Amplitude,
m_pRasterImageEfxDlg->WaveLength,
m_pRasterImageEfxDlg->Angle,
m_pRasterImageEfxDlg->HorizontalScale,
m_pRasterImageEfxDlg->VerticalScale,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowWaveShearDlg Example for C++ 5.0 and later

void CDialogs::OnShowWaveShearDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = WAVESHEAR_SHOW_PREVIEW |
WAVESHEAR_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowWaveShearDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->AmplitudesCount= m_pRasterImageEfxDlg->AmplitudesCount;
for (int i= 0; i <m_pRasterImageEfxDlg->AmplitudesCount; i ++ )
{
m_pRasterProc->PutAmplitudes(i,m_pRasterImageEfxDlg->GetAmplitudes (i));
}
m_pRasterProc->FreeHandShear(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->ScaleValue,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);
}
}


ShowWindDlg Example for C++ 5.0 and later

void CDialogs::OnShowWindDlg()
{
int nRet;
m_pRasterImageEfxDlg->Angle = 4500;
m_pRasterImageEfxDlg->Dimension = 40;
m_pRasterImageEfxDlg->UIFlags = WIND_SHOW_PREVIEW |
WIND_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowWindDlg((long)this->m_hWnd);
if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->Wind (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension,
m_pRasterImageEfxDlg->Angle,
m_pRasterImageEfxDlg->Opacity
);
}
}


ShowWindowLevelDlg Example for C++ 5.0 and later

m_pRasterColorDlg->LowBit = m_LeadRasterView.GetRaster ().GetMinBit ();
m_pRasterColorDlg->HighBit = m_LeadRasterView.GetRaster().GetMaxBit ();
m_pRasterColorDlg->WindowLevelLow = m_LeadRasterView.GetRaster().GetMinVal ();
m_pRasterColorDlg->WindowLevelHigh = m_LeadRasterView.GetRaster().GetMaxVal();
m_pRasterColorDlg->WindowLevelFactor = 0;
switch (m_LeadRasterView.GetRaster().GetIsGrayscale ())
{
case GRAY_ORDEREDNORMAL:
m_pRasterColorDlg->StartColor = RGB(0, 0, 0);
m_pRasterColorDlg->EndColor = RGB(255, 255, 255);
case GRAY_ORDEREDINVERSE:
m_pRasterColorDlg->StartColor = RGB(255, 255, 255);
m_pRasterColorDlg->EndColor = RGB(0, 0, 0);
case GRAY_NOTORDERED:
m_pRasterColorDlg->StartColor = RGB(0, 0, 0);
m_pRasterColorDlg->EndColor = RGB(255, 255, 255);

}

m_pRasterColorDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap ();
m_pRasterColorDlg->WindowLevelFlags = FILL_LUT_OUTSIDE | FILL_LUT_LINEAR;
m_pRasterColorDlg->PutUIFlags(WINDOWLEVEL_SHOW_PREVIEW |
WINDOWLEVEL_SHOW_TOOL_ZOOMLEVEL |
WINDOWLEVEL_SHOW_RANGE |
WINDOWLEVEL_AUTOPROCESS);

m_pRasterColorDlg->ShowWindowLevelDlg ((long)this->m_hWnd);


ShowZoomBlurDlg Example for C++ 5.0 and later

void CDialogs::OnShowZoomBlurDlg()
{
int nRet = 0;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();
m_pRasterImageEfxDlg->UIFlags = ZOOMBLUR_SHOW_PREVIEW |
ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL;

nRet = m_pRasterImageEfxDlg->ShowZoomBlurDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
nRet = m_pRasterProc->ZoomBlur(m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Dimension,
m_pRasterImageEfxDlg->Stress,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY
);
}
}


ShowZoomWaveDlg Example for C++ 5.0 and later

void CDialogs::OnShowZoomWaveDlg()
{
int nRet;
m_pRasterImageEfxDlg->UIFlags = ZOOMWAVE_SHOW_PREVIEW |
ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL;

m_pRasterImageEfxDlg->Bitmap = m_LeadRasterView.GetRaster ().GetBitmap ();

nRet= m_pRasterImageEfxDlg->ShowZoomWaveDlg((long)this->m_hWnd);

if (nRet == 0 && m_pRasterImageEfxDlg->DialogStatus == DLG_OK)
{
m_pRasterProc->ZoomWave (m_LeadRasterView.GetRaster (),
m_pRasterImageEfxDlg->Amplitude,
m_pRasterImageEfxDlg->Frequency,
m_pRasterImageEfxDlg->Phase,
m_pRasterImageEfxDlg->ZoomFactor,
m_pRasterImageEfxDlg->CenterX,
m_pRasterImageEfxDlg->CenterY,
m_pRasterImageEfxDlg->FillColor,
m_pRasterImageEfxDlg->ImageEffectFlags
);

}
}


TypeIndex Example for C++ 5.0 and later

m_pRasterFileDlg->DialogTitle = "Save a File";

m_pRasterFileDlg->InitialDir = "C:\\";
m_pRasterFileDlg->FileFormatsCount = 2;

m_pRasterFileDlg->GetFileFormats (0)->PutFormat (FF_SAVE_LEAD);
m_pRasterFileDlg->GetFileFormats(0)->PutBitsPerPixelCount (1);
m_pRasterFileDlg->GetFileFormats(0)->PutBitsPerPixelFormat (0,24);
m_pRasterFileDlg->GetFileFormats(0)->PutSubFormat (0,FF_SAVE_SUB_CMP_NONPROGRESSIVE | FF_SAVE_SUB_CMP_PROGRESSIVE);

m_pRasterFileDlg->GetFileFormats(1)->PutFormat(FF_SAVE_TIFF);
m_pRasterFileDlg->GetFileFormats(1)->PutBitsPerPixelCount(1);
m_pRasterFileDlg->GetFileFormats(1)->PutBitsPerPixelFormat(0,24);
m_pRasterFileDlg->GetFileFormats(1)->PutSubFormat(0,FF_SAVE_SUB_TIFF1_CCITT |
FF_SAVE_SUB_TIFF1_CCITT_G3_1D |
FF_SAVE_SUB_TIFF1_CCITT_G3_2D |
FF_SAVE_SUB_TIFF1_CCITT_G4 |
FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB | FF_SAVE_SUB_TIFF1_RLERGB |
FF_SAVE_SUB_TIFF1_LZWRGB | FF_SAVE_SUB_TIFF1_JBIG);

m_pRasterFileDlg->TypeIndex = FF_SAVE_LEAD;
m_pRasterFileDlg->UIFlags = SAVE_AUTOPROCESS |
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE |
SAVE_SHOW_FILEOPTIONS_MULTIPAGE |
SAVE_SHOW_FILEOPTIONS_STAMP |
SAVE_SHOW_FILEOPTIONS_QFACTOR |
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS |
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS;
m_pRasterFileDlg->Bitmap = m_LeadRasterView.GetRaster().GetBitmap();
m_pRasterFileDlg->ShowSaveDlg ((long)this->m_hWnd);
}


Technical Support

As a registered user, free technical support is available. You must register your software to receive any technical support. Technical support is available 9 a.m. through 6 p.m. Eastern Standard Time. If you are calling by phone, please be at your computer. You can also contact us through the following methods:

Phone: | (704) 372-9681
E-mail: | support@leadtools.com
FAX: | (704) 372-8161
Online Support / FAQs: | http://www.leadtools.com (click on Customers Only)
Home page: | http://www.leadtools.com
FTP: | ftp.leadtools.com

You can also contact LEAD by mail at:

LEAD Technologies, Inc.
Attn: Technical Support
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Before calling technical support, please look in the online documentation and the example programs for an answer to your question.


Imaging Common Dialogs: Properties, Methods, and Events

Common Dialog Interfaces

ILEADRasterBorderRemoveDoc

ILEADRasterDlgClr

ILEADRasterDlgEfx

ILEADRasterDlgImg

ILEADRasterDlgImgDoc

ILEADRasterDlgImgEfx

ILEADRasterDlgKrn

ILEADRasterDlgWeb

ILEADRasterDotRemoveDoc

ILEADRasterEffectEfx

ILEADRasterDlgFile

ILEADRasterGradientEfx

ILEADRasterHolePunchRemoveDoc

ILEADRasterInvertTextDoc

ILEADRasterLineRemoveDoc

ILEADRasterSaveType

ILEADRasterShapeEfx

ILEADRasterSmoothDoc

ILEADRasterTextEfx

ILEADRasterTransitionEfx


Data Types

Common Dialog Interfaces

ILEADRasterBorderRemoveDoc

ILEADRasterDlgClr

ILEADRasterDlgEfx

ILEADRasterDlgImg

ILEADRasterDlgImgDoc

ILEADRasterDlgImgEfx

ILEADRasterDlgKrn

ILEADRasterDlgWeb

ILEADRasterDotRemoveDoc

ILEADRasterEffectEfx

ILEADRasterDlgFile

ILEADRasterGradientEfx

ILEADRasterHolePunchRemoveDoc

ILEADRasterInvertTextDoc

ILEADRasterLineRemoveDoc

ILEADRasterSaveType

ILEADRasterShapeEfx

ILEADRasterSmoothDoc

ILEADRasterTextEfx

ILEADRasterTransitionEfx


ILEADRasterBorderRemoveDoc

Properties

BorderPercent Property

BorderToRemove Property

Flags Property

Variance Property

WhiteNoiseLength Property


ILEADRasterDlgClr

Properties

Angle Property

ApplyPaletteWhenExit Property

Bitmap property

BitsPerPixel Property

BlueFactor Property

BlueGrayFactor Property

BlueToBlue Property

BlueToGreen Property

BlueToRed Property

Change Property

Channel Property

ClrResFlags Property

ColorModel Property

ColorSpace Property

DialogStatus property

Dimension Property

DitherFlags Property

EnableGammaAllChannels Property

EnableMethodErrors Property

EnableZoomToFit Property

GammaBlueValue Property

GammaGreenValue Property

GammaRedValue Property

GeneratedPalette Property

GeneratedPaletteCount Property

GreenFactor Property

GreenGrayFactor Property

GreenToBlue Property

GreenToGreen Property

GreenToRed Property

HalftoneType Property

High Property

HueTable Property

InColor Property

IntensityChannel Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

Levels Property

Low Property

MaskTable Property

OutColor Property

PaletteFlags Property

RectangleHeight Property

RectangleWidth Property

RedFactor Property

RedGrayFactor Property

RedToBlue Property

RedToGreen Property

RedToRed Property

RemapHueTablesSize Property

RemapTable Property

RemapTableSize Property

SaturationTable Property

SelectedBitmapList Property

SelectedBitmapsCount Property

SelectedColor Property

ShowHelpButton Property

SmoothSize Property

Threshold Property

UIFlags Property

UserPalette Property

UserPaletteCount Property

ValueTable property

WindowLevelFactor Property

WindowLevelFlags Property

WindowLevelHigh Property

WindowLevelLow Property

XExtension Property

YExtension Property

Events

DlgHelp Event

Methods

ShowBalanceColorsDlg method

ShowBrightnessDlg method

ShowColorDlg method

ShowColoredGrayDlg method

ShowColorResDlg method

ShowContrastDlg method

ShowCustomizePaletteDlg method

ShowGammaAdjustmentDlg method

ShowGrayScaleDlg method

ShowHalftoneDlg method

ShowHistoContrastDlg method

ShowHueDlg method

ShowIntensityDetectDlg method

ShowLocalHistoEqualizeDlg method

ShowPosterizeDlg method

ShowRemapHueDlg method

ShowRemapIntensityDlg method

ShowSaturationDlg method

ShowSolarizeDlg method

ShowWindowLevelDlg method


ILEADRasterDlgEfx

Properties

Bitmap property

DialogStatus property

Effect Property

EnableMethodErrors Property

Gradient Property

Shape Property

ShowHelpButton Property

Text Property

Transition Property

UIFlags Property

Events

DlgHelp Event

Methods

ShowEffectDlg method

ShowGradientDlg method

ShowShapeDlg method

ShowTextDlg method

ShowTransitionDlg method


ILEADRasterDlgFile

Properties

Bitmap property

DestinationPath Property

DialogStatus property

DialogTitle Property

Directory Property

DXFAutoCADColorScheme Property

DXFFont Property

DXFViewportHeight Property

DXFViewportMode Property

DXFViewportWidth Property

EnableLogReport Property

EnableMethodErrors Property

EnableRemoveSourceFile Property

EnableShowFullPath Property

EnableShowLoadOptions Property

EnableShowPreview Property

FileDlgFlags Property

FileFormats Property

FileFormatsCount Property

FileName Property

Filter Property

FilterIndex Property

Formats Property

InitialDir Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

JBIG2GBATX1 property

JBIG2GBATY1 property

JBIG2GBATX2 property

JBIG2GBATY2 property

JBIG2GBATX3 property

JBIG2GBATY3 property

JBIG2GBATX4 property

JBIG2GBATY4 property

JBIG2TemplateType property

JBIG2SaveFlags property

LoadCompressed Property

LoadPasses Property

LoadRotated Property

MarginsHeight Property

MarginsLeft Property

MarginsTop Property

MarginsWidth Property

MinMarginsHeight Property

MinMarginsLeft Property

MinMarginsTop Property

MinMarginsWidth Property

OptionsFileType Property

OverwriteFlags Property

PageNumber Property

PCDResolution Property

PDFDisplayDepth Property

PDFGraphicsAlpha Property

PDFTextAlpha Property

PDFXResolution Property

PDFYResolution Property

PLTFont Property

PLTPenColor Property

PLTPenWidth Property

PLTViewportHeight Property

PLTViewportMode Property

PLTViewportWidth Property

RasterXResolution Property

RasterYResolution Property

SaveBitsPerPixel Property

SaveFormat Property

SaveInterlaced Property

SaveJ2KCBS_ErrorResilienceSymbol Property

SaveJ2KCBS_PredictableTermination Property

SaveJ2KCBS_ResetContextOnBoundaries Property

SaveJ2KCBS_SelectiveACBypass Property

SaveJ2KCBS_TerminationOnEachPass Property

SaveJ2KCBS_VerticallyCausalContext Property

SaveJ2KCodBlockHeight Property

SaveJ2KCodBlockWidth Property

SaveJ2KCompressionControl Property

SaveJ2KCompressionRatio Property

SaveJ2KDecompLevel Property

SaveJ2KDerivedBaseExponent Property

SaveJ2KDerivedBaseMantissa Property

SaveJ2KDerivedQuantization Property

SaveJ2KGuardBits Property

SaveJ2KProgressOrder Property

SaveJ2KTargetFileSize Property

SaveJ2KUseColorTransform Property

SaveJ2KUseEPHMarker Property

SaveJ2KUseSOPMarker Property

SaveJ2KXOsiz Property

SaveJ2KXTOsiz Property

SaveJ2KXTsiz Property

SaveJ2KYOsiz Property

SaveJ2KYTOsiz Property

SaveJ2KYTsiz Property

SaveMulti Property

SavePasses Property

SaveQFactor Property

SaveStampBits Property

SaveStampHeight Property

SaveStampWidth Property

SaveWithStamp Property

SelectedExt Property

ServerApplicationName Property

ShowHelpButton Property

SourceFileList Property

SourceFilePath Property

SubTypeIndex Property

Thumbnail Property

TypeIndex Property

UIFlags Property

UseOriginalFolder Property

VectorFont Property

VectorViewportHeight Property

VectorViewportMode Property

VectorViewportWidth Property

Visible Property

WindowIcon Property

WMFXResolution Property

WMFYResolution Property

Events

DlgHelp Event

FileLoad Event

Methods

ShowDirectoryDlg method

ShowFileConversionDlg method

ShowFilesAssociationDlg method

ShowOpenDlg method

ShowPrintPreviewDlg method

ShowPrintStitchedImagesDlg method

ShowSaveDlg method


ILEADRasterDlgImg

Properties

Angle Property

BackColor Property

Bitmap property

BitsPerPixel Property

BlueChannelPenColor Property

BlueHistogram Property

BlueHistogramSize Property

BorderStyle Property

BottomThickness Property

CurrentHeight Property

CurrentResolutionX Property

CurrentResolutionY Property

CurrentWidth Property

CurveIntensity Property

DialogStatus property

EffectStyle Property

EnableBumpyShadow Property

EnableHorizontal Property

EnableKeepFrameState Property

EnableMethodErrors Property

EnableResize Property

EnableShadow Property

EnableSoftCurve Property

EnableUseMask Property

EnableZoomToFit Property

GradientEndColor Property

GradientStartColor Property

GradientStyle Property

GreenChannelPenColor Property

GreenHistogram Property

GreenHistogramSize Property

ItemBitmap Property

ItemDescription Property

ItemFileName Property

ItemsCount Property

Left Property

LeftThickness Property

Location Property

MaskColor Property

MasterChannelPenColor Property

MasterHistogram Property

MasterHistogramSize Property

MaxNewHeight Property

MaxNewResolutionX Property

MaxNewResolutionY Property

MaxNewWidth Property

NewHeight Property

NewResolutionX Property

NewResolutionY Property

NewWidth Property

OpaqueColor Property

Quality Property

RedChannelPenColor Property

RedHistogram Property

RedHistogramSize Property

ResizeFlags Property

RightThickness Property

RotateFlags Property

SelectedBitmap Property

SelectedBitmapIndex Property

ShadowDirection Property

ShadowSize Property

ShowHelpButton Property

SmoothEdge Property

Threshold Property

Top Property

TopThickness Property

UIFlags Property

Events

DlgHelp Event

Methods

ShowAddBorderDlg method

ShowAddFrameDlg method

ShowAutoTrimDlg method

ShowCanvasResizeDlg method

ShowHistogramDlg method

ShowResizeDlg method

ShowRotateDlg method

ShowShearDlg method


ILEADRasterDlgImgDoc

Properties

Bitmap property

BlackAreaColor Property

DialogStatus property

DocCleanBitmap Property

EnableMethodErrors Property

EnableZoomToFit Property

Lightness Property

ModificationColor Property

NewColor Property

ShowHelpButton Property

Threshold Property

UIFlags Property

WhiteAreaColor Property

Events

DlgHelp Event

Methods

ShowBorderRemoveDlg method

ShowDotRemoveDlg method

ShowHolePunchRemoveDlg method

ShowInvertTextDlg method

ShowLineRemoveDlg method

ShowRemoveRedEyeDlg method

ShowSmoothDlg method


ILEADRasterDlgImgEfx

Properties

Amount property

Amplitude property

Amplitudes property

AmplitudesCount property

Angle property

AntiAliasFilterType property

Attenuation property

BinaryFilterType property

Bitmap property

BitmapHeight property

BitmapWidth property

CellHeight property

CellWidth property

CenterX property

CenterY property

Channel property

DeltaDirection property

Depth property

DialogStatus property

Dimension property

Direction property

DirectoryPath property

EdgeDetectionFilterType property

EnableMethodErrors property

EnableUnidirectional property

EnableZoomToFit property

Factor property

FillColor property

Frequency property

HorizontalDim property

HorizontalScale property

ImageEffectFlags property

ItemDescription property

ItemFileName property

ItemsCount property

MaxError property

Opacity property

OptionFlags property

Phase property

PicturizeResizeFlags property

Radius property

Range property

StitchResolution property

Scale property

SelectedBitmap property

SelectedBitmapIndex property

SelectedBitmapList property

SelectedBitmapsCount property

Sharpness property

ShowHelpButton property

SpatialFilterType property

StitchBitmap property

StitchBitmapHeight property

StitchBitmapWidth property

StitchBitsPerPixel property

StitchIcon property

Stress property

Threshold property

UIFlags property

Value property

VerticalDim property

VerticalScale property

Visible property

WaveLength property

ZoomFactor property

Events

DlgHelp event

Methods

ShowAddBitmapsDlg method

ShowAddNoiseDlg method

ShowAntiAliasDlg method

ShowAverageDlg method

ShowBendingDlg method

ShowContourFilterDlg method

ShowCylindricalDlg method

ShowDilationFilterDlg method

ShowEdgeDetectorDlg method

ShowEmbossDlg method

ShowErosionFilterDlg method

ShowFreeHandWaveDlg method

ShowGaussianBlurDlg method

ShowGradientFilterDlg method

ShowImpressionistDlg method

ShowLaplacianFilterDlg method

ShowLineSegmentFilterDlg method

ShowMaxFilterDlg method

ShowMedianDlg method

ShowMinFilterDlg method

ShowMosaicDlg method

ShowMotionBlurDlg method

ShowMultiplyDlg method

ShowOilifyDlg method

ShowPicturizeDlg method

ShowPixelateDlg method

ShowPolarDlg method

ShowPrewittFilterDlg method

ShowPunchDlg method

ShowRadialBlurDlg method

ShowRadialWaveDlg method

ShowRippleDlg method

ShowSharpenDlg method

ShowShiftDifferenceFilterDlg method

ShowSobelFilterDlg method

ShowSpherizeDlg method

ShowStitchDlg method

ShowSwirlDlg method

ShowUnderlayDlg method

ShowUnsharpMaskDlg method

ShowWaveDlg method

ShowWaveShearDlg method

ShowWindDlg method

ShowZoomBlurDlg method

ShowZoomWaveDlg method


ILEADRasterDlgKrn

Properties

DlgFont Property

FreeDlg method

GetDlgString method

InitDlg method

SetDlgString method


ILEADRasterDlgWeb

Properties

ALT Property

ALTEntryCount Property

ALTMaxLength Property

ALTValidEntryCount Property

Bitmap property

BitsPerPixel Property

DialogStatus property

DitherType Property

EnableMethodErrors Property

EnableStamp Property

EnableTransparent Property

EnableWindowsColors Property

EnableZoomToFit Property

Interlaced Property

JPEGFormat Property

NumOfColors Property

PaletteType Property

Progressive Property

Quality Property

Rollover Property

RolloverEntryCount Property

RolloverMaxLength Property

RolloverValidEntryCount Property

ShowHelpButton Property

Target Property

TargetEntryCount Property

TargetMaxLength Property

TargetValidEntryCount Property

TransparencyTolerance Property

TransparentColor Property

UIFlags Property

URL Property

URLEntryCount Property

URLMaxLength Property

URLValidEntryCount Property

Events

DlgHelp Event

Methods

ShowGIFWebTunerDlg method

ShowHTMLMapperDlg method

ShowJPEGWebTunerDlg method

ShowPNGWebTunerDlg method


ILEADRasterDotRemoveDoc

Properties

Flags Property

MaxDotHeight Property

MaxDotWidth Property

MinDotHeight Property

MinDotWidth Property


ILEADRasterEffectEfx

Properties

Delay Property

EffectStyle Property

Grain Property

MaxPass Property

Transparent Property

TransparentColor Property

WandColor Property

WandThickness Property


ILEADRasterGradientEfx

Properties

EndColor Property

GradientStyle Property

StartColor Property

Steps Property


ILEADRasterHolePunchRemoveDoc

Properties

Flags Property

Location Property

MaxHoleHeight Property

MaxHoleWidth Property

MinHoleCount Property

MinHoleCount Property

MinHoleWidth Property


ILEADRasterInvertTextDoc

Properties

Flags Property

MaxBlackPercent Property

MinBlackPercent Property

MinInvertHeight Property

MinInvertWidth Property


ILEADRasterLineRemoveDoc

Properties

Flags Property

GapLength Property

MaxLineWidth Property

MaxWallPercent Property

MinLineLength Property

RemoveFlags Property

Variance Property

Wall Property


ILEADRasterSaveType

Properties

BitsPerPixelCount Property

BitsPerPixelCountFormat Property

Format Property

SubFormat Property


ILEADRasterShapeEfx

Properties

BackColor Property

BackgroundBitmap Property

BackgroundStyle Property

BorderColor Property

BorderStyle Property

BorderThickness Property

FillStyle Property

ForeColor Property

InnerHiliteColor Property

InnerShadowColor Property

InnerStyle Property

InnerThickness Property

OuterHiliteColor Property

OuterShadowColor Property

OuterStyle Property

OuterThickness Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

ShapeStyle Property


ILEADRasterSmoothDoc

Properties

Flags Property

Length Property


ILEADRasterTextEfx

Properties

Align Property

Angle Property

Color Property

EnableUseForegroundImage Property

Font Property

ForegroundBitmap Property

HiliteColor Property

SampleText Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

TextStyle Property

WordWrap Property


ILEADRasterTransitionEfx

Properties

BackColor Property

Delay Property

EffectStyle Property

ForeColor Property

Grain Property

MaxPass Property

Steps Property

TransitionStyle Property

Transparent Property

TransparentColor Property

WandColor Property

WandThickness Property


Error Codes

For a list of all possible error codes for LEADTOOLS Common Dialog COM, refer to LEADTOOLS COM Error Codes in the Main COM help file.


SubFormat Property (ILEADFileSaveFormat)

Visual Basic example

Visual C++ example

Syntax | long SubFormats (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the sub-format options to be included in the Save or FileConversion dialog boxes. The available options depend on the format specified in the Format property and on the bits per pixel options set in the BitsPerPixelCountFormat property. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists. Sub-format options may be "OR" ed to include more than one sub-format. To include more than one sub-format option, combine the options with a bitwise OR.

You have to set the BitsPerPixelCount property before using this property.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method, Format property, BitsPerPixelCount property, BitsPerPixelCountFormat property


BorderPercent Property (ILEADRasterBorderRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long BorderPercent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the percent of the image dimension in which the border will be found in the BorderRemove dialog box.

For most images, use 20. For example, if an image is 200 pixels wide, BorderPercent is set to 20 and BorderToRemove is set to BORDER_LEFT, then the left border will be found in the area between the left edge of the image and a line 40 pixels from the left edge. If the border is closer to the edge of the image, use a smaller value. If the border is farther from the edge, use a larger value.

See Also

Elements

ShowBorderRemoveDlg method


BorderToRemove Property (ILEADRasterBorderRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long BorderToRemove;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the border to remove in the BorderRemove dialog box.

These values can be combined using the OR operator. Possible values are:

Value | Meaning
BORDER_LEFT | Remove the left border.
BORDER_RIGHT | Remove the right border.
BORDER_TOP | Remove the top border.
BORDER_BOTTOM | Remove the bottom border.
BORDER_ALL | Remove all borders. This is the same as BORDER_LEFT Or BORDER_RIGHT Or BORDER_TOP Or BORDER_BOTTOM.

See Also

Elements

ShowBorderRemoveDlg method


Flags Property (ILEADRasterBorderRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the BorderRemove dialog box.

The Flags property determines the behavior of the border removal process. Flags may be combined using a bitwise OR. Possible values are:

Value | Meaning
BORDER_SINGLE_REGION | For each border found by the Border Remove dialog the removed border is added to an internal single region. When the Border Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will be set to a region that contains all the removed borders. If BORDER_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed borders. If BORDER_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed borders. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
BORDER_LEAD_REGION | When the Border Remove dialog ends, the DocCleanBitmap property is set to a bitmap that also contains a region with all the removed lines. This flag must be used in conjunction with BORDER_SINGLE_REGION. Pass BORDER_SINGLE_REGION Or BORDER_LEAD_REGION in the Flags parameter of. The DocCleanBitmap property will be set when the Border Remove dialog ends.
BORDER_IMAGE_UNCHANGED | The original image is unchanged.
BORDER_USE_VARIANCE | Consider border variance when performing border removal. If this flag is passed, the Variance property is used. If this flag is not passed, the Variance property is ignored.

See Also

Elements

ShowBorderRemoveDlg method


Variance Property (ILEADRasterBorderRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Variance;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that represents the amount of variance tolerated in the border, in the BorderRemove dialog box. If the border varies significantly in thickness, you should use a higher value for Variance. The valid range is 0 to 10.

See Also

Elements

ShowLineRemoveDlg method, ShowBorderRemoveDlg method


WhiteNoiseLength Property (ILEADRasterBorderRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long WhiteNoiseLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the amount of white noise tolerated when determining the border in the BorderRemove dialog box.

The units are in pixels. Values of 0 to 10 are sufficient for most images.

See Also

Elements

ShowBorderRemoveDlg method


DlgHelp Event (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


ShowBalanceColorsDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowBalanceColorsDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the BalanceColors dialog box and gets the options for the BalanceColors method. This function supports only RGB images. It does not support grayscale images.

Support for 48-bit and 64-bit colored images are available only in the Document/Medical toolkits.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
BALANCECOLORS_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BALANCECOLORS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
BALANCECOLORS_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BALANCECOLORS_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The BALANCECOLORS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include BALANCECOLORS_AUTOPROCESS or BALANCECOLORS_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated specifically with this dialog:

These properties contain values to use for redistributing the bitmap's red values:

RedToRed property

RedToGreen property

RedToBlue property

These properties contain values to use for redistributing the bitmap's green values:

GreenToRed property

GreenToGreen property

GreenToBlue property

These properties contain values to use for redistributing the bitmap's blue values:

BlueToRed property

BlueToGreen property

BlueToBlue property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.The Balance Colors dialog can be seen below:

See Also

Elements

ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowBrightnessDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowBrightnessDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Brightness dialog box, and gets the options for the Intensity method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
BRIGHTNESS_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BRIGHTNESS_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
BRIGHTNESS_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BRIGHTNESS_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The BRIGHTNESS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include BRIGHTNESS_AUTOPROCESS or BRIGHTNESS_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Change property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Brightness dialog can be seen below:

See Also

Elements

Intensity method , Change property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowColorDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowColorDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Color Dialog box, which allows the user to pick a color.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
COLOR_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
COLOR_SHOW_OLDCOLOR | [0x00000002] dialog should contain the Old color in a static control.
COLOR_SHOW_NEWCOLOR | [0x00000004] dialog should contain the New color in a static control.
COLOR_SHOW_NAME | [0x00000008] dialog should contain the name in a static control.
COLOR_COLORSPACE_SHOW_HUE | [0x00000010] dialog should contain the HSB-Hue Based color space
COLOR_COLORSPACE_SHOW_BRIGHTNESS | [0x00000020] dialog should contain the HSB-Brightness Based color space
COLOR_COLORSPACE_SHOW_WHEEL | [0x00000040] dialog should contain the HSB-Wheel Based color space.
COLOR_COLORSPACE_SHOW_RGB | [0x00000080] dialog should contain the RGB-3D Additive color space.
COLOR_COLORSPACE_SHOW_CMY | [0x00000100] dialog should contain the CMY-3D Subtractive color space.
COLOR_COLORSPACE_SHOW_CMYK | [0x00000200] dialog should contain the CMYK-3D Subtractive color space.
COLOR_COLORSPACE_SHOW_LAB | [0x00000400] dialog should contain the LAB- Device Independent color space.
COLOR_COLORMODEL_SHOW_RGB | [0x00000800] dialog should contain the RGB color values display.
COLOR_COLORMODEL_SHOW_HSB | [0x00001000] dialog should contain the HSB color values display.
COLOR_COLORMODEL_SHOW_HLS | [0x00002000] dialog should contain the HLS color values display.
COLOR_COLORMODEL_SHOW_CMY | [0x00004000] dialog should contain the CMY color values display.
COLOR_COLORMODEL_SHOW_CMYK | [0x00008000] dialog should contain the CMYK color values display.
COLOR_COLORMODEL_SHOW_LAB | [0x00010000] dialog should display the LAB color values display.

The following properties are associated with this dialog:

SelectedColor property

ColorSpace property

ColorModel property

UserPalette property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Color dialog can be seen below:

See Also

Elements

SelectedColor property, ColorSpace property, ColorModel property, UserPalette property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowColoredGrayDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowColoredGrayDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the ColoredGray dialog box and gets the options for the ConvertToColoredGray method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
COLOREDGRAY_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
COLOREDGRAY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
COLOREDGRAY_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
COLOREDGRAY_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The COLOREDGRAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include COLOREDGRAY_AUTOPROCESS or COLOREDGRAY_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

There are some properties associated with this dialog. These are the RedFactor property, the GreenFactor property, the BlueFactor property, the RedGrayFactor property, the GreenGrayFactor property, and the BlueGrayFactor property.

The RedFactor property represents the percentage or weight given to the red value of each pixel in the bitmap.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Colored Gray dialog can be seen below:

See Also

Elements

ConvertToColoredGray method , ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowColorResDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowColorResDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Color Resolution dialog box, and gets the options for the ColorRes method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
COLORRES_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
COLORRES_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
COLORRES_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
COLORRES_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The COLORRES_SHOW_PREVIEW flag must be set in order to show these buttons.
COLORRES_SHOW_ORDER | [0x00000080] show the color order in the dialog
COLORRES_SHOW_OPENPALFILE | [0x00000100] show the open palette button used to load LEAD palette files. LEAD palette files are created using the ShowCustomizePaletteDlg method.

If you include COLORRES_AUTOPROCESS or COLORRES_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog: the BitsPerPixel property, the PaletteFlags property, the DitherFlags property, the UIFlags property, and the UserPalette property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The ColorRes dialog can be seen below:

See Also

Elements

ColorRes method , ShowCustomizePaletteDlg method, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowContrastDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowContrastDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Contrast dialog box, and gets the options for the Contrast method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
CONTRAST_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
CONTRAST_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
CONTRAST_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
CONTRAST_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The CONTRAST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include CONTRAST_AUTOPROCESS or CONTRAST_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Change property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_True.

The Contrast dialog can be seen below:

See Also

Elements

Contrast method , Change property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowCustomizePaletteDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowCustomizePaletteDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Customize Palette dialog box. This dialog box allows you to create, save, load, or edit custom palettes.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
CUSTOMIZEPALETTE_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
CUSTOMIZEPALETTE_SHOW_SORT | [0x00000002] Dialog should contain the Sort button.
CUSTOMIZEPALETTE_SHOW_FINDCLOSEST | [0x00000004] Dialog should contain the Find Closest button.
CUSTOMIZEPALETTE_SHOW_ADDOPTION | [0x00000008] Dialog should contain the Add Options button.
CUSTOMIZEPALETTE_SHOW_REMOVEOPTION | [0x00000010] Dialog should contain the Remove Options button.
CUSTOMIZEPALETTE_SHOW_COLORMODEL | [0x00000020] Dialog should contain the Color Model button.
CUSTOMIZEPALETTE_SHOW_RGBLEFTPAN | [0x00000040] Dialog should contain the left pan RGB static control.
CUSTOMIZEPALETTE_SHOW_HTMLLEFTPAN | [0x00000080] Dialog should contain the left pan HTML static control.
CUSTOMIZEPALETTE_SHOW_INDEXLEFTPAN | [0x00000100] Dialog should contain the left pan Index static control.
CUSTOMIZEPALETTE_SHOW_RGBRIGHTPAN | [0x00000200] Dialog should contain the right pan RGB static control.
CUSTOMIZEPALETTE_SHOW_HTMLRIGHTPAN | [0x00000400] Dialog should contain the right pan HTML static control.
CUSTOMIZEPALETTE_SHOW_INDEXRIGHTPAN | [0x00000800] Dialog should contain the right pan Index static control.
CUSTOMIZEPALETTE_SHOW_NEW | [0x00001000] Dialog should contain the new button.
CUSTOMIZEPALETTE_SHOW_OPEN | [0x00002000] Dialog should contain the open button.
CUSTOMIZEPALETTE_SHOW_SAVE | [0x00004000] Dialog should contain the save button.
CUSTOMIZEPALETTE_SHOW_SAVEAS | [0x00008000] Dialog should contain the save as button.
CUSTOMIZEPALETTE_GENERATE_PALETTE | [0x00010000] Dialog should update the GeneratedPalette property with the user created palette in the right pane.
CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT | [0x00020000] Dialog should contain the "Apply When Exit" check box, and the dialog will update the GeneratedPalette property with the user created palette in the right pane. Notice that you can’t combine this flag with flag CUSTOMIZEPALETTE_GENERATE_PALETTE.

The following properties are associated with this dialog: the UserPalette property, the GeneratedPalette property, and the ApplyPaletteWhenExit property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Customize Palette dialog can be seen below:

This dialog has the following fields:

Palettes List:

The Palette List provides you with some standard palettes:

- System Colors This palette contains colors used by MS Windows when the screen mode is 256-colors.

- Netscape Palette This is the palette used by Netscape browsers.

- MSIE Palette This is the palette used by Microsoft Internet Explorer browsers.

- Gray Scale Palette This palette contains 256 shades of gray (such as the shades found in a "black & white" photograph).

- Standard VGA Palette This is the palette used by VGA monitors.

- Uniform Palette This palette contains a set of colors uniformly distributed across the set of all 16 million 24-bit colors.

If you pass a palette to the dialog the "Image Colors" item is added to the palette list to view the current colors in the passed palette.

Left Pane

The Left Pane of the Customize Palette dialog displays the colors that you can add to your palette. This pane is not editable and it has two modes of display; it either displays lists of individual colors (palettes), or continuous colors based on a particular color model. When displaying palettes, you can select multiple individual colors using the <Ctrl> key, and a range of consecutive colors using the <Shift> key.

Right Pane

The Right Pane of the Customize Palette displays the list of colors that you have chosen. (It is empty until you begin to choose colors). After selecting a single color or a group of colors in the left pane, you can add them to your list of chosen colors in the right pane by clicking the Add button or by dragging them into the right pane. You can re-arrange the colors in the right pane by clicking and dragging them to their new position, or by using one of the pre-defined sort methods listed in the Sort drop-down list box.

Color Value Display

The RGB components and corresponding HTML form of the currently selected color are displayed at the bottom of the dialog.

Color Model Button

The Color Model button will list the color models available for the left pane and can switch the display mode in the left pane.

Clicking this button will activate a menu with the following options:

- Palette This option is the default. Choosing this option will activate the Palette drop-down list box and display the available colors in the Left Pane.

- HSB-Hue Based Choosing this option will open the HSB-Hue Based Model in the Left Pane.

- HSB-Wheel Based Choosing this option will open the HSB-Wheel Based Model in the Left Pane.

- HSB-Brightness Based Choosing this option will open the HSB-Brightness Based Model in the Left Pane.

- RGB-3D Additive Choosing this option will open the RGB-3D Additive Model in the Left Pane.

- CMY-3D Subtractive Choosing this option will open the CMY-3D Subtractive Model in the Left Pane.

- CMYK-3D Subtractive Choosing this option will open the CMYK-3D Subtractive Model in the Left Pane.

- Lab-Device Independent Choosing this option will open the Lab-Device Independent Model in the Left Pane.

Replace Button

The Replace button replaces a number of selected items in the Right pane with the same number and order of selected items from the Left pane.

Add and Add Options

The Add button adds an item or a group of items selected in the Left pane into the Right pane. Items can also be added from the Left pane to the Right pane by dragging them. Notice that the mouse cursor changes into a hand [image] when dragging item(s). If the cursor is not in a valid insert area, the cursor will turn into [image].

The Add Options button (the down arrow button to the right of the Add button) activates a menu that contains options indicating where those items should be added. The default is "At the end". The options included in this menu are as follows:

- At the End Add all insertions at the end of the list in the Right Pane.

- After Selected Add all insertions after the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

- Before Selected Add all insertions before the selected item. Notice that if no items are selected in the Right Pane the Add operation will fail and an error message will appear. This will also occur if more than one item is selected in the Right Pane.

Note:

If "After Selected" or "Before Selected" is chosen, the add operation will only be performed if there is exactly one item selected in the right pane.

"Add Options" is displayed only if the CUSTOMIZEPALETTE_SHOW_ADDOPTION flag is passed through the UIFlags property.

Remove and Remove Options

The Remove button removes the selected item(s) from the Right Pane. Items can also be removed by dragging them out of the Right Pane. Notice that the mouse cursor changes into [image] to indicate the item is about to be deleted.

The Remove Options button (the down arrow button to the right of the Remove button) activates a menu that allows you to set whether or not to be notified by a warning message when an item is about to be removed. The options included in this menu are as follows:

- Confirm When this option is checked a confirmation message will appear whenever you remove an item.

Find Closest Button

The Find Closest button highlights the item in the Right Pane that is the closest match to the item selected in the Left Pane. This button is displayed only if the CUSTOMIZEPALETTE_SHOW_FINDCLOSEST flag is passed through the UIFlags property.

Sort

The Sort button allows you to choose a method for sorting items in the right pane depending on their color components. Clicking the button will activate a menu with the following options:

- HSB Clicking this option will sort all items in the Right Pane according to their HSB color components.

- HUE Clicking this option will sort all items in the Right Pane according to the Hue value of their HSB color components.

- Saturation Clicking this option will sort all items in the Right Pane according to the Saturation value of their HSB color components.

- Brightness Clicking this option will sort all items in the Right Pane according to the Brightness value of their HSB color components.

- RGB Clicking this option will sort all items in the Right Pane according to their RGB color components.

- Reverse Clicking this option will invert the order of all items in the Right Pane.

Note:

"Sort" is displayed only if CUSTOMIZEPALETTE_SHOW_SORT flag is passed through the UIFlags property.

Apply When Exit Check box

When you pass the CUSTOMIZEPALETTE_GENARATE_PALETTE flag, you can prompt the user to use the palette generated or not by using the CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT flag which shows/hides the ‘Apply When Exit’ checkbox.

New

Use the New button to empty the Right Pane. This button is displayed only if the CUSTOMIZEPALETTE_SHOW_NEW flag is passed through the UIFlags property.

Open

Use the Open button to open a previously saved palette file; palette files have the extension "ltp". This button is displayed only if the CUSTOMIZEPALETTE_SHOW_OPEN flag is passed through the UIFlags property.

Save

Use the Save button to save your palette. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the CUSTOMIZEPALETTE_SHOW_SAVE flag is passed through the UIFlags property.

Save as

Use the Save as command to save a palette to a new filename. If you are starting a new file, the save command will prompt you for the file location and name. This button is displayed only if the CUSTOMIZEPALETTE_SHOW_SAVEAS flag is passed through the UIFlags property.

Close

Use the Close button to end the dialog. If there are changes unsaved on the Right Pane, a prompt message will appear.

See Also

Elements

ShowColorResDlg method, ColorRes method , UserPalette property, ApplyPaletteWhenExit property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowGrayScaleDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowGrayScaleDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Gray Scale dialog box, and gets the options for GrayScaleExt method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GRAYSCALE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GRAYSCALE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
GRAYSCALE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GRAYSCALE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The GRAYSCALE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include GRAYSCALE_AUTOPROCESS or GRAYSCALE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

There are some properties associated with this dialog. These are the RedFactor property, the GreenFactor property, and the BlueFactor property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Gray Scale dialog can be seen below:

See Also

Elements

GrayScaleExt method , ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowGammaAdjustmentDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowGammaAdjustmentDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Gamma Adjustment dialog box and gets the options for the gamma correction methods.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GAMMAADJUSTMENT_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GAMMAADJUSTMENT_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
GAMMAADJUSTMENT_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GAMMAADJUSTMENT_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The GAMMAADJUSTMENT_SHOW_PREVIEW flag must be set in order to show these buttons.
GAMMAADJUSTMENT_FORCELINKCHANNELS | [0x00000010] Force the dialog to apply "Link \all channels" at all times.

If you include GAMMAADJUSTMENT_AUTOPROCESS or GAMMAADJUSTMENT_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog:

GammaRedValue property

GammaGreenValue property

GammaBlueValue property

EnableGammaAllChannels Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Gamma Adjustment dialog can be seen below:

See Also

Elements

GammaCorrect method , ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowHalftoneDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowHalftoneDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Halftone dialog box, and gets the options for the HalfTone method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
HALFTONE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HALFTONE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
HALFTONE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HALFTONE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The HALFTONE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include HALFTONE_AUTOPROCESS or HALFTONE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog: the Dimension property, the Angle property, and the HalftoneType property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Halftone dialog can be seen below:

See Also

Elements

HalfTone method , Angle property, Dimension property, HalftoneType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowHistoContrastDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowHistoContrastDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the HistoContrast dialog box, and gets the options for the HistoContrast method

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
HISTOCONTRAST_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HISTOCONTRAST_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
HISTOCONTRAST_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HISTOCONTRAST_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The HISTOCONTRAST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include HISTOCONTRAST_AUTOPROCESS or HISTOCONTRAST_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Change property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The HistoContrast dialog can be seen below:

See Also

Elements

HistoContrast method , Change property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowHueDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowHueDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Hue dialog box, and gets the options for the Hue method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
HUE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HUE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
HUE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
HUE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The HUE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include HUE_AUTOPROCESS or HUE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Angle property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Hue dialog can be seen below:

See Also

Elements

Hue method , Angle property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowIntensityDetectDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowIntensityDetectDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Intensity Detect dialog box, and gets the options for the IntensityDetect method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
INTENSITYDETECT_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
INTENSITYDETECT_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
INTENSITYDETECT_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
INTENSITYDETECT_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The INTENSITYDETECT_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include INTENSITYDETECT_AUTOPROCESS or INTENSITYDETECT_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog:

Low property

High property

To include a Help button in the dialog, set the ShowHelpButton property to TRUE.

The Intensity Detect dialog can be seen below:

See Also

Elements

IntensityDetect method , Low property, High property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowLocalHistoEqualizeDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowLocalHistoEqualizeDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Displays the Local Histo Equalize dialog box, and gets the options for the LocalHistoEqualize method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
LOCALHISTOEQUALIZE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LOCALHISTOEQUALIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
LOCALHISTOEQUALIZE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LOCALHISTOEQUALIZE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The LOCALHISTOEQUALIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include LOCALHISTOEQUALIZE_AUTOPROCESS or LOCALHISTOEQUALIZE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog:

RectangleWidth property

RectangleHeight property

XExtension property

YExtension property

ColorSpace property

SmoothSize property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Local Histo Equalize dialog can be seen below:

See Also

Elements

LocalHistoEqualize method , RectangleWidth property, RectangleHeight property, XExtension property, YExtension property, ColorSpace property, SmoothSize property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowPosterizeDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowPosterizeDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Posterize dialog box, and gets the options for the Posterize method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
POSTERIZE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
POSTERIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
POSTERIZE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
POSTERIZE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The POSTERIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include POSTERIZE_AUTOPROCESS or POSTERIZE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Levels property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Posterize dialog can be seen below:

See Also

Elements

Posterize method , Levels property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowRemapHueDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowRemapHueDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Remap Hue dialog box, and gets the options for the RemapHue method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
REMAPHUE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
REMAPHUE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
REMAPHUE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
REMAPHUE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The REMAPHUE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include REMAPHUE_AUTOPROCESS or REMAPHUE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog:

MaskTable property

HueTable property

SaturationTable property

ValueTable property

RemapTableSize property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Remap Hue dialog can be seen below:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are three choices:

- Hue: remaps the Hue channel, for the values within the mask range.

- Saturation: remaps the Saturation channel, for the values within the mask range.

- Value: remaps the Value channel, for the values within the mask range.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Mask Multi-Slider:

Use the Mask Multi-slider Control to specify the range of values for which to apply the changes specified by the channel, the Curve mode and the factor. The first marker from the left is the minimum value of the range, and the second is the maximum value.

Reset Button:

Use the Reset button to set the curve of the current channel to the default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lrh" file that contains Remap Hue curve settings, using the Load dialog. The loaded file will set a new curve for each channel.

Note:

Loading curve settings will overwrite all current settings for all channels.

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lrh" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements

RemapHue method , MaskTable property, HueTable property, SaturationTable property, ValueTable property, RemapTableSize property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowRemapIntensityDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowRemapIntensityDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Remap Intensity dialog box, and gets the options for the RemapIntensity method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
REMAPINTENSITY_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
REMAPINTENSITY_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
REMAPINTENSITY_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
REMAPINTENSITY_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The REMAPINTENSITY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include REMAPINTENSITY_AUTOPROCESS or REMAPINTENSITY_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this dialog:

Channel property

RemapTable property

RemapTableSize property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Remap Intensity dialog can be seen below:

This dialog has the following fields:

Channel Drop-down list box:

Use this to select the channel to remap. There are four choices:

- RGB: remap all channels.

- Red: remap the red channel.

- Green: remap the green channel.

- Blue: remap the blue channel.

Curve Mode Drop-down list box:

Use this to select the curve mode to use when remapping. There are four choices:

- [image] Curve: remaps the selected channel using curve data.

- [image] Linear: remaps the selected channel using linear data.

- [image] Exponential: remaps the selected channel using exponential data, which is affected by the Factor value.

- [image] Logarithm: remaps the selected channel using logarithmic data, which is affected by the Factor value.

Factor Edit box:

Use this to set the factor of the Exponential/Logarithm curve. Enter the value directly in the edit box or use the arrows to set the desired value.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve of the current channel to default values.

Reset All Button:

Use the Reset All button to set the curve for all the channels to default values.

Load Button:

Use the Load button to load an "*.lri" file that contains Remap Intensity curve settings, using the Load dialog. The loaded file will set a new curve for each channel.

Note:

Loading curve settings will overwrite all current settings for all channels.

Save Button:

Use the Save button to save all the curve settings for all the channels into an "*.lri" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements

RemapIntensity method , Channel property, RemapTable property, RemapTableSize property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowSaturationDlg Method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowSaturationDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Saturation dialog box, and gets the options for the Saturation Method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SATURATION_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SATURATION_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
SATURATION_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SATURATION_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SATURATION_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SATURATION_AUTOPROCESS or SATURATION_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Change property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Saturation dialog can be seen below:

See Also

Elements

Saturation Method , Change property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowSolarizeDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowSolarizeDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Solarize dialog box, and gets the options for the Solarize method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SOLARIZE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SOLARIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
SOLARIZE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SOLARIZE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SOLARIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SOLARIZE_AUTOPROCESS or SOLARIZE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following property is associated with this dialog: the Thresold property.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Solarize dialog can be seen below:

See Also

Elements

Solarize method , Threshold property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowWindowLevelDlg method (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ShowWindowLevelDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Displays the Window Level dialog box, and gets the options for the WindowLevel method .

The properties associated with this dialog box are:

WindowLevelFactor property

WindowLevelFlags property

WindowLevelHigh property

WindowLevelLow property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

This dialog only works with 12 or 16-bit grayscale images. Trying to use this dialog with other images will result in an error.

See Also

Elements

WindowLevel method , WindowLevelFactor property, WindowLevelFlags property, WindowLevelHigh property, WindowLevelLow property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


Angle Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long Angle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the angle value.

The Angle property is associated with the following dialog boxes:

Hue dialog box: | In this case it represents the amount to change the hue, in degrees. Possible values range from -180 to 180.
Halftone dialog box: | In this case it represents the angle of rotation, expressed in hundredths of degrees. Possible values range from -36000 to 36000. A value of 0 produces a horizontal halftone pattern. This property specifies the number of degrees to change the pattern. Positive values rotate the pattern clockwise; negative values rotate the pattern counterclockwise. This value is ignored if HalftoneType is HT_RECT, HT_CIRC, HT_RAND or HT_USERDEF.

See Also

Elements

ShowHueDlg method, ShowHalftoneDlg method, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


ApplyPaletteWhenExit Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ApplyPaletteWhenExit;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates; whether; the "Apply When Exit" check box in the CustomizePalette dialog box is checked.

If this member is set before calling ShowCustomizePaletteDlg, this value will be used to initialize the check box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Apply When Exit" box is checked.
VARIANT_FALSE | The "Apply When Exit" box is not checked.

See Also

Elements

ShowCustomizePaletteDlg method, UserPalette property, GeneratedPaletteCount property, GeneratedPalette property


Bitmap property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long Bitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property, EnableZoomToFit Property


BitsPerPixel Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short BitsPerPixel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of bits per pixel in the Color Resolution dialog box.

Support for 12 and 16-bit grayscale images is available only in the Document/Medical toolkits. The following are valid values:

Value | Meaning
1 | 1 bit per pixel in the resultant bitmap
2 | 2 bits per pixel in the resultant bitmap
3 | 3 bits per pixel in the resultant bitmap
4 | 4 bits per pixel in the resultant bitmap
5 | 5 bits per pixel in the resultant bitmap
6 | 6 bits per pixel in the resultant bitmap
7 | 7 bits per pixel in the resultant bitmap
8 | 8 bits per pixel in the resultant bitmap
12 | 12 bits per pixel in the resultant bitmap
16 | 16 bits per pixel in the resultant bitmap
24 | 24 bits per pixel in the resultant bitmap
32 | 32 bits per pixel in the resultant bitmap
48 | 48 bits per pixel in the resultant bitmap
64 | 64 bits per pixel in the resultant bitmap

See Also

Elements

ShowColorResDlg method, PaletteFlags property, DitherFlags property, UIFlags property


BlueFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short BlueFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the BlueFactor value in the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the blue value of each pixel in the bitmap. Possible values are (0-1000), RedFactor + GreenFactor + BlueFactor must equal 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, GreenFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property


BlueGrayFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short BlueGrayFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the BlueGrayFactor value in the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the blue component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, GreenFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property


BlueToBlue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double BlueToBlue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the blue color value that should be distributed to the blue component. Possible values are: 0.0 – 1.0.

The BlueToBlue property associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


BlueToGreen Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double BlueToGreen;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the blue color value that should be distributed to the green component. Possible values are: 0.0 – 1.0.

The BlueToGreen property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


BlueToRed Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double BlueToRed;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the blue color value that should be distributed to the red component. Possible values are: 0.0 – 1.0.

The BlueToRed property associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


Change Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short Change;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the change value.

Possible values range from -1000 to 1000.

The Change property is associated with the following dialog boxes:

Brightness dialog box: | In this case it represents the amount to change the brightness. Negative numbers darken the image and positive numbers lighten the image.
Contrast dialog box: | In this case it represents the amount to change the contrast. Negative numbers decrease the contrast and positive numbers increase the contrast.
Saturation dialog box: | In this case it represents the amount to change the saturation. Negative numbers decrease the saturation and positive numbers increase the saturation.
HistoContrast dialog box: | In this case it represents the amount to change the contrast. Negative numbers decrease the contrast and positive numbers increase the contrast.

See Also

Elements

ShowBrightnessDlg method, ShowContrastDlg method, ShowSaturationDlg method, ShowHistoContrastDlg method


ClrResFlags Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long ClrResFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets user interface flags for the ColorRes dialog box, which determine the options available in the dialog. Possible values are:

Value | Meaning
COLORRES_SHOW_1BIT | [0x00000001] 1-bit is an option in the dialog.
COLORRES_SHOW_2BIT | [0x00000002] 2-bit is an option in the dialog
COLORRES_SHOW_3BIT | [0x00000004] 3-bit is an option in the dialog
COLORRES_SHOW_4BIT | [0x00000008] 4-bit is an option in the dialog
COLORRES_SHOW_5BIT | [0x00000010] 5-bit is an option in the dialog
COLORRES_SHOW_6BIT | [0x00000020] 6-bit is an option in the dialog
COLORRES_SHOW_7BIT | [0x00000040] 7-bit is an option in the dialog
COLORRES_SHOW_8BIT | [0x00000080] 8-bit is an option in the dialog
COLORRES_SHOW_12BIT | [0x00000100] 12-bit is an option in the dialog
COLORRES_SHOW_16BIT | [0x00000200] 16-bit is an option in the dialog
COLORRES_SHOW_24BIT | [0x00000400] 24-bit is an option in the dialog
COLORRES_SHOW_32BIT | [0x00000800] 32-bit is an option in the dialog
COLORRES_SHOW_48BIT | [0x00001000] 48-bit is an option in the dialog
COLORRES_SHOW_64BIT | [0x00002000] 64-bit is an option in the dialog
COLORRES_SHOW_BITALL | [0x00003FFF] 1-bit to 64-bit are all options in the dialog.
COLORRES_SHOW_DITHER_NONE | [0x00004000] no dithering is an option in the dialog.
COLORRES_SHOW_DITHER_FLOYD | [0x00008000] Floyd dithering is an option in the dialog
COLORRES_SHOW_DITHER_STUCKI | [0x00010000] Stucki dithering is an option in the dialog
COLORRES_SHOW_DITHER_BURKES | [0x00020000] burkes dithering is an option in the dialog
COLORRES_SHOW_DITHER_SIERRA | [0x00040000] sierra dithering is an option in the dialog
COLORRES_SHOW_DITHER_STEVENSON | [0x00080000] Stevenson dithering is an option in the dialog
COLORRES_SHOW_DITHER_JARVIS | [0x00100000] Jarvis dithering is an option in the dialog
COLORRES_SHOW_DITHER_CLUSTER | [0x00200000] clustered dithering is an option in the dialog
COLORRES_SHOW_DITHER_ORDERED | [0x00400000] ordered dithering is an option in the dialog
COLORRES_SHOW_DITHER_ALL | [0x007FC000] all dithering methods are options in the dialog
COLORRES_SHOW_PAL_FIXED | [0x00800000] fixed palette is an option in the dialog
COLORRES_SHOW_PAL_OPTIMIZED | [0x01000000] optimized palette is an option in the dialog
COLORRES_SHOW_PAL_IDENTITY | [0x02000000] identity palette is an option in the dialog
COLORRES_SHOW_PAL_NETSCAPE | [0x04000000] Netscape palette is an option in the dialog
COLORRES_SHOW_PAL_SVGA | [0x08000000] SVGA palette is an option
COLORRES_SHOW_PAL_UNIFORM | [0x10000000] Uniform palette is an option
COLORRES_SHOW_PAL_MSIE | [0x20000000] MSIE palette is an option
COLORRES_SHOW_PAL_ALL | [0x3F800000] all palette options are included in the dialog

See Also

Elements

ShowColorResDlg method, BitsPerPixel property, PaletteFlags property, DitherFlags property


ColorModel Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long ColorModel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color model in the Color Dialog box. Possible values are:

Value | Meaning
COLOR_COLORMODEL_SHOW_RGB | [0x00000800] RGB color values.
COLOR_COLORMODEL_SHOW_HSB | [0x00001000] HSB color values.
COLOR_COLORMODEL_SHOW_HLS | [0x00002000] HLS color values.
COLOR_COLORMODEL_SHOW_CMY | [0x00004000] CMY color values.
COLOR_COLORMODEL_SHOW_CMYK | [0x00008000] CMYK color values.
COLOR_COLORMODEL_SHOW_LAB | [0x00010000] LAB color values.

See Also

Elements

ShowColorDlg method, SelectedColor property, ColorModel propertyColorModelproperty, UserPalette property


ColorSpace Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | ColorSpaceConstants ColorSpace;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color space to be used.

The ColorSpace property is associated with the following dialog boxes:

LocalHistoEqualize dialog box: | In this case it represents the color space to equalize. Possible values are:
 | Value | Meaning
 | RGB_SPACE | [0x0001] Linearize the number of pixels across the RGB color space. (Separated channels)
 | YUV_SPACE | [0x0002] Linearize the number of pixels across the YUV color space. (Best results)
 | GRAY_SPACE | [0x0004] Linearize the number of pixels per gray level in a gray level representation of the image.

Color Dialog box: | In this case it represents the color box selected when the color dialog box closed. Possible values are:
 | Value | Meaning
 | COLOR_COLORSPACE_SHOW_HUE | [0x00000010] HSB-Hue Based color space.
 | COLOR_COLORSPACE_SHOW_BRIGHTNESS | [0x00000020] HSB-Brightness Based color space.
 | COLOR_COLORSPACE_SHOW_WHEEL | [0x00000040] HSB-Wheel Based color space.
 | COLOR_COLORSPACE_SHOW_RGB | [0x00000080] RGB-3D Additive color space.
 | COLOR_COLORSPACE_SHOW_CMY | [0x00000100] CMY-3D Subtractive color space.
 | COLOR_COLORSPACE_SHOW_CMYK | [0x00000200] CMYK-3D Subtractive color space.
 | COLOR_COLORSPACE_SHOW_LAB | [0x00000400] LAB- Device Independent color space.

See Also

Elements

ShowLocalHistoEqualizeDlg method, ShowColorDlg method


DialogStatus property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
DLG_EXPORTANDEXIT | "Exit and Export" was selected from the menu and the dialog exited successfully. The StitchBitmap property will be updated with the exported bitmap.


Dimension Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long Dimension;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the grain in the Halftone dialog box.

Possible values range from 2 to 100. This value is ignored if HalftoneType is HT_VIEW or HT_PRINT. If HalftoneType is not HT_VIEW or HT_PRINT, Dimension property should be >= 1.

See Also

Elements

ShowHalftoneDlg method, Angle property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


DitherFlags Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long DitherFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value indicating the dithering option in the ColorResolution dialog box. Setting this before calling the Color Resolution dialog box has no effect. Possible values are:

Value | Meaning
CRD_NODITHERING | [0x00000000] Use nearest color matching.
CRD_FLOYDSTEINDITHERING | [0x00010000] Use Floyd-Steinberg dithering.
CRD_STUCKIDITHERING | [0x00020000] Use Stucki dithering.
CRD_BURKESDITHERING | [0x00030000] Use Burkes dithering.
CRD_SIERRADITHERING | [0x00040000] Use Sierra dithering.
CRD_STEVENSONARCEDITHERING | [0x00050000] Use Stevenson Arce dithering.
CRD_JARVISDITHERING | [0x00060000] Use Jarvis dithering.
CRD_ORDEREDDITHERING | [0x00070000] Use ordered dithering, which is faster but less accurate than other dithering methods.
CRD_CLUSTEREDDITHERING | [0x00080000] Use clustered dithering.

See Also

Elements

ShowColorResDlg method, BitsPerPixel property, PaletteFlags property, UIFlags property


EnableGammaAllChannels Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableGammaAllChannels;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "All Channels" check box is checked in the Gamma Adjustment dialog box.

Possible values are:

Setting | Description
VARIANT_TRUE | The "All Channels" check box is checked.
VARIANT_FALSE | The "All Channels" check box is not checked.

See Also

Elements

ShowGammaAdjustmentDlg method, GammaRedValue property, GammaGreenValue property, GammaBlueValue property


EnableMethodErrors Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.


EnableZoomToFit Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableZoomToFit;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Setting | Description
VARIANT_TRUE | Set the initial zoom level to "Zoom to fit".
VARIANT_FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements

ShowBalanceColorsDlg method


GammaBlueValue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GammaBlueValue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Gamma Blue value in the Gamma Adjustment dialog box.

Possible values range from 10 to 500.

See Also

Elements

ShowGammaAdjustmentDlg method, GammaRedValue property, GammaGreenValue property, EnableGammaAllChannels Property


GammaGreenValue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GammaGreenValue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Gamma Green value in the Gamma Adjustment dialog box.

Possible values range from 10 to 500.

See Also

Elements

ShowGammaAdjustmentDlg method, GammaRedValue property, GammaBlueValue property, EnableGammaAllChannels Property


GammaRedValue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GammaRedValue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Gamma Red value in the Gamma Adjustment dialog box.

Possible values range from 10 to 500.

See Also

Elements

ShowGammaAdjustmentDlg method, GammaGreenValue property, GammaBlueValue property, EnableGammaAllChannels Property


GeneratedPalette Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR GeneratedPalette(short lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the generated palette in the CustomizePalette dialog box (the palette displayed in the right pane when the dialog is closed).

Note that this property will be valid only if you set either CUSTOMIZEPALETTE_GENERATE_PALETTE or CUSTOMIZEPALETTE_SHOW_APPLYPALETTEWHENEXIT flags in UIFlags property before calling the ShowCustomizePaletteDlg method.

See Also

Elements

ShowCustomizePaletteDlg method, UserPalette property, ApplyPaletteWhenExit property, GeneratedPaletteCount property


GeneratedPaletteCount Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GeneratedPaletteCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the number of enteries in the GeneratedPalette property

See Also

Elements

ShowCustomizePaletteDlg method, UserPalette property, ApplyPaletteWhenExit property, GeneratedPalette property


GreenFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GreenFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the GreenFactor value in the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the green value of each pixel in the bitmap. Possible values are (0-1000). RedFactor + GreenFactor+ BlueFactor must equal 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property


GreenGrayFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short GreenGrayFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the GreenGrayFactor value in the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the green component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, GreenFactor property, BlueFactor property, RedGrayFactor property, BlueGrayFactor property


GreenToBlue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double GreenToBlue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the green color value that should be distributed to the blue component. Possible values are: 0.0 – 1.0.

The GreenToBlue property associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


GreenToGreen Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double GreenToGreen;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the green color value that should be distributed to the green component. Possible values are: 0.0 – 1.0.

The GreenToGreen property associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


GreenToRed Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double GreenToRed;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the green color value that should be distributed to the red component. Possible values are: 0.0 – 1.0.

The GreenToRed property associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


HalftoneType Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | HalftoneTypeConstants HalftoneType;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the halftone pattern in the Halftone dialog box.

Possible values are:

Value | Meaning
HT_PRINT | [0] Halftone for printing
HT_VIEW | [1] Halftone for display
HT_RECT | [2] Rectangular halftone
HT_CIRC | [3] Circular halftone
HT_ELLIPS | [4] Elliptical halftone
HT_RAND | [5] Random halftone
HT_LINEAR | [6] Linear halftone
HT_USERDEF | [7] User defined halftone

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


High Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short High;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the highest intensity to detect in the IntensityDetect dialog box.

Possible values range from 0 – 255.

See Also

Elements

ShowIntensityDetectDlg method, Low property


HueTable Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long HueTable (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Hue lookup table. If the MaskTable table value for a particular pixel hue is non-zero, then the hue is changed to the corresponding entry in HueTable. LEADTOOLS will update this table in the RemapHue dialog box unless REMAPHUE_AUTOPROCESS is set in the UIFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapTableSize.

See Also

Elements

ShowRemapHueDlg method, MaskTable property, SaturationTable property, ValueTable property, RemapTableSize property


InColor property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR InColor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill those pixels having an intensity value between the Low and High properties. This property has no effect if the Channel property is set to IDB_CHANNEL_MASTER. If for example the Channel property is set to IDB_CHANNEL_RED, then the red component of InColor will be used to fill the pixels having a red component value between Low and High properties.

See Also

Elements

IntensityDetect method , Low property, High property, Channel property, OutColor property


IntensityChannel property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long IntensityChannel
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the channel to process. Possible values are:

Value | Meaning
IDB_CHANNEL_MASTER | [0x0000] Grayscale Channel.
IDB_CHANNEL_RED | [0x0001] Red Channel.
IDB_CHANNEL_GREEN | [0x0010] Green Channel.
IDB_CHANNEL_BLUE | [0x0100] Blue Channel.

See Also

Elements

IntensityDetect method , Low property, High property, InColor property, OutColor property


ItemBitmap Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long ItemBitmap (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the array of bitmaps that correspond to the entries in the "Available List" in the Halftone dialog box.

The file name for each bitmap in this property should be included in the ItemFileName property, at the same index. Any description associated with a bitmap in this property should be included in the ItemDescription property, at the same index.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, SelectedBitmapList property, SelectedBitmapsCount property


ItemDescription Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemDescription (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the strings that contain the text used to fill the "Available List" field in the Halftone dialog box.

You have to set the ItemsCount property before start using this property.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


ItemFileName Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemFileName (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the strings that contains the names of the files in the ItemBitmap property. These are the names of the bitmap files that correspond to the entries in the "Available List" in the Halftone dialog box.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap property is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before start using this property.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


ItemsCount Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short ItemsCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of bitmaps in the ItemBitmap property. The ItemBitmap property contains the bitmaps associated with the "Available List' in the Halftone dialog box.

You have to set this property to the number of elements you want to include in the "Available List" in the Halftone dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will clear the old ItemBitmap property, ItemDescription property and ItemFileName property settings.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property, SelectedBitmapsCount property


Levels Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short Levels;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of color levels to use in the Posterize dialog box.

The valid range is 2 - 64.

See Also

Elements

ShowPosterizeDlg method


Low Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short Low;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the lowest intensity to detect in the IntensityDetect dialog box.

Possible values range from 0 – 255.

See Also

Elements

ShowIntensityDetectDlg method, High property


MaskTable Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long MaskTable (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Lookup table that identifies which values in the Hue, Saturation, and Value Lookup tables are valid. For example, if MaskTable [i] is non-zero, then HueTable [i], SaturationTable [i], and ValueTable [i] are valid for i pixel remapping. LEADTOOLS will update this table in the RemapHue dialog box unless REMAPHUE_AUTOPROCESS is set in the UIFlags property before calling the ShowRemapHueDlg method. The length of the table is in RemapTableSize property.

See Also

Elements

ShowRemapHueDlg method, HueTable property, SaturationTable property, ValueTable property, RemapTableSize property


OutColor property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR OutColor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill those pixels having an intensity value less than Low or greater than High properties. This property has no effect if the Channel property is IDB_CHANNEL_MASTER. If for example the Channel property is set to IDB_CHANNEL_RED, then the red component of OutColor will be used to fill the pixels having a red component value less than Low or greater than High properties.

See Also

Elements

IntensityDetect method , Low property, High property, Channel property, InColor property


PaletteFlags Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long PaletteFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the palette option, or color order, in the Color Resolution dialog box. Setting this before calling the Color Resolution dialog box has no effect. Possible values are:

Value | Meaning
CRP_BYTEORDERRGB | [0x00] Use RGB color. This flag is only valid for 16 or more-bit images.
CRP_FIXEDPALETTE | [0x01] Use the fixed palette.
CRP_OPTIMIZEDPALETTE | [0x02] Create an optimized palette. Or, if you supply a palette in UserPalette property, supply optimized colors for specified entries in the palette.
CRP_NETSCAPEPALETTE | [0x40] Use the fixed palette that is employed by Netscape Navigator and by Microsoft Internet Explorer.
CRP_USERHPALETTE | [0x0100] Use the palette specified in the UserPalette parameter.
CRP_IDENTITYPALETTE | [0x08] Insert the Windows system palette.
CRP_BYTEORDERBGR | [0x04] Use BGR color order. This flag only has meaning when going to 16 bits per pixel or higher.

See Also

Elements

ShowColorResDlg method, BitsPerPixel property, DitherFlags property, UIFlags property


RectangleHeight Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short RectangleHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of the local histogram equalizer rectangle, in pixels, in the LocalHistoEqualize dialog box. The width should be more than zero.

See Also

Elements

ShowLocalHistoEqualizeDlg method, RectangleWidth property


RectangleWidth Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short RectangleWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the local histogram equalizer rectangle, in pixels in the LocalHistoEqualize dialog box. The width should be more than zero.

See Also

Elements

ShowLocalHistoEqualizeDlg method, RectangleHeight property


RedFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short RedFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the RedFactor value in the ColoredGray and the GrayScale dialog boxes.

It is a value that represents the percentage or weight given to the red value of each pixel in the bitmap. Possible values are (0-1000). RedFactor+ GreenFactor + BlueFactor must equal 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, GreenFactor property, BlueFactor property, RedGrayFactor property, GreenGrayFactor property, BlueGrayFactor property


RedGrayFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short RedGrayFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the RedGrayFactor value from or to the ColoredGray dialog box.

It is a value that represents an additional weighting factor (percentage) used to modify the red component in the output pixel. This value can be negative. Possible values are -1000 to 1000.

See Also

Elements

ShowColoredGrayDlg method, ShowGrayScaleDlg method, RedFactor property, GreenFactor property, BlueFactor property, GreenGrayFactor property, BlueGrayFactor property


RedToBlue Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double RedToBlue;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the red color value that should be distributed to the blue component. Possible values are: 0.0 – 1.0.

The RedToBlue property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


RedToGreen Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double RedToGreen;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the percentage of the red color value that should be distributed to the green component. Possible values are: 0.0 – 1.0.

The RedToGreen property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


RedToRed Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | double RedToRed;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets red values to use for redistributing the bitmap's red values in the BalanceColors dialog box. This value is given as a percentage.

The RedToRed property is associated only with the ShowBalanceColorsDlg method.

See Also

Elements

ShowBalanceColorsDlg method


RemapHueTablesSize Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long RemapHueTablesSize
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the length of the RemapHue tables in the RemapHue dialog box. Possible values are:

Value | Meaning
65536 | For 16-bit gray or 48-bit images.
4096 | For 12-bit images.
256 | For other-bits images.

The RemapHue tables for the RemapHue dialog are the HueTable, SaturationTable, ValueTable and the MaskTable.

To initialize the RemapHue dialog, set this property before calling the ShowRemapHueDlg method.

See Also

Elements

ShowRemapHueDlg method, RemapHue method , MaskTable property, HueTable property, SaturationTable property, ValueTable property


RemapTable Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long RemapTable(long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of remap values in the RemapIntensity dialog box. This array serves as a lookup table that is updated by the RemapIntensity dialog box unless REMAPINTENSITY_AUTOPROCESS is set in the UIFlags property before calling ShowRemapIntensityDlg method.

Intensity levels range from 0 to the value of RemapTableSize property - 1. The current intensity values correspond to the table indexes. The values of the entries are the new values to be applied.

See Also

Elements

ShowRemapIntensityDlg method, Channel property, RemapTableSize property


RemapTableSize Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long RemapTableSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of entries in the RemapTable property. Possible values are:

Value | Meaning
65536 | For 16-bit gray or 48-bit images.
4096 | For 12-bit images.
256 | For other-bits images.

See Also

Elements

ShowRemapIntensityDlg method, RemapTable property, Channel property


SaturationTable Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long SaturationTable (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Saturation lookup table. If the MaskTable table value for a particular pixel saturation is non-zero, then the saturation is changed to the corresponding entry in the SaturationTable. LEADTOOLS will update this table in the RemapHue dialog box unless REMAPHUE_AUTOPROCESS is set in the UIFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapTableSize.

See Also

Elements

ShowRemapHueDlg method, MaskTable property, HueTable property, ValueTable property, RemapTableSize property


SelectedBitmapList Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long SelectedBitmapList;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read only) Gets the list of bitmaps selected by the user from the "Available List" in the Halftone dialog box.

The SelectedBitmapsCount property is updated with the number of bitmaps in this list.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapsCount property


SelectedBitmapsCount Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short SelectedBitmapsCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read only) Gets the number of bitmaps in the SelectedBitmapList property. The SelectedBitmapList property contains the bitmaps selected by the user from the "Available List" in the Halftone dialog box.

See Also

Elements

ShowHalftoneDlg method, Angle property, Dimension property, HalftoneType property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmapList property


SelectedColor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR SelectedColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the selected color in the Color Dialog box.

Set this property before calling the ShowColorDlg method to initialize the dialog. When the user selects a color in the displayed dialog, this property will be updated with that color.

You can specify an OLE_COLOR value, such as the return value of the Windows RGB macro.

See Also

Elements

ShowColorDlg method, ColorSpace property, ColorModel propertyColorModelproperty, UserPalette property


ShowHelpButton Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. If this property is TRUE, a Help Button will be displayed. If it is FALSE, the Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp event


SmoothSize Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long SmoothSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the area to be used when smoothing the edges between localized blocks in the LocalHistoEqualize dialog box.

Possible values range from 0 to 7, but if RectangleHeight is less than or equal to 7 then the maximum value for this item is RectangleHeight - 1.

See Also

Elements

ShowLocalHistoEqualizeDlg method, ShowColorDlg method


Threshold Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short Threshold;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the threshold at or above which colors are to be inverted in the Solarize dialog box.

The valid range is 0 - 255.

See Also

Elements

ShowSolarizeDlg method


UIFlags Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowBalanceColorsDlg method


UserPalette Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR UserPalette (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Sets a color in a palette that you define.

The user palette is an array of UserPaletteCount elements. Each element is a long integer value containing the red, green and blue (RGB) components of the color. You can specify a color using the RGB function, and you can specify 256 or fewer colors.

Palettes are used only for images that are 8 bits per pixel or less.

This User Palette will be used when a dialog box needs a custom palette. It is associated with ColorRes dialog box, the CustomizePalette dialog box, and the Color dialog box.

See Also

Elements

ShowCustomizePaletteDlg method, ShowColorResDlg method, ShowColorDlg method


UserPaletteCount Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short UserPaletteCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of colors in the UserPalette property.

Valid values are 1 to 255.

It is associated with ColorRes dialog box, CustomizePalette dialog box, and the Color dialog box.

See Also

Elements

ShowCustomizePaletteDlg method, ShowColorResDlg method, ShowColorDlg method


ValueTable Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | long ValueTable (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Value lookup table. If the MaskTable table value for particular pixel value is non-zero, then the saturation is changed to the corresponding entry in Value. LEADTOOLS will update this table in the RemapHue dialog box unless REMAPHUE_AUTOPROCESS is set in the UIFlags property before calling the ShowRemapHueDlg method.

The length of this table is RemapTableSize.

See Also

Elements

ShowRemapHueDlg method, MaskTable property, HueTable property, SaturationTable property, RemapTableSize property


WindowLevelFactor Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short WindowLevelFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Gets or sets a value that indicates the factor to be applied in the function operation specified in the WindowLevelFlags property. This property is used only if WindowLevelFlags is FILLLUT_EXPONENTIAL, FILLLUT_LOGARITHMIC or FILLLUT_SIGMOID. If FILLLUT_EXPONENTIAL or FILLLUT_SIGMOID is set in WindowLevelFlags, the value of the WindowLevelFactor property ranges from 1000 to -1000. If FILLLUT_LOGARITHMIC is set in WindowLevelFlags, the value of the WindowLevelFactor property ranges from 0 to 1000. If the WindowLevelFlags property set to 0, the lookup table will be filled linearly.

See Also

Elements

WindowLevel method , WindowLevelFlags property, WindowLevelHigh property, WindowLevelLow property, ShowWindowLevelDlg method


WindowLevelFlags Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short WindowLevelFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Gets or sets a value in the WindowLevel dialog box that represents how the LUT is filled and the type of LUT.

The following flags indicate how the range is used to fill the LUT:

Value | Meaning
FILLLUT_INSIDE | [0x0001] Fill the LUT between WindowLevelLow and WindowLevelHigh properties
FILLLUT_OUTSIDE | [0x0002] Fill the LUT below WindowLevelLow and above WindowLevelHigh.

The following flags indicate the LUT type:

Value | Meaning
FILLLUT_LINEAR | [0x0010] LUT is linear.
FILLLUT_EXPONENTIAL | [0x0020] LUT is exponential.
FILLLUT_LOGARITHMIC | [0x0030] LUT is logarithmic.
FILLLUT_SIGMOID | [0x0040] LUT is sigmoid.

See Also

Elements

WindowLevel method , WindowLevelFactor property, WindowLevelHigh property, WindowLevelLow property, ShowWindowLevelDlg method


WindowLevelHigh Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short WindowLevelHigh;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Gets or sets the highest bit value to be used for window leveling in the WindowLevel dialog box.

See Also

Elements

WindowLevel method , WindowLevelFactor property, WindowLevelFlags property, WindowLevelLow property, ShowWindowLevelDlg method


WindowLevelLow Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short WindowLevelLow;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Gets or sets the lowest bit value to be used for window leveling in the WindowLevel dialog box.

See Also

Elements

WindowLevel method , WindowLevelFactor property, WindowLevelFlags property, WindowLevelHigh property, ShowWindowLevelDlg method


XExtension Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short XExtension;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the extension of the width of the local histogram equalizer rectangle, in pixels in the LocalHistoEqualize dialog box.

See Also

Elements

ShowLocalHistoEqualizeDlg method, YExtension property


YExtension Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | short YExtension;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the extension of the height of the local histogram equalizer rectangle, in pixels in the LocalHistoEqualize dialog box.

See Also

Elements

ShowLocalHistoEqualizeDlg method, XExtension property


DlgHelp event (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


ShowEffectDlg method (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowEffectDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Get Effect dialog box, and gets the options for the Effect property.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
EFFECT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
EFFECT_SHOW_PREVIEW | [0x00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EFFECT_AUTOPREVIEW | [0x00000004] auto preview when options change
EFFECT_DELAY | [0x00000008] effect delay is an option.
EFFECT_GRAIN | [0x00000010] effect grain is an option.
EFFECT_PASSES | [0x00000020] effect passes is an option
EFFECT_TRANSPARENT | [0x00000040] transparency is an option
EFFECT_WAND | [0x00000080] wand is an option
EFFECT_NO_TREEVIEW | [0x00000100] DO NOT use TreeView
EFFECT_CLASS_NONE | [0x00000200] no effect is an option
EFFECT_CLASS_WIPE | [0x00000400] linear wipe is an option
EFFECT_CLASS_WIPERECT | [0x00000800] rectangular wipe is an option
EFFECT_CLASS_WIPECIRCLE | [0x00001000] circular wipe is an option
EFFECT_CLASS_PUSH | [0x00002000] push is an option
EFFECT_CLASS_SLIDE | [0x00004000] slide is an option
EFFECT_CLASS_ROLL | [0x00008000] roll is an option
EFFECT_CLASS_ROTATE | [0x00010000] rotate is an option
EFFECT_CLASS_ZOOM | [0x00020000] zoom is an option
EFFECT_CLASS_DRIP | [0x00040000] drip is an option
EFFECT_CLASS_BLIND | [0x00080000] blind is an option
EFFECT_CLASS_RANDOM | [0x00100000] random is an option
EFFECT_CLASS_CHECK | [0x00200000] check is an option
EFFECT_CLASS_BLOCKS | [0x00400000] blocks is an option
EFFECT_CLASS_CIRCLE | [0x00800000] circle is an option
EFFECT_CLASS_ELLIPSE | [0x01000000] ellipse is an option

These values may be combined by ORing them. If you include EFX_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Get Effect dialog can be seen below:

See Also

Elements

PaintEffect property , EffectDelay property , ShowHelpButton property, Shape property, UIFlags property


ShowGradientDlg method (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowGradientDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Gradient dialog box, and gets the options for the Gradient property.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GRADIENT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
GRADIENT_SHOW_PREVIEW | [0x00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GRADIENT_AUTOPREVIEW | [0x00000004] auto preview when options change
GRADIENT_STARTCOLOR | [0x00000008] start color is an option
GRADIENT_ENDCOLOR | [0x00000010] end color is an option
GRADIENT_STEPS | [0x00000020] gradient steps is an option
GRADIENT_NO_TREEVIEW | [0x00000040] DO NOT use TreeView
GRADIENT_CLASS_LINEAR | [0x00000080] linear gradients are an option
GRADIENT_CLASS_ANGULAR | [0x00000100] angular gradients are an option
GRADIENT_CLASS_RECTANGULAR | [0x00000200] rectangular gradients are anoption
GRADIENT_CLASS_ELLIPTICAL | [0x00000400] elliptical gradients are an option
GRADIENT_CLASS_CONICAL | [0x00000800] conical gradients are an option

These values may be combined by ORing them.

If you include GRAD_SHOWPREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Get Gradient dialog can be seen below:

See Also

Elements

GradientStyle property, ShowHelpButton property, Shape property, UIFlags property


ShowTextDlg method (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowTextDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Text dialog box, and gets the options for the Text property.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
TEXT_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
TEXT_SHOW_PREVIEW | [0x00000002] show a preview of the image in the dialog, The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
TEXT_AUTOPREVIEW | [0x00000004] auto preview when options change
TEXT_SAMPLETEXT | [0x00000008] sample text edit box is an option
TEXT_STYLE | [0x00000010] text style is an option
TEXT_COLOR | [0x00000020] text color is an option
TEXT_BORDERCOLOR | [0x00000040] border color is an option
TEXT_ALIGN | [0x00000080] alignment is an option
TEXT_ANGLE | [0x00000100] angle is an option
TEXT_WORDWRAP | [0x00000200] word-wrap is an option
TEXT_FONT | [0x00000400] font is an option
TEXT_FOREIMAGE | [0x00000800] foreground image is an option
TEXT_BROWSEIMAGE | [0x00001000] browse image button is an option
TEXT_SHADOWCOLOR | [0x00002000] shadow color is an option
TEXT_SHADOW_X_Y | [0x00004000] shadow x and y are options

These values may be combined by ORing them.

If you include DLG_TEXT_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Get Text dialog can be seen below:

See Also

Elements

TextStyle property, ShowHelpButton property, Shape property, UIFlags property


ShowTransitionDlg method (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowTransitionDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Get Transition dialog box, and gets the options for Transition property.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
TRANSITION_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
TRANSITION_SHOW_PREVIEW | [0x00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
TRANSITION_AUTOPREVIEW | [0x00000004] auto preview when options change
TRANSITION_FORECOLOR | [0x00000008] fore color is an option
TRANSITION_BACKCOLOR | [0x00000010] back color is an option
TRANSITION_DELAY | [0x00000020] transition delay is an option
TRANSITION_GRAIN | [0x00000040] transition grain is an option
TRANSITION_EFFECT | [0x00000080] paint effect is an option
TRANSITION_PASSES | [0x00000100] transition passes is an option
TRANSITION_WAND | [0x00000200] wand is an option
TRANSITION_TRANSPARENT | [0x00000400] transparency is an option
TRANSITION_GRADIENT | [0x00000800] gradient is an option

These values may be combined by ORing them.

If you include TRANSITION_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Get Transition dialog can be seen below:

See Also

Elements

TransitionEffect property , ShowHelpButton property, Shape property, UIFlags property


Bitmap property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | long Bitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property


Effect Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterEffectEfx * Effect;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a pointer to an ILEADRasterEffectEfx object that contains information in the Effect dialog box. When the dialog is closed, this property is updated with the information entered by the user, through the dialog. This information can be found in the following properties:

Delay property

EffectStyle property

Grain property

MaxPass property

Transparent property

TransparentColor property

WandColor property

WandThickness property

See Also

Elements

ShowEffectDlg method


EnableMethodErrors Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.


Gradient Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterGradientEfx * Gradient;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a pointer to an ILEADRasterGradientEfx object that contains information in the Gradient dialog box. When the dialog is closed, this property is updated with the information entered by the user, through the dialog. This information can be found in the following properties:

EndColor property

GradientStyle property

StartColor property

Steps property

See Also

Elements

ShowGradientDlg method


Shape Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterShapeEfx * Shape;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a pointer to an ILEADRasterShapeEfx object that contains information in the Shape dialog box. When the dialog is closed, this property is updated with the information entered by the user, through the dialog. This information can be found in the following properties:

BackColor Property

BackgroundBitmap Property

BackgroundStyle Property

BorderColor Property

BorderStyle Property

BorderThickness Property

FillStyle Property

ForeColor Property

InnerHiliteColor Property

InnerShadowColor Property

InnerStyle Property

InnerThickness Property

OuterHiliteColor Property

OuterShadowColor Property

OuterStyle Property

OuterThickness Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

ShapeStyle Property

See Also

Elements

ShowShapeDlg method


ShowHelpButton Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
VARIANT_TRUE | Help Button will be displayed.
VARIANT_FALSE | Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp event


Text Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterTextEfx * Text;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a pointer to an ILEADRasterTextEfx object that contains information in the Text dialog box. When the dialog is closed, this property is updated with the information entered by the user, through the dialog. This information can be found in the following properties:

Align Property

Angle Property

Color Property

EnableUseForegroundImage Property

Font Property

ForegroundBitmap Property

HiliteColor Property

SampleText Property

ShadowColor Property

ShadowXDepth Property

ShadowYDepth Property

TextStyle Property

WordWrap Property

See Also

Elements

ShowTextDlg method


Transition Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterTransitionEfx * Transition;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a pointer to an ILEADRasterTransitionEfx object that contains information in the Transition dialog box. When the dialog is closed, this property is updated with the information entered by the user, through the dialog. This information can be found in the following properties:

BackColor Property

Delay Property

EffectStyle Property

ForeColor Property

Grain Property

MaxPass Property

Steps Property

TransitionStyle Property

Transparent Property

TransparentColor Property

WandColor Property

WandThickness Property

See Also

Elements

ShowTransitionDlg method


UIFlags Property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowShapeDlg method


DlgHelp Event (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property, ShowDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


ShowDirectoryDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowDirectoryDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Get Directory dialog box, and allows the user to browse the file system for a folder/directory.

The following properties are associated with this method:

Directory property

Filter property

FilterIndex property

DialogTitle property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Directory dialog can be seen below:

See Also

Elements

Directory property, Filter property, FilterIndex property, DialogTitle property, ShowHelpButton property, EnableMethodErrors property


ShowFileConversionDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowFileConversionDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the File Conversion dialog box, and gets the options for converting files.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
FILECONVERSION_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
FILECONVERSION_SHOW_PREVIEW | [0x00000002] show a preview of the selected image in the Source File List.
FILECONVERSION_SHOW_LOADOPTIONS | [0x00000004] dialog should have an "Options" button.
FILECONVERSION_SHOW_FILEINFO | [0x00000008] dialog should have a "File Info" button.
FILECONVERSION_SHOW_PREVIEW_PAGES | [0x00000010] dialog should have "<" and ">"buttons.
FILECONVERSION_SHOW_RESIZE | [0x00000020] dialog should have a "Resize" button.
FILECONVERSION_SHOW_ROTATE | [0x00000040] dialog should have a "Rotate" button.
FILECONVERSION_SHOW_NAMINGTEMPLATE | [0x00000080] dialog should have a "Naming Template" button.
FILECONVERSION_SHOW_OVERWRITE | [0x00000100] dialog should have the "Overwrite" combo.
FILECONVERSION_SHOW_OVERWRITE_ASK | [0x00000200] dialog should have the "Ask" option in the "Overwrite" combo.
FILECONVERSION_SHOW_OVERWRITE_SKIP | [0x00000400] dialog should have the "Skip" option in the "Overwrite" combo.
FILECONVERSION_SHOW_OVERWRITE_REPLACE | [0x00000800] dialog should have the "Replace" option in the "Overwrite" combo.
FILECONVERSION_SHOW_OVERWRITE_RENAME | [0x00001000] dialog should have the "Rename" option in the "Overwrite" combo.
FILECONVERSION_SHOW_OVERWRITE_ALL | [0x00001E00] dialog should have all overwrite options in the "Overwrite" combo.
FILECONVERSION_SHOW_ADD | [0x00002000] dialog should have an "Add" {FileConversion-AddFiles.bmp} button.
FILECONVERSION_SHOW_ADDFOLDER | [0x00004000] dialog should have an "Add Folder" button {FileConversion-AddFolder.bmp}.
FILECONVERSION_SHOW_REMOVE | [0x00008000] dialog should have a "Remove" button.
FILECONVERSION_SHOW_SELECTALL | [0x00010000] dialog should have a "Select All" button.
FILECONVERSION_SHOW_DELETEORIGINAL | [0x00020000] dialog should have a "Delete/Overwrite File(s)" check box in the "Source File(s)" group.
FILECONVERSION_SHOW_NEWFORMATSUPDATES | [0x00040000] Dialog should have the new formats updates for version 14.5.

The following properties are associated with this method:

OverwriteFlags property

FileFormatsCount property

FileFormats property

DestinationPath property

SourceFilePath property

EnableLogReport property

EnableRemoveSourceFile property

EnableShowFullPath property

UseOriginalFolder property

SourceFileList property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The File Conversion dialog can be seen below:

See Also

Elements

OverwriteFlags property, FileFormatsCount property, FileFormats property, DestinationPath property, SourceFilePath property, EnableLogReport property, EnableRemoveSourceFile property, EnableShowFullPath property, UseOriginalFolder property, SourceFileList property


ShowFilesAssociationDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowFilesAssociationDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the File Association dialog, in order to change file association options.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible option is:

Value | Meaning
FILESASSOCIATION_SHOW_CONTEXTHELP | [0x00000800] dialog should contain a context sensitive help icon.

The following properties are associated with this method:

Formats property

SelectedExt property

ServerApplicationName property

Use this dialog to control how the shell treats certain types of files. This lets you link your application to a certain file type, which causes the application to take ownership of that file type.

The properties are used as input only and will not be updated by the dialog.

If the method was successful, then file formats will be associated or de-associated accordingly.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The File Association dialog can be seen below:

See Also

Elements

Formats property, SelectedExt property, ServerApplicationName property, UIFlags property, ShowHelpButton property, EnableMethodErrors property


ShowOpenDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowOpenDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Open dialog for getting the filename to open, file information, and applicable options.

You may want to set one or more of the following properties prior to calling this method:

Filter property | FilterIndex property
FileName property | InitialDir property
DialogTitle property | FileDlgFlags property

Available options for the FileDlgFlags property are:

Value | Meaning
OPEN_ALLOWMULTI | [0x00000200] allow selection of multiple files
OPEN_NOCHANGEDIR | [0x00000008] restore directory to original after closing

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
OPEN_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
OPEN_SHOW_PROGRESSIVE | [0x00000002] the File Load Options will contain the Progressive Passes option.
OPEN_SHOW_MULTIPAGE | [0x00000004] the File Load Options will contain the Multi-page options.
OPEN_SHOW_LOADROTATED | [0x00000008] the File Load Options will contain the Load-Rotated option.
OPEN_SHOW_LOADCOMPRESSED | [0x00000010] the File Load Options will contain the load-compressed option.
OPEN_SHOW_FILEINFO | [0x00000020] dialog should have the File-Info button.
OPEN_SHOW_PREVIEW | [0x00000040] dialog should have a preview window to preview the selected file image.
OPEN_SHOW_DELPAGE | [0x00000080] dialog should have a delete button to delete a page in a multi-page image file.
OPEN_SHOW_LOADOPTIONS | [0x00000100] dialog should contain the "Show Load Options" check box
OPEN_VIEWTOTALPAGES | [0x00010000] Show the total number of pages on the file info dialog.
OPEN_ENABLESIZING | [0x00020000] dialog should contain the Enable Sizing option.
OPEN_NOFILEMUSTEXIST | [0x00040000] Do not verify that the file exists.
OPEN_NOPATHMUSTEXIST | 0x00080000] Do not verify that the path exists.
OPEN_USEFILESTAMP | [0x00100000] dialog should preview the stamp in the image file, if it contains a stamp.
OPEN_LOADBITMAP | [0x00200000] Load the image when the Open button is pressed and fill the Main control Bitmap property.
OPEN_GENERATETHUMBNAIL | [0x00400000] Generate the image thumbnail or create one when the Open button is pressed and update the Thumbnail property.

If you include OPEN_LOADBITMAP in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

If the UIFlags property contains OPEN_LOADBITMAP and the FileDlgFlags property does not contain OPEN_ALLOWMULTI, the LEADDlgFile.Bitmap property will be updated with the loaded bitmap.

If OPEN_SHOW_PREVIEW or OPEN_USEFILESTAMP is set in the UIFlags property and the EnableShowPreview property is set to VARIANT_TRUE, the "Enable Preview" box in the Open dialog box will be checked.

To initialize the "Load Rotated" box, the "Load Compressed" box and the "Page No." box when the dialog is displayed, set the following properties before calling this method:

PageNumber property

LoadRotated property

LoadCompressed property

Note:

If you set the PageNumber property prior to calling the ShowOpenDlg method, the value you put in PageNumber will appear when the dialog is created. If you then select a file, which has fewer pages, the maximum number of pages for that file will appear in the "Page No.:" box.

The following properties are associated with this method:

Filter property

FilterIndex property

FileName property

DialogTitle property

FileDlgFlags property

InitialDir property

EnableShowPreview property

OptionsFileType property

Bitmap property

Thumbnail property

PageNumber property

LoadPasses property

LoadCompressed property

LoadRotated property

EnableShowLoadOptions property

PCDResolution property

PDFXResolution property

PDFXResolution property

PDFYResolution property

PDFDisplayDepth property

PDFTextAlpha property

PDFGraphicsAlpha property

RasterXResolution property

RasterYResolution property

WMFXResolution property

WMFYResolution property

VectorViewportWidth property

VectorViewportHeight property

VectorViewportMode property

VectorFont property

DXFViewportWidth property

DXFViewportHeight property

DXFViewportMode property

DXFFont property

DXFAutoCADColorScheme property

PLTViewportWidth property

PLTViewportHeight property

PLTViewportMode property

PLTFont property

PLTPenWidth property

PLTPenColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Open dialog can be seen below:

See Also

Elements

ShowSaveDlg method


ShowPrintPreviewDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowPrintPreviewDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the print preview dialog box for a single image printing.

Before calling this dialog box the Common Dialog Bitmap property must be assigned a valid bitmap.

The following properties are associated with this method:

MarginsLeft property

MarginsTop property

MarginsWidth property

MarginsHeight property

MinMarginsLeft property

MinMarginsTop property

MinMarginsWidth property

MinMarginsHeight property

WindowIcon property

Visible property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Print Preview dialog for printing a single image can be seen below:

See Also

Elements

MarginsLeft property, MarginsTop property, MarginsWidth property, MarginsHeight property, MinMarginsLeft property, MinMarginsTop property, MinMarginsWidth property, MinMarginsHeight property, WindowIcon property, Visible property


ShowPrintStitchedImagesDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowPrintStitchedImagesDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the dialog box for printing multiple images.

Before calling the ShowPrintStitchedImagesDlg method, set the number of bitmaps you wish to print using this dialog in the ItemsCount property. Then, set the bitmaps to use in the ItemBitmap property and the file names of the bitmaps in the ItemFileName property.

The following properties are associated with this method:

MarginsLeft property

MarginsTop property

MarginsWidth property

MarginsHeight property

MinMarginsLeft property

MinMarginsTop property

MinMarginsWidth property

MinMarginsHeight property

WindowIcon property

Visible property

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Print Preview dialog for printing a single image can be seen below:

See Also

Elements

MarginsLeft property, MarginsTop property, MarginsWidth property, MarginsHeight property, MinMarginsLeft property, MinMarginsTop property, MinMarginsWidth property, MinMarginsHeight property, WindowIcon property, Visible property, ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property


ShowSaveDlg method (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ShowSaveDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Save dialog box for getting the filename to save, along with any applicable options.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SAVE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assignrd a valid bitmap before calling this method.
SAVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
SAVE_SHOW_FILEOPTIONS_PROGRESSIVE | [0x00000004] The Save File Options dialog will have progressive save options.
SAVE_SHOW_FILEOPTIONS_MULTIPAGE | [0x00000008] The Save File Options dialog will have multi-page options.
SAVE_SHOW_FILEOPTIONS_STAMP | [0x00000010] The Save File Options dialog will have stamp options for formats that support stamps.
SAVE_SHOW_FILEOPTIONS_QFACTOR | [0x00000020] The Save File Options dialog will have the Qfactor option for formats that support Qfactor.
SAVE_SHOW_FILEOPTIONS_J2KOPTIONS | [0x00000040] The Save File Options dialog will have a J2K Options button for formats that support J2K options.
SAVE_SHOW_FILEOPTIONS_BASICJ2KOPTIONS | [0x00000080] The Save File Options dialog will have the Compression group controls ("Control", "Ratio" and "Target Size") for formats that support J2K options.
SAVE_ENABLESIZING | [0x00000100] The Save File Options dialog will have the enable sizing option. This option does not work under Windows NT 4.0 and Windows 95.
SAVE_SHOW_FILEOPTIONS_JBIG2OPTIONS | [0x00000200] The Save File Options dialog will have "JBIG2 options" button.

If you include SAVE_AUTOPROCESS in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

Available options for the FileDlgFlags property are:

Value | Meaning
SAVE_OVERWRITEPROMPT | [0x00000002] prompt if file already exists.
SAVE_NOCHANGEDIR | [0x00000008] restore directory to original after closing.

The following properties are associated with this method:

FileName property

DialogTitle Property

FileDlgFlags property

InitialDir property

PageNumber property

SaveBitsPerPixel property

SaveFormat property

SaveQFactor property

SaveMulti property

SaveInterlaced property

SavePasses property

SaveWithStamp property

SaveStampBits property

SaveStampWidth property

SaveStampHeight property

FileFormatsCount property

FileFormats property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

You may want to set one or more of the following properties prior to showing the Save dialog box:

FileName property | InitialDir property
DialogTitle property | FileDlgFlags property

If you want to initialize the setting for the "multi-page-> operation" combo box indicated in the dialog box, set the SaveMulti property before calling the ShowSaveDlg method.

The formats included in the dialog depend on the Formats set in the FileFormats property.

The Save dialog can be seen below:

See Also

Elements

ShowOpenDlg method


Bitmap property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long Bitmap
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property


DestinationPath Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR DestinationPath;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the path to the folder in which to save the file(s) converted using the FileConversion dialog box.

See Also

Elements

ShowFileConversionDlg method


DialogStatus property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.

See Also

Elements

ShowDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


DialogTitle Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR DialogTitle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the string used as the title bar for either the Open, Save or Directory dialog boxes.

See Also

Elements

ShowDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method.


Directory Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR Directory;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a string containing the directory name. Set this to initialize the dialog to open a particular directory. This will be filled with the user's directory selection in the Directory dialog box.

See Also

Elements

ShowDirectoryDlg method


DXFAutoCADColorScheme Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | AutocadConstants DXFAutoCADColorScheme;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the background color to use when loading AutoCAD files, entered by the user in the Open dialog box.

The DXFAutoCADColorScheme property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DXF,

FILE_DXF_R13,

FILE_DWG.

See Also

Elements

ShowOpenDlg method


DXFFont Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR DXFFont;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the typeface name of the font to use in vector font mapping entered by the user in the Open dialog box.

The length of this string must not exceed 32 characters.

The DXFFont property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DXF,

FILE_DXF_R13,

FILE_DWG.

See Also

Elements

ShowOpenDlg method


DXFViewportHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short DXFViewportHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport height value entered by the user in the Open dialog box.

The DXFViewportHeight property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DXF,

FILE_DXF_R13,

FILE_DWG.

See Also

Elements

ShowOpenDlg method


DXFViewportMode Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | RasterizeViewModeConstants DXFViewportMode;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport mode value entered by the user in the Open dialog box. Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current view-port size

This property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DXF,

FILE_DXF_R13,

FILE_DWG.

See Also

Elements

ShowOpenDlg method


DXFViewportWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short DXFViewportWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

The DXFViewportWidth property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DXF,

FILE_DXF_R13,

FILE_DWG.

See Also

Elements

ShowOpenDlg method


EnableLogReport Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableLogReport;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Log Report" check box was checked in the FileConversion dialog box and whether to view the Log Report after the conversion operation is finished. Possible values are:

Setting | Description
VARIANT_TRUE | The "Log Report" check box was checked and the Log Report will be displayed after the conversion process.
VARIANT_FALSE | The "Log Report" check box was not checked and the Log Report will not be displayed after the conversion process.

See Also

Elements

ShowFileConversionDlg method


EnableMethodErrors Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.

See Also

Elements

ShowDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


EnableRemoveSourceFile Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableRemoveSourceFile;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Delete\Overwrite file(s)" check box was checked in the FileConversion dialog box and whether to remove the source file(s) after the conversion operation is finished. Possible values are:

Setting | Description
VARIANT_TRUE | The "Delete\Overwrite file(s)" check box was checked and the source file will be removed after the conversion process has completed.
VARIANT_FALSE | The "Delete\Overwrite file(s)" check box was not checked and the source file will not be removed after the conversion process has completed.

See Also

Elements

ShowFileConversionDlg method


EnableShowFullPath Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableShowFullPath;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Full path" box was checked in the FileConversion dialog box and whether to view the file name and path in the source File(s) list or just the file name. Possible values are:

Setting | Description
VARIANT_TRUE | The "Full path" check box was checked and the file name and the path will be displayed in the Source Files List.
VARIANT_FALSE | The "Full path" check box was not checked and only the file name will be displayed in the Source Files List.

See Also

Elements

ShowFileConversionDlg method


EnableShowLoadOptions Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableShowLoadOptions;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether to show the load options when pressing the Open button on the Open dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | Show the load options when pressing the Open button, and check the Show Load Options check box. This will occur whether or not OPEN_SHOW_LOADOPTIONS is set in DlgFlags.
VARIANT_FALSE | Don’t show the load options when pressing the Open button, and uncheck the Show Load Options check box.

See Also

Elements

ShowOpenDlg method


EnableShowPreview Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableShowPreview;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether to show the Preview window in the Open dialog box, if OPEN_SHOW_PREVIEW is set in the UIFlags property. Possible values are:

Setting | Description
VARIANT_TRUE | View the preview window.
VARIANT_FALSE | Hide the preview window.

See Also

Elements

ShowOpenDlg method


FileDlgFlags Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long FileDlgFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the user interface flags for the Open dialog box and the Save dialog box. These flags determine the layout and action of the dialog.

For a list of available options, refer to the specific method.

See Also

Elements

ShowOpenDlg method, ShowSaveDlg method


FileFormats Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | ILEADRasterSaveType * FileFormats (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

An array of ILEADRasterSaveType objects that indicates which formats, BPP, and subformats to include in the FileConversion dialog box or the Save dialog box. The order of the formats in the array elements indicates the order in which the items will appear in the FileType drop-down list box, for the FileConversion dialog box, or the Save dialog box.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method


FileFormatsCount Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long FileFormatsCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of the items in the FileFormats property.

The FileFormats property indicates which formats, BPP, and sub-formats to include in the FileConversion or Save dialog box. For more information on available file types, refer to Customizing File Format Lists.

You must set this property before using the FileFormats property.

Set this property to 0 to have LEADTOOLS add all supported formats, BPP, and sub-formats to the FileConversion dialog box or Save dialog box.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method


FileLoad Event (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | void FileLoad(short iTotalPercent, short iFilePercent);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The FileLoad event is triggered for each file selected by the user to be opened using the Open dialog box when the user want to open multiple files at the same time.

This event will be triggered only if OPEN_ALLOWMULTI is set in the UIFlags property.

If you set OPEN_LOADBITMAP in UIFlags property, the Bitmap property will be valid during this event only when the nFilePercent= 100.

If you set OPEN_GENERATETHUMBNAIL in UIFlags property, the Thumbnail property will be valid during this event only when the nFilePercent= 100.

The FileName property will be changed in this event according to the file currently loading.

Do not assign 0 to LEADDlgFile.Bitmap or LEADDlgFile.Thumbnail during this event.

See Also

Elements

ShowOpenDlg method, Bitmap property, Thumbnail property, FileName property.


FileName Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR FileName;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the name of the file to open or save using the Open dialog box or the Save dialog box.

See Also

Elements

ShowOpenDlg method


Filter Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR Filter;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the filter for the Open or Directory dialog boxes. This should be set in the following way:

All Files|*.*

To use more than one filter:All Files|*.*|JPEG|*.jpg|Windows BMP|*.bmp|LEAD|*.cmp

If the user sets the Filter property to, the file type combo box will disappear in the Directory dialog box.

See Also

Elements

ShowDirectoryDlg method, ShowOpenDlg method


FilterIndex Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long FilterIndex;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the index corresponding to a filter in the list stored in the Filter property, which is displayed in the file type list control. This is used by the Open, Save and Directory dialog boxes.

If you specify a valid SaveFormat and SaveBitsPerPixel combination before showing the Save dialog box, then the File Type list box will be initialized with the corresponding type. If the specified combination is not valid, the File Type list box will be initialized with the value of the FilterIndex property.

See Also

Elements

ShowDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method


Formats Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR Formats;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the string that specifies the filter(s) to be associated or de-associated and the filter pattern for the FilesAssociation dialog box. This should be set in the following way:

All Files|*.*

To use more than one filter:All Files|*.*|JPEG|*.jpg|Windows BMP|*.bmp|LEAD|*.cmp

See Also

Elements

ShowFilesAssociationDlg method, SelectedExt property, ServerApplicationName property


InitialDir Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR InitialDir;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Sets a string that specifies the initial directory for the Open dialog box or the Save dialog box.If this string is empty, the current directory is used for the initial directory.

See Also

Elements

ShowDirectoryDlg method, ShowOpenDlg method, ShowSaveDlg method


ItemBitmap Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long ItemBitmap(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of bitmaps to be used in the image picker in the PrintStitchedImages dialog box.

For each bitmap in the ItemBitmap property, the file name that contains the bitmap can be found in the ItemFileName property, at the same index. In addition, the ItemDescription property contains a description pertaining to theh corresponding bitmap in the ItemBitmap property.

You must set the ItemsCount property before using this property.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


ItemDescription Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemDescription(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a string that contains the text to be use as a tool tip for each image in the image picker when the mouse hovers over it in the PrintStitchedImages dialog box.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


ItemFileName Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemFileName(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of strings that contains the file names corresponding to the bitmaps referenced in the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap field is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


ItemsCount Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short ItemsCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of images in the image picker associated with the PrintStitchedImages dialog box.

You must set the ItemsCount property to the number of elements you want to pass to the PrintStitchedImages dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will clear the old ItemBitmap property, ItemDescription property and ItemFileName property settings.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


JBIG2GBATX1 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATX1
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the X location of the adaptive template pixel A1.

Possible values range from - 128 to 127.

When the value of the JBIG2GBATY1 property is 0, then the possible values range from -128 to -1.

See Also

Elements

JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATX2 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATX2
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the X location of the adaptive template pixel A2.

Possible values range from -128 to 127.

When the value of the JBIG2GBATY2 property is 0, then the possible values range from -128 to -1.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATX3 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATX3
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the X location of the adaptive template pixel A3.

Possible values range from -128 to 127.

When the value of the JBIG2GBATY3 property is 0, then the possible values range from -128 to -1.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATX4 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATX4
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the X location of the adaptive template pixel A4.

Possible values range from -128 to 127.

When the value of the JBIG2GBATY4 property is 0, then the possible values range from -128 to -1.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATY1 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATY1
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Y location of the adaptive template pixel A1.

Possible values range from -128 to 0.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATY2 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATY2
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Y location of the adaptive template pixel A2.

Possible values range from -128 to 0.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATY3 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATY3
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Y location of the adaptive template pixel A3.

Possible values range from -128 to 0.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2GBATY4 Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2GBATY4
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Y location of the adaptive template pixel A4.

Possible values range from -128 to 0.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2TemplateType property, JBIG2SaveFlags property.


JBIG2SaveFlags Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long JBIG2SaveFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

Flags that indicate the unwanted JBIG2 segments and whether to use the typical prediction (TP). You can use a bit wise OR (|) to specify more than one flag. Possible values are:

Value | Meaning
JBIG2_REMOVE_MARKER | [0x0001] Removes the two-byte marker from generic region segment data.
JBIG2_REMOVE_HEADER_SEGMENT | [0x0002] Removes the JBIG2 header.
JBIG2_REMOVE_EOP_SEGMENT | [0x0004] Removes the End Of Page segment.
JBIG2_REMOVE_EOF_SEGMENT | [0x0008] Removes the End Of File segment.
JBIG2_TPON | [0x0010] Uses typical prediction (TP) while encoding.

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2SaveFlags property.


JBIG2TemplateType Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short JBIG2TemplateType
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the value that specifies the template to be used for template-based arithmetic encoder. Possible values are:

Value | Meaning | Template
0 | Three lines with 16 pixels template. |
1 | Three lines with 13 pixels template. |
2 | Three lines with 10 pixels template. |
3 | Two lines with 10 pixels template. |

See Also

Elements

JBIG2GBATX1 property, JBIG2GBATY1 property, JBIG2GBATX2 property, JBIG2GBATY2 property, JBIG2GBATX3 property, JBIG2GBATY3 property, JBIG2GBATX4 property, JBIG2GBATY4 property, JBIG2SaveFlags property.


LoadCompressed Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL LoadCompressed;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Load Compressed" check box was checked in the Open dialog box.

You can set the LoadCompressed property before calling the ShowOpenDlg method to set the initial status of the "Load Compressed" box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Load Compressed" check box is checked and the image should be loaded in compressed form.
VARIANT_FALSE | The "Load Compressed" check box is not checked and the image should not be loaded in compressed form.

See Also

Elements

ShowOpenDlg method


LoadPasses Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long LoadPasses;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of progressive passes (scans through the image) when loading a progressive JPEG, LEADCMP or PNG file using the Open dialog box.

Possible values when loading a progressive file:

Value | Meaning
Any positive number | Do the specified number of times.
CALLBACK_ONCE | Do only one pass at the end.
CALLBACK_WHEN_MEANINGFUL | Do only significant scans. (This is usually the best option.)
CALLBACK_ALWAYS | Do the number of passes stored in the file.

For information on progressive loading of JBIG files, refer to Implementing JBIG Features .

See Also

Elements

ShowOpenDlg method


LoadRotated Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL LoadRotated;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Load Rotated" check box was checked in the Open dialog box. If LoadRotated is VARIANT_TRUE, the Load Rotated box was checked in the dialog and the image will be loaded in a rotated state. If it is VARIANT_FALSE, the Load Rotated box was not checked and the image will be loaded in its original state.

You can set this property before calling the Open dialog box to set the initial status of the "Load Rotated" box.

Setting | Description
VARIANT_TRUE | The "Load Rotates" check box is checked and the image should be loaded in rotated form.
VARIANT_FALSE | The "Load Rotated" check box is not checked and the image should not be loaded in rotated form.

See Also

Elements

ShowOpenDlg method


MarginsHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MarginsHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MarginsLeft Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MarginsLeft;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the top of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MarginsTop Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MarginsTop;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the top of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MarginsWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MarginsWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MinMarginsHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MinMarginsHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum allowable height of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MinMarginsLeft Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MinMarginsLeft;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum allowable left boundary of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MinMarginsTop Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MinMarginsTop;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum allowable top boundary of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


MinMarginsWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long MinMarginsWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum allowable width of the margin rectangle used by the PrintPreview and PrintStitchedImages dialog boxes. For more information on the margins, refer to the Microsoft SDK documentation – Windows User Interface – PAGESETUPDLG.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


OptionsFileType Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long OptionsFileType;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value the represents the type of file being opened using the Open dialog box.

Based on the file type specified in this property, you can check the properties associated with the file type.

The following properties will be valid based on the value of the OptionsFileType property:

PCDResolution property

PDFXResolution property

PDFYResolution property

PDFDisplayDepth property

PDFTextAlpha property

PDFGraphicsAlpha property

RASTERXResolution property

RASTERYResolution property

WMFXResolution property

WMFYResolution property

VectorViewportWidth property

VectorViewportHeight property

VectorViewportMode property

VectorFont property

DXFViewportWidth property

DXFViewportHeight property

DXFViewportMode property

DXFFont property

DXFAutoCADColorScheme property

PLTViewportWidth property

PLTViewportHeight property

PLTViewportMode property

PLTFont property

PLTPenWidth property

PLTPenColor property

The following table describes when each of the above properties becomes valid.

 | Value of OptionsFileType | Valid Properties
1. | FILE_PCD | PCDResolution
2. | FILE_RAS_PDF | PDFXResolution
 | FILE_RAS_PDF_G3_1D | PDFYResolution
 | FILE_RAS_PDF_G3_2D | PDFDisplayDepth
 | FILE_RAS_PDF_G4 | PDFTextAlpha
 | FILE_RAS_PDF_JPEG | PDFGraphicsAlpha
 | FILE_RAS_PDF_JPEG_422 |
 | FILE_RAS_PDF_JPEG_411 |
3. | FILE_FPX | RasterXResolution
 | FILE_FPX_SINGLE_COLOR | RasterYResolution
 | FILE_FPX_JPEG |
 | FILE_FPX_JPEG_QFACTOR |
 | FILE_CMW |
 | FILE_JBIG |
 | FILE_JP2 |
 | FILE_J2K |
4. | FILE_WMF | WMFXResolution
 | FILE_EMF | WMFYResolution
5. | FILE_DWF | VectorViewportWidth
 | FILE_CGM | VectorViewportHeight
 | FILE_CMX | VectorViewportMode
 | FILE_PCL | VectorFont
 | FILE_VECTOR_DUMP |
 | FILE_PCT |
 | FILE_DRW |
 | FILE_INTERGRAPH_VECTOR |
 | FILE_GERBER |
 | FILE_SHP |
 | FILE_SVG |
 | FILE_VWPG |
6. | FILE_DXF | DXFViewportWidth
 | FILE_DXF_R13 | DXFViewportHeight
 | FILE_DWG | DXFViewportMode
 |  | DXFFont
 |  | DXFAutoCADColorScheme
7. | FILE_PLT | PLTViewportWidth
 |  | PLTViewportHeight
 |  | PLTViewportMode
 |  | PLTFont
 |  | PLTPenWidth
 |  | PLTPenColor
8. | Any other format | none of them are valid.

See Also

Elements

ShowOpenDlg method


OverwriteFlags Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | OverewriteConstants OverwriteFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates how to handle the existence of a file that has the same converted file name, extension, and path, when converting a file using the FileConversion dialog box. Possible values are:

Value | Meaning
FILECONVERSION_OVERWRITE_ASK | [0] A message box appears each time and asks what to do with this file. It also lets you abort all conversion operations.
FILECONVERSION_OVERWRITE_SKIP | [1] Skip converting this file and go on to the next file.
FILECONVERSION_OVERWRITE_REPLACE | [2] Replace the existing file with the new file.
FILECONVERSION_OVERWRITE_RENAME | [3] Give the new file a different file name from the existing file.

See Also

Elements

ShowFileConversionDlg method


PageNumber Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PageNumber;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of the page to load in the Open dialog box or the page to replace/insert in the Save dialog box.

You can set the PageNumber property before calling the Open method to set the initial value of the "Page No:" edit box.

See Also

Elements

ShowOpenDlg method, ShowSaveDlg method


PCDResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | PCDResConstants PCDResolution;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get the PCD file resolution entered by the user in the Open dialog box.

This value represents the resolution to load or use in conversion. Possible values are:

Value | Meaning
PCDRES_BASE_OVER_64 | [0] Resolution 64 x 96
PCDRES_BASE_OVER_16 | [1] Resolution 128 x 192
PCDRES_BASE_OVER_4 | [2] Resolution 256 x 384
PCDRES_BASE | [3] Resolution 512 x 768
PCDRES_4BASE | [4] Resolution 1024 x 1536
PCDRES_16BASE | [5] Resolution 2048 x 3072

The PCDResolution property is valid only if OptionsFileType property was FILE_PCD.

See Also

Elements

ShowOpenDlg method


PDFDisplayDepth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PDFDisplayDepth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the pixel depth entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files. Possible values are:

Value | Meaning
1 | 1 bit per pixel in the resultant bitmap
2 | 4 bits per pixel in the resultant bitmap
3 | 8 bits per pixel in the resultant bitmap
24 | bits per pixel in the resultant bitmap

Th PDFDisplayDepth property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF,

FILE_RAS_PDF_G3_1D,

FILE_RAS_PDF_G3_2D,

FILE_RAS_PDF_G4,

FILE_RAS_PDF_JPEG,

FILE_RAS_PDF_JPEG_422,

FILE_RAS_PDF_JPEG_411.

See Also

Elements

ShowOpenDlg method


PDFGraphicsAlpha Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PDFGraphicsAlpha;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get the type of graphics anti-aliasing entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files. Possible values are:

Value | Meaning
1 | Do not use graphics anti-aliasing.
2 | Use 2-bit graphics anti-aliasing.
4 | Use 4-bit graphics anti-aliasing.

Graphics anti-aliasing slows down the drawing of the resulting bitmap.

Graphics anti-aliasing can only be used if PDFDisplayDepth property is set to 8 or greater.

The PDFGraphicsAlpha property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF,

FILE_RAS_PDF_G3_1D,

FILE_RAS_PDF_G3_2D,

FILE_RAS_PDF_G4,

FILE_RAS_PDF_JPEG,

FILE_RAS_PDF_JPEG_422,

FILE_RAS_PDF_JPEG_411.

See Also

Elements

ShowOpenDlg method


PDFTextAlpha Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PDFTextAlpha;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get the type of font anti-aliasing entered by the user in the Open dialog box.

LEADTOOLS uses the PDFTextAlpha property when loading PDF, PS or EPS files. Possible values are:

Value | Meaning
1 | Do not use font anti-aliasing.
2 | Use 2-bit font anti-aliasing.
4 | Use 4-bit font anti-aliasing.

Aliasing is the effect on all pixel devices where diagonal and curved lines have a zigzag appearance. As pixels get larger, this effect becomes more noticeable. Anti-aliasing refers to methods designed to decrease or eliminate this effect. Shading the pixels along the borders of the affected lines does this.

Font anti-aliasing slows down the drawing of the resulting bitmap.

Font anti-aliasing can only be used if PDFDisplayDepth property is set to 8 or greater.

The PDFTextAlpha property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF,

FILE_RAS_PDF_G3_1D,

FILE_RAS_PDF_G3_2D,

FILE_RAS_PDF_G4,

FILE_RAS_PDF_JPEG,

FILE_RAS_PDF_JPEG_422,

FILE_RAS_PDF_JPEG_411.

See Also

Elements

ShowOpenDlg method


PDFXResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PDFXResolution;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the horizontal display resolution, in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files.

The PDFXResolution property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF,

FILE_RAS_PDF_G3_1D,

FILE_RAS_PDF_G3_2D,

FILE_RAS_PDF_G4,

FILE_RAS_PDF_JPEG,

FILE_RAS_PDF_JPEG_422,

FILE_RAS_PDF_JPEG_411.

See Also

Elements

ShowOpenDlg method


PDFYResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long PDFYResolution;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the vertical display resolution, in dots per inch, entered by the user in the Open dialog box.

LEADTOOLS uses this property when loading PDF, PS or EPS files.

The PDFYResolution property is valid only if OptionsFileType property contains one of the PDF formats:

FILE_RAS_PDF,

FILE_RAS_PDF_G3_1D,

FILE_RAS_PDF_G3_2D,

FILE_RAS_PDF_G4,

FILE_RAS_PDF_JPEG,

FILE_RAS_PDF_JPEG_422,

FILE_RAS_PDF_JPEG_411.

See Also

Elements

ShowOpenDlg method


PLTFont Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR PLTFont;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the typeface name of the font to use in vector font mapping entered by the user in the Open dialog box.

The length of this string must not exceed 32 characters.

The PLTFont property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


PLTPenColor Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR PLTPenColor (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) An array of colors that represents pen colors used by an HPGL file opened by the Open dialog box.

The PLTPenColor property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


PLTPenWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short PLTPenWidth(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) An array of integers represents pen widths used by an HPGL file opened by the Open dialog box.

The PLTPenWidth property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


PLTViewportHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short PLTViewportHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport height value entered by the user in the Open dialog box.

The PLTViewportHeight property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


PLTViewportMode Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | RasterizeViewModeConstants PLTViewportMode;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport mode value entered by the user in the Open dialog box. Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch image if necessary). Final image size has the same width and height as the current view-port size.

The PLTViewportMode property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


PLTViewportWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short PLTViewportWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

The PLTViewportWidth property is valid only if the OptionsFileType property contains FILE_PLT.

See Also

Elements

ShowOpenDlg method


RasterXResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long RasterResolutionX;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get the width of the bitmap to load entered by the user in the Open dialog box.

The RasterXResolution property is valid only if the OptionsFileType property contains one of the following formats:

FILE_FPX,

FILE_FPX_SINGLE_COLOR,

FILE_FPX_JPEG,

FILE_FPX_JPEG_QFACTOR,

FILE_CMW,

FILE_JBIG,

FILE_JP2,

FILE_J2K.

See Also

Elements

ShowOpenDlg method


RasterYResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long RasterResolutionY;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get the height of the bitmap to load entered by the user in the Open dialog box.

The RasterYResolution property is valid only if the OptionsFileType property contains one of the following formats:

FILE_FPX,

FILE_FPX_SINGLE_COLOR,

FILE_FPX_JPEG,

FILE_FPX_JPEG_QFACTOR,

FILE_CMW,

FILE_JBIG,

FILE_JP2,

FILE_J2K.

See Also

Elements

ShowOpenDlg method


SaveBitsPerPixel Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SaveBitsPerPixel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of bits per pixel to use when saving the file in the Save dialog box.

Support for 12 and 16-bit grayscale image is available only in the Document/Medical toolkits. Possible values are:

Value | Meaning
1 | 1 bit per pixel in the resultant bitmap
2 | 2 bits per pixel in the resultant bitmap
3 | 3 bits per pixel in the resultant bitmap
4 | 4 bits per pixel in the resultant bitmap
5 | 5 bits per pixel in the resultant bitmap
6 | 6 bits per pixel in the resultant bitmap
7 | 7 bits per pixel in the resultant bitmap
8 | 8 bits per pixel in the resultant bitmap
12 | 12 bits per pixel in the resultant bitmap
16 | 16 bits per pixel in the resultant bitmap
24 | 24 bits per pixel in the resultant bitmap
32 | 32 bits per pixel in the resultant bitmap

If you specify a valid SaveFormat and SaveBitsPerPixel combination before showing the Save dialog box, then the File Type list box will be initialized with the corresponding type. If the specified combination is not valid, the File Type list box will be initialized with the value of the FilterIndex property.

See Also

Elements

ShowSaveDlg method


SaveFormat Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveFormat;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the format to use when saving the file from the Save dialog box. For information on output types, refer to the Save method.

See Also

Elements

ShowSaveDlg method


SaveInterlaced Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveInterlaced;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether Interlaced GIF was selected as the format in which to save the file from the Save dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | Interlaced GIF was chosen
VARIANT_FALSE | Interlaced GIF was not chosen. (GIF files may be saved interlaced or non-interlaced)

See Also

Elements

ShowSaveDlg method


SaveJ2KCBS_ErrorResilienceSymbol Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_ErrorResilienceSymbol
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Error Resilience Symbol" check box was checked in the Save dialog box. Possible values:

Value | Meaning
True | The "Error Resilience Symbol" check box was checked. A 4 symbol marker is included for each bit-plane, following the normalization pass.
False | The "Error Resilience Symbol" check box was not checked. A 4 symbol marker is not included for each bit-plane, following the normalization pass.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCBS_PredictableTermination Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_PredictableTermination
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Predictable Termination" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
True | The "Predictable Termination" check box was checked. The encoder has a predictable termination policy and identifies that the policy was used in the COD/COC markers.
False | The "Predictable Termination" check box was not checked. The encoder does not have a predictable termination policy.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCBS_ResetContextOnBoundaries Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_ResetContextOnBoundaries
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Reset Context On Boundaries" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
True | The "Reset Context On Boundaries" check box was checked. The arithmetic coder's probability models are reset between coding passes.
False | The "Reset Context On Boundaries" check box was not checked. The arithmetic coder's probability models are not reset between coding passes.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCBS_SelectiveACBypass Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_SelectiveACBypass
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Selective AC Bypass" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
True | The "Selective AC Bypass" check box was checked and the "lazy-coding mode" is adopted. Trailing bit-planes bypass the arithmetic coder except in the normalization pass.
False | The "Selective AC Bypass" check box was not checked. The arithmetic encoder will be used on all passes.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCBS_TerminationOnEachPass Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_TerminationOnEachPass
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Termination On Each Pass" check box was checked in the Save dialog box. Possible values:

Value | Meaning
True | The "Termination On Each Pass" check box was checked. The arithmetic code-word generation process stops on a byte boundary at the end of each coding pass.
False | The "Termination On Each Pass" check box was not checked. The arithmetic code-word generation process does not stop on a byte boundary at the end of each coding pass.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCBS_VerticallyCausalContext Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KCBS_VerticallyCausalContext
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Vertically Causal Context" check box was checked in the Save dialog box. Possible values:

Value | Meaning
True | The "Vertically Causal Context" check box was checked. The context models are restricted to being vertically causal within each sub-block.
False | The "Vertically Causal Context" check box was not checked. The context models are not restricted to being vertically causal within each sub-block.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCodBlockHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | L_UINT SaveJ2KCodBlockHeight
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of the code block, following wavelet transformation, in the Save dialog box, if the file to be saved is a J2K file.

The value must be a power of 2. It must be at least 4 and less than or equal to 1024.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCodBlockWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | L_UINT SaveJ2KCodBlockWidth
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the code block, following wavelet transformation, in the Save dialog box if the file to be saved is a J2K file.

The value must be a power of 2. It must be at least 4 and less than or equal to 1024.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCompressionControl Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | J2KCompressionControl SaveJ2KCompressionControl
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the resulting compression value in the Save dialog box, if the file to be saved is a J2K file.

The value of this property determines which property should be used for determining the compression. Possible values are:

Value | Meaning
J2K_COMP_LOSSLESS | Lossless compression.
J2K_COMP_RATIO | Compress the file based on the value of the SaveJ2KCompressionRatio property.
J2K_COMP_TARGETSIZE | Compress the file based on the target file size in the SaveJ2KTargetFileSize property.
J2K_COMP_QFACTOR | Compress the file based on the quality factor used when saving the file.

See Also

Elements

ShowSaveDlg method.


SaveJ2KCompressionRatio Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | float SaveJ2KCompressionRatio
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the compression ratio to use, in the Save dialog box.

This property is used only if the SaveJ2KCompressionControl property is set to J2K_COMP_RATIO.

See Also

Elements

ShowSaveDlg method.


SaveJ2KDecompLevel Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KDecompLevel
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of resolution levels in the compressed file. The maximum number of levels depends on the size of the image. Setting this property with values that are too large will cause the save operation to fail.

Each resolution level is one-half the size of the previous resolution, startin gwith the full image resolution.

See Also

Elements

ShowSaveDlg method.


SaveJ2KDerivedBaseExponent Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KDerivedBaseExponent
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the base exponent in the Save dialog box.

The base mantissa is used for derived quantization.

See Also

Elements

ShowSaveDlg method.


SaveJ2KDerivedBaseMantissa Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KDerivedBaseMantissa
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the base mantissa in the Save dialog box.

The base mantissa is used for derived quantization.

See Also

Elements

ShowSaveDlg method.


SaveJ2KDerivedQuantization Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KDerivedQuantization
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Use derived Quantization" check box in the Save dialog box is checked and whether to use derived quantization or expounded quantization. Possible values are:

Value | Meaning
TRUE | The "Use Derived Quantization" check box is checked in the Save dialog and derived quantization will be used.
FALSE | The "Use Derived Quantization" check box is not checked and expounded quantization will be used.

See Also

Elements

ShowSaveDlg method.


SaveJ2KGuardBits Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KGuardBits
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of extra bits to consider when encoding an image, in the Save dialog box. This prevents coding overflow. Possible values are 0 - 7. The default is 2.

See Also

Elements

ShowSaveDlg method.


SaveJ2KProgressOrder Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | J2KProgressionFlags SaveJ2KProgressOrder
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the order of progression in the Save dialog box, if the file to be saved is a J2K file. Possible values are:

Value | Description
J2K_LAYER_RESOLUTION_COMPONENT_POSITION | [0] Quality–axis order.
J2K_RESOLUTION_LAYER_COMPONENT_POSITION | [1] Resolution-axis order.
J2K_RESOLUTION_POSITION_COMPONENT_LAYER | [2] Resolution-axis order.
J2K_POSITION_COMPONENT_RESOLUTION_LAYER | [3] Position–axis order.
J2K_COMPONENT_POSITION_RESOLUTION_LAYER | [4] Color-axis order.

See Also

Elements

ShowSaveDlg method.


SaveJ2KTargetFileSize Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KTargetFileSize
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the target file, in bytes, in the Save dialog box, if the file to be saved is a J2K file.

This value is used only if the SaveJ2KCompressionControl property is set to J2K_COMP_TARGETSIZE.

See Also

Elements

ShowSaveDlg method


SaveJ2KUseColorTransform Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KUseColorTransform
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether or not the "Use Color Transform" check box in the Save dialog box is checked and whether to convert an RGB image to YUV space before compressing (YUV space provides greater compression with higher image quality). Possible values are:

Value | Meaning
TRUE | The "Use Color Transform" check box is checked in the Save dialog and an RGB image will be converted to YUV before compressing.
FALSE | The "Use Color Transform" check box is not checked in the Save dialog and an RGB image will not be converted to YUV before compressing.

See Also

Elements

ShowSaveDlg method


SaveJ2KUseEPHMarker Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KUseEPHMarker
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Use EPH Marker" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
True | The "Use EPH Marker" check box was checked. Use the EPH marker.
False | The "Use EPH Marker" check box was not checked. Do not use the EPH marker (Default).

See Also

Elements

ShowSaveDlg method.


SaveJ2KUseSOPMarker Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveJ2KUseSOPMarker
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a flag that indicates whether the "Use SOP Marker" check box was checked in the Save dialog box. Possible values are:

Value | Meaning
True | The "Use SOP Marker" check box was checked. Use the SOP marker.
False | The "Use SOP Marker" check box was not checked. Do not use the SOP marker(Default).

See Also

Elements

ShowSaveDlg method.


SaveJ2KXOsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KXOsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal offset from the origin of the reference grid to the left side of the image area in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method.


SaveJ2KXTOsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KXTOsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal offset from the origin of the reference grid to the left side of the first tile, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method.


SaveJ2KXTsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KXTsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of one reference tile, with respect to the reference grid, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method.


SaveJ2KYOsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KYOsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the vertical offset from the origin of the reference grid to the top of the image area in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method.


SaveJ2KYTOsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KYTOsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the vertical offset from the origin of the reference grid to the top of the first tile, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method


SaveJ2KYTsiz Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveJ2KYTsiz
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of one reference tile, with respect to the reference grid, in the Save dialog box, if the file to be saved is a J2K file.

See Also

Elements

ShowSaveDlg method.


SaveMulti Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | FileSaveDlgMultipageConstants SaveMulti;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates how to save a file as a multi-page file. It is set in or retrieved from the Save dialog box. You can save multi-page images in PCX, GIF, FlashPix, and most TIFF file formats (including JTIF, but excluding EXIF). Possible values are:

Value | Meaning
MULTIPAGE_OVERWRITE | [0] Overwrite the file.
MULTIPAGE_APPEND | [1] Append page to the end of the file.
MULTIPAGE_REPLACE | [2] Replace page.
MULTIPAGE_INSERT | [3] Insert page.

See Also

Elements

ShowSaveDlg method


SavePasses Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SavePasses;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of passes (scans through the image) to save when saving progressive JPEG, LEAD CMP or PNG files. (This value is also used when loading, but not when saving, interlaced PNG files.). This value is obtained from or set in the Save dialog box.

Possible values when saving (whether progressive or not):

Value | Meaning
Any positive number | Save the file as a progressive file with the specified number of passes.
0 | Save the file as an ordinary JPEG or LEAD CMP file (not a progressive file).
Any negative number | Save the file as a progressive file with the LEADTOOLS default number of passes.

See Also

Elements

ShowSaveDlg method


SaveQFactor Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long SaveQFactor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the QFactor used when saving a file using the Save dialog box.

This parameter is used when saving an image file as FILE_LEAD, FILE_CMP, FILE_PNG, FILE_JPEG, FILE_JPEG_422, FILE_JPEG_411, FILE_EXIF_JPEG_411, FILE_EXIF_JPEG, FILE_FPX_JPEG_QFACTOR, FILE_TIF_JPEG, FILE_TIF_JPEG_422, FILE_TIF_JPEG_411, FILE_JPEG_LAB, FILE_JPEG_LAB_422, FILE_JPEG_LAB_411, FILE_DICOM_JPEG_GRAY, FILE_DICOM_JPEG_COLOR, FILE_DICOM_J2K_GRAY, FILE_TIF_CMP, FILE_TIF_J2K, FILE_TIF_CMW, FILE_RAS_PDF_JPEG, FILE_RAS_PDF_JPEG_422, FILE_RAS_PDF_JPEG_411, FILE_J2K, FILE_JP2, FILE_CMW.

QFactor is a number that determines the degree of loss in the compression process. For possible values, refer to Compression Quality Factors .

See Also

Elements

ShowSaveDlg method


SaveStampBits Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SaveStampBits;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of bits per pixel to use when saving a stamp in an image format that supports stamps. It is used by the Save dialog box.

Possible values are 8 or 24.

See Also

Elements

ShowSaveDlg method


SaveStampHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SaveStampHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of the stamp to be saved. It is used by the Save dialog box.

A stamp is saved only in formats that support stamps. Possible values range from 1 to 255.

See Also

Elements

ShowSaveDlg method


SaveStampWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SaveStampWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the stamp to be saved. It is used by the Save dialog box.

A stamp is saved only in formats that support stamps. Possible values range from 1 to 255.

See Also

Elements

ShowSaveDlg method


SaveWithStamp Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SaveWithStamp;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether to save a stamp with the file (if DLG_SAVE_AUTOPROCESS was set in the FileDlgFlags property and the format supports stamps) or not. If the Save With Stamp check box in the Save dialog box is checked, this property is VARIANT_TRUE. If the box is not checked, this property is VARIANT_FALSE. This is only valid with formats that support stamps.

See Also

Elements

ShowSaveDlg method


SelectedExt Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR SelectedExt;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the string that indicates which filter(s) to initially be checked and associated for the FilesAssociation dialog box. This should be set in the following way:

"*.cmp|*.dic|*.bmp"

See Also

Elements

ShowFilesAssociationDlg method, Formats property, ServerApplicationName property


ServerApplicationName Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR ServerAppName;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a string that contains the "Programmatic Identifier" to be associated with the selected image type(s) when successfully exiting the FilesAssociation dialog box.

The dialog assumes that the server application name has already been created before calling the dialog. For more information about creating a file association programmatic identifier, refer to the Microsoft Windows Win32 SDK documentation.

See Also

Elements

ShowFilesAssociationDlg method, Formats property, SelectedExt property


ShowHelpButton Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
VARIANT_TRUE | Help Button will be displayed.
VARIANT_FALSE | Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp Event, ShowDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


SourceFileList Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL SourceFileList;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the full path and name of each file to include in the "Source File(s)" list of the FileConversion dialog box.

Each file name should end with |. For example:

C:\images\MyFile.cmp|C:\images\MyFile2.cmp|C:\images\MyOtherFile.cmp|C:\images\MyLastFile.cmp’.

See Also

Elements

ShowFileConversionDlg method


SourceFilePath Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR SourceFilePath;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the path to the folder in which the files to be converted using the FileConversion dialog box are located.

See Also

Elements

ShowFileConversionDlg method


SubTypeIndex Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short SubTypeIndex;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the file sub-type, if one exists.

When the ShowSaveDlg method returns, this property will be updated with the file sub-type entered by the user through the dialog, if one exists. Set this property before calling ShowSaveDlg to initialize the dialog. For example, to set the initial selection to the "Progressive" subtype of the "LEAD (*.cmp)" file type, set this member to DLG_FF_SAVE_SUB_CMP_PROGRESSIVE. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements

ShowSaveDlg method


Thumbnail Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long Thumbnail;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a handle to a thumbnail image. This property is updated by the Open dialog box. This property can be read if you include OPEN_GENERATETHUMBNAIL in the UIFlags property.

You can assign 0 to this property to free the existing thumbnail bitmap.

If you set OPEN_ALLOWMULTI in the FileDlgFlags property, and OPEN_GENERATETHUMBNAIL in the UIFlags property, this property will be valid only during the FileLoad event. When each FileLoad event occurs this property will contain one of the selected (loaded) file’s thumbnails. The FileLoad event will occur for each of the selected files opened using the Open dialog box. In this case you can’t assign this property to 0.

See Also

Elements

ShowOpenDlg method


TypeIndex Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short TypeIndex;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the file type.

When the ShowSaveDlg method returns, this property will be updated with the file type entered by the user through the dialog. Set this property before calling ShowSaveDlg to initialize the dialog. For example, to set the initial selection to the "LEAD (*.cmp)" file type, set this property to DLG_FF_SAVE_LEAD. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements

ShowSaveDlg method


UIFlags Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowDirectoryDlg method, ShowFilesAssociationDlg method, ShowOpenDlg method, ShowSaveDlg method, ShowFileConversionDlg method, ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


UseOriginalFolder Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL UseOriginalFolder;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "use original folder" radio button was checked in the FileConversion dialog box and whether to save the converted file(s) in the same folder as the source file(s). Possible values are:

Setting | Description
VARIANT_TRUE | The "Use Original folder" radio button was checked and the converted file(s) will be saved in the same folder as the source file(s).
VARIANT_FALSE | The "Use Original folder" radio button was not checked and the converted file(s) will not be saved in the same folder as the source file(s).

See Also

Elements

ShowFileConversionDlg method


VectorFont Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | BSTR VectorFont;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the typeface name of the font to use in vector font mapping entered by the user in the Open dialog box.

The length of this string must not exceed 32 characters.

The VectorFont property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF,

FILE_CGM,

FILE_CMX,

FILE_PCL,

FILE_VECTOR_DUMP,

FILE_PCT,

FILE_DRW,

FILE_INTERGRAPH_VECTOR,

FILE_GERBER,

FILE_SHP,

FILE_SVG,

FILE_VWPG.

See Also

Elements

ShowOpenDlg method


VectorViewportHeight Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short VectorViewportHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport height value entered by the user in the Open dialog box.

The VectorViewportHeight property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF,

FILE_CGM,

FILE_CMX,

FILE_PCL,

FILE_VECTOR_DUMP,

FILE_PCT,

FILE_DRW,

FILE_INTERGRAPH_VECTOR,

FILE_GERBER,

FILE_SHP,

FILE_SVG,

FILE_VWPG.

See Also

Elements

ShowOpenDlg method


VectorViewportMode Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | RasterizeViewModeConstants VectorViewportMode;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport mode value entered by the user in the Open dialog box.

Possible values are:

Value | Meaning
L2D_USE_BEST | Fit the drawing into the current view-port width and height. Final image size is less than or equal to the view-port size.
L2D_USE_WIDTH | Use the current view-port width. Calculate the new height, preserving the aspect ratio. Final image size has the same width as the current view-port width, with the height less than or equal to the current view-port height.
L2D_USE_HEIGHT | Use the current view-port height. Calculate the new width, preserving the aspect ratio. Final image size has the same height as the current view-port height, with the width less than or equal to the current view-port width.
L2D_USE_WIDTH_HEIGHT | Use both the width and the height (stretch the image if necessary). Final image size has the same width and height as the current view-port size.

The VectorViewportMode property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF,

FILE_CGM,

FILE_CMX,

FILE_PCL,

FILE_VECTOR_DUMP,

FILE_PCT,

FILE_DRW,

FILE_INTERGRAPH_VECTOR,

FILE_GERBER,

FILE_SHP,

FILE_SVG,

FILE_VWPG.

See Also

Elements

ShowOpenDlg method


VectorViewportWidth Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | short VectorViewportWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the viewport width value entered by the user in the Open dialog box.

The VectorViewportWidth property is valid only if the OptionsFileType property contains one of the following formats:

FILE_DWF,

FILE_CGM,

FILE_CMX,

FILE_PCL,

FILE_VECTOR_DUMP,

FILE_PCT,

FILE_DRW,

FILE_INTERGRAPH_VECTOR,

FILE_GERBER,

FILE_SHP,

FILE_SVG,

FILE_VWPG.

See Also

Elements

ShowOpenDlg method


Visible Property (ILEADRasterDlgFile)

This property is obsolete.


WindowIcon Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | PICTUREDISP * WindowIcon;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a custom icon to be use by the PrintPreview and PrintStitchedImages dialog boxes.

Assign this property to 0 to use the default icon.

See Also

Elements

ShowPrintPreviewDlg method, ShowPrintStitchedImagesDlg method


WMFXResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long WMFXResolution;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get X-resolution value entered by the user in the Open dialog box.

LEADTOOLS uses this value when loading images from WMF or EMF files.

The WMFXResolution property is valid only if the OptionsFileType property contains one of the following formats:

FILE_WMF,

FILE_EMF.

See Also

Elements

ShowOpenDlg method


WMFYResolution Property (ILEADRasterDlgFile)

Visual Basic example

Visual C++ example

Syntax | long WMFYResolution;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Get Y-resolution value entered by the user in the Open dialog box.

LEADTOOLS uses this value when loading images from WMF or EMF files.

The WMFYResolution property is valid only if the OptionsFileType property contains one of the following formats:

FILE_WMF,

FILE_EMF.

See Also

Elements

ShowOpenDlg method


DlgHelp event (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


Angle Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long Angle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Angle value. This property is associated with the following dialog boxes:

Rotate dialog box: | In this case it represents the angle by which to rotate the image entered in the dialog. This angle is measured in hundredths of degrees. Possible values range from –36000 - +36000. A positive value will rotate the image in a clockwise rotation, while a negative value will rotate the image in a counter-clockwise rotation.
Shear dialog box: | In this case it represents the angle of shear. Positive values are for clockwise angles; negative values are for counterclockwise angles. The angle is expressed in hundredths of degrees. Possible values range from –4500 - 4500.

See Also

Elements

ShowRotateDlg method, ShowShearDlg method


BackColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BackColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the background fill color. This color may be used to fill any exposed areas resulting from processing the bitmap.

This property is associated with the following dialog boxes:

Rotate dialog box

Shear dialog box

CanvasResize dialog box

See Also

Elements

ShowRotateDlg method, ShowShearDlg method, ShowCanvasResizeDlg method


Bitmap property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long Bitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property, EnableZoomToFit Property


BitsPerPixel Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short BitsPerPixel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the original bits per pixel (usually the bitmap bits per pixel) in the Resize dialog box.

The value set in this property will be used to calculate the size displayed in the Original Image Size static control and the New Image Size static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements

ShowResizeDlg method


BlueChannelPenColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BluePenColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the plotting color for the blue channel histogram chart used in the Histogram dialog box.

To use this property, HISTOGRAM_USERPENCOLORS must be set in the UIFlags property before calling the ShowHistogramDlg method. You can specify an OLE_COLOR value, such as the return value of the Windows RGB macro.

See Also

Elements

ShowHistogramDlg method


BlueHistogram Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long BlueHistogram (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the blue histogram chart in the Histogram dialog box. If this property is 0, then the Bitmap property must be valid and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the BlueHistogramSize property to the size of the chart.

See Also

Elements

ShowHistogramDlg method


BlueHistogramSize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long BlueHistogramSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of entries in the BlueHistogram property used in Histogram dialog box.

You have to set this property before using the BlueHistogram property.

Setting this property to 0 will destroy the BlueHistogram array.

See Also

Elements

ShowHistogramDlg method


BorderStyle Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | AddBorderStyleConstants BorderStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the style of the border in the AddBorder dialog box. Possible values are:

Value | Meaning
STYLE_TRANSPARENT | [0] The border is transparent. Therefore, the bitmap itself shows through as the border. This is the default.
STYLE_OPAQUE | [1] Use a single color to create the border. The color used is in the GradientStartColor property.
STYLE_GRADIENT | [2] The border contains a color gradient from GradientStartColor to GradientEndColor.
STYLE_TILES | [3] The border is taken from the bitmap referenced by the ItemBitmap property.

When the dialog box closes, this property will be updated according to the Border Style combo box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


BottomThickness Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short BottomThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the bottom side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Bottom Margin box in the dialog box.

See Also

Elements

ShowAddBorderDlg method


CurrentHeight Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long CurrentHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the current height.

The CurrentHeight property is associated with the following dialog boxes:

Resize dialog box: | In this case it represents the original width (usually the bitmap width) in the Resize dialog box. The value must not be less than 1. The CurrentWidth property value will be used through the dialog to calculate the width percentage and the aspect ratio. The value set in this property will be displayed in the Original Image Width static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.
CanvasResize dialog box: | In this case it represents current width in the CanvasResize dialog box. The value of this property will be displayed in the Current Width static control. Thisvalue may be equal to the bitmap width.

See Also

Elements

ShowResizeDlg method, ShowCanvasResizeDlg method


CurrentResolutionX Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long CurrentResolutionX;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the original horizontal resolution (usually the bitmap horizontal resolution) in the Resize dialog box.

The value set in this property will be displayed in the Resolution Horizontal static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements

ShowResizeDlg method


CurrentResolutionY Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long CurrentResolutionY;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the original vertical resolution (usually the bitmap horizontal resolution) in the Resize dialog box.

The value set in this property will be displayed in the Resolution Horizontal static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.

See Also

Elements

ShowResizeDlg method


CurrentWidth Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long CurrentWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the current width.

The CurrentWidth property is associated with the following dialog boxes:

Resize dialog box: | In this case it represents the original width (usually the bitmap width) in the Resize dialog box. The value must not be less than 1. The CurrentWidth property value will be used through the dialog to calculate the width percentage and the aspect ratio. The value set in this property will be displayed in the Original Image Width static control. Notice that setting the bitmap will not compensate for not setting the appropriate value in this property.
CanvasResize dialog box: | In this case it represents current width in the CanvasResize dialog box. The value of this property will be displayed in the Current Width static control. Thisvalue may be equal to the bitmap width.

See Also

Elements

ShowResizeDlg method, ShowCanvasResizeDlg method


CurveIntensity Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short CurveIntensity;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the degree to which to change the appearance of the border in the AddBorder dialog box.

Valid range is from 0 to 1000.

When the dialog box closes, this property will be updated according to the Intensity edit box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


DialogStatus property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
DLG_EXPORTANDEXIT | "Exit and Export" was selected from the menu and the dialog exited successfully. The StitchBitmap property will be updated with the exported bitmap.

See Also

Elements


EffectStyle Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | AddBorderEffectStyleConstants EffectStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the change in the appearance of the border in the AddBorder dialog box.

By default there are no changes. The change also depends on the value of the CurveIntensity Property. If the CurveIntensity property value is zero, there are no changes. Possible values are:

Value | Meaning
EFFECT_CURVEDIN | [1] Add a 3D appearance to the border by adding a high intensity color to the inner side of the border and a lower intensity color to the outer side of the border.
EFFECT_CURVEDOUT | [2] Add a 3D appearance to the border by adding a high intensity color to the outer side of the border and a lower intensity color to the inner side of the border.
EFFECT_RAISED | [3] Add a curved appearance to the border.

When the dialog box closes, this property will be updated according to the Effect Style combo box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


EnableBumpyShadow Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableBumpyShadow;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Bumped" checkbox was checked in the AddBorder dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Bumped" check box was checked. Increase the intensity near the far edge of the shadow.
VARIANT_FALSE | The "Bumped" check box wasn’t checked. Do not increase the intensity near the far edge of the shadow.

See Also

Elements

ShowAddBorderDlg method


EnableHorizontal Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableHorizontal;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the shear direction in the Shear dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The EnableHorizontal check box was checked and the shear direction is horizontal.
VARIANT_FALSE | The EnableHorizontal check box wasn’t checked and the shear direction is vertical.

See Also

Elements

ShowShearDlg method


EnableKeepFrameState Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableKeepFrameState;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the state of the frame bitmap in the AddFrame dialog box.

Possible values are:

Setting | Description
VARIANT_TRUE | Keep the state of the frame bitmap and operate on a copy of the frame bitmap.
VARIANT_FALSE | Work on the original frame bitmap so this bitmap may be resized during the AddFrame method.

This flag is only used as an input and only when ADDFRAME_AUTOPROCESS is set in the UIFlags property before calling the ShowAddFrameDlg method.

See Also

Elements

ShowAddFrameDlg method


EnableMethodErrors Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.

See Also

Elements

ShowRotateDlg method, ShowShearDlg method, ShowResizeDlg method, ShowAddBorderDlg method, ShowAddFrameDlg method, ShowAutoTrimDlg method, ShowCanvasResizeDlg method, ShowHistogramDlg method


EnableResize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableResize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the resize checkbox was checked in the Rotate dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The Resize check box was checked.
VARIANT_FALSE | The Resize check box wasn’t checked.

See Also

Elements

ShowResizeDlg method


EnableShadow Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableShadow;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Use Shadows" checkbox was checked in the AddBorder dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Use Shadows" check box was checked. Add a shadow to the border.
VARIANT_FALSE | The "Use Shadows" check box wasn’t checked. Do not add a shadow to the border.

See Also

Elements

ShowAddBorderDlg method


EnableSoftCurve Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableSoftCurve;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the Smooth checkbox was checked in the AddBorder dialog box. Possible values:

Setting | Description
VARIANT_TRUE | The Smooth check box was checked. Make the border more homogeneous in intensity, giving the appearance of a smoother curve.
VARIANT_FALSE | The Smooth check box wasn’t checked. Do not make the border more homogeneous in intensity, giving the appearance of a smoother curve.

See Also

Elements

ShowAddBorderDlg method


EnableUseMask Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableUseMask;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Use Mask" checkbox was checked in the AddFrame dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Use Mask" check box was checked. (Use color specified in the Transparent Color picker as the masking color).
VARIANT_FALSE | The "Use Mask" check box wasn’t checked (Automatically detect masking color).

See Also

Elements

ShowAddFrameDlg method


EnableZoomToFit Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableZoomToFit;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Setting | Description
VARIANT_TRUE | Set the initial zoom level to "Zoom to fit".
VARIANT_FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements

ShowRotateDlg method


GradientEndColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR GradientEndColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the gradient ending color in the AddBorder dialog box.

The GradientEndColor property is valid when the BorderStyle option in the AddBorder dialog is BORDER_STYLE_GRADIENT (BorderStyle property is BORDER_STYLE_GRADIENT).

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements

ShowAddBorderDlg method


GradientStartColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR GradientStartColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the gradient starting color in the AddBorder dialog box.

This property is valid when the BorderStyle option in the AddBorder dialog is BORDER_STYLE_GRADIENT (BorderStyle property is BORDER_STYLE_GRADIENT).

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements

ShowAddBorderDlg method


GradientStyle Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | AddBorderGradientStyleConstants GradientStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the gradient style in the AddBorder dialog box. Possible values are:

Value | Meaning
GRAD_INSIDEOUT | [0] The gradient starts from the inside of the border and progresses toward the outside of the border. This is the default.
GRAD_CENTEROUT | [1] The gradient starts from the center of the border and progresses toward both the inside and outside of the border.
GRAD_CORNEROUT | [2] The gradient starts from the corners of the border.

When the dialog box closes, this property will be updated according to the Direction combo box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


GreenHistogram Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long GreenHistogram (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the green histogram chart in the Histogram dialog box. If this property is 0, then the Bitmap property must be valid and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the GreenHistogramSize property to the size of the chart.

See Also

Elements

ShowHistogramDlg method


GreenHistogramSize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long GreenHistogramSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of entries in the GreenHistogram property used in Histogram dialog box.

You have to set this property before using the GreenHistogram property.

Setting this property to 0 will destroy the GreenHistogram array.

See Also

Elements

ShowHistogramDlg method


GreenChannelPenColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR GreenPenColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the plotting color for the green channel histogram chart used in the Histogram dialog box.

To use this property, HISTOGRAM_USERPENCOLORS must be set in the UIFlags property before calling the ShowHistogramDlg method. You can specify an OLE_COLOR value, such as the return value of the Windows RGB macro.

See Also

Elements

ShowHistogramDlg method


ItemBitmap Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long ItemBitmap (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of bitmaps to be usein the image picker in the AddBorder and the AddFrame dialog boxes.

For each bitmap in the ItemBitmap property, the name of the file that contains the bitmap can be found in the ItemFileName property, at the same index. In addition, the ItemDescription property contains a description pertaining to the corresponding bitmap in the ItemBitmap property.

You have to set the ItemsCount property before start using this property.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


ItemDescription Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemDescription (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of strings that contains the text to be used as a tool tip for each image in the image picker when the mouse hovers over it in the AddBorder and the AddFrame dialog boxes.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


ItemFileName Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemFileName (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of strings that contains the file names corresponding to the bitmaps in the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap property is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


ItemsCount Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ItemsCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of bitmaps included in the image picker associated with the AddBorder or the AddFrame dialog box.

You must set this property to the number of elements you want to pass to the AddBorder or the AddFrame dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, or ItemFileName property).

Setting this property to 0 will clear all the old ItemBitmap property, ItemDescription property and ItemFileName property settings.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


Left Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short Left;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the top boundary of the bitmap within its new canvas in the CanvasResize dialog box.

This point is relative to the bitmap, and will not exceed the bitmap's width or height.

See Also

Elements

ShowCanvasResizeDlg method


LeftThickness Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short LeftThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the left side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Left Margin box in the dialog box.

See Also

Elements

ShowAddBorderDlg method


Location Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | LocationConstants Location;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the location value.

The Location property is associated with the following dialog boxes:

AddBorder dialog box: | In this case it represents the position of the border. Possible values are:
 | Value | Meaning
 | INSIDE_BITMAP | [0] The border will be within the bitmap. This is the default.
 | OUTSIDE_BITMAP | [1] The border will be outside the bitmap.
AddFrame dialog box: | In this case it represents the placement of the frame. Possible values are:
 | Value | Meaning
 | INSIDE_BITMAP | [0] The frame will be within the original bitmap. This is the default.
 | OUTSIDE_BITMAP | [1] The frame will be outside the original bitmap.

When the dialog box closes, this property will be updated according to the Placement combo box value in the dialog boxes.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


MaskColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR MaskColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the masking color to use when the EnableUseMask property is VARIANT_TRUE in the AddFrame dialog box.

When the dialog box closes, this property will be updated according to the color picker value in the dialog box.

See Also

Elements

ShowAddFrameDlg method


MasterChannelPenColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR MasterPenColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the plotting color for the master channel histogram chart used in the Histogram dialog box.

To use this proeprty, HISTOGRAM_USERPENCOLORS must be set in the UIFlags property before calling the ShowHistogramDlg method. You can specify a COLORREF value, such as the return value of the Windows RGB macro.

See Also

Elements

ShowHistogramDlg method


MasterHistogram Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long MasterHistogram (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the master histogram in the Histogram dialog box. If this property is 0, then the Bitmap property must be valid and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you must set the MasterHistogramSize property to the size of this chart.

See Also

Elements

ShowHistogramDlg method


MasterHistogramSize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long MasterHistogramSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of entries in the MasterHistogram property used in the Histogram dialog box.

You have to set this property before using the MasterHistogram property.

Setting this property to 0 will destroy the MasterHistogram array.

See Also

Elements

ShowHistogramDlg method


MaxNewHeight Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long MaxNewHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum height for the resized bitmap that can be set in the Resize dialog box.

This value ranges from 1 to 100000. If you set this property to 0 the dialog will set the maximum allowed value to the default of 30000.

See Also

Elements

ShowResizeDlg method


MaxNewResolutionX Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short MaxNewResolutionX;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum X resolution that can be set in the Resize dialog box.

This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.

See Also

Elements

ShowResizeDlg method


MaxNewResolutionY Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short MaxNewResolutionY;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum Y resolution that can be set in the Resize dialog box.

This value ranges from 1 to 30000. If you set this field to 0 the dialog will set the maximum allowed value to the default of 10000.

See Also

Elements

ShowResizeDlg method


MaxNewWidth Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long MaxNewWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum width for the resized bitmap that can be set in the Resize dialog box.

This value ranges from 1 to 100000. If you set this property to 0 the dialog will set the maximum allowed value to the default of 30000.

See Also

Elements

ShowResizeDlg method


NewHeight Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short NewHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width value in the Resize and the CanvasResize dialog boxes.

Resize dialog box: | The value set must not exceed the maximum set in the MaxNewWidth property. In addition, if you set RESIZE_MAINTAINASPECT in the UIFlags property before calling the ShowResizeDlg method you must be sure that the NewHeight and NewWidth properties have the same aspect ratio as the CurrentWidth and CurrentHeight properties. Otherwise, both the NewWidth and NewHeight property values will be replaced with the CurrentWidth and CurrentHeight property values respectively. If you set this property to 0 the dialog's initial width value will equal the value of the CurrentWidth property.
CanvasResize dialog box: | It represents the new width entered by the user.

See Also

Elements

ShowResizeDlg method, ShowCanvasResizeDlg method


NewResolutionX Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short NewResolutionX;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal resolution value in the Resize dialog box.

The NewResolutionX property value must not exceed the value set in the MaxNewResolutionX property. The value set in this field will not affect the initial width and height set in the NewWidth and NewHeight properties. Setting this property to 0 will set the initial horizontal value in the dialog to the value of the CurrentResolutionX property.

See Also

Elements

ShowResizeDlg method


NewResolutionY Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short NewResolutionY;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal resolution value in the Resize dialog box.

The NewResolutionY property value must not exceed the value set in the MaxNewResolutionX property. The value set in this field will not affect the initial width and height set in the NewWidth and NewHeight properties. Setting this property to 0 will set the initial horizontal value in the dialog to the value of the CurrentResolutionX property.

See Also

Elements

ShowResizeDlg method


NewWidth Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short NewWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width value in the Resize and the CanvasResize dialog boxes.

Resize dialog box: | The value set must not exceed the maximum set in the MaxNewWidth property. In addition, if you set RESIZE_MAINTAINASPECT in the UIFlags property before calling the ShowResizeDlg method you must be sure that the NewWidth and NewHeight properties have the same aspect ratio as the CurrentWidth and CurrentHeight properties. Otherwise, both the NewWidth and NewHeight property values will be replaced with the CurrentWidth and CurrentHeight property values respectively. If you set this property to 0 the dialog's initial width value will equal the value of the CurrentWidth property.
CanvasResize dialog box: | It represents the new width entered by the user.

See Also

Elements

ShowResizeDlg method, ShowCanvasResizeDlg method


OpaqueColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR OpaqueColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the opaque color to use when the BorderStyle option (BorderStyle property) is BORDER_STYLE_OPAQUE in the AddBorder dialog box.

When calling the AddBorder method, use this property for the GradientStartColor parameter if the BorderStyle property is BORDER_STYLE_OPAQUE.

When the dialog box closes, this property will be updated according to the selected color in the dialog box.

See Also

Elements

ShowAddBorderDlg method


Quality Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short Quality;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the quality of the resulting bitmap in the AddFrame dialog box. Possible values are:

Value | Meaning
FRAME_QUALITY_LOW | [0] Give the resulting bitmap normal quality.
FRAME_QUALITY_HIGH | [1] Give the resulting bitmap high quality.

When the dialog box closes, this property will be updated according to the Quality combo box value in the dialog box.

See Also

Elements

ShowAddFrameDlg method


RedChannelPenColor Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR RedPenColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the plotting color for the red channel histogram chart used in the Histogram dialog box.

To use this property, HISTOGRAM_USERPENCOLORS must be set in the UIFlags property before calling the ShowHistogramDlg method. You can specify an OLE_COLOR value, such as the return value of the Windows RGB macro.

See Also

Elements

ShowHistogramDlg method


RedHistogram Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long RedHistogram (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of unsigned integers that charts the number of times each intensity level occurs in the image. Set this property to initialize the red histogram chart in the Histogram dialog box. If this property is 0, then the Bitmap property must be valid and vice versa. The MasterHistogram, RedHistogram, GreenHistogram and BlueHistogram properties must all be valid to be considered as the source of the histogram tables.

Before using this property you have to set the RedHistogramSize property to the size of the chart.

See Also

Elements

ShowHistogramDlg method


RedHistogramSize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long RedHistogramSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of entries in the RedHistogram property used in Histogram dialog box.

You have to set this property before using the RedHistogram property.

Setting this property to 0 will destroy the RedHistogram array.

See Also

Elements

ShowHistogramDlg method


ResizeFlags Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | LoadResizeConstants ResizeFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the resize method in the Resize dialog box. Possible values:

Value | Meaning
RESIZE_NORMAL | [0x0000] Resize normally.
RESIZE_FAVORBLACK | [0x0001] (Document/Medical only) Preserve black objects when making the image smaller. This option affects only 1-bit, black-and-white images, where it prevents the disappearance of thin lines. You can use a bitwise OR ( | ) to combine this flag with another one. For example, RESIZE_RESAMPLE | RESIZE_FAVORBLACK causes color images to be resampled, but applies the favor-black option to 1-bit, black-and-white images.
RESIZE_RESAMPLE | [0x0002] Use linear interpolation and averaging to produce a higher-quality image.
RESIZE_BICUBIC | [0x0004] Use bicubic interpolation and averaging to produce a higher quality image. This is slower than RESIZE_RESAMPLE.

See Also

Elements

ShowResizeDlg method


RightThickness Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short RightThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the right side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Right Margin box in the dialog box.

See Also

Elements

ShowAddBorderDlg method


RotateFlags Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | RotateConstants RotateFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the type of resizing to perform in the Rotate dialog box. Possible values are:

Value | Meaning
0 | Normal resize.
ROTATE_RESAMPLE | Resample resize.
ROTATE_BICUBIC | Bicubic resize.

See Also

Elements

ShowRotateDlg method


SelectedBitmapIndex Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short SelectedBitmapIndex;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the index of the bitmap to use.

The SelectedBitmapIndex property is associated with the following dialog boxes:

The AddBorder dialog box: | In this case, it represents the index of a tile bitmap in the image picker.
The AddFrame dialog box: | In this case, it represents the index of a frame bitmap in the image picker.

This property value must be between 0 and ItemsCount property value -1.

When the dialog box closes, this property will be updated with the selected tile or frame image in the image picker.

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


ShadowDirection Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | ShadowDirectionConstants ShadowDirection;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the direction of the shadow in the AddBorder dialog box.

This value is used only when EnableShadow property is VARIAN_TRUE. Possible values are:

Value | Meaning
SHADOW_LEFT | [0] The shadow is on the left top side of the image. This is the default.
SHADOW_RIGHT | [1] The shadow is on the right bottom side of the image.
SHADOW_SURROUND | [2] The shadow surrounds the border.

When the dialog box closes, this property will be updated according to the Shadows Placement combo box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


ShadowSize Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShadowSize;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the shadow, in pixels, in the AddBorder dialog box.

Valid range is from –1000 to 1000.

The ShadowSize property value is valid only if the EnableShadow property is VARIANT_TRUE.

When the dialog box closes, this property will be updated according to the Shadow Size edit box value in the dialog box.

See Also

Elements

ShowAddBorderDlg method


ShowHelpButton Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
VARIANT_TRUE | Help Button will be displayed.
VARIANT_FALSE | Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp Event


SmoothEdge Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short SmoothEdge;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the amount to smooth the edge between the frame and the original bitmap in the AddFrame dialog box.

This value is used only when the EnableUseMask property is VARIANT_FALSE. The valid range is from 0 to 500.

When the dialog box closes, this property will be updated according to the Tolerance edit box value in the dialog box.

See Also

Elements

ShowAddFrameDlg method


Threshold Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short Threshold;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the delta value for detecting blank space in the AutoTrim dialog box.

Notice that the dialog dynamically calculates the range of threshold values that are applicable to your bitmap, once the dialog starts using the bitmap found in the Bitmap property. If you don’t provide a valid bitmap, or Nil is set in the Bitmap property, the range of values is between 0 and 244.

See Also

Elements

ShowAutoTrimDlg method


Top Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short Top;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the top boundary of the bitmap within its new canvas in the CanvasResize dialog box.

This point is relative to the bitmap, and will not exceed the bitmap's width or height.

See Also

Elements

ShowCanvasResizeDlg method


TopThickness Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short TopThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the top side of the border, in pixels, in the AddBorder dialog box.

When the dialog box closes, this property will be updated with the value entered in the Top Margin box in the dialog box.

See Also

Elements

ShowAddBorderDlg method


UIFlags Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowRotateDlg method


ShowAddBorderDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowAddBorderDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits only) Displays the Add Border dialog box and get the options of AddBorder method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ADDBORDER_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDBORDER_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
ADDBORDER_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDBORDER_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ADDBORDER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ADDBORDER_AUTOPROCESS or ADDBORDER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

SelectedBitmapIndex property

LeftThickness property

TopThickness property

RightThickness property

BottomThickness property

Location property

BorderStyle property

EffectStyle property

GradientStyle property

OpaqueColor property

GradientStartColor property

GradientEndColor property

CurveIntensity property

EnableSoftCurve property

ShadowSize property

ShadowDirection property

EnableBumpyShadow Property

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

SelectedBitmap property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Histogram dialog can be seen below:

See Also

Elements

AddBorder method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowAddFrameDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowAddFrameDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits only) Displays the Add Frame dialog box and get the options of AddFrame method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ADDFRAME_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDFRAME_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
ADDFRAME_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDFRAME_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ADDBORDER_SHOW_PREVIEW flag must be set in order to show these buttons.
ADDFRAME_SHOW_TOOL_COLORPICKER | [0x00000010] show the Color button.

If you include ADDFRAME_AUTOPROCESS or ADDFRAME_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

SelectedBitmapIndex property

Location property

EnableUseMask property

EnableKeepFrameState Property

MaskColor property

SmoothEdge property

Quality property

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

SelectedBitmap property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Histogram dialog can be seen below:

See Also

Elements

AddFrame method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowAutoTrimDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowAutoTrimDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the AutoTrim dialog box, and gets the options for the AutoTrim method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
AUTOTRIM_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
AUTOTRIM_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
AUTOTRIM_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

If you include AUTOTRIM_AUTOPROCESS or AUTOTRIM_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog is:

Threshold property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Auto Trim dialog can be seen below:

See Also

Elements

AutoTrim method , Threshold property, EnableHorizontal property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowCanvasResizeDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowCanvasResizeDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Canvas Resize dialog box.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
CANVASRESIZE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
CANVASRESIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
CANVASRESIZE_SHOW_CURRENT_HEIGHT | [0x00000004] dialog should contain the Current Height static control.
CANVASRESIZE_SHOW_CURRENT_WIDTH | [0x00000008] Dialog should contain the Current Width static control.
CANVASRESIZE_SHOW_HORIZPOS | [0x00000010] dialog should contain the EnableHorizontal static control.
CANVASRESIZE_SHOW_VERTPOS | [0x00000020] dialog should contain the EnableVertical static control.
CANVASRESIZE_SHOW_BACKCOLOR | [0x00000040] dialog should contain a background color picker button.
CANVASRESIZE_SHOW_KEEPASPECT | [0x00000080] dialog should contain the Maintain Aspect Ratio check box.

If you include CANVASRESIZE_AUTOPROCESS in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

CurrentWidth property

CurrentHeight property

Top property

Left property

NewWidth property

BackColor property

NewHeight property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Canvas Resize dialog can be seen below:

See Also

Elements

CreateBitmap method , Combine method , EnableHorizontal property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowHistogramDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowHistogramDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displaysp the Histogram dialog box.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
HISTOGRAM_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
HISTOGRAM_SHOW_VIEWSTYLE | [0x00000002] dialog should contain the view styles option.
HISTOGRAM_USERPENCOLORS | [0x00000004] the MasterPenColor, RedChannelPenColor, GreenChannelPenColor, and BlueChannelPenColor properties are valid

Use this dialog to display histogram charts for a bitmap. Charts can be displayed for either the main, red, green or blue channels.

This dialog can be used in two different ways:

1. | You may pass the bitmap, and let the dialog do the processing to calculate the histogram(s).
2. | You may pass the histogram table(s), which can be acquired using the GetHistogram method .

The properties associated with this dialog are:

MasterHistogram property

MasterHistogramSize property

RedHistogram property

RedHistogramSize property

GreenHistogram property

GreenHistogramSize property

BlueHistogram property

BlueHistogramSize property

RedChannelPenColor property

GreenChannelPenColor property

BlueChannelPenColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Histogram dialog can be seen below:

See Also

Elements

GetHistogram method , EnableHorizontal property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowResizeDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowResizeDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Resize dialog box and gets the options for the Size method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
RESIZE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RESIZE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
RESIZE_SHOW_PERCENTAGE | [0x00000004] dialog should contain the percentage value combo.
RESIZE_SHOW_MAINTAINASPECT | [0x00000008] dialog should contain the maintain aspect check box.
RESIZE_SHOW_RESOLUTION | [0x00000010] dialog should contain the resolution group information.
RESIZE_SHOW_IDENTICALVALUE | [0x00000020] dialog should contain the identical value check box. This option requires RESIZE_SHOW_RESOLUTION to be set.
RESIZE_MAINTAINASPECT | [0x00000040] dialog will maintain the aspect ratio for the specified nNewWidth and nNewHeight values.

If you include RESIZE_AUTOPROCESS in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

MaxNewWidth property

MaxNewHeight property

MaxNewResolutionX property

MaxNewResolutionU property

NewWidth property

NewHeight property

NewResolutionX property

NewResolutionY property

CurrentWidth property

CurrentHeight property

CurrentResolutionX property

CurrentResolutionY property

BitsPerPixel property

ResizeFlags property

The following properties must be set before calling ShowResizeDlg method

CurrentWidth property

CurrentHeight property

CurrentResolutionX property

CurrentResolutionY property

BitsPerPixel property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Resize dialog can be seen below:

See Also

Elements

Size method , Angle property, EnableHorizontal property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowRotateDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowRotateDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Rotate dialog box, and gets the options for the Rotate method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ROTATE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ROTATE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
ROTATE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ROTATE_SHOW_BACKCOLOR | [0x00000008] dialog will show the background color button.
ROTATE_SHOW_RESIZE | [0x00000010] dialog will show the resize check box.

If you include ROTATE_AUTOPROCESS or ROTATE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

Angle property

Resize property

RotateFlags property

BackColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Rotate dialog can be seen below:

See Also

Elements

Rotate method , Angle property, RotateFlags property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowShearDlg method (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | short ShowShearDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Shear dialog box, and gets the options for the Shear method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SHEAR_AUTOPROCESS | [0x00000001] process the image on OK; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHEAR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
SHEAR_SHOW_PREVIEW | [0x00000004] show preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHEAR_SHOW_BACKCOLOR | [0x00000008] dialog will show the background color button.
SHEAR_SHOW_HORIZONTAL | [0x00000010] dialog will show the horizontal check box.

If you include SHEAR_AUTOPROCESS or SHEAR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog are:

Angle property

EnableHorizontal property

BackColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Shear dialog can be seen below:

See Also

Elements

Shear method , Angle property, EnableHorizontal property, BackColor property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


DlgHelp event (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


ShowBorderRemoveDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowBorderRemoveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Border Remove dialog box, and gets the options for BorderRemove method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
BORDERREMOVE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
BORDERREMOVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
BORDERREMOVE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
BORDERREMOVE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The BORDERREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include BORDERREMOVE_AUTOPROCESS or BORDERREMOVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.

The properties associated with this dialog box are:

Flags property

BorderToRemove property

BorderPercent property

WhiteNoiseLength property

Variance property

DocCleanBitmap property

ModificationColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Border Remove dialog can be seen below:

See Also

Elements

BorderRemove method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowDotRemoveDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowDotRemoveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical) Displays the Dot Remove dialog box, and gets the options for the DotRemove method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
DOTREMOVE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
DOTREMOVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
DOTREMOVE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
DOTREMOVE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DOTREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DOTREMOVE_AUTOPROCESS or DOTREMOVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.

The properties associated with this dialog box are:

Flags property

MinDotWidth property

MinDotHeight property

MaxDotWidth property

MaxDotHeight property

DocCleanBitmap property

WhiteAreaColor property

BlackAreaColor Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Dot Remove dialog can be seen below:

See Also

Elements

DotRemove method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowHolePunchRemoveDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowHolePunchRemoveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Hole Punch Remove dialog box and gets the options for the HolePunchRemove method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
HOLEPUNCHREMOVE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
HOLEPUNCHREMOVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
HOLEPUNCHREMOVE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
HOLEPUNCHREMOVE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The HOLEPUNCHREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include HOLEPUNCHREMOVE_AUTOPROCESS or HOLEPUNCHREMOVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.

The properties associated with this dialog box are:

Flags property

MinHoleCount property

MaxHoleCount property

MinHoleWidth property

MinHoleHeight property

MaxHoleWidth property

MaxHoleHeight property

Location property

DocCleanBitmap property

WhiteAreaColor property

BlackAreaColor Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Hole Punch Remove dialog can be seen below:

See Also

Elements

HolePunchRemove method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowInvertTextDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowInvertTextDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Inverted Text dialog box, and gets the options for the InvertedText method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
INVERTEDTEXT_AUTOPROCESS | [0x00000001] process the image on OK; The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
INVERTEDTEXT_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
INVERTEDTEXT_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
INVERTEDTEXT_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The INVERTEDTEXT_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include INVERTEDTEXT_AUTOPROCESS or INVERTEDTEXT_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.

The properties associated with this dialog box are:

Flags property

MinInvertWidth property

MinInvertHeight property

MinBlackPercent property

MaxBlackPercent property

DocCleanBitmap property

WhiteAreaColor property

BlackAreaColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Inverted Text dialog can be seen below:

See Also

Elements

InvertedText method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowLineRemoveDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowLineRemoveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Line Remove dialog box, and gets the options for LineRemove method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
LINEREMOVE_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LINEREMOVE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
LINEREMOVE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
LINEREMOVE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The LINEREMOVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include LINEREMOVE_AUTOPROCESS or LINEREMOVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.

The properties associated with this dialog box are:

Flags property

MinLineLength property

MaxLineWidth property

Wall property

MaxWallPercent property

GapLength property

Variance property

RemoveFlags property

DocCleanBitmap property

ModificationColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Line Remove dialog can be seen below:

See Also

Elements

LineRemove method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowRemoveRedEyeDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowRemoveRedEyeDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Remove Redeye dialog box, and gets the options for RemoveRedeye method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
REMOVEREDEYE_AUTOPROCESS | [0x00000001] process the image on OK; you must assign a valid bitmap to the Common Dialog Bitmap property prior to bringing up the dialog.
REMOVEREDEYE_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
REMOVEREDEYE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
REMOVEREDEYE_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The REMOVEREDEYE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include REMOVEREDEYE_AUTOPROCESS or REMOVEREDEYE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

NewColor property

Threshold property

Lightness Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Remove Redeye dialog can be seen below:

See Also

Elements

RemoveRedeye method , NewColor property, Threshold property, Ligthness property, ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


ShowSmoothDlg method (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short ShowSmoothDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Smooth dialog box, and gets the options for the Smooth method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SMOOTH_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
SMOOTH_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
SMOOTH_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid 1-bit bitmap before calling this method.
SMOOTH_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SMOOTH_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SMOOTH_AUTOPROCESS or SMOOTH_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The Smooth method only works with 1-bit images.

The properties associated with this dialog box are:

Flags property

Length property

DocCleanBitmap property

WhiteAreaColor property

BlackAreaColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Smooth dialog can be seen below:

See Also

Elements

Smooth method , ShowHelpButton property, UIFlags property, EnableZoomToFit property, EnableMethodsErrors property


Bitmap property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | long Bitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property, EnableZoomToFit Property


BlackAreaColor Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BlackAreaColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill the processed black areas in the Document Clean up dialog boxes.

The BlackAreaColor property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

Smooth dialog box

InvertedText dialog box

DotRemove dialog box

HolePUnchRemove dialog box

See Also

Elements

ShowSmoothDlg method, ShowInvertTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method


DialogStatus property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
DLG_EXPORTANDEXIT | "Exit and Export" was selected from the menu and the dialog exited successfully. The StitchBitmap property will be updated with the exported bitmap.


DocCleanBitmap Property (LEADDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | long DocCleanBitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a LEAD bitmap that also contains a region that has the elements removed by the Document Clean up dialog boxes.

This property is associated with the following dialog boxes:

Smooth dialog box

LineRemove dialog box

BorderRemove dialog box

InvertedText dialog box

DotRemove dialog box

HolePUnchRemove dialog box

See Also

Elements

ShowSmoothDlg method, ShowLineRemoveDlg method, ShowBorderRemoveDlg method, ShowInvertTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method


EnableMethodErrors Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.


EnableZoomToFit Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableZoomToFit;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Setting | Description
VARIANT_TRUE | Set the initial zoom level to "Zoom to fit".
VARIANT_FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements

ShowRemoveRedEyeDlg method


Lightness Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | short Lightness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Lightness value in the RemoveRedEye dialog box.

This is a "Percentage" value that indicates whether the pixels that are replaced are lightened or darkened. Possible values range from 0 to 500.

See Also

Elements

ShowRemoveRedEyeDlg method


ModificationColor Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ModificationColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill the modified areas in the Document Clean up dialog boxes.

The ModificationColor property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

LineRemove dialog box

BorderRemove dialog box

See Also

Elements

ShowLineRemoveDlg method, ShowBorderRemoveDlg method


NewColor Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR NewColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the new color value used to replace the red color in the eyes in the RemoveRedEye dialog box.

See Also

Elements

ShowRemoveRedEyeDlg method


ShowHelpButton Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. If this property is TRUE, a Help Button will be displayed. If it is FALSE, the Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.


Threshold Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | long Threshold;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the threshold value that indicates which pixels will be changed in the RemoveRedEye dialog box.

This value is between 0 and 255.

See Also

Elements

ShowRemoveRedEyeDlg method


UIFlags Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowRemoveRedEyeDlg method


WhiteAreaColor Property (ILEADRasterDlgImgDoc)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR WhiteAreaColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill the processed white areas in the Document Clean up dialog boxes.

Th WhiteAreaColor property is used only for dialog previewing purposes.

This property is associated with the following dialog boxes:

Smooth dialog box

InvertedText dialog box

DotRemove dialog box

HolePUnchRemove dialog box

See Also

Elements

ShowSmoothDlg method, ShowInvertTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method


DlgHelp event (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


ShowAddBitmapsDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowAddBitmapsDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the AddBitmaps dialog box, and gets the options for the AddBitmaps method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ADDBITMAPS_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDBITMAPS_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
ADDBITMAPS_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDBITMAPS_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The UNDERLAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ADDBITMAPS_AUTOPROCESS or ADDBITMAPS_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

ImageEffectFlags property

SelectedBitmapList property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The AddBitmaps dialog can be seen below:

See Also

Elements

AddBitmaps method , ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, ImageEffectFlags property, SelectedBitmapList property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowAddNoiseDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowAddNoiseDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Add Noise dialog box, and gets the options for the AddNoise method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ADDNOISE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDNOISE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
ADDNOISE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ADDNOISE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ADDNOISE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ADDNOISE_AUTOPROCESS or ADDNOISE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Range property

Channel property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Add Noise dialog can be seen below:

See Also

Elements

AddNoise method , Range property, Channel property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowAntiAliasDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowAntiAliasDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the AntiAlias dialog box, and gets the options for the AntiAlias method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ANTIALIAS_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ANTIALIAS_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
ANTIALIAS_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ANTIALIAS_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ANTIALIAS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ANTIALIAS_AUTOPROCESS or ANTIALIAS_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Threshold property

Dimension property

AntiAliasFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The AntiAlias dialog can be seen below:

See Also

Elements

AntiAlias method , Threshold property, Dimension property, AntiAliasFilterType property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property.


ShowAverageDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowAverageDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Average dialog box, and gets the options for Average method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
AVERAGE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
AVERAGE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
AVERAGE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
AVERAGE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The AVERAGE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include AVERAGE_AUTOPROCESS or AVERAGE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Average dialog can be seen below:

See Also

Elements

Average method , Dimension property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property


ShowBendingDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowBendingDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Bending dialog box, and gets the options for the Bending method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
BENDING_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BENDING_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
BENDING_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
BENDING_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The BENDING_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include BENDING_AUTOPROCESS or BENDING_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property

CenterX property

CenterYproperty

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Bending dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

Bending method , Value property, CenterX property, CenterY property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowContourFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowContourFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Medical only) Displays the Contour Filter dialog box, and gets the options for the ContourFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
CONTOURFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid before calling this method.
CONTOURFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
CONTOURFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid before calling this method.
CONTOURFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The CONTOURFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.
CONTOURFILTER_SHOW_OPTION | [0X00000010] show the Contour Option.
CONTOURFILTER_SHOW_THRESHOLD | [0X00000020] show the Threshold option.
CONTOURFILTER_SHOW_DELTADIRECTION | [0X00000040] show the Delta Direction option.
CONTOURFILTER_SHOW_MAXIMUMERROR | [0X00000080] show the Maximum Error option.

If you include CONTOURFILTER_AUTOPROCESS or CONTOURFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid before calling this method.

The properties associated with this dialog box are:

Threshold property

DeltaDirection property

MaxError property

ContourOption property

OptionFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Contour Filter dialog can be seen below:

See Also

Elements

ContourFilter method , Threshold property, DeltaDirection property, MaxError property, ContourOption property, OptionFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowCylindricalDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowCylindricalDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Cylindrical dialog box, and gets the options for the Cylindrical method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
CYLINDRICAL_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
CYLINDRICAL_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
CYLINDRICAL_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
CYLINDRICAL_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The CYLINDRICAL_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include CYLINDRICAL_AUTOPROCESS or CYLINDRICAL_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Cylindrical dialog can be seen below:

See Also

Elements

Cylindrical method , Value property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowDilationFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowDilationFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Dilation Filter dialog box, and gets the options for the BinaryFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
DILATIONFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
DILATIONFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
DILATIONFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
DILATIONFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The DILATIONFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include DILATIONFILTER_AUTOPROCESS or DILATIONFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

BinaryFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Dilation Filter dialog can be seen below:

See Also

Elements

BinaryFilter method , BinaryFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowEdgeDetectorDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowEdgeDetectorDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Edge Detector dialog box, and gets the options for the EdgeDetector method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
EDGEDETECTOR_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EDGEDETECTOR_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
EDGEDETECTOR_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EDGEDETECTOR_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The EDGEDETECTOR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include EDGEDETECTOR_AUTOPROCESS or EDGEDETECTOR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Threshold property

EdgeDetectionFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Edge Detector dialog can be seen below:

See Also

Elements

EdgeDetector method , Threshold property, EdgeDetectionFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowEmbossDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowEmbossDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Emboss dialog box, and gets the options for the Emboss method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
EMBOSS_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EMBOSS_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
EMBOSS_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EMBOSS_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The EMBOSS_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include EMBOSS_AUTOPROCESS or EMBOSS_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Depth property

Direction property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Emboss dialog can be seen below:

See Also

Elements

Emboss method , Depth property, Direction property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowErosionFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowErosionFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Erosion Filter dialog box, and gets the options for the BinaryFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
EROSIONFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EROSIONFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
EROSIONFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
EROSIONFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The EROSIONFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include EROSIONFILTER_AUTOPROCESS or EROSIONFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

BinaryFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Erosion Filter dialog can be seen below:

See Also

Elements

BinaryFilter method , BinaryFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowFreeHandWaveDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowFreeHandWaveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Free Hand Wave dialog box, and gets the options for the FreeHandWave method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
FREEHANDWAVE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
FREEHANDWAVE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
FREEHANDWAVE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
FREEHANDWAVE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The FREEHANDWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include FREEHANDWAVE_AUTOPROCESS or FREEHANDWAVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitudes property

AmplitudesCount property

Scale property

WaveLength property

Angle property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Free Hand Wave dialog can be seen below:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lhw" file that contains Hand Wave curve settings and the angle setting, using the Load dialog. The loaded file will set new curve and angle settings.

Note:

Loading curve and angle settings will overwrite all current curve and angle settings.

Save Button:

Use the Save button to save the curve and angle settings into an "*.lhw" file. This allows you set the same curve and angle settings for other images by re-loading the file.

See Also

Elements

AddBitmaps method , Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowImpressionistDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowImpressionistDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Impressionist dialog box, and gets the options for the Impressionist method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
IMPRESSIONIST_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
IMPRESSIONIST_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
IMPRESSIONIST_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
IMPRESSIONIST_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The IMPRESSIONIST_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include IMPRESSIONIST_AUTOPROCESS or IMPRESSIONIST_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

HorizontalDim property

VerticalDim property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Impressionist dialog can be seen below:

See Also

Elements

Impressionist method , HorizontalDim property, VerticalDim property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowLaplacianFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowLaplacianFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Laplacian Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
LAPLACIANFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LAPLACIANFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
LAPLACIANFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LAPLACIANFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The LAPLACIANFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include LAPLACIANFILTER_AUTOPROCESS or LAPLACIANFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Laplacian Filter dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowLineSegmentFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowLineSegmentFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Line Segment Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
LINESEGMENTFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LINESEGMENTFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
LINESEGMENTFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
LINESEGMENTFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The LINESEGMENTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include LINESEGMENTFILTER_AUTOPROCESS or LINESEGMENTFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Line Segment Filter dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowMaxFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMaxFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Max Filter dialog box, and gets the options for the MaxFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MAXFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MAXFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
MAXFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MAXFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MAXFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MAXFILTER_AUTOPROCESS or MAXFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Max Filter dialog can be seen below:

See Also

Elements

MaxFilter method , Dimension property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowMedianDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMedianDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Median dialog box, and gets the options for the Median method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MEDIAN_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MEDIAN_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
MEDIAN_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MEDIAN_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MEDIAN_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MEDIAN_AUTOPROCESS or MEDIAN_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Median dialog can be seen below:

See Also

Elements

Median method , Dimension property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowMinFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMinFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Document/Medical only) Displays the Min Filter dialog box, and gets the options for the MinFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MINFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MINFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.roperty
MINFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MINFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MINFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MINFILTER_AUTOPROCESS or MINFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Min Filter dialog can be seen below:

See Also

Elements

MinFilter method , Dimension property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowMosaicDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMosaicDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Mosaic dialog box, and gets the options for the Mosaic method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MOSAIC_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MOSAIC_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
MOSAIC_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MOSAIC_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MOSAIC_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MOSAIC _AUTOPROCESS or MOSAIC _SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Mosaic dialog can be seen below:

See Also

Elements

Mosaic method , Dimension property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowMotionBlurDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMotionBlurDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Motion Blur dialog box, and gets the options for the MotionBlur method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MOTIONBLUR_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MOTIONBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
MOTIONBLUR_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MOTIONBLUR_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MOTIONBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MOTIONBLUR_AUTOPROCESS or MOTIONBLUR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property

Angle property

EnableUnidirectional property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Motion Blur dialog can be seen below:

See Also

Elements

MotionBlur method , Dimension property, Angle property, EnableUnidirectional property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property.


ShowMultiplyDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowMultiplyDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Multiply dialog box, and gets the options for the Multiply method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
MULTIPLY_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MULTIPLY_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
MULTIPLY_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
MULTIPLY_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The MULTIPLY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include MULTIPLY_AUTOPROCESS or MULTIPLY_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Factor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Multiply dialog can be seen below:

See Also

Elements

Multiply method , Factor property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowOilifyDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowOilifyDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Oilify dialog box, and gets the options for the Oilify method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
OILIFY_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
OILIFY_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
OILIFY_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
OILIFY_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The OILIFY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include OILIFY_AUTOPROCESS or OILIFY_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Dimension property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Oilify dialog can be seen below:

See Also

Elements

Oilify method , Dimension property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowPicturizeDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowPicturizeDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Picturize dialog box, and gets the options for the Picturize method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
PICTURIZE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PICTURIZE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.

If you include PICTURIZE_AUTOPROCESS in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

DirectoryPath property

PicturizeResizeFlags property

CellWidth property

CellHeight property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Picturize dialog can be seen below:

See Also

Elements

Picturize method , DirectoryPath property, PicturizeResizeFlags property, CellWidth property, CellHeight property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowPolarDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowPolarDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Polar dialog box, and gets the options for the Polar method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
POLAR_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
POLAR_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
POLAR_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
POLAR_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The POLAR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include POLAR_AUTOPROCESS or POLAR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

FillColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Polar dialog can be seen below:

See Also

Elements

Polar method , FillColor property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowPixelateDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowPixelateDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Pixelate dialog box, and gets the options for the Pixelate method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
PIXELATE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PIXELATE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
PIXELATE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PIXELATE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The PIXELATE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include PIXELATE_AUTOPROCESS or PIXELATE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

CellWidth property

CellHeight property

Opacity property

CenterX property

CenterY property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Pixelate dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

Pixelate method , CellWidth property, CellHeight property, Opacity property, CenterX property, CenterY property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowPrewittFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowPrewittFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Prewitt Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
PREWITTFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PREWITTFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
PREWITTFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PREWITTFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The PREWITTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include PREWITTFILTER_AUTOPROCESS or PREWITTFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Prewitt Filter dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowPunchDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowPunchDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Punch dialog box, and gets the options for the Punch method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
PUNCH_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PUNCH_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
PUNCH_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PUNCH_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The PUNCH_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include PUNCH_AUTOPROCESS or PUNCH_SHOW_PREVIEW in the UIFlags property, The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property

Stress property

CenterX property

CenterY property

FillColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Punch dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

Punch method , Value property, Stress property, CenterX property, CenterY property, FillColor property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowRadialBlurDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowRadialBlurDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Radial Blur dialog box, and gets the options for the RadialBlur method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
RADIALBLUR_AUTOPROCESS | [0x00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RADIALBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
RADIALBLUR_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RADIALBLUR_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The RADIALBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include RADIALBLUR_AUTOPROCESS or RADIALBLUR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property

Stress property

CenterX property

CenterY property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Radial Blur dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

RadialBlur method , Dimension property, Stress property, CenterX property, CenterY property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property


ShowRadialWaveDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowRadialWaveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits.) Displays the Radial Wave dialog box, and gets the options for the RadWave method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
RADIALWAVE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RADIALWAVE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
RADIALWAVE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RADIALWAVE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The RADIALWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include RADIALWAVE_AUTOPROCESS or RADIALWAVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property

WaveLength property

Phase property

CenterX property

CenterY property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Radial Wave dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

RadWave method , Amplitude property, WaveLength property, Phase property, CenterX property, CenterY property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowRippleDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowRippleDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Ripple dialog box, and gets the options for the Ripple method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
RIPPLE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RIPPLE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
RIPPLE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
RIPPLE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The RIPPLE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include RIPPLE_AUTOPROCESS or RIPPLE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property

Frequency property

Phase property

Attenuation property

CenterX property

CenterY property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Ripple dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

Ripple method , Amplitude property, Frequency property, Phase property, Attenuation property, CenterX property, CenterY property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowGradientFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowGradientFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Gradient Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GRADIENTFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must assign a valid bitmap before calling this method.
GRADIENTFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
GRADIENTFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must assign a valid bitmap before calling this method.
GRADIENTFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The GRADIENTFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include GRADIENTFILTER _AUTOPROCESS or GRADIENTFILTER _SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must assign a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The GradientFilter dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowGaussianBlurDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowGaussianBlurDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Gaussian Blur dialog box, and gets the options for the GaussianFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GAUSSIANBLUR_AUTOPROCESS | [0X00000001] process the image on OK; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GAUSSIANBLUR_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
GAUSSIANBLUR_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GAUSSIANBLUR_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The GAUSSIANBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include GAUSSIANBLUR_AUTOPROCESS or GAUSSIANBLUR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Radius property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Gaussian Blur dialog can be seen below:

See Also

Elements

GaussianFilter method , Radius property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property


ShowShapeDlg method (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowShapeDlg(long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Get Shape dialog box, and gets the options for the Shape property and the DrawShape method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SHAPE_SHOW_CONTEXTHELP | [0x00000001] dialog should contain a context sensitive help icon.
SHAPE_AUTOPREVIEW | [0x00000002] auto preview when options change
SHAPE_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHAPE_BACKSTYLE | [0x00000008] back style is an option
SHAPE_FILLSTYLE | [0x00000010] fill style is an option
SHAPE_FORE_BACK_COLOR | [0x00000020] fore and back colors are options
SHAPE_BORDERSTYLE | [0x00000040] border style is an option
SHAPE_BORDERWIDTH | [0x00000080] border width is an option
SHAPE_BORDERCOLOR | [0x00000100] border color is an option
SHAPE_INNERSTYLE | [0x00000200] inner band style is an option
SHAPE_INNERWIDTH | [0x00000400] inner band width is an option
SHAPE_INNER_HILITE_SHADOW | [0x00000800] inner band colors are options
SHAPE_OUTERSTYLE | [0x00001000] outer band style is an option
SHAPE_OUTERWIDTH | [0x00002000] outer band width is an option
SHAPE_OUTER_HILITE_SHADOW | [0x00004000] outer band colors are options
SHAPE_SHADOWCOLOR | [0x00008000] shadow color is an option
SHAPE_SHADOW_X_Y | [0x00010000] shadow x and y are options
SHAPE_BROWSEIMAGE | [0x00020000] browse image button is an option
SHAPE_NO_TREEVIEW | [0x00040000] DO NOT use the TreeView
SHAPE_CLASS_SQUARE | [0x00080000] squares are options
SHAPE_CLASS_RECTANGLE | [0x00100000] rectangles are options
SHAPE_CLASS_PARALLELOGRAM | [0x00200000] parallelograms are options
SHAPE_CLASS_TRAPEZOID | [0x00400000] trapezoids are options
SHAPE_CLASS_TRIANGLE | [0x00800000] triangles are options
SHAPE_CLASS_OTHER | [0x01000000] other polygons are options
SHAPE_CLASS_CIRCLE | [0x02000000] circles are options
SHAPE_CLASS_ELLIPSE | [0x04000000] ellipses are options
SHAPE_CLASS_STAR | [0x08000000] stars are options
SHAPE_CLASS_CROSS | [0x10000000] crosses are options
SHAPE_CLASS_ARROW | [0x20000000] arrows are options

These values may be combined by ORing them.

If you include SHAPE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Get Shape dialog can be seen below:

See Also

Elements

DrawShape method , ShowHelpButton property, Shape property, UIFlags property


ShowSharpenDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowSharpenDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Sharpen dialog box, and gets the options for the Sharpen method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SHARPENFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHARPENFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
SHARPENFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHARPENFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SHARPEN_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SHARPEN_AUTOPROCESS or SHARPEN_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

Sharpness property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Sharpen dialog can be seen below:

See Also

Elements

Sharpen method , Sharpness property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowShiftDifferenceFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowShiftDifferenceFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Shift and Difference Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SHIFTDIFFERENCEFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHIFTDIFFERENCEFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
SHIFTDIFFERENCEFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SHIFTDIFFERENCEFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SHIFTDIFFERENCEFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SHIFTDIFFERENCEFILTER_AUTOPROCESS or SHIFTDIFFERENCEFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Shift and Difference dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowSobelFilterDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowSobelFilterDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Sobel Filter dialog box, and gets the options for the SpatialFilter method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SOBELFILTER_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SOBELFILTER_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
SOBELFILTER_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SOBELFILTER_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SOBELFILTER_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SOBELFILTER_AUTOPROCESS or SOBELFILTER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The property associated with this dialog box is:

SpatialFilterType property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Sobel Filter dialog can be seen below:

See Also

Elements

SpatialFilter method , SpatialFilterType property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowSpherizeDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowSpherizeDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Spherize dialog box, and gets the options for the Spherize method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SPHERIZE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SPHERIZE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
SPHERIZE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SPHERIZE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SPHERIZE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SPHERIZE_AUTOPROCESS or SPHERIZE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Value property

CenterX property

CenterY property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Spherize dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to {Icon_Pivot.bmp} the pivot point position.

See Also

Elements

Spherize method , Value property, CenterX property, CenterY property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowStitchDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowStitchDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Stitch dialog box. Use this dialog to produce a new bitmap that is composed of 1 or more source bitmaps.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
STITCH_NOPAGESETUPONSTART | [0x00000001] don’t display the image attributes sub dialog at stitch dialog startup.

The properties associated with this dialog box are:

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

StitchBitmapWidth property

StitchBitmapHeight property

StitchBitsPerPixel property

StitchResolution property

StitchBackgroundColor property

StitchIcon property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Stitch dialog can be seen below:

See Also

Elements

ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, StitchBitmapWidth property, StitchBitmapHeight property, StitchBitsPerPixel property, StitchResolution property, StitchBackgroundColor property, StitchIcon property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowSwirlDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowSwirlDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits.) Displays the Swirl dialog box, and gets the options for the Swirl method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
SWIRL_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SWIRL_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
SWIRL_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
SWIRL_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The SWIRL_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include SWIRL_AUTOPROCESS or SWIRL_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Angle property

CenterX property

CenterY property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Swirl dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

Swirl method , Angle property, CenterX property, CenterY property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowUnderlayDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowUnderlayDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Underlay dialog box, and gets the options for the Underlay method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
UNDERLAY_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
UNDERLAY_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
UNDERLAY_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
UNDERLAY_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The UNDERLAY_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include UNDERLAY_AUTOPROCESS or UNDERLAY_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

ItemsCount property

ItemDescription property

ItemFileName property

ItemBitmap property

SelectedBitmapIndex property

SelectedBitmap property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Underlay dialog can be seen below:

See Also

Elements

Underlay method , ItemsCount property, ItemDescription property, ItemFileName property, ItemBitmap property, SelectedBitmap property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowUnsharpMaskDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowUnsharpMaskDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the Unsharp Mask dialog box, and gets the options for the UnsharpMask method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
UNSHARPMASK_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
UNSHARPMASK_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
UNSHARPMASK_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
UNSHARPMASK_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The UNSHARPMASK_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include UNSHARPMASK_AUTOPROCESS or UNSHARPMASK_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amount property

Radius property

Threshold property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Unsharp Mask dialog can be seen below:

See Also

Elements

UnsharpMask method , Amount property, Radius property, Threshold property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowWaveDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowWaveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Wave dialog box, and gets the options for the Wave method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
WAVE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WAVE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
WAVE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WAVE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The WAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include WAVE_AUTOPROCESS or WAVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property

WaveLength property

Angle property

HorizontalScale property

VerticalScale property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Wave dialog can be seen below:

See Also

Elements

Wave method , Amplitude property, WaveLength property, Angle property, HorizontalScale property, VerticalScale property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowWaveShearDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowWaveShearDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Wave Shear dialog box, and gets the options for the FreeHandShear method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
WAVESHEAR_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WAVESHEAR_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
WAVESHEAR_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WAVESHEAR_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The WAVESHEAR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include WAVESHEAR_AUTOPROCESS or WAVESHEAR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitudes property

AmplitudesCount property

Scale property

FillColor property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Wave Shear dialog can be seen below:

This dialog has the following fields:

Curve Mode Drop-down list box:

Use this to select the curve mode to use. There are two choices:

- [image] Curve: distorts the image using a curve wave.

- [image] Linear: distorts the image using a linear wave.

Flip Buttons:

Use these buttons to flip the curve if the Curve Mode is either Curve or Linear. The following options are available:

- [image] Both. Flip the curve vertically and horizontally.

- [image] Vertically. Flip the curve vertically.

- [image] Horizontally. Flip the curve horizontally.

Reset Button:

Use the Reset button to set the curve to its default values.

Load Button:

Use the Load button to load an "*.lsr" file that contains Shear Wave curve settings, using the Load dialog. The loaded file will set a new curve.

Note:

Loading curve settings will overwrite all current settings.

Save Button:

Use the Save button to save curve settings into an "*.lsr" file. This allows you set the same curve settings for other images by re-loading the file.

See Also

Elements

FreeHandShear method , Amplitudes property, AmplitudesCount property, Scale property, FillColor property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowWindDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowWindDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Wind dialog box, and gets the options for the Wind method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
WIND_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WIND_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
WIND_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
WIND_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The WIND_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include WIND_AUTOPROCESS or WIND_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property

Angle property

Opacity property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Wind dialog can be seen below:

See Also

Elements

Wind method , Dimension property, Angle property, Opacity property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


ShowZoomBlurDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowZoomBlurDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Zoom Blur dialog box, and gets the options for the ZoomBlur method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ZOOMBLUR_AUTOPROCESS | [0X00000001] process the image on OK; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ZOOMBLUR_SHOW_CONTEXTHELP | [0x00000002] dialog should contain a context sensitive help icon.
ZOOMBLUR_SHOW_PREVIEW | [0x00000004] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ZOOMBLUR_SHOW_TOOL_ZOOMLEVEL | [0x00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ZOOMBLUR_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ZOOMBLUR_AUTOPROCESS or ZOOMBLUR_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Dimension property

Stress property

CenterX property

CenterY property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Zoom Blur dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

ZoomBlur method , Dimension property, Stress property, CenterX property, CenterY property, ShowHelpButton property, EnableZoomToFit property, UIFlags property, EnableMethodErrors property


ShowZoomWaveDlg method (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ShowZoomWaveDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Raster Pro and above toolkits) Displays the Zoom Wave dialog box, and gets the options for the ZoomWave method .

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
ZOOMWAVE_AUTOPROCESS | [0X00000001] process the image on OK. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ZOOMWAVE_SHOW_CONTEXTHELP | [0X00000002] dialog should contain a context sensitive help icon.
ZOOMWAVE_SHOW_PREVIEW | [0X00000004] show a preview of the image in the dialog; The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
ZOOMWAVE_SHOW_TOOL_ZOOMLEVEL | [0X00000008] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The ZOOMWAVE_SHOW_PREVIEW flag must be set in order to show these buttons.

If you include ZOOMWAVE_AUTOPROCESS or ZOOMWAVE_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The properties associated with this dialog box are:

Amplitude property

Frequency property

Phase property

ZoomFactor property

CenterX property

CenterY property

FillColor property

ImageEffectFlags property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The Zoom Wave dialog can be seen below:

This dialog has the following fields:

Pivot Section:

This section contains two edit boxes and a display area for setting the pivot point. You can also set the pivot point by right clicking on the Before view. The Pivot point [image] appears on the point you just clicked.

X Edit box:

Use this to set the pivot's x-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Y Edit box:

Use this to set the pivot's y-axis position in the image. Enter the value directly in the edit box or use the arrows to set the desired value.

Cursor Pos (x,y)

Brings up the mouse position with respect to the image.

Center Button:

Use the Center button to center the Before and After views with respect to [image] the pivot point position.

See Also

Elements

ZoomWave method , Amplitude property, Frequency property, Phase property, ZoomFactor property, CenterX property, CenterY property, FillColor property, ImageEffectFlags property, ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property.


Amount property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short Amount
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the adjustment factor value in the UnsharpMask dialog box.

Possible values range from 0 - 500.

See Also

Elements

ShowUnsharpMaskDlg method, Radius property, Threshold property


Amplitude property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Amplitude
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the wave amplitude.

The Amplitude property is associated with the following dialog boxes:

ZoomWave dialog box: | In this case it represents the Zoom wave magnitude. The value must be greater than zero.
RadialWave dialog box: | In this case it represents the magnitude of the wave. Valid values range from 0 to 100.
Wave dialog box: | In this case it represents the wave length, if DIS_PER is set in the ImageEffectFlags property. Possible values range from 0 – 100 and give the WaveLength property as a percentage of the bitmap dimensions. If DIS_FRQ is set in the ImageEffectFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.
Ripple dialog box: | In this case it represents the amount of displacement. The values range from 1 to the length of the image's diagonal.

See Also

Elements

ShowRadialWaveDlg method, ShowWaveDlg method, ShowZoomWaveDlg method, ShowRippleDlg method.


Amplitudes property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Amplitudes (long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets an array of integers that represent shear wave amplitude values.

The Amplitudes property is associated with the following dialog boxes:

FreeHandWave dialog box: | In this case it represents the wave amplitudes.
WaveShear dialog box: | In this case it represents the shear wave values. The valid value of each element in the Amplitudes property is between –1000 and 1000. These values are obtained through the WaveShear Dialog box, or, for image processing; they may be obtained from the GetCurvePoints method.

You can get the number of items in this array property in the AmplitudesCount property.

The Amplitudes property will be valid after you call one of the dialog boxes associated with this property successfully.

See Also

Elements

ShowFreeHandWaveDlg method, ShowWaveShearDlg method, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property


AmplitudesCount property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long AmplitudesCount
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the number of items in the Amplitudes property.

The AmplitudesCount property is associated with the FreeHandWave, and the WaveShear dialog boxes.

This property will be valid only after you call one of the dialog boxes associated with this property successfully.

See Also

Elements

ShowFreeHandWaveDlg, ShowWaveShearDlg, Amplitudes, Scale property, WaveLength property, Angle property, FillColor property


Angle property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Angle
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Angle value. This property is associated with the following dialog boxes:

MotionBlur dialog box: | In this case it represents the direction of the motion, in hundredths of a degree (+/-). Possible values range from -36000 to 36000. If the value is positive, the motion will be clockwise. If the value is negative, the motion is counter-clockwise.
FreeHandWave dialog box: | In this case it represents the wave rotation angle, in hundredths of a degree. Possible values range from –36000 to 36000. Negative values rotate the wave counter-clockwise; positive values rotate the wave clockwise.
Wind dialog box: | In this case it represents the angle of the thin lines used to create the wind effect, in hundredths of a degree. Possible values range from –36000 to 36000.
Swirl dialog box: | In this case it represents the degree of rotation. This value is in degrees from -4000 to 4000.
Wave dialog box: | In this case it represents the wave’s rotation angle in hundredths of degrees. The valid range is from –18000 to 18000 (The value in degrees is Angle divided by 100).

See Also

Elements

ShowMotionBlurDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowSwirlDlg, ShowWaveDlg, Dimension property, EnableUnidirectional property, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Opacity property, CenterX property, CenterY property, FillColor property, Amplitude property, HorizontalScale property, VerticalScale property


AntiAliasFilterType property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | AntiAliasConstants AntiAliasFilterType
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the type of anti-aliasing filter to use in the AntiAlias dialog box. Possible values are:

Value | Meaning
ANTIALIAS_1 | [0] Anti-alias the bitmap vertically and horizontally.
ANTIALIAS_2 | [1] Anti-alias the bitmap in all directions.
ANTIALIAS_3 | [2] Anti-alias the bitmap in all directions. The filter used for this option is different from the filter used for the ANTIALIAS_2 option.
ANTIALIAS_DIAG | [3] Anti-alias the bitmap diagonally.
ANTIALIAS_HORZ | [4] Anti-alias the bitmap horizontally.
ANTIALIAS_VERT | [5] Anti-alias the bitmap vertically.

See Also

Elements

ShowAntiAliasDlg method, Dimension property, Threshold property


Attenuation property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Attenuation
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the attenuation value in the Ripple dialog box.

The attenuation value indicates how rapidly the wave amplitude decays as the wave travels along the radial line. The values range from 0 - 1000.

See Also

Elements

ShowRippleDlg method, Amplitude property, Frequency property, Phase property, CenterX property, CenterY property, FillColor property


BinaryFilterType property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | BinaryFilterConstants BinaryFilterType
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the binary filter type used with the Binary Filter dialog boxes.

If a user selects a binary filter from one of the binary filter dialog boxes, the BinaryFilterType property is set to a value that corresponds to the filter chosen.

The Binary filter dialog boxes are:

ErosionFilter dialog box: | Erosion filters shrink black objects in the image. The effect is biased in the specified direction. Possible values are: EROSION_OMNI EROSION_HORZ EROSION_VERT EROSION_DIAG
DilationFilter dialog box: | Dilation filters enlarge black objects in the image. The effect is biased in the specified direction. Possible values are: DILATION_OMNI DILATION_HORZ DILATION_VERT DILATION_DIAG

See Also

Elements

BinaryFilter method , ShowErosionFilterDlg method, ShowDilationFilterDlg method


Bitmap property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Bitmap
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


BitmapHeight property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long BitmapHeight
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the bitmap height value.

This property associated with 2 dialog boxes:

Picturize dialog box: | In this case it represents the maximum possible cell height. The value must be greater than zero.
Stitch dialog box: | In this case it represents the value that indicates the resulting image's height in pixels. This value is used to initialize the height edit box in the image attributes sub dialog.

See Also

Elements

ShowPicturizeDlg, ShowStitchDlg, DirectoryPath, CellWidth, CellHeight, BitmapWidth, StitchBitsPerPixel property, StitchResolution property, WindowIcon, StitchBitmap


BitmapWidth property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long BitmapWidth
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the bitmap width value.

The BitmapWidth property associated with 2 dialog boxes:

Picturize dialog box: | In this case it represents the maximum possible cell width. The value must be greater than zero.
Stitch dialog box: | In this case it represents the value that indicates the resulting image's width in pixels. This value is used to initialize the width edit box in the image attributes sub dialog.

See Also

Elements

ShowPicturizeDlg, ShowStitchDlg, DirectoryPath, CellWidth, CellHeight, BitmapHeight, StitchBitsPerPixel property, StitchResolution property, WindowIcon, StitchBitmap


CellHeight property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long CellHeight
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the cell height value.

The CellHeight property is associated with the following dialog boxes:

Pixelate dialog box: | In this case it represents the height of a rectangular cell, the number of rectangular cells present across the height of the bitmap, the number of cells around the center point of a circular cell, or the length in degrees of each cell around the center point of a circular cell, based on the flags set in ImageEffectFlags property. For more information on the different types of information contained in this member, refer to Pixelate method .
Picturize dialog box: | In this case it represents the height of the images used to reconstruct the image. Possible values range from 1 to BitmapHeight property.

See Also

Elements

ShowPixelateDlg method, ShowPicturizeDlg method, CellWidth property, Opacity property, CenterX property, CenterY property, DirectoryPath property


CellWidth property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long CellWidth
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the cell width value.

The CellWidth property is associated with the following dialog boxes:

Pixelate dialog box: | In this case it represents the width of a rectangular cell, the number of rectangular cells present across the width of the bitmap, the number of cells around the center point of a circular cell, or the length in degrees of each cell around the center point of a circular cell, based on the flags set in ImageEffectFlags property. For more information on the different types of information contained in this member, refer to Pixelate method .
Picturize dialog box: | In this case it represents the width of the images used to reconstruct the image. Possible values range from 1 to BitmapWidth property.

See Also

Elements

ShowPixelateDlg method, ShowPicturizeDlg method, CellHeight property, Opacity property, CenterX property, CenterY property, DirectoryPath property


CenterX property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long CenterX
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the X coordinate of the center point.

The CenterX property is associated with the following dialog boxes:

RadialBlur dialog box: | In this case it represents the X coordinate of the point about which the image is blurred.
ZoomBlur dialog box: | In this case it represents the X coordinate of the point about which the image is blurred and zoomed.
ZoomWave dialog box: | In this case it represents the X coordinate of the center point from which the wave is zoomed.
RadialWave dialog box: | In this case it represents the X coordinate of the point from which the wave radiates.
SwirlWave dialog box: | In this case it represents the X coordinate of the center of the swirl.
Ripple dialog box: | In this case it represents the X coordinate of the center of the Ripple wave.
Bending dialog box: | In this case it represents the X coordinate of the center of the arc. This is ignored when either BND_HORZ or BND_VERT is set in the ImageEffectFlags property.
Spherize dialog box: | In this case it represents the X coordinate of the center of the sphere.
Pixelate dialog box: | In this case it represents the X coordinate of the center of revolution when circular cells are used. This property will be ignored if PIX_RECT is set in the ImageEffectFlags property.
Punch dialog box | In this case it represents the point around which the image will be pinched or punched. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.

The point specified by (CenterX, CenterY) should be within the image rectangle coordinates. However, if there is a region in the bitmap, then the point should be within the region.

See Also

Elements

ShowRadialBlurDlg, ShowZoomBlurDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowRippleDlg, ShowBendingDlg, ShowSpherizeDlg, ShowPixelateDlg, ShowPunchDlg, ShowZoomWaveDlg, CenterY, Dimension, Stress, Angle, Amplitude, WaveLength, Phase, FillColor, Frequency, ZoomFactor, ImageEffectFlags, Value, Attenuation, CellWidth, CellHeight, Opacity


CenterY property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long CenterY
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Y coordinate of the center point.

The CenterY property is associated with the following dialog boxes:

RadialBlur dialog box: | In this case it represents the Y coordinate of the point about which the image is blurred.
ZoomBlur dialog box: | In this case it represents the Y coordinate of the point about which the image is blurred and zoomed.
ZoomWave dialog box: | In this case it represents the Y coordinate of the center point from which the wave is zoomed.
RadialWave dialog box: | In this case it represents the Y coordinate of the point from which the wave radiates.
SwirlWave dialog box: | In this case it represents the Y coordinate of the center of the swirl.
Ripple dialog box: | In this case it represents the Y coordinate of the center of the Ripple wave.
Bending dialog box: | In this case it represents the Y coordinate of the center of the arc. This is ignored when either BND_HORZ or BND_VERT is set in the ImageEffectFlags property.
Spherize dialog box: | In this case it represents the Y coordinate of the center of the sphere.
Pixelate dialog box: | In this case it represents the Y coordinate of the center of revolution when circular cells are used. This property will be ignored if PIX_RECT is set in the ImageEffectFlags property.
Punch dialog box | In this case it represents the Y coordinate of the point around which the image will be pinched or punched. The center point must be defined inside the bitmap or inside the region, if the bitmap has a region.

The point specified by (CenterX, CenterY) should be within the image rectangle coordinates. However, if there is a region in the bitmap, then the point should be within the region.

See Also

Elements

ShowRadialBlurDlg, ShowZoomBlurDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowRippleDlg, ShowBendingDlg, ShowSpherizeDlg, ShowPixelateDlg, ShowPunchDlg, ShowZoomWaveDlg, CenterX, Dimension, Stress, Angle, Amplitude, WaveLength, Phase, FillColor, Frequency, ZoomFactor, ImageEffectFlags, Value, Attenuation, CellWidth, CellHeight, Opacity


Channel property (ILEADRasterDlgImgEfx

Channel Property (ILEADRasterDlgClr)

Visual Basic example

Visual C++ example

Syntax | ChannelConstants Channel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the channel value in the RemapIntensity dialog box.

It is a value that represents the channel for which to change the intensity. Possible values are:

Value | Meaning
CHANNEL_MASTER | [0] All channels.
CHANNEL_RED | [1] Red channel only.
CHANNEL_GREEN | [2] Green channel only.
CHANNEL_BLUE | [3] Blue channel only.

See Also

Elements

ShowRemapIntensityDlg method, RemapTable property, RemapTableSize property


ContourOption property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | ContourFilterOption ContourOption
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an option value in the ContourFilter dialog box. This value tells the method what process to complete before returning.

Possible values are:

Value | Meaning
CONTOUR_THIN | [0] return after the thinning algorithm
CONTOUR_LINK_BLACKWHITE | [1] return after contour linking, using only black and white
CONTOUR_LINK_GRAY | [2] return after contour linking, using 256 grayscale
CONTOUR_LINK_COLOR | [3] return after contour linking, using colors
CONTOUR_APPROX_COLOR | [4] return after line segment approximation, using colors

See Also

Elements

ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection property, MaxError property, OptionFlags property


DeltaDirection property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short DeltaDirection
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum angle for the thinning algorithm in the ContourFilter dialog box.

Values can be from 1 to 64.

See Also

Elements

ContourFilter method , ShowContourFilterDlg method, Threshold property, MaxError property, OptionFlags property


Depth property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short Depth
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the apparent depth of this three-dimensional effect from the Emboss dialog box.

Valid values are 0 to 1000, with 500 as normal.

See Also

Elements

Emboss method , ShowEmbossDlg method, Direction property


DialogStatus property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.
DLG_EXPORTANDEXIT | "Exit and Export" was se lected from the menu and the dialog exited successfully. The StitchBitmap property will be updated with the exported bitmap.

See Also

Elements

ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


DialogStatus property (ILEADRasterDlgEfx)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.


Dimension property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Dimension
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the dimension value.

The Dimension property is associated with the following dialog boxes:

AntiAlias dialog box: | In this case it represents the size of the anti-aliasing mask. This value represents the side of a square neighborhood. Possible values range from 2 - 100.
Average dialog box: | In this case it represents the size of the averaging neighborhood. It is the length, in pixels, of one side of a square. The size ranges from 2 to 255.
MaxFilter dialog box: | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.
Median dialog box: | In this case it represents the size of the neighborhood used to determine the median. It is the length, in pixels, of one side of a square. Possible values range from 2 to 100.
MinFilter dialog box: | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 100.
Mosaic dialog box: | In this case it represents the dmensions of the tiles (uDim x uDim), in pixels. Possible values range from 2 to 64.
MotionBlur dialog box: | In this case it represents the size of the blur effect, in pixels. Possible values range from 3 - 100.
Oilify dialog box: | In this case it represents the Dimensions of the neighborhood used for filtering (uDim x uDim), in pixels. Possible values range from 2 to 255.
RadialBlur dialog box: | In this case it represents the size of the neighborhood used in blurring. Increasing this value will increase the amount of blurring. Possible values range from 2 - 100.
Wind dialog box: | In this case it represents the size, in pixels, of the thin lines used to create the wind effect. Possible values range from 2 - 100.
ZoomBlur dialog box: | In this case it represents the amount of blur. Possible values range from 2 - 100.

See Also

Elements

ShowMotionBlurDlg method, ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowAntiAliasDlg method, ShowAverageDlg method, ShowMedianDlg method, ShowMaxFilterDlg method, ShowMinFilterDlg method, ShowEmbossDlg method, ShowOilifyDlg method, ShowMosaicDlg method, ShowWindDlg method, Angle property, EnableUnidirectional property, CenterX property, CenterY property, Stress property, Opacity property


Direction property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | DirectionConstants Direction
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the direction of the apparent light source in the Emboss dialog box.

Possible values are:

Value | Meaning
EMBOSS_N | [0]
EMBOSS_NE | [1]
EMBOSS_E | [2]
EMBOSS_SE | [3]
EMBOSS_S | [4]
EMBOSS_SW | [5]
EMBOSS_W | [6]
EMBOSS_NW | [7]

See Also

Elements

Emboss method , ShowEmbossDlg method, Depth property


DirectoryPath property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | BSTR DirectoryPath
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a string that contains the full path to the directory that contains the images to use, in the Picturize dialog box.

Only images from this directory will be used. Images in any subdirectories will NOT be used.

See Also

Elements

ShowPicturizeDlg method, CellWidth property, CellHeight property, PicturizeResizeFlags property


EdgeDetectionFilterType property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | EdgeDetectorConstants EdgeDetectionFilterType
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the edge detection filter in the EdgeDetector dialog box.

If a user selects an edge detection filter from the EdgeDetector dialog box, the EdgeDetectionFilterType property is updated with the value that corresponds to the filter chosen. Possible values are:

Value | Meaning
EDG_SOBEL_VERT | [0x0101] Detect the vertical edges
EDG_SOBEL_HORZ | [0x0102] Detect the horizontal edges
EDG_SOBEL_ALL | [0x0103] Detect horizontal & vertical edges
EDG_PREWITT_VERT | [0x0201] Detect the vertical edges
EDG_PREWITT_HORZ | [0x0202] Detect the horizontal edges
EDG_PREWITT_ALL | [0x0203] Detect horizontal & vertical edges
EDG_LAPLACE_1 | [0x0301] Detect vertical & horizontal edges
EDG_LAPLACE_2 | [0x0302] Detect general edges
EDG_LAPLACE_3 | [0x0303] Detect general edges. (The filter used for this option is different than the filter used for the EDG_LAPLACE_2 filter.)
EDG_LAPLACE_DIAG | [0x0304] Detect the diagonal edges
EDG_LAPLACE_HORZ | [0x0305] Detect the horizontal edges
EDG_LAPLACE_VERT | [0x0306] Detect the vertical edges
EDG_GRADIENT_N | [0x0401] Detect north edges
EDG_GRADIENT_NE | [0x0402] Detect north east edges
EDG_GRADIENT_E | [0x0403] Detect east edges
EDG_GRADIENT_SE | [0x0404] Detect south east edges
EDG_GRADIENT_S | [0x0405] Detect south edges
EDG_GRADIENT_SW | [0x0406] Detect south west edges
EDG_GRADIENT_W | [0x0407] Detect west edges
EDG_GRADIENT_NW | [0xX0408] Detect north west edges

See Also

Elements

ShowEdgeDetectorDlg method, Threshold property


EnableMethodErrors property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.

See Also

Elements

ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


EnableUnidirectional property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableUnidirectional
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the Unidirection checkbox was checked in the MotionBlur dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The Unidirection check box was checked. The motion blur effect is only in the direction specified in the Angle property.
VARIANT_FALSE | The Unidirection check box wasn’t checked. The motion blur effect is along the line with that angle specified in the Angle property. For example, if the Angle property is 0, the blur effect will occur in the 0 degree direction and the 180 degree direction.

Set this property before calling the ShowMotionBlurDlg method to initialize the dialog box.

See Also

Elements

ShowMotionBlurDlg method, Angle property, Dimension property


EnableZoomToFit property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableZoomToFit
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Setting | Description
VARIANT_TRUE | Set the initial zoom level to "Zoom to fit".
VARIANT_FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements

DlgHelp event, ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


Factor property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Factor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the multiplication factor by which to multiply the bitmap in the Multiply dialog box.

The factor used is equal to Factor / 100. Possible values are:

If you are working with: | possible values are:
16-bit grayscale images. | 0 - 6553500
12-bit images. | 0 - 409500
Images of other bits per pixel | 0 - 25500

See Also

Elements

ShowMultiplyDlg method


FillColor property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR FillColor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color used to fill any exposed areas.

The FillColor property is associated with the following dialog boxes:

FreeHandWave dialog box

Polar dialog box

ZoomWave dialog box

RadialWave dialog box

Wave dialog box

WaveShear dialog box

Punch dialog box

Ripple dialog box

Bending dialog box

Spherize dialog box

See Also

Elements

ShowFreeHandWaveDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg method, ShowWaveDlg method, ShowWaveShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowSpherizeDlg method, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, Amplitude property, Frequency property, Phase property, ZoomFactor property, CenterX property, CenterY property, HorizontalScale property, VerticalScale property, Value property, Stress property, Attenuation property


Frequency property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Frequency
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of repeated waves along the radial line.

The Frequency property is associated with the following dialog boxes:

ZoomWave dialog box: | The value must be greater than zero.
Ripple dialog box: | The values range from 1 to one-half the length of the image's diagonal. ( 1 – (length of image diagonal)/2 ).

See Also

Elements

ShowZoomWaveDlg method, ShowRippleDlg method, Amplitude property, Phase property, ZoomFactor property, CenterX property, CenterY property, FillColor property, Attenuation property


HistogramFlags property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | HistogramConstants HistogramFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value used to determine which bits to use when calculating the histogram. This value is used only if the bitmap is 12 or 16-bit grayscale. Possible values are:

Value | Meaning
HIST_LOWHIGH_BITS | [0x0000] Use the only the bits between the LowBit and HighBit values stored in the bitmap handle.
HIST_ALL_BITS | [0x0010] Use all the bits for calculating the histogram (the LowBit and HighBit values from the bitmap handle are ignored.

See Also

Elements

ShowHistogramDlg method


HorizontalDim property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long HorizontalDim
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal effect size, in pixels, in the Impressionist dialog box.

Possible values range from 1 – 100.

See Also

Elements

ShowImpressionistDlg method, VerticalDim property


HorizontalScale property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long HorizontalScale
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the horizontal wave, given as a percentage of the Amplitude property, in the Wave dialog box.

The valid range is from 0 to 100.

See Also

Elements

ShowWaveDlg method, Amplitude property, WaveLength property, Angle property, VerticalScale property, FillColor property


ImageEffectFlags property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long ImageEffectFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by the dialog methods listed in the table below. The options available for each dialog method depends on and are listed with each image processing method.

Dialog methods that uses this property: | For a list of possible values refer to:
ShowBendingDlg | Bending method
ShowCylindricalDlg | Cylindrical method
ShowFreeHandWaveDlg | FreeHandWave method
ShowPixelateDlg | Pixelate method
ShowPolarDlg | Polar method
ShowPunchDlg | Punch method
ShowRadialWaveDlg | RadWave method
ShowRippleDlg | Ripple method
ShowSpherizeDlg | Spherize method
ShowUnsharpMaskDlg | UnsharpMask method
ShowWaveDlg | Wave method
ShowWaveShearDlg | FreeHandShear method
ShowZoomWaveDlg | ZoomWave method

See Also

Elements

ShowWaveDlg method, ShowWaveShearDlg method, ShowPunchDlg method, ShowRippleDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, ShowPixelateDlg method, ShowUnsharpMaskDlg method, ShowFreeHandWaveDlg method, ShowPolarDlg method, ShowZoomWaveDlg method, ShowRadialWaveDlg method


ItemBitmap property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | TBitmapHandle ItemBitmap (L_UINT uIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the array of bitmaps to be included in:

the "Available " list in the AddBitmaps dialog, or

the image picker in either the Underlay dialog or the Stitch dialog.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowUnderlayDlg method, ShowAddBitmapsDlg method


ItemDescription property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | BSTR ItemDescription (L_UINT uIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of strings that contains the text used to fill the "Available List" in the AddBitmaps or Underlay dialog boxes.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowUnderlayDlg method, ShowAddBitmapsDlg method, ItemsCount property, ItemFileName property, ItemBitmap property, SelectedBitmapList property


ItemFileName property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | AnsiString ItemFileName (L_UINT uIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets an array of strings that contains the name of the file that contains the bitmap referenced by the ItemBitmap property.

Set this property to a fully qualified path name if you wish to supply a thumbnail for previewing purposes only. This fully qualified path name will be used to load the bitmap when needed. Set this field to ‘’ to indicate that the bitmap set in the ItemBitmap is not a thumbnail but is the bitmap to be used in processing.

You have to set the ItemsCount property before using this property.

See Also

Elements

ShowUnderlayDlg method, ShowAddBitmapsDlg method


ItemsCount property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short ItemsCount
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of items associated with the Underlay and AddBitmaps dialog boxes.

You have to set this property to the number of elements you want to pass to the Underlay or AddBitmaps dialog box before you set any other item properties (ItemBitmap property, ItemDescription property, and ItemFileName property).

Setting this property to 0 will clear the ItemBitmap property, ItemDescription property and ItemFileName property.

See Also

Elements

ShowUnderlayDlg method, ShowAddBitmapsDlg method, SelectedBitmapList property


MaxError property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short MaxError
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or set the maximum error for the approximation algorithm in the ContourFilter dialog box.

Values can be from 0 to 255.

See Also

Elements

ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection, OptionFlags property


Opacity property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Opacity
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the opacity value.

The Opacity property is associated with the following properties:

Wind dialog box: | In this case it represents the density, in pixels, of the thin lines used to create the wind effect. Possible values range from 0 - 100.
Pixelate dialog box: | In this case it represents how transparent the cells are, compared to the original pixels. This is a percentage. Possible values are 0 – 100. (0 is total opacity and 100 is total transparency.)

See Also

Elements

ShowWindDlg method, ShowPixelateDlg method, CellWidth property, CellHeight property, CenterX property, CenterY property, Angle property, Dimension property


OptionFlags property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long OptionFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the option flags for the ContourFilter dialog box. These flags represent the options present in the ContourOption dropdown list box in the ContourFilter dialog box. Possible values are:

Value | Meaning
CONTOURFILTER_SHOW_OPTION_THIN | [0x00000001] the return after thinning option is available.
CONTOURFILTER_SHOW_OPTION_LINK_BW | [0x00000002] the return after contour linking using only black and white option is available
CONTOURFILTER_SHOW_OPTION_LINK_GRAY | [0x00000004] the return after contour linking using 256 grayscale options is available.
CONTOURFILTER_SHOW_OPTION_LINK_COLOR | [0x00000008] the return after contour linking using colors option is available.
CONTOURFILTER_SHOW_OPTION_APPROX_COLOR | [0x00000010] the return after line segment approximation option is available.
CONTOURFILTER_SHOW_OPTION_ALL | [0x0000001F] ALL the options above available.

See Also

Elements

ContourFilter method , ShowContourFilterDlg method, Threshold property, DeltaDirection property, MaxError property, ContourOption property


Phase property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Phase
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the wave phase shift.

This property value is in hundredths of degrees.

The valid range is from –36000 to 36000. The value in degrees is Phase divided by 100.

This property is associated with ZoomWave, RadialWave, and Ripple dialog boxes.

See Also

Elements

ShowZoomWaveDlg method, ShowRadialWaveDlg method, ShowRippleDlg method, Amplitude property, Frequency property, ZoomFactor property, CenterX property, CenterY property, FillColor property, WaveLength property, Attenuation property


PicturizeResizeFlags property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | PicturizeConstants PicturizeResizeFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the PicturizeResizeFlags in the Picturize dialog box.

The PicturizeResizeFlags property controls the behavior of the picturize process.

Possible values are given below. These values can be combined using OR (|).

Value | Meaning
PICTURIZE_RESIZE | [0x0002] Resize the images that are not the required size.
PICTURIZE_RESAMPLE | [0x0004] Resample the images that are not the required size.
PICTURIZE_ONCE | [0x0010] Use the image only once throughout the process.
PICTURIZE_EQUALUSAGE | [0x020] Use all images equally. That is, before an image will be used twice, all other images must be used at least once.
PICTURIZE_BESTFIT | [0x0040] Images will be resized to fit the image if the bitmap width or height is not a multiple of CellWidth /CellHeight properties.
0 | The picturize process will not use any of the above flags. It will: reload all the files each time you look for a rectangle to substitute and ignore all the images present in DirectoryPath if their size is not CellWidth x CellHeight.

See Also

Elements

ShowPicturizeDlg method, CellHeight property, CellWidth property, DirectoryPath method, BitmapWidth property, BitmapHeight property


Radius property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short Radius
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the neighborhood used for blurring each pixel of the bitmap in the Gaussian and UnsharpMask dialog boxes.

Possible values range from 1 – 1000.

See Also

Elements

ShowGaussianBlurDlg method, ShowUnsharpMaskDlg method, Amount property, Threshold property


Range property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Range
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the noise range value in the AddNoise dialog box.

See Also

Elements

AddNoise method , ShowAddNoiseDlg method, Channel property


Scale property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Scale
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the scaling factor.

The Scale property is associated with the following dialog boxes:

FreeHandWave dialog box: | In this case it represents the factor to be multiplied with the Amplitudes property array values. The values range from 1 to 1000.
WaveShear dialog box: | In this case it represents the factor used to decrease the various amplitude values in the Amplitudes property array. Each value in the Amplitudes property array is multiplied by this factor. The real factor value is the Scale value divided by 100. Therefore, to multiply the amplitude values by 1.0, set this property to 100.The values range (1-100).

See Also

Elements

ShowFreeHandWaveDlg method, ShowWaveShearDlg method, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property


SelectedBitmap property (ILEADRasterDlgImgEfx)

SelectedBitmap Property (ILEADRasterDlgImg)

Visual Basic example

Visual C++ example

Syntax | long SelectedBitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the bitmap selected by user when the AddBorder dialog box or the AddFrame dialog box closed successfully.

You can pass this bitmap to the AddBorder method or the AddFrame method .

See Also

Elements

ShowAddBorderDlg method, ShowAddFrameDlg method


SelectedBitmapIndex property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | L_UINT SelectedBitmapIndex
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the index of the selected tile bitmap in the Underlay dialog box.

ThE SelectedBitmapIndex property value must be less than or equal to (ItemsCount – 1).

See Also

Elements

ShowUnderlayDlg method, ItemsCount property, SelectedBitmap property


SelectedBitmapList property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long SelectedBitmapList
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read only) Gets the list of bitmaps selected by the user in the AddBitmaps dialog box for adding or averaging.

The SelectedBitmapsCount property is updated with the number of bitmaps in this list.

See Also

Elements

ShowAddBitmapsDlg method, ItemsCount property, ItemDescription property, ItemBitmap property


SelectedBitmapsCount property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short SelectedBitmapsCount
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read only) Gets the number of bitmaps in the SelectedBitmapList property that were selected by the user in the AddBitmaps dialog box.

See Also

Elements

ShowAddBitmapsDlg method, SelectedBitmapList property


Sharpness property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Sharpness
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the amount to change the sharpness in the Sharpen dialog box.

The sharpness ranges from -1000 to 1000. Negative numbers decrease the sharpness and positive numbers increase the sharpness.

See Also

Elements

Sharpen method , ShowSharpenDlg method


ShowHelpButton property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. Possible values are:

Setting | Description
VARIANT_TRUE | Help Button will be displayed.
VARIANT_FALSE | Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp event, ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


SpatialFilterType property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | SpatialFilterConstants SpatialFilterType
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the spatial filter type used with the Spatial Filter dialog boxes.

If a user selects a spatial filter from one of the Spatial filter dialog boxes, the SpatialFilterType property is set to a value that corresponds to the filter chosen.

The Spatial filter dialog boxes are:

ShiftDifferenceFilter dialog box: | The spatial filter applies shift-and-difference edge detection. All pixels not on the detected edges are changed to black. Choose the appropriate value for diagonal, horizontal, or vertical detection. Possible values are: SHIFTDIFF_DIAG SHIFTDIFF_HORZ SHIFTDIFF_VERT
GradientFilter dialog box: | Gradient filters detect edges. All pixels not on the detected edges are changed to black. Choose the appropriate value for the direction of the effect. Possible values are: GRADIENT_N GRADIENT_NE GRADIENT_E GRADIENT_SE GRADIENT_S GRADIENT_SW GRADIENT_W GRADIENT_NW
LaplacianFilter dialog box: | Laplacian filters apply Laplacian line detection. There are three omnidirectional filters and three bi-directional ones. All pixels not on the detected lines are changed to black. Possible values are: LAPLACE_1 LAPLACE_2 LAPLACE_3 LAPLACE_DIAG LAPLACE_HORZ LAPLACE_VERT
SobelFilter dialog box: | Sobel filters apply Sobel edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Prewitt, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are: SOBEL_HORZ SOBEL_VERT
PrewittFilter dialog box: | The Prewitt filter applies Prewitt edge detection. All pixels not on the detected edges are changed to black. (The usage is the same as Sobel, but the algorithm is different.) Choose the appropriate value for horizontal or vertical detection. Possible values are: PREWITT_HORZ PREWITT_VERT
LineSegmentFilter dialog box: | The Line Segment filter applies line segment line detection. You can use this filter to find line discontinuities in an image. All pixels not on the detected line segments are changed to black. Choose the appropriate value for horizontal, vertical, left-to-right diagonal, or right-to-left diagonal detection. Possible values are: LINESEG_HORZ LINESEG_VERT LINESEG_LTOR LINESEG_RTOL

See Also

Elements

SpatialFilter , ShowShiftDifferenceFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg


StitchBackgroundColor property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR StitchBackgroundColor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the value that specifies the background color for the resulting image in the Stitch dialog box.

This value is used to initialize the back-color color picker in the Image Attributes sub dialog.

See Also

Elements

ShowStitchDlg method, BitmapWidth property, BitmapHeight property, StitchBitsPerPixel property, StitchResolution property, WindowIcon property, StitchBitmap property


StitchBitmap property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long StitchBitmap
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets the bitmap resulting when the Stitch dialog box closes successfully.

See Also

Elements

ShowStitchDlg method, ItemBItmap property, BitmapWidth property, BitmapHeight property, StitchBitsPerPixel property, StitchResolution property, StitchBackgroundColor property, WindowIcon property


StitchBitmapHeight property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long StitchBitmapHeight
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of the bitmap in the StitchBitmap property.

The StitchBitmapHeight property represents the initial height of the resulting stitched bitmap, in pixels. This value is used to initialize the Height edit box in the Image Attributes sub dialog.

See Also

Elements

ShowStitchDlg method, StitchBitmapWidth property, StitchResolution property, StitchBackgroundColor property, WindowIcon property, StitchBitmap property


StitchBitmapWidth property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long StitchBitmapWidth
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the bitmap in the StitchBitmap property.

The StitchBitmapWidth property represents the initial width of the resulting stitched bitmap, in pixels. This value is used to initialize the Width edit box in the Image Attributes sub dialog.

See Also

Elements

ShowStitchDlg method, StitchBitmapHeight property, StitchResolution property, StitchBackgroundColor property, WindowIcon property, StitchBitmap property


StitchBitsPerPixel property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long StitchBitsPerPixel
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the image depth of the resulting image in the Stitch dialog box.

This may be 1, 4, 8, 16, 24 bpp. This value is used to initialize the Depth combo box in the Image Attributes sub dialog.

See Also

Elements

ShowStitchDlg method, StitchBitmapWidth property, StitchBitmapHeight property, StitchResolution property, StitchBackgroundColor property, WindowIcon property, StitchBitmap property


StitchIcon property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | PICTUREDISP * StitchIcon
Overview | Refer to Using Imaging Common Dialogs

Remarks

Sets a custom Stitch Window icon.

You can assign this property to Nil (NULL) to use the default icon.

See Also

Elements

ShowStitchDlg method, ItemBitmap property, BitmapWidth property, BitmapHeight property, StitchBitsPerPixel property, StitchResolution property, StitchBackgroundColor property, StitchBitmap property


StitchResolution property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | L_UINT StitchResolution
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal and vertical resolution, in dots per inch, in the Stitch dialog box.

This value is used to initialize the Resolution edit box in the Image Attributes sub dialog.

See Also

Elements

ShowStitchDlg method, BitmapWidth property, BitmapHeight property, StitchBitsPerPixel property, WindowIcon property, StitchBitmap property


Stress property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Stress
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Stress value.

The Stress property is associated with the following dialog boxes:

RadialBlur dialog box: | In this case it represents the blur intensity. Possible values range from 0 - 15.
ZoomBlur dialog box: | In this case it represents the blur intensity. Possible values range from 0 - 100.
Punch dialog box: | In this case it represents the amount of punching intensity. This value is ignored when the Value property is less than 0. Valid values range from 0 to 1000.

See Also

Elements

ShowRadialBlurDlg method, ShowZoomBlurDlg method, ShowPunchDlg method, CenterX property, CenterY property, Dimension property, Value property, FillColor property


Threshold property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long Threshold
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Threshold value.

The Threshold property is associated with the following dialog boxes:

AntiAlias dialog box: | In this case it represents which pixels to smooth. The application of the anti-aliasing filter on the image associates a value with each pixel. Only pixels with values above this threshold are smoothed. Possible values are:
 | If the image is: | Range of possible values:
 | 12-bit. | 0-4095
 | 16-bit, 48-bit, or 64-bit. | 0-65535
 | Other bits per pixel. | 0-255
ContourFilter dialog box: | In this case it represents the gradient magnitude. Values below this will be considered as background, and will be set to 0. Values can be from 1 to 254. A lower threshold provides a better quality image.
UnsharpMask dialog box: | In this case it represents the threshold for modifying the original value of the pixel. Possible values range from 0 - 255.
EdgeDetector dialog box: | In this case it represents the Threshold value used to determine which pixels are edge pixels. Possible values depend on the image, as shown here:
 | If the image is: | Possible values are:
 | The image is 16-bit gray, 48-bit, or 64-bit. | 0-65535
 | The image is 12-bit. | 0-4095
 | Otherwise. | 0-255

See Also

Elements

ShowAntiAliasDlg, ShowContourFilterDlg, ShowUnsharpMaskDlg, ShowEdgeDetectorDlg, EdgeDetectionFilterType, Amount, Radius, DeltaDirection, MaxError, ContourOption, OptionFlags, Dimension, AntiAliasFilterType


UIFlags property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long UIFlags
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

DlgHelp event, ShowMotionBlurDlg, ShowRadialBlurDlg, ShowZoomBlurDlg, ShowGaussianBlurDlg, ShowAntiAliasDlg, ShowAverageDlg, ShowMedianDlg, ShowAddNoiseDlg, ShowMaxFilterDlg, ShowMinFilterDlg, ShowSharpenDlg, ShowShiftDifferenceFilterDlg, ShowEmbossDlg, ShowOilifyDlg, ShowMosaicDlg, ShowErosionFilterDlg, ShowDilationFilterDlg, ShowContourFilterDlg, ShowGradientFilterDlg, ShowLaplacianFilterDlg, ShowSobelFilterDlg, ShowPrewittFilterDlg, ShowLineSegmentFilterDlg, ShowUnsharpMaskDlg, ShowMultiplyDlg, ShowAddBitmapsDlg, ShowStitchDlg, ShowFreeHandWaveDlg, ShowWindDlg, ShowPolarDlg, ShowZoomWaveDlg, ShowRadialWaveDlg, ShowSwirlDlg, ShowWaveDlg, ShowWaveShearDlg, ShowPunchDlg, ShowRippleDlg, ShowBendingDlg, ShowCylindricalDlg, ShowSpherizeDlg, ShowImpressionistDlg, ShowPixelateDlg, ShowEdgeDetectorDlg, ShowUnderlayDlg, ShowPicturizeDlg.


Value property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short Value
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that represents the amount of stretching.

The Value property is associated with the following dialog boxes:

Punch dialog box: | In this case positive values pinch the image toward its center and negative values expand the image away from its center. Valid values range from –500 to 500.
Bending dialog box: | In this case positive values stretch the pixels toward edges, and negative values stretch the pixels toward the center. Possible values range from –500 to 500.
Cylindrical dialog box: | In this case positive values stretch the pixels toward the bitmap edges, depending on the type of cylinder, and negative values stretch the pixels toward the central line of the cylinder. The valid range is from –100 to 100.
Spherize dialog box: | In this case, positive values stretch the central pixels toward the edges and negative values stretch the pixels toward the center. Valid range is from –500 to 500.

See Also

Elements

ShowPunchDlg method, ShowBendingDlg method, ShowCylindricalDlg method, ShowSpherizeDlg method, Stress property, CenterX property, CenterY property, FillColor property


VerticalDim property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long VerticalDim
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the vertical effect size, in pixels, in the Impressionist dialog box.

Possible values range from 1 – 100.

See Also

Elements

ShowImpressionistDlg method, HorizontalDim property


VerticalScale property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long VerticalScale
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the vertical wave, given as a percentage of the Amplitude property, in the Wave dialog box.

The valid range is from 0 to 100.

See Also

Elements

ShowWaveDlg method, Amplitude property, WaveLength property, Angle property, HorizontalScale property, FillColor property


Visible property (ILEADRasterDlgImgEfx)

This property is obsolete.


WaveLength property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | short WaveLength
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the wavelength value.

The WaveLength property is associated with the following dialog boxes:

FreeHandWave dialog box: | In this case, if DIS_PER is set in the ImageEffectFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in ImageEffectFlags property, this value is the number of repeated waves. Possible values range from 0 – 100
RadialWave dialog box: | In this case, if DIS_PER is set in the ImageEffectsFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in ImageEffectFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.
Wave dialog box: | In this case, if DIS_PER is set in the ImageEffectFlags property. Possible values range from 0 – 100 and give the wavelength as a percentage of the bitmap dimensions. If DIS_FRQ is set in ImageEffectFlags property, this value is the number of repeated waves. Possible values range from 0 – 100.

See Also

Elements

ShowFreeHandWaveDlg method, ShowRadialWaveDlg method, ShowWaveDlg method, Amplitudes property, AmplitudesCount property, Scale property, WaveLength property, Angle property, FillColor property¸ Amplitude property, Phase property, CenterX property, CenterY property, HorizontalScale property, VerticalScale property


ZoomFactor property (ILEADRasterDlgImgEfx)

Visual Basic example

Visual C++ example

Syntax | long ZoomFactor
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the zoom factor in the ZoomWave dialog box.

This property represents the percentage the wave grows as it moves from the image center. The valid range is from 0 to 100.

See Also

Elements

ShowZoomWaveDlg method, Amplitude property, Frequency property, Phase property, CenterX property, CenterY property, FillColor property


DlgFont Property (ILEADRasterDlgKrn)

Visual Basic example

Visual C++ example

Syntax | IFontDisp *DlgFont;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets font to be used in the LEADTOOLS Common Dialogs.

The DlgFont object has the following properties:

Property | Description
Bold | TRUE for bold text; FALSE for not bold.
Italic | TRUE for italic text; FALSE for not italic.
Name | Text string for name of the font. For example: "Times New Roman".
Size | Size of the font, in points. The maximum value s 2048 points.
StrikeThrough | TRUE for a line through the text; FALSE for no line.
Underline | TRUE for underlined text; FALSE for not underlined.
Weight | Possible runtime values are 400 for light and 700 for heavy.

See Also

Elements

InitDlg method, FreeDlg method, SetDlgString method, GetDlgString method


FreeDlg method (ILEADRasterDlgKrn)

Visual Basic example

Visual C++ example

Syntax | short FreeDlg();
Overview | Refer to Using Imaging Common Dialogs

Remarks

Frees the internal data for the LEADTOOLS Common Dialogs.

This method will free the internal data for the LEADTOOLS Common Dialogs Controls that was allocated by InitDlg. You should only call this method if you have previously called the InitDlg method. After calling this method you will not be able to use any LEADTOOLS Common Dialog Controls.

See Also

Elements

InitDlg method, DlgFont property, SetDlgString method, GetDlgString method


InitDlg method (ILEADRasterDlgKrn)

Visual Basic example

Visual C++ example

Syntax | short InitDlg(InitDlgConstants Flags);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Initializes the internal data for the LEADTOOLS Common Dialogs Controls.

You must call this method once and only once before using any LEADTOOLS Common Dialogs Controls. Additionally, you must call FreeDlg when you are finished using LEADTOOLS Common Dialogs Controls in your application.

See Also

Elements

FreeDlg method, DlgFont property, SetDlgString method, GetDlgString method


SetDlgString method (ILEADRasterDlgKrn)

Visual Basic example

Visual C++ example

Syntax | short SetDialogString (long lIndex, BSTR pszString);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Sets the new string for the specified index in order to change the dialog’s strings.

To retrieve the string at a specific index, use the GetDlgString method.

See Also

Elements

InitDlg method, DlgFont property, FreeDlg method, GetDlgString method


GetDlgString method (ILEADRasterDlgKrn)

Visual Basic example

Visual C++ example

Syntax | BSTR GetDialogString(long lIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets the current string for the specified index.

To modify the text strings use the SetDlgString method.

See Also

Elements

InitDlg method, DlgFont property, FreeDlg method, SetDlgString method


DlgHelp event (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | void DlgHelp (long DlgFrom, long CtlID);
Overview | Refer to Using Imaging Common Dialogs

Remarks

The DlgHelp event is triggered when the user clicks on the Help Button on any dialog. To include a help button in a dialog, the ShowHelpButton property must be set to VARIANT_TRUE.

See Also

Elements

ShowHelpButton property


ShowGIFWebTunerDlg method (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ShowGIFWebTunerDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the GIF Web Tuner dialog box, and gets the tuning options used by the ColorRes , Fill , and Save methods.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
GIFWEBTUNER_SHOW_CONTEXTHELP | [0X00000001] dialog should contain a context sensitive help icon.
GIFWEBTUNER_SHOW_PREVIEW | [0X00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
GIFWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [0X00000004] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The GIFWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
GIFWEBTUNER_SHOW_TOOL_COLORPICKER | [0X00000008] show the Color button.
GIFWEBTUNER_SHOW_ADDWINDOWCOLOR | [0X00000020] show the Add Window colors check box.
GIFWEBTUNER_SHOW_TRANSPARENCY | [0X00000040] show the Transparency group of controls.
GIFWEBTUNER_SHOW_INFORMATION | [0X00000080] show the Information group of controls.
GIFWEBTUNER_SHOW_OPTIONS | [0X00000100] show the Options group of controls.
GIFWEBTUNER_SHOW_EXPORT | [0X00000200] show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include GIFWEBTUNER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this method:

TransparentColor property

PaletteType property

EnableWindowsColors Property

DitherType property

BitsPerPixel property

NumOfColors property

TransparencyTolerance property

EnableTransparent Property

Interlaced property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The GIF Web Tuner dialog can be seen below:

See Also

Elements

ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowHTMLMapperDlg method (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ShowHTMLMapperDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the HTML Map Creator dialog, in order to create an HTML map upon an image. Use this dialog to create an HTML map area using the given bitmap.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible option is:

Value | Meaning
HTMLMAPPER_SHOW_CONTEXTHELP | [0X00000001] dialog should contain a context sensitive help icon.

The following properties are associated with this method:

URL property

URLMaxLength property

URLMaxLength property

URLValidEntryCount property

ALT property

ALTMaxLength property

ALTEntryCount property

ALTValidEntryCount property

Target property

TargetMaxLength property

TargetEntryCount property

TargetValidEntryCount property

Rollover property

RolloverMaxLength property

RolloverEntryCount property

RolloverValidEntryCount property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The HTML Map Creator dialog can be seen below:

See Also

Elements

ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowJPEGWebTunerDlg method (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ShowJPEGWebTunerDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the JPEG Web Tuner dialog box, and gets the tuning options used by the Save and SaveWithStamp methods.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
JPEGWEBTUNER_SHOW_CONTEXTHELP | [0X00000001] dialog should contain a context sensitive help icon.
JPEGWEBTUNER_SHOW_PREVIEW | [0X00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
JPEGWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [0X00000004] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The JPEGWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
JPEGWEBTUNER_SHOW_INFORMATION | [0X00000008] show the Information group of controls.
JPEGWEBTUNER_SHOW_SAVETHUMBNAIL | [0X00000010] show the Save Thumbnail control.
JPEGWEBTUNER_SHOW_OPTIONS | [0X00000100] show the Options group of controls.
JPEGWEBTUNER_SHOW_EXPORT | [0X00000200] show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include JPEGWEBTUNER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this method:

Quality property

Format property

Progressive property

EnableStamp Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The JPEG Web Tuner dialog can be seen below:

See Also

Elements

ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ShowPNGWebTunerDlg method (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ShowPNGWebTunerDlg (long hWnd);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Displays the PNG Web Tuner dialog box, and gets the tuning options used by ColorRes , Fill , and Save methods.

The layout and action of the dialog depends on the flags set in the UIFlags property. Possible options are:

Value | Meaning
PNGWEBTUNER_SHOW_CONTEXTHELP | [0X00000001] dialog should contain a context sensitive help icon.
PNGWEBTUNER_SHOW_PREVIEW | [0X00000002] show a preview of the image in the dialog. The Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.
PNGWEBTUNER_SHOW_TOOL_ZOOMLEVEL | [0X00000004] show the "Zoom to fit" and "Zoom Normal" toolbar buttons. The PNGWEBTUNER_SHOW_PREVIEW flag must be set in order to show these buttons.
PNGWEBTUNER_SHOW_TOOL_COLORPICKER | [0X00000008] show the color button in the toolbar.
PNGWEBTUNER_SHOW_INFORMATION | [0X00000010] show the Information group of controls.
PNGWEBTUNER_SHOW_ADDWINDOWCOLOR | [0X00000020] show the Add Window Colors check box.
PNGWEBTUNER_SHOW_TRANSPARENCY | [0X00000040] show the Transparency group of controls.
PNGWEBTUNER_SHOW_EXPORT | [0X00000080] show the Export button instead of the OK button.

These values may be combined by ORing them.

If you include PNGWEBTUNER_SHOW_PREVIEW in the UIFlags property, the Common Dialog Bitmap property must be assigned a valid bitmap before calling this method.

The following properties are associated with this method:

TransparentColor property

PaletteType property

EnableWindowsColors Property

DitherType property

BitsPerPixel property

NumOfColors property

TransparencyTolerance property

EnableTransparent Property

To include a Help button in the dialog, set the ShowHelpButton property to VARIANT_TRUE.

The PNG Web Tuner dialog can be seen below:

See Also

Elements

ShowHelpButton property, EnableZoomToFit Property, UIFlags Property, EnableMethodErrors property


ALT Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | BSTR ALT(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the ALTs displayed in the ALT History Combo Box in the HTMLMapper dialog box.

The ALT history combo box may be used to enter a short description of a specific area. Some browsers can display this text as a tool tip when the user hovers over the area. This property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements

ShowHTMLMapperDlg method


ALTEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ALTEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of ALT strings in the HTMLMapper dialog box.

The ALTEntryCount property value should be greater than or equal to the ALTValidEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


ALTMaxLength Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ALTMaxLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum size of ALT strings displayed in the ALT History Combo Box in the HTMLMapper dialog box. All ALT strings will have the same size.

See Also

Elements

ShowHTMLMapperDlg method


ALTValidEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short ALTValidEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of valid ALT strings in the ALT combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the ALT combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the ALT combo box. The ALTValidEntryCount property should always be less than or equal to the ALTEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


Bitmap property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | long Bitmap
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle of the bitmap.

If you wish to use a bitmap in another control or LEADTOOLS COM Object, you must assign the Bitmap property to the destination control.

Setting this property to 0 clears the bitmap from memory. You can assign its value to another Object's Bitmap property to create a copy.

If a region is defined for the bitmap, the region is also freed or copied.

When assigning from this property to one of the other objects, a reference is made to the source object's bitmap.

See Also

Elements

DialogStatus property, EnableMethodErrors Property, ShowHelpButton Property, DlgHelp event, UIFlags Property, EnableZoomToFit Property


BitsPerPixel Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short BitsPerPixel;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the bits per pixel for the tuned bitmap.

The BitsPerPixel property is associated with the following dialog boxes:

PNGWebTuner dialog box: | In this case the valid values will be: 1, 4, 8, 24, and 32 bpp.
GIFWebTuner dialog box: | In this case the valid values will be: 1, 2, 3, 4, 5, 6, 7, and 8 bpp.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


DialogStatus property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | DialogStatusConstants DialogStatus
Overview | Refer to Using Imaging Common Dialogs

Remarks

(Read Only) Gets a value that represents the status of a dialog. Possible values are:

Value | Meaning
DLG_OK | The "OK" button was pressed, and the dialog exited successfully.
DLG_CANCEL | The "Cancel" button was pressed, and the dialog exited successfully.
DLG_CLOSE | The dialog exits successfully after pressing the "Close" button.


DitherType Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | long DitherType;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the dithering type to use. Possible values are:

Value | Meaning
CRF_NODITHERING | Use nearest color matching
CRF_FLOYDSTEINDITHERING | Use Floyd-Steinberg dithering
CRF_STUCKIDITHERING | Use Stucki dithering
CRF_BURKESDITHERING | Use Burkes dithering
CRF_SIERRADITHERING | Use Sierra dithering
CRF_STEVENSONARCEDITHERING | Use Stevenson Arce dithering
CRF_JARVISDITHERING | Use Jarvis dithering
CRF_ORDEREDDITHERING | Use ordered dithering, which is faster but less accurate than other dithering methods.
CRF_CLUSTEREDDITHERING | Use clustered dithering

The DitherType property is associated with PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


EnableMethodErrors Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableMethodErrors
Overview | Refer to Using Imaging Common Dialogs

Remarks

Specifies whether LEADTOOLS generates runtime exceptions (in addition to method return values). Possible values are:

Setting | Description
VARIANT_TRUE | Generate system error events.
VARIANT_FALSE | Do not generate system error events.

See Also

Elements

ShowPNGWebTunerDlg method


EnableStamp Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableStamp;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Save Thumbnail" checkbox was checked in the JPEGWebTuner dialog box. Possible values:

Setting | Description
VARIANT_TRUE | The "Save Thumbnail" check box was checked. Save the image with a stamp.
VARIANT_FALSE | The "Save Thumbnail" check box wasn’t checked. Save the image without a stamp.

A stamp is a small thumbnail image saved in addition to the normal image in the same file.

See Also

Elements

ShowJPEGWebTunerDlg method


EnableTransparent Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Transparent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Transparency-Enabled" checkbox was checked in the PNGWebTuner or GIFWebTuner dialog boxes. Possible values are:

Setting | Description
VARIANT_TRUE | The "Transparency-Enabled" check box was checked. The PNG or GIF image will have a transparent color.
VARIANT_FALSE | The "Transparency-Enabled" check box wasn’t checked. The PNG or GIF image will not have a transparent color.

The EnableTransparent property is associated with the PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


EnableZoomToFit Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableZoomToFit;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods.

It is a flag that indicates the initial zoom level for previewing the image. Possible values are:

Setting | Description
VARIANT_TRUE | Set the initial zoom level to "Zoom to fit".
VARIANT_FALSE | Set the initial zoom level to "Normal (1:1)".

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method


EnableWindowsColors Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL EnableWindowsColors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Add Windows colors" checkbox was checked in the PNGWebTuner or GIFWebTuner dialog boxes. Possible values are:

Setting | Description
VARIANT_TRUE | The "Add Windows colors" check box was checked. Use the identity palette.
VARIANT_FALSE | The "Add Windows colors" check box wasn’t checked. Do not use the identity palette.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


Interlaced Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Interlaced;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Interlaced" checkbox was checked in the GIFWebTuner dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The "Interlaced" check box was checked. The GIF image will be Interlaced.
VARIANT_FALSE | The "Interlaced" check box wasn’t checked. The GIF image will not be Interlaced.

See Also

Elements

ShowGIFWebTunerDlg method


JPEGFormat Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | JPEGFormatConstants JPEGFormat;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the sub format to use in the JPEGWebTuner dialog box. Possible values are:

Value | Meaning
FILE_JPEG | JPEG File Interchange Format with YUV 4:4:4 color space and Lossless.
FILE_JPEG_411 | JPEG File Interchange Format with YUV 4:2:2 color space.
FILE_JPEG_422 | JPEG File Interchange Format with YUV 4:1:1 color space.

See Also

Elements

ShowJPEGWebTunerDlg method


NumOfColors Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | long NumberOfColors;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum number of colors that the image can have.

When the BitsPerPixel property is 8 or less the image will use indexed colors.

The NumOfColors property is associated with the PNGWebTuner and the GIFWebTuner dialog boxes:

Possible values range from 2 to 256. Indexed PNG or GIF images can have from 2 colors to 256 colors.

Using fewer colors results in smaller files, but also reduces the quality of the image.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


PaletteType Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | long PaletteType;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the type of palette to use. Possible values are:

Value | Meaning
CRF_FIXEDPALETTE | Use the fixed palette
CRF_OPTIMIZEDPALETTE | Create an optimized palette

The PaletteType property is associated with the PNGWebTuner and GIFWebTuner dialog boxes.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


Progressive Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Progressive;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the "Progressive" checkbox was checked in the JPEGWebTuner dialog box. Possible values:

Setting | Description
VARIANT_TRUE | The "Progressive" check box was checked. Save the JPEG image as a progressive image).
VARIANT_FALSE | The "Progressive" check box wasn’t checked. Do not save the JPEG image as a progressive image).

Progressive images are useful when transmitting images, because the first part of the file contains the full dimensions of the image. Therefore, in a paint-while-load routine, you can display the whole image, and then progressively clarify it as the rest of the file loads.

See Also

Elements

ShowJPEGWebTunerDlg method


Quality Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short Quality;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that represents the degree of loss in the compression process in the JPEGWebTuner dialog box.

Valid values are between 2 (highest quality) and 255 (smallest file size) For more information; refer to the Compression Quality Factors .

See Also

Elements

ShowJPEGWebTunerDlg method


Rollover Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | BSTR Rollover (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the information displayed in the Rollover History Combo Box in the HTMLMapper dialog box.

The Rollover property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements

ShowHTMLMapperDlg method


RolloverEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short RolloverEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of Rollovers in the HTMLMapper dialog box.

The RolloverEntryCount property value should be greater than or equal to the RolloverValidEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


RolloverMaxLength Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short RolloverMaxLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum size of the Rollover strings displayed in the Rollover History Combo Box in the HTMLMapper dialog box.

All Rollover strings will have the same size.

See Also

Elements

ShowHTMLMapperDlg method


RolloverValidEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short RolloverValidEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of valid Rollover strings in the Rollover combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the Rollover combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the Rollover combo box. The RolloverValidEntryCount property should always be less than or equal to the RolloverEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


ShowHelpButton Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL ShowHelpButton
Overview | Refer to Using Imaging Common Dialogs

Remarks

Used by all the control dialogs. It determines if a Help button will be displayed in the dialog. If this property is TRUE, a Help Button will be displayed. If it is FALSE, the Help Button will not be displayed and the DlgHelp event will not be available for the dialogs.

See Also

Elements

DlgHelp event


Target Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | BSTR Target(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the information displayed in the "Image" History Combo Box in the HTMLMapper dialog box.

The information in the "Image" combo box can be used to determine how the new page should be displayed. This property can be = ‘’ ("").

The Target property will be updated with the value entered by the user in the dialog.

See Also

Elements

ShowHTMLMapperDlg method


TargetEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short TargetEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of Targets in the HTMLMapper dialog box.

The TargetEntryCount property value should be greater than or equal to the TargetValidEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


TargetMaxLength Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short TargetMaxLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum size of the Target strings displayed in the "Image" History Combo Box in the HTMLMapper dialog box.

All Target strings will have the same size.

See Also

Elements

ShowHTMLMapperDlg method


TargetValidEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short TargetValidEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of valid Target strings in the "Image" combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the "Image" combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the "Image" combo box. The TargetValidEntryCount property should always be less than or equal to the TargetEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


TransparencyTolerance Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short TransparencyTolerance;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets tolerance value.

This property determines how close a pixel's RGB value should be to the specified transparent color to be considered transparent. A tolerance of 0 means only the transparent color specified in the TransparentColor property will be considered transparent. Specifying larger numbers will make more of the image transparent.

Valid values are from 0 to 255.

This property is associated with PNGWebTuner and GIFWebTuner dialog boxes:

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


TransparentColor Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR TransparentColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color that will be transparent in the image.

The TransparentColor property is associated with the following dialog boxes:

PNGWebTuner dialog box: | In this case it represents the color that will be transparent in the PNG image.
GIFWebTuner dialog box: | In this case it represents the color that will be transparent in the GIF image.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method


UIFlags Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | long UIFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

General property used by all the Imaging Common Dialog methods. The options set in this property determine the layout and action of the dialog boxes. The options available for each method depend on and are listed with each method.

See Also

Elements

ShowPNGWebTunerDlg method, ShowGIFWebTunerDlg method, ShowJPEGWebTunerDlg method, ShowHTMLMapperDlg method


URL Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | BSTR URL(short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the URLs displayed in the URL History Combo Box in the HTMLMapper dialog box.

These URLs may be associated with a specific area and activated when the user clicks on that area.

The URL property can be = ‘’ ("").

This property will be updated with the value entered by the user in the dialog.

See Also

Elements

ShowHTMLMapperDlg method


URLEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short URLEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of URLs in the URL History Combo Box in the HTMLMapper dialog box.

The URLEntryCount property value should be greater than or equal to the value in the URLValidEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


URLMaxLength Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short URLMaxLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum size of the URL strings displayed in the URL History Combo Box in the HTMLMapper dialog box.

All URL Strings will have the same size.

See Also

Elements

ShowHTMLMapperDlg method


URLValidEntryCount Property (ILEADRasterDlgWeb)

Visual Basic example

Visual C++ example

Syntax | short URLValidEntryCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of valid URL strings in the URL combo box of the HTMLMapper dialog box.

When the dialog method is called ([in]), this property determines the number of valid strings that should be inserted into the URL combo box. When the dialog method returns ([out]), this property is updated with the number of saved strings in the URL combo box. The URLValidEntryCount property should always be less than or equal to the URLEntryCount property.

See Also

Elements

ShowHTMLMapperDlg method


Flags Property (ILEADRasterDotRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the DotRemove dialog box.

In this case it represents the behavior of the dot removal process. Flags may be combined using a bitwise OR. Possible values are:

Value | Meaning
DOT_SINGLE_REGION | For each dot found by the Dot Remove dialog, the removed dot is added to an internal single region. When the Dot Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the removed dots. If DOT_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed dots. If DOT_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed borders. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
DOT_LEAD_REGION | When the Dot Remove dialog ends, the DocCleanBitmap property is updated with a bitmap that also contains a region with all the removed dots. This flag must be used in conjunction with DOT_SINGLE_REGION. To use this flag set Flags to DOT_SINGLE_REGION Or DOT_LEAD_REGION. The DocCleanBitmap member will be updated when the Dot Remove dialog ends.
DOT_IMAGE_UNCHANGED | The original image is unchanged.
DOT_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.
DOT_USE_SIZE | Use the MinDotWidth, MinDotHeight, MaxDotWidth, MaxDotHeight properties to indicate the size of the dots to remove. If this flag is not set, default values for the four sizes will be used. These defaults are as follows: MinDotWidth = 1, MinDotHeight = 1, MaxDotWidth = 2 and MaxDotHeight = 2.

See Also

Elements

ShowDotRemoveDlg method


MaxDotHeight Property (ILEADRasterDotRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxDotHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum height of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowDotRemoveDlg method


MaxDotWidth Property (ILEADRasterDotRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxDotWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum width of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowDotRemoveDlg method


MinDotHeight Property (ILEADRasterDotRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinDotHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum height of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowDotRemoveDlg method


MinDotWidth Property (ILEADRasterDotRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinDotWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum width of a dot to be removed in the DotRemove dialog box.

If DOT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowDotRemoveDlg method


Delay Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | short Delay;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the effect delay, in milliseconds, in the Effect dialog box.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


EffectStyle Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | short Effect;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the effect in the Effect dialog box. For a list of available effects, refer to Effects

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


Grain Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | short Grain;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the size of the grain in the Effect dialog box

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


MaxPass Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | short MaxPass;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum number of passes in the in the Effect dialog box.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


Transparent Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Transparent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the transparent checkbox was checked in the Effect dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The Transparent check box was checked. Use the transparent color specified in the TransparentColor property.
VARIANT_FALSE | The Transparent check box wasn’t checked. Do not use a transparent color.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


TransparentColor Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR TransparentColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the transparent color for the effect in the Effect dialog box.

The TransparentColor property is used only if the Transparent property is VARIANT_TRUE.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


WandColor Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR WandColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color of the wand, for the effect in the Effect dialog box.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


WandThickness Property (ILEADRasterEffectEfx)

Visual Basic example

Visual C++ example

Syntax | short WandThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the wand, in pixels, for the effect in the Effect dialog box.

See Also

Elements

Effect property, ShowEffectDlg method, UIFlags property


EndColor Property (ILEADRasterGradientEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR EndColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the ending color of the gradient in the Gradient dialog box.

See Also

Elements

ShowGradientDlg method, ShowTransitionDlg method, UIFlags property


GradientStyle Property (ILEADRasterGradientEfx)

Visual Basic example

Visual C++ example

Syntax | short GradientStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the gradient style in the Gradient dialog box. For a list of available gradients, refer to Gradients .

This property is also used if the TRANSITION_GRADIENT flag is included in the UIFlags property for the Transition dialog.

See Also

Elements

ShowGradientDlg method, ShowTransitionDlg method, UIFlags property


StartColor Property (ILEADRasterGradientEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR StartColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the starting color of the gradient in the Gradient dialog box.

See Also

Elements

ShowGradientDlg method, ShowTransitionDlg method, UIFlags property


Steps Property (ILEADRasterGradientEfx)

Visual Basic example

Visual C++ example

Syntax | short Steps;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of steps in the gradient in the Gradient dialog box.

See Also

Elements

ShowGradientDlg method, ShowTransitionDlg method, UIFlags property


Flags Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the HolePunch dialog box.

The Flags property represents the behavior of the line removal process. Flags may be combined using a bitwise OR. Possible values are:

Value | Meaning
HOLEPUNCH_SINGLE_REGION | For each Hole punch found by the Hole Punch Remove dialog, the removed Hole punch is added to an internal single region. When the Hole Punch Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn member will reference a region that contains all the removed Hole punches. If HOLEPUNCH_LEAD_REGION is also set, the DocCleanBitmap property will be set to a bitmap that has a LEAD region that contains all the removed Hole punches. If HOLEPUNCH_LEAD_REGION is not set, DocCleanRgn is set to a Windows region that contains all the removed Hole punches. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
HOLEPUNCH_LEAD_REGION | When the Hole Punch Remove dialog ends, the DocCleanBitmap property is updated with a copy of the bitmap that also contains a region with all the removed Hole punches. This flag must be used in conjunction with HOLEPUNCH_SINGLE_REGION. To use this flag set Flags to HOLEPUNCH_SINGLE_REGION Or HOLEPUNCH_LEAD_REGION. The DocCleanBitmap member will be updated when the Hole Punch Remove dialog ends.
HOLEPUNCH_IMAGE_UNCHANGED | The original image is unchanged.
HOLEPUNCH_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure for all fields of the HOLEPUNCH Record (structure) is pixels.
HOLEPUNCH_USE_SIZE | Use the MinHoleWidth, MinHoleHeight, MaxHoleWidth, MaxHoleHeight properties to indicate the size of the Hole punches to remove. If this flag is not set, default values for the four sizes will be used. If HOLEPUNCH_USE_DPI is set, the defaults are calculated from the image DPI. Otherwise, the defaults are calculated from the image width and height.
HOLEPUNCH_USE_COUNT | Use the MinHoleCount and MaxHoleCount properties to indicate the number of Hole punches to remove. If this flag is not set, default values for the two count values will be used. These default values are as follows: MinHoleCount = 3 and MaxHoleCount = 3.
HOLEPUNCH_USE_LOCATION | Use the Location property to indicate the location of the hole punches to remove. If this flag is not set, a default of HOLEPUNCH_LEFT will be used.

See Also

Elements

ShowHolePunchRemoveDlg method


Location Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | HolePunchRemoveConstants Location;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the location within the document of the hole-punches to remove in the HoleBunchRemove dialog box. Possible values are:

Value | Meaning
HOLEPUNCH_LEFT | Searches for the hole-punch pattern on the left side of the document
HOLEPUNCH_RIGHT | Searches for the hole-punch pattern on the right side of the document
HOLEPUNCH_TOP | Searches for the hole-punch pattern across the top of the document
HOLEPUNCH_BOTTOM | Searches for the hole-punch pattern across the bottom of the document

See Also

Elements

ShowHolePunchRemoveDlg method


MaxHoleCount Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxHoleCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum number of holes to detect in the HolePUnchRemove dialog box.

Th MaxHoleCount property is valid only if HOLEPUNCH_USE_COUNT is set in the Flags property

See Also

Elements

ShowHolePunchRemoveDlg method


MaxHoleHeight Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxHoleHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum Height of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if HOLEPUNCH_USE_SIZE is set in the Flags property.

See Also

Elements

ShowHolePunchRemoveDlg method


MaxHoleWidth Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxHoleWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum width of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if HOLEPUNCH_USE_SIZE is set in the Flags property.

See Also

Elements

ShowHolePunchRemoveDlg method


MinHoleCount Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinHoleCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum number of holes to detect in the HolePUnchRemove dialog box.

The MinHoleCount property is valid only if HOLEPUNCH_USE_COUNT is set in the Flags property

See Also

Elements

ShowHolePunchRemoveDlg method


MinHoleHeight Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinHoleHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum height of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This property is valid only if HOLEPUNCH_USE_SIZE is set in the Flags property.

See Also

Elements

ShowHolePunchRemoveDlg method


MinHoleWidth Property (ILEADRasterHolePunchRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinHoleWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum width of one of the holes of the hole punch configuration to be removed in the HoleBunchRemove dialog box.

If HOLEPUNCH_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This property is valid only if HOLEPUNCH_USE_SIZE is set in the Flags property.

See Also

Elements

ShowHolePunchRemoveDlg method


Flags Property (IILEADRasterInvertTextDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the InvertedText dialog box.

The Flags property represents the behavior of the inverted text process. Flags may be combined using a bitwise OR. Possible values are:

Value | Meaning
INVERTEDTEXT_SINGLE_REGION | For each inverted text segment found by the Inverted Text dialog, the inverted text is added to an internal single region. When the Inverted Text dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the corrected inverted text. If INVERTEDTEXT_LEAD_REGION is also set, the DocCleanBitmap property will be updated with a bitmap that has a LEAD region that contains all the corrected inverted text. If INVERTEDTEXT_LEAD_REGION is not set, DocCleanRgn is updated with a Windows region that contains all the corrected inverted text. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
INVERTEDTEXT_LEAD_REGION | When the Inverted Text dialog ends, the DocCleanBitmap member is updated with a bitmap that also contains a region with all the corrected inverted text. This flag must be used in conjunction with INVERTEDTEXT_SINGLE_REGION. To use this flag set Flags to INVERTEDTEXT_SINGLE_REGION Or INVERTEDTEXT_LEAD_REGION. The DocCleanBitmap property will be updated when the Inverted Text dialog ends.
INVERTEDTEXT_IMAGE_UNCHANGED | The original image is unchanged.
INVERTEDTEXT_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.

See Also

Elements

ShowInvertTextDlg method


MaxBlackPercent Property (ILEADRasterInvertTextDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxBlackPercent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum percent of total pixels in an inverted text area that must be black in the InvertedText dialog box.

Areas with a higher percent of black pixels are not considered.

See Also

Elements

ShowInvertTextDlg method


MinBlackPercent Property (ILEADRasterInvertTextDoc)

Visual Basic example

Visual C++ example

Syntax | long MinBlackPercent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum percent of total pixels in an inverted text area that must be black in the InvertedText dialog box.

Areas with a lower percent of black pixels are not considered.

See Also

Elements

ShowInvertTextDlg method


MinInvertHeight Property (ILEADRasterInvertTextDoc)

Visual Basic example

Visual C++ example

Syntax | long MinInvertHeight;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum height of an area that is considered to be inverted text in the InvertedText dialog box.

If INVERTEDTEXT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowInvertTextDlg method


MinInvertWidth Property (IILEADRasterInvertTextDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum width of an area that is considered to be inverted text in the InvertedText dialog box.

If INVERTEDTEXT_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowInvertTextDlg method


Flags Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the LineRemove dialog box.

The Flags property represents the behavior of the line removal process. Flags may be combined using a bitwise OR. Possible values are:

Value | Meaning
LINE_SINGLE_REGION | For each line found by the LineRemove dialog, the removed line is added to an internal single region. If the When the Line Remove dialog ends, either the DocCleanBitmap property or the DocCleanRgn property will reference a region that contains all the removed lines. If LINE_LEAD_REGION is also set, the DocCleanBitmap property will be updated with a bitmap that has a LEAD region that contains all the removed lines. If LINE_LEAD_REGION is not set, the DocCleanRgn property is updated with a Windows region that contains all the removed lines. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
LINE_LEAD_REGION | When the Line Remove dialog ends, the DocCleanBitmap property is updated with a bitmap that also contains a region with all the removed lines. This flag must be used in conjunction with LINE_SINGLE_REGION. To use this flag set Flags to LINE_SINGLE_REGION Or LINE_LEAD_REGION. The DocCleanBitmap property will be updated when the Line Remove dialog ends.
LINE_IMAGE_UNCHANGED | The original image is unchanged.
LINE_USE_DPI | The unit of measure for all parameters of this method is thousandths of an inch. Use the image's DPI to convert to pixels. This allows the processing of many images with different DPI. If this flag is not set, the unit of measure is pixels.
LINE_REMOVE_ENTIRE | Remove the entire line, even if the line passes through a character or a wall.
LINE_USE_GAP | Consider "gaps" in lines when performing line removal. If this flag is passed, the GapLength property is used. If this flag is not passed, the GapLength property is ignored.
LINE_USE_VARIANCE | Consider line variance when performing line removal. If this flag is passed, the Variance property is used. If this flag is not passed, the property is ignored.

See Also

Elements

ShowLineRemoveDlg method


GapLength Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long GapLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum length of a break or a hole (in a line) in the LineRemove dialog box.

This can be used to remove dotted lines, dashed lines, or lines that have breaks due to scanning. If LINE_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This parameter is valid only if LINE_USE_GAP is set in the Flags property.

See Also

Elements

ShowLineRemoveDlg method


MaxLineWidth Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxLineWidth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum average width of a line that is considered for removal in the LineRemove dialog box.

Lines that are greater in average width are not removed. If LINE_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowLineRemoveDlg method


MaxWallPercent Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MaxWallPercent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum number of wall slices (expressed as a percent of the total length of the line) that are allowed in the LineRemove dialog box.

A line consists of wall slices and non-wall slices (see Wall property). Lines that have a wall percent that is larger than MaxWallPercent will not be removed. For example, consider the line below that is 10 pixels in length, and 1 pixel in height in some places, and five pixels in height in other places.

Setting MinLineLength to 10 pixels and Wall to four pixels will identify the line below as a candidate for removal. Note that the wall percent for this line is 60% (because six of ten line slices are walls). If MaxWallPercent is 80 then the line will be removed (actually, the pixels marked as red will be removed). If MaxWallPercent is 30, then the line will not be removed.

See Also

Elements

ShowLineRemoveDlg method


MinLineLength Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long MinLineLength;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the minimum length of a line considered for removal in the LineRemove dialog box.

Lines less than this length are not removed. If LINE_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowLineRemoveDlg method


RemoveFlags Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | LineRemoveConstants RemoveFlags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets, which lines to remove in the LineRemove dialog box. Possible values are:

Value | Meaning
LINEREMOVE_HORIZONTAL | Remove horizontal lines
LINEREMOVE_VERTICAL | Remove vertical lines

See Also

Elements

ShowLineRemoveDlg method


Variance Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Variance;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the amount of variance in the LineRemove dialog box.

The Variance property is associated with the following dialog boxes

1. | LineRemove dialog Box
 | In this case it represents the amount of width change that is tolerated between adjacent line slices. If LINE_USE_DPI is set the Flags property, units are in thousandths of an inch, otherwise units are in pixels. This property is valid only if LINE_USE_VARIANCE is set in Flags. For example, the following horizontal line is 30 pixels in length (X represents a pixel)
 |  | XXXXXXXXXX
 | XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 | XXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 |  | XXXXXXXXXX
 |  | XXXXXXXXXX
 | If Variance is 2 pixels (i.e. tolerate width changes of 2 pixels or less), the first 10 columns and the last 10 columns of the line will be removed. The middle 10 columns will be unchanged. This helps preserve characters that intersect a line that is being removed.

See Also

Elements

ShowLineRemoveDlg method


Wall Property (ILEADRasterLineRemoveDoc)

Visual Basic example

Visual C++ example

Syntax | long Wall;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the height of a wall in the LineRemove dialog box.

Walls are slices of a line that are too wide to be considered part of the line. Examples of walls include a character that a line passes through or a perpendicular line. If the image contains lines that pass through characters, set the Wall property to be equal to or a little larger than the MaxLineWidth property. If LINE_USE_DPI is set in the Flags property, units are in thousandths of an inch, otherwise units are in pixels.

See Also

Elements

ShowLineRemoveDlg method


BitsPerPixelCount Property (ILEADRasterSaveType)

Visual Basic example

Visual C++ example

Syntax | short BitsPerPixelCount;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of file format options to be included in the Save or FileConversion dialog boxes.

This property must be set only if the format in the Format property contains more than one BPP option. For information on the available BPP, refer to Customizing File Format Lists.

You have to set this property before accessing the BitsPerPixelCountFormat and SubFormats properties.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method, Format property, BitsPerPixelCountFormat property, SubFormat property


BitsPerPixelCountFormat Property (ILEADRasterSaveType)

Visual Basic example

Visual C++ example

Syntax | long BitsPerPixelCountFormat (short iIndex);
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the BPP options to be included in the Save or FileConversion dialog boxes. The available options depend on the format specified in the Format property. For more information on the available formats, BPP options and sub format options, refer to Customizing File Format Lists.

You have to set the BitsPerPixelCount property before using this property.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method, Format property, BitsPerPixelCount property, SubFormat property


Format Property (ILEADRasterSaveType)

Visual Basic example

Visual C++ example

Syntax | long Format;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the file format type to be included in the Save or the File Conversion dialog box. For a list of possible values, refer to Customizing File Format Lists.

See Also

Elements

ShowSaveDlg method, ShowFileConversionDlg method, BitsPerPixelCount property, BitsPerPixelCountFormat property, SubFormat property


BackColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BackColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the background color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


BackgroundBitmap Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | long BackgroundBitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the handle to a LEAD bitmap.

This bitmap will be used as the background of the previewed shape if SHAPE_SHOW_PREVIEW is set in the UIFlags property.

This bitmap will be updated if the user chooses a new image using the Browse Image button and SHAPE_BROWSEIMAGE is set in the UIFlags property.

To free the memory used by this bitmap, assign a value of 0.

See Also

Elements

ShowShapeDlg method, UIFlags property


BackgroundStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | ShapeBackStyleConstants BackgroundStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the background style for the shape property in the Shape dialog box. Possible values are:

Value | Meaning
FXD_BACKSTYLE_TRANSPARENT | The background is transparent.
FXD_BACKSTYLE_OPAQUE | The background is opaque.
FXD_BACKSTYLE_TRANSLUCENT | The background is translucent.
FXD_BACKSTYLE_TILED_IMAGE | The background is a tiled image.
FXD_BACKSTYLE_TRANSLUCENT_TILED_IMAGE | The background is a translucent tiled image.
FXD_BACKSTYLE_GRADIENT | The background is a gradient.
FXD_BACKSTYLE_TRANSLUCENT_GRADIENT | The background is a translucent gradient.

See Also

Elements

ShowShapeDlg method, UIFlags property


BorderColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BorderColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the border color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


BorderStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | ShapeBorderStyleConstants BorderStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the border style for the shape in the Shape dialog box. Possible values are:

Value | Meaning
FXD_BORDERSTYLE_TRANSPARENT | Transparent
FXD_BORDERSTYLE_SOLID | Solid line
FXD_BORDERSTYLE_DASH | Dash line (valid only for 1-pixel lines)
FXD_BORDERSTYLE_DOT | Dot line (valid only for 1-pixel lines)
FXD_BORDERSTYLE_DASHDOT | Dash dot line (valid only for 1-pixel lines)
FXD_BORDERSTYLE_DASHDOTDOT | Dash dot dot line (valid only for 1-pixel lines)

See Also

Elements

ShowShapeDlg method, UIFlags property


BorderThickness Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short BorderThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the border thickness of the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ForeColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ForeColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the foreground color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


FillStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | PatternStyleConstants FillStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the foreground style of the shape in the Shape dialog box.

For a list of available fill styles, refer to PatternStyles .

See Also

Elements

ShowShapeDlg method, UIFlags property


InnerHiliteColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR InnerHiliteColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the inner band highlight color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


InnerShadowColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR InnerShadowColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the inner band shadow color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


InnerStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | InnerStylesConstants InnerStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the inner band style for the shape in the Shape dialog box.

Possible values are:

Value | Meaning
FXD_SHAPE_INNERSTYLE_NONE | No inner band
FXD_SHAPE_INNERSTYLE_INSET | Inner band inset
FXD_SHAPE_INNERSTYLE_RAISED | Inner band raised

See Also

Elements

ShowShapeDlg method, UIFlags property


InnerThickness Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short InnerThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the inner band for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


OuterHiliteColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR OuterHiliteColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the outer band highlight color of the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


OuterShadowColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR OuterShadowColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the outer band shadow color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


OuterStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OuterStylesConstants OuterStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the outer band style of the shape in the Shape dialog box.

Possible values are:

Value | Meaning
FXD_SHAPE_INNERSTYLE_NONE | No inner band
FXD_SHAPE_INNERSTYLE_INSET | Inner band inset
FXD_SHAPE_INNERSTYLE_RAISED | Inner band raised

See Also

Elements

ShowShapeDlg method, UIFlags property


OuterThickness Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short OuterThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the thickness of the outer band of the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ShadowColor Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ShadowColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the shadow color for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ShadowXDepth Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short ShadowXDepth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal position of the shadow for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ShadowYDepth Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short ShadowYDepth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the vertical position of the shadow for the shape in the Shape dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ShapeStyle Property (ILEADRasterShapeEfx)

Visual Basic example

Visual C++ example

Syntax | short ShapeStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the shape in the Shape dialog box.

For a list of available shapes, refer to Shapes .

See Also

Elements

ShowShapeDlg method, UIFlags property


Flags Property (ILEADRasterSmoothDoc)

Visual Basic example

Visual C++ example

Syntax | long Flags;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the processing flags for the Smooth dialog box.

This property determines the behavior of the smoothing process. Flags may be combined using a bitwise OR (|). Possible values are:

Value | Meaning
SMOOTH_SINGLE_REGION | For each bump or nick found by the Smooth dialog the removed bump or nick is added to an internal single region. When the Smooth dialog ends, either the DocCleanBitmap or the DocCleanRgn properties will reference a region that contains all the removed bumps or nicks. If SMOOTH_LEAD_REGION is also set, the DocCleanBitmap will be updated with a bitmap that has a LEAD region that contains all the removed bumps or nicks. If SMOOTH_LEAD_REGION is not set, the DocCleanRgn property is set to a Windows region that contains all the removed nicks or bumps. When the region (either LEAD or Windows) is no longer needed, it must be destroyed.
SMOOTH_LEAD_REGION | When the Smooth dialog ends, the DocCleanBitmap property is updated with a copy of the bitmap that also contains a region with all the removed bumps or nicks. This flag must be used in conjunction with SMOOTH_SINGLE_REGION. To use this flag set Flags to SMOOTH_SINGLE_REGION | SMOOTH_LEAD_REGION. The DocCleanBitmap property will be updated when the Smooth dialog ends.
SMOOTH_IMAGE_UNCHANGED | The original image is unchanged.
SMOOTH_FAVOR_LONG | Processes long bumps or nicks before short bumps or nicks. If this flag is not passed, short is favored over long. For example:
 | Smooth the following image with Length == 3
 | X X
 | XXXXXXXXXX
 | Favoring short would remove the two "bumps" giving:
 | XXXXXXXXXX
 | Favoring long would fill in the "gap" giving:
 | XXXXX
 | XXXXXXXXXX

See Also

Elements

ShowSmoothDlg method, ShowInvertTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method


Length Property (ILEADRasterSmoothDoc)

Visual Basic example

Visual C++ example

Syntax | long Length;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the Length of the bump (or nick) to remove (or fill) in the Smooth dialog box.

All bumps and nicks less than or equal to this size are processed.

This value is in pixels.

See Also

Elements

ShowSmoothDlg method, ShowInvertTextDlg method, ShowDotRemoveDlg method, ShowHolePunchRemoveDlg method


Align Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | TextAlignConstants Align;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates the alignment of the text in the Text dialog box. Possible values are:

Value | Meaning
FXD_TEXTALIGN_LEFT_TOP | Left, top
FXD_TEXTALIGN_LEFT_VCENTER | Left, vertical center
FXD_TEXTALIGN_LEFT_BOTTOM | Left, bottom
FXD_TEXTALIGN_HCENTER_TOP | Top, horizontal center
FXD_TEXTALIGN_HCENTER_VCENTER | Vertical and horizontal center
FXD_TEXTALIGN_HCENTER_BOTTOM | Bottom, horizontal center
FXD_TEXTALIGN_RIGHT_TOP | Right, top
FXD_TEXTALIGN_RIGHT_VCENTER | Right, vertical center
FXD_TEXTALIGN_RIGHT_BOTTOM | Right, bottom
FXD_TEXTALIGN_MAX | Right, bottom

See Also

Elements

ShowTextDlg method, UIFlags property


Angle Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | long Angle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the rotation angle for the text, in tenths of a degree, in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


Color Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR Color;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color for the text in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


EnableUseForegroundImage Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | VARINAT_BOOL EnableUseForegroundImage;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the UseForegroundImage checkbox was checked in the Text dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The UseForegroundImage check box was checked.
VARIANT_FALSE | The UseForegroundImage check box wasn’t checked.

See Also

Elements

ShowTextDlg method, UIFlags property


Font Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | IFontDisp *Font;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the font of the text in the Text dialog box. The Font object has the following properties:

Property | Description
Bold | TRUE for bold text; FALSE for not bold.
Italic | TRUE for italic text; FALSE for not italic.
Name | Text string for name of the font. For example: "Times New Roman".
Size | Size of the font, in points. The maximum value s 2048 points.
StrikeThrough | TRUE for a line through the text; FALSE for no line.
Underline | TRUE for underlined text; FALSE for not underlined.
Weight | Possible runtime values are 400 for light and 700 for heavy.

See Also

Elements

ShowTextDlg method, UIFlags property


ForegroundBitmap Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | long ForegroundBitmap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the bitmap to be used for the foreground of the text in the Text dialog box. This bitmap will be updated if the user chooses a new image using the Browse Image button. (DLG_TEXT_BROWSEIMAGE is set in the UIFlags property.)

To free the memory used by this bitmap, assign a value of 0.

See Also

Elements

ShowTextDlg method, UIFlags property


HiliteColor Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR HiliteColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the highlight color for the text in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


SampleText Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | BSTR SampleText;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the actual text in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


ShadowColor Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ShadowColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the inner band shadow color for the text in the Text dialog box.

See Also

Elements

ShowShapeDlg method, UIFlags property


ShadowXDepth Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | short ShadowXDepth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the horizontal shadow position for the text in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


ShadowYDepth Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | short ShadowYDepth;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the vertical shadow position for the text in the Text dialog box.

See Also

Elements

ShowTextDlg method, UIFlags property


TextStyle Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | TextStyleConstants TextStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the style of the text in Text dialog box. Possible values are:

Value | Meaning
FXD_TEXTSTYLE_NORMAL | No three-dimensional effect
FXD_TEXTSTYLE_INSETLIGHT | Inset light text
FXD_TEXTSTYLE_INSETEXTRALIGHT | Inset extra light text
FXD_TEXTSTYLE_INSETHEAVY | Inset heavy text
FXD_TEXTSTYLE_INSETEXTRAHEAVY | Inset extra heavy text
FXD_TEXTSTYLE_RAISEDLIGHT | Raised light text
FXD_TEXTSTYLE_RAISEDEXTRALIGHT | Raised extra light text
FXD_TEXTSTYLE_RAISEDHEAVY | Raised heavy text
EXF_TEXTSTYLE_RAISEDEXTRAHEAVY | Raised extra heavy text
FXD_TEXTSTYLE_DROPSHADOW | Drop shadow text
FXD_TEXTSTYLE_BLOCKSHADOW | Block shadow text
FXD_TEXTSTYLE_OUTLINEBLOCK | Outline block text

See Also

Elements

ShowTextDlg method, UIFlags property


WordWrap Property (ILEADRasterTextEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL WordWrap;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that Indicates whether the WordWrap checkbox was checked in the Text dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The TextWordWrap check box was checked. Allow word wrapping.
VARIANT_FALSE | The TextWordWrap check box wasn’t checked. Do not allow word wrapping.

See Also

Elements

ShowTextDlg method, UIFlags property


BackColor Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR BackColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the background color for the transition, in the Transition dialog box.

This may also be used as the starting gradient color, if the transition style is gradient.

See Also

Elements

ShowTransitionDlg method, UIFlags property


Delay Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short Delay;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the delay, in milliseconds, for the transition in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


EffectStyle Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short EffectStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the effect for the transition in the Transition dialog box. For a list of available effects, refer to Effects .

See Also

Elements

ShowTransitionDlg method, UIFlags property


ForeColor Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR ForeColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the foreground color for the effecting the Effect dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


Grain Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short Grain;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the grain size for the transition in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


MaxPass Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short MaxPass;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the maximum number of passes for the transition in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


Steps Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short Steps;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the number of steps in the gradient in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


TransitionStyle Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | TransitionStyleConstants TransitionStyle;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the mode of transition in the Transition dialog box.

Possible values are:

Value | Meaning
EFX_TRANSITION_NONE | No transition effects.
EFX_TRANSITION_GRADIENT | Use the gradient color for the transition. Refer to Gradients and Patterns for related properties.
EFX_TRANSITION_PATTERN | Use a solid color or pattern for the transition. Refer to Gradients and Patterns for related properties.
EFX_TRANSITION_MAX | Use a solid color or pattern for the transition. Refer to Gradients and Patterns for related properties.

See Also

Elements

Transition property, ShowTransitionDlg method, GradientStyle property, UIFlags property


Transparent Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | VARIANT_BOOL Transparent;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets a value that indicates whether the transparent checkbox was checked in the Transition dialog box. Possible values are:

Setting | Description
VARIANT_TRUE | The Transparent check box was checked. Use the transparent color specified in the TransparentColor property .
VARIANT_FALSE | The Transparent check box wasn’t checked. Do not use a transparent color.

See Also

Elements

ShowTransitionDlg method, UIFlags property


TransparentColor Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR TransparentColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the transparent color for the transition in the Transition dialog box.

This property is used only if the Transparent property is VARIANT_TRUE.

See Also

Elements

ShowTransitionDlg method, UIFlags property


WandColor Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | OLE_COLOR WandColor;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the color of the wand, for the transition in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


WandThickness Property (ILEADRasterTransitionEfx)

Visual Basic example

Visual C++ example

Syntax | short WandThickness;
Overview | Refer to Using Imaging Common Dialogs

Remarks

Gets or sets the width of the wand, in pixels, for the transition in the Transition dialog box.

See Also

Elements

ShowTransitionDlg method, UIFlags property


Dialog Strings

The following strings can be accessed and modified using GetDlgString method and SetDlgString method.

Generic Control Strings |
DLG_IDSTR_OK | OK
DLG_IDSTR_CANCEL | Cancel
DLG_IDSTR_HELP | &Help
DLG_IDSTR_BEFORE | Before
DLG_IDSTR_AFTER | After
Tool tip strings |
DLG_IDSTR_TOOLTIP_ZOOMNORMAL | Zoom to Normal
DLG_IDSTR_TOOLTIP_ZOOMTOFIT | Zoom to Fit Window
DLG_IDSTR_TOOLTIP_AUTOPREVIEW | Auto Preview
DLG_IDSTR_TOOLTIP_PREVIEW | Preview
DLG_IDSTR_TOOLTIP_RESET | Reset Preview
DLG_IDSTR_TOOLTIP_EYEDROPPER | Eye Dropper
DLG_IDSTR_PREVIEWNOTAVAILABLE | Preview not available
Status Bar Strings |
DLG_IDSTR_STATUS_PREPARINGDATA | Preparing Data
DLG_IDSTR_STATUS_APPLYINGEFFECT | Applying Effect
DLG_IDSTR_STATUS_IDLE | Idle
Common Menu Strings |
DLG_IDSTR_HSBHUE | HSB-Hue Based
DLG_IDSTR_HSBWHEEL | HSB-Wheel Based
DLG_IDSTR_HSBBRIGHTNESS | HSB-Brightness Based
DLG_IDSTR_RGBADDITIVE | RGB-3D Additive
DLG_IDSTR_CMYSUBTRACTIVE | CMY-3D Subtractive
DLG_IDSTR_CMYKSUBTRACTIVE | CMYK-3D Subtractive
DLG_IDSTR_LABDEVICEINDEPENDENT | LAB- Device Independent
AutoTrim Dialog Strings |
DLG_AUTOTRIM_IDSTR_CAPTION | Auto Trim
DLG_AUTOTRIM_IDSTR_THRESHOLD | &Threshold
Color Picker Dialog Strings |
DLG_COLOR_IDSTR_CAPTION | Color Picker
DLG_COLOR_IDSTR_NAME | &Name
DLG_COLOR_IDSTR_RGB | RGB
DLG_COLOR_IDSTR_HSB | HSB
DLG_COLOR_IDSTR_HLS | HLS
DLG_COLOR_IDSTR_CMY | CMY
DLG_COLOR_IDSTR_CMYK | CMYK
DLG_COLOR_IDSTR_LAB | Lab
Canvas Resize Dialog Strings |
DLG_CANVASRESIZE_IDSTR_CAPTION | Canvas Resize
DLG_CANVASRESIZE_IDSTR_SIZE | Size
DLG_CANVASRESIZE_IDSTR_NEWWIDTH | New &Width:
DLG_CANVASRESIZE_IDSTR_NEWHEIGHT | New &Height:
DLG_CANVASRESIZE_IDSTR_MAINTAINASPECTRATIO | Maintain &Aspect Ratio
DLG_CANVASRESIZE_IDSTR_CURRENTWIDTH | Current Width:
DLG_CANVASRESIZE_IDSTR_CURRENTHIGHT | Current Height:
DLG_CANVASRESIZE_IDSTR_POSITION | Position
DLG_CANVASRESIZE_IDSTR_HORIZONTAL | Hori&zontal:
DLG_CANVASRESIZE_IDSTR_LEFT | Left
DLG_CANVASRESIZE_IDSTR_RIGHT | Right
DLG_CANVASRESIZE_IDSTR_VERTICAL | &Vertical:
DLG_CANVASRESIZE_IDSTR_TOP | Top
DLG_CANVASRESIZE_IDSTR_BOTTOM | Bottom
DLG_CANVASRESIZE_IDSTR_CENTER | Center
DLG_CANVASRESIZE_IDSTR_CUSTOM | Custom
DLG_CANVASRESIZE_IDSTR_BKGCOLOR | &Background Color:
Picturize Dialog Strings |
DLG_PICTURIZE_IDSTR_CAPTION | Picturize
DLG_PICTURIZE_IDSTR_CELLWIDTH | &Width (Pixels):
DLG_PICTURIZE_IDSTR_CELLHEIGHT | &Height (Pixels):
DLG_PICTURIZE_IDSTR_OPTIONS | &Options
DLG_PICTURIZE_IDSTR_BESTFIT | &Best Fit
DLG_PICTURIZE_IDSTR_FOLDER | &Folder:
DLG_PICTURIZE_IDSTR_EQUALUSAGE | &Equal Usage
DLG_PICTURIZE_IDSTR_USEONCE | &Use Once
DLG_PICTURIZE_IDSTR_CELLSIZE | &Cell Size
DLG_PICTURIZE_IDSTR_RESIZE | &Resize:
DLG_PICTURIZE_IDSTR_VALIDATEFOLDER | &Validate Folder...
DLG_PICTURIZE_IDSTR_BROWSE_DIR_TITLE | Browse for images folder:
DLG_PICTURIZE_IDSTR_RESIZE_NONE | None
DLG_PICTURIZE_IDSTR_RESIZE_NORMAL | Normal
DLG_PICTURIZE_IDSTR_RESIZE_RESAMPLE | Resample
DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_TEXT | The images must be set before applying the picturize function.
DLG_PICTURIZE_IDSTR_MSG_SETFOLDER_CAPTION | Error
DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_TEXT | No folder specified please specify a folder and try again
DLG_PICTURIZE_IDSTR_MSG_NOFOLDER_CAPTION | Error
DLG_PICTURIZE_IDSTR_PROGRESS_ENOUGHIMAGES | The specified folder contains enough images to complete the picturize effect.
DLG_PICTURIZE_IDSTR_PROGRESS_NOENOUGHIMAGES | The specified folder doesn't contain enough images to complete the picturize effect.
Picturize Validity Report |
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_CAPTION | Folder Images Validity
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_NEEDEDIMAGES | Needed Images:
DLG_PICTURIZE_EVALIDITYREPORT_IDSTR_AVAILABLEIMAGES | Proper Available Images:
Picturize Count Images Dialog Strings |
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_CAPTION | Calculating Images In Folder...
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_PROCESSINGFOLDER | Processing Folder
DLG_PICTURIZE_COUNTIMAGESINFOLDER_IDSTR_COUNTINGIMAGES | Counting Images
Customize Palette dialog |
DLG_CUSTOMIZEPALETTE_IDSTR_CAPTION | Customize Palette
DLG_CUSTOMIZEPALETTE_IDSTR_PALETTE | &Palette:
DLG_CUSTOMIZEPALETTE_IDSTR_IMAGECLR | Image Colors
DLG_CUSTOMIZEPALETTE_IDSTR_UNIFORM | Uniform Colors
DLG_CUSTOMIZEPALETTE_IDSTR_GRAYSCALE | Grayscale
DLG_CUSTOMIZEPALETTE_IDSTR_NETSCAPE | Netscape Navigator (TM)
DLG_CUSTOMIZEPALETTE_IDSTR_MICROSOFTIE | Microsoft Internet Explorer
DLG_CUSTOMIZEPALETTE_IDSTR_STANDERDVGA | Standard VGA
DLG_CUSTOMIZEPALETTE_IDSTR_SYSTEMCOLOR | System Colors
DLG_CUSTOMIZEPALETTE_IDSTR_REPLACE | &Replace >>
DLG_CUSTOMIZEPALETTE_IDSTR_ADD | A&dd >>
DLG_CUSTOMIZEPALETTE_IDSTR_ATTHEEND | At the &End
DLG_CUSTOMIZEPALETTE_IDSTR_AFTERSELECTED | &After Selected
DLG_CUSTOMIZEPALETTE_IDSTR_BEFORESELECTED | &Before Selected
DLG_CUSTOMIZEPALETTE_IDSTR_REMOVE | Re&move
DLG_CUSTOMIZEPALETTE_IDSTR_CONFIRM | &Confirm
DLG_CUSTOMIZEPALETTE_IDSTR_FINDCLOSEST | &Find Closest >>
DLG_CUSTOMIZEPALETTE_IDSTR_SORT | Sor&t
DLG_CUSTOMIZEPALETTE_IDSTR_HSB | &HSB
DLG_CUSTOMIZEPALETTE_IDSTR_HUE | H&UE
DLG_CUSTOMIZEPALETTE_IDSTR_SATURATION | &Saturation
DLG_CUSTOMIZEPALETTE_IDSTR_BRIGHTNESS | &Brightness
DLG_CUSTOMIZEPALETTE_IDSTR_RGBMNU | &RGB
DLG_CUSTOMIZEPALETTE_IDSTR_REVERSE | Re&verse
DLG_CUSTOMIZEPALETTE_IDSTR_COLORMODEL | &Color Model
DLG_CUSTOMIZEPALETTE_IDSTR_PALETTEMNU | &Palette
DLG_CUSTOMIZEPALETTE_IDSTR_NEW | &New
DLG_CUSTOMIZEPALETTE_IDSTR_OPEN | &Open...
DLG_CUSTOMIZEPALETTE_IDSTR_OPEN_EXTENSION | LEADTOOLS Palette Files (*.ltp)|*.ltp||
DLG_CUSTOMIZEPALETTE_IDSTR_SAVE | &Save
DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS | Sa&ve As...
DLG_CUSTOMIZEPALETTE_IDSTR_SAVEAS_EXTENSION | LEADTOOLS Palette Files (*.ltp)|*.ltp||
DLG_CUSTOMIZEPALETTE_IDSTR_RGB | RGB:
DLG_CUSTOMIZEPALETTE_IDSTR_HTML | HTML:
DLG_CUSTOMIZEPALETTE_IDSTR_INDEX | Index:
DLG_CUSTOMIZEPALETTE_IDSTR_HTML_FORMAT | HTML:#%2X%2X%2X
DLG_CUSTOMIZEPALETTE_IDSTR_RGB_FORMAT | RGB:%d %d %d
DLG_CUSTOMIZEPALETTE_IDSTR_INDEX_FORMAT | Index:%d
DLG_CUSTOMIZEPALETTE_IDSTR_CLOSE | Close
DLG_CUSTOMIZEPALETTE_IDSTR_APPLYPALETTEWHENEXIT | Apply Palette &When Exit
The CUSTOMIZEPALETTE error messages |
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_SAVETITLE_TEXT | File Save error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_OPENTITLE_TEXT | File Open error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_CAPTION | Warning
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_LOSE_CHANGES_TEXT | All changes will be lost.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NOT_PALETTE_TEXT | The file specified is not a valid palette file.\nFile can't be opened.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_SELECTION_TEXT | No item(s) is selected.\nPlease select an item and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_TEXT | Unable to find the closest color.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_NO_RIGHT_SEL_TEXT | Add position is unknown in the right pane Please select an item from the right pane and try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_ADD_SELECTION_TEXT | More then one color is being selected in the right pane.\nPlease select only one color and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MAX_COLORS_TEXT | Max colors in palette have been reached. No more items can be added.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLICATE_CLR_TEXT | Color with index: %d RGB: %d %d %d already exists.\n Do you want to skip this color?\nOk: To skip.\nCancel: To abort the operation.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_DUPLCLR_NO_INDEX_TEXT | Color with RGB %d %d %d already exists.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_CAPTION | Warning
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_CONFIRM_REMOVE_TEXT | You are about to delete the selected item(s) in the right pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_IN_RIGHT_PAN_TEXT | Couldn't perform operation. No item(s) in the right pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_FIND_CLOSEST_SEL_TEXT | More than one color is selected in the left pane.\nPlease select only one color and then try again.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_COUNT_DIFFER_TEXT | Number of colors selected in the left pane don't match the number of colors selected in the right pane.\nPlease make sure that the number of colors to be replaced ( in the right pane ) equals the number of colors selected in the left pane.
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_CAPTION | Error
DLG_CUSTOMIZEPALETTE_IDSTR_MSG_MULTIPLE_BY_ONE_TEXT | Can't replace multiple selection in the right pane with one color from the left pane.
// PNG Web-Tuner dialog |
DLG_PNGWEBTUNER_IDSTR_CAPTION | PNG Web Tuner
DLG_PNGWEBTUNER_IDSTR_ERROR | Error
DLG_PNGWEBTUNER_IDSTR_WAIT | Wait...
DLG_PNGWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_PNGWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_PNGWEBTUNER_IDSTR_COLORS | &Colors
DLG_PNGWEBTUNER_IDSTR_COLORDEPTH | Color D&epth:
DLG_PNGWEBTUNER_IDSTR_PALETTE | &Palette:
DLG_PNGWEBTUNER_IDSTR_DITHERING | Dit&hering:
DLG_PNGWEBTUNER_IDSTR_NUMOFCOLORS | &Number of Colors:
DLG_PNGWEBTUNER_IDSTR_ADDWINCOLORS | &Add Windows Colors
DLG_PNGWEBTUNER_IDSTR_TRANSPARENCY | &Transparency
DLG_PNGWEBTUNER_IDSTR_ENABLED | Ena&bled
DLG_PNGWEBTUNER_IDSTR_TOLERANCE | To&lerance:
DLG_PNGWEBTUNER_IDSTR_TRANSPARENTCLR | T&ransparent Color:
DLG_PNGWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_PNGWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_PNGWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_PNGWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_PNGWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_PNGWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_PNGWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_PNGWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_PNGWEBTUNER_IDSTR_CR1BIT | 1-bit
DLG_PNGWEBTUNER_IDSTR_CR4BIT | 4-bit
DLG_PNGWEBTUNER_IDSTR_CR8BIT | 8-bit
DLG_PNGWEBTUNER_IDSTR_CR24BIT | 24-bit
DLG_PNGWEBTUNER_IDSTR_CR32BIT | 32-bit
DLG_PNGWEBTUNER_IDSTR_FIXED | Fixed
DLG_PNGWEBTUNER_IDSTR_CUSTOM | Custom
DLG_PNGWEBTUNER_IDSTR_NEARESTCLRMATCH | Nearest Color Matching
DLG_PNGWEBTUNER_IDSTR_FLOYDSTEINBERG | Floyd-Steinberg dithering
DLG_PNGWEBTUNER_IDSTR_STUCKI | Stucki dithering
DLG_PNGWEBTUNER_IDSTR_BURKES | Burkes dithering
DLG_PNGWEBTUNER_IDSTR_SIERRA | Sierra dithering
DLG_PNGWEBTUNER_IDSTR_STEVENSON | Stevenson Arce dithering
DLG_PNGWEBTUNER_IDSTR_JARVUIS | Jarvis dithering
DLG_PNGWEBTUNER_IDSTR_ORDERED | Ordered dithering
DLG_PNGWEBTUNER_IDSTR_CLUSTERED | Clustered dithering
DLG_PNGWEBTUNER_IDSTR_EXPORT | Export
DLG_PNGWEBTUNER_IDSTR_CLOSE | Close
DLG_PNGWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save PNG Image File...
DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_PNGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
// GIF Web-Tuner dialog |
DLG_GIFWEBTUNER_IDSTR_CAPTION | GIF Web Tuner
DLG_GIFWEBTUNER_IDSTR_ERROR | Error
DLG_GIFWEBTUNER_IDSTR_WAIT | Wait...
DLG_GIFWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_GIFWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_GIFWEBTUNER_IDSTR_COLORS | &Colors
DLG_GIFWEBTUNER_IDSTR_COLORDEPTH | Color D&epth:
DLG_GIFWEBTUNER_IDSTR_PALETTE | &Palette:
DLG_GIFWEBTUNER_IDSTR_DITHERING | Dit&hering:
DLG_GIFWEBTUNER_IDSTR_NUMOFCOLORS | &Number of Colors:
DLG_GIFWEBTUNER_IDSTR_ADDWINCOLORS | &Add Windows Colors
DLG_GIFWEBTUNER_IDSTR_TRANSPARENCY | &Transparency
DLG_GIFWEBTUNER_IDSTR_ENABLED | Ena&bled
DLG_GIFWEBTUNER_IDSTR_TOLERANCE | To&lerance:
DLG_GIFWEBTUNER_IDSTR_TRANSPARENTCLR | T&ransparent Color:
DLG_GIFWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_GIFWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_GIFWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_GIFWEBTUNER_IDSTR_OPTIONS | &Options
DLG_GIFWEBTUNER_IDSTR_INTERLACED | Interlace&d
DLG_GIFWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_GIFWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_GIFWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_GIFWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_GIFWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_GIFWEBTUNER_IDSTR_CR1BIT | 1-bit
DLG_GIFWEBTUNER_IDSTR_CR2BIT | 2-bit
DLG_GIFWEBTUNER_IDSTR_CR3BIT | 3-bit
DLG_GIFWEBTUNER_IDSTR_CR4BIT | 4-bit
DLG_GIFWEBTUNER_IDSTR_CR5BIT | 5-bit
DLG_GIFWEBTUNER_IDSTR_CR6BIT | 6-bit
DLG_GIFWEBTUNER_IDSTR_CR7BIT | 7-bit
DLG_GIFWEBTUNER_IDSTR_CR8BIT | 8-bit
DLG_GIFWEBTUNER_IDSTR_FIXED | Fixed
DLG_GIFWEBTUNER_IDSTR_CUSTOM | Custom
DLG_GIFWEBTUNER_IDSTR_NEARESTCLRMATCH | Nearest Color Matching
DLG_GIFWEBTUNER_IDSTR_FLOYDSTEINBERG | Floyd-Steinberg dithering
DLG_GIFWEBTUNER_IDSTR_STUCKI | Stucki dithering
DLG_GIFWEBTUNER_IDSTR_BURKES | Burkes dithering
DLG_GIFWEBTUNER_IDSTR_SIERRA | Sierra dithering
DLG_GIFWEBTUNER_IDSTR_STEVENSON | Stevenson Arce dithering
DLG_GIFWEBTUNER_IDSTR_JARVUIS | Jarvis dithering
DLG_GIFWEBTUNER_IDSTR_ORDERED | Ordered dithering
DLG_GIFWEBTUNER_IDSTR_CLUSTERED | Clustered dithering
DLG_GIFWEBTUNER_IDSTR_EXPORT | Export
DLG_GIFWEBTUNER_IDSTR_CLOSE | Close
DLG_GIFWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save GIF Image File...
DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_GIFWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
JPEG Web-Tuner dialog |
DLG_JPEGWEBTUNER_IDSTR_CAPTION | JPEG Web Tuner
DLG_JPEGWEBTUNER_IDSTR_ERROR | Error
DLG_JPEGWEBTUNER_IDSTR_WAIT | Wait...
DLG_JPEGWEBTUNER_IDSTR_UNCOMPRESSED | Uncompressed Size
DLG_JPEGWEBTUNER_IDSTR_COMPRESSED | Compressed Size
DLG_JPEGWEBTUNER_IDSTR_IMAGETYPE | I&mage Type
DLG_JPEGWEBTUNER_IDSTR_IMAGECOMPRE | Compre&ssion:
DLG_JPEGWEBTUNER_IDSTR_PROGRESSIVE | Pro&gressive
DLG_JPEGWEBTUNER_IDSTR_OPTIONS | &Options
DLG_JPEGWEBTUNER_IDSTR_OPTIONCOMPRE | Com&pression:
DLG_JPEGWEBTUNER_IDSTR_SAVETHUMBNAIL | Sa&ve Thumbnail
DLG_JPEGWEBTUNER_IDSTR_INFORMATIONS | &Information
DLG_JPEGWEBTUNER_IDSTR_BAUDRATE | Ba&ud Rate:
DLG_JPEGWEBTUNER_IDSTR_ESTIMATEDTIME | Estimated Download Time:
DLG_JPEGWEBTUNER_IDSTR_144KBS | 14.4 Kbps
DLG_JPEGWEBTUNER_IDSTR_288KBS | 28.8 Kbps
DLG_JPEGWEBTUNER_IDSTR_56KBS | 56 Kbps
DLG_JPEGWEBTUNER_IDSTR_128KBS | 128 Kbps
DLG_JPEGWEBTUNER_IDSTR_256KBS | 256 Kbps
DLG_JPEGWEBTUNER_IDSTR_YUV444 | YUV 4:4:4 (Default)
DLG_JPEGWEBTUNER_IDSTR_YUV422 | YUV 4:2:2
DLG_JPEGWEBTUNER_IDSTR_YUV411 | YUV 4:1:1
DLG_JPEGWEBTUNER_IDSTR_EXPORT | Export
DLG_JPEGWEBTUNER_IDSTR_CLOSE | Close
DLG_JPEGWEBTUNER_IDSTR_SAVEDLG_CAPTION | Save JPEG Image File...
DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_TEXT | Error saving image file.
DLG_JPEGWEBTUNER_IDSTR_MSG_ERRORSAVING_CAPTION | Error
//Image Formats File Association Dialog |
DLG_FILESASSOCIATION_IDSTR_CAPTION | Image File Formats Association
DLG_FILESASSOCIATION_IDSTR_FORMAT | Format:
DLG_FILESASSOCIATION_IDSTR_DESCRIPTION | Description:
DLG_FILESASSOCIATION_IDSTR_SELECTALL | Select &All
DLG_FILESASSOCIATION_IDSTR_SELECTNONE | Select &None
DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_CAPTION | Not Enough Privileges to Write.
DLG_FILESASSOCIATION_IDSTR_MSG_WRITINGREG_TEXT | Error writing to registry
DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_CAPTION | Not Enough Privileges to Write.
DLG_FILESASSOCIATION_IDSTR_MSG_ACCESS_TEXT | Some items can't be associated.
//Image Mapper dialog |
DLG_HTMLMAPPER_IDSTR_CAPTION | HTML Map Creator
DLG_HTMLMAPPER_IDSTR_AREAINFO | Area I&nfo
DLG_HTMLMAPPER_IDSTR_URL | &URL:
DLG_HTMLMAPPER_IDSTR_ALTTEXT | &Alt Text:
DLG_HTMLMAPPER_IDSTR_TARGET | &Target:
DLG_HTMLMAPPER_IDSTR_OUTPUT | O&utput
DLG_HTMLMAPPER_IDSTR_IMAGEFORMAT | &Format:
DLG_HTMLMAPPER_IDSTR_JPGFORMAT | JPG Format
DLG_HTMLMAPPER_IDSTR_GIFFORMAT | GIF Format
DLG_HTMLMAPPER_IDSTR_PNGFORMAT | PNG Format
DLG_HTMLMAPPER_IDSTR_GENERATESEL | &Only include selected object
DLG_HTMLMAPPER_IDSTR_OPTIMIZED | &Web Tuned
DLG_HTMLMAPPER_IDSTR_ROLLOVER | &Roll Over
DLG_HTMLMAPPER_IDSTR_EVENT | &Event:
DLG_HTMLMAPPER_IDSTR_ONCLICK | OnClick
DLG_HTMLMAPPER_IDSTR_ONDBLCLICK | OnDblClick
DLG_HTMLMAPPER_IDSTR_ONMMOUSEDOWN | OnMouseDown
DLG_HTMLMAPPER_IDSTR_ONMMOUSEOVER | OnMouseOver
DLG_HTMLMAPPER_IDSTR_ONMMOUSEUP | OnMouseUp
DLG_HTMLMAPPER_IDSTR_ONMMOUSEOUT | OnMouseOut
DLG_HTMLMAPPER_IDSTR_ENABLED | &Enabled
DLG_HTMLMAPPER_IDSTR_IMAGE | &Image:
DLG_HTMLMAPPER_IDSTR_CURSORPOSITION | Cur&sor Position:
DLG_HTMLMAPPER_IDSTR_CLOSE | Close
DLG_HTMLMAPPER_IDSTR_IMAGESAVEDLG_CAPTION | Save Image...
DLG_HTMLMAPPER_IDSTR_HTMLSAVEDLG_CAPTION | Save HTML File...
DLG_HTMLMAPPER_IDSTR_HTMLBROWSEFORFOLDERDLG_CAPTION | HTML File Save Folder...
//Image Mapper dialog Error Messages |
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_OUTMEM_TEXT | Unable to open hyperlink:\n\n The operating system is out\nof memory or resources.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_PNF_TEXT | Unable to open hyperlink:\n\n The specified path was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FNF_TEXT | Unable to open hyperlink:\n\n The specified file was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_FORMAT_TEXT | Unable to open hyperlink:\n\n The .EXE file is invalid\n ( non-Win32 .EXE or error in .EXE image ) .
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ACCESSDENIED_TEXT | Unable to open hyperlink:\n\n The operating system denied\naccess to the specified file.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_ASSOCIATIONINCOMPLETE_TEXT | Unable to open hyperlink:\n\n The filename association is\nincomplete or invalid.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEBUSY_TEXT | Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because other DDE transactions\nwere being processed.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDEFAIL_TEXT | Unable to open hyperlink:\n\n The DDE transaction failed.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DDETIMEOUT_TEXT | Unable to open hyperlink:\n\n The DDE transaction could not\nbe completed because the request timed out.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_DLLNOTFOUND_TEXT | Unable to open hyperlink:\n\n The specified dynamic-link library was not found.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOASSOCIATION_TEXT | Unable to open hyperlink:\n\n There is no application associated\nwith the given filename extension.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_NOENOUGHMEMORY_TEXT | Unable to open hyperlink:\n\n There was not enough memory to complete the operation.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_SHARE_TEXT | Unable to open hyperlink:\n\n A sharing violation occurred.
DLG_HTMLMAPPER_IDSTR_MSG_PREVIEWHTML_UNKNOWNERROR_TEXT | Unable to open hyperlink:\n\n Unknown Error ( %d ) occurred.
DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_CAPTION | Success
DLG_HTMLMAPPER_IDSTR_MSG_SAVESUCCESS_TEXT | Files saved successfully
DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_CAPTION | Error
DLG_HTMLMAPPER_IDSTR_MSG_SAVEERROR_TEXT | Error occurred while writing html file
DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_CAPTION | Error
DLG_HTMLMAPPER_IDSTR_MSG_IMAGEWRITING_TEXT | Error occurred while writing image file
Underlay dialog |
DLG_UNDERLAY_IDSTR_CAPTION | Underlay Effect
DLG_UNDERLAY_IDSTR_SETTINGS | &Settings
DLG_UNDERLAY_IDSTR_STRETCHED | Stretc&hed
DLG_UNDERLAY_IDSTR_TILED | &Tiled
DLG_UNDERLAY_IDSTR_MSG_INITAL_CAPTION | Error
DLG_UNDERLAY_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded
Add Border Dialog strings |
DLG_ADDBORDER_IDSTR_CAPTION | Add Border
DLG_ADDBORDER_IDSTR_MARGINS | Margins
DLG_ADDBORDER_IDSTR_LEFT | &Left:
DLG_ADDBORDER_IDSTR_RIGHT | &Right:
DLG_ADDBORDER_IDSTR_TOP | &Top:
DLG_ADDBORDER_IDSTR_BOTTOM | &Bottom:
DLG_ADDBORDER_IDSTR_PLACEMENT | &Placement:
DLG_ADDBORDER_IDSTR_INSIDE | Inside
DLG_ADDBORDER_IDSTR_OUTSIDE | Outside
DLG_ADDBORDER_IDSTR_LOCKMARGINS | Loc&k Margins
DLG_ADDBORDER_IDSTR_BORDERSTYLE | St&yle:
DLG_ADDBORDER_IDSTR_SAMEIMAGE | Same Image
DLG_ADDBORDER_IDSTR_OPAQUE | Opaque
DLG_ADDBORDER_IDSTR_GRADIENT | Gradient
DLG_ADDBORDER_IDSTR_TILES | Tiles
DLG_ADDBORDER_IDSTR_BORDER | Border
DLG_ADDBORDER_IDSTR_BORDER_DIRECTION | D&irection
DLG_ADDBORDER_IDSTR_INSIDEOUT | Inside Out
DLG_ADDBORDER_IDSTR_CENTEROUT1 | Center Out (1)
DLG_ADDBORDER_IDSTR_CENTEROUT2 | Center Out (2)
DLG_ADDBORDER_IDSTR_OPAQUECOLOR | Colo&r
DLG_ADDBORDER_IDSTR_STARTCOLOR | S&tart Color:
DLG_ADDBORDER_IDSTR_ENDCOLOR | E&nd Color:
DLG_ADDBORDER_IDSTR_TILEIMAGE | T&ile Image:
DLG_ADDBORDER_IDSTR_PRESETS | Pr&esets:
DLG_ADDBORDER_IDSTR_USERDEFINE | User Defined
DLG_ADDBORDER_IDSTR_SIMPLE | Simple
DLG_ADDBORDER_IDSTR_PRESET1 | Preset1
DLG_ADDBORDER_IDSTR_PRESET2 | Preset2
DLG_ADDBORDER_IDSTR_PRESET3 | Preset3
DLG_ADDBORDER_IDSTR_PRESET4 | Preset4
DLG_ADDBORDER_IDSTR_PRESET5 | Preset5
DLG_ADDBORDER_IDSTR_PRESET6 | Preset6
DLG_ADDBORDER_IDSTR_PRESET7 | Preset7
DLG_ADDBORDER_IDSTR_PRESET8 | Preset8
DLG_ADDBORDER_IDSTR_PRESET9 | Preset9
DLG_ADDBORDER_IDSTR_SHADOWS | Shado&ws
DLG_ADDBORDER_IDSTR_SHADOWS_USESHADOWS | Use Shadows
DLG_ADDBORDER_IDSTR_SHADOWS_PLACEMENT | Pla&cement:
DLG_ADDBORDER_IDSTR_SHADOWLEFT | Left
DLG_ADDBORDER_IDSTR_SHADOWRIGHT | Right
DLG_ADDBORDER_IDSTR_SHADOWSURROUND | Surround
DLG_ADDBORDER_IDSTR_BUMPED | Bu&mped
DLG_ADDBORDER_IDSTR_SIZE | Si&ze:
DLG_ADDBORDER_IDSTR_EFFECT | Effect
DLG_ADDBORDER_IDSTR_DLG_EFFECT_STYLE | &Style
DLG_ADDBORDER_IDSTR_NONEEFFECT | None
DLG_ADDBORDER_IDSTR_CURVEDIN | Curved In
DLG_ADDBORDER_IDSTR_CURVEDOUT | Curved Out
DLG_ADDBORDER_IDSTR_RAISED | Raised
DLG_ADDBORDER_IDSTR_LOWERED | Lowered
DLG_ADDBORDER_IDSTR_INTENSITY | &Intensity:
DLG_ADDBORDER_IDSTR_SMOOTH | Sm&ooth
DLG_ADDBORDER_IDSTR_MSG_INITAL_CAPTION | Error
DLG_ADDBORDER_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded.
DLG_ADDBORDER_IDSTR_EXTENTSIZE | Extent Size %d
Add Frame Dialog strings |
DLG_ADDFRAME_IDSTR_CAPTION | Add Frame
DLG_ADDFRAME_IDSTR_OPTIONS | Frame &Options
DLG_ADDFRAME_IDSTR_PLACEMENT | &Placement:
DLG_ADDFRAME_IDSTR_INSIDE | Inside
DLG_ADDFRAME_IDSTR_OUTSIDE | Outside
DLG_ADDFRAME_IDSTR_FRAME | &Frame:
DLG_ADDFRAME_IDSTR_MASK | &Mask
DLG_ADDFRAME_IDSTR_USEMASK | &Use Mask
DLG_ADDFRAME_IDSTR_TOLERANCE | &Tolerance:
DLG_ADDFRAME_IDSTR_TRANSPARENTCOLOR | Transparent &Color:
DLG_ADDFRAME_IDSTR_QUALITY | &Quality:
DLG_ADDFRAME_IDSTR_QUALITY_LOW | Low
DLG_ADDFRAME_IDSTR_QUALITY_HIGH | High
DLG_ADDFRAME_IDSTR_MSG_INITAL_CAPTION | Error
DLG_ADDFRAME_IDSTR_MSG_INITAL_TEXT | Error initializing dialog. Some images couldn't be loaded
Convert to Colored Gray dialog strings |
DLG_COLOREDGRAY_IDSTR_CAPTION | Convert to Colored Gray
DLG_COLOREDGRAY_IDSTR_COLORFACTOR | Color Factors
DLG_COLOREDGRAY_IDSTR_GRAYFACTOR | Gray Factors
DLG_COLOREDGRAY_IDSTR_RED | Red:
DLG_COLOREDGRAY_IDSTR_GREEN | Green:
DLG_COLOREDGRAY_IDSTR_BLUE | Blue:
DLG_COLOREDGRAY_IDSTR_REDGRAY | &Red:
DLG_COLOREDGRAY_IDSTR_GREENGRAY | &Green:
DLG_COLOREDGRAY_IDSTR_BLUEGRAY | &Blue:
Gaussian Blur dialog strings |
DLG_GAUSSIANBLUR_IDSTR_CAPTION | Gaussian Blur
DLG_GAUSSIANBLUR_IDSTR_RADIUS | &Radius
Unsharp Mask dialog strings |
DLG_UNSHARPMASK_IDSTR_CAPTION | Unsharp Mask
DLG_UNSHARPMASK_IDSTR_AMOUNT | &Amount
DLG_UNSHARPMASK_IDSTR_RADIUS | &Radius
DLG_UNSHARPMASK_IDSTR_THERSHOLD | &Threshold
DLG_UNSHARPMASK_IDSTR_COLORESPACE | A&pply Mask on:
DLG_UNSHARPMASK_IDSTR_RGB | RGB color space
DLG_UNSHARPMASK_IDSTR_YUV | YUV color space
Antialias dialog strings |
DLG_ANTIALIAS_IDSTR_CAPTION | Anti-alias
DLG_ANTIALIAS_IDSTR_THRESHOLD | &Threshold:
DLG_ANTIALIAS_IDSTR_DIM | &Mask Size:
DLG_ANTIALIAS_IDSTR_FILTER | &Filter:
DLG_ANTIALIAS_IDSTR_ANTIALIAS_1 | Vertically & Horizontally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_2 | All directions (1)
DLG_ANTIALIAS_IDSTR_ANTIALIAS_3 | All directions (2)
DLG_ANTIALIAS_IDSTR_ANTIALIAS_DIAG | Diagonally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_HORZ | Horizontally
DLG_ANTIALIAS_IDSTR_ANTIALIAS_VERT | Vertically
Edge Detector Colors dialog strings |
DLG_EDGEDETECTOR_IDSTR_CAPTION | Edge Detector
DLG_EDGEDETECTOR_IDSTR_THRESHOLD | &Threshold:
DLG_EDGEDETECTOR_IDSTR_FILTER | &Filter:
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_VERT | Sobel Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_HORZ | Sobel Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_SOBEL_ALL | Sobel Horizontal & Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_VERT | Prewitt Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_HORZ | Prewitt Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_PREWITT_ALL | Prewitt Horizontal & Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_1 | Laplace Vertical & Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_2 | Laplace general (1)
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_3 | Laplace general (2)
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_DIAG | Laplace Diagonal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_HORZ | Laplace Horizontal
DLG_EDGEDETECTOR_IDSTR_EDG_LAPLACE_VERT | Laplace Vertical
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_N | Gradient North
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NE | Gradient North-East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_E | Gradient East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SE | Gradient South-East
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_S | Gradient South
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_SW | Gradient South-West
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_W | Gradient West
DLG_EDGEDETECTOR_IDSTR_EDG_GRADIENT_NW | Gradient North-West
Remove Red Eye Detector Colors dialog strings |
DLG_REMOVEREDEYE_IDSTR_CAPTION | Remove RedEye
DLG_REMOVEREDEYE_IDSTR_LIGHTNESS | &Lightness
DLG_REMOVEREDEYE_IDSTR_THRESHOLD | &Threshold
DLG_REMOVEREDEYE_IDSTR_NEWCOLOR | &New Color:
Motion Blur dialog strings |
DLG_MOTIONBLUR_IDSTR_CAPTION | Motion Blur
DLG_MOTIONBLUR_IDSTR_DIM | &Size of Blur
DLG_MOTIONBLUR_IDSTR_ANGLE | &Angle (degrees)
DLG_MOTIONBLUR_IDSTR_UNIDIRECTIONAL | &Unidirectional
Gray Scale dialog strings |
DLG_GRAYSCALE_IDSTR_CAPTION | Gray Scale
DLG_GRAYSCALE_IDSTR_WEIGHT | Colors Weight
DLG_GRAYSCALE_IDSTR_RED | Red:
DLG_GRAYSCALE_IDSTR_GREEN | Green:
DLG_GRAYSCALE_IDSTR_BLUE | Blue:
Histogram dialog strings |
DLG_HISTOGRAM_IDSTR_CAPTION | Histogram
DLG_HISTOGRAM_IDSTR_CLOSE | &Close
DLG_HISTOGRAM_IDSTR_CHANNEL | C&hannel:
DLG_HISTOGRAM_IDSTR_MEAN | Mean:
DLG_HISTOGRAM_IDSTR_MEDIAN | Median:
DLG_HISTOGRAM_IDSTR_PIXELS | Total Pixels:
DLG_HISTOGRAM_IDSTR_LEVEL | Level:
DLG_HISTOGRAM_IDSTR_COUNT | Count:
DLG_HISTOGRAM_IDSTR_PERCENTAGE | Percentile:
DLG_HISTOGRAM_IDSTR_MASTER | Master
DLG_HISTOGRAM_IDSTR_RED | Red
DLG_HISTOGRAM_IDSTR_GREEN | Green
DLG_HISTOGRAM_IDSTR_BLUE | Blue
DLG_HISTOGRAM_IDSTR_VIEW | &View:
DLG_HISTOGRAM_IDSTR_LINE | Line
DLG_HISTOGRAM_IDSTR_AREA | Area
Multiply dialog strings |
DLG_MULTIPLY_IDSTR_CAPTION | Multiply
DLG_MULTIPLY_IDSTR_FACTOR | &Factor
Local Histo-Equalize dialog strings |
DLG_LOCALHISTOEQUALIZE_IDSTR_CAPTION | Local Histo-Equalize
DLG_LOCALHISTOEQUALIZE_IDSTR_WIDTH | &Width:
DLG_LOCALHISTOEQUALIZE_IDSTR_HEIGHT | &Height:
DLG_LOCALHISTOEQUALIZE_IDSTR_SMOOTH | &Smooth:
DLG_LOCALHISTOEQUALIZE_IDSTR_XEXTENSION | &X-Extension:
DLG_LOCALHISTOEQUALIZE_IDSTR_YEXTENSION | &Y-Extension:
DLG_LOCALHISTOEQUALIZE_IDSTR_COLORSPACE | &Color Space:
DLG_LOCALHISTOEQUALIZE_IDSTR_RGB | RGB
DLG_LOCALHISTOEQUALIZE_IDSTR_YUV | YUV
DLG_LOCALHISTOEQUALIZE_IDSTR_GRAY | GRAY
Balance Colors dialog strings |
DLG_BALANCECOLORS_IDSTR_CAPTION | Balance Colors
DLG_BALANCECOLORS_IDSTR_REDWEIGHT | &Red Weights
DLG_BALANCECOLORS_IDSTR_GREENWEIGHT | &Green Weights
DLG_BALANCECOLORS_IDSTR_BLUEWEIGHT | &Blue Weights
DLG_BALANCECOLORS_IDSTR_RED | Red:
DLG_BALANCECOLORS_IDSTR_GREEN | Green:
DLG_BALANCECOLORS_IDSTR_BLUE | Blue:
Add Bitmaps dialog strings |
DLG_ADDBITMAPS_IDSTR_CAPTION | Add Bitmaps
DLG_ADDBITMAPS_IDSTR_PREVIEW | Preview
DLG_ADDBITMAPS_IDSTR_AVAILABLE | A&vailable List:
DLG_ADDBITMAPS_IDSTR_SELECTED | &Selected List:
DLG_ADDBITMAPS_IDSTR_OPERATION | &Operation:
DLG_ADDBITMAPS_IDSTR_ADD | &Add >>
DLG_ADDBITMAPS_IDSTR_ADDALL | A&dd All
DLG_ADDBITMAPS_IDSTR_REMOVE | << &Remove
DLG_ADDBITMAPS_IDSTR_REMOVEALL | Re&move All
DLG_ADDBITMAPS_IDSTR_ADDOPERATION | Add
DLG_ADDBITMAPS_IDSTR_AVERAGEOPERATION | Average
DLG_ADDBITMAPS_IDSTR_ADDBEFORE | &Before
DLG_ADDBITMAPS_IDSTR_ADDAFTER | &After
Remap Intensity dialog strings |
DLG_REMAPINTENSITY_IDSTR_CAPTION | Remap Intensity
DLG_REMAPINTENSITY_IDSTR_INTENSITY | Intensity
DLG_REMAPINTENSITY_IDSTR_CHANNEL | &Channel:
DLG_REMAPINTENSITY_IDSTR_CURVEMODE | Curve &Mode:
DLG_REMAPINTENSITY_IDSTR_FACTOR | &Factor:
DLG_REMAPINTENSITY_IDSTR_RESET | &Reset
DLG_REMAPINTENSITY_IDSTR_RESETALL | Reset &All
DLG_REMAPINTENSITY_IDSTR_LOAD | &Load
DLG_REMAPINTENSITY_IDSTR_LOAD_EXTENSION | LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||
DLG_REMAPINTENSITY_IDSTR_LOAD_CAPTION | Load
DLG_REMAPINTENSITY_IDSTR_SAVE | &Save
DLG_REMAPINTENSITY_IDSTR_SAVE_EXTENSION | LEADTOOLS Remap Intensity Curve (*.lri)|*.lri||
DLG_REMAPINTENSITY_IDSTR_SAVE_CAPTION | Save
DLG_REMAPINTENSITY_IDSTR_CHANNEL_RGB | RGB
DLG_REMAPINTENSITY_IDSTR_CHANNEL_RED | Red
DLG_REMAPINTENSITY_IDSTR_CHANNEL_GREEN | Green
DLG_REMAPINTENSITY_IDSTR_CHANNEL_BLUE | Blue
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LINER | Linear
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_EXP | Exponential
DLG_REMAPINTENSITY_IDSTR_CURVEMODE_LOG | Logarithm
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_VERT | Vertically
DLG_REMAPINTENSITY_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_REMAPINTENSITY_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_REMAPINTENSITY_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Remap Hue dialog strings |
DLG_REMAPHUE_IDSTR_CAPTION | Remap Hue
DLG_REMAPHUE_IDSTR_INTENSITY | Hue
DLG_REMAPHUE_IDSTR_CHANNEL | &Channel:
DLG_REMAPHUE_IDSTR_CURVEMODE | Curve &Mode:
DLG_REMAPHUE_IDSTR_FACTOR | &Factor:
DLG_REMAPHUE_IDSTR_RESET | &Reset
DLG_REMAPHUE_IDSTR_RESETALL | Reset &All
DLG_REMAPHUE_IDSTR_LOAD | &Load
DLG_REMAPHUE_IDSTR_LOAD_CAPTION | Load
DLG_REMAPHUE_IDSTR_SAVE_EXTENSION | LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||
DLG_REMAPHUE_IDSTR_SAVE | &Save
DLG_REMAPHUE_IDSTR_SAVE_CAPTION | Save
DLG_REMAPHUE_IDSTR_LOAD_EXTENSION | LEADTOOLS Remap Hue Curve (*.lrh)|*.lrh||
DLG_REMAPHUE_IDSTR_CHANNEL_HUE | Hue
DLG_REMAPHUE_IDSTR_CHANNEL_SATURATION | Saturation
DLG_REMAPHUE_IDSTR_CHANNEL_VALUE | Value
DLG_REMAPHUE_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_REMAPHUE_IDSTR_CURVEMODE_LINER | Linear
DLG_REMAPHUE_IDSTR_CURVEMODE_EXP | Exponential
DLG_REMAPHUE_IDSTR_CURVEMODE_LOG | Logarithm
DLG_REMAPHUE_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_REMAPHUE_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_REMAPHUE_IDSTR_CURVEFLIP_VERT | Vertically
DLG_REMAPHUE_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_REMAPHUE_IDSTR_MASK | Mas&k
DLG_REMAPHUE_IDSTR_MASK_START | Start
DLG_REMAPHUE_IDSTR_MASK_END | End
DLG_REMAPHUE_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_REMAPHUE_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_REMAPHUE_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Free Hand Wave dialog strings |
DLG_FREEHANDWAVE_IDSTR_CAPTION | Free Hand Wave
DLG_FREEHANDWAVE_IDSTR_WAVE_CURVE | Wave Curve
DLG_FREEHANDWAVE_IDSTR_CURVEMODE | Curve &Mode:
DLG_FREEHANDWAVE_IDSTR_RESET | &Reset
DLG_FREEHANDWAVE_IDSTR_LOAD | &Load
DLG_FREEHANDWAVE_IDSTR_LOAD_EXTENSION | LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||
DLG_FREEHANDWAVE_IDSTR_LOAD_CAPTION | Load
DLG_FREEHANDWAVE_IDSTR_SAVE | &Save
DLG_FREEHANDWAVE_IDSTR_SAVE_EXTENSION | LEADTOOLS Hand Wave Curve (*.lhw)|*.lhw||
DLG_FREEHANDWAVE_IDSTR_SAVE_CAPTION | Save
DLG_FREEHANDWAVE_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_FREEHANDWAVE_IDSTR_CURVEMODE_LINER | Linear
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_VERT | Vertically
DLG_FREEHANDWAVE_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING | &Wave Settings
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_SCALE | S&cale:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_LENGTH | Len&gth:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE | &Type:
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_PERIOD | Period
DLG_FREEHANDWAVE_IDSTR_WAVE_SETTING_TYPE_FREQUENCY | Frequency
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED | E&xposed Area
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_NOCHANGE | Don't Change
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_COLOR | Use Color
DLG_FREEHANDWAVE_IDSTR_WAVE_EXPOSED_STRICH | Stretch Image
DLG_FREEHANDWAVE_IDSTR_ANGLE | Angle: %.2f
DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_FREEHANDWAVE_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_FREEHANDWAVE_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
Wind dialog strings |
DLG_WIND_IDSTR_CAPTION | Wind Effect
DLG_WIND_IDSTR_STRENGTH | &Strength
DLG_WIND_IDSTR_DIRECTION | Direction (&Angle)
DLG_WIND_IDSTR_OPACITY | &Opacity
Impressionist dialog strings |
DLG_IMPRESSIONIST_IDSTR_CAPTION | Impressionist Effect
DLG_IMPRESSIONIST_IDSTR_HORIZONTAL | &Horizontal Size
DLG_IMPRESSIONIST_IDSTR_VERTICAL | &Vertical Size
Cylindrical dialog strings |
DLG_CYLINDRICAL_IDSTR_CAPTION | Cylindrical Effect
DLG_CYLINDRICAL_IDSTR_STRETCH | &Stretching Amount
DLG_CYLINDRICAL_IDSTR_TYPE | Cylinder &Type:
DLG_CYLINDRICAL_IDSTR_TYPE_HORZ | Horizontal
DLG_CYLINDRICAL_IDSTR_TYPE_VERT | Vertical
Polar dialog strings |
DLG_POLAR_IDSTR_CAPTION | Polar Effect
DLG_POLAR_IDSTR_EXPOSEDAREA | E&xposed Area
DLG_POLAR_IDSTR_EXPOSED_TYPE_NOCHANGE | Don't Change
DLG_POLAR_IDSTR_EXPOSED_TYPE_STRECH | Stretch Image
DLG_POLAR_IDSTR_EXPOSED_TYPE_FILLCOLOR | Use Color
DLG_POLAR_IDSTR_CONVERSION | Conversion &Option:
DLG_POLAR_IDSTR_CONVERSION_CARTTOPOL | Rectangular to Polar
DLG_POLAR_IDSTR_CONVERSION_POLTOCART | Polar to Rectangular
Pixelate dialog strings |
DLG_PIXELATE_IDSTR_CAPTION | Pixelate Effect
DLG_PIXELATE_IDSTR_PIXELATE | &Pixelate
DLG_PIXELATE_IDSTR_PIXELATE_MODE | &Mode:
DLG_PIXELATE_IDSTR_PIXELATE_TYPE | &Type:
DLG_PIXELATE_IDSTR_HEIGHT | &Height
DLG_PIXELATE_IDSTR_WIDTH | &Width
DLG_PIXELATE_IDSTR_PIVOT | &Pivot
DLG_PIXELATE_IDSTR_CENTER | Cen&ter
DLG_PIXELATE_IDSTR_OPACITY | &Opacity:
DLG_PIXELATE_IDSTR_TYPE_RECTANGLE | Rectangle
DLG_PIXELATE_IDSTR_TYPE_RADIAL | Radial
DLG_PIXELATE_IDSTR_MODE_MAXIMUM | Maximum
DLG_PIXELATE_IDSTR_MODE_MINIMUM | Minimum
DLG_PIXELATE_IDSTR_MODE_AVERAGE | Average
DLG_PIXELATE_IDSTR_CELL_TYPE_PERIOD | Period
DLG_PIXELATE_IDSTR_CELL_TYPE_FREQUENCY | Frequency
DLG_PIXELATE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_PIXELATE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Zoom Wave Dialog Strings |
DLG_ZOOMWAVE_IDSTR_CAPTION | Zoom Wave Effect
DLG_ZOOMWAVE_IDSTR_ZOOMWAVE | &Zoom Wave
DLG_ZOOMWAVE_IDSTR_FREQUENCY | &Frequency:
DLG_ZOOMWAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_ZOOMWAVE_IDSTR_PHASE | P&hase:
DLG_ZOOMWAVE_IDSTR_ZOOMFACTOR | &Zoom Factor:
DLG_ZOOMWAVE_IDSTR_EXPOSED | &Exposed Area
DLG_ZOOMWAVE_IDSTR_CENTER | Cen&ter
DLG_ZOOMWAVE_IDSTR_PIVOT | &Pivot
DLG_ZOOMWAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_ZOOMWAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_ZOOMWAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_ZOOMWAVE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_ZOOMWAVE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Radial Wave Dialog Strings |
DLG_RADIALWAVE_IDSTR_CAPTION | Radial Wave Effect
DLG_RADIALWAVE_IDSTR_RADIALWAVE | &Radial Wave
DLG_RADIALWAVE_IDSTR_LENGTH | &Length:
DLG_RADIALWAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_RADIALWAVE_IDSTR_PHASE | P&hase:
DLG_RADIALWAVE_IDSTR_WAVETYPE | &Type:
DLG_RADIALWAVE_IDSTR_WAVETYPE_PERCENT | Period
DLG_RADIALWAVE_IDSTR_WAVETYPE_FREQUENCY | Frequency
DLG_RADIALWAVE_IDSTR_EXPOSED | &Exposed Area
DLG_RADIALWAVE_IDSTR_CENTER | Cen&ter
DLG_RADIALWAVE_IDSTR_PIVOT | &Pivot
DLG_RADIALWAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_RADIALWAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_RADIALWAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_RADIALWAVE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RADIALWAVE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Ripple Dialog Strings |
DLG_RIPPLE_IDSTR_CAPTION | Ripple Effect
DLG_RIPPLE_IDSTR_SETTINGS | &Ripple Settings
DLG_RIPPLE_IDSTR_FREQUENCY | &Frequency:
DLG_RIPPLE_IDSTR_AMPLITUDE | &Amplitude:
DLG_RIPPLE_IDSTR_PHASE | P&hase:
DLG_RIPPLE_IDSTR_ATTENUATION | A&ttenuation:
DLG_RIPPLE_IDSTR_EXPOSED | &Exposed Area
DLG_RIPPLE_IDSTR_CENTER | Cen&ter
DLG_RIPPLE_IDSTR_PIVOT | &Pivot
DLG_RIPPLE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_RIPPLE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_RIPPLE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_RIPPLE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RIPPLE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Punch dialog strings |
DLG_PUNCH_IDSTR_CAPTION | Punch Effect
DLG_PUNCH_IDSTR_SETTINGS | P&unch Settings
DLG_PUNCH_IDSTR_VALUE | &Value:
DLG_PUNCH_IDSTR_STRESS | &Stress:
DLG_PUNCH_IDSTR_ROTATE | &Rotate
DLG_PUNCH_IDSTR_EXPOSED | &Exposed Area
DLG_PUNCH_IDSTR_CENTER | Cen&ter
DLG_PUNCH_IDSTR_PIVOT | &Pivot
DLG_PUNCH_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_PUNCH_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_PUNCH_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_PUNCH_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_PUNCH_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Bending Dialog Strings |
DLG_BENDING_IDSTR_CAPTION | Bending Effect
DLG_BENDING_IDSTR_SETTINGS | &Bending Settings
DLG_BENDING_IDSTR_VALUE | &Value:
DLG_BENDING_IDSTR_TYPE | T&ype:
DLG_BENDING_IDSTR_ROTATE | &Rotate
DLG_BENDING_IDSTR_EXPOSED | &Exposed Area
DLG_BENDING_IDSTR_CENTER | Cen&ter
DLG_BENDING_IDSTR_PIVOT | &Pivot
DLG_BENDING_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_BENDING_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_BENDING_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_BENDING_IDSTR_TYPE_NORMAL | Normal
DLG_BENDING_IDSTR_TYPE_VERTICAL | Vertically
DLG_BENDING_IDSTR_TYPE_HORIZONTAL | Horizontally
DLG_BENDING_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_BENDING_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Spherize Dialog Strings |
DLG_SPHERIZE_IDSTR_CAPTION | Spherize Effect
DLG_SPHERIZE_IDSTR_SETTINGS | &Spherize
DLG_SPHERIZE_IDSTR_VALUE | &Value:
DLG_SPHERIZE_IDSTR_ROTATE | &Rotate
DLG_SPHERIZE_IDSTR_EXPOSED | &Exposed Area
DLG_SPHERIZE_IDSTR_CENTER | Cen&ter
DLG_SPHERIZE_IDSTR_PIVOT | &Pivot
DLG_SPHERIZE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_SPHERIZE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_SPHERIZE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
DLG_SPHERIZE_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_SPHERIZE_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Swirl Dialog Strings |
DLG_SWIRL_IDSTR_CAPTION | Swirl Effect
DLG_SWIRL_IDSTR_ANGLE | &Swirl Rotation Angle (degrees)
DLG_SWIRL_IDSTR_CLOCKWISE | &Clockwise
DLG_SWIRL_IDSTR_PIVOT | &Pivot
DLG_SWIRL_IDSTR_CENTER | Cen&ter
DLG_SWIRL_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_SWIRL_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Radial Blur Dialog Strings |
DLG_RADIALBLUR_IDSTR_CAPTION | Radial Blur Effect
DLG_RADIALBLUR_IDSTR_SETTINGS | Radial &Blur
DLG_RADIALBLUR_IDSTR_SIZE | Si&ze:
DLG_RADIALBLUR_IDSTR_STRESS | &Stress:
DLG_RADIALBLUR_IDSTR_PIVOT | &Pivot
DLG_RADIALBLUR_IDSTR_CENTER | Cen&ter
DLG_RADIALBLUR_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_RADIALBLUR_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Zoom Blur Dialog Strings |
DLG_ZOOMBLUR_IDSTR_CAPTION | Zoom Blur Effect
DLG_ZOOMBLUR_IDSTR_SETTINGS | Zoom &Blur
DLG_ZOOMBLUR_IDSTR_SIZE | Si&ze:
DLG_ZOOMBLUR_IDSTR_STRESS | &Stress:
DLG_ZOOMBLUR_IDSTR_PIVOT | &Pivot
DLG_ZOOMBLUR_IDSTR_CENTER | Cen&ter
DLG_ZOOMBLUR_IDSTR_CURSORPOS_VALUE | Cursor Pos (xy):%d%d
DLG_ZOOMBLUR_IDSTR_CURSORPOS_EMPTY | Cursor Pos (xy):--
Wave Dialog Strings |
DLG_WAVE_IDSTR_CAPTION | Wave Effect
DLG_WAVE_IDSTR_SETTINGS | &Wave Settings
DLG_WAVE_IDSTR_LENGTH | &Length:
DLG_WAVE_IDSTR_AMPLITUDE | &Amplitude:
DLG_WAVE_IDSTR_ANGLE | An&gle:
DLG_WAVE_IDSTR_HORZSCALE | &Horz Scale:
DLG_WAVE_IDSTR_VERTSCALE | &Vert Scale:
DLG_WAVE_IDSTR_WAVETYPE | &Type:
DLG_WAVE_IDSTR_WAVETYPE_PERCENT | Period
DLG_WAVE_IDSTR_WAVETYPE_FREQUENCY | Frequency
DLG_WAVE_IDSTR_WAVEMODE | &Mode
DLG_WAVE_IDSTR_MODE_SIN | Sin
DLG_WAVE_IDSTR_MODE_COS | Cos
DLG_WAVE_IDSTR_MODE_SQUARE | Square
DLG_WAVE_IDSTR_MODE_TRIANGULAR | Triangular
DLG_WAVE_IDSTR_EXPOSED | &Exposed Area
DLG_WAVE_IDSTR_FILLTYPE_USECOLOR | Use Color
DLG_WAVE_IDSTR_FILLTYPE_STRETCH | Stretch Image
DLG_WAVE_IDSTR_FILLTYPE_NOCHANGE | Don't Change
Wave Shear Dialog Strings |
DLG_WAVESHEAR_IDSTR_CAPTION | Wave Shear
DLG_WAVESHEAR_IDSTR_WAVE_CURVE | Wave Curve
DLG_WAVESHEAR_IDSTR_CURVEMODE | Curve &Mode:
DLG_WAVESHEAR_IDSTR_RESET | &Reset
DLG_WAVESHEAR_IDSTR_LOAD | &Load
DLG_WAVESHEAR_IDSTR_LOAD_EXTENSION | LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||
DLG_WAVESHEAR_IDSTR_LOAD_CAPTION | Load
DLG_WAVESHEAR_IDSTR_SAVE | &Save
DLG_WAVESHEAR_IDSTR_SAVE_EXTENSION | LEADTOOLS WaveShear Curve (*.lsr)|*.lsr||
DLG_WAVESHEAR_IDSTR_SAVE_CAPTION | Save
DLG_WAVESHEAR_IDSTR_CURVEMODE_USERPOINTS | Curve
DLG_WAVESHEAR_IDSTR_CURVEMODE_LINER | Linear
DLG_WAVESHEAR_IDSTR_CURVEFLIP_FLIP | Fl&ip
DLG_WAVESHEAR_IDSTR_CURVEFLIP_BOTH | Both directions
DLG_WAVESHEAR_IDSTR_CURVEFLIP_VERT | Vertically
DLG_WAVESHEAR_IDSTR_CURVEFLIP_HORIZ | Horizontally
DLG_WAVESHEAR_IDSTR_WAVE_SETTING | &Wave Settings
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_SCALE | S&cale:
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION | &Direction:
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_HORZ | Horizontal
DLG_WAVESHEAR_IDSTR_WAVE_SETTING_DIRECTION_VERT | Vertical
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED | E&xposed Area
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_NOCHANGE | Don't Change
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_COLOR | Use Color
DLG_WAVESHEAR_IDSTR_WAVE_EXPOSED_STRETCH | Stretch Image
DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_CAPTION | Load Error
DLG_WAVESHEAR_IDSTR_MSG_LOADFILE_TEXT | This is not a curve data file!
DLG_WAVESHEAR_IDSTR_MSG_SAVEFILE_CAPTION | Save Error
File Info Dialog Strings |
DLG_FILEINFO_IDSTR_ITEM_CAPTION | Item:
DLG_FILEINFO_IDSTR_VALUE_CAPTION | Value:
DLG_FILEINFO_IDSTR_INFORMATION | File Information
DLG_FILEINFO_IDSTR_FORMAT | Format
DLG_FILEINFO_IDSTR_FILENAME | Name
DLG_FILEINFO_IDSTR_WIDTH | Width
DLG_FILEINFO_IDSTR_HEIGHT | Height
DLG_FILEINFO_IDSTR_BPP | Bits per pixel
DLG_FILEINFO_IDSTR_SIZEDISK | Size on disk
DLG_FILEINFO_IDSTR_SIZEMEM | Size in memory
DLG_FILEINFO_IDSTR_COMPRESSION | Compression
DLG_FILEINFO_IDSTR_PAGE | Page
DLG_FILEINFO_IDSTR_ARTIST | Artist
DLG_FILEINFO_IDSTR_COPYRIGHT | Copyright
DLG_FILEINFO_IDSTR_DATETIME | Date/Time
DLG_FILEINFO_IDSTR_DESCRIPTION | Description
DLG_FILEINFO_IDSTR_HOSTCOMPUTER | Host Computer
DLG_FILEINFO_IDSTR_MAKE | Make
DLG_FILEINFO_IDSTR_MODEL | Model
DLG_FILEINFO_IDSTR_DOCNAME | Name of Document
DLG_FILEINFO_IDSTR_PAGENAME | Name of Page
DLG_FILEINFO_IDSTR_SOFTWARE | Software
DLG_FILEINFO_IDSTR_XRESOLUTION | XResolution (DPI)
DLG_FILEINFO_IDSTR_YRESOLUTION | YResolution (DPI)
DICOM File Info Strings |
DLG_FILEINFO_IDSTR_PATIENTNAME | Patient Name
DLG_FILEINFO_IDSTR_PATIENTID | Patient ID
DLG_FILEINFO_IDSTR_PATIENTBIRTHDATE | Patient Birth Date
DLG_FILEINFO_IDSTR_PATIENTSEX | Patient Sex
DLG_FILEINFO_IDSTR_STUDYINSTANCE | Study Instance
DLG_FILEINFO_IDSTR_STUDYDATE | Study Date
DLG_FILEINFO_IDSTR_STUDYTIME | Study Time
DLG_FILEINFO_IDSTR_STUDYREFPHYSICIAN | Study Ref. Physician
DLG_FILEINFO_IDSTR_SERIESMODALITY | Series Modality
DLG_FILEINFO_IDSTR_SERIESID | Series ID
DLG_FILEINFO_IDSTR_SERIESNUMBER | Series Number
DLG_FILEINFO_IDSTR_LOSSLESS_JPEG | Lossless JPEG
DLG_FILEINFO_IDSTR_LOSSLESS_TIF_JPEG | Lossless TIF JPEG
PNG File Info Strings |
DLG_FILEINFO_IDSTR_WARNING | Warning
DLG_FILEINFO_IDSTR_DISCLAIMER | Disclaimer
File Conversion Dialog Strings |
DLG_FILECONVERSION_IDSTR_CAPTION | File Conversion
DLG_FILECONVERSION_IDSTR_CONVERT | Con&vert
DLG_FILECONVERSION_IDSTR_CLOSE | &Close
DLG_FILECONVERSION_IDSTR_FILE | Source &File(s)
DLG_FILECONVERSION_IDSTR_PREVIEW | Preview:
DLG_FILECONVERSION_IDSTR_FILELIST | File L&ist:
DLG_FILECONVERSION_IDSTR_ADD | Add File...
DLG_FILECONVERSION_IDSTR_ADDFOLDER | Add Folder...
DLG_FILECONVERSION_OPENDLG_IDSTR_CAPTION | Add File(s)
DLG_FILECONVERSION_OPENDLG_IDSTR_ADD | &Add
DLG_FILECONVERSION_OPENFOLDERDLG_IDSTR_CAPTION | Select Folder
DLG_FILECONVERSION_IDSTR_REMOVE | Remove
DLG_FILECONVERSION_IDSTR_SELECTALL | Select All
DLG_FILECONVERSION_IDSTR_FILEINFO | Fi&le Info...
DLG_FILECONVERSION_IDSTR_FULLPATH | F&ull Path
DLG_FILECONVERSION_IDSTR_TYPE | File &Type
DLG_FILECONVERSION_IDSTR_SUBTYPE | &Sub Type:
DLG_FILECONVERSION_IDSTR_FILETYPEOPTIONS | O&ptions...
DLG_FILECONVERSION_IDSTR_SOURCEFILEOPTIONS | Op&tions...
DLG_FILECONVERSION_IDSTR_RESULTED | Resulting File(s)
DLG_FILECONVERSION_IDSTR_FOLDER | Fol&der:
DLG_FILECONVERSION_IDSTR_USEORIGINALFOLDER | Use Original Fold&er
DLG_FILECONVERSION_IDSTR_DESTINATIONFOLDER | Destination Folder
DLG_FILECONVERSION_IDSTR_REMOVEREPLACE | &Delete/Overwrite File(s)
DLG_FILECONVERSION_IDSTR_OVERWRITE | &Overwrite:
DLG_FILECONVERSION_IDSTR_LOGREPORT | Lo&g Report
DLG_FILECONVERSION_IDSTR_ASK | Ask
DLG_FILECONVERSION_IDSTR_SKIP | Skip
DLG_FILECONVERSION_IDSTR_REPLACE | Replace
DLG_FILECONVERSION_IDSTR_RENAME | Rename
DLG_FILECONVERSION_IDSTR_FILELIST_FILE | File Name
DLG_FILECONVERSION_IDSTR_FILELIST_SELECTEDPAGES | Selected Pages
DLG_FILECONVERSION_IDSTR_CUSTOMIZERENAME | &Customize...
DLG_FILECONVERSION_IDSTR_NAMINGTEMPLATE | &Naming Template...
DLG_FILECONVERSION_IDSTR_TYPEBPP | BPP:
DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_TEXT | Can not find:\n(%s).
DLG_FILECONVERSION_IDSTR_MSG_PREVIEW_CAPTION | Preview Error
DLG_FILECONVERSION_ASKDLG_IDSTR_CAPTION | Overwrite
DLG_FILECONVERSION_ASKDLG_IDSTR_REPLACE | &Replace
DLG_FILECONVERSION_ASKDLG_IDSTR_SKIP | &Skip
DLG_FILECONVERSION_ASKDLG_IDSTR_RENAME | R&ename
DLG_FILECONVERSION_ASKDLG_IDSTR_ABORT | Abort
DLG_FILECONVERSION_ASKDLG_IDSTR_TEXT | File \
File Conversion Log-Report Dialog Strings |
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_CAPTION | Conversion Log-Report
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_STATE | State
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_SOURCE | Source File
DLG_FILECONVERSION_LOGREPORTDLG_IDSTR_DESTINATION | Destination File
File Conversion Update State Dialog Strings |
DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_CAPTION | Updating...
DLG_FILECONVERSION_UPDATESTATEPROGRESSDLG_IDSTR_STATUS | Updating State...
File Conversion Abort Dialog Strings |
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CAPTION | Converting...
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_CONVERTINGFILES | Converting Files...
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_ABORT | &Abort
DLG_FILECONVERSION_PROGRESSDLG_IDSTR_BODY | From: %s\nTo : %s
File Conversion Add Progress Dialog Strings |
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_CAPTION | Adding Files...
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_ABORT | &Abort
DLG_FILECONVERSION_ADDPROGRESSDLG_IDSTR_BODY | Adding: %s
File Conversion Load Options Dialog Strings |
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_CAPTION | Load Options
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGESETTINGS | Page &Settings
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_ALLPAGES | &All Pages
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_PAGES | &Page(s):
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_USEINFORMATION | Enter page numbers and/or page ranges separated by commas. For example: 3125-9
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_TEXT | Invalid page number.
DLG_FILECONVERSION_LOADOPTIONSDLG_IDSTR_MSG_CAPTION | Page Error
File Conversion Rename Template Dialog Strings |
DLG_FILECONVERSION_RENAMEDLG_IDSTR_CAPTION | Rename Template
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SAMPLE | &Sample:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_PREFIX | Set as &Prefix
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SUFFIX | Set as &Suffix
DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAGOPTIONS | &Tags Options
DLG_FILECONVERSION_RENAMEDLG_IDSTR_TAG | T&ag:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_SETTINGS | &Settings
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MASK | Mas&k:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_INCREMENT | &Increment by:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_STARTINGPOSITION | &Starting Position:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_ALPHABETICRANGE | &Alphabetical Range:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_NUMERICRANGE | &Numerical Range:
DLG_FILECONVERSION_RENAMEDLG_IDSTR_UPPERCASE | &Upper Case
DLG_FILECONVERSION_RENAMEDLG_IDSTR_NOTE | Note: Ranges run from lower to higher value.
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT | Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|
DLG_FILECONVERSION_RENAMEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION | Error
File Conversion Naming Template Dialog Strings |
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_CAPTION | Naming Template
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TEMPLATE | &Template:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SAMPLE | &Sample:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAGOPTIONS | &Tags Options
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TAG | T&ag:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SETTINGS | &Settings
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MASK | Mas&k:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_INCREMENT | &Increment by:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_STARTINGPOSITION | &Starting Position:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_ALPHABETICRANGE | &Alphabetical Range:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NUMERICRANGE | &Numerical Range:
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPERCASE | &Upper Case
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_NOTE | Note: Ranges run from lower to higher value.
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_TEXT | Invalid Template.\nTemplate can't be blank and can't contain any of the following characters:\n\\:?<>*|
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_MSG_INVALIDTEMPLATE_CAPTION | Error
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_KEEPASIS | Keep as is
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_UPPER | Upper
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LOWER | Lower
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_TOGGLE | Toggle
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT | Short
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG | Long
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG24 | Long 24
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT24 | Short 24
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_LONG12 | Long 12
DLG_FILECONVERSION_NAMINGTEMPLATEDLG_IDSTR_SHORT12 | Short 12
File Conversion dialog Rotate Dialog Strings |
DLG_FILECONVERSION_ROTATEDLG_IDSTR_CAPTION | Rotate
DLG_FILECONVERSION_ROTATEDLG_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_FILECONVERSION_ROTATEDLG_IDSTR_INTERPOLATION | Inter&polation Type:
DLG_FILECONVERSION_ROTATEDLG_IDSTR_COLOR | &Background:
DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESIZE | Resi&ze
DLG_FILECONVERSION_ROTATEDLG_IDSTR_NORMAL | Normal
DLG_FILECONVERSION_ROTATEDLG_IDSTR_RESAMPLE | Resample
DLG_FILECONVERSION_ROTATEDLG_IDSTR_BICUBIC | Bicubic
File Conversion Resize Dialog Strings |
DLG_FILECONVERSION_RESIZEDLG_IDSTR_CAPTION | Resize
DLG_FILECONVERSION_RESIZEDLG_IDSTR_ENABLE | &Enable
DLG_FILECONVERSION_RESIZEDLG_IDSTR_WIDTHNEW | New &Width:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_HEIGHTNEW | New &Height:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_METHOD | &Method:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_NORMAL | Normal
DLG_FILECONVERSION_RESIZEDLG_IDSTR_RESAMPLE | Resample
DLG_FILECONVERSION_RESIZEDLG_IDSTR_BICUBIC | Bicubic
DLG_FILECONVERSION_RESIZEDLG_IDSTR_UNIT | &Unit:
DLG_FILECONVERSION_RESIZEDLG_IDSTR_PIXEL | Pixel
DLG_FILECONVERSION_RESIZEDLG_IDSTR_PERCENT | Percent
File Save Options Dialog Strings |
DLG_FILESAVEOPTIONS_IDSTR_APPEND | Append
DLG_FILESAVEOPTIONS_IDSTR_BPP | Bits Per Pi&xel:
DLG_FILESAVEOPTIONS_IDSTR_CAPTION | File Save Options
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSION | Compression
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONCONTROL | Contro&l:
DLG_FILESAVEOPTIONS_IDSTR_COMPRESSIONRATIO | Rat&io:
DLG_FILESAVEOPTIONS_IDSTR_GENERAL | General
DLG_FILESAVEOPTIONS_IDSTR_INSERT | Insert
DLG_FILESAVEOPTIONS_IDSTR_J2KADVANCED | &J2K Options...
DLG_FILESAVEOPTIONS_IDSTR_J2KCOLOR | Color-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KCOMPRATIO | Compression Ratio
DLG_FILESAVEOPTIONS_IDSTR_J2KLOSSLESS | Lossless
DLG_FILESAVEOPTIONS_IDSTR_J2KPOSITION | Position-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KQFACTOR | Quality Factor
DLG_FILESAVEOPTIONS_IDSTR_J2KQUALITY | Quality-axis
DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION1 | Resolution-axis 1
DLG_FILESAVEOPTIONS_IDSTR_J2KRESOLUTION2 | Resolution-axis 2
DLG_FILESAVEOPTIONS_IDSTR_J2KTARGETSIZE | Target File Size
DLG_FILESAVEOPTIONS_IDSTR_JBIG2OPTIONS | &JBIG2 Options...
DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_CAPTION | Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_DELETE_TEXT | Can not delete ( %s ) file.
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_CAPTION | Folder Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDERCREATION_TEXT | Can't create destination folder \
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_CAPTION | Folder Error
DLG_FILESAVEOPTIONS_IDSTR_MSG_FOLDEREXISTANCE_TEXT | The destination folder \
DLG_FILESAVEOPTIONS_IDSTR_MULTIPAGE | Multipage
DLG_FILESAVEOPTIONS_IDSTR_OPERATION | Opera&tion:
DLG_FILESAVEOPTIONS_IDSTR_OVERWRITE | Overwrite
DLG_FILESAVEOPTIONS_IDSTR_PAGE | Page &No.:
DLG_FILESAVEOPTIONS_IDSTR_PROG1 | 1
DLG_FILESAVEOPTIONS_IDSTR_PROG10 | 10
DLG_FILESAVEOPTIONS_IDSTR_PROG2 | 2
DLG_FILESAVEOPTIONS_IDSTR_PROG3 | 3
DLG_FILESAVEOPTIONS_IDSTR_PROG4 | 4
DLG_FILESAVEOPTIONS_IDSTR_PROG5 | 5
DLG_FILESAVEOPTIONS_IDSTR_PROG6 | 6
DLG_FILESAVEOPTIONS_IDSTR_PROG7 | 7
DLG_FILESAVEOPTIONS_IDSTR_PROG8 | 8
DLG_FILESAVEOPTIONS_IDSTR_PROG9 | 9
DLG_FILESAVEOPTIONS_IDSTR_PROGALL | All
DLG_FILESAVEOPTIONS_IDSTR_PROGMEANINGFUL | Meaningful Only
DLG_FILESAVEOPTIONS_IDSTR_PROGOPTIONS | &Progressive Options:
DLG_FILESAVEOPTIONS_IDSTR_PROGRESSIONORDER | Progressing O&rder:
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR | &Qfactor:
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_CUSTOM | Custom
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MC | Maximum compression
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_MCQ | Maximum compression keeping quality
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ1 | Perfect quality 1
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_PQ2 | Perfect quality 2
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QFS | Quality far more important than size
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QMS | Quality more important than size
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_QS | Quality and size equally important
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQS | Size more important that quality (sharp)
DLG_FILESAVEOPTIONS_IDSTR_QFACTOR_SQT | Size more important than quality (less tiling)
DLG_FILESAVEOPTIONS_IDSTR_REPLACE | Replace
DLG_FILESAVEOPTIONS_IDSTR_SAVESTAMP | Sa&ve
DLG_FILESAVEOPTIONS_IDSTR_STAMPHEIGHT | H&eight:
DLG_FILESAVEOPTIONS_IDSTR_STAMPOPTIONS | Stamp Options
DLG_FILESAVEOPTIONS_IDSTR_STAMPWIDTH | &Width:
DLG_FILESAVEOPTIONS_IDSTR_TARGETSIZE | Target Si&ze:
J2K Options Dialog Strings |
DLG_J2K_IDSTR_CAPTION | JPEG 2000 Options
DLG_J2K_IDSTR_OFFSET | Offset
DLG_J2K_IDSTR_OFFSETHORIZONTAL | &Horizontal:
DLG_J2K_IDSTR_OFFSETVERTICAL | &Vertical:
DLG_J2K_IDSTR_TILESIZE | Tile Size
DLG_J2K_IDSTR_TILEWIDTH | &Width:
DLG_J2K_IDSTR_TILEHEIGHT | Hei&ght:
DLG_J2K_IDSTR_TILEOFFSET | Tile Offset
DLG_J2K_IDSTR_TILEHORIZONTAL | Hori&zontal:
DLG_J2K_IDSTR_TILEVERTICAL | Ver&tical:
DLG_J2K_IDSTR_GENERALSETTINGS | General Settings
DLG_J2K_IDSTR_USECOLORTRANSFORM | Use Color Trans&form
DLG_J2K_IDSTR_USEDERIVEDQUANTIZATION | Use Derived &Quantization
DLG_J2K_IDSTR_DECOMPRESSLEVEL | Decompress &Level
DLG_J2K_IDSTR_GUARDBITS | &Guard Bits:
DLG_J2K_IDSTR_MARKERS | Markers
DLG_J2K_IDSTR_USESOPMARKER | Use &SOP Marker
DLG_J2K_IDSTR_USEEPHMARKER | Use E&PH Marker
DLG_J2K_IDSTR_DERIVEDBASE | Derived Base
DLG_J2K_IDSTR_MANTISSA | &Mantissa
DLG_J2K_IDSTR_EXPONENT | E&xponent
DLG_J2K_IDSTR_CODEBLOCK | Code Block
DLG_J2K_IDSTR_CODEBLOCKWIDTH | W&idth
DLG_J2K_IDSTR_CODEBLOCKHEIGHT | H&eight
DLG_J2K_IDSTR_SELECTIVEACBYPASS | Selective AC &bypass
DLG_J2K_IDSTR_RESETCONTEXT | Reset Context On Bo&undaries
DLG_J2K_IDSTR_TERMINATION | Termi&nation On Each Pass
DLG_J2K_IDSTR_VERTICALLYCAUSAL | Vertically Causal C&ontext
DLG_J2K_IDSTR_PREDICTABLETERMINATION | Pre&dictable Termination
DLG_J2K_IDSTR_ERRORRESILIENCE | E&rror Resiliences Symbol
DLG_J2K_IDSTR_DEFAULTOPTIONS | &Default Options
Stitch Dialog Strings |
DLG_STITCH_IDSTR_CAPTION | Stitch
DLG_STITCH_PROPERTIESDLG_IDSTR_OPACITY | &Opacity:
DLG_STITCH_PROPERTIESDLG_IDSTR_POSITION | &Position
DLG_STITCH_PROPERTIESDLG_IDSTR_LEFT | &Left:
DLG_STITCH_PROPERTIESDLG_IDSTR_TOP | &Top:
DLG_STITCH_PROPERTIESDLG_IDSTR_SIZE | Si&ze
DLG_STITCH_PROPERTIESDLG_IDSTR_WIDTH | &Width:
DLG_STITCH_PROPERTIESDLG_IDSTR_HEIGHT | &Height:
Stich – Page Properties Dialog Strings |
DLG_STITCH_PAGEPROPDLG_IDSTR_CAPTION | Image Attributes
DLG_STITCH_PAGEPROPDLG_IDSTR_WIDTH | &Width:
DLG_STITCH_PAGEPROPDLG_IDSTR_HEIGHT | &Height:
DLG_STITCH_PAGEPROPDLG_IDSTR_RESOLUTION | &Resolution:
DLG_STITCH_PAGEPROPDLG_IDSTR_DEPTH | &Depth:
DLG_STITCH_PAGEPROPDLG_IDSTR_MEMSIZE | Image Memory Size:
DLG_STITCH_PAGEPROPDLG_IDSTR_BACKCOLOR | Back &Color:
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELS | Pixels
DLG_STITCH_PAGEPROPDLG_IDSTR_INCHES | Inches
DLG_STITCH_PAGEPROPDLG_IDSTR_CENTIMETERS | Centimeters
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSINCHE | Pixels/inch
DLG_STITCH_PAGEPROPDLG_IDSTR_PIXELSCM | Pixels/cm
DLG_STITCH_PAGEPROPDLG_IDSTR_2COLORS | 2 Colors (1 bit)
DLG_STITCH_PAGEPROPDLG_IDSTR_16COLORS | 16 Colors (4 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_256COLORS | 256 Colors (8 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_65536COLORS | 65536 Colors (16 bits)
DLG_STITCH_PAGEPROPDLG_IDSTR_16MCOLORS | 16.7 Million Colors (24 bits)
Stitch – Tile Dialog Strings |
DLG_STITCH_TILEOPTIONSDLG_IDSTR_CAPTION | Tile Options
DLG_STITCH_TILEOPTIONSDLG_IDSTR_ENABLED | &Enabled
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILES | &Tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESTYLE | &Style:
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILECOUNT | Set Tiles Count
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILESIZE | Set Tile Size
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETHORIZTILES | Set &number of horizontal tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETVERTTILES | Set n&umber of vertical tiles
DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMHORIZTILES | Number of hori&zontal tiles (2-256):
DLG_STITCH_TILEOPTIONSDLG_IDSTR_NUMVERTTILES | Number of &vertical tiles (2-256):
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEWIDTH | Custom Wi&dth
DLG_STITCH_TILEOPTIONSDLG_IDSTR_SETTILEHEIGHT | Custom He&ight
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEWIDTH | &Width (1-30000)
DLG_STITCH_TILEOPTIONSDLG_IDSTR_TILEHEIGHT | Heigh&t (1-30000)
DLG_STITCH_TILEOPTIONSDLG_IDSTR_ASPECTRATIO | &Keep Aspect Ratio
DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_TEXT | Some values are out of range.\nPress OK to fix them.
DLG_STITCH_TILEOPTIONSDLG_IDSTR_MSG_OUTOFRANGE_CAPTION | Error
Stitch – Toolbar Strings |
DLG_STITCH_IDSTR_TOOLBAR_OBJECTSLIST | Objects List
DLG_STITCH_IDSTR_TOOLBAR_OBJECTPROPERTIES | Object Properties
DLG_STITCH_IDSTR_TOOLBAR_IMAGE | Image
DLG_STITCH_IDSTR_TOOLBAR_VIEW | View
DLG_STITCH_IDSTR_TOOLBAR_TOOLS | Tools
DLG_STITCH_IDSTR_TOOLBAR_FILE | File
DLG_STITCH_IDSTR_TOOLBAR_OBJECT | Object
DLG_STITCH_IDSTR_TOOLBAR_OBJECTALIGNMENT | Object Alignment
DLG_STITCH_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXITEXPORT | &Exit && Export\tCtrl+X
DLG_STITCH_MNU_MAIN_FILE_IDSTR_EXIT | E&xit\tAlt + F4
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_NORMAL | &Normal\tCtrl + N
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMIN | Zoom &In\tCtrl + Num +
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_ZOOMOUT | Zoom &Out\tCtrl + Num -
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_FITALWAYS | &Fit Always\tCtrl + F
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR | &Toolbars
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_FILE | &File
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_VIEW | &View
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_IMAGE | &Image
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_OBJECT | &Object
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_ALIGNMENT | &Align
DLG_STITCH_MNU_MAIN_VIEW_IDSTR_TOOLBAR_TOOLS | &Tools
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_STITCH | &Fit to Object(s)\tCtrl + S
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ROTATE90 | &Rotate 90\tCtrl + Shift + R
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_CLEARALL | &Clear All\tCtrl + Shift + Del
DLG_STITCH_MNU_MAIN_IMAGE_IDSTR_ATTRIBUTES | &Attributes...\tCtrl + Shift + P
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_CAPTION | &Object
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO | &Move To
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_PREVIOUS | &Previous\tCtrl + P
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_MOVETO_NEXT | &Next\tCtrl + E
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP | &Flip
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_VERT | &Vertically\tCtrl + V
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_FLIP_HORIZ | &Horizontally\tCtrl + H
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE | &Rotate
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CCW | 90 &CCW\tCtrl + L
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ROTATE_90CW | 90 C&W\tCtrl + R
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE | &Scale
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTONORMAL | &Normal (1:1)\tCtrl + Shift + N
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_SCALE_STRICHTOFIT | &To Fit\tCtrl + Shift + F
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_EDIT | &Edit\tIns
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DELETE | &Delete\tDel
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_DUPLICATE | D&uplicate\tCtrl + D
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN | &Align
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_AUTOARRANGE | &Auto Arrange\tCtrl + A
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTTOP | &Left Top\tCtrl + Num 7
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERTOP | Center &Top\tCtrl + Num 8
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTTOP | &Right Top\tCtrl + Num 9
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERLEFT | L&eft Center\tCtrl + Num 4
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERED | &Centered\tCtrl + Num 5
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERRIGHT | R&ight Center\tCtrl + Num 6
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_LEFTBOTTOM | Le&ft Bottom\tCtrl + Num 1
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_CENTERBOTTOM | Center &Bottom\tCtrl + Num 2
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ALIGN_RIGHTBOTTOM | Ri&ght Bottom\tCtrl + Num 3
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER | &Order
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_BRINGTOFRONT | &Bring To Front\tCtrl + Shift + Z
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_ORDER_SENDTOBACK | Send To Bac&k\tCtrl + Z
DLG_STITCH_MNU_MAIN_OBJECT_IDSTR_TILES | &Tiling Options...\tCtrl + T
DLG_STITCH_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_STITCH_MNU_MAIN_HELP_IDSTR_HELPTOPICS | Help Topics\tF1
DLG_STITCH_IDSTR_MSG_SAVEERROR_TEXT | Save Changes ?
DLG_STITCH_IDSTR_MSG_SAVEERROR_CAPTION | Stitch
DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_TEXT | Not enough memory or hard disk space to complete the requested operation
DLG_STITCH_IDSTR_MSG_CHANGE_IMAGESIZE_CAPTION | Error
DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_TEXT | Invalid Page Properties...
DLG_STITCH_IDSTR_MSG_CHANGE_PAGEPROPERTIES_CAPTION | Error
Print Stitched Images Dialog Strings |
DLG_PRINTSTITCHEDIMAGES_IDSTR_CAPTION | Print Stitched Images
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_GENERAL | General
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_TOOLS | Tools
DLG_PRINTSTITCHEDIMAGES_IDSTR_TOOLBAR_PAGES | Pages
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_INCH | inch
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_CM | cm
DLG_PRINTSTITCHEDIMAGES_IDSTR_UNIT_PIXEL | pixel
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_TEXT | Can't remove page
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGE_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_TEXT | Page not found
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_PAGENOTFOUND_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_TEXT | Can't remove pages
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_CANNOTREMOVEPAGES_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_TEXT | No page found
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_NOPAGEFOUND_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_TEXT | Invalid values.
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_INVALIDVALUES_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_IDSTR_CURRENTPAGE | Current Page
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNTOPLEFT | Align Top Left
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_STRECHTOFIT | Stretch To Fit
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_ALIGNCENTERED | Align Centered
DLG_PRINTSTITCHEDIMAGES_IDSTR_PROPERTIES_AUTOARRANGE | Auto Arrange
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_TEXT | Are you sure you want to exit?
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_EXITCONFIRM_CAPTION | Question
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_CAPTION | Printing...
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SCALE | Scale
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_SIZE | Size
DLG_PRINTSTITCHEDIMAGES_STATUSDLG_IDSTR_PIXLES | pixels
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_TEXT | Please enter a valid value for auto arrange margins
DLG_PRINTSTITCHEDIMAGES_IDSTR_MSG_MARGINVALUE_CAPTION | Error
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PREFERENCES | P&references...
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINT | &Print
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_PRINTSETUP | Pa&ge Setup...
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXITANDEXPORT | Exit && Export Pre&view
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_FILE_IDSTR_EXIT | E&xit
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP | Flip
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_VERT | Flip &Vertically
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_FLIP_HORZ | Flip &Horizontally
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE | Rotate
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW | Rotate 90 &CCW
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW | Rotate 90 C&W
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE | Scale
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT | &Stretch To Fit
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY | Scale &Normally
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN | Align
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_AUTOARRANGE | &Auto Arrange
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTTOP | &Left Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERTOP | Center &Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTTOP | &Right Top
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERLEFT | L&eft Center
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERED | &Centered
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERRIGHT | R&ight Center
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_LEFTBOTTOM | Le&ft Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_CENTERBOTTOM | Center &Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_IMAGE_IDSTR_ALIGN_RIGHTBOTTOM | Ri&ght Bottom
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR | &General Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_TOOLSTOOLBAR | Tools Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_VIEW_IDSTR_PAGESTOOLBAR | &Pages Toolbar
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_CAPTION | &Page
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_INSERT | &Insert...\tCtrl + Ins
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_DELETE | &Delete...\tCtrl + Del
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_ERASECONTENTS | &Erase Contents\tCtrl + E
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_FIRST | &First\tCtrl + Home
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_NEXT | Ne&xt\tCtrl + PgDn
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_PREVIOUS | Pre&vious\tCtrl + PgUp
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_PAGE_IDSTR_LAST | &Last\tCtrl + End
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_PRINTSTITCHEDIMAGES_MNU_MAIN_HELP_IDSTR_HELPTOPICS | &Help Topics
Intensity Detect Dialog Strings |
DLG_INTENSITYDETECT_IDSTR_CAPTION | Intensity Detect
DLG_INTENSITYDETECT_IDSTR_LOW | &Low
DLG_INTENSITYDETECT_IDSTR_HIGH | &High
DLG_INTENSITYDETECT_IDSTR_CHANNEL | &Channel:
DLG_INTENSITYDETECT_IDSTR_IN | &In:
DLG_INTENSITYDETECT_IDSTR_OUT | &Out:
DLG_INTENSITYDETECT_IDSTR_CHANNEL_GRAYSCALE | Grayscale
DLG_INTENSITYDETECT_IDSTR_CHANNEL_RGB | RGB
DLG_INTENSITYDETECT_IDSTR_COLOR | Color:
DLG_INTENSITYDETECT_IDSTR_CHANNEL_RED | &Red
DLG_INTENSITYDETECT_IDSTR_CHANNEL_GREEN | &Green
DLG_INTENSITYDETECT_IDSTR_CHANNEL_BLUE | &Blue
Solarize Dialog Strings |
DLG_SOLARIZE_IDSTR_CAPTION | Solarize
DLG_SOLARIZE_IDSTR_THRESHOLD | &Threshold
Posterize Dialog Strings |
DLG_POSTERIZE_IDSTR_CAPTION | Posterize
DLG_POSTERIZE_IDSTR_LEVELS | &Levels per color plane
Brightness Dialog Strings |
DLG_BRIGHTNESS_IDSTR_CAPTION | Brightness
DLG_BRIGHTNESS_IDSTR_PERCENTAGE | &Percentage
Contrast Dialog Strings |
DLG_CONTRAST_IDSTR_CAPTION | Contrast
DLG_CONTRAST_IDSTR_PERCENTAGE | &Percentage
Hue Dialog Strings |
DLG_HUE_IDSTR_CAPTION | Hue
DLG_HUE_IDSTR_ANGLE | &Angle (degrees)
Saturation Dialog Strings |
DLG_SATURATION_IDSTR_CAPTION | Saturation
DLG_SATURATION_IDSTR_PERCENTAGE | &Percentage
Gamma Adjustment Dialog Strings |
DLG_GAMMAADJUSTMENT_IDSTR_CAPTION | Gamma Adjustment
DLG_GAMMAADJUSTMENT_IDSTR_RED | &Red Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_GREEN | &Green Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_BLUE | &Blue Channel (10-500):
DLG_GAMMAADJUSTMENT_IDSTR_ALLCHNNELS | &All Channels
Halftone Dialog Strings |
DLG_HALFTONE_IDSTR_CAPTION | Halftone
DLG_HALFTONE_IDSTR_ANGLE | &Angle (degrees)
DLG_HALFTONE_IDSTR_TYPE | &Type:
DLG_HALFTONE_IDSTR_DIM | &Dimension:
DLG_HALFTONE_IDSTR_PRINT | Print
DLG_HALFTONE_IDSTR_VIEW | View
DLG_HALFTONE_IDSTR_RECTANGULAR | Rectangular
DLG_HALFTONE_IDSTR_CIRCULAR | Circular
DLG_HALFTONE_IDSTR_ELLIPTICAL | Elliptical
DLG_HALFTONE_IDSTR_RANDOM | Random
DLG_HALFTONE_IDSTR_LINEAR | Linear
DLG_HALFTONE_IDSTR_USERDEFINE | User Define
DLG_HALFTONE_IDSTR_AVAILABLE | A&vailable List:
DLG_HALFTONE_IDSTR_SELECTED | &Selected List:
DLG_HALFTONE_IDSTR_ADD | &Add >>
DLG_HALFTONE_IDSTR_ADDALL | A&dd All
DLG_HALFTONE_IDSTR_REMOVE | << &Remove
DLG_HALFTONE_IDSTR_REMOVEALL | Re&move All
DLG_HALFTONE_IDSTR_ADDBEFORE | &Before
DLG_HALFTONE_IDSTR_ADDAFTER | &After
DLG_HALFTONE_IDSTR_HINT | Hint: Selected List list should contain %d items at least to show preview.
Color Resolution Dialog Strings |
DLG_COLORRES_IDSTR_1BIT | 1-bit
DLG_COLORRES_IDSTR_2BIT | 2-bit
DLG_COLORRES_IDSTR_3BIT | 3-bit
DLG_COLORRES_IDSTR_4BIT | 4-bit
DLG_COLORRES_IDSTR_5BIT | 5-bit
DLG_COLORRES_IDSTR_6BIT | 6-bit
DLG_COLORRES_IDSTR_7BIT | 7-bit
DLG_COLORRES_IDSTR_8BIT | 8-bit
DLG_COLORRES_IDSTR_12BIT | 12-bit
DLG_COLORRES_IDSTR_16BIT | 16-bit
DLG_COLORRES_IDSTR_24BIT | 24-bit
DLG_COLORRES_IDSTR_32BIT | 32-bit
DLG_COLORRES_IDSTR_48BIT | 48-bit
DLG_COLORRES_IDSTR_64BIT | 64-bit
DLG_COLORRES_IDSTR_NONE | None
DLG_COLORRES_IDSTR_FLOYD | Floyd Stein
DLG_COLORRES_IDSTR_STUCKI | Stucki
DLG_COLORRES_IDSTR_BURKES | Burkes
DLG_COLORRES_IDSTR_SIERRA | Sierra
DLG_COLORRES_IDSTR_STEVEN | Stevenson Arce
DLG_COLORRES_IDSTR_JARVIS | Jarvis
DLG_COLORRES_IDSTR_ORDERED | Ordered
DLG_COLORRES_IDSTR_CLUSTER | Clustered
DLG_COLORRES_IDSTR_FIXEDPAL | Fixed Palette
DLG_COLORRES_IDSTR_OPTIMIZEDPAL | Optimized Palette
DLG_COLORRES_IDSTR_NETSCAPEPAL | Netscape Fixed Palette
DLG_COLORRES_IDSTR_IDENTITYPAL | Windows Identity Palette
DLG_COLORRES_IDSTR_SVGA | SVGA Palette
DLG_COLORRES_IDSTR_UNIFORM | Uniform Palette
DLG_COLORRES_IDSTR_MSIE | MSIE Palette
DLG_COLORRES_IDSTR_CUSTOM | Custom Palette
DLG_COLORRES_IDSTR_BGRORDER | Blue-Green-Red (BGR)
DLG_COLORRES_IDSTR_RGBORDER | Red-Green-Blue (RGB)
DLG_COLORRES_IDSTR_GRAYORDER | Grayscale
Histo-Contrast Dialog Strings |
DLG_HISTOCONTRAST_IDSTR_CAPTION | Histo-Contrast
DLG_HISTOCONTRAST_IDSTR_PERCENTAGE | &Percentage
Average Dialog Strings |
DLG_AVERAGE_IDSTR_CAPTION | Average
DLG_AVERAGE_IDSTR_SAMPLESIZE | &Sample size
Median Dialog Strings |
DLG_MEDIAN_IDSTR_CAPTION | Median
DLG_MEDIAN_IDSTR_SAMPLESIZE | &Sample size
Add Noise Dialog Strings |
DLG_ADDNOISE_IDSTR_CAPTION | Add Noise
DLG_ADDNOISE_IDSTR_LEVEL | &Level
DLG_ADDNOISE_IDSTR_CHANNEL | &Channel:
DLG_ADDNOISE_IDSTR_MASTER | Master
DLG_ADDNOISE_IDSTR_RED | Red
DLG_ADDNOISE_IDSTR_GREEN | Green
DLG_ADDNOISE_IDSTR_BLUE | Blue
Max Filter Dialog Strings |
DLG_MAXFILTER_IDSTR_CAPTION | Max Filter
DLG_MAXFILTER_IDSTR_SAMPLESIZE | &Sample size
Min Filter Dialog Strings |
DLG_MINFILTER_IDSTR_CAPTION | Min Filter
DLG_MINFILTER_IDSTR_SAMPLESIZE | &Sample size
Sharpen Dialog Strings |
DLG_SHARPEN_IDSTR_CAPTION | Sharpen
DLG_SHARPEN_IDSTR_PERCENTAGE | &Percentage
Shift and Difference Filter Dialog Strings |
DLG_SHIFTDIFFERENCEFILTER_IDSTR_CAPTION | Shift and Difference filter
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTDIAG | Diagonal
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTHORZ | Horizontal
DLG_SHIFTDIFFERENCEFILTER_IDSTR_FLTVERT | Vertical
Emboss Dialog Strings |
DLG_EMBOSS_IDSTR_CAPTION | Emboss
DLG_EMBOSS_IDSTR_EMBOSSDEPTH | D&epth
DLG_EMBOSS_IDSTR_EMBOSSDIR | &Direction:
DLG_EMBOSS_IDSTR_FLTN | North
DLG_EMBOSS_IDSTR_FLTNE | North-East
DLG_EMBOSS_IDSTR_FLTE | East
DLG_EMBOSS_IDSTR_FLTSE | South-East
DLG_EMBOSS_IDSTR_FLTS | South
DLG_EMBOSS_IDSTR_FLTSW | South-West
DLG_EMBOSS_IDSTR_FLTW | West
DLG_EMBOSS_IDSTR_FLTNW | North-West
Oilify Dialog Strings |
DLG_OILIFY_IDSTR_CAPTION | Oilify
DLG_OILIFY_IDSTR_SAMPLESIZE | &Sample size
Mosaic Dialog Strings |
DLG_MOSAIC_IDSTR_CAPTION | Mosaic
DLG_MOSAIC_IDSTR_TILESIZE | &Tile size
Erosion Filter Dialog Strings |
DLG_EROSIONFILTER_IDSTR_CAPTION | Erosion Filter
DLG_EROSIONFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_EROSIONFILTER_IDSTR_FLTOMNI | Omnidirectional
DLG_EROSIONFILTER_IDSTR_FLTHORZ | Horizontal
DLG_EROSIONFILTER_IDSTR_FLTVERT | Vertical
DLG_EROSIONFILTER_IDSTR_FLTDIAG | Diagonal
Dilation Filter Dialog Strings |
DLG_DILATIONFILTER_IDSTR_CAPTION | Dilation Filter
DLG_DILATIONFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_DILATIONFILTER_IDSTR_FLTOMNI | Omnidirectional
DLG_DILATIONFILTER_IDSTR_FLTHORZ | Horizontal
DLG_DILATIONFILTER_IDSTR_FLTVERT | Vertical
DLG_DILATIONFILTER_IDSTR_FLTDIAG | Diagonal
Contour Filter Dialog Strings |
DLG_CONTOURFILTER_IDSTR_CAPTION | Contour Filter
DLG_CONTOURFILTER_IDSTR_OPTION | &Option:
DLG_CONTOURFILTER_IDSTR_THRESHOLD | &Threshold
DLG_CONTOURFILTER_IDSTR_DELTADIRECTION | Delta &Direction
DLG_CONTOURFILTER_IDSTR_MAXIMUMERROR | Maximum &Error
DLG_CONTOURFILTER_IDSTR_THIN | Thinned Image
DLG_CONTOURFILTER_IDSTR_LINKBLACKWHITE | Linked Image – Black and White
DLG_CONTOURFILTER_IDSTR_LINKGRAYSCALE | Linked Image – Grayscales
DLG_CONTOURFILTER_IDSTR_LINKCOLOR | Linked Image – Color
DLG_CONTOURFILTER_IDSTR_APPROXCOLOR | Segment Approximation – Color
Gradient Filter Dialog Strings |
DLG_GRADIENTFILTER_IDSTR_CAPTION | Gradient Filter
DLG_GRADIENTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_GRADIENTFILTER_IDSTR_FLTN | North
DLG_GRADIENTFILTER_IDSTR_FLTNE | North-East
DLG_GRADIENTFILTER_IDSTR_FLTE | East
DLG_GRADIENTFILTER_IDSTR_FLTSE | South-East
DLG_GRADIENTFILTER_IDSTR_FLTS | South
DLG_GRADIENTFILTER_IDSTR_FLTSW | South-West
DLG_GRADIENTFILTER_IDSTR_FLTW | West
DLG_GRADIENTFILTER_IDSTR_FLTNW | North-West
Laplacian Filter Dialog Strings |
DLG_LAPLACIANFILTER_IDSTR_CAPTION | Laplacian Filter
DLG_LAPLACIANFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_LAPLACIANFILTER_IDSTR_FLT1 | Filter 1
DLG_LAPLACIANFILTER_IDSTR_FLT2 | Filter 2
DLG_LAPLACIANFILTER_IDSTR_FLT3 | Filter 3
DLG_LAPLACIANFILTER_IDSTR_FLTDIAG | Diagonal
DLG_LAPLACIANFILTER_IDSTR_FLTHORZ | Horizontal
DLG_LAPLACIANFILTER_IDSTR_FLTVERT | Vertical
Sobel Filter Dialog Strings |
DLG_SOBELFILTER_IDSTR_CAPTION | Sobel Filter
DLG_SOBELFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_SOBELFILTER_IDSTR_FLTHORZ | Horizontal
DLG_SOBELFILTER_IDSTR_FLTVERT | Vertical
Prewitt Filter Dialog Strings |
DLG_PREWITTFILTER_IDSTR_CAPTION | Prewitt Filter
DLG_PREWITTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_PREWITTFILTER_IDSTR_FLTHORZ | Horizontal
DLG_PREWITTFILTER_IDSTR_FLTVERT | Vertical
Line Segment Filter Dialog Strings |
DLG_LINESEGMENTFILTER_IDSTR_CAPTION | Line Segment Filter
DLG_LINESEGMENTFILTER_IDSTR_FLTVAL | Filter &Value:
DLG_LINESEGMENTFILTER_IDSTR_FLTHORZ | Horizontal
DLG_LINESEGMENTFILTER_IDSTR_FLTVERT | Vertical
DLG_LINESEGMENTFILTER_IDSTR_FLTLTOR | Left to Right Diagonal
DLG_LINESEGMENTFILTER_IDSTR_FLTRTOL | Right to Left Diagonal
Rotate Dialog Strings |
DLG_ROTATE_IDSTR_CAPTION | Rotate
DLG_ROTATE_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_ROTATE_IDSTR_INTERPOLATION | Inter&polation Type:
DLG_ROTATE_IDSTR_COLOR | &Background:
DLG_ROTATE_IDSTR_RESIZE | Resi&ze
DLG_ROTATE_IDSTR_NORMAL | Normal
DLG_ROTATE_IDSTR_RESAMPLE | Resample
DLG_ROTATE_IDSTR_BICUBIC | Bicubic
Shear Dialog Strings |
DLG_SHEAR_IDSTR_CAPTION | Shear
DLG_SHEAR_IDSTR_ANGLE | Clockwise &Angle (degrees)
DLG_SHEAR_IDSTR_COLOR | &Background:
DLG_SHEAR_IDSTR_HORIZONTAL | &Horizontal
Resize Dialog Strings |
DLG_RESIZE_IDSTR_CAPTION | Resize
DLG_RESIZE_IDSTR_ORIGINAL | Original Image
DLG_RESIZE_IDSTR_WIDTH | Width:
DLG_RESIZE_IDSTR_HEIGHT | Height:
DLG_RESIZE_IDSTR_SIZE | Size:
DLG_RESIZE_IDSTR_RESOLUTION | Resolution
DLG_RESIZE_IDSTR_HORIZONTAL | Horizontal:
DLG_RESIZE_IDSTR_VERTICAL | Vertical:
DLG_RESIZE_IDSTR_NEW | New Image
DLG_RESIZE_IDSTR_WIDTHNEW | &Width:
DLG_RESIZE_IDSTR_HEIGHTNEW | &Height:
DLG_RESIZE_IDSTR_HORIZONTALNEW | Hori&zontal:
DLG_RESIZE_IDSTR_VERTICALNEW | &Vertical:
DLG_RESIZE_IDSTR_IDENTICALVALUE | &Identical Values
DLG_RESIZE_IDSTR_METHOD | &Method
DLG_RESIZE_IDSTR_MAINTAINASPECTRATIO | Maintain &Aspect Ratio
DLG_RESIZE_IDSTR_NORMAL | Normal
DLG_RESIZE_IDSTR_RESAMPLE | Resample
DLG_RESIZE_IDSTR_BICUBIC | Bicubic
DLG_RESIZE_IDSTR_FAVORBLACK | &Favor Black
Get Directory Dialog Strings |
DLG_GETDIRECTORY_IDSTR_CAPTION | Get Directory
DLG_GETDIRECTORY_IDSTR_FOLDER | Look &in:
DLG_GETDIRECTORY_IDSTR_FILETYPE | Files of &type:
DLG_GETDIRECTORY_IDSTR_SELECT | Select
DLG_GETDIRECTORY_IDSTR_SELECTEDDIR | Selected Folder:
Save Dialog Strings |
DLG_SAVE_IDSTR_SHORTCUTBAR_PATHS | Paths
DLG_SAVE_IDSTR_SHORTCUTBAR_HISTORY | History
DLG_SAVE_IDSTR_SHORTCUTBAR_MYDOCUMENTS | My Documents
DLG_SAVE_IDSTR_SHORTCUTBAR_DESKTOP | Desktop
DLG_SAVE_IDSTR_SHORTCUTBAR_FAVORITES | Favorites
DLG_SAVE_IDSTR_MSG_MULTIPAGE_UPDATE_TEXT | %s already exists. Do you want to update it?
DLG_SAVE_IDSTR_MSG_MULTIPAGE_OVERWRITE_TEXT | %s already exists. Do you want to replace it?
DLG_SAVE_IDSTR_SAVETYPE | Save as &type:
DLG_SAVE_IDSTR_FILENAME | File &name:
DLG_SAVE_IDSTR_SAVEIN | Save &in:
DLG_SAVE_IDSTR_SUBTYPE | S&ub Type:
DLG_SAVE_IDSTR_BPP | B&PP:
DLG_SAVE_IDSTR_OPTIONS | O&ptions...
DLG_SAVE_IDSTR_SAVE | Save
DLG_SAVE_IDSTR_QFACTOR | &Qfactor:
DLG_SAVE_IDSTR_QFACTOR_PQ1 | Perfect quality 1
DLG_SAVE_IDSTR_QFACTOR_PQ2 | Perfect quality 2
DLG_SAVE_IDSTR_QFACTOR_QFS | Quality far more important than size
DLG_SAVE_IDSTR_QFACTOR_QMS | Quality more important than size
DLG_SAVE_IDSTR_QFACTOR_QS | Quality and size equally important
DLG_SAVE_IDSTR_QFACTOR_SQS | Size more important than quality (sharp)
DLG_SAVE_IDSTR_QFACTOR_SQT | Size more important than quality (less tiling)
DLG_SAVE_IDSTR_QFACTOR_MCQ | Maximum compression keeping quality
DLG_SAVE_IDSTR_QFACTOR_MC | Maximum compression
DLG_SAVE_IDSTR_QFACTOR_CUSTOM | Custom
DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED1_FAST | Modified1 fast compression
DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED2_FAST | Modified2 fast compression
DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED3 | Modified3 compression
DLG_SAVE_IDSTR_QFACTOR_ABCQ_MODIFIED3_FAS | Modified3 fast compression
Shape Dialog Strings |
DLG_SHAPE_IDSTR_CAPTION | Shape Options
DLG_SHAPE_IDSTR_CATEGORY | Shape Cate&gory
DLG_SHAPE_IDSTR_STYLE | &Shape Style:
DLG_SHAPE_IDSTR_PREVIEW | Pre&view
DLG_SHAPE_IDSTR_BACKSTYLE | Bac&kStyle:
DLG_SHAPE_IDSTR_FILLSTYLE | Fi&ll Style:
DLG_SHAPE_IDSTR_FORECOLOR | &ForeColor:
DLG_SHAPE_IDSTR_BACKCOLOR | B&ackColor:
DLG_SHAPE_IDSTR_BORDERSTYLE | Bo&rder Style:
DLG_SHAPE_IDSTR_BORDERCOLOR | &Border Color:
DLG_SHAPE_IDSTR_BORDERWIDTH | Border &Width:
DLG_SHAPE_IDSTR_INNERSTYLE | &Inner Style:
DLG_SHAPE_IDSTR_INNERHILITE | I&nner Hilite:
DLG_SHAPE_IDSTR_INNERSHADOW | Inner S&hadow:
DLG_SHAPE_IDSTR_INNERWIDTH | Inn&er Width:
DLG_SHAPE_IDSTR_OUTERSTYLE | &Outer Style:
DLG_SHAPE_IDSTR_OUTERHILITE | O&uter Hilite:
DLG_SHAPE_IDSTR_OUTERSHADOW | Ou&ter Shadow:
DLG_SHAPE_IDSTR_OUTERWIDTH | Outer Wi&dth:
DLG_SHAPE_IDSTR_SHADOW | Shadow
DLG_SHAPE_IDSTR_SHADOWCOLOR | &Color:
DLG_SHAPE_IDSTR_SHADOWX | &X:
DLG_SHAPE_IDSTR_SHADOWY | &Y:
DLG_SHAPE_IDSTR_NORMAL | Normal
DLG_SHAPE_IDSTR_ROUNDED | Rounded
DLG_SHAPE_IDSTR_LEFT | Left
DLG_SHAPE_IDSTR_RIGHT | Right
DLG_SHAPE_IDSTR_TOP | Top
DLG_SHAPE_IDSTR_BOTTOM | Bottom
DLG_SHAPE_IDSTR_EQ_LEFT | Equilateral Left
DLG_SHAPE_IDSTR_EQ_RIGHT | Equilateral Right
DLG_SHAPE_IDSTR_EQ_TOP | Equilateral Top
DLG_SHAPE_IDSTR_EQ_BOTTOM | Equilateral Bottom
DLG_SHAPE_IDSTR_IS_LEFT | Isosceles Left
DLG_SHAPE_IDSTR_IS_RIGHT | Isosceles Right
DLG_SHAPE_IDSTR_IS_TOP | Isosceles Top
DLG_SHAPE_IDSTR_IS_BOTTOM | Isosceles Bottom
DLG_SHAPE_IDSTR_RIGHT_LT | Right Left-Top
DLG_SHAPE_IDSTR_RIGHT_LB | Right Left-Bottom
DLG_SHAPE_IDSTR_RIGHT_RT | Right Right-Top
DLG_SHAPE_IDSTR_RIGHT_RB | Right Right-Bottom
DLG_SHAPE_IDSTR_OCTAGON | Octagon
DLG_SHAPE_IDSTR_DIAMOND | Diamond
DLG_SHAPE_IDSTR_PENTAGON | Pentagon
DLG_SHAPE_IDSTR_HEXAGON | Hexagon
DLG_SHAPE_IDSTR_LINE | Line
DLG_SHAPE_IDSTR_90_LT | 90° Left-Top
DLG_SHAPE_IDSTR_90_LB | 90° Left-Bottom
DLG_SHAPE_IDSTR_90_RT | 90° Right-Top
DLG_SHAPE_IDSTR_90_RB | 90° Right-Bottom
DLG_SHAPE_IDSTR_180_L | 180° Left
DLG_SHAPE_IDSTR_180_R | 180° Right
DLG_SHAPE_IDSTR_180_T | 180° Top
DLG_SHAPE_IDSTR_180_B | 180° Bottom
DLG_SHAPE_IDSTR_270_LT | 270° Left-Top
DLG_SHAPE_IDSTR_270_LB | 270° Left-Bottom
DLG_SHAPE_IDSTR_270_RT | 270° Right-Top
DLG_SHAPE_IDSTR_270_RB | 270° Right-Bottom
DLG_SHAPE_IDSTR_4_POINT | 4-Point
DLG_SHAPE_IDSTR_5_POINT | 5-Point
DLG_SHAPE_IDSTR_8_POINT | 8-Point
DLG_SHAPE_IDSTR_16_POINT | 16-Point
DLG_SHAPE_IDSTR_24_POINT | 24-Point
DLG_SHAPE_IDSTR_324_POINT | 32-Point
DLG_SHAPE_IDSTR_SMALL | Small
DLG_SHAPE_IDSTR_MEDIUM | Medium
DLG_SHAPE_IDSTR_LARGE | Large
DLG_SHAPE_IDSTR_2WAY_LR | 2way Left-Right
DLG_SHAPE_IDSTR_2WAY_TB | 2way Top-Bottom
DLG_SHAPE_IDSTR_2WAY_LT | 2way Left-Top
DLG_SHAPE_IDSTR_2WAY_LB | 2way Left-Bottom
DLG_SHAPE_IDSTR_2WAY_RT | 2way Right-Top
DLG_SHAPE_IDSTR_2WAY_RB | 2way Right-Bottom
DLG_SHAPE_IDSTR_3WAY_LTR | 3way Left-Top-Right
DLG_SHAPE_IDSTR_3WAY_TRB | 3way Top-Right-Bottom
DLG_SHAPE_IDSTR_3WAY_LBR | 3way Left-Bottom-Right
DLG_SHAPE_IDSTR_3WAY_LTB | 3way Left-Top-Bottom
DLG_SHAPE_IDSTR_4WAY | 4way
DLG_SHAPE_IDSTR_SQUARES | Squares
DLG_SHAPE_IDSTR_RECTS | Rectangles
DLG_SHAPE_IDSTR_PARALLELS | Parallelograms
DLG_SHAPE_IDSTR_TRAPS | Trapezoids
DLG_SHAPE_IDSTR_TRIANGLES | Triangles
DLG_SHAPE_IDSTR_OTHERS | Other
DLG_SHAPE_IDSTR_CIRCLES | Circles
DLG_SHAPE_IDSTR_ELLIPSES | Ellipses
DLG_SHAPE_IDSTR_STARS | Stars
DLG_SHAPE_IDSTR_CROSSES | Crosses
DLG_SHAPE_IDSTR_ARROWS | Arrows
DLG_SHAPE_IDSTR_TRANSPARENT | Transparent
DLG_SHAPE_IDSTR_OPAQUE | Opaque
DLG_SHAPE_IDSTR_TRANSLUCENT | Translucent
DLG_SHAPE_IDSTR_TILEDIMAGE | Tiled Image
DLG_SHAPE_IDSTR_TRANSTILEDIMAGE | Translucent Tiled Image
DLG_SHAPE_IDSTR_SOLIDFILL | Solid
DLG_SHAPE_IDSTR_TRANSFILL | Transparent
DLG_SHAPE_IDSTR_HORZFILL | Horizontal
DLG_SHAPE_IDSTR_VERTFILL | Vertical
DLG_SHAPE_IDSTR_FOREDIAGFILL | Forward Diagonal
DLG_SHAPE_IDSTR_BACKDIAGFILL | Backward Diagonal
DLG_SHAPE_IDSTR_CROSSFILL | Cross
DLG_SHAPE_IDSTR_DIAGCROSSFILL | Diagonal Cross
DLG_SHAPE_IDSTR_TRANSBORDER | Transparent
DLG_SHAPE_IDSTR_SOLIDBORDER | Solid
DLG_SHAPE_IDSTR_DASHBORDER | Dash
DLG_SHAPE_IDSTR_DOTBORDER | Dot
DLG_SHAPE_IDSTR_DASHDOTBORDER | Dash-Dot
DLG_SHAPE_IDSTR_DASHDOTDOTBORDER | Dash-Dot-Dot
DLG_SHAPE_IDSTR_INNEROUTERNONE | None
DLG_SHAPE_IDSTR_INNEROUTERINSET | Inset
DLG_SHAPE_IDSTR_INNEROUTERRAISED | Raised
DLG_SHAPE_IDSTR_LOADIMAGE_CAPTION | Pick Foreground Image
Text Dialog Strings |
DLG_TEXT_IDSTR_CAPTION | Text Options
DLG_TEXT_IDSTR_PREVIEW | Pre&view
DLG_TEXT_IDSTR_SAMPLETEXT | Sample &Text:
DLG_TEXT_IDSTR_STYLE | &Style:
DLG_TEXT_IDSTR_COLOR | Text &Color:
DLG_TEXT_IDSTR_BORDERCOLOR | &Border Color:
DLG_TEXT_IDSTR_ALIGN | &Alignment:
DLG_TEXT_IDSTR_ANGLE | A&ngle:
DLG_TEXT_IDSTR_WORDWRAP | &Word Wrap
DLG_TEXT_IDSTR_FONT | &Font...
DLG_TEXT_IDSTR_USEFOREIMAGE | Use Foreground &Image
DLG_TEXT_IDSTR_SHADOW | Shadow
DLG_TEXT_IDSTR_SHADOWCOLOR | C&olor:
DLG_TEXT_IDSTR_SHADOWX | &X:
DLG_TEXT_IDSTR_SHADOWY | &Y:
DLG_TEXT_IDSTR_NOEFFECT | No 3D Effect
DLG_TEXT_IDSTR_INSETLIGHT | Inset Light
DLG_TEXT_IDSTR_INSETXLIGHT | Inset Extra Light
DLG_TEXT_IDSTR_INSETHEAVY | Inset Heavy
DLG_TEXT_IDSTR_INSETXHEAVY | Inset Extra Heavy
DLG_TEXT_IDSTR_RAISEDLIGHT | Raised Light
DLG_TEXT_IDSTR_RAISEDXLIGHT | Raised Extra Light
DLG_TEXT_IDSTR_RAISEDHEAVY | Raised Heavy
DLG_TEXT_IDSTR_RAISEDXHEAVY | Raised Extra Heavy
DLG_TEXT_IDSTR_DROPSHADOW | Drop Shadow
DLG_TEXT_IDSTR_BLOCKSHADOW | Block Shadow
DLG_TEXT_IDSTR_OUTLINEBLOCK | Outline Block
DLG_TEXT_IDSTR_ALIGNLEFT | Left
DLG_TEXT_IDSTR_ALIGNHORZCENTER | Horz Center
DLG_TEXT_IDSTR_ALIGNRIGHT | Right
DLG_TEXT_IDSTR_ALIGNTOP | Top
DLG_TEXT_IDSTR_ALIGNVERTCENTER | Vert Center
DLG_TEXT_IDSTR_ALIGNBOTTOM | Bottom
DLG_TEXT_IDSTR_LOADIMAGE_CAPTION | Pick Foreground Image
Effect Dialog Strings |
DLG_EFFECT_IDSTR_CAPTION | Paint Effect Options
DLG_EFFECT_IDSTR_CATEGORY | Effect &Category
DLG_EFFECT_IDSTR_STYLE | &Effect Style:
DLG_EFFECT_IDSTR_PREVIEW | Pre&view
DLG_EFFECT_IDSTR_DELAY | &Delay:
DLG_EFFECT_IDSTR_GRAIN | &Grain:
DLG_EFFECT_IDSTR_PASSES | P&asses:
DLG_EFFECT_IDSTR_WAND | &Wand:
DLG_EFFECT_IDSTR_TRANSPARENT | &Transparent
DLG_EFFECT_IDSTR_NONE_CLASS | No Effect
DLG_EFFECT_IDSTR_WIPE_CLASS | Linear Wipes
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_CLASS | Rectangular Wipes
DLG_EFFECT_IDSTR_WIPE_CIRCLE_CLASS | Circular Wipes
DLG_EFFECT_IDSTR_PUSH_CLASS | Pushes
DLG_EFFECT_IDSTR_SLIDE_CLASS | Slides
DLG_EFFECT_IDSTR_ROLL_CLASS | Rolls
DLG_EFFECT_IDSTR_ROTATE_CLASS | Rotates
DLG_EFFECT_IDSTR_ZOOM_CLASS | Zooms
DLG_EFFECT_IDSTR_DRIP_CLASS | Drips
DLG_EFFECT_IDSTR_BLIND_CLASS | Blinds
DLG_EFFECT_IDSTR_RANDOM_CLASS | Random Effects
DLG_EFFECT_IDSTR_CHECKERBOARD_CLASS | Checkerboards
DLG_EFFECT_IDSTR_BLOCKS_CLASS | Blocks
DLG_EFFECT_IDSTR_CIRCLE_CLASS | Circular Effects
DLG_EFFECT_IDSTR_ELLIPSE_CLASS | Elliptical Effects
No Effect |
DLG_EFFECT_IDSTR_NONE | No effect
DLG_EFFECT_IDSTR_NO_PICTURE | No picture (no background)
Linear Wipe |
DLG_EFFECT_IDSTR_WIPE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_WIPE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_WIPE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_WIPE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_WIPE_LT_TO_RB | L-Top to R-Btm
DLG_EFFECT_IDSTR_WIPE_LB_TO_RT | L-Btm to R-Top
DLG_EFFECT_IDSTR_WIPE_RT_TO_LB | R-Top to L-Btm
DLG_EFFECT_IDSTR_WIPE_RB_TO_LT | R-Btm to L-Top
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_L_TO_R | Horz Interlace Left to Right twice
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_T_TO_B | Vert Interlace Top to Btm twice
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_THEN_R_TO_L | Horz Interlace Left to Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_THEN_B_TO_T | Vert Interlace Top to Btm & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_L_TO_R | Vert Interlace Left to Right twice
DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_R_TO_L | Vert Interlace Right to Left twice
DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_T_TO_B | Horz Interlace Top to Btm twice
DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_B_TO_T | Horz Interlace Btm to Top twice
DLG_EFFECT_IDSTR_WIPE_INTERV_L_TO_R_THEN_R_TO_L | Vert Interlace Left to Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_R_TO_L_THEN_L_TO_R | Vert Interlace Right to Left & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_T_TO_B_THEN_B_TO_T | Horz Interlace Top to Btm & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_B_TO_T_THEN_T_TO_B | Horz Interlace Btm to Top & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_L_TO_R_AND_R_TO_L | Horz Interlace Left to Right & Right to Left
DLG_EFFECT_IDSTR_WIPE_INTERV_T_TO_B_AND_B_TO_T | Vert Interlace Top to Btm & Btm to Top
DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C | Vert Interlace Left & Right to Center
DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R | Vert Interlace Center to Left & Right
DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C | Horz Interlace Top & Btm to Center
DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B | Horz Interlace Center to Top & Btm
DLG_EFFECT_IDSTR_WIPE_INTERV_L_AND_R_TO_C_THEN_C_TO_L_AND_R | Vert Interlace Left & Right to Center & Back
DLG_EFFECT_IDSTR_WIPE_INTERV_C_TO_L_AND_R_THEN_L_AND_R_TO_C | Vert Interlace Center to Left & Right & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_T_AND_B_TO_C_THEN_C_TO_T_AND_B | Horz Interlace Top & Btm to Center & Back
DLG_EFFECT_IDSTR_WIPE_INTERH_C_TO_T_AND_B_THEN_T_AND_B_TO_C | Horz Interlace Center to Top & Btm & Back
DLG_EFFECT_IDSTR_WIPE2_LT_AND_RB_TO_C | 2way L-Top & R-Btm to Center
DLG_EFFECT_IDSTR_WIPE2_LB_AND_RT_TO_C | 2way L-Btm & R-Top to Center
DLG_EFFECT_IDSTR_WIPE2_C_TO_LT_AND_RB | 2way Center to L-Top & R-Btm
DLG_EFFECT_IDSTR_WIPE2_C_TO_LB_AND_RT | 2way Center to L-Btm & R-Top
DLG_EFFECT_IDSTR_WIPE2_LB_AND_RB_TO_T | 2way L-Btm & R-Btm to Top
DLG_EFFECT_IDSTR_WIPE2_LT_AND_RT_TO_B | 2way L-Top & R-Top to Btm
DLG_EFFECT_IDSTR_WIPE2_RT_AND_RB_TO_L | 2way R-Top & R-Btm to Left
DLG_EFFECT_IDSTR_WIPE2_LT_AND_LB_TO_R | 2way L-Top & L-Btm to Right
DLG_EFFECT_IDSTR_WIPE2_L_T_TO_B_AND_R_B_TO_T | 2way Left Down & Right Up
DLG_EFFECT_IDSTR_WIPE2_T_L_TO_R_AND_B_R_TO_L | 2way Left to Right & Right to Left
DLG_EFFECT_IDSTR_WIPE4_CORNERS_OUT | 4way Corners Out
DLG_EFFECT_IDSTR_WIPE4_C_TO_L_AND_R_THEN_T_AND_B | 4way Out Horz then Vert
DLG_EFFECT_IDSTR_WIPE4_T_AND_B_THEN_L_AND_R_TO_C | 4way In Vert then Horz
DLG_EFFECT_IDSTR_WIPE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_WIPE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_WIPE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_WIPE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_WIPE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_WIPE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_WIPE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_WIPE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_WIPE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_WIPE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_WIPE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_WIPE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_WIPE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_WIPE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_WIPE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_WIPE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_WIPE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_WIPE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_WIPE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_WIPE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_WIPE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_WIPE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_WIPE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_WIPE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_WIPE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_WIPE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_WIPE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_WIPE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_WIPE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_WIPE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_WIPE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_WIPE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_WIPE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_WIPE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_WIPE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_WIPE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_WIPE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_WIPE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_WIPE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_WIPE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_WIPE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_WIPE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_WIPE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_WIPE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_WIPE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_WIPE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_WIPE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_WIPE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_WIPE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_WIPE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_WIPE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_WIPE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_WIPE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_WIPE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_WIPE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_WIPE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_WIPE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_WIPE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_WIPE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_WIPE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_WIPE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_WIPE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_WIPE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_WIPE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_WIPE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_WIPE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_WIPE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_WIPE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_WIPE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_WIPE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_WIPE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_WIPE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_WIPE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_WIPE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_WIPE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_WIPE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_WIPE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_WIPE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_WIPE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_WIPE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_WIPE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_WIPE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_WIPE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_WIPE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_WIPE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_WIPE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_WIPE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_WIPE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_WIPE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_WIPE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_WIPE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_WIPE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_WIPE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_WIPE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_WIPE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_WIPE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_WIPE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_WIPE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_WIPE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_WIPE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_WIPE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_WIPE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_WIPE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_WIPE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_WIPE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_WIPE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_WIPE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_WIPE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_WIPE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_WIPE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_WIPE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_WIPE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_WIPE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_WIPE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_WIPE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_WIPE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_WIPE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_WIPE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_WIPE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_WIPE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_WIPE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_WIPE4_B_B_B_B | 4way Btm Btm Btm Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LT | 4way L-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_LB | 4way L-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RT | 4way L-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LT_RB | 4way L-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LT | 4way L-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_LB | 4way L-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RT | 4way L-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_LB_RB | 4way L-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LT | 4way L-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_LB | 4way L-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RT | 4way L-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RT_RB | 4way L-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LT | 4way L-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_LB | 4way L-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RT | 4way L-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LT_RB_RB | 4way L-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LT | 4way L-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_LB | 4way L-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RT | 4way L-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LT_RB | 4way L-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LT | 4way L-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_LB | 4way L-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RT | 4way L-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_LB_RB | 4way L-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LT | 4way L-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_LB | 4way L-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RT | 4way L-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RT_RB | 4way L-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LT | 4way L-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_LB | 4way L-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RT | 4way L-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_LB_RB_RB | 4way L-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LT | 4way L-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_LB | 4way L-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RT | 4way L-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LT_RB | 4way L-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LT | 4way L-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_LB | 4way L-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RT | 4way L-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_LB_RB | 4way L-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LT | 4way L-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_LB | 4way L-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RT | 4way L-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RT_RB | 4way L-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LT | 4way L-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_LB | 4way L-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RT | 4way L-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RT_RB_RB | 4way L-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LT | 4way L-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_LB | 4way L-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RT | 4way L-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LT_RB | 4way L-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LT | 4way L-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_LB | 4way L-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RT | 4way L-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_LB_RB | 4way L-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LT | 4way L-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_LB | 4way L-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RT | 4way L-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RT_RB | 4way L-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LT | 4way L-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_LB | 4way L-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RT | 4way L-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LT_RB_RB_RB | 4way L-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LT | 4way L-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_LB | 4way L-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RT | 4way L-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LT_RB | 4way L-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LT | 4way L-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_LB | 4way L-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RT | 4way L-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_LB_RB | 4way L-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LT | 4way L-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_LB | 4way L-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RT | 4way L-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RT_RB | 4way L-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LT | 4way L-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_LB | 4way L-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RT | 4way L-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LT_RB_RB | 4way L-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LT | 4way L-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_LB | 4way L-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RT | 4way L-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LT_RB | 4way L-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LT | 4way L-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_LB | 4way L-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RT | 4way L-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_LB_RB | 4way L-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LT | 4way L-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_LB | 4way L-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RT | 4way L-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RT_RB | 4way L-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LT | 4way L-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_LB | 4way L-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RT | 4way L-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_LB_RB_RB | 4way L-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LT | 4way L-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_LB | 4way L-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RT | 4way L-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LT_RB | 4way L-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LT | 4way L-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_LB | 4way L-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RT | 4way L-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_LB_RB | 4way L-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LT | 4way L-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_LB | 4way L-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RT | 4way L-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RT_RB | 4way L-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LT | 4way L-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_LB | 4way L-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RT | 4way L-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RT_RB_RB | 4way L-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LT | 4way L-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_LB | 4way L-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RT | 4way L-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LT_RB | 4way L-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LT | 4way L-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_LB | 4way L-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RT | 4way L-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_LB_RB | 4way L-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LT | 4way L-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_LB | 4way L-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RT | 4way L-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RT_RB | 4way L-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LT | 4way L-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_LB | 4way L-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RT | 4way L-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_LB_RB_RB_RB | 4way L-Btm R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LT | 4way R-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_LB | 4way R-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RT | 4way R-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LT_RB | 4way R-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LT | 4way R-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_LB | 4way R-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RT | 4way R-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_LB_RB | 4way R-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LT | 4way R-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_LB | 4way R-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RT | 4way R-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RT_RB | 4way R-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LT | 4way R-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_LB | 4way R-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RT | 4way R-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LT_RB_RB | 4way R-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LT | 4way R-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_LB | 4way R-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RT | 4way R-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LT_RB | 4way R-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LT | 4way R-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_LB | 4way R-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RT | 4way R-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_LB_RB | 4way R-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LT | 4way R-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_LB | 4way R-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RT | 4way R-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RT_RB | 4way R-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LT | 4way R-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_LB | 4way R-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RT | 4way R-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_LB_RB_RB | 4way R-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LT | 4way R-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_LB | 4way R-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RT | 4way R-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LT_RB | 4way R-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LT | 4way R-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_LB | 4way R-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RT | 4way R-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_LB_RB | 4way R-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LT | 4way R-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_LB | 4way R-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RT | 4way R-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RT_RB | 4way R-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LT | 4way R-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_LB | 4way R-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RT | 4way R-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RT_RB_RB | 4way R-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LT | 4way R-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_LB | 4way R-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RT | 4way R-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LT_RB | 4way R-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LT | 4way R-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_LB | 4way R-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RT | 4way R-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_LB_RB | 4way R-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LT | 4way R-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_LB | 4way R-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RT | 4way R-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RT_RB | 4way R-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LT | 4way R-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_LB | 4way R-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RT | 4way R-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RT_RB_RB_RB | 4way R-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LT | 4way R-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_LB | 4way R-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RT | 4way R-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LT_RB | 4way R-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LT | 4way R-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_LB | 4way R-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RT | 4way R-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_LB_RB | 4way R-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LT | 4way R-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_LB | 4way R-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RT | 4way R-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RT_RB | 4way R-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LT | 4way R-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_LB | 4way R-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RT | 4way R-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LT_RB_RB | 4way R-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LT | 4way R-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_LB | 4way R-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RT | 4way R-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LT_RB | 4way R-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LT | 4way R-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_LB | 4way R-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RT | 4way R-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_LB_RB | 4way R-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LT | 4way R-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_LB | 4way R-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RT | 4way R-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RT_RB | 4way R-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LT | 4way R-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_LB | 4way R-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RT | 4way R-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_LB_RB_RB | 4way R-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LT | 4way R-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_LB | 4way R-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RT | 4way R-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LT_RB | 4way R-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LT | 4way R-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_LB | 4way R-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RT | 4way R-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_LB_RB | 4way R-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LT | 4way R-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_LB | 4way R-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RT | 4way R-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RT_RB | 4way R-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LT | 4way R-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_LB | 4way R-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RT | 4way R-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RT_RB_RB | 4way R-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LT | 4way R-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_LB | 4way R-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RT | 4way R-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LT_RB | 4way R-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LT | 4way R-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_LB | 4way R-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RT | 4way R-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_LB_RB | 4way R-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LT | 4way R-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_LB | 4way R-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RT | 4way R-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RT_RB | 4way R-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LT | 4way R-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_LB | 4way R-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RT | 4way R-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_WIPE4_RB_RB_RB_RB | 4way R-Btm R-Btm R-Btm R-Btm
Rectangular Wipe |
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_IN | In
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_OUT | Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_IN | Interlace In then In
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_OUT | Interlace Out then Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_IN_THEN_OUT | Interlace In then Out
DLG_EFFECT_IDSTR_WIPE_RECTANGLE_INTER_OUT_THEN_IN | Interlace Out then In
Circular Wipe |
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_L | Center CW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_L | Center CCW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_R | Center CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_R | Center CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_T | Center CW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_T | Center CCW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CW_FROM_B | Center CW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_C_CCW_FROM_B | Center CCW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CCW_FROM_B | Left CCW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_L_CW_FROM_T | Left CW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CW_FROM_B | Right CW from Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE_R_CCW_FROM_T | Right CCW from Top
DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CCW_FROM_L | Top CCW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_T_CW_FROM_R | Top CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CW_FROM_L | Btm CW from Left
DLG_EFFECT_IDSTR_WIPE_CIRCLE_B_CCW_FROM_R | Btm CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_L_AND_FROM_R | 2way Center CW from Left & Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_L_AND_FROM_R | 2way Center CCW from Left & Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CW_FROM_T_AND_FROM_B | 2way Center CW from Top & Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_C_CCW_FROM_T_AND_FROM_B | 2way Center CCW from Top & Btm
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CW_FROM_T_AND_CCW_FROM_B | 2way Left CW down & CCW up
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_L_CCW_TO_T_AND_CW_TO_B | 2way Left CCW up & CW down
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CCW_FROM_T_AND_CW_FROM_B | 2way Right CCW down & CW up
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_R_CW_TO_T_AND_CCW_TO_B | 2way Right CW up & CCW down
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CCW_FROM_L_AND_CW_FROM_R | 2way Top CCW from Left & CW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_T_CW_TO_L_AND_CCW_TO_R | 2way Top CW to Left & CCW to Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CW_FROM_L_AND_CCW_FROM_R | 2way Btm CW from Left & CCW from Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE2_B_CCW_TO_L_AND_CW_TO_R | 2way Btm CCW to Left & CW to Right
DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CW_CCW_CCW_CW | 4way Center CW CCW CCW CW
DLG_EFFECT_IDSTR_WIPE_CIRCLE4_C_CCW_CW_CW_CCW | 4way Center CCW CW CW CCW
Push |
DLG_EFFECT_IDSTR_PUSH_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_PUSH_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_PUSH_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_PUSH_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_PUSH2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_PUSH2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_PUSH2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_PUSH2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_PUSH4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_PUSH4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_PUSH4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_PUSH4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_PUSH4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_PUSH4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_PUSH4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_PUSH4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_PUSH4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_PUSH4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_PUSH4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_PUSH4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_PUSH4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_PUSH4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_PUSH4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_PUSH4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_PUSH4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_PUSH4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_PUSH4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_PUSH4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_PUSH4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_PUSH4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_PUSH4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_PUSH4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_PUSH4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_PUSH4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_PUSH4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_PUSH4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_PUSH4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_PUSH4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_PUSH4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_PUSH4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_PUSH4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_PUSH4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_PUSH4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_PUSH4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_PUSH4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_PUSH4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_PUSH4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_PUSH4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_PUSH4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_PUSH4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_PUSH4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_PUSH4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_PUSH4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_PUSH4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_PUSH4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_PUSH4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_PUSH4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_PUSH4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_PUSH4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_PUSH4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_PUSH4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_PUSH4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_PUSH4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_PUSH4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_PUSH4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_PUSH4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_PUSH4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_PUSH4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_PUSH4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_PUSH4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_PUSH4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_PUSH4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_PUSH4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_PUSH4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_PUSH4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_PUSH4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_PUSH4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_PUSH4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_PUSH4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_PUSH4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_PUSH4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_PUSH4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_PUSH4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_PUSH4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_PUSH4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_PUSH4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_PUSH4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_PUSH4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_PUSH4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_PUSH4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_PUSH4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_PUSH4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_PUSH4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_PUSH4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_PUSH4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_PUSH4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_PUSH4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_PUSH4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_PUSH4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_PUSH4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_PUSH4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_PUSH4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_PUSH4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_PUSH4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_PUSH4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_PUSH4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_PUSH4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_PUSH4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_PUSH4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_PUSH4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_PUSH4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_PUSH4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_PUSH4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_PUSH4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_PUSH4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_PUSH4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_PUSH4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_PUSH4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_PUSH4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_PUSH4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_PUSH4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_PUSH4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_PUSH4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_PUSH4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_PUSH4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_PUSH4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_PUSH4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_PUSH4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_PUSH4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_PUSH4_B_B_B_B | 4way Btm Btm Btm Btm
Slide |
DLG_EFFECT_IDSTR_SLIDE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_SLIDE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_SLIDE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_SLIDE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_SLIDE_LT_TO_RB | L-Top to R-Btm
DLG_EFFECT_IDSTR_SLIDE_RT_TO_LB | R-Top to L-Btm
DLG_EFFECT_IDSTR_SLIDE_LB_TO_RT | L-Btm to R-Top
DLG_EFFECT_IDSTR_SLIDE_RB_TO_LT | R-Btm to L-Top
DLG_EFFECT_IDSTR_SLIDE_INTERH_L_TO_R_AND_R_TO_L | Horz Interlace Left to Right & Right to Left
DLG_EFFECT_IDSTR_SLIDE_INTERV_T_TO_B_AND_B_TO_T | Vert Interlace Top to Btm & Btm to Top
DLG_EFFECT_IDSTR_SLIDE2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_SLIDE2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_SLIDE2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_SLIDE2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_SLIDE4_B_B_B_B | 4way Btm Btm Btm Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LT | 4way L-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_LB | 4way L-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RT | 4way L-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LT_RB | 4way L-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LT | 4way L-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_LB | 4way L-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RT | 4way L-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_LB_RB | 4way L-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LT | 4way L-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_LB | 4way L-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RT | 4way L-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RT_RB | 4way L-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LT | 4way L-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_LB | 4way L-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RT | 4way L-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LT_RB_RB | 4way L-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LT | 4way L-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_LB | 4way L-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RT | 4way L-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LT_RB | 4way L-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LT | 4way L-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_LB | 4way L-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RT | 4way L-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_LB_RB | 4way L-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LT | 4way L-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_LB | 4way L-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RT | 4way L-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RT_RB | 4way L-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LT | 4way L-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_LB | 4way L-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RT | 4way L-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_LB_RB_RB | 4way L-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LT | 4way L-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_LB | 4way L-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RT | 4way L-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LT_RB | 4way L-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LT | 4way L-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_LB | 4way L-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RT | 4way L-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_LB_RB | 4way L-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LT | 4way L-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_LB | 4way L-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RT | 4way L-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RT_RB | 4way L-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LT | 4way L-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_LB | 4way L-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RT | 4way L-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RT_RB_RB | 4way L-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LT | 4way L-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_LB | 4way L-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RT | 4way L-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LT_RB | 4way L-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LT | 4way L-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_LB | 4way L-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RT | 4way L-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_LB_RB | 4way L-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LT | 4way L-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_LB | 4way L-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RT | 4way L-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RT_RB | 4way L-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LT | 4way L-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_LB | 4way L-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RT | 4way L-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LT_RB_RB_RB | 4way L-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LT | 4way L-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_LB | 4way L-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RT | 4way L-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LT_RB | 4way L-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LT | 4way L-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_LB | 4way L-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RT | 4way L-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_LB_RB | 4way L-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LT | 4way L-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_LB | 4way L-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RT | 4way L-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RT_RB | 4way L-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LT | 4way L-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_LB | 4way L-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RT | 4way L-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LT_RB_RB | 4way L-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LT | 4way L-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_LB | 4way L-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RT | 4way L-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LT_RB | 4way L-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LT | 4way L-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_LB | 4way L-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RT | 4way L-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_LB_RB | 4way L-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LT | 4way L-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_LB | 4way L-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RT | 4way L-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RT_RB | 4way L-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LT | 4way L-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_LB | 4way L-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RT | 4way L-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_LB_RB_RB | 4way L-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LT | 4way L-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_LB | 4way L-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RT | 4way L-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LT_RB | 4way L-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LT | 4way L-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_LB | 4way L-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RT | 4way L-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_LB_RB | 4way L-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LT | 4way L-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_LB | 4way L-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RT | 4way L-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RT_RB | 4way L-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LT | 4way L-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_LB | 4way L-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RT | 4way L-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RT_RB_RB | 4way L-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LT | 4way L-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_LB | 4way L-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RT | 4way L-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LT_RB | 4way L-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LT | 4way L-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_LB | 4way L-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RT | 4way L-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_LB_RB | 4way L-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LT | 4way L-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_LB | 4way L-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RT | 4way L-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RT_RB | 4way L-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LT | 4way L-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_LB | 4way L-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RT | 4way L-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_LB_RB_RB_RB | 4way L-Btm R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LT | 4way R-Top L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_LB | 4way R-Top L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RT | 4way R-Top L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LT_RB | 4way R-Top L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LT | 4way R-Top L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_LB | 4way R-Top L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RT | 4way R-Top L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_LB_RB | 4way R-Top L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LT | 4way R-Top L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_LB | 4way R-Top L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RT | 4way R-Top L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RT_RB | 4way R-Top L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LT | 4way R-Top L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_LB | 4way R-Top L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RT | 4way R-Top L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LT_RB_RB | 4way R-Top L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LT | 4way R-Top L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_LB | 4way R-Top L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RT | 4way R-Top L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LT_RB | 4way R-Top L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LT | 4way R-Top L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_LB | 4way R-Top L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RT | 4way R-Top L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_LB_RB | 4way R-Top L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LT | 4way R-Top L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_LB | 4way R-Top L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RT | 4way R-Top L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RT_RB | 4way R-Top L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LT | 4way R-Top L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_LB | 4way R-Top L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RT | 4way R-Top L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_LB_RB_RB | 4way R-Top L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LT | 4way R-Top R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_LB | 4way R-Top R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RT | 4way R-Top R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LT_RB | 4way R-Top R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LT | 4way R-Top R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_LB | 4way R-Top R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RT | 4way R-Top R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_LB_RB | 4way R-Top R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LT | 4way R-Top R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_LB | 4way R-Top R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RT | 4way R-Top R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RT_RB | 4way R-Top R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LT | 4way R-Top R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_LB | 4way R-Top R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RT | 4way R-Top R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RT_RB_RB | 4way R-Top R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LT | 4way R-Top R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_LB | 4way R-Top R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RT | 4way R-Top R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LT_RB | 4way R-Top R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LT | 4way R-Top R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_LB | 4way R-Top R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RT | 4way R-Top R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_LB_RB | 4way R-Top R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LT | 4way R-Top R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_LB | 4way R-Top R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RT | 4way R-Top R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RT_RB | 4way R-Top R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LT | 4way R-Top R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_LB | 4way R-Top R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RT | 4way R-Top R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RT_RB_RB_RB | 4way R-Top R-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LT | 4way R-Btm L-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_LB | 4way R-Btm L-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RT | 4way R-Btm L-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LT_RB | 4way R-Btm L-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LT | 4way R-Btm L-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_LB | 4way R-Btm L-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RT | 4way R-Btm L-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_LB_RB | 4way R-Btm L-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LT | 4way R-Btm L-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_LB | 4way R-Btm L-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RT | 4way R-Btm L-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RT_RB | 4way R-Btm L-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LT | 4way R-Btm L-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_LB | 4way R-Btm L-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RT | 4way R-Btm L-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LT_RB_RB | 4way R-Btm L-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LT | 4way R-Btm L-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_LB | 4way R-Btm L-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RT | 4way R-Btm L-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LT_RB | 4way R-Btm L-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LT | 4way R-Btm L-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_LB | 4way R-Btm L-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RT | 4way R-Btm L-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_LB_RB | 4way R-Btm L-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LT | 4way R-Btm L-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_LB | 4way R-Btm L-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RT | 4way R-Btm L-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RT_RB | 4way R-Btm L-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LT | 4way R-Btm L-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_LB | 4way R-Btm L-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RT | 4way R-Btm L-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_LB_RB_RB | 4way R-Btm L-Btm R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LT | 4way R-Btm R-Top L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_LB | 4way R-Btm R-Top L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RT | 4way R-Btm R-Top L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LT_RB | 4way R-Btm R-Top L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LT | 4way R-Btm R-Top L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_LB | 4way R-Btm R-Top L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RT | 4way R-Btm R-Top L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_LB_RB | 4way R-Btm R-Top L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LT | 4way R-Btm R-Top R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_LB | 4way R-Btm R-Top R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RT | 4way R-Btm R-Top R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RT_RB | 4way R-Btm R-Top R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LT | 4way R-Btm R-Top R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_LB | 4way R-Btm R-Top R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RT | 4way R-Btm R-Top R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RT_RB_RB | 4way R-Btm R-Top R-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LT | 4way R-Btm R-Btm L-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_LB | 4way R-Btm R-Btm L-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RT | 4way R-Btm R-Btm L-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LT_RB | 4way R-Btm R-Btm L-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LT | 4way R-Btm R-Btm L-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_LB | 4way R-Btm R-Btm L-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RT | 4way R-Btm R-Btm L-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_LB_RB | 4way R-Btm R-Btm L-Btm R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LT | 4way R-Btm R-Btm R-Top L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_LB | 4way R-Btm R-Btm R-Top L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RT | 4way R-Btm R-Btm R-Top R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RT_RB | 4way R-Btm R-Btm R-Top R-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LT | 4way R-Btm R-Btm R-Btm L-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_LB | 4way R-Btm R-Btm R-Btm L-Btm
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RT | 4way R-Btm R-Btm R-Btm R-Top
DLG_EFFECT_IDSTR_SLIDE4_RB_RB_RB_RB | 4way R-Btm R-Btm R-Btm R-Btm
Roll |
DLG_EFFECT_IDSTR_ROLL_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_ROLL_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_ROLL_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_ROLL_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_ROLL2_T_R_TO_L_AND_B_L_TO_R | 2way Top Right to Left & Btm Left to Right
DLG_EFFECT_IDSTR_ROLL2_T_L_TO_R_AND_B_R_TO_L | 2way Top Left to Right & Btm Right to Left
DLG_EFFECT_IDSTR_ROLL2_L_B_TO_T_AND_R_T_TO_B | 2way Left Btm to Top & Right Top to Btm
DLG_EFFECT_IDSTR_ROLL2_L_T_TO_B_AND_R_B_TO_T | 2way Left Top to Btm & Right Btm to Top
DLG_EFFECT_IDSTR_ROLL4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_ROLL4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_ROLL4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_ROLL4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_ROLL4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_ROLL4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_ROLL4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_ROLL4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_ROLL4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_ROLL4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_ROLL4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_ROLL4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_ROLL4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_ROLL4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_ROLL4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_ROLL4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_ROLL4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_ROLL4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_ROLL4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_ROLL4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_ROLL4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_ROLL4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_ROLL4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_ROLL4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_ROLL4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_ROLL4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_ROLL4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_ROLL4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_ROLL4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_ROLL4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_ROLL4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_ROLL4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_ROLL4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_ROLL4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_ROLL4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_ROLL4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_ROLL4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_ROLL4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_ROLL4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_ROLL4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_ROLL4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_ROLL4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_ROLL4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_ROLL4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_ROLL4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_ROLL4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_ROLL4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_ROLL4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_ROLL4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_ROLL4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_ROLL4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_ROLL4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_ROLL4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_ROLL4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_ROLL4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_ROLL4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_ROLL4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_ROLL4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_ROLL4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_ROLL4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_ROLL4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_ROLL4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_ROLL4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_ROLL4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_ROLL4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_ROLL4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_ROLL4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_ROLL4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_ROLL4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_ROLL4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_ROLL4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_ROLL4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_ROLL4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_ROLL4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_ROLL4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_ROLL4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_ROLL4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_ROLL4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_ROLL4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_ROLL4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_ROLL4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_ROLL4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_ROLL4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_ROLL4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_ROLL4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_ROLL4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_ROLL4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_ROLL4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_ROLL4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_ROLL4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_ROLL4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_ROLL4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_ROLL4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_ROLL4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_ROLL4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_ROLL4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_ROLL4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_ROLL4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_ROLL4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_ROLL4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_ROLL4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_ROLL4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_ROLL4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_ROLL4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_ROLL4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_ROLL4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_ROLL4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_ROLL4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_ROLL4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_ROLL4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_ROLL4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_ROLL4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_ROLL4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_ROLL4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_ROLL4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_ROLL4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_ROLL4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_ROLL4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_ROLL4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_ROLL4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_ROLL4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_ROLL4_B_B_B_B | 4way Btm Btm Btm Btm
Rotate |
DLG_EFFECT_IDSTR_ROTATE_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_ROTATE_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_ROTATE_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_ROTATE_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_L | 4way Left Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_R | 4way Left Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_T | 4way Left Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_L_B | 4way Left Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_L | 4way Left Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_R | 4way Left Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_T | 4way Left Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_R_B | 4way Left Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_L | 4way Left Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_R | 4way Left Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_T | 4way Left Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_T_B | 4way Left Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_L | 4way Left Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_R | 4way Left Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_T | 4way Left Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_L_B_B | 4way Left Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_L | 4way Left Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_R | 4way Left Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_T | 4way Left Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_L_B | 4way Left Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_L | 4way Left Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_R | 4way Left Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_T | 4way Left Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_R_B | 4way Left Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_L | 4way Left Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_R | 4way Left Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_T | 4way Left Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_T_B | 4way Left Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_L | 4way Left Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_R | 4way Left Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_T | 4way Left Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_R_B_B | 4way Left Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_L | 4way Left Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_R | 4way Left Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_T | 4way Left Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_L_B | 4way Left Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_L | 4way Left Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_R | 4way Left Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_T | 4way Left Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_R_B | 4way Left Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_L | 4way Left Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_R | 4way Left Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_T | 4way Left Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_T_B | 4way Left Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_L | 4way Left Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_R | 4way Left Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_T | 4way Left Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_T_B_B | 4way Left Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_L | 4way Left Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_R | 4way Left Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_T | 4way Left Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_L_B | 4way Left Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_L | 4way Left Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_R | 4way Left Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_T | 4way Left Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_R_B | 4way Left Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_L | 4way Left Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_R | 4way Left Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_T | 4way Left Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_T_B | 4way Left Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_L | 4way Left Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_R | 4way Left Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_T | 4way Left Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_L_B_B_B | 4way Left Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_L | 4way Right Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_R | 4way Right Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_T | 4way Right Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_L_B | 4way Right Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_L | 4way Right Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_R | 4way Right Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_T | 4way Right Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_R_B | 4way Right Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_L | 4way Right Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_R | 4way Right Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_T | 4way Right Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_T_B | 4way Right Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_L | 4way Right Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_R | 4way Right Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_T | 4way Right Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_L_B_B | 4way Right Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_L | 4way Right Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_R | 4way Right Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_T | 4way Right Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_L_B | 4way Right Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_L | 4way Right Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_R | 4way Right Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_T | 4way Right Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_R_B | 4way Right Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_L | 4way Right Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_R | 4way Right Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_T | 4way Right Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_T_B | 4way Right Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_L | 4way Right Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_R | 4way Right Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_T | 4way Right Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_R_B_B | 4way Right Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_L | 4way Right Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_R | 4way Right Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_T | 4way Right Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_L_B | 4way Right Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_L | 4way Right Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_R | 4way Right Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_T | 4way Right Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_R_B | 4way Right Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_L | 4way Right Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_R | 4way Right Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_T | 4way Right Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_T_B | 4way Right Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_L | 4way Right Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_R | 4way Right Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_T | 4way Right Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_T_B_B | 4way Right Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_L | 4way Right Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_R | 4way Right Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_T | 4way Right Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_L_B | 4way Right Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_L | 4way Right Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_R | 4way Right Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_T | 4way Right Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_R_B | 4way Right Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_L | 4way Right Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_R | 4way Right Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_T | 4way Right Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_T_B | 4way Right Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_L | 4way Right Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_R | 4way Right Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_T | 4way Right Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_R_B_B_B | 4way Right Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_L | 4way Top Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_R | 4way Top Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_T | 4way Top Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_L_B | 4way Top Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_L | 4way Top Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_R | 4way Top Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_T | 4way Top Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_R_B | 4way Top Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_L | 4way Top Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_R | 4way Top Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_T | 4way Top Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_T_B | 4way Top Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_L | 4way Top Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_R | 4way Top Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_T | 4way Top Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_L_B_B | 4way Top Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_L | 4way Top Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_R | 4way Top Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_T | 4way Top Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_L_B | 4way Top Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_L | 4way Top Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_R | 4way Top Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_T | 4way Top Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_R_B | 4way Top Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_L | 4way Top Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_R | 4way Top Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_T | 4way Top Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_T_B | 4way Top Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_L | 4way Top Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_R | 4way Top Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_T | 4way Top Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_R_B_B | 4way Top Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_L | 4way Top Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_R | 4way Top Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_T | 4way Top Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_L_B | 4way Top Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_L | 4way Top Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_R | 4way Top Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_T | 4way Top Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_R_B | 4way Top Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_L | 4way Top Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_R | 4way Top Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_T | 4way Top Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_T_B | 4way Top Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_L | 4way Top Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_R | 4way Top Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_T | 4way Top Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_T_B_B | 4way Top Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_L | 4way Top Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_R | 4way Top Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_T | 4way Top Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_L_B | 4way Top Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_L | 4way Top Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_R | 4way Top Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_T | 4way Top Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_R_B | 4way Top Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_L | 4way Top Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_R | 4way Top Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_T | 4way Top Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_T_B | 4way Top Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_L | 4way Top Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_R | 4way Top Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_T | 4way Top Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_T_B_B_B | 4way Top Btm Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_L | 4way Btm Left Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_R | 4way Btm Left Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_T | 4way Btm Left Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_L_B | 4way Btm Left Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_L | 4way Btm Left Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_R | 4way Btm Left Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_T | 4way Btm Left Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_R_B | 4way Btm Left Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_L | 4way Btm Left Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_R | 4way Btm Left Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_T | 4way Btm Left Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_T_B | 4way Btm Left Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_L | 4way Btm Left Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_R | 4way Btm Left Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_T | 4way Btm Left Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_L_B_B | 4way Btm Left Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_L | 4way Btm Right Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_R | 4way Btm Right Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_T | 4way Btm Right Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_L_B | 4way Btm Right Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_L | 4way Btm Right Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_R | 4way Btm Right Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_T | 4way Btm Right Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_R_B | 4way Btm Right Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_L | 4way Btm Right Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_R | 4way Btm Right Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_T | 4way Btm Right Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_T_B | 4way Btm Right Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_L | 4way Btm Right Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_R | 4way Btm Right Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_T | 4way Btm Right Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_R_B_B | 4way Btm Right Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_L | 4way Btm Top Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_R | 4way Btm Top Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_T | 4way Btm Top Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_L_B | 4way Btm Top Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_L | 4way Btm Top Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_R | 4way Btm Top Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_T | 4way Btm Top Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_R_B | 4way Btm Top Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_L | 4way Btm Top Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_R | 4way Btm Top Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_T | 4way Btm Top Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_T_B | 4way Btm Top Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_L | 4way Btm Top Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_R | 4way Btm Top Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_T | 4way Btm Top Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_T_B_B | 4way Btm Top Btm Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_L | 4way Btm Btm Left Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_R | 4way Btm Btm Left Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_T | 4way Btm Btm Left Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_L_B | 4way Btm Btm Left Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_L | 4way Btm Btm Right Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_R | 4way Btm Btm Right Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_T | 4way Btm Btm Right Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_R_B | 4way Btm Btm Right Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_L | 4way Btm Btm Top Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_R | 4way Btm Btm Top Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_T | 4way Btm Btm Top Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_T_B | 4way Btm Btm Top Btm
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_L | 4way Btm Btm Btm Left
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_R | 4way Btm Btm Btm Right
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_T | 4way Btm Btm Btm Top
DLG_EFFECT_IDSTR_ROTATE4_B_B_B_B | 4way Btm Btm Btm Btm
Zoom |
DLG_EFFECT_IDSTR_ZOOM_TO_C | to Center
DLG_EFFECT_IDSTR_ZOOM_FROM_C | from Center
Drip |
DLG_EFFECT_IDSTR_DRIP_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_DRIP_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_DRIP_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_DRIP_R_TO_L | Right to Left
Blind |
DLG_EFFECT_IDSTR_BLIND_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_BLIND_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_BLIND_GROWING_L_TO_R | Growing Left to Right
DLG_EFFECT_IDSTR_BLIND_GROWING_R_TO_L | Growing Right to Left
DLG_EFFECT_IDSTR_BLIND_GROWING_T_TO_B | Growing Top to Btm
DLG_EFFECT_IDSTR_BLIND_GROWING_B_TO_T | Growing Btm to Top
DLG_EFFECT_IDSTR_BLIND2_T_TO_B_AND_L_TO_R | 2way Top to Btm & Left to Right
Random |
DLG_EFFECT_IDSTR_RANDOM_BARS_R_TO_L | Bars Right to Left
DLG_EFFECT_IDSTR_RANDOM_BARS_L_TO_R | Bars Left to Right
DLG_EFFECT_IDSTR_RANDOM_BARS_B_TO_T | Bars Btm to Top
DLG_EFFECT_IDSTR_RANDOM_BARS_T_TO_B | Bars Top to Btm
DLG_EFFECT_IDSTR_RANDOM_LINES | Lines
DLG_EFFECT_IDSTR_RANDOM_BLOCKS | Blocks
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_R_TO_L | Blocks Right to Left
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_L_TO_R | Blocks Left to Right
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_B_TO_T | Blocks Btm to Top
DLG_EFFECT_IDSTR_RANDOM_BLOCKS_T_TO_B | Blocks Top to Btm
Checkerboard |
DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_T_TO_B | Top to Btm then Top to Btm
DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_B_TO_T | Btm to Top then Btm to Top
DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_L_TO_R | Left to Right then Left to Right
DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_R_TO_L | Right to Left then Right to Left
DLG_EFFECT_IDSTR_CHECKERBOARD_T_TO_B_THEN_B_TO_T | Top to Btm then Btm to Top
DLG_EFFECT_IDSTR_CHECKERBOARD_B_TO_T_THEN_T_TO_B | Btm to Top then Top to Btm
DLG_EFFECT_IDSTR_CHECKERBOARD_L_TO_R_THEN_R_TO_L | Left to Right then Right to Left
DLG_EFFECT_IDSTR_CHECKERBOARD_R_TO_L_THEN_L_TO_R | Right to Left then Left to Right
Blocks |
DLG_EFFECT_IDSTR_BLOCKS_T_TO_B | Top to Btm
DLG_EFFECT_IDSTR_BLOCKS_B_TO_T | Btm to Top
DLG_EFFECT_IDSTR_BLOCKS_L_TO_R | Left to Right
DLG_EFFECT_IDSTR_BLOCKS_R_TO_L | Right to Left
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_TO_C | Swirl CW to Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CW_FROM_C | Swirl CW from Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_TO_C | Swirl CCW to Center
DLG_EFFECT_IDSTR_BLOCKS_SWIRL_CCW_FROM_C | Swirl CCW from Center
Circle |
DLG_EFFECT_IDSTR_CIRCLE_C_IN | Center In
DLG_EFFECT_IDSTR_CIRCLE_C_OUT | Center Out
DLG_EFFECT_IDSTR_CIRCLE_L_IN | Left In
DLG_EFFECT_IDSTR_CIRCLE_L_OUT | Left Out
DLG_EFFECT_IDSTR_CIRCLE_R_IN | Right In
DLG_EFFECT_IDSTR_CIRCLE_R_OUT | Right Out
DLG_EFFECT_IDSTR_CIRCLE_T_IN | Top In
DLG_EFFECT_IDSTR_CIRCLE_T_OUT | Top Out
DLG_EFFECT_IDSTR_CIRCLE_B_IN | Btm In
DLG_EFFECT_IDSTR_CIRCLE_B_OUT | Btm Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_IN | Center Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_OUT | Center Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_IN_THEN_OUT | Center Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_C_INTER_OUT_THEN_IN | Center Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_IN | Left Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_OUT | Left Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_IN_THEN_OUT | Left Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_L_INTER_OUT_THEN_IN | Left Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_IN | Right Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_OUT | Right Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_IN_THEN_OUT | Right Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_R_INTER_OUT_THEN_IN | Right Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_IN | Top Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_OUT | Top Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_IN_THEN_OUT | Top Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_T_INTER_OUT_THEN_IN | Top Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_IN | Btm Interlace In then In
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_OUT | Btm Interlace Out then Out
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_IN_THEN_OUT | Btm Interlace In then Out
DLG_EFFECT_IDSTR_CIRCLE_B_INTER_OUT_THEN_IN | Btm Interlace Out then In
DLG_EFFECT_IDSTR_CIRCLE_L_R_INTER | Left Right Interlace
DLG_EFFECT_IDSTR_CIRCLE_T_B_INTER | Top Btm Interlace
DLG_EFFECT_IDSTR_CIRCLE2_L_R_OUT | 2way Left Right Out
DLG_EFFECT_IDSTR_CIRCLE2_L_R_IN | 2way Left Right In
DLG_EFFECT_IDSTR_CIRCLE2_T_B_OUT | 2way Top Btm Out
DLG_EFFECT_IDSTR_CIRCLE2_T_B_IN | 2way Top Btm In
Ellipse |
DLG_EFFECT_IDSTR_ELLIPSE_C_IN | Center In
DLG_EFFECT_IDSTR_ELLIPSE_C_OUT | Center Out
DLG_EFFECT_IDSTR_ELLIPSE_L_IN | Left In
DLG_EFFECT_IDSTR_ELLIPSE_L_OUT | Left Out
DLG_EFFECT_IDSTR_ELLIPSE_R_IN | Right In
DLG_EFFECT_IDSTR_ELLIPSE_R_OUT | Right Out
DLG_EFFECT_IDSTR_ELLIPSE_T_IN | Top In
DLG_EFFECT_IDSTR_ELLIPSE_T_OUT | Top Out
DLG_EFFECT_IDSTR_ELLIPSE_B_IN | Btm In
DLG_EFFECT_IDSTR_ELLIPSE_B_OUT | Btm Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_IN | Center Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_OUT | Center Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_IN_THEN_OUT | Center Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_C_INTER_OUT_THEN_IN | Center Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_IN | Left Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_OUT | Left Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_IN_THEN_OUT | Left Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_L_INTER_OUT_THEN_IN | Left Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_IN | Right Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_OUT | Right Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_IN_THEN_OUT | Right Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_R_INTER_OUT_THEN_IN | Right Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_IN | Top Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_OUT | Top Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_IN_THEN_OUT | Top Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_T_INTER_OUT_THEN_IN | Top Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_IN | Btm Interlace In then In
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_OUT | Btm Interlace Out then Out
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_IN_THEN_OUT | Btm Interlace In then Out
DLG_EFFECT_IDSTR_ELLIPSE_B_INTER_OUT_THEN_IN | Btm Interlace Out then In
DLG_EFFECT_IDSTR_ELLIPSE_L_R_INTER | Left Right Interlace
DLG_EFFECT_IDSTR_ELLIPSE_T_B_INTER | Top Btm Interlace
DLG_EFFECT_IDSTR_ELLIPSE2_L_R_OUT | 2way Left Right Out
DLG_EFFECT_IDSTR_ELLIPSE2_L_R_IN | 2way Left Right In
DLG_EFFECT_IDSTR_ELLIPSE2_T_B_OUT | 2way Top Btm Out
DLG_EFFECT_IDSTR_ELLIPSE2_T_B_IN | 2way Top Btm In
Transition Dialog Strings |
DLG_TRANSITION_IDSTR_CAPTION | Transition Options
DLG_TRANSITION_IDSTR_PREVIEW | Pre&view
DLG_TRANSITION_IDSTR_FILL | Transition Fill &Style:
DLG_TRANSITION_IDSTR_GRADIENT | G&radient…
DLG_TRANSITION_IDSTR_FORECOLOR | &ForeColor
DLG_TRANSITION_IDSTR_BACKCOLOR | &BackColor
DLG_TRANSITION_IDSTR_DELAY | &Delay
DLG_TRANSITION_IDSTR_GRAIN | &Grain
DLG_TRANSITION_IDSTR_EFFECT | &Effect…
DLG_TRANSITION_IDSTR_TRANSPARENT | &Transparent
DLG_TRANSITION_IDSTR_PASSES | P&asses
DLG_TRANSITION_IDSTR_WAND | &Wand
DLG_TRANSITION_IDSTR_SOLIDFILL | Solid
DLG_TRANSITION_IDSTR_HORZFILL | Horizontal Lines
DLG_TRANSITION_IDSTR_VERTFILL | Vertical Lines
DLG_TRANSITION_IDSTR_FOREDIAGFILL | Forward Diagonal Lines
DLG_TRANSITION_IDSTR_BACKDIAGFILL | Backward Diagonal Lines
DLG_TRANSITION_IDSTR_CROSSFILL | Cross Lines
DLG_TRANSITION_IDSTR_DIAGCROSSFILL | Diagonal Cross Lines
DLG_TRANSITION_IDSTR_GRADIENTFILL | Gradient
Gradient Dialog Strings |
DLG_GRADIENT_IDSTR_CAPTION | Gradient Options
DLG_GRADIENT_IDSTR_PREVIEW | Pre&view
DLG_GRADIENT_IDSTR_CATEGORY | Gradient &Category
DLG_GRADIENT_IDSTR_STYLE | Gradient St&yle
DLG_GRADIENT_IDSTR_STARTCOLOR | &Start Color
DLG_GRADIENT_IDSTR_ENDCOLOR | &EndColor
DLG_GRADIENT_IDSTR_STEPS | S&teps
DLG_GRADIENT_IDSTR_LINE_CLASS | Linear Gradients
DLG_GRADIENT_IDSTR_ANGLE_CLASS | Angular Gradients
DLG_GRADIENT_IDSTR_RECT_CLASS | Rectangular Gradients
DLG_GRADIENT_IDSTR_ELLIPSE_CLASS | Elliptical Gradients
DLG_GRADIENT_IDSTR_CON_CLASS | Conical Gradients
DLG_GRADIENT_IDSTR_LINE_LTOR | Left to Right
DLG_GRADIENT_IDSTR_LINE_RTOL | Right to Left
DLG_GRADIENT_IDSTR_LINE_TTOB | Top to Bottom
DLG_GRADIENT_IDSTR_LINE_BTOT | Bottom to Top
DLG_GRADIENT_IDSTR_LINE_LTTORB | L-Top to R-Bottom
DLG_GRADIENT_IDSTR_LINE_LBTORT | L-Bottom to R-Top
DLG_GRADIENT_IDSTR_LINE_RTTOLB | R-Top to L-Bottom
DLG_GRADIENT_IDSTR_LINE_RBTOLT | R-Bottom to L-Top
DLG_GRADIENT_IDSTR_LINE2_LRTOC | Left & Right In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOLR | Center Out to Left and Right
DLG_GRADIENT_IDSTR_LINE2_TBTOC | Top & Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOTB | Center Out to Top and Bottom
DLG_GRADIENT_IDSTR_LINE2_LTRBTOC | L-Top & R-Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTOLTRB | Center Out to L-Top & R-Bottom
DLG_GRADIENT_IDSTR_LINE2_RTLBTOC | R-Top & L-Bottom In to Center
DLG_GRADIENT_IDSTR_LINE2_CTORTLB | Center Out to R-Top & L-Bottom
DLG_GRADIENT_IDSTR_ANGLE_TOLT | To Left-Top
DLG_GRADIENT_IDSTR_ANGLE_TOLB | To Left-Bottom
DLG_GRADIENT_IDSTR_ANGLE_TORT | To Right-Top
DLG_GRADIENT_IDSTR_ANGLE_TORB | To Right-Bottom
DLG_GRADIENT_IDSTR_ANGLE_FROMLT | From Left-Top
DLG_GRADIENT_IDSTR_ANGLE_FROMLB | From Left-Bottom
DLG_GRADIENT_IDSTR_ANGLE_FROMRT | From Right-Top
DLG_GRADIENT_IDSTR_ANGLE_FROMRB | From Right-Bottom
DLG_GRADIENT_IDSTR_RECT_TOC | To Center
DLG_GRADIENT_IDSTR_RECT_FROMC | From Center
DLG_GRADIENT_IDSTR_ELLIPSE_TOC | To Center
DLG_GRADIENT_IDSTR_ELLIPSE_FROMC | From Center
DLG_GRADIENT_IDSTR_CON_FROML | From Left
DLG_GRADIENT_IDSTR_CON_FROMR | From Right
DLG_GRADIENT_IDSTR_CON_FROMT | From Top
DLG_GRADIENT_IDSTR_CON_FROMB | From Bottom
DLG_GRADIENT_IDSTR_CON_FROMLT | From Left-Top
DLG_GRADIENT_IDSTR_CON_FROMLB | From Left-Bottom
DLG_GRADIENT_IDSTR_CON_FROMRT | From Right-Top
DLG_GRADIENT_IDSTR_CON_FROMRB | From Right-Bottom
Window Level Dialog Strings |
DLG_WINDOWLEVEL_IDSTR_CAPTION | Window Leveling
DLG_WINDOWLEVEL_IDSTR_RANGE | &Range:
DLG_WINDOWLEVEL_IDSTR_INSIDE | &Inside
DLG_WINDOWLEVEL_IDSTR_OUTSIDE | &Outside
DLG_WINDOWLEVEL_IDSTR_COLORS | Colors
DLG_WINDOWLEVEL_IDSTR_ENDCOLORS | &End Color:
DLG_WINDOWLEVEL_IDSTR_STARTCOLORS | &Start Color:
DLG_WINDOWLEVEL_IDSTR_LUTCURVE | LUT Carve:
DLG_WINDOWLEVEL_IDSTR_CURVEMODE | &Mode:
DLG_WINDOWLEVEL_IDSTR_FACTOR | &Factor:
DLG_WINDOWLEVEL_IDSTR_LINEAR | Linear
DLG_WINDOWLEVEL_IDSTR_EXPONENTIAL | Exponential
DLG_WINDOWLEVEL_IDSTR_LOGARITHMIC | Logarithmic
DLG_WINDOWLEVEL_IDSTR_SIGMOID | Sigmoid
DLG_WINDOWLEVEL_IDSTR_LOWLEVEL | Low Level:
DLG_WINDOWLEVEL_IDSTR_HIGHLEVEL | High Level:
DLG_WINDOWLEVEL_IDSTR_WINDOW | Window
DLG_WINDOWLEVEL_IDSTR_CENTER | Center:
DLG_WINDOWLEVEL_IDSTR_WIDTH | Width:
Load Options Dialog Strings |
DLG_LOADOPTIONS_IDSTR_CAPTION | File Load Options
DLG_LOADOPTIONS_IDSTR_NOTIMAGEFILE | Not Image File format
DLG_LOADOPTIONS_IDSTR_FULLPATH | &Full Path
DLG_LOADOPTIONS_IDSTR_NOAVAILABLEOPTIONS | No Available Options
DLG_LOADOPTIONS_GENERAL_IDSTR_PROGALL | All
DLG_LOADOPTIONS_GENERAL_IDSTR_PROGMEANINGFUL | Meaningful Only
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG1 | 1
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG2 | 2
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG3 | 3
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG4 | 4
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG5 | 5
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG6 | 6
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG7 | 7
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG8 | 8
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG9 | 9
DLG_LOADOPTIONS_GENERAL_IDSTR_PROG10 | 10
DLG_LOADOPTIONS_VECTOR_IDSTR_VIEWPORT | View port
DLG_LOADOPTIONS_VECTOR_IDSTR_WIDTH | &Width
DLG_LOADOPTIONS_VECTOR_IDSTR_HEIGHT | &Height
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE | &Mode
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND | Background
DLG_LOADOPTIONS_VECTOR_IDSTR_PENWIDTH | Wi&dth
DLG_LOADOPTIONS_VECTOR_IDSTR_PENNUMBER | Pen
DLG_LOADOPTIONS_VECTOR_IDSTR_PENCOLOR | &Color
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_BEST | Use Best
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH | Use Width
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_HEIGHT | Use Height
DLG_LOADOPTIONS_VECTOR_IDSTR_MODE_USE_WIDTH_HEIGHT | Use Width and Height
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_BLACKONWHITE | Black on White
DLG_LOADOPTIONS_VECTOR_IDSTR_BACKGROUND_WHITEONBLACK | White on Black
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_1 | Pen (1)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_2 | Pen (2)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_3 | Pen (3)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_4 | Pen (4)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_5 | Pen (5)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_6 | Pen (6)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_7 | Pen (7)
DLG_LOADOPTIONS_VECTOR_IDSTR_PEN_8 | Pen (8)
DLG_LOADOPTIONS_RASTER_IDSTR_WIDTH | &Width
DLG_LOADOPTIONS_RASTER_IDSTR_HEIGHT | &Height
DLG_LOADOPTIONS_RASTER_IDSTR_RESOLUTION | &Resolution
DLG_LOADOPTIONS_RASTER_IDSTR_DPI | &DPI
DLG_LOADOPTIONS_PDF_IDSTR_RESOLUTION | Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_HRESOLUTION | Horizontal &Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_VRESOLUTION | &Vertical Resolution (Dpi)
DLG_LOADOPTIONS_PDF_IDSTR_DISPLAYDEPTH | &Display Depth (Bpp)
DLG_LOADOPTIONS_PDF_IDSTR_TEXTALPHA | &Text Alpha (Bits)
DLG_LOADOPTIONS_PDF_IDSTR_GRAPHICSALPHA | &Graphics Alpha (Bits)
Smooth Dialog Strings |
DLG_SMOOTH_IDSTR_CAPTION | Smooth
DLG_SMOOTH_IDSTR_LENGTH | Bump/Nick &Length:
DLG_SMOOTH_IDSTR_FAVOR | &Favor:
DLG_SMOOTH_IDSTR_FAVOR_LONG | Long Bump/Nick
DLG_SMOOTH_IDSTR_FAVOR_SHORT | Short Bump/Nick
DLG_SMOOTH_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_SMOOTH_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_SMOOTH_IDSTR_BLACKAREA | &Black Area:
DLG_SMOOTH_IDSTR_WHITEAREA | &White Area:
Line Remove Dialog Strings |
DLG_LINEREMOVE_IDSTR_CAPTION | Line Remove
DLG_LINEREMOVE_IDSTR_MEASUERUNIT | &Measure unit:
DLG_LINEREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_LINEREMOVE_IDSTR_REMOVE | &Remove:
DLG_LINEREMOVE_IDSTR_DIMENSIONS | Dimensions
DLG_LINEREMOVE_IDSTR_MINIMUMLENGTH | Minimum &Length:
DLG_LINEREMOVE_IDSTR_MAXIMUMWIDTH | Maximum &Width:
DLG_LINEREMOVE_IDSTR_WALLHEIGHT | Wall &Height:
DLG_LINEREMOVE_IDSTR_MAXWALLPERCENT | Max Wall &Percent:
DLG_LINEREMOVE_IDSTR_OPTIONALPROCESSING | Optional Processing
DLG_LINEREMOVE_IDSTR_LINEVARIANCE | Line &Variance
DLG_LINEREMOVE_IDSTR_MAXGAPLEN | Max &Gap Length
DLG_LINEREMOVE_IDSTR_REMOVEENTIRELIN | Remove &Entire Line
DLG_LINEREMOVE_IDSTR_INCHES | Inches
DLG_LINEREMOVE_IDSTR_PIXELS | Pixels
DLG_LINEREMOVE_IDSTR_HORIZONTAL | Horizontal Lines
DLG_LINEREMOVE_IDSTR_VERTICAL | Vertical Lines
DLG_LINEREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_LINEREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
Border Remove Dialog Strings |
DLG_BORDERREMOVE_IDSTR_CAPTION | Border Remove
DLG_BORDERREMOVE_IDSTR_BORDERPERCENT | Border &Percent:
DLG_BORDERREMOVE_IDSTR_VARIANCE | &Variance:
DLG_BORDERREMOVE_IDSTR_WHITENOISELEN | &White Noise Length:
DLG_BORDERREMOVE_IDSTR_SETTINGS | Settings
DLG_BORDERREMOVE_IDSTR_BORDERTOREMOVE | Border To Remove
DLG_BORDERREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_BORDERREMOVE_IDSTR_LEFT | &Left:
DLG_BORDERREMOVE_IDSTR_RIGHT | &Right:
DLG_BORDERREMOVE_IDSTR_TOP | &Top:
DLG_BORDERREMOVE_IDSTR_BOTTOM | &Bottom:
DLG_BORDERREMOVE_IDSTR_SHOWMODIFICATIONASCOLOR | &Show modification as color selection
Inverted Text Dialog Strings |
DLG_INVERTEDTEXT_IDSTR_CAPTION | Inverted Text
DLG_INVERTEDTEXT_IDSTR_MEASUERUNIT | &Measure unit
DLG_INVERTEDTEXT_IDSTR_INCHES | Inches
DLG_INVERTEDTEXT_IDSTR_PIXELS | Pixels
DLG_INVERTEDTEXT_IDSTR_RESOLUTION | Resolution:
DLG_INVERTEDTEXT_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_INVERTEDTEXT_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_INVERTEDTEXT_IDSTR_INVERT | Invert
DLG_INVERTEDTEXT_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_INVERTEDTEXT_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_INVERTEDTEXT_IDSTR_BLACKPERCENT | Black &Percent
DLG_INVERTEDTEXT_IDSTR_MAXBLACKPERCENT | Maximum:
DLG_INVERTEDTEXT_IDSTR_MINBLACKPERCENT | Minimum:
DLG_INVERTEDTEXT_IDSTR_BLACKAREA | &Black Area:
DLG_INVERTEDTEXT_IDSTR_WHITEAREA | Whi&te Area:
Dot Remove Dialog Strings |
DLG_DOTREMOVE_IDSTR_CAPTION | Dot Remove
DLG_DOTREMOVE_IDSTR_MEASUERUNIT | &Measure unit
DLG_DOTREMOVE_IDSTR_INCHES | Inches
DLG_DOTREMOVE_IDSTR_PIXELS | Pixels
DLG_DOTREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_DOTREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_DOTREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_DOTREMOVE_IDSTR_DOTSIZE | Dot Size
DLG_DOTREMOVE_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_DOTREMOVE_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_DOTREMOVE_IDSTR_MAXIMUMWIDTH | Maximum Wi&dth:
DLG_DOTREMOVE_IDSTR_MAXIMUMHEIGHT | Maximum Hei&ght:
DLG_DOTREMOVE_IDSTR_BLACKAREA | &Black Area:
DLG_DOTREMOVE_IDSTR_WHITEAREA | Whi&te Area:
DLG_DOTREMOVE_IDSTR_USEDIAGONALS | &Use Diagonals
DLG_DOTREMOVE_IDSTR_USEDOTSIZE | U&se Dot Sizes
Hole Punch Remove Dialog Strings |
DLG_HOLEPUNCHREMOVE_IDSTR_CAPTION | Hole Punch Remove
DLG_HOLEPUNCHREMOVE_IDSTR_MEASUERUNIT | &Measure unit
DLG_HOLEPUNCHREMOVE_IDSTR_INCHES | Inches
DLG_HOLEPUNCHREMOVE_IDSTR_PIXELS | Pixels
DLG_HOLEPUNCHREMOVE_IDSTR_RESOLUTION | Resolution:
DLG_HOLEPUNCHREMOVE_IDSTR_SHOWMODIFICATIONCOLOR | &Show Changes as Color Selection
DLG_HOLEPUNCHREMOVE_IDSTR_IMAGEMODIFICATION | Image Modification
DLG_HOLEPUNCHREMOVE_IDSTR_HOLELOCATION | Hole &Location
DLG_HOLEPUNCHREMOVE_IDSTR_DEFAULT | Default
DLG_HOLEPUNCHREMOVE_IDSTR_LEFT | Left
DLG_HOLEPUNCHREMOVE_IDSTR_RIGHT | Right
DLG_HOLEPUNCHREMOVE_IDSTR_TOP | Top
DLG_HOLEPUNCHREMOVE_IDSTR_BOTTOM | Bottom
DLG_HOLEPUNCHREMOVE_IDSTR_HOLEDIMENSION | Hole Dimensions
DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTDIMENSIONS | &Use Default Dimensions
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMWIDTH | Minimum &Width:
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMHEIGHT | Minimum &Height:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMWIDTH | Maximum Wi&dth:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMHEIGHT | Maximum Hei&ght:
DLG_HOLEPUNCHREMOVE_IDSTR_BLACKAREA | &Black Area:
DLG_HOLEPUNCHREMOVE_IDSTR_WHITEAREA | Whi&te Area:
DLG_HOLEPUNCHREMOVE_IDSTR_HOLECOUNT | Hole Count
DLG_HOLEPUNCHREMOVE_IDSTR_USEDEFAULTCOUNT | U&se Default Count
DLG_HOLEPUNCHREMOVE_IDSTR_MINIMUMCOUNT | Minimum:
DLG_HOLEPUNCHREMOVE_IDSTR_MAXIMUMCOUNT | Maximum:
Print Preview Dialog Strings: |
DLG_PRINTPREVIEW_IDSTR_CAPTION | Print Preview
DLG_PRINTPREVIEW_IDSTR_TOOLBAR_GENERAL | General
DLG_PRINTPREVIEW_IDSTR_UNIT_INCH | inch
DLG_PRINTPREVIEW_IDSTR_UNIT_CM | cm
DLG_PRINTPREVIEW_IDSTR_UNIT_PIXEL | pixel
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_CAPTION | Printing...
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SCALE | Scale
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_SIZE | Size
DLG_PRINTPREVIEW_STATUSDLG_IDSTR_PIXLES | pixels
DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_TEXT | Please enter a valid value for auto arrange margins
DLG_PRINTPREVIEW_IDSTR_MSG_MARGINVALUE_CAPTION | Error
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_CAPTION | &File
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PREFERENCES | P&references...
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINT | &Print
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_PRINTSETUP | Pa&ge Setup...
DLG_PRINTPREVIEW_MNU_MAIN_FILE_IDSTR_EXIT | E&xit
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_CAPTION | &Image
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP | Flip
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPVERT | Flip &Vertically
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_FLIP_FLIPHORZ | Flip &Horizontally
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE | Rotate
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CCW | Rotate 90 &CCW
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ROTATE_90CW | Rotate 90 C&W
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE | Scale
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_STRETCHTOFIT | &Stretch To Fit
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_SCALE_NORMALLY | Scale &Normally
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGN | Align
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNAUTOARRANGE | &Auto Arrange
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTTOP | &Left Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERTOP | Center &Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTTOP | &Right Top
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERLEFT | L&eft Center
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERED | &Centered
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERRIGHT | R&ight Center
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNLEFTBOTTOM | Le&ft Bottom
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNCENTERBOTTOM | Center &Bottom
DLG_PRINTPREVIEW_MNU_MAIN_IMAGE_IDSTR_ALIGNRIGHTBOTTOM | Ri&ght Bottom
DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_CAPTION | &View
DLG_PRINTPREVIEW_MNU_MAIN_VIEW_IDSTR_GENERALTOOLBAR | &General Toolbar
DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_CAPTION | &Help
DLG_PRINTPREVIEW_MNU_MAIN_HELP_IDSTR_HELPTOPICS | &Help Topics
File Format Strings (Save dialog and File Conversion dialog) |
DLG_FF_SAVE_IDSTR_ABC | LEAD Advanced Bitonal Compression (*.abc)
DLG_FF_SAVE_IDSTR_ABIC | Adaptive bi-level image compression (*.abic)
DLG_FF_SAVE_IDSTR_ANI | Animated Cursor (*.ani)
DLG_FF_SAVE_IDSTR_AWD | MS FAX (AWD) (*.awd)
DLG_FF_SAVE_IDSTR_BMP | Win BMP (*.bmp)
DLG_FF_SAVE_IDSTR_CALS | CALS (*.cal)
DLG_FF_SAVE_IDSTR_CIN | Cineon (*.cin)
DLG_FF_SAVE_IDSTR_CLP | CLP (*.clp)
DLG_FF_SAVE_IDSTR_CMW | LEAD Wavelet (*.cmw)
DLG_FF_SAVE_IDSTR_CUR | Win Cursor (*.cur)
DLG_FF_SAVE_IDSTR_CUT | Dr Halo (*.cut)
DLG_FF_SAVE_IDSTR_DICOMCOLOR | DICOM DIC Color (*.dic)
DLG_FF_SAVE_IDSTR_ECW | ECW (*.ecw)
DLG_FF_SAVE_IDSTR_EMF | EMF (*.emf)
DLG_FF_SAVE_IDSTR_EPS | EPS (*.eps)
DLG_FF_SAVE_IDSTR_EXIF | EXIF (*.tif)
DLG_FF_SAVE_IDSTR_FAX | FAX (Raw) (*.fax)
DLG_FF_SAVE_IDSTR_FIT | FIT (*.fit)
DLG_FF_SAVE_IDSTR_FLC | FLC (*.flc)
DLG_FF_SAVE_IDSTR_FPX | FPX (*.fpx)
DLG_FF_SAVE_IDSTR_GEOTIFF | GeoTIFF (*.tif)
DLG_FF_SAVE_IDSTR_GIF | GIF (*.gif)
DLG_FF_SAVE_IDSTR_ICO | Win Icon (*.ico)
DLG_FF_SAVE_IDSTR_IFF | IFF (*.iff)
DLG_FF_SAVE_IDSTR_IMG | GEM (*.img)
DLG_FF_SAVE_IDSTR_ITG | ITG (*.itg)
DLG_FF_SAVE_IDSTR_J2K | JPEG 2000 (*.j2k;*.jp2)
DLG_FF_SAVE_IDSTR_JBIG | JBIG (*.jbg)
DLG_FF_SAVE_IDSTR_JBIG2 | JBIG2 (*.jb2)
DLG_FF_SAVE_IDSTR_JPEG | JPEG (*.jpg)
DLG_FF_SAVE_IDSTR_LEAD | LEAD (*.cmp)
DLG_FF_SAVE_IDSTR_MAC | MacPaint (*.mac)
DLG_FF_SAVE_IDSTR_MODCA | MODCA:IOCA (*.ica)
DLG_FF_SAVE_IDSTR_MRC | MRC (*.mrc)
DLG_FF_SAVE_IDSTR_MSP | MS Paint (*.msp)
DLG_FF_SAVE_IDSTR_OS2BMP | OS/2 BMP (*.bmp)
DLG_FF_SAVE_IDSTR_PBM | PBM (*.pbm)
DLG_FF_SAVE_IDSTR_PCT | Mac PICT (*.pct)
DLG_FF_SAVE_IDSTR_PCX | PCX (*.pcx)
DLG_FF_SAVE_IDSTR_PDF | PDF (*.pdf)
DLG_FF_SAVE_IDSTR_PGM | PGM (*.pgm)
DLG_FF_SAVE_IDSTR_PNG | CServe PNG (*.png)
DLG_FF_SAVE_IDSTR_PPM | PPM (*.ppm)
DLG_FF_SAVE_IDSTR_PSD | PSD (*.psd)
DLG_FF_SAVE_IDSTR_PSP | PSP (*.psp)
DLG_FF_SAVE_IDSTR_RAS | SUN Ras (*.ras)
DLG_FF_SAVE_IDSTR_RAW | RAW data (*.raw)
DLG_FF_SAVE_IDSTR_RAWICA | Raw IOCA (*.ica)
DLG_FF_SAVE_IDSTR_SCT | Scitex Continuous Tone SCT (*.sct)
DLG_FF_SAVE_IDSTR_SFF | Structured Fax File (*.sff)
DLG_FF_SAVE_IDSTR_SGI | SGI (*.sgi)
DLG_FF_SAVE_IDSTR_SMP | Xionics SMP (*.smp)
DLG_FF_SAVE_IDSTR_TGA | TGA (*.tga)
DLG_FF_SAVE_IDSTR_TIFF | TIF (*.tif)
DLG_FF_SAVE_IDSTR_TIFX | TIFX (*.tifx)
DLG_FF_SAVE_IDSTR_WBMP | Wireless bitmap (WBMP) (*.wbmp)
DLG_FF_SAVE_IDSTR_WFX | Winfax (*.wfx)
DLG_FF_SAVE_IDSTR_WMF | WMF (*.wmf)
DLG_FF_SAVE_IDSTR_WMZ | Compressed Windows Metafile (*.wmz)
DLG_FF_SAVE_IDSTR_WPG | WPG (*.wpg)
DLG_FF_SAVE_IDSTR_XBM | XBM (*.xbm)
DLG_FF_SAVE_IDSTR_XPM | XPM (*.xpm)
DLG_FF_SAVE_IDSTR_XWD | XWD (*.xwd)
Sub-format Strings |
DLG_FF_SAVE_SUB_IDSTR_BMP_RLECOMPRESSED | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_BMP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_CALS | CALS Type 1
DLG_FF_SAVE_SUB_IDSTR_CALS2 | CALS Type 2
DLG_FF_SAVE_SUB_IDSTR_CALS3 | CALS Type 3
DLG_FF_SAVE_SUB_IDSTR_CALS4 | CALS Type 4
DLG_FF_SAVE_SUB_IDSTR_CLP_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_CLP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_CMP_NONPROGRESSIVE | Non-progressive
DLG_FF_SAVE_SUB_IDSTR_CMP_PROGRESSIVE | Progressive
DLG_FF_SAVE_SUB_IDSTR_DICOM_COLOR | Uncompressed Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_GRAY | Uncompressed Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY | Lossy JPEG 2000
DLG_FF_SAVE_SUB_IDSTR_DICOM_J2K_GRAY_LOSSLESS | Lossless JPEG 2000
DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_COLOR | Lossy JPEG Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_JPEG_GRAY | Lossy JPEG Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_COLOR | Lossless JPEG Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_LOSSLESSJPEG_GRAY | Lossless JPEG Grayscale
DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_COLOR | RLE Color
DLG_FF_SAVE_SUB_IDSTR_DICOM_RLE_GRAY | RLE Grayscale
DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_411 | JPEG 4:1:1
DLG_FF_SAVE_SUB_IDSTR_EXIF_JPEG_422 | JPEG 4:2:2
DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_EXIF_UNCOMPRESSEDYCC | Uncompressed YCbCr
DLG_FF_SAVE_SUB_IDSTR_FAX_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_FAX_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_FAX_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_FPX_DEFQFACTOR | JPEG default qFactor
DLG_FF_SAVE_SUB_IDSTR_FPX_SINGLECOLOR | Single Color
DLG_FF_SAVE_SUB_IDSTR_FPX_SPECQFACTOR | JPEG specify qFactor
DLG_FF_SAVE_SUB_IDSTR_FPX_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_GIF_INTERLACED89A | Interlaced GIF 89a
DLG_FF_SAVE_SUB_IDSTR_GIF_NONINTERLACED89A | Non-Interlaced GIF 89a
DLG_FF_SAVE_SUB_IDSTR_ICA_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_ICA_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_ICA_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_ICA_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_ICA_IBM_MMR | IBM MMR
DLG_FF_SAVE_SUB_IDSTR_ICA_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_ICA4_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_RLE | CAT RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_IFF_CAT_UNCOMPRESSED | CAT Uncompressed
DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_RLE | ILBM RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_IFF_ILBM_UNCOMPRESSED | ILBM Uncompressed
DLG_FF_SAVE_SUB_IDSTR_ITG_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_ITG_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_JP2 | JP2 file
DLG_FF_SAVE_SUB_IDSTR_JPEG12_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_JPEG12_YUV_400 | YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_411 | LAB 4:1:1
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_422 | LAB 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LAB_444 | LAB 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG24_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_411 | Progressive YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_422 | Progressive YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_PROG_444 | Progressive YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_411 | YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_422 | YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_JPEG24_YUV_444 | YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_JPEG8_LOSSLESS | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_JPEG8_PROG_400 | Progressive YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_JPEG8_YUV_400 | YUV 4:0:0
DLG_FF_SAVE_SUB_IDSTR_LEAD_MRC | LEAD MRC
DLG_FF_SAVE_SUB_IDSTR_MRC | MRC
DLG_FF_SAVE_SUB_IDSTR_OS2_VER1 | Version 1.0
DLG_FF_SAVE_SUB_IDSTR_OS2_VER2 | Version 2.0
DLG_FF_SAVE_SUB_IDSTR_PBM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PBM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_1D | CCITT Group3 1D
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G3_2D | CCITT Group3 2D
DLG_FF_SAVE_SUB_IDSTR_PDF1_CCITT_G4 | CCITT Group4
DLG_FF_SAVE_SUB_IDSTR_PDF1_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF1_RAS_PDF_JBIG | JBI2
DLG_FF_SAVE_SUB_IDSTR_PDF1_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PDF2_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF24_LEAD_MRC | LEAD MRC.
DLG_FF_SAVE_SUB_IDSTR_PDF24_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF24_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_411 | JPEG YUV 4:1:1
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_422 | JPEG YUV 4:2:2
DLG_FF_SAVE_SUB_IDSTR_PDF24_YUV_444 | JPEG YUV 4:4:4
DLG_FF_SAVE_SUB_IDSTR_PDF4_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF8_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_PDF8_RAS_PDF_LZW | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_PDF8_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_PGM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PGM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_PPM_ASCII | ASCII
DLG_FF_SAVE_SUB_IDSTR_PPM_BINARY | Binary
DLG_FF_SAVE_SUB_IDSTR_PSP_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_PSP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_RAS_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_RAS_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_RAWICA_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_RAWICA_IBM_MMR | IBM MMR
DLG_FF_SAVE_SUB_IDSTR_RAWICA_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_SGI_RLECOMPRESSED | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_SGI_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_1D | CCITT Group3 1D
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP3_2D | CCITT Group3 2D
DLG_FF_SAVE_SUB_IDSTR_SMP_CCITT_GROUP4 | CCITT Group4
DLG_FF_SAVE_SUB_IDSTR_SMP_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TGA_RLE | RLE Compressed
DLG_FF_SAVE_SUB_IDSTR_TGA_UNCOMPRESSED | TGA Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF1_ABC | LEAD ABC
DLG_FF_SAVE_SUB_IDSTR_TIFF1_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT | CCITT
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_TIFF1_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF1_JBIG2 | JBIG2
DLG_FF_SAVE_SUB_IDSTR_TIFF1_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF1_RLERGB | Packbits (RLE) RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF1_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF12_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF12_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF12_JPEG_GRAY_YCC | JPEG (Gray) YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF12_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF12_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF12_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFF12_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF16_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF16_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF16_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF16_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF16_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFF16_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_NONPROGRESSIVE | CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMP_PROGRESSIVE | Progressive CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF24_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_411 | JPEG YCbCr 4:1:1
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_422 | JPEG YCbCr 4:2:2
DLG_FF_SAVE_SUB_IDSTR_TIFF24_JPEG_YCC_444 | JPEG YCbCr 4:4:4
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LEAD_MRC | LEAD MRC
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWCMYK | LZW CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_LZWYCC | LZW YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF24_MRC | MRC
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLECMYK | Packbits CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLERGB | Packbits RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_RLEYCC | Packbits YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDCMYK | Uncompressed CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF24_UNCOMPRESSEDYCC | Uncompressed YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWCMYK | LZW CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF32_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLECMYK | Packbits CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF32_RLERGB | Packbits RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDCMYK | Uncompressed CMYK
DLG_FF_SAVE_SUB_IDSTR_TIFF32_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF4_ABIC | ABIC
DLG_FF_SAVE_SUB_IDSTR_TIFF4_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF4_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFF4_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFF4_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFF48_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF48_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF64_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF64_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMP | CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF8_CMW | Wavelet CMP
DLG_FF_SAVE_SUB_IDSTR_TIFF8_J2K | JPEG 2000 stream
DLG_FF_SAVE_SUB_IDSTR_TIFF8_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFF8_JPEG_GRAY_YCC | JPEG (Gray) YCbCr
DLG_FF_SAVE_SUB_IDSTR_TIFF8_LOSSLESSJPEG | Lossless JPEG
DLG_FF_SAVE_SUB_IDSTR_TIFF8_LZWRGB | LZW RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF8_RLERGB | Packbits (RLE) RGB
DLG_FF_SAVE_SUB_IDSTR_TIFF8_UNCOMPRESSEDRGB | Uncompressed RGB
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_LZW | LZW
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_RLE | Packbits (RLE)
DLG_FF_SAVE_SUB_IDSTR_TIFFOTHER_UNCOMPRESSED | Uncompressed
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G3_2D | CCITT G3 2D
DLG_FF_SAVE_SUB_IDSTR_TIFX_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG | JBIG
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43 | JBIG T43
DLG_FF_SAVE_SUB_IDSTR_TIFX_JBIG_T43_ITULAB | JBIG T43 ITULAB
DLG_FF_SAVE_SUB_IDSTR_TIFX_JPEG | JPEG
DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G3_1D | CCITT G3 1D
DLG_FF_SAVE_SUB_IDSTR_WFX_CCITT_G4 | CCITT G4
DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION10 | Version 10
DLG_FF_SAVE_SUB_IDSTR_XWD_VERSION11 | Version 11
Formats Ext |
DLG_FF_SAVE_EXT_IDSTR_ABIC | abic
DLG_FF_SAVE_EXT_IDSTR_AFP | afp
DLG_FF_SAVE_EXT_IDSTR_ANI | ani
DLG_FF_SAVE_EXT_IDSTR_AWD | awd
DLG_FF_SAVE_EXT_IDSTR_BMP | bmp
DLG_FF_SAVE_EXT_IDSTR_CALS | cal
DLG_FF_SAVE_EXT_IDSTR_CIN | cin
DLG_FF_SAVE_EXT_IDSTR_CLP | clp
DLG_FF_SAVE_EXT_IDSTR_CMW | cmw
DLG_FF_SAVE_EXT_IDSTR_CUR | cur
DLG_FF_SAVE_EXT_IDSTR_CUT | cut
DLG_FF_SAVE_EXT_IDSTR_DICOM | dic
DLG_FF_SAVE_EXT_IDSTR_ECW | ecw
DLG_FF_SAVE_EXT_IDSTR_EMF | emf
DLG_FF_SAVE_EXT_IDSTR_EPS | eps
DLG_FF_SAVE_EXT_IDSTR_EXIF | tif
DLG_FF_SAVE_EXT_IDSTR_EXIF_JPEG | jpg
DLG_FF_SAVE_EXT_IDSTR_FAX | fax
DLG_FF_SAVE_EXT_IDSTR_FIT | fit
DLG_FF_SAVE_EXT_IDSTR_FLC | flc
DLG_FF_SAVE_EXT_IDSTR_FPX | fpx
DLG_FF_SAVE_EXT_IDSTR_GEOTIFF | tif
DLG_FF_SAVE_EXT_IDSTR_GERBER | gbr
DLG_FF_SAVE_EXT_IDSTR_GIF | gif
DLG_FF_SAVE_EXT_IDSTR_ICO | ico
DLG_FF_SAVE_EXT_IDSTR_IFF | iff
DLG_FF_SAVE_EXT_IDSTR_IMG | img
DLG_FF_SAVE_EXT_IDSTR_ITG | itg
DLG_FF_SAVE_EXT_IDSTR_J2K | j2k
DLG_FF_SAVE_EXT_IDSTR_JBIG | jbg
DLG_FF_SAVE_EXT_IDSTR_JBIG2 | jb2
DLG_FF_SAVE_EXT_IDSTR_JP2 | jp2
DLG_FF_SAVE_EXT_IDSTR_JPEG | jpg
DLG_FF_SAVE_EXT_IDSTR_LEAD | cmp
DLG_FF_SAVE_EXT_IDSTR_MAC | mac
DLG_FF_SAVE_EXT_IDSTR_MODCA | ica
DLG_FF_SAVE_EXT_IDSTR_MRC | mrc
DLG_FF_SAVE_EXT_IDSTR_MSP | msp
DLG_FF_SAVE_EXT_IDSTR_OS2BMP | bmp
DLG_FF_SAVE_EXT_IDSTR_PBM | pbm
DLG_FF_SAVE_EXT_IDSTR_PCL | pcl
DLG_FF_SAVE_EXT_IDSTR_PCT | pct
DLG_FF_SAVE_EXT_IDSTR_PCX | pcx
DLG_FF_SAVE_EXT_IDSTR_PDF | pdf
DLG_FF_SAVE_EXT_IDSTR_PGM | pgm
DLG_FF_SAVE_EXT_IDSTR_PNG | png
DLG_FF_SAVE_EXT_IDSTR_PPM | ppm
DLG_FF_SAVE_EXT_IDSTR_PSD | psd
DLG_FF_SAVE_EXT_IDSTR_PSP | psp
DLG_FF_SAVE_EXT_IDSTR_PTOCA | ptk
DLG_FF_SAVE_EXT_IDSTR_RAS | ras
DLG_FF_SAVE_EXT_IDSTR_RAW | raw
DLG_FF_SAVE_EXT_IDSTR_RAWICA | ica
DLG_FF_SAVE_EXT_IDSTR_SCT | sct
DLG_FF_SAVE_EXT_IDSTR_SFF | sff
DLG_FF_SAVE_EXT_IDSTR_SGI | sgi
DLG_FF_SAVE_EXT_IDSTR_SHP | shp
DLG_FF_SAVE_EXT_IDSTR_SMP | smp
DLG_FF_SAVE_EXT_IDSTR_TGA | tga
DLG_FF_SAVE_EXT_IDSTR_TIFF | tif
DLG_FF_SAVE_EXT_IDSTR_TIFX | tifx
DLG_FF_SAVE_EXT_IDSTR_WBMP | wbmp
DLG_FF_SAVE_EXT_IDSTR_WFX | wfx
DLG_FF_SAVE_EXT_IDSTR_WMF | wmf
DLG_FF_SAVE_EXT_IDSTR_WMZ | wmz
DLG_FF_SAVE_EXT_IDSTR_WPG | wpg
DLG_FF_SAVE_EXT_IDSTR_XBM | xbm
DLG_FF_SAVE_EXT_IDSTR_XPM | xpm
DLG_FF_SAVE_EXT_IDSTR_XWD | xwd
Formats File Info Strings |
DLG_FF_FILEINFO_IDSTR_ABC | LEAD Advanced Bitonal Compression format
DLG_FF_FILEINFO_IDSTR_ABIC | Adaptive bi-level image compression
DLG_FF_FILEINFO_IDSTR_AFP | Advanced Function Presentation AFP
DLG_FF_FILEINFO_IDSTR_ANI | Animated Cursor
DLG_FF_FILEINFO_IDSTR_AVI | Windows AVI
DLG_FF_FILEINFO_IDSTR_AWD | At Work Document-Microsoft FAX
DLG_FF_FILEINFO_IDSTR_BMP | Windows Bitmap - Uncompressed
DLG_FF_FILEINFO_IDSTR_BMP_RLE | Windows Bitmap - RLE Compressed
DLG_FF_FILEINFO_IDSTR_CALS | CALS Type 1
DLG_FF_FILEINFO_IDSTR_CALS2 | CALS Type 2
DLG_FF_FILEINFO_IDSTR_CALS3 | CALS Type 3
DLG_FF_FILEINFO_IDSTR_CALS4 | CALS Type 4
DLG_FF_FILEINFO_IDSTR_CCITT | Tagged Image File Format-CCITT
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_1DIM | Tagged Image File Format-G31D
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP3_2DIM | Tagged Image File Format-G32D
DLG_FF_FILEINFO_IDSTR_CCITT_GROUP4 | Tagged Image File Format-G4
DLG_FF_FILEINFO_IDSTR_CGM | Computer Graphics Metafile
DLG_FF_FILEINFO_IDSTR_CLP | Windows Clipboard Image
DLG_FF_FILEINFO_IDSTR_CLP_RLE | Windows Clipboard Image-RLE
DLG_FF_FILEINFO_IDSTR_CMP | LEAD Format
DLG_FF_FILEINFO_IDSTR_CMW | LEAD Wavelet
DLG_FF_FILEINFO_IDSTR_CMX | Corel Clipart
DLG_FF_FILEINFO_IDSTR_CUT | Dr. Halo Graphics (CUT)
DLG_FF_FILEINFO_IDSTR_DCS | Kodak Professional Digital Camera System file
DLG_FF_FILEINFO_IDSTR_DICOM_COLOR | DICOM Uncompressed Color
DLG_FF_FILEINFO_IDSTR_DICOM_GRAY | DICOM Uncompressed Grayscale
DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_COLOR | DICOM JPEG Color
DLG_FF_FILEINFO_IDSTR_DICOM_JPEG_GRAY | DICOM JPEG Grayscale
DLG_FF_FILEINFO_IDSTR_DICOM_RLE_COLOR | DICOM RLE Color
DLG_FF_FILEINFO_IDSTR_DICOM_RLE_GRAY | DICOM RLE Grayscale
DLG_FF_FILEINFO_IDSTR_DRW | Micrografx Draw
DLG_FF_FILEINFO_IDSTR_DWF | AutoDesk Vector Format
DLG_FF_FILEINFO_IDSTR_DWG | AutoDesk Drawing
DLG_FF_FILEINFO_IDSTR_DXF | AutoDesk Drawing Interchange Format
DLG_FF_FILEINFO_IDSTR_DXF_R13 | AutoDesk Drawing Interchange Format R13
DLG_FF_FILEINFO_IDSTR_ECW | Enhanced Compressed Wavelet
DLG_FF_FILEINFO_IDSTR_EMF | Enhanced Metafile
DLG_FF_FILEINFO_IDSTR_EPS | Encapsulated PostScript Format
DLG_FF_FILEINFO_IDSTR_EPSTIFF | PostScript TIFF
DLG_FF_FILEINFO_IDSTR_EPSWMF | PostScript Metafile
DLG_FF_FILEINFO_IDSTR_EXIF | Exif (Uncompressed RGB)
DLG_FF_FILEINFO_IDSTR_EXIF_JPEG | Exif (JPEG 4:2:2)
DLG_FF_FILEINFO_IDSTR_EXIF_JPEG_411 | Exif (JPEG 4:1:1)
DLG_FF_FILEINFO_IDSTR_EXIF_YCC | Exif (Uncompressed YCbCr)
DLG_FF_FILEINFO_IDSTR_FAX_G3_1D | FAX G3 1D (Raw)
DLG_FF_FILEINFO_IDSTR_FAX_G3_2D | FAX G3 2D (Raw)
DLG_FF_FILEINFO_IDSTR_FAX_G4 | FAX G4 (Raw)
DLG_FF_FILEINFO_IDSTR_FLC | AutoDesk Animator Pro Animation
DLG_FF_FILEINFO_IDSTR_FLI | AutoDesk Animator Pro Animation
DLG_FF_FILEINFO_IDSTR_FPX | Kodak FlashPix (Uncompressed)
DLG_FF_FILEINFO_IDSTR_FPX_JPEG | Kodak FlashPix (JPEG Default qFactor)
DLG_FF_FILEINFO_IDSTR_FPX_JPEG_QFACTOR | Kodak FlashPix (JPEG specify qFactor)
DLG_FF_FILEINFO_IDSTR_FPX_SINGLE_COLOR | Kodak FlashPix (Single Color Compression)
DLG_FF_FILEINFO_IDSTR_GERBER | Gerber Vector
DLG_FF_FILEINFO_IDSTR_GIF | CompuServe Graphics Interchange Format
DLG_FF_FILEINFO_IDSTR_ICA_ABIC | IOCA files ABIC compression
DLG_FF_FILEINFO_IDSTR_ICA_G3_1D | IOCA Image Object Content Architecture-IBM-G31D
DLG_FF_FILEINFO_IDSTR_ICA_G3_2D | IOCA Image Object Content Architecture-IBM-G32D
DLG_FF_FILEINFO_IDSTR_ICA_G4 | IOCA Image Object Content Architecture-IBM-G4
DLG_FF_FILEINFO_IDSTR_ICA_IBM_MMR | IOCA Image Object Content Architecture-IBM-MMRESULT
DLG_FF_FILEINFO_IDSTR_ICA_UNCOMPRESSED | IOCA Image Object Content Architecture-IBM-Uncompressed
DLG_FF_FILEINFO_IDSTR_IFF_CAT | Amiga Interchange Format- CAT
DLG_FF_FILEINFO_IDSTR_IFF_ILBM | Amiga Interchange Format- ILBM
DLG_FF_FILEINFO_IDSTR_IMG | GEM Paint
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_CCITT_G4 | Intergraph RLE
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_RLE | Intergraph RLE
DLG_FF_FILEINFO_IDSTR_INTERGRAPH_VECTOR | Intergraph Vector
DLG_FF_FILEINFO_IDSTR_J2K | JPEG 2000 stream
DLG_FF_FILEINFO_IDSTR_JBIG | Joint Bilevel Image Group JBIG
DLG_FF_FILEINFO_IDSTR_JP2 | JPEG 2000 (JP2)
DLG_FF_FILEINFO_IDSTR_JPEG | JPEG (YUV 4:0:0)
DLG_FF_FILEINFO_IDSTR_JPEG_411 | JPEG (YUV 4:1:1)
DLG_FF_FILEINFO_IDSTR_JPEG_422 | JPEG (YUV 4:2:2)
DLG_FF_FILEINFO_IDSTR_JPEG_8 | JPEG 4:0:0
DLG_FF_FILEINFO_IDSTR_JPEG_LAB | JPEG (LAB 4:4:4)
DLG_FF_FILEINFO_IDSTR_JPEG_LAB_411 | JPEG (LAB 4:1:1)
DLG_FF_FILEINFO_IDSTR_JPEG_LAB_422 | JPEG (LAB 4:2:2)
DLG_FF_FILEINFO_IDSTR_JPEG_RGB | JPEG RGB
DLG_FF_FILEINFO_IDSTR_KDC_120 | Kodak Digital Camera file type 120
DLG_FF_FILEINFO_IDSTR_KDC_40 | Kodak Digital Camera file type 40
DLG_FF_FILEINFO_IDSTR_KDC_50 | Kodak Digital Camera file type 50
DLG_FF_FILEINFO_IDSTR_LASERDATA | LaserData
DLG_FF_FILEINFO_IDSTR_LEAD | LEAD Format
DLG_FF_FILEINFO_IDSTR_LOSSLESS_JPEG | Lossless JPEG
DLG_FF_FILEINFO_IDSTR_MAC | MacPaint
DLG_FF_FILEINFO_IDSTR_MPEG1 | MPEG-1
DLG_FF_FILEINFO_IDSTR_MPEG2 | MPEG-2
DLG_FF_FILEINFO_IDSTR_MSP | Microsoft Paint
DLG_FF_FILEINFO_IDSTR_NAP NAP | format (vector)
DLG_FF_FILEINFO_IDSTR_OS2 | Windows OS/2 BMP Version 1.0
DLG_FF_FILEINFO_IDSTR_OS2_2 | Windows OS/2 BMP Version 2.0
DLG_FF_FILEINFO_IDSTR_PBM_ASCII | Portable Bitmap (PBM) ASCII
DLG_FF_FILEINFO_IDSTR_PBM_BINARY | Portable Bitmap (PBM) Binary
DLG_FF_FILEINFO_IDSTR_PCD | Kodak Photo CD
DLG_FF_FILEINFO_IDSTR_PCL | HPGL plotter file vector graphics PCL
DLG_FF_FILEINFO_IDSTR_PCT | Macintosh PICTure
DLG_FF_FILEINFO_IDSTR_PCX | PC Paint Brush / ZSoft Paintbrush PCX and DCX
DLG_FF_FILEINFO_IDSTR_PDF_LEAD_MRC | PDF LEAD MRC file.
DLG_FF_FILEINFO_IDSTR_PGM_ASCII | Portable Greymap (PGM) ASCII
DLG_FF_FILEINFO_IDSTR_PGM_BINARY | Portable Greymap (PGM) Binary
DLG_FF_FILEINFO_IDSTR_PLT | HPGL or HPGL/2
DLG_FF_FILEINFO_IDSTR_PNG | Portable Network Graphics
DLG_FF_FILEINFO_IDSTR_PPM_ASCII | Portable Pixelmap (PPM) ASCII
DLG_FF_FILEINFO_IDSTR_PPM_BINARY | Portable Pixelmap (PPM) Binary
DLG_FF_FILEINFO_IDSTR_PSD | PhotoShop PSD
DLG_FF_FILEINFO_IDSTR_PSP | Paint Shop Pro Image - Uncompressed
DLG_FF_FILEINFO_IDSTR_PSP_RLE | Paint Shop Pro Image - RLE
DLG_FF_FILEINFO_IDSTR_PTOCA | MO:DCA PTOCA
DLG_FF_FILEINFO_IDSTR_RAS | Sun Raster Microsystems - Uncompressed
DLG_FF_FILEINFO_IDSTR_RAS_PDF | Adobe Acrobat (PDF) - Uncompressed
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_1D | Adobe Acrobat (PDF) - CCITT G3 1D
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G3_2D | Adobe Acrobat (PDF) - CCITT G3 2D
DLG_FF_FILEINFO_IDSTR_RAS_PDF_G4 | Adobe Acrobat (PDF) - CCITT G4
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG | Adobe Acrobat (PDF) - JPEG 4:4:4
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_411 | Adobe Acrobat (PDF) - JPEG 4:1:1
DLG_FF_FILEINFO_IDSTR_RAS_PDF_JPEG_422 | Adobe Acrobat (PDF) - JPEG 4:2:2
DLG_FF_FILEINFO_IDSTR_RAS_RLE | Sun Raster Microsystems -RLE
DLG_FF_FILEINFO_IDSTR_RAW | Raw file format
DLG_FF_FILEINFO_IDSTR_RAWICA_G3_1D | MODCA Image Object Content Architecture-IBM-G31D (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_G3_2D | MODCA Image Object Content Architecture-IBM-G32D (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_G4 | MODCA Image Object Content Architecture-IBM-G4 (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_IBM_MMR | MODCA Image Object Content Architecture-IBM-MMRESULT (Raw)
DLG_FF_FILEINFO_IDSTR_RAWICA_UNCOMPRESSED | MODCA Image Object Content Architecture-IBM-Uncompressed (Raw)
DLG_FF_FILEINFO_IDSTR_SCT | SciTex Continuous Tone
DLG_FF_FILEINFO_IDSTR_SGI | Silicon Graphics Image-Uncompressed
DLG_FF_FILEINFO_IDSTR_SGI_RLE | Silicon Graphics Image-RLE Compressed
DLG_FF_FILEINFO_IDSTR_SHP | ESRI Shape (Environmental Systems Research Institute)
DLG_FF_FILEINFO_IDSTR_SMP_G3_1D | Xionics SMP- G31D
DLG_FF_FILEINFO_IDSTR_SMP_G3_2D | Xionics SMP- G32D
DLG_FF_FILEINFO_IDSTR_SMP_G4 | Xionics SMP- G4
DLG_FF_FILEINFO_IDSTR_SMP_UNCOMPRESSED | Xionics SMP-Uncompressed
DLG_FF_FILEINFO_IDSTR_SVG_EMBEDDED | Scalable Vector Graphics-Embedded image
DLG_FF_FILEINFO_IDSTR_SVG_EXTERNAL | Scalable Vector Graphics
DLG_FF_FILEINFO_IDSTR_TGA_RLE | Truevision Targa - RLE
DLG_FF_FILEINFO_IDSTR_TGA_UNCOMPRESSED | Truevision Targa - Uncompressed
DLG_FF_FILEINFO_IDSTR_TIF | Tagged Image File Format-Uncompressed RGB
DLG_FF_FILEINFO_IDSTR_TIF_ABC | TIFF LEAD ABC format
DLG_FF_FILEINFO_IDSTR_TIF_ABIC | Tagged Image File Format - Adaptive bi-level image compression
DLG_FF_FILEINFO_IDSTR_TIF_CMP | Tagged Image File Format-CMP
DLG_FF_FILEINFO_IDSTR_TIF_CMW | Tagged Image File Format-LEAD Wavelet
DLG_FF_FILEINFO_IDSTR_TIF_CMYK | Tagged Image File Format- Uncompressed CMYK
DLG_FF_FILEINFO_IDSTR_TIF_DXF | Tagged Image File Format-DXF
DLG_FF_FILEINFO_IDSTR_TIF_J2K | JPEG 2000 stream TIFF
DLG_FF_FILEINFO_IDSTR_TIF_JBIG | Tagged Image File Format-JBIG
DLG_FF_FILEINFO_IDSTR_TIF_JPEG | Tagged Image File Format-JPEG Gray YCbCr
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_411 | Tagged Image File Format- JPEG YCbCr 4:1:1
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_422 | Tagged Image File Format- JPEG YCbCr 4:2:2
DLG_FF_FILEINFO_IDSTR_TIF_JPEG_8 | Tagged Image File Format-JPEG 4:0:0
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS | Tagged Image File Format-Packbits RLE
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_CMYK | Tagged Image File Format- Packbits CMYK
DLG_FF_FILEINFO_IDSTR_TIF_PACKBITS_YCC | Tagged Image File Format- Uncompressed YCbCR
DLG_FF_FILEINFO_IDSTR_TIF_UNKNOWN | Tagged Image File Format-Unknown
DLG_FF_FILEINFO_IDSTR_TIF_YCC | Tagged Image File Format- Packbits YcbCr
DLG_FF_FILEINFO_IDSTR_TIFLZW | Tagged Image File Format-LZW RGB
DLG_FF_FILEINFO_IDSTR_TIFLZW_CMYK | Tagged Image File Format- CMYK
DLG_FF_FILEINFO_IDSTR_TIFLZW_YCC | Tagged Image File Format- LZW YcbCr
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_1D | TIFF-FX CCITT G3 1D
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G3_2D | TIFF-FX CCITT G3 2D
DLG_FF_FILEINFO_IDSTR_TIFX_FAX_G4 | TIFF-FX CCITT G4
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG | TIFF-FX CCITT JBIG
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43 | TIFF-FX CCITT JBIG T43
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_GS | TIFF-FX CCITT JBIG T43 GS
DLG_FF_FILEINFO_IDSTR_TIFX_JBIG_T43_ITULAB | TIFF-FX CCITT JBIG T43 ITULAB
DLG_FF_FILEINFO_IDSTR_TIFX_JPEG | TIFF-FX JPEG
DLG_FF_FILEINFO_IDSTR_TXT | Text format
DLG_FF_FILEINFO_IDSTR_VWPG | WordPerfect Vector
DLG_FF_FILEINFO_IDSTR_WBMP | Wireless bitmap (WBMP)
DLG_FF_FILEINFO_IDSTR_WFX_G3_1D | Winfax G3 1D
DLG_FF_FILEINFO_IDSTR_WFX_G4 | Winfax G4
DLG_FF_FILEINFO_IDSTR_WIN_CUR | Windows Cursor
DLG_FF_FILEINFO_IDSTR_WIN_ICO | Windows ICON
DLG_FF_FILEINFO_IDSTR_WMF | Windows Meta file
DLG_FF_FILEINFO_IDSTR_WPG | WordPerfect Graphics Bitmap
DLG_FF_FILEINFO_IDSTR_XBM | X BitMap
DLG_FF_FILEINFO_IDSTR_XPM | X Pixel Map
DLG_FF_FILEINFO_IDSTR_XWD10 | X Window system window dump- 10
DLG_FF_FILEINFO_IDSTR_XWD11 | X Window system window dump- 11
Open Dialog Strings |
DLG_OPEN_IDSTR_DELETEPAGE | Delete Page
DLG_OPEN_IDSTR_FILENAME | File &name:
DLG_OPEN_IDSTR_FILESOFTYPE | Files of &type:
DLG_OPEN_IDSTR_LOOKIN | Look &in
DLG_OPEN_IDSTR_MSG_DELPAGE_CAPTION | Delete Page
DLG_OPEN_IDSTR_MSG_DELPAGE_ERROR | Error Deleting Page!
DLG_OPEN_IDSTR_MSG_DELPAGE_TEXT | Delete page %d?
DLG_OPEN_IDSTR_MSG_FILEINFO_CAPTION | FileInfo Error
DLG_OPEN_IDSTR_MSG_FILEINFO_TEXT | Error %d: Information not available for\n %s
DLG_OPEN_IDSTR_OPEN | Open
DLG_OPEN_IDSTR_PAGENUMBER | Page No.:
DLG_OPEN_IDSTR_PREVIEWTOOLTIP | Preview Selected File
DLG_OPEN_IDSTR_SHORTCUTBAR_DESKTOP | Desktop
DLG_OPEN_IDSTR_SHORTCUTBAR_FILEINFO | File Info
DLG_OPEN_IDSTR_SHORTCUTBAR_HISTORY | History
DLG_OPEN_IDSTR_SHORTCUTBAR_MYDOCUMENTS | My Documents
DLG_OPEN_IDSTR_SHORTCUTBAR_PATHS | Paths
DLG_OPEN_IDSTR_SHOWLOADOPTIONS | &Show Options on Open
JBIG2 Options Dialog |
DLG_JBIG2OPTIONS_IDSTR_CAPTION | JBIG2 Options
DLG_JBIG2OPTIONS_IDSTR_GBAT1 | G-BAT&1
DLG_JBIG2OPTIONS_IDSTR_GBAT1X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT1Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT2 | G-BAT&2
DLG_JBIG2OPTIONS_IDSTR_GBAT2X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT2Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT3 | G-BAT&3
DLG_JBIG2OPTIONS_IDSTR_GBAT3X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT3Y | Y:
DLG_JBIG2OPTIONS_IDSTR_GBAT4 | G-BAT&4
DLG_JBIG2OPTIONS_IDSTR_GBAT4X | X:
DLG_JBIG2OPTIONS_IDSTR_GBAT4Y | Y:
DLG_JBIG2OPTIONS_IDSTR_TEMPLATE | &Template
DLG_JBIG2OPTIONS_IDSTR_THREELINES10PIXEL | Three Lines 10 Pixel
DLG_JBIG2OPTIONS_IDSTR_THREELINES13PIXEL | Three Lines 13 Pixel
DLG_JBIG2OPTIONS_IDSTR_THREELINES16PIXEL | Three Lines 16 Pixel
DLG_JBIG2OPTIONS_IDSTR_TWOLINES10PIXEL | Two Lines 10 Pixel
DLG_JBIG2OPTIONS_IDSTR_TYPICALPREDICTION | Typical &Prediction


LEADTOOLS Documentation

LEADTOOLS Reference Manuals

LEADTOOLS provides reference manuals that contain the same information as the online help. You can print them from PDF files. Please note that due to the large size of the PDF files that contain the LEADTOOLS manuals, these files are no longer included in the setup. Instead, these PDF files can be downloaded from our website at http://support.leadtools.com/SupportPortal/DesktopDefault.aspx?tabindex=3&tabid=27.

To print the PDF files, you must use the Adobe Acrobat Reader 3.0 or higher. You can download a copy of the Acrobat Reader from the Adobe web site (http://www.adobe.com). Note that different versions of the Acrobat Reader are available for different operating systems, but they all can read the same PDF files.


Raster Pro/Document/Medical Features

Raster Pro:

LEADTOOLS Raster Imaging Pro provides some imaging capabilities that are not available in the LEADTOOLS Raster Imaging product. In order to access these features, you must unlock them by calling UnlockSupport (L_SUPPORT_LTPRO, L_KEY_LTPRO). L_KEY_LTPRO can be found in ltkey.h.

If you are a licensed user of LEADTOOLS Raster Imaging, and would like to access Raster Imaging Pro features, you must contact Tech Support for information on obtaining a license and the unlock key for calling LSettings::UnlockSupport.

Document/Medical:

LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite are the most comprehensive imaging toolkits on the market. No other toolkit provides as many imaging features for color, gray-scale and black & white images in one development package, and for one price. These toolkits comprise LEAD's best code and are designed for the programmer who is looking for the fastest performance, and/or the most extensive color, document, and medical imaging capabilities available.

These toolkits contain powerful annotation capabilities and optimized document image processing filters, and high performance compression, decompression and viewing of JPEG, LEAD CMP, MRC and CCITT G3/G4. The annotation capabilities enable the programmer to add text, highlights, sticky notes, audio, ellipses, buttons, lines, arrows, rectangles, polygons, redaction (blackout), hotspots, freehand scribble, pointers, bitmap and text stamps, to black & white and color images. Programmers working with document imaging will also find special processing filters such as despeckle, deskew, favor black, and scale to gray to enhance their black and white 1 bit images. Additionally, you can achieve faster rotation in 90-degree increments by applying a rotated view perspective to the bitmap. These LEADTOOLS toolkits offer the fastest software-only JPEG decoder available.

LEADTOOLS Document Imaging

The LEADTOOLS Document Imaging toolkit contains all the features available in the LEADTOOLS Raster Imaging Pro. In addition, it contains the following capabilities:

Special functions for Document (bitonal) images. The LEADTOOLS functions for bitonal images are especially useful for working with images from black-and-white scanners or FAX machines. These functions let you do things such as automatically straighten (deskew) an image, remove spots (despeckle), or clarify a scaled display (using scale-to-gray and favor-black features).

Annotation. LEADTOOLS supports annotation of images by letting you overlay images with text, lines, shapes, arrows, buttons, highlights, hot spots, sticky notes, stamps, buttons, and sounds.

Fast rotation. LEADTOOLS achieves fast rotation in 90-degree increments by applying a rotated view perspective to the bitmap.

ISIS support. LEADTOOLS supports ISIS interfaces for driving scanning devices.

Faster compression and decompression. The Document/Medical editions work faster when loading and saving LEAD CMP, JPEG, and CCITT Group 3 and Group 4 images. The LEADTOOLS functions for loading and saving are the same in all products. The only difference is in performance.

1-bit Image Clean-up. The Document toolkits include support for removing dots, blobs, holes, inverted text, lines, borders, bumps and nicks from 1-bit images.

Region Clean-up. [Document/Medical] Remove all the holes from a region.

Embedded Messages. The Document toolkits include support for embedding messages in lossless image formats like bmp, tiff, lossless jpeg, etc. The message is embedded without any visible changes to the image, and does not appreciably increase the size of the image. The message is password-protected.

Image Conversion. The Document toolkits include support for transforming a bitmap into a binary image using specified thresholds or a threshold calculated automatically based on statistical features of the bitmap.

12 and 16 bit grayscale images. [Document/Medical] Load, process, display, window level and save 12 and 16 bit grayscale images (including support for 16-bit grayscale TIFF).

48 and 64 bit color images. [Document/Medical] Load, process, display, and save 48 and 64 bit color images.

MRC Support. [Document/Medical] LEADTOOLS supports the Mixed Raster Content format for color documents containing mixed image and text components. For more information, refer to the ..

Halftoning. [Document/Medical] Convert 1-, 4-, 8-, 16-, 24-, or 32-bit bitmaps to a halftoned bitmap, with a specified pattern rotation. A halftoned bitmap is a 1-bit bitmap that has been dithered for black and white printing or display.

LEADTOOLS Document Imaging Suite

The LEADTOOLS Document Imaging Suite toolkit contains all the capabilities of LEADTOOLS Document Imaging, and includes the features listed below. Please note that the OCR features are included in this toolkit, however they can also be purchased as a plug-in for the LEADTOOLS Document Imaging toolkit. Also, JBIG support is provided in this toolkit, however a JBIG Module may be added on to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite.

OCR features. [Document/Medical] LEAD offers OCR features that use Scansoft Textbridge technology. Support for these features is included in the LEADTOOLS Document Imaging Suite, and can be added, via plug-in to the LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite toolkits. The OCR features allow you to perform optical character recognition and turn images into documents. Features include preset confidence and accuracy levels for controlling how sensitive the engine is to unrecognized text, artificial intelligence for improving recognition on documents of the same type, and built-in and user-defined lexicons for limiting the type of text to recognize within a particular zone. LEADTOOLS provides the ability to verify or correct text during, and (using LEAD's unique OCR editor) after recognition. LEAD's OCR editor ties the text being edited directly to the image, providing a visual reference to the original bitmap data. The OCR engine can perform Automatic area segmentation creating multi-layered zones, recognizing areas such as tables, rules, images and text. Or, you can manually designate up to 250 such zones. The OCR features support different fonts, sizes (5 to 72 point) and styles. Fax, dot matrix and halftones can be preprocessed to improve recognition results. The OCR Engine supports major European and Scandinavian languages (Danish, Dutch, Finnish, French, German, Italian, Norwegian, Portuguese, Russian, Spanish, and Swedish) as well as English. Support for dialects such as US. English, French Canadian, Latin American Spanish, Swiss German, and Brazilian Portuguese is also provided.

Recognized text can be exported to more than 40 different formats, including MS Word, MS Excel, Dbase andWordPerfect. The LEADTOOLS OCR features contain superior OCR processing speeds, for use in form recognition and processing applications.

LEAD's JBIG filter. [Document/Medical] LEAD includes support for this filter in the LEADTOOLS Document Imaging Suite toolkit. Support for this filter can be added to LEADTOOLS Document Imaging, LEADTOOLS Medical Imaging or LEADTOOLS Medical Imaging Suite by purchasing the JBIG Module. JBIG defines a method for lossless compression encoding of a bi-level image (two-color image). This method can also be used for coding grayscale and color images. LEADTOOLS completely supports all three types of images, giving you the ability to make full use of this powerful compression technology. LEADTOOLS also supports the progressive capability of JBIG, allowing you to store and send multiple representations of images at different resolutions without any extra storage overhead.

LEADTOOLS Medical Imaging

LEADTOOLS Medical Imaging contains all the capabilities of LEADTOOLS Document Imaging. It also includes general medical imaging technologies (1-16,24,32 bit color, 1-16 bit grayscale and window leveling of 12 and 16-bit grayscale images) and support for the DICOM file format.

DICOM file support. [Medical] LEADTOOLS Medical Imaging provides COMPLETE support for the DICOM 3.0 specification, including all standard IOD classes and modalities (CR, CT, MR, NM, US, RF, SC, VL, etc.) and complete DICOM Basic Directory support.

Window leveling. [Document/Medical] Detect and set LowBit and HighBit for image data, display images with automatic LUT intensity expansion, or set LUT entries and ranges with specific values and gradients. Display images through the LUT without changing the data, or process the image data using the LUT. Linearize the number of pixels locally in a bitmap, based on the specified color space in order to bring out the detail in dark areas of an image, and smooth the edges between blocks.

Medical Imaging Processing. [Medical] LEADTOOLS Medical Imaging provides image processing functionality designed specifically to allow you to examine and improve the quality of medical images.

LEADTOOLS Medical Imaging Suite

LEADTOOLS Medical Imaging Suite contains all the capabilities of LEADTOOLS Medical Imaging. In addition, it supports the following:

DICOM Communication support. [Medical Suite] LEADTOOLS provides COMPLETE support for DICOM Communications, including all Service Classes (Verification, Storage, Query/Retrieve, Patient Management, etc), and contains high-level communications functions simplifying the creation of DICOM client/server applications.

(Document/Medical) is used in the documentation to designate the features that are available in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. Those features that are available only in the Medical toolkits are indicated in the documentation by (Medical). Features available only in the LEADTOOLS Medical Imaging Suite toolkit are indicated in the documentation by (Medical Suite).

(Internet only) is used in the documentation to designate the features that are available only in the LEADTOOLS Internet toolkit.

For more information, refer to Document/Medical Edition Support and Licensing Requirements.


Document/Medical Support and Licensing Requirements

Document/Medical Licensing and Royalty Agreements:

Congratulations! You have licensed one of the LEADTOOLS Document/Medical software products, the most comprehensive imaging toolkits on the market, enabling you to create powerful imaging applications. The license terms for LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite require runtime licensing based on the number of copies of your application that you deploy (i.e., distribute or install and use internally).

By paying the initial box price for the applicable LEADTOOLS product, you have obtained a development license, which entitles you to develop your application and test it. Once completed, if you wish to distribute the application or deploy it internally on multiple machines, you are required to enter into a duplication and distribution agreement with LEAD. You have the ability to choose from several licensing options depending on your volume needs.

The product you are installing is a fully functional working version and includes support for all features in LEADTOOLS Document Imaging, LEADTOOLS Document Imaging Suite, LEADTOOLS Medical Imaging and LEADTOOLS Medical Imaging Suite. (Depending on which product you have licensed, some of the features may ultimately not be available to you. See the on-line help file for a product feature comparison.) Until you sign and return the correct licensing agreement, your application will display a "nag" message. Once LEAD receives the executed contract, we will provide you a password that will permit you to terminate the "nag" message for the product that you have licensed. In addition to providing the password, you must also use the no nag version of the LTKRN14N.DLL, found in the REDIST\NONAGLTKRN directory. This is also the version you must redistribute.

Duplication and Distribution Agreements

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.


Limitations with Visual Basic

Installations created with the Visual Basic 4.0 Setup Toolkit sometimes fail because of incompatible versions of the Olepro32.dll and Oleaut32.dll files. This is a known problem in Visual Basic, and a resolution of the problem is described in article Q162518 in the Microsoft Knowledge Base.

In an MDI application, Visual Basic 4.0 sometimes fails to update the palette on a child window when painting a 256-color image. This is a known bug in Visual Basic, and it is described in article Q149233 in the Microsoft Knowledge Base. The workaround recommended in the Knowledge Base article has been unreliable in testing performed by LEAD Technologies.


CMY - 3D Subtractive Model

In the CMY model:

C stands for Cyan.

M stands for Magenta.

Y stands for Yellow.

This color model is used in the three-color printing process. The CMY model is the inverse of the RGB model, with values ranging from 0 to 255.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMYK -3D Subtractive Model


CMYK - 3D Subtractive Model

In the CMYK model:

C stands for Cyan.

M stands for Magenta.

Y stands for Yellow.

K stands for Black.

Printing processes typically use Cyan, Magenta, Yellow, and Black ink on white paper to reproduce colors. Unlike RGB color, which is “additive” because light is added by the amount of color in each of the components, CMYK is “subtractive” because light is subtracted from the bright white background whenever color is applied. This means that higher values for component colors create darker overall colors.

In theory, 100% of each of Cyan, Magenta, and Yellow should produce black, but in reality a pure black is not usually obtained. This is compensated for by introducing the K (black) component.

CMYK, like RGB, is a device dependent color model.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model


Curve Control Dialog

Use the Curve Control to create a data table in which its values are represented by the curve in the grid. You can change the data values by changing the curve. This control contains two major parts, the Grid and the Angle circle.

This Curve Control is available in several dialogs.

The following are the fields in the Curve Control:

Grid

The Grid is a set of intersecting horizontal and vertical lines. Drawn on top of these lines is a Logarithmic curve, an Exponential curve, a Simple curve or a Linear curve. The Exponential and Logarithmic curves are influenced by a Factor value, which you can set. A Simple curve or a Linear curve is drawn through Control points. Control points are small colored circles, can be moved by the mouse in order to change the curve. For a Simple curve or a Linear curve, the grid will contain at least two control points, one on each of the two thick lines at the edges of the grid. These are the Edge Control Points, which are two small squares that move only up and down.

You can add a control point to a Simple or Linear curve by left clicking within the grid area, but not on the same vertical line as another control point, as long as the mouse curser is [image]. You can delete any control point, except the edge points, by right clicking on the control point.

To move a control point, place the cursor over the control point, then click and drag to the new position. When you place the cursor over a control point, the mouse cursor will change to [image].

Angle circle

The Angle Circle is drawn round the Grid and contains the Rotate Handle, a small circle drawn in the angle circle. When you move the mouse over the Rotate Handle the cursor changes to [image]. If you move this handle, the grid will rotate around the Curve control center, changing the angle of the curve.

Curve Mode Drop-down list box:

Use this to set the type of curve you want to draw. Available values are:

Curve. Draw a curved line using the control points available on the grid.

Linear. Draw line(s) using the control points available on the grid.

Exponential. Draw an Exponential line using the Factor value.

Logarithmic. Draw a Logarithmic line using the Factor value.

Factor Edit box:

Use the Factor edit box to set the factor for an Exponential or a Logarithmic curve. Enter the value directly in the edit box or use the arrows to set the desired value.

See Also

Functions:

ShowRemapIntensityDlg method, ShowRemapHueDlg method, ShowFreeHandWaveDlg method, ShowWaveShearDlg method


Customizing File Format Lists

LEADTOOLS lets you customize the file format lists included in the Save dialog, displayed using ShowSaveDlg method, and the File Conversion dialog, displayed using ShowFileConversionDlg method. Customizing lets you include only those file formats, BPP options and sub-format options that you want, instead of all files formats, BPP options and sub-format options supported by LEADTOOLS.

Below all LEADTOOLs supported save formats, BPP, and sub-formats to use it for customize Save and File Conversion dialogs throw FILESAVEFORMAT structure.

LEAD (*.cmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_LEAD | 1 | No sub-formats
 | 8, 24 | FF_SAVE_SUB_CMP_NONPROGRESSIVE FF_SAVE_SUB_CMP_PROGRESSIVE

JPEG (*.jpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_JPEG | 8 | FF_SAVE_SUB_JPEG8_YUV_400 FF_SAVE_SUB_JPEG8_PROG_400 FF_SAVE_SUB_JPEG8_LOSSLESS
 | 12 | FF_SAVE_SUB_JPEG12_YUV_400 FF_SAVE_SUB_JPEG12_LOSSLESS
 | 16 | No sub-formats
 | 24 | FF_SAVE_SUB_JPEG24_YUV_444 FF_SAVE_SUB_JPEG24_YUV_422 FF_SAVE_SUB_JPEG24_YUV_411 FF_SAVE_SUB_JPEG24_PROG_444 FF_SAVE_SUB_JPEG24_PROG_422 FF_SAVE_SUB_JPEG24_PROG_411 FF_SAVE_SUB_JPEG24_LOSSLESS FF_SAVE_SUB_JPEG24_LAB_444 FF_SAVE_SUB_JPEG24_LAB_422 FF_SAVE_SUB_JPEG24_LAB_411

LEAD Wavelet(*.cmw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CMW | 8, 12, 16, 24 | No sub-formats

JPEG 2000(*.j2k; *.jp2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_J2K | 8, 12, 16, 24 | FF_SAVE_SUB_J2K_STREAM FF_SAVE_SUB_J2K_JP2

TIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_TIFF | 1 | FF_SAVE_SUB_TIFF1_CCITT FF_SAVE_SUB_TIFF1_CCITT_G3_1D FF_SAVE_SUB_TIFF1_CCITT_G3_2D FF_SAVE_SUB_TIFF1_CCITT_G4 FF_SAVE_SUB_TIFF1_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF1_RLERGB FF_SAVE_SUB_TIFF1_LZWRGB FF_SAVE_SUB_TIFF1_JBIG FF_SAVE_SUB_TIFF1_JBIG2 FF_SAVE_SUB_TIFF1_ABIC
 | 4 | FF_SAVE_SUB_TIFF4_UNCOMPRESSED FF_SAVE_SUB_TIFF4_RLE FF_SAVE_SUB_TIFF4_LZW FF_SAVE_SUB_TIFF4_JBIG FF_SAVE_SUB_TIFF4_ABIC
 | 2, 3, 5, 6, 7 | FF_SAVE_SUB_TIFFOTHER_UNCOMPRESSED FF_SAVE_SUB_TIFFOTHER_RLE FF_SAVE_SUB_TIFFOTHER_LZW FF_SAVE_SUB_TIFFOTHER_JBIG
 | 8 | FF_SAVE_SUB_TIFF8_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF8_RLERGB FF_SAVE_SUB_TIFF8_JPEG_GRAY_YCC FF_SAVE_SUB_TIFF8_LOSSLESSJPEG FF_SAVE_SUB_TIFF8_LZWRGB FF_SAVE_SUB_TIFF8_JBIG FF_SAVE_SUB_TIFF8_CMP FF_SAVE_SUB_TIFF8_J2K FF_SAVE_SUB_TIFF8_CMW
 | 12 | FF_SAVE_SUB_TIFF12_UNCOMPRESSED FF_SAVE_SUB_TIFF12_RLE FF_SAVE_SUB_TIFF12_LOSSLESSJPEG FF_SAVE_SUB_TIFF12_JPEG_GRAY_YCC FF_SAVE_SUB_TIFF12_LZW FF_SAVE_SUB_TIFF12_J2K FF_SAVE_SUB_TIFF12_CMW
 | 16 | FF_SAVE_SUB_TIFF16_UNCOMPRESSED FF_SAVE_SUB_TIFF16_RLE FF_SAVE_SUB_TIFF16_LOSSLESSJPEG FF_SAVE_SUB_TIFF16_LZW FF_SAVE_SUB_TIFF16_J2K FF_SAVE_SUB_TIFF16_CMW
 | 24 | FF_SAVE_SUB_TIFF24_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF24_UNCOMPRESSEDCMYK FF_SAVE_SUB_TIFF24_UNCOMPRESSEDYCC FF_SAVE_SUB_TIFF24_RLERGB FF_SAVE_SUB_TIFF24_RLECMYK FF_SAVE_SUB_TIFF24_RLEYCC FF_SAVE_SUB_TIFF24_JPEG_YCC_444 FF_SAVE_SUB_TIFF24_JPEG_YCC_422 FF_SAVE_SUB_TIFF24_JPEG_YCC_411 FF_SAVE_SUB_TIFF24_LOSSLESSJPEG FF_SAVE_SUB_TIFF24_LZWRGB FF_SAVE_SUB_TIFF24_LZWCMYK FF_SAVE_SUB_TIFF24_LZWYCC FF_SAVE_SUB_TIFF24_CMP_NONPROGRESSIVE FF_SAVE_SUB_TIFF24_CMP_PROGRESSIVE FF_SAVE_SUB_TIFF24_J2K FF_SAVE_SUB_TIFF24_CMW FF_SAVE_SUB_TIFF24_LEAD_MRC FF_SAVE_SUB_TIFF24_MRC
 | 32 | FF_SAVE_SUB_TIFF32_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF32_UNCOMPRESSEDCMYK FF_SAVE_SUB_TIFF32_RLERGB FF_SAVE_SUB_TIFF32_RLECMYK FF_SAVE_SUB_TIFF32_LZWRGB FF_SAVE_SUB_TIFF32_LZWCMYK
 | 48 | FF_SAVE_SUB_TIFF48_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF48_LZWRGB
 | 64 | FF_SAVE_SUB_TIFF64_UNCOMPRESSEDRGB FF_SAVE_SUB_TIFF64_LZWRGB

GIF (*.gif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_GIF | 1, 2, 3, 4, 5, 6, 7, 8 | FF_SAVE_SUB_GIF_INTERLACED89A FF_SAVE_SUB_GIF_NONINTERLACED89A

CServe PNG (*.png)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PNG | 1, 4, 8, 24, 32 | No sub-formats

Animated Cursor (*.ani)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_ANI | 1, 4, 8, 24 | No sub-formats

CALS (*.cal)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CALS | 1 | FF_SAVE_SUB_CALS FF_SAVE_SUB_CALS2 FF_SAVE_SUB_CALS3 FF_SAVE_SUB_CALS4

Cineon (*.cin)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CIN | 24 | No sub-formats

CLP (*.clp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CLP | 1, 4, 24 | No sub-formats
 | 8 | FF_SAVE_SUB_CLP_UNCOMPRESSED FF_SAVE_SUB_CLP_RLE

Compressed Windows Metafile (*.wmz)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_WMZ | 24 | No sub-formats

DICOM DIC Gray (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_DICOMGRAY | 8 | FF_SAVE_SUB_DICOM8_GRAY FF_SAVE_SUB_DICOM8_COLOR FF_SAVE_SUB_DICOM8_RLE_GRAY FF_SAVE_SUB_DICOM8_RLE_COLOR FF_SAVE_SUB_DICOM8_JPEG_GRAY FF_SAVE_SUB_DICOM8_J2K_GRAY_LOSSLESS FF_SAVE_SUB_DICOM8_J2K_GRAY
 | 16 | FF_SAVE_SUB_DICOM16_GRAY FF_SAVE_SUB_DICOM16_RLE_GRAY FF_SAVE_SUB_DICOM16_LOSSLESSJPEG_GRAY FF_SAVE_SUB_DICOM16_J2K_GRAY_LOSSLESS FF_SAVE_SUB_DICOM16_J2K_GRAY

DICOM DIC Color (*.dic)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_DICOMCOLOR | 24 | FF_SAVE_SUB_DICOM24_COLOR FF_SAVE_SUB_DICOM24_RLE_COLOR FF_SAVE_SUB_DICOM24_LOSSLESSJPEG_COLOR FF_SAVE_SUB_DICOM24_JPEG_COLOR FF_SAVE_SUB_DICOM24_J2K_GRAY_LOSSLESS FF_SAVE_SUB_DICOM24_J2K_GRAY

Dr Halo (*.cut)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CUT | 8 | No sub-formats

ECW (*.ecw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_ECW | 24 | No sub-formats

EMF (*.emf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_EMF | 8, 24 | No sub-formats

EPS (*.eps)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_EPS | 8 | No sub-formats

EXIF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_EXIF | 24 | FF_SAVE_SUB_EXIF_UNCOMPRESSEDRGB FF_SAVE_SUB_EXIF_UNCOMPRESSEDYCC FF_SAVE_SUB_EXIF_JPEG_411 FF_SAVE_SUB_EXIF_JPEG_422

FAX (Raw) (*.fax)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_FAX | 1 | FF_SAVE_SUB_FAX_G3_1D FF_SAVE_SUB_FAX_G3_2D FF_SAVE_SUB_FAX_G4

FIT (*.fit)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_FIT | 8, 16, 32 | No sub-formats

FLC (*.flc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_FLC | 8 | No sub-formats

FPX (*.fpx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_FPX | 8, 24 | FF_SAVE_SUB_FPX_UNCOMPRESSED FF_SAVE_SUB_FPX_SINGLECOLOR FF_SAVE_SUB_FPX_DEFQFACTOR FF_SAVE_SUB_FPX_SPECQFACTOR

GEM (*.img)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_IMG | 1 | No sub-formats

GeoTIFF (*.tif)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_GEOTIFF | 16 | No sub-formats

IFF (*.iff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_IFF | 1 – 8, 24 | FF_SAVE_SUB_IFF_ILBM_UNCOMPRESSED FF_SAVE_SUB_IFF_ILBM_RLE FF_SAVE_SUB_IFF_CAT_UNCOMPRESSED FF_SAVE_SUB_IFF_CAT_RLE

ITG (*.itg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_ITG | 1 | FF_SAVE_SUB_ITG_RLE FF_SAVE_SUB_ITG_CCITT_G4

JBIG (*.jbg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_JBIG | 1 - 8 | No sub-formats

JBIG2 (*.jb2)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_JBIG2 | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_MAC | 1 | No sub-formats

MacPaint (*.mac)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PCT | 1, 4, 8, 16, 24 | No sub-formats

MODCA IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_MODCA | 1 | FF_SAVE_SUB_ICA_G3_1D FF_SAVE_SUB_ICA_G3_2D FF_SAVE_SUB_ICA_G4 FF_SAVE_SUB_ICA_IBM_MMR FF_SAVE_SUB_ICA_UNCOMPRESSED FF_SAVE_SUB_ICA_ABIC
 | 4 | FF_SAVE_SUB_ICA4_ABIC

MRC (*.mrc)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_MRC | 24 | FF_SAVE_SUB_LEAD_MRC FF_SAVE_SUB_MRC

MS FAX (AWD) (*.awd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_AWD | 1 | No sub-formats

MS Paint (*.msp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_MSP | 1 | No sub-formats

OS/2 BMP (*.bmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_OS2BMP | 1, 4, 8, 24 | FF_SAVE_SUB_OS2_VER1 FF_SAVE_SUB_OS2_VER2

PBM (*.pbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PBM | 1 | FF_SAVE_SUB_PBM_ASCII FF_SAVE_SUB_PBM_BINARY

PCX (*.pcx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PCX | 1, 4, 8, 24 | No sub-formats

PDF (*.pdf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PDF | 1 | FF_SAVE_SUB_PDF1_UNCOMPRESSED FF_SAVE_SUB_PDF1_CCITT_G3_1D FF_SAVE_SUB_PDF1_CCITT_G3_2D FF_SAVE_SUB_PDF1_CCITT_G4 FF_SAVE_SUB_PDF1_RAS_PDF_LZW FF_SAVE_SUB_PDF1_RAS_PDF_JBIG2
 | 2 | FF_SAVE_SUB_PDF2_RAS_PDF_LZW
 | 4 | FF_SAVE_SUB_PDF4_RAS_PDF_LZW
 | 8 | FF_SAVE_SUB_PDF8_UNCOMPRESSED FF_SAVE_SUB_PDF8_LOSSLESSJPEG FF_SAVE_SUB_PDF8_RAS_PDF_LZW
 | 24 | FF_SAVE_SUB_PDF24_UNCOMPRESSED FF_SAVE_SUB_PDF24_YUV_444 FF_SAVE_SUB_PDF24_YUV_422 FF_SAVE_SUB_PDF24_YUV_411 FF_SAVE_SUB_PDF24_RAS_PDF_LZW FF_SAVE_SUB_PDF24_PDF_LEAD_MRC

PGM (*.pgm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PGM | 8 | FF_SAVE_SUB_PGM_ASCII FF_SAVE_SUB_PGM_BINARY

PPM (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PPM | 24 | FF_SAVE_SUB_PGM_ASCII FF_SAVE_SUB_PGM_BINARY

PSD (*.psd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PSD | 1, 8, 24 | No sub-formats

PSP (*.ppm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_PSP | 1, 4, 8, 24 | FF_SAVE_SUB_PSP_RLE FF_SAVE_SUB_PSP_UNCOMPRESSED

RAW data (*.raw)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_RAW |  |

Raw IOCA (*.ica)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_RAWICA | 1 | FF_SAVE_SUB_RAWICA_G3_1D FF_SAVE_SUB_RAWICA_G3_2D FF_SAVE_SUB_RAWICA_G4 FF_SAVE_SUB_RAWICA_IBM_MMR FF_SAVE_SUB_RAWICA_UNCOMPRESSED

Scitex Continuous Tone SCT (*.sct)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_SCT | 24 | No sub-formats

SGI (*.sgi)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_SGI | 8, 24, 32 | FF_SAVE_SUB_SGI_UNCOMPRESSED FF_SAVE_SUB_SGI_RLECOMPRESSED

Structured Fax File (*.sff)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_SFF | 1 | No sub-formats

SUN Ras (*.ras)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_RAS | 1, 4, 8, 24, 32 | FF_SAVE_SUB_RAS_RLE FF_SAVE_SUB_RAS_UNCOMPRESSED

TGA (*.tga)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_TGA | 8, 16, 24, 32 | FF_SAVE_SUB_TGA_RLE FF_SAVE_SUB_TGA_UNCOMPRESSED

TIFX (*.tifx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_TIFX | 1 | FF_SAVE_SUB_TIFX_CCITT_G4 FF_SAVE_SUB_TIFX_CCITT_G3_1D FF_SAVE_SUB_TIFX_CCITT_G3_2D FF_SAVE_SUB_TIFX_JBIG
 | 3, 8, 24 | No sub-formats

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_WFX | 1 | FF_SAVE_SUB_WFX_CCITT_G3_1D FF_SAVE_SUB_WFX_CCITT_G4

Winfax (*.wfx)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_BMP | 1 | No sub-formats
 | 4, 8 | FF_SAVE_SUB_BMP_UNCOMPRESSED FF_SAVE_SUB_BMP_RLECOMPRESSED
 | 16, 24, 32 | No sub-formats

Win Cursor (*.cur)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_CUR | 1, 4, 8, 24 | No sub-formats

Win Icon (*.ico)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_ICO | 1, 4, 8, 24 | No sub-formats

Wireless Bitmap (WBMP) (*.wbmp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_WBMP | 1 | No sub-formats

WMF (*.wmf)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_WMF | 8, 24 | No sub-formats

WPG (*.wpg)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_WPG | 1, 4, 8 | No sub-formats

XBM (*.xbm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_XBM | 1 | No sub-formats

Xionics SMP (*.smp)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_SMP | 1 | FF_SAVE_SUB_SMP_CCITT_GROUP3_1D FF_SAVE_SUB_SMP_CCITT_GROUP3_2D FF_SAVE_SUB_SMP_CCITT_GROUP4 FF_SAVE_SUB_SMP_UNCOMPRESSED

XPM (*.xpm)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_XPM | 8, 16, 24, 32 | No sub-formats

XWD (*.xwd)

Format Constant (nType): | Supported BPP: | Supported Sub-formats for each BPP:
FF_SAVE_XWD | 1, 4, 8 | FF_SAVE_SUB_XWD_VERSION10 FF_SAVE_SUB_XWD_VERSION11
 | 16, 24, 32 | No sub-formats


HSB-Brightness Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as “color”. For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model, you can select a color according to its perceived intensity, lighter or darker color.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method
Topics: | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


HSB-Hue Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as “color”. For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model you can select a color according to the color, such as orange, yellow, etc.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method.
Topics: | HSB-Brightness Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


HSB-Wheel Based Model

In the HSB color space:

H stands for Hue.

S stands for Saturation.

B stands for Brightness.

Three numbers representing Hue, Saturation, and Brightness can be used to uniquely identify each color in the spectrum.

Hue is what we usually refer to informally as “color”. For example, Red, Orange, Yellow, Green, Cyan, Blue, and Violet are all different hues.

Saturation refers to vividness or deepness of a color. For example, a deep fire-engine red is very saturated, while a pale pink, which may have the same hue, is very unsaturated. When all of the saturation is removed from a color, it becomes gray.

Brightness refers to the lightness or darkness of a color.

Using this model you can select a color according to a hue value in degrees.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | RGB-3D Additive Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


Lab - Device Independent Model

In the Lab Model (also known as CIELab or CIE L*a*b*)

L stands for Lightness.

a stands for red/green chrominance.

b stands for yellow/blue chrominance.

The Lab color model was developed in 1931 by La Commision internationale de L’Eclairage (CIE). It is device independent, and uses synthetic primary colors to more closely model the way the human eye perceives color.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method.
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | RGB-3D Additive Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


Multi-slider Control Dialog

Use the Multi-slider control to set range values for a number of dialogs.

Use the Multi-slider control to specify the following:

Three values where the:

First value will be the result of subtracting the first marker value from the Multi-slider start value.

Second value will be the result of subtracting the second marker value from the first marker value.

Third value will be the result of subtracting the second marker value from the Multi-slider end value.

The Range within two values where the:

Range beginning value will be the first marker value.

Range end value will be the second marker value.

How to use

You can change the values by changing the markers' positions.

Changing the markers' positions can be done by dragging the marker to a new position. You can also right click on the marker you want to change and display the Value dialog, which lets you set the new marker value (position).

See Also

Functions:

ShowGrayScaleDlg method, ShowColoredGrayDlg method, ShowRemapHueDlg method, ShowInvertTextDlg method, ShowHolePunchRemoveDlg method


RGB - 3D Additive Model

In the RGB color space:

R stands for Red.

G stands for Green.

B stands for Blue.

Three numbers (0 – 255) representing Red, Green and Blue can be used to uniquely identify each color in the spectrum.

If Red, Green, and Blue all have the same value, the resulting color is a shade of gray. Black is the absence of all color, or Red, Green, and Blue values are all zero, while White is the presence of the maximum amount of all three component colors, or Red, Green, and Blue all have a value of 255. The RGB model is additive, or light is added to create colors. This means that as the component color values increase, the resulting color becomes brighter.

See Also

Functions: | ShowColorDlg method, ShowCustomizePaletteDlg method
Topics: | HSB-Brightness Based Model
 | HSB-Hue Based Model
 | HSB-Wheel Based Model
 | Lab-Device Independent Model
 | CMY-3D Subtractive Model
 | CMYK -3D Subtractive Model


Syntax

This is the internal syntax of the property, method, or event. The external syntax depends on the development system you are using. Refer to the code example for your system, or for general information, refer to the following:

Visual Basic Syntax

Visual C++ 5.0 Syntax


Visual Basic Constants for Key Codes

Do the following to find the Visual Basic key codes:

1. | On the View pull-down menu, select Object Browser....
2. | Select VB - Visual Basic objects and procedures.
3. | Select VBKeyCodeConstants.
4. | Select one of the listed constants.

A description of the constant appears at the bottom of the form.


Visual Basic Syntax

The syntax for the LEAD control's properties, methods, and events is the same as for other controls in Visual Basic.

Whenever you declare a variable as a data type, you need to know how the ActiveX data type is expressed in Visual Basic. Refer to the following table for the appropriate data type:

ActiveX Data Type | Visual Basic Data Type
boolean | Integer
BSTR | String
IPictureDisp | Picture
long | Long
OLE_COLOR | Long color value (such as the RGB return value)
short | Integer
float | Single
VARIANT_BOOL | Boolean


Visual C++ 5.0 Syntax

In Version 5.0 of Visual C++, the MicroSoft Foundation Class (MFC) library provides an ActiveX interface. This topic describes how to use the interface with the LEADTOOLS ActiveX.

To add a LEAD RasterView control to your application, refer to the example in Loading and Displaying an Image .

Alternatively, to create an instance of the LEAD control at run time, use the Create function, which has the following prototype:

BOOL Create( | LPCTSTR lpszWindowName, DWORD dwStyle,
 | const RECT&rect, CWnd* pParentWnd, UINT nID,
 | CFile* pPersist = NULL, BOOL bStorage = FALSE,
 | BSTR bstrLicKey = NULL);

Provide parameters as follows:

lpszWindowName | Use "", because the control window does not need a name.
dwStyle | Use 0 for the default style.
&rect | Use the CRect function. For example: CRect(0,0,50,50).
pParentWnd | Use this to refer to the current window.
nID | Use 0 for the default ID.
pPersist | Use NULL.
bStorage | Use FALSE.
bstrLicKey | Use the LEADTOOLS license string, which is always the first line in the LTOCX14.LIC file. For example: "LEADTOOLS COM Copyright (c) 1990-2004 LEAD Technologies, Inc." If you do not specify this string correctly, the ActiveX will not work when you distribute your application.

For example:

CLEADRasterView *pRasView=NULL;
static const WCHAR BASED_CODE _szLicString[] =
L"LEADTOOLS OCX Copyright (c) 1990-2004 LEAD Technologies, Inc.";
pRasView = new CLEADRasterView;
// pass the license string to the CLEADRasterView::Create function.
// The CLEADRasterView::Create expects a BSTR parameter and SysAllocString converts the
// WCHAR[] to a BSTR
BSTR lpLic = SysAllocString(_szLicString);
pRasView->Create("", 0,CRect(0,0,50,50),this,0,NULL,FALSE,lpLic);
pRasView->ShowWindow(SW_HIDE);
SysFreeString(lpLic);

When getting or setting a property value, you must use a function that is created by adding a prefix to the property name.

To set a property value, the syntax is as follows:

m_controlname.Setpropertyname(value);

For example:

m_Lead1.SetRubberBandVisible(FALSE);

To get a property value, the syntax is as follows:

value = m_controlname.Getpropertyname();

For example:

HeightFactor = m_Lead1.GetBitmapHeight();

To set a property array value, the syntax is as follows:

m_controlname.Setpropertyname(index, value);

For example:

m_Lead1.SetRemapTable(MyIndex, (255 * Offset) / CurrentRange);

To get a property array value, the syntax is as follows:

value = m_controlname.Getpropertyname(index);

For example:

m_Lead1.SetBitmap(m_Lead1.GetColorPlanes(3)); // Copy the K plane

In Version 5.0 of Visual C++, the MicroSoft compiler also has a #import directive, which can be used to import type library information from an ActiveX control or COM Object.

To add any of the LEAD COM Objects to your application you can use the following:

// get information for ILEADRaster
#import <ltr14n.dll> no_namespace, named_guids
// get information for ILEADRasterIO
#import <ltrio14n.dll> no_namespace, named_guids

Then, you can create instances of the objects. The following shows how to create

an instance of ILEADRaster, which is licensed, and an instance of ILEADRasterIO, which is not. Note, you can also use IClassFactory2::CreateInstanceLic to create ILEADRaster objects.

static const WCHAR BASED_CODE _szLicString[] =
L"LEADTOOLS OCX Copyright (c) 1990-2004 LEAD Technologies, Inc.";
BSTR lpLic = SysAllocString(_szLicString);
ILEADRasterFactory *pFactory=NULL;
ILEADRaster *pRaster=NULL;
CoCreateInstance(CLSID_LEADRasterFactory, NULL, CLSCTX_ALL,
IID_ILEADRasterFactory, (void**)&pFactory);
pRaster = (ILEADRaster*)pFactory->CreateObject("LEADRaster.LEADRaster.140", lpLic);
SysFreeString(lpLic);//free the string
pRaster->CreateBitmap(100.0f, 100.0f, 24);//create a bitmap
pFactory->Release();//release the object
pRaster->Release();//release the object

ILEADRasterIO *pRasterIO=NULL;
CoCreateInstance(CLSID_LEADRasterIO, NULL, CLSCTX_ALL,
IID_ILEADRasterIO, (void**)&pRasterIO);
pRasterIO->put_EnableMethodErrors(FALSE);//1
pRasterIO->PutEnableMethodErrors(FALSE); //2
pRasterIO->EnableMethodErrors = FALSE; //3
pRasterIO->Load(m_LEADRasterView1.GetRaster(),
"v:\\images\\chess.bmp", 0, 1, 1);
pRasterIO->Release();

Note that there are 3 different ways that you can access a COM Object's properties when you use the #import statement.

To set a property value, the syntax is as follows:

1) pObject->put_propertyname(value);
2) pObject->Putpropertyname(value);
3) pObject->propertyname = value;

For example:

pRasterIO->put_EnableMethodErrors(FALSE);//1
pRasterIO->PutEnableMethodErrors(FALSE); //2
pRasterIO->EnableMethodErrors = FALSE; //3

To get a property value, the syntax is as follows:

1) pObject->Get_propertyname(&value);
2) value = pObject->Getpropertyname();
3) value = pObject->propertyname;

For example:

VARIANT_BOOL bVal;
pRasterIO->get_EnableMethodErrors(&bVal); //1
bVal = pRasterIO->GetEnableMethodErrors();//2
bVal = pRasterIO->EnableMethodErrors; //3


Visual C++ Key Codes

The following are the Visual C++ key codes:

VK_A through VK_Z are the same as their ASCII equivalents: 'A' thru 'Z'.
VK_0 through VK_9 are the same as their ASCII equivalents: '0' thru '9'.
VK_LBUTTON
VK_RBUTTON
VK_CANCEL
VK_MBUTTON
VK_BACK
VK_TAB
VK_CLEAR
VK_RETURN
VK_SHIFT
VK_CONTROL
VK_MENU
VK_PAUSE
VK_CAPITAL
VK_ESCAPE
VK_SPACE
VK_PRIOR
VK_NEXT
VK_END
VK_HOME
VK_LEFT
VK_UP
VK_RIGHT
VK_DOWN
VK_SELECT
VK_PRINT
VK_EXECUTE
VK_SNAPSHOT
VK_INSERT
VK_DELETE
VK_HELP

VK_NUMPAD0
VK_NUMPAD1
VK_NUMPAD2
VK_NUMPAD3
VK_NUMPAD4
VK_NUMPAD5
VK_NUMPAD6
VK_NUMPAD7
VK_NUMPAD8
VK_NUMPAD9
VK_MULTIPLY
VK_ADD
VK_SEPARATOR
VK_SUBTRACT
VK_DECIMAL
VK_DIVIDE
VK_F1
VK_F2
VK_F3
VK_F4
VK_F5
VK_F6
VK_F7
VK_F8
VK_F9
VK_F10
VK_F11
VK_F12
VK_F13
VK_F14
VK_F15
VK_F16
VK_F17
VK_F18
VK_F19
VK_F20
VK_F21
VK_F22
VK_F23
VK_F24
VK_NUMLOCK
VK_SCROLL


Topic Selection

LEAD Technologies, Inc.
Suite 400
1201 Greenwood Cliff
Charlotte, NC 28204

Sales@Leadtools.com
www.leadtools.com

(704) 332-5532
FAX: (704) 372-8161
Tech Support: (704) 372-9681

LEADTOOLS is ideal for developers involved in still frame, multimedia, document, medical, and vector imaging projects, including Internet/Intranet applications. Independent of the specific application requirement – scanning, file format support/conversion, compression, image processing, annotation, database support, multimedia, etc. – LEADTOOLS provides the most comprehensive, robust, flexible, and powerful imaging solution available.

Click this button to start the Licensing help file to review the License Agreements governing your use of the software.

Click this button to start the Products help file to review the full line of LEADTOOLS Products.

Click this button to start the Imaging help file to review the full line of LEADTOOLS Image Categories.


iIndex Parameter for ALT

iIndex

The index into the History ALT Array. The first element of the array is 0, and the last element is ALTEntryCount –1.


lIndex Parameter For Amplitudes

lIndex

Index into the array of amplitude values. This is a zero-based index.


iIndex Parameter for BitsPerPixelCountFormat

iIndex

The index into the array. The first element of the array is 0, and the last element is

BitsPerPixelCount - 1.


lIndex Parameter for BlueHistogram

lIndex

The index into the array. The first element of the array is 0, and the last element is BlueHistogramSize –1.


CtlID Parameter For DlgHelp

CtlID

ID of the control that received the context sensitive help click. A value of –1 refers to the Help Button itself. For a list of other possible values, refer to the DLGRESID.H file in the LEAD \ INCLUDE directory.


DlgFrom Parameter For DlgHelp

DlgFrom

Identifies the origin of the help command message. Possible values are:

Constant | Meaning
HELP_OPEN | [1] Help command message coming from ShowOpenDlg.
HELP_SAVE | [2] Help command message coming from ShowSaveDlg
HELP_COLORRES | [3] Help command message coming from ShowColorResDlg
HELP_RESIZE | [4] Help command message coming from ShowResizeDlg
HELP_INTENSITYDETECT | [5] Help command message coming from ShowIntensityDetectDlg
HELP_GAMMAADJUSTMENT | [6] Help command message coming from ShowGammaAdjustmentDlg
HELP_ADDNOISE | [7] Help command message coming from ShowAddNoiseDlg
HELP_GETEFFECT | [8] Help command message coming from ShowEffectDlg
HELP_GETSHAPE | [9] Help command message coming from ShowShapeDlg
HELP_GETTEXT | [10] Help command message coming from ShowTextDlg
HELP_GETGRADIENT | [11] Help command message coming from ShowGradientDlg
HELP_GETTRANSITION | [12] Help command message coming from ShowTransitionDlg
HELP_GETDIRECTORY | [13] Help command message coming from ShowDirectoryDlg
HELP_CONTOURFILTER | [14] Help command message coming from ShowContourFilterDlg
HELP_HALFTONE | [15] Help command message coming from ShowHalftoneDlg
HELP_J2KOPTIONS | [16] Help command message coming from ShowSaveDlg and ShowFileConversionDlg
HELP_FILEINFO | [17] Help command message coming from ShowOpenDlg and ShowFileConversionDlg
HELP_SOLARIZE | [18] Help command message coming from ShowSolarizeDlg
HELP_BRIGHTNESS | [19] Help command message coming from ShowBrightnessDlg
HELP_CONTRAST | [20] Help command message coming from ShowContrastDlg
HELP_HUE | [21] Help command message coming from ShowHueDlg
HELP_SATURATION | [22] Help command message coming from ShowSaturationDlg
HELP_POSTERIZE | [24] Help command message coming from ShowPosterizeDlg
HELP_HISTOCONTRAST | [25] Help command message coming from ShowHistoContrastDlg
HELP_AVERAGE | [26] Help command message coming from ShowAverageDlg
HELP_MEDIAN | [27] Help command message coming from ShowMedianDlg
HELP_MAXFILTER | [28] Help command message coming from ShowMaxFilterDlg
HELP_MINFILTER | [29] Help command message coming from ShowMinFilterDlg
HELP_SHARPEN | [30] Help command message coming from ShowSharpenDlg
HELP_SHIFTDIFFERENCEFILTER | [31] Help command message coming from ShowShiftDifferenceFilterDlg
HELP_EMBOSS | [32] Help command message coming from ShowEmbossDlg
HELP_OILIFY | [33] Help command message coming from ShowOilifyDlg
HELP_MOSAIC | [34] Help command message coming from ShowMosaicDlg
HELP_EROSIONFILTER | [35] Help command message coming from ShowErosionFilterDlg
HELP_DILATIONFILTER | [36] Help command message coming from ShowDilationFilterDlg
HELP_GRADIENTFILTER | [37] Help command message coming from ShowGradientFilterDlg
HELP_LAPLACIANFILTER | [38] Help command message coming from ShowLaplacianFilterDlg
HELP_SOBELFILTER | [39] Help command message coming from ShowSobelFilterDlg
HELP_PREWITTFILTER | [40] Help command message coming from ShowPrewittFilterDlg
HELP_LINESEGMENTFILTER | [41] Help command message coming from ShowLineSegmentFilterDlg
HELP_ROTATE | [42] Help command message coming from ShowRotateDlg
HELP_SHEAR | [43] Help command message coming from ShowShearDlg
HELP_LOADOPTIONS_VECTOR | [44] Help command message coming from ShowOpenDlg
HELP_LOADOPTIONS_RASTER | [45] Help command message coming from ShowOpenDlg
HELP_LOADOPTIONS_PDF | [46] Help command message coming from ShowOpenDlg
HELP_LOADOPTIONS_GENERAL | [47] Help command message coming from ShowOpenDlg
HELP_SMOOTH | [48] Help command message coming from ShowSmoothDlg
HELP_LINEREMOVE | [49] Help command message coming from ShowLineRemoveDlg
HELP_BORDERREMOVE | [50] Help command message coming from ShowBorderRemoveDlg
HELP_INVERTEDTEXT | [51] Help command message coming from ShowInvertTextDlg
HELP_DOTREMOVE | [52] Help command message coming from ShowDotRemoveDlg
HELP_HOLEPUNCHREMOVE | [53] Help command message coming from ShowHolePunchRemoveDlg
HELP_COLOR | [54] Help command message coming from ShowColorDlg
HELP_CANVASRESIZE | [55] Help command message coming from ShowCanvasResizeDlg
HELP_ADDFRAME | [56] Help command message coming from ShowAddFrameDlg
HELP_FILESASSOCIATION | [57] Help command message coming from ShowFilesAssociationDlg
HELP_GIFWEBTUNER | [58] Help command message coming from ShowGIFWebTunerDlg
HELP_ADDBORDER | [59] Help command message coming from ShowAddBorderDlg
HELP_HTMLMAPPER | [60] Help command message coming from ShowHTMLMapperDlg
HELP_JPEGWEBTUNER | [62] Help command message coming from ShowJPEGWebTunerDlg
HELP_PNGWEBTUNER | [63] Help command message coming from ShowPNGWebTunerDlg
HELP_CUSTOMIZEPALETTE | [64] Help command message coming from ShowCustomizePaletteDlg
HELP_PICTURIZE | [65] Help command message coming from ShowPicturizeDlg
HELP_UNDERLAY | [66] Help command message coming from ShowUnderlayDlg
HELP_AUTOTRIM | [67] Help command message coming from ShowAutoTrimDlg
HELP_GAUSSIANBLUR | [68] Help command message coming from ShowGaussianBlurDlg
HELP_UNSHARPMASK | [69] Help command message coming from ShowUnsharpMaskDlg
HELP_ANTIALIAS | [70] Help command message coming from ShowAntiAliasDlg
HELP_EDGEDETECTOR | [71] Help command message coming from ShowEdgeDetectorDlg
HELP_REMOVEREDEYE | [72] Help command message coming from ShowRemoveRedeyeDlg
HELP_MOTIONBLUR | [73] Help command message coming from ShowMotionBlurDlg
HELP_GRAYSCALE | [74] Help command message coming from ShowGrayScaleDlg
HELP_COLOREDGRAY | [75] Help command message coming from ShowColoredGrayDlg
HELP_HISTOGRAM | [76] Help command message coming from ShowHistogramDlg
HELP_MULTIPLY | [78] Help command message coming from ShowMultiplyDlg
HELP_LOCALHISTOEQUALIZE | [79] Help command message coming from ShowLocalHistoEqualizeDlg
HELP_BALANCECOLORS | [80] Help command message coming from ShowBalanceColorsDlg
HELP_ADDBITMAPS | [81] Help command message coming from ShowAddBitmapsDlg
HELP_PRINTPREVIEW | [82] Help command message coming from ShowPrintStitchedImagesDlg
HELP_REMAPINTENSITY | [83] Help command message coming from ShowRemapIntensityDlg
HELP_REMAPHUE | [84] Help command message coming from ShowRemapHueDlg
HELP_FREEHANDWAVE | [85] Help command message coming from ShowFreeHandWaveDlg
HELP_WIND | [86] Help command message coming from ShowWindDlg
HELP_IMPRESSIONIST | [87] Help command message coming from ShowImpressionistDlg
HELP_CYLINDRICAL | [88] Help command message coming from ShowCylindricalDlg
HELP_POLAR | [89] Help command message coming from ShowPolarDlg
HELP_PIXELATE | [90] Help command message coming from ShowPixelateDlg
HELP_STITCH | [91] Help command message coming from ShowStitchDlg
HELP_STITCH_TILE | [92] Help command message coming from ShowStitchDlg
HELP_STITCH_ATTRIBUTES | [93] Help command message coming from ShowStitchDlg
HELP_ZOOMWAVE | [94] Help command message coming from ShowZoomWaveDlg
HELP_RADIALWAVE | [95] Help command message coming from ShowRadialWaveDlg
HELP_RIPPLE | [96] Help command message coming from ShowRippleDlg
HELP_PUNCH | [97] Help command message coming from ShowPunchDlg
HELP_BENDING | [98] Help command message coming from ShowBendingDlg
HELP_SPHERIZE | [99] Help command message coming from ShowSpherizeDlg
HELP_SWIRL | [100] Help command message coming from ShowSwirlDlg
HELP_RADIALBLUR | [101] Help command message coming from ShowRadialBlurDlg
HELP_ZOOMBLUR | [102] Help command message coming from ShowZoomBlurDlg
HELP_WAVE | [103] Help command message coming from ShowWaveDlg
HELP_WAVESHEAR | [104] Help command message coming from ShowWaveShearDlg
HELP_FILECONVERSION | [105] Help command message coming from ShowFileConversionDlg
HELP_FILESAVEOPTIONS | [106] Help command message coming from ShowFileConversionDlg and ShowSaveDlg
HELP_FILELOADOPTIONS | [107] Help command message coming from ShowOpenDlg
HELP_FILECONVERSION_LOGREPORT | [108] Help command message coming from ShowFileConversionDlg
HELP_PRINTPREVIEW_PREFERENCES | [109] Help command message coming from ShowPrintStitchedImagesDlg
HELP_PRINTSTITCHEDIMAGES | [110] Help command message coming from ShowPrintStitchedImagesDlg
HELP_PRINTSTITCHEDIMAGES_DELETEPAGES | [111] Help command message coming from ShowPrintStitchedImagesDlg
HELP_PRINTSTITCHEDIMAGES_INSERTPAGES | [112] Help command message coming from ShowPrintStitchedImagesDlg
HELP_PRINT | [113] Help command message coming from ShowPrintStitchedImagesDlg
HELP_PAGESETUP | [114] Help command message coming from ShowPrintStitchedImagesDlg
HELP_FILECONVERSION_PROGRESS | [115] Help command message coming from ShowFileConversionDlg
HELP_FILECONVERSION_ADDPROGRESS | [116] Help command message coming from ShowFileConversionDlg
HELP_NAMINGTEMPLATE | [117] Help command message coming from ShowFileConversionDlg
HELP_RENAME | [118] Help command message coming from ShowFileConversionDlg
HELP_FILECONVERSION_ROTATE | [119] Help command message coming from ShowFileConversionDlg
HELP_FILECONVERSION_RESIZE | [120] Help command message coming from ShowFileConversionDlg
HELP_WINDOWLEVEL | [121] Help command message coming from ShowWindowLevelDlg
HELP_JBIG2OPTIONS | [122] Help command message coming from ShowSaveDlg and ShowFileConversionDlg.


lIndex Parameter for FileFormats

lIndex

The index into the array. The first element of the array is 0, and the last element is FileFormatsCount - 1.


iFilePercent Parameter For FileLoad

iFilePercent

An integer that indicates the completion percentage for loading a single file from the selected files. Valid values range from 0 to 100.


iTotalPercent Parameter For FileLoad

iTotalPercent

An integer that indicates the completion percentage for loading all selected files in the Open dialog. This value will be updated every time a file finishes loading. Valid values range from 0 to 100.


Return for FreeDlg

Return Value

Return | Meaning
0 | The method was successful.
<> 0 | An error occurred. Refer to Error Codes.


lIndex Parameter for GeneratedPalette

lIndex

The index of the generated palette.


lIndex Parameter for GetDlgString

lIndex

Index of the string to get. For a list of the strings, refer to Dialog Strings.


lIndex Parameter for GreenHistogram

lIndex

The index into the array. The first element of the array is 0, and the last element is GreenHistogramSize –1.


lIndex Parameter for HueTable

lIndex

The index into the table. The first element of the array is 0, and the last element is RemapTableSize –1.


Flags Parameter for InitDlg

Flags

Data initialization flags. Determines the dialog data to be initialized.

Value | Meaning
INIT_WITHOUT_COLOR | [0x0000] initializes only the essential data, required for all dialogs.
INIT_WITH_COLOR | [0x0001] initializes LEAD color data for the dialogs and enables the use of color models such as RGB, HSB, Lab, etc. Setting this flag lets LEADTOOLS display the LEAD Color dialog when the color picker button is pressed in any dialog that includes a color picker button.


Return for InitDlg

Return Value

Return | Meaning
0 | The method was successful.
<> 0 | An error occurred. Refer to Error Codes.


iIndex Parameter for ItemBitmap

iIndex

Index into the array of bitmaps.


lIndex Parameter for ItemBitmap

lIndex

Index into the array of strings. The index of the first element in the array is 0.


uIndex Parameter For ItemBitmap

uIndex

Index into the array of bitmaps. This is a zero-based index.


iIndex Parameter for ItemDescription

iIndex

Index into an array of strings that describe the bitmaps in the ItemBitmap property. This index is zero-based.


lIndex Parameter for ItemDescription

lIndex

Index into the array of strings. The index of the first element in the array is 0.


uIndex Parameter For ItemDescription

uIndex

Index into the array of strings. This index is zero-based.


iIndex Parameter for ItemFileName

iIndex

Index into the array of strings that contains the file names corresponding to the bitmaps referenced in the ItemBitmap property.


iIndex Parameter for ItemFileName

iIndex

Index into an array of strings that contain the files names corresponding to the bitmaps in the ItemBitmap property. This index is zero-based.


lIndex Parameter for ItemFileName

lIndex

Index into the array of strings. The index of the first element in the array is 0.


uIndex Parameter For ItemFileName

uIndex

Index into the array of strings. This is a zero-based index.


lIndex Parameter for MaskTable

lIndex

The index into the table. The first element of the array is 0, and the last element is RemapTableSize –1.


lIndex Parameter for MasterHistogram

lIndex

The index into the array. The first element of the array is 0, and the last element is MasterHistogramSize –1.


iIndex Parameter for PLTPenColor

iIndex

The index into the array. The first element of the array is 0, and the last element is 7.


iIndex Parameter for PLTPenWidth

iIndex

The index into the array. The first element of the array is 0, and the last element is 7.


lIndex Parameter for RedHistogram

lIndex

The index into the array. The first element of the array is 0, and the last element is RedHistogramSize –1.


lIndex Parameter for RemapTable

lIndex

The index into the table. The first element of the array is 0, and the last element is

RemapTableSize –1.


iIndex Parameter for Rollover

iIndex

The index into the History Rollover Array. The first element of the array is 0, and the last element is RolloverEntryCount –1.


lIndex Parameter for SaturationTable

lIndex

The index into the table. The first element of the array is 0, and the last element is RemapTableSize –1.


lIndex Parameter for SetDlgString

lIndex

Index of the string to set. For a list of the strings, refer to Dialog Strings.


pszString Parameter for SetDlgString

pszString

Character string that contains the new string to set.


Return for SetDlgString

Return Value

Return | Meaning
0 | The method was successful.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAddBitmapsDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAddBitmapsDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAddBorderDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAddBorderDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAddFrameDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAddFrameDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAddNoiseDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAddNoiseDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAntiAliasDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAntiAliasDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAutoTrimDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAutoTrimDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowAverageDlg

hWnd

The Window Control that owns the dialog.


Return for ShowAverageDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowBalanceColorsDlg

hWnd

The Window Control that owns the dialog.


Return for ShowBalanceColorsDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowBendingDlg

hWnd

The Window Control that owns the dialog.


Return for ShowBendingDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowBorderRemoveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowBorderRemoveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowBrightnessDlg

hWnd

The Window Control that owns the dialog.


Return for ShowBrightnessDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowCanvasResizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowCanvasResizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowColorDlg

hWnd

The Window Control that owns the dialog.


Return for ShowColorDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowColoredGrayDlg

hWnd

The Window Control that owns the dialog.


Return for ShowColoredGrayDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowColorResDlg

hWnd

The Window Control that owns the dialog.


Return for ShowColorResDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowContourFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowContourFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowContrastDlg

hWnd

The Window Control that owns the dialog.


Return for ShowContrastDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowCustomizePaletteDlg

hWnd

The Window Control that owns the dialog.


Return for ShowCustomizePaletteDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowCylindricalDlg

hWnd

The Window Control that owns the dialog.


Return for ShowCylindricalDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowDilationFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowDilationFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowDirectoryDlg

hWnd

The Window Control that owns the dialog.


Return for ShowDirectoryDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowDotRemoveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowDotRemoveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowEdgeDetectorDlg

hWnd

The Window Control that owns the dialog.


Return for ShowEdgeDetectorDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowEffectDlg

hWnd

The Window Control that owns the dialog.


Return for ShowEffectDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowEmbossDlg

hWnd

The Window Control that owns the dialog.


Return for ShowEmbossDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowErosionFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowErosionFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowFileConversionDlg

hWnd

The Window Control that owns the dialog.


Return for ShowFileConversionDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowFilesAssociationDlg

hWnd

The Window Control that owns the dialog.


Return for ShowFilesAssociationDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowFreeHandWaveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowFreeHandWaveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGammaAdjustmentDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGammaAdjustmentDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGaussianBlurDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGaussianBlurDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGIFWebTunerDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGIFWebTunerDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGradientDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGradientDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGradientFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGradientFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowGrayScaleDlg

hWnd

The Window Control that owns the dialog.


Return for ShowGrayScaleDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHalftoneDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHalftoneDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHistoContrastDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHistoContrastDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHistogramDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHistogramDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHolePunchRemoveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHolePunchRemoveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHTMLMapperDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHTMLMapperDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowHueDlg

hWnd

The Window Control that owns the dialog.


Return for ShowHueDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowImpressionistDlg

hWnd

The Window Control that owns the dialog.


Return for ShowImpressionistDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowIntensityDetectDlg

hWnd

The Window Control that owns the dialog.


Return for ShowIntensityDetectDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowInvertTextDlg

hWnd

The Window Control that owns the dialog.


Return for ShowInvertTextDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowJPEGWebTunerDlg

hWnd

The Window Control that owns the dialog.


Return for ShowJPEGWebTunerDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowLaplacianFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowLaplacianFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowLineRemoveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowLineRemoveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowLineSegmentFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowLineSegmentFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowLocalHistoEqualizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowLocalHistoEqualizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMaxFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMaxFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMedianDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMedianDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMinFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMinFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMosaicDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMosaicDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMotionBlurDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMotionBlurDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowMultiplyDlg

hWnd

The Window Control that owns the dialog.


Return for ShowMultiplyDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowOilifyDlg

hWnd

The Window Control that owns the dialog.


Return for ShowOilifyDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowOpenDlg

hWnd

The Window Control that owns the dialog.


Return for ShowOpenDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPicturizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPicturizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPixelateDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPixelateDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPNGWebTunerDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPNGWebTunerDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPolarDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPolarDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPosterizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPosterizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPrewittFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPrewittFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPrintPreviewDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPrintPreviewDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPrintStitchedImagesDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPrintStitchedImagesDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowPunchDlg

hWnd

The Window Control that owns the dialog.


Return for ShowPunchDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRadialBlurDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRadialBlurDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRadialWaveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRadialWaveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRemapHueDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRemapHueDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRemapIntensityDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRemapIntensityDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRemoveRedEyeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRemoveRedEyeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowResizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowResizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRippleDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRippleDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowRotateDlg

hWnd

The Window Control that owns the dialog.


Return for ShowRotateDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSaturationDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSaturationDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSaveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSaveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowShapeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowShapeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSharpenDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSharpenDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowShearDlg

hWnd

The Window Control that owns the dialog.


Return for ShowShearDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowShiftDifferenceFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowShiftDifferenceFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSmoothDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSmoothDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSobelFilterDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSobelFilterDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSolarizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSolarizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSpherizeDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSpherizeDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowStitchDlg

hWnd

The Window Control that owns the dialog.


Return for ShowStitchDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowSwirlDlg

hWnd

The Window Control that owns the dialog.


Return for ShowSwirlDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowTextDlg

hWnd

The Window Control that owns the dialog.


Return for ShowTextDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowTransitionDlg

hWnd

The Window Control that owns the dialog.


Return for ShowTransitionDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowUnderlayDlg

hWnd

The Window Control that owns the dialog.


Return for ShowUnderlayDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowUnsharpMaskDlg

hWnd

The Window Control that owns the dialog.


Return for ShowUnsharpMaskDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowWaveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowWaveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowWaveShearDlg

hWnd

The Window Control that owns the dialog.


Return for ShowWaveShearDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowWindDlg

hWnd

The Window Control that owns the dialog.


Return for ShowWindDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowWindowLevelDlg

hWnd

The Window Control that owns the dialog.


Return for ShowWindowLevelDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowZoomBlurDlg

hWnd

The Window Control that owns the dialog.


Return for ShowZoomBlurDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


hWnd Parameter For ShowZoomWaveDlg

hWnd

The Window Control that owns the dialog.


Return for ShowZoomWaveDlg

Return Value

Return | Meaning
0 | The dialog exited successfully. The status for the dialog can be found in the DialogStatus property.
<> 0 | An error occurred. Refer to Error Codes.


iIndex Parameter for SubFormat

iIndex

The index into the array. The first element of the array is 0, and the last element is BitsPerPixelCount - 1.


iIndex Parameter for Target

iIndex

The index into the History Target Array. The first element of the array is 0, and the last element is TargetEntryCount –1.


iIndex Parameter for URL

iIndex

The index into the History URL Array. The first element of the array is 0, and the last element is URLEntryCount –1.


lIndex Parameter for UserPalette

lIndex

The index of the user palette.


lIndex Parameter for ValueTable

lIndex

The index into the table. The first element of the array is 0, and the last element is RemapTableSize –1.